unit FileHelpUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TFileHelpForm = class(TForm)
    FmtRG: TRadioGroup;
    FmtLblLong1: TLabel;
    FmtLblShort: TLabel;
    BitBtnFile: TBitBtn;
    BitBtnExit: TBitBtn;
    FmtLblLong2: TLabel;
    NoteLbl: TLabel;
    NoteLbl2: TLabel;
    Label1: TLabel;
    NoteLbl3: TLabel;
    NoteLbl4: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure BitBtnExitClick(Sender: TObject);
    procedure BitBtnFileClick(Sender: TObject);
  private
    { Private declarations }
    function DispFmtLong1: string;
    function DispFmtLong2: string;
    function DispFmtShort: string;
  public
    { Public declarations }
    iFmt: integer;
    cTabSrc,cTabDest: string;
    procedure DispFmt;
  end;

var
  FileHelpForm: TFileHelpForm;

implementation

{$R *.dfm}

uses GlobalUnit;

procedure TFileHelpForm.DispFmt;
var cNote,cNote2,cNote3,cNote4,cNote5: string;
begin
  FmtLblLong1.Caption := DispFmtLong1;
  FmtLblLong2.Caption := DispFmtLong2;
  if (FmtLblLong2.Caption <> '') then
    FmtLblLong2.Caption := 'IDENTIFIER,'+FmtLblLong2.Caption
  else
    FmtLblLong2.Caption := 'IDENTIFIER';
  FmtLblShort.Caption := DispFmtShort;
  cNote := 'Notes:  For  ...,[Item],...  ==>  ...,Value,...  or if blank  ...,,...  (i.e. comma separators only) form setting is used.';
  if (cTabSrc = 'Twp/Rge') then
    cNote2 := 'Src Ref_Area ==> Value is L, S, or R.  LSD ==> Value or blank; value required if Ref_Area=L.'
  else if (cTabSrc = 'BC/NTS') then
    cNote2:= 'Src Ref_Area ==> Value is Q or U.  Qtr ==> Value or blank; value required if Ref_Area=Q.'
  else if (cTabSrc = 'Frontier') then
    cNote2 := 'Src Ref_Area ==> Value is U or S.  Unit ==> Value or blank; value required if Ref_Area=U.'
  else
    cNote2 := '';
  cNote3 := 'NAD ==> Value is NAD27 or NAD83.  ';
  if ((cTabSrc = 'Lat/Long') or (cTabDest = 'Lat/Long')) then
    cNote3 := CNote3+'Deg_Fmt ==> Value is D, M, or S.  ';
  if ((cTabSrc = 'Twp/Rge') or (cTabDest = 'Twp/Rge')) then
    cNote3 := cNote3+'A_type ==> Value is A or blank.  ';
  if (cTabDest = 'Twp/Rge') then
    cNote3 := cNote3+'Dest Ref_Area ==> Value is L, S, or R.'
  else if (cTabDest = 'BC/NTS') then
    cNote3 := cNote3+'Dest Ref_Area ==> Value is Q or U.'
  else if (cTabDest = 'Frontier') then
    cNote3 := cNote3+'Dest Ref_Area ==> Value is U or S.';
  if ((cTabSrc = 'UTM/UPS') or (cTabDest = 'UTM/UPS')
    or (cTabSrc = 'Military') or (cTabDest = 'Military')) then
    cNote5 := 'UTM/UPS ==> Value is UTM or UPS.  '
  else
    cNote5 := '';
  cNote4 := 'IDENTIFIER ==> Text string; quoted if has embedded commas.';
  if (Length(cNote3) < 50) then
    cNote3 := cNote3+cNote5
  else
    cNote4 := cNote5+cNote4;
  NoteLbl.Caption := cNote;
  if (cNote2 <> '') then
    begin
      NoteLbl2.Caption := cNote2;
      NoteLbl3.Caption := cNote3;
      NoteLbl4.Caption := cNote4;
    end
  else
    begin
      NoteLbl2.Caption := cNote3;
      NoteLbl3.Caption := cNote4;
      NoteLbl4.Caption := '';
    end;
end;

function TFileHelpForm.DispFmtLong1: string;
var FmtIn: string;
begin
  if (cTabSrc = 'Twp/Rge') then
    FmtIn := '[NAD],LSD,Sec,Twp,Rge,Mer,A_type,[Ref_Area],[Ref_Pt],[East],[North]'
  else if (cTabSrc = 'BC/NTS') then
    FmtIn := '[NAD],Qtr,Unit,Zn,PQ,LQ,Six,[Ref_Area],[Ref_Pt],[East],[North]'
  else if (cTabSrc = 'Frontier') then
    FmtIn := '[NAD],Unit,Sec,Lat,Lat_Min,Long,Long_Min,[Ref_Area],[Ref_Pt],[East],[North]'
  else if (cTabSrc = 'Lat/Long') then
    FmtIn := '[NAD],[Deg_Fmt],Lat,[NS],Long,[EW]'
  else if (cTabSrc = 'UTM/UPS') then
    FmtIn := '[NAD],[UTM/UPS],[Zone],Easting,Northing'
  else if (cTabSrc = 'Mercator') then
    FmtIn := '[NAD],[Obl_Ang],[Scale],[E_org],[N_org],[Long_org],[EW],[Lat_org],[NS],Easting,Northing'
  else if (cTabSrc = 'Polar') then
    FmtIn := '[NAD],[Scale],[E_org],[N_org],[NS],Easting,Northing'
  else if (cTabSrc = 'Lambert') then
    FmtIn := '[NAD],[E_org],[N_org],[N_Lat],[N_Lat_Dir],[S_Lat],[S_Lat_Dir],[Long_org],[EW],[Lat_org],[NS],Easting,Northing'
  else if (cTabSrc = 'PolyConic') then
    FmtIn := '[NAD],[E_org],[N_org],[Long_org],[EW],[Lat_org],[NS],Easting,Northing'
  else if (cTabSrc = 'Military') then
    FmtIn := '[NAD],[UTM/UPS],[Zone],Military_Code,[Precision]'
  else if (cTabSrc = 'Albers') then
    FmtIn := '[NAD],[E_org],[N_org],[N_Lat],[N_Lat_Dir],[S_Lat],[S_Lat_Dir],[Long_org],[EW],[Lat_org],[NS],Easting,Northing';
  Result := FmtIn+',';
end;

function TFileHelpForm.DispFmtLong2: string;
var FmtOut: string;
begin
  if (cTabDest = 'Twp/Rge') then
    FmtOut := '[NAD],A_type,[Ref_Area],[Ref_Pt]'
  else if (cTabDest = 'BC/NTS') then
    FmtOut := '[NAD],[Ref_Area],[Ref_Pt]'
  else if (cTabDest = 'Frontier') then
    FmtOut := '[NAD],[Ref_Area],[Ref_Pt]'
  else if (cTabDest = 'Lat/Long') then
    FmtOut := '[NAD],[Deg_Fmt],[NS],[EW]'
  else if (cTabDest = 'UTM/UPS') then
    FmtOut := '[NAD],[UTM/UPS],[Zone]'
  else if (cTabDest = 'Mercator') then
    FmtOut := '[NAD],[Obl_Ang],[Scale],[E_org],[N_org],[Long_org],[EW],[Lat_org],[NS]'
  else if (cTabDest = 'Polar') then
    FmtOut := '[NAD],[Scale],[E_org],[N_org],[NS]'
  else if (cTabDest = 'Lambert') then
    FmtOut := '[NAD],[E_org],[N_org],[N_Lat],[N_Lat_Dir],[S_Lat],[S_Lat_Dir],[Long_org],[EW],[Lat_org],[NS]'
  else if (cTabDest = 'PolyConic') then
    FmtOut := '[NAD],[E_org],[N_org],[Long_org],[EW],[Lat_org],[NS]'
  else if (cTabDest = 'Military') then
    FmtOut := '[NAD],[UTM/UPS],[Zone],[Precision]'
  else if (cTabDest = 'Albers') then
    FmtOut := '[NAD],[E_org],[N_org],[N_Lat],[N_Lat_Dir],[S_Lat],[S_Lat_Dir],[Long_org],[EW],[Lat_org],[NS]';
  Result := FmtOut;
end;

function TFileHelpForm.DispFmtShort: string;
var FmtIn,FmtOut: string;
begin
  if (cTabSrc = 'Twp/Rge') then
    FmtIn := 'LSD,Sec,Twp,Rge,Mer,A_type'
  else if (cTabSrc = 'BC/NTS') then
    FmtIn := 'Qtr,Unit,Zn,PQ,LQ,Six'
  else if (cTabSrc = 'Frontier') then
    FmtIn := 'Unit,Sec,Lat,Lat_Min,Long,Long_Min'
  else if (cTabSrc = 'Lat/Long') then
    FmtIn := 'Lat,Long'
  else if (cTabSrc = 'UTM/UPS') then
    FmtIn := 'Easting,Northing'
  else if (cTabSrc = 'Mercator') then
    FmtIn := 'Easting,Northing'
  else if (cTabSrc = 'Polar') then
    FmtIn := 'Easting,Northing'
  else if (cTabSrc = 'Lambert') then
    FmtIn := 'Easting,Northing'
  else if (cTabSrc = 'PolyConic') then
    FmtIn := 'Easting,Northing'
  else if (cTabSrc = 'Military') then
    FmtIn := 'Military_Code'
  else if (cTabSrc = 'Albers') then
    FmtIn := 'Easting,Northing';
  if (cTabDest = 'Twp/Rge') then
    FmtOut := 'A_type'
  else if (cTabDest = 'BC/NTS') then
    FmtOut := ''
  else if (cTabDest = 'Frontier') then
    FmtOut := ''
  else if (cTabDest = 'Lat/Long') then
    FmtOut := ''
  else if (cTabDest = 'UTM/UPS') then
    FmtOut := ''
  else if (cTabDest = 'Mercator') then
    FmtOut := ''
  else if (cTabDest = 'Polar') then
    FmtOut := ''
  else if (cTabDest = 'Lambert') then
    FmtOut := ''
  else if (cTabDest = 'PolyConic') then
    FmtOut := ''
  else if (cTabDest = 'Military') then
    FmtOut := ''
  else if (cTabDest = 'Albers') then
    FmtOut := '';
  Result := FmtIn+',IDENTIFIER';
  if (FmtOut <> '') then Result := Result+','+FmtOut;
end;

procedure TFileHelpForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Self.Release;
end;

procedure TFileHelpForm.FormCreate(Sender: TObject);
var
  cHt,cWd: string;
begin
  cHt    := GlobalUnit.GetLastSetting('FILEHELP','HEIGHT');
  cWd    := GlobalUnit.GetLastSetting('FILEHELP','WIDTH');
  if (cHt <> '') then Height := StrToInt(cHt);
  if (cWd <> '') then Width  := StrToInt(cWd);
  iFmt := -1;
end;

procedure TFileHelpForm.FormResize(Sender: TObject);
var cHt,cWd: string;
begin
  cHt := IntToStr(Height);
  GlobalUnit.SaveLastSetting('FILEHELP','HEIGHT',cHt);
  cWd := IntToStr(Width);
  GlobalUnit.SaveLastSetting('FILEHELP','WIDTH',cWd);
end;

procedure TFileHelpForm.BitBtnExitClick(Sender: TObject);
begin
  iFmt := -1;
end;

procedure TFileHelpForm.BitBtnFileClick(Sender: TObject);
begin
  iFmt := FmtRG.ItemIndex;
end;

end.
