unit GlobalUnit;

interface

uses SysUtils, IniFiles, Forms;

function GetIniFile(cFile: string): string;

function GetLastSetting(cSection: string; cVal: string): string;

procedure SaveLastSetting(cSection: string; cId: string; cVal: string);

function GetHelpFile(iHelpFile: integer): string;

function PadFieldStart(TheField: string; TheLength: integer): string;

implementation

function GetIniFile(cFile: string): string;
var tt,ff: string;
begin
//  if (cFile = '') then
//    Result := ChangeFileExt(Application.ExeName,'.INI')
//  else
//    Result := ExtractFilepath(Application.ExeName)+cFile+'.INI';
  tt := GetEnvironmentVariable('USERPROFILE')+'\';
  if (cfile = '') then
    ff := ExtractFileName(Application.exeName)
  else
    ff := cfile;
  Result := tt+ChangeFileExt(ff, '.ini');
end;

function GetLastSetting(cSection: string; cVal: string): string;
begin
  with TIniFile.Create(GetIniFile('')) do
    begin
      Result := ReadString (cSection,cVal,'' ) ;
      Free;
    end;
end;

procedure SaveLastSetting(cSection: string; cId: string; cVal: string);
begin
  with TIniFile.Create(GetIniFile('')) do
    begin
      WriteString (cSection,cId,cVal) ;
      Free;
    end;
end;

function GetHelpFile(iHelpFile: integer): string;
begin
  if (iHelpFile = 1) then
    Result := ExtractFilepath(Application.ExeName)+'FileHelp.pdf'
  else
    Result := ExtractFilepath(Application.ExeName)+'readtool.txt';
end;

function PadFieldStart(TheField: string; TheLength: integer): string;
var cTemp: string;
begin
  cTemp := Copy(TheField, 1, TheLength);
  while (Length(cTemp) < TheLength) do
    cTemp := ' '+cTemp;
  Result := cTemp;
end;

end.

