unit HelpU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OleCtnrs;

type
  THelpTool = class(TForm)
    HelpMemo: TMemo;
    OleHelp: TOleContainer;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
    iHelpCase: integer;
    procedure LoadHelpFile(iHelpCase: integer);
  end;

var
  HelpTool: THelpTool;

implementation

uses
  GlobalUnit;

{$R *.DFM}

procedure THelpTool.FormCreate(Sender: TObject);
var
  cHt,cWd: string;
begin
  cHt    := GlobalUnit.GetLastSetting('HELP_TOOL','HEIGHT');
  cWd    := GlobalUnit.GetLastSetting('HELP_TOOL','WIDTH');
  if (cHt <> '') then Height := StrToInt(cHt);
  if (cWd <> '') then Width  := StrToInt(cWd);
  iHelpCase := 0;
end;

procedure THelpTool.FormResize(Sender: TObject);
var cHt,cWd: string;
begin
  cHt := IntToStr(Height);
  cWd := IntToStr(Width);
  if (iHelpCase = 1) then
    begin
      GlobalUnit.SaveLastSetting('HELP_TOOL','HEIGHT',cHt);
      GlobalUnit.SaveLastSetting('HELP_TOOL','WIDTH',cWd);
    end
  else
    begin
      GlobalUnit.SaveLastSetting('HELPIO','HEIGHT',cHt);
      GlobalUnit.SaveLastSetting('HELPIO','WIDTH',cWd);
    end;
end;

procedure THelpTool.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Self.Release;
end;

procedure THelpTool.LoadHelpFile(iHelpCase: integer);
var cHt,cWd: string;
begin
  if (iHelpCase = 1) then
    begin
      cHt    := GlobalUnit.GetLastSetting('HELPIO','HEIGHT');
      cWd    := GlobalUnit.GetLastSetting('HELPIO','WIDTH');
      if (cHt <> '') then Height := StrToInt(cHt);
      if (cWd <> '') then Width  := StrToInt(cWd);
      OleHelp.Visible := True;
      OleHelp.CreateObjectFromFile(GlobalUnit.GetHelpFile(1), True);
      OleHelp.DoVerb(ovShow);
    end
  else
    begin
      cHt    := GlobalUnit.GetLastSetting('HELP_TOOL','HEIGHT');
      cWd    := GlobalUnit.GetLastSetting('HELP_TOOL','WIDTH');
      if (cHt <> '') then Height := StrToInt(cHt);
      if (cWd <> '') then Width  := StrToInt(cWd);
      OleHelp.Visible := False;
      HelpMemo.Lines.LoadFromFile(GlobalUnit.GetHelpFile(0));
    end;
end;

end.
