{ *********************************************************** }
{                                                             }
{     Coordinate Conversion Library                           }
{     GeoMath Unit                                            }
{                                                             }
{ *********************************************************** }

      unit GeoMath;

      interface

      uses SysUtils, Math, Dialogs;

      procedure AreaPt (GSPH:string; AreaIn:string;
        var YlatMin,XlonMin:string;
        var YlatMax,XlonMax:string; var ERR:integer);

      procedure CogGeo (GSPH:string; CogIn:string;
        YnIn,XeIn:string; var CogOut:string;
        var YlatOut,XlonOut:string; var ERR:integer);

      procedure CvtNAD (GSPH: string; YlatIn,XlonIn: string;
        var YlatOut,XlonOut: string; var ERR: integer);

      function DegToMin (DegIn:string): string;

      function DegToMS (DegIn:string): string;

      procedure DlsGeo (GSPH:string; DlsIn:string;
        YnIn,XeIn:string; var DlsOut:string;
        var YlatOut,XlonOut:string; var IERR:integer);

      procedure DlsSur(DlsIn:string;
        var DlsOut:string; var IFLAG:integer);

      procedure DlsLat(GSPH:string; DLSIN:string;
        var STRBE,STRBP:string; var IFLAG:integer);

      procedure DlsLatBdy(GSPH:string; DLSIN:string;                            //dwl 24Jun2013
        var LatBdy:string; var iLim:integer);                                   //dwl 24Jun2013

      procedure DlsLatProb(GSPH:string; DLSIN:string; Last: Boolean;            //dwl 16Jul2013
        KR,ILS,LKR: integer; var TNBDY,TSBDY,LAT: double);                      //dwl 16Jul2013                           //dwl 24Jun2013

      procedure DlsLon(GSPH:string; DLSIN:string;
        var STRRG:string; var IFLAG:integer);

      function DsplyDMS (DegIn:string; Latitude:Boolean): string;

      function DsplyWid (s:string): string;

      procedure GeoCog (GSPH:string; CogIn:string;
        YlatIn,XlonIn:string; var CogOut:string;
        var YnOut,XeOut:string; var ERR:integer);

      procedure GeoDls (GSPH:string; DlsIn:string;
        YlatIn,XlonIn:string; var DlsOut:string;
        var YnOut,XeOut:string; var IERR:integer);

      procedure GeoLmb (GSPH:string; LmbIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);

      procedure GeoAlb (GSPH:string; AlbIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);

      procedure GeoMer (GSPH:string; ZnLonIn:string;
        UtmIn:string; YlatIn,XlonIn:string;
        var ZnLonOut:string;
        var YnOut,XeOut: string;
        var ERR:integer);

      procedure GeoMil (GSPH:string; ZnIn:string;
        YlatIn,XlonIn: string; Prec: integer;
        var ZnOut:string; var MilCode: string; var ERR:integer);

      procedure GeoNts (GSPH:string; NtsIn:string;
        YlatIn,XlonIn:string; var NtsOut:string;
        var YnOut,XeOut:string; var ERR:integer);

      procedure GeoPly (GSPH:string; PlyIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);

      procedure GeoPol (GSPH:string; ZnIn:string;
        PolIn:string; YlatIn,XlonIn:string;
        var ZnOut:string;
        var YnOut,XeOut: string;
        var ERR:integer);

      procedure GeoPMil (ZnIn:string; YnIn,XeIn:string; Prec: integer;
        var ZnOut:string; var MilOut: string; var ERR:integer);

      procedure GeoTg4 (GSPH:string; Tg4In:string;
        YlatIn,XlonIn:string; var Tg4Out:string;
        var YnOut,XeOut:string; var ERR:integer);

      procedure GeoTgr (GSPH:string; TgrIn:string;
        YlatIn,XlonIn:string; var TgrOut:string;
        var YnOut,XeOut:string; var ERR:integer);

      procedure GeoUTM (GSPH:string; ZnIn:string;
        YlatIn,XlonIn:string; var ZnOut:string;
        var YnOut,XeOut: string; var ERR:integer);

      function GeoUTMZn (GSPH:string; YlatIn,XlonIn:string;
        var CMer: string; var ERR:integer): string;

      procedure LmbGeo (GSPH:string; LmbIn:string;
        YnIn,XeIn: string;
        var YlatOut,XlonOut:string;
        var ERR:integer);

      procedure AlbGeo (GSPH:string; AlbIn:string;
        YnIn,XeIn: string;
        var YlatOut,XlonOut:string;
        var ERR:integer);

      procedure MerGeo (GSPH:string; ZnLonIn:string;
        UtmIn:string; YnIn,XeIn:string;
        var ZnLonOut:string;
        var YlatOut,XlonOut: string;
        var ERR:integer);

      procedure MilField (MilCode: string;
        var iZnL,iSQ,iEst,iNor,ierr: integer);

      procedure MilGeo (GSPH:string; MilCode:string;
        UTMZn: string;  PQ: string;
        var ZnOut:string;
        var YlatOut,XlonOut: string; var ERR:integer);

      function MilUTMZn (GSPH:string; MilCode:string;
        UTMZn:string; PQ:string;
        var CMer: string; var ERR:integer): string;

      function MinToDeg (MinIn:string): string;

      function MSToDeg (MSIn:string): string;

      function NodeToWid (s:string): string;

      procedure NtsGeo (GSPH:string; NtsIn:string;
        YnIn,XeIn:string; var NtsOut:string;
        var YlatOut,XlonOut:string; var ERR:integer);

      procedure PlyGeo (GSPH:string; PlyIn:string;
        YnIn,XeIn:string;
        var YlatOut,XlonOut: string;
        var ERR:integer);

      procedure PolGeo (GSPH:string; ZnIn:string;
        PolIn:string; YnIn,XeIn:string;
        var ZnOut:string;
        var YlatOut,XlonOut: string;
        var ERR:integer);

      procedure PMilGeo (ZnIn:string; MilIn:string; Prec: integer;
        var ZnOut:string; var YnOut,XeOut: string; var ERR:integer);

      procedure Tg4Geo (GSPH:string; Tg4In:string;
        YnIn,XeIn:string; var Tg4Out:string;
        var YlatOut,XlonOut:string; var ERR:integer);

      procedure TgrGeo (GSPH:string; TgrIn:string;
        YnIn,XeIn:string; var TgrOut:string;
        var YlatOut,XlonOut:string; var ERR:integer);

      procedure UTMGeo (GSPH:string; ZnIn:string;
        YnIn,XeIn:string; var ZnOut:string;
        var YlatOut,XlonOut: string; var ERR:integer);

      function WidToNode (s:string): string;

      implementation

      {$R+}

{
C ***********************************************************
     }
      function DsplyWid (s:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert to display from unique well-id.
C
C                 100/99-99-999-99M9/00   <== 100999999999M900
C                 200/X-999-X/999-X-99/00 <== 200X999X999X9900
C                 300/X-99/99-99-999-99/0 <== 300X999999999990
C                 400/99.999-999.999/00   <== 4009999999999900
C
C     AUTHOR:     D. W. Lepard, 1997
C
C ***********************************************************
     }
var t: string;
begin
  result := '';
  if (Length(s) = 16) then begin
  t := UpperCase(s);
  result := t;
  case s[1] of
    '1':result := Copy(t,4,2)+'-'+Copy(t,6,2)+'-'+Copy(t,8,3)
          +'-'+Copy(t,11,4)+'/'+Copy(t,15,2);
    '2':result := Copy(t,4,1)+'-'+Copy(t,5,3)+'-'+Copy(t,8,1)
          +'/'+Copy(t,9,3)+'-'+Copy(t,12,1)+'-'+Copy(t,13,2)+'/'+Copy(t,15,2);
    '3':result := Copy(t,4,1)+'-'+Copy(t,5,2)+'/'+Copy(t,7,2)
          +'-'+Copy(t,9,2)+'-'+Copy(t,11,3)+'-'+Copy(t,14,2)+'/'+Copy(t,16,1);
    '4':result := Copy(t,4,2)+'.'+Copy(t,6,3)
          +'-'+Copy(t,9,3)+'.'+Copy(t,12,3)+'/'+Copy(t,15,2);
  end;
  if s[1] in ['1'..'4']
    then result := Copy(t,1,3)+'/'+result;
  end;
end;

{
C ***********************************************************
     }
      function WidToNode (s:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert unique well-id to Node.
C
C                 1eeddsstttrrwman  ==> 1wmtttrrssddeean
C                 2eequuuzpppbssan  ==> 2pppbsszuuuqeean
C                 3eeussyyyyxxxxxn  ==> 3yyyyxxxxxssueen
C                 4eeyyyyyxxxxxxan  ==> 4yyyyyxxxxxxeean
C
C     AUTHOR:     D. W. Lepard, 1997
C
C ***********************************************************
     }
var t: string;
begin
  result := '';
  if (Length(s) = 16) then begin
  t := UpperCase(s);
  result := t;
  case s[1] of
    '1':result := Copy(t,13,2)+Copy(t,8,5)+Copy(t,6,2)
          +Copy(t,4,2)+Copy(t,2,2)+Copy(t,15,2);
    '2':result := Copy(t,9,6)+Copy(t,8,1)+Copy(t,5,3)
          +Copy(t,4,1)+Copy(t,2,2)+Copy(t,15,2);
    '3':result := Copy(t,7,9)+Copy(t,5,2)+Copy(t,4,1)
          +Copy(t,2,2)+Copy(t,16,1);
    '4':result := Copy(t,4,11)+Copy(t,2,2)+Copy(t,15,2);
  end;
  if s[1] in ['1'..'4']
    then result := Copy(t,1,1)+result;
  end;
end;

{
C ***********************************************************
     }
      function NodeToWid (s:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert Node to unique well-id.
C
C                 1eeddsstttrrwman  <== 1wmtttrrssddeean
C                 2eequuuzpppbssan  <== 2pppbsszuuuqeean
C                 3eeussyyyyxxxxxn  <== 3yyyyxxxxxssueen
C                 4eeyyyyyxxxxxxan  <== 4yyyyyxxxxxxeean
C
C     AUTHOR:     D. W. Lepard, 1997
C
C ***********************************************************
     }
var t: string;
begin
  result := '';
  if (Length(s) = 16) then begin
  t := UpperCase(s);
  result := t;
  case s[1] of
    '1':result := Copy(t,13,2)+Copy(t,11,2)+Copy(t,9,2)
          +Copy(t,4,5)+Copy(t,2,2)+Copy(t,15,2);
    '2':result := Copy(t,13,2)+Copy(t,12,1)+Copy(t,9,3)
          +Copy(t,8,1)+Copy(t,2,6)+Copy(t,15,2);
    '3':result := Copy(t,14,2)+Copy(t,13,1)+Copy(t,11,2)
          +Copy(t,2,9)+Copy(t,16,1);
    '4':result := Copy(t,13,2)+Copy(t,2,11)+Copy(t,15,2);
  end;
  if s[1] in ['1'..'4']
    then result := Copy(t,1,1)+result;
  end;
end;

{
C ***********************************************************
     }
      function DegToMin (DegIn:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert DDD.DDDDDD to DDDMM.MMMM where
C                   D,M represent degree,minute
C
C     AUTHOR:     D. W. Lepard, 2005
C
C ***********************************************************
     }
      var IOP,IDEG: integer;
{    }
      var DEG,MIN,XX: DOUBLE;
{    }
      BEGIN
      IF (DegIn <> '') THEN BEGIN
      IOP  := 0;
      DEG  := StrToFloat(DegIn);
      IF (DEG < 0.0) THEN BEGIN
        IOP   := 1;
        DEG   := -DEG
      END;
      IDEG  := Trunc(DEG);
      MIN   := (DEG-IDEG)*60.0;
      IF (MIN >= 59.99995) THEN BEGIN
        IDEG  := IDEG+1;
        MIN  := MIN-60.0;
        IF (MIN < 0) THEN MIN := 0.0
      END;
      XX   := IDEG*100+MIN;
      IF (IOP > 0) THEN XX  := -XX;
//      DegToMin := Format('%12.4f',[XX]);
      DegToMin := FloatToStr(XX);
      END ELSE DegToMin:= '';
      END;

{
C ***********************************************************
     }
      function DegToMS (DegIn:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert DDD.DDDDDD to DDDMMSS.SS where
C                   D,M,S represent degree,minute,
C                   second
C
C     AUTHOR:     D. W. Lepard, 1997
C
C ***********************************************************
     }
      var IOP,IDEG,MIN: integer;
{    }
      var DEG,SEC,XX: DOUBLE;
{    }
      BEGIN
      IF (DegIn <> '') THEN BEGIN
      IOP  := 0;
      DEG  := StrToFloat(DegIn);
      IF (DEG < 0.0) THEN BEGIN
        IOP   := 1;
        DEG   := -DEG
      END;
      IDEG  := Trunc(DEG);
      XX    := (DEG-IDEG)*60.0;
      MIN   := Trunc(XX);
      SEC   := (XX-MIN)*60.0;
      IF (SEC >= 59.995) THEN BEGIN
        MIN  := MIN+1;
        SEC  := SEC-60.0;
        IF (SEC < 0) THEN SEC := 0.0
      END;
      IF (MIN >= 60) THEN BEGIN
        IDEG  := IDEG+1;
        MIN   := MIN-60
      END;
      XX   := (IDEG*100+MIN)*100+SEC;
      IF (IOP > 0) THEN XX  := -XX;
//      DegToMS := Format('%12.2f',[XX])
      DegToMS := FloatToStr(XX);
      END ELSE DegToMS := '';
      END;

{
C ***********************************************************
     }
      function MinToDeg (MinIn:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert DDDMM.MMMM to DDD.DDDDDD where
C                   D,M represent degree,minute
C
C     AUTHOR:     D. W. Lepard, 2005
C
C ***********************************************************
     }
      var IOP,IDEG: integer;
{    }
      var DM,MIN,XX: DOUBLE;
{    }
      BEGIN
      IF (MinIn <> '') THEN BEGIN
      IOP  := 0;
      DM   := StrToFloat(MinIn);
      IF (DM < 0.0) THEN BEGIN
        IOP   := 1;
        DM   := -DM
      END;
      IDEG  := (Trunc(DM)) div 100;
      MIN   := DM-IDEG*100;
      XX    := IDEG+(MIN/60.0);
      IF (IOP > 0) THEN XX  := -XX;
//      MinToDeg := Format('%12.6f',[XX]);
      MinToDeg := FloatToStr(XX);
      END ELSE MinToDeg := '';
      END;

{
C ***********************************************************
     }
      function MSToDeg (MSIn:string): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert DDDMMSS.SS to DDD.DDDDDD where
C                   D,M,S represent degree,minute,
C                   second
C
C     AUTHOR:     D. W. Lepard, 1997
C
C ***********************************************************
     }
      var IOP,IDM,IDEG,MIN: integer;
{    }
      var DMS,SEC,XX: DOUBLE;
{    }
      BEGIN
      IF (MSIn <> '') THEN BEGIN
      IOP  := 0;
      DMS  := StrToFloat(MSIn);
      IF (DMS < 0.0) THEN BEGIN
        IOP   := 1;
        DMS   := -DMS
      END;
      IDM   := (Trunc(DMS)) div 100;
      IDEG  := IDM div 100;
      MIN   := IDM-IDEG*100;
      SEC   := DMS-IDM*100;
      XX    := MIN;
      XX    := IDEG+(XX+(SEC/60.0))/60.0;
      IF (IOP > 0) THEN XX  := -XX;
//      MSToDeg := Format('%12.6f',[XX]);
      MSToDeg := FloatToStr(XX);
      END ELSE MSToDeg := '';
      END;

{
C ***********************************************************
     }
      function DsplyDMS (DegIn:string; Latitude:Boolean): string;
{
C ***********************************************************
C
C     PURPOSE:    Convert DDD.DDDDDD to ddd mm' ss.ss" X
C                   X is N/S when Latitude=True
C                        E/W when Latitude=False
C
C     AUTHOR:     D. W. Lepard, 1999
C
C ***********************************************************
     }
      var IOP,IDEG,MIN: integer;
{    }
      var DEG,SEC,XX: DOUBLE;
{    }
      var temp: string;
{    }
      BEGIN
      IF (DegIn <> '') THEN BEGIN
      IOP  := 0;
      DEG  := StrToFloat(DegIn);
      IF (DEG < 0.0) THEN BEGIN
        IOP   := 1;
        DEG   := -DEG
      END;
      IDEG  := Trunc(DEG);
      XX    := (DEG-IDEG)*60.0;
      MIN   := Trunc(XX);
      SEC   := (XX-MIN)*60.0;
      IF (SEC >= 59.995) THEN BEGIN
        MIN  := MIN+1;
        SEC  := SEC-60.0;
        IF (SEC < 0) THEN SEC := 0.0
      END;
      IF (MIN >= 60) THEN BEGIN
        IDEG  := IDEG+1;
        MIN   := MIN-60
      END;
      XX   := (IDEG*100+MIN)*100+SEC;
//      IF (IOP > 0) THEN XX  := -XX;
      temp := Format('%12.2f',[XX]);
//      temp := Copy(temp,2,4)+' '+Copy(temp,6,2)+''' '+Copy(temp,8,5)+'" ';
      if ((IDEG = 0) and (MIN = 0)) then
        temp := Copy(temp,8,5)+'" '
      else if (IDEG = 0) then
        temp := Copy(temp,6,2)+''' '+Copy(temp,8,5)+'" '
      else
        temp := Copy(temp,2,4)+' '+Copy(temp,6,2)+''' '+Copy(temp,8,5)+'" ';
      if (Latitude) then
        begin
          case IOP of
            0: DsplyDMS := temp+'N';
            1: DsplyDMS := temp+'S';
          end;
        end
      else
        begin
          case IOP of
            0: DsplyDMS := temp+'E';
            1: DsplyDMS := temp+'W';
          end;
        end;
      END ELSE DsplyDMS := '';
      END;

      {Lambert initialization record set by IniLmb; distances
           are in metres and angles are in radians.

       Lambert projection based on source code of
           R. T. Williams, Computers & Geosciences
           Vol. 21, No. 3, pp. 353-364, 1995                  }

      type
        Tlmbcon = record
          D2R:   double;     {degrees*D2R = radians           }
          CMR:   double;     {central mer = local long origin }
          SINSTD:double;     {function of 2 standard latitudes}
          SK:    double;     {geoid function at local origin  }
          YBASE: double;     {Y = Ybase-f(lat) = 0 at origin  }
          E:     double;     {eccentricity                    }
          Y0:    double;     {Y = Y+Y0; origin set to Y0      }
          X0:    double;     {X = X+X0; origin set to X0      }
          F0:    double;     {angular coefficients for LmbGeo }
          F2:    double;
          F4:    double;
          F6:    double;
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid  }
        end;                 {               reference frame  }

{
C ***********************************************************
     }
      procedure IniLmb (GSPH:string; LmbIn:string;
        var LmbCon:Tlmbcon; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize Lambert projection.
C
C     SOURCE:     R. T. Williams, Computers & Geosciences
C                 Vol. 21, No. 3, pp. 353-364, 1995.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       LmbIn                                       STRING[72]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Northern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [37-48] Southern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [49-60] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [61-72] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C     OUTPUT:
C       LmbCon    Lambert Projection Parameters     Tlmbcon
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
      var AMAJ,BLATP,BLATR,C2,C4,C6,C8,CMM,ESQ:double;
      var ESS,FLAT,QB,QN,QS,SLNP,SLNR,SLSP:double;
      var SLSR,WN,WS,ESIN,SINLAT:double;
//      var Q0,W0,TANSTD,STD:double;
{    }
      var CH:string;
{    }
      label 9000;
{    }
      begin

      with LmbCon do
      begin

      ERR   := 9004;
      if ((Length(GSPH) < 8) or (Length(LmbIn) < 72)) then goto 9000;
      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'M') and (CH <> 'S')) then goto 9000;
      if (CH = 'M') then begin
        CMM    := StrToFloat(MinToDeg(Copy(LmbIn,1,12)));
        BLATP  := StrToFloat(MinToDeg(Copy(LmbIn,13,12)));
        SLNP   := StrToFloat(MinToDeg(Copy(LmbIn,25,12)));
        SLSP   := StrToFloat(MinToDeg(Copy(LmbIn,37,12)))
        end
      else if (CH = 'S') then begin
        CMM    := StrToFloat(MSToDeg(Copy(LmbIn,1,12)));
        BLATP  := StrToFloat(MSToDeg(Copy(LmbIn,13,12)));
        SLNP   := StrToFloat(MSToDeg(Copy(LmbIn,25,12)));
        SLSP   := StrToFloat(MSToDeg(Copy(LmbIn,37,12)))
        end
      else begin
        CMM    := StrToFloat(Copy(LmbIn,1,12));
        BLATP  := StrToFloat(Copy(LmbIn,13,12));
        SLNP   := StrToFloat(Copy(LmbIn,25,12));
        SLSP   := StrToFloat(Copy(LmbIn,37,12))
        end;
      if (IGS > 2) then begin
        BLATP := -BLATP;
        SLNP  := -SLNP;
        SLSP  := -SLSP
      end;
      if ((IGS = 2) or (IGS = 4)) then CMM := -CMM;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        begin
        AMAJ := 6378206.4;
        FLAT := 1.0/294.9786982
        end
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        begin
        AMAJ := 6378137.00;
        FLAT := 1.0/298.257222101
        end
      else goto 9000;
{    }
      ERR := 9000;
      if ((Abs(Abs(BLATP)-90.0) < 0.000001)
           or (Abs(Abs(SLNP)-90.0) < 0.000001)
           or (Abs(Abs(SLSP)-90.0) < 0.000001)
           or (Abs(SLNP-SLSP) < 0.000001)) then goto 9000;
{    }
      D2R   := Pi/180.0;
      BLATR := BLATP*D2R;
      CMR   := CMM*D2R;
      Y0    := StrToFloat(Copy(LmbIn,49,12));
      X0    := StrToFloat(Copy(LmbIn,61,12));
{    }
      if (SLNP >= SLSP) then begin
        SLNR  :=  SLNP*D2R;
        SLSR  :=  SLSP*D2R
      end
      else begin
        SLNR  :=  SLSP*D2R;
        SLSR  :=  SLNP*D2R
      end;
{    }
      ESQ    :=  FLAT*(2.0-FLAT);
      ESS    :=  ESQ*ESQ;
      E      :=  Sqrt(ESQ);
      SINLAT :=  Sin(SLSR);
      ESIN   :=  E*SINLAT;
      QS     :=  (Ln((1.0+SINLAT)/(1.0-SINLAT))
                  -E*Ln((1.0+ESIN)/(1.0-ESIN)))/2.0;
      WS     :=  Sqrt(1.0-ESIN*ESIN);
      SINLAT :=  Sin(SLNR);
      ESIN   :=  E*SINLAT;
      QN     :=  (Ln((1.0+SINLAT)/(1.0-SINLAT))
                  -E*Ln((1.0+ESIN)/(1.0-ESIN)))/2.0;
      WN     :=  Sqrt(1.0-ESIN*ESIN);
      SINLAT :=  Sin(BLATR);
      ESIN   :=  E*SINLAT;
      QB     :=  (Ln((1.0+SINLAT)/(1.0-SINLAT))
                  -E*Ln((1.0+ESIN)/(1.0-ESIN)))/2.0;
      SINSTD :=  Ln((WN*Cos(SLSR))/(WS*Cos(SLNR)))/(QN-QS);
//      STD    :=  ArcSin(SINSTD);
//      TANSTD :=  Tan(STD);
//      SINLAT :=  SINSTD;
//      ESIN   :=  E*SINLAT;
//      Q0     :=  (Ln((1.0+SINLAT)/(1.0-SINLAT))
//                  -E*Ln((1.0+ESIN)/(1.0-ESIN)))/2.0;
//      W0     :=  Sqrt(1.0-ESIN*ESIN);
      SK     :=  AMAJ*Cos(SLSR)*Exp(QS*SINSTD)/(WS*SINSTD);
      YBASE  :=  SK/Exp(QB*SINSTD);
      C2     :=  ESQ*(1.0/2.0+ESQ*(5.0/24.0+ESQ*(1.0/12.0
                  +13.0*ESQ/360.0)));
      C4     :=  ESS*(7.0/48.0+ESQ*(29.0/240.0
                  +811.0*ESQ/11520.0));
      C6     :=  ESQ*ESS*(7.0/120.0+81.0*ESQ/1120.0);
      C8     :=  4279.0*ESS*ESS/161280.0;
      F0     :=  2.0*(C2-2.0*C4+3.0*C6-4.0*C8);
      F2     :=  8.0*(C4-4.0*C6+10.0*C8);
      F4     :=  32.0*(C6-6.0*C8);
      F6     :=  128.0*C8

      end;                            { of with LmbCon do}
      ERR := 0;
 9000:
      end;                            { of procedure IniLmb}



      {Albers initialization record set by IniAlb; distances
           are in metres and angles are in radians.

       Albers projection based on source code of
           U. S. Geological Survey Bulletin 1532             }

      type
        Talbcon = record
          D2R:   double;     {degrees*D2R = radians           }
          CMR:   double;     {central mer = local long origin }
          A:     double;     {equatorial radius in m          }
          E:     double;     {eccentricity                    }
          Y0:    double;     {Y = Y+Y0; origin set to Y0      }
          X0:    double;     {X = X+X0; origin set to X0      }
          R0:    double;     {A*Root(C-NQ0)/N                 }
          C:     double;     {M1**2+NQ1                       }
          N:     double;     {(M1**2-M2**2)/(Q2-Q1)           }
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid  }
        end;                 {               reference frame  }
{
C ***********************************************************
     }
      procedure IniAlb (GSPH:string; AlbIn:string;
        var AlbCon:Talbcon; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize Albers projection.
C
C     SOURCE:     Map Projections Used by the U. S. Geological Survey
C                 Geological Survey Bulletin 1532.
C
C     REVISED BY: D. W. Lepard, 2003, for GSC in-house NAD83
C                 (default) or NAD27 calculations in Pascal.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       AlbIn                                       STRING[72]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Northern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [37-48] Southern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [49-60] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [61-72] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C     OUTPUT:
C       AlbCon    Albers Projection Parameters      Talbcon
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
      var AMAJ,BLATP,CMM,YBASE,ESQ:double;
      var FLAT,SLNP,SLSP,SLNR,SLSR:double;
      var ESIN,SINLAT,Q0,Q1,Q2,M1,M2:double;
{    }
      var CH:string;
{    }
      label 9000;
{    }
      begin

      with AlbCon do
      begin

      ERR   := 9004;
      if ((Length(GSPH) < 8) or (Length(AlbIn) < 72)) then goto 9000;
      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'M') and (CH <> 'S')) then goto 9000;
      if (CH = 'M') then begin
        CMM    := StrToFloat(MinToDeg(Copy(AlbIn,1,12)));
        BLATP  := StrToFloat(MinToDeg(Copy(AlbIn,13,12)));
        SLNP   := StrToFloat(MinToDeg(Copy(AlbIn,25,12)));
        SLSP   := StrToFloat(MinToDeg(Copy(AlbIn,37,12)))
        end
      else if (CH = 'S') then begin
        CMM    := StrToFloat(MSToDeg(Copy(AlbIn,1,12)));
        BLATP  := StrToFloat(MSToDeg(Copy(AlbIn,13,12)));
        SLNP   := StrToFloat(MSToDeg(Copy(AlbIn,25,12)));
        SLSP   := StrToFloat(MSToDeg(Copy(AlbIn,37,12)))
        end
      else begin
        CMM    := StrToFloat(Copy(AlbIn,1,12));
        BLATP  := StrToFloat(Copy(AlbIn,13,12));
        SLNP   := StrToFloat(Copy(AlbIn,25,12));
        SLSP   := StrToFloat(Copy(AlbIn,37,12))
        end;
      if (IGS > 2) then begin
        BLATP := -BLATP;
        SLNP  := -SLNP;
        SLSP  := -SLSP
      end;
      if ((IGS = 2) or (IGS = 4)) then CMM := -CMM;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        begin
        AMAJ := 6378206.4;
        FLAT := 1.0/294.9786982
        end
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        begin
        AMAJ := 6378137.00;
        FLAT := 1.0/298.257222101
        end
      else goto 9000;

      ERR := 9000;
      if ((Abs(SLNP-SLSP) < 0.000001)) then goto 9000;
{    }
      D2R   := Pi/180.0;
      CMR   := CMM*D2R;
      YBASE := BLATP*D2R;
      A     := AMAJ;
      Y0    := StrToFloat(Copy(AlbIn,49,12));
      X0    := StrToFloat(Copy(AlbIn,61,12));
{    }
      if (SLNP >= SLSP) then begin
        SLNR  :=  SLNP*D2R;
        SLSR  :=  SLSP*D2R
      end
      else begin
        SLNR  :=  SLSP*D2R;
        SLSR  :=  SLNP*D2R
      end;
{    }
      ESQ    :=  FLAT*(2.0-FLAT);
      E      :=  Sqrt(ESQ);
      SINLAT :=  Sin(YBASE);
      ESIN   :=  E*SINLAT;
      Q0     :=  (1.0-ESQ)*(SINLAT/(1.0-ESIN*ESIN)
                            - (1.0/(E+E))*Ln((1.0-ESIN)/(1.0+ESIN)));
      SINLAT :=  Sin(SLSR);
      ESIN   :=  E*SINLAT;
      Q1     :=  (1.0-ESQ)*(SINLAT/(1.0-ESIN*ESIN)
                            - (1.0/(E+E))*Ln((1.0-ESIN)/(1.0+ESIN)));
      M1     :=  Cos(SLSR)/Sqrt(1.0-ESIN*ESIN);
      SINLAT :=  Sin(SLNR);
      ESIN   :=  E*SINLAT;
      Q2     :=  (1.0-ESQ)*(SINLAT/(1.0-ESIN*ESIN)
                            - (1.0/(E+E))*Ln((1.0-ESIN)/(1.0+ESIN)));
      M2     :=  Cos(SLNR)/Sqrt(1.0-ESIN*ESIN);
      N      :=  (M1*M1-M2*M2)/(Q2-Q1);
      C      :=  M1*M1+N*Q1;
      R0     :=  A*(Sqrt(C-N*Q0))/N;
      end;                            { of with AlbCon do}
      ERR := 0;
 9000:
      end;                            { of procedure IniAlb}



      {Mercator initialization record; distances are in metres
           and angles are in radians.  Note that the rectifying
           sphere has same meridional length as the spheroid.

       Mercator projections based on source code of
           R. T. Williams, Computers & Geosciences
           Vol. 21, No. 3, pp. 353-364, 1995                  }
      type
        Tmercon = record
          D2R:   double;     {degrees*D2R = radians           }
          CMR:   double;     {central mer = local long origin }
          SCF:   double;     {scale factor; 0.9996 for UTM    }
          SR:    double;     {radius of rectifying sphere     }
          YBASE: double;     {Y = f(lat)-Ybase = 0 at origin  }
          AMAJ:  double;     {semi-major axis                 }
          ESQ:   double;     {square of eccentricity          }
          Y0:    double;     {Y = Y+Y0; Y0 =10000000 for S UTM}
          X0:    double;     {X = X+X0; X0 =  500000 for UTM  }
          U0:    double;     {angular coefficients for GeoMer }
          U2:    double;
          U4:    double;
          U6:    double;
          V0:    double;     {angular coefficients for MerGeo }
          V2:    double;
          V4:    double;
          V6:    double;
          SNAZM: double;     {Sin of oblique azim; 0 for UTM  }
          CSAZM: double;     {Cos of oblique azim; 1 for UTM  }
          IOB:   integer;    {Flag=1 for oblique projection   }
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid  }
        end;                 {               reference frame  }
{
C ***********************************************************
     }
      procedure IniMer (GSPH:string; ZnLonIn:string;
        UtmIn:string; var ZnLonOut:string;
        var MerCon:Tmercon; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize Mercator projections.
C
C     SOURCE:     R. T. Williams, Computers & Geosciences
C                 Vol. 21, No. 3, pp. 353-364, 1995.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnLonIn                                     STRING[16]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM [input 0 is
C                   replaced by value determined
C                   from CM when CM has a UTM value].
C                   UTM latitude zone 'C'-'X' is
C                   optional last character.
C         [5-16]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.  UTM values
C                   use centre of zone of width 6
C                   degrees.  Specified when NZ = 0.
C
C       UtmIn                                       STRING[60]
C         [1-12]  Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.  UTM values
C                   use 0.0.
C         [13-24] Azimuthal angle for oblique
C                   projection in decimal degrees.
C                   Independent of GSPH sign and
C                   number format.  Set to 0.0 for
C                   UTM/transverse mercator.
C         [25-36] Projection scale factor.  Set
C                   to 0.9996 for UTM.
C         [37-48] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C                   UTM southern hemisphere values
C                   use Y0 = 10 000 000.
C         [49-60] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C                   UTM values use X0 = 500 000.
C
C     OUTPUT:
C       ZnLonOut                                    STRING[16]
C         [1-4]   UTM zone.  Input value of 0 is
C                   replaced by value determined
C                   from CM when CM has a UTM value.
C                   UTM latitude zone 'C'-'X' is
C                   optional last character.
C         [5-16]  Central Meridian.  Input value
C                   replaced by value determined
C                   from UTM zone when UTM zone
C                   has a non-zero value.
C
C       MerCon    Mercator Projection Parameters    Tmercon
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
      var MER,NZ,indx,ipos: integer;
{    }
      var AZIM,AZIMR,BLATP,BLATR,CMER,CMM,COSBL:double;
      var COSBL2,DELTA,FLAT,FN,FN2,OMEGA,SINBL,SU2:double;
      var SU4,SU6,SU8,SV2,SV4,SV6,SV8:double;
{    }
      var CH:string;
{    }
      label 9000;
{    }
      begin

      with MerCon do
      begin

      ZnLonOut := UpperCase(ZnLonIn);
      ERR   := 9004;
      if ((Length(GSPH) <8) or (Length(ZnLonIn) < 16)
        or (Length(UtmIn) < 60)) then goto 9000;

      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'M') and (CH <> 'S')) then goto 9000;
      if (CH = 'M') then begin
        CMM    := StrToFloat(MinToDeg(Copy(ZnLonIn,5,12)));
        BLATP  := StrToFloat(MinToDeg(Copy(UtmIn,1,12)))
        end
      else if (CH = 'S') then begin
        CMM    := StrToFloat(MSToDeg(Copy(ZnLonIn,5,12)));
        BLATP  := StrToFloat(MSToDeg(Copy(UtmIn,1,12)))
        end
      else begin
        CMM    := StrToFloat(Copy(ZnLonIn,5,12));
        BLATP  := StrToFloat(Copy(UtmIn,1,12))
        end;

      if (IGS > 2) then BLATP  := -BLATP;
      if ((IGS = 2) or (IGS = 4)) then CMM := -CMM;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        begin
        AMAJ := 6378206.4;
        FLAT := 1.0/294.9786982
        end
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        begin
        AMAJ := 6378137.00;
        FLAT := 1.0/298.257222101
        end
      else goto 9000;

      ipos := 4;
      for indx := 1 to 3 do
        if ((ZnLonOut[4-indx] in ['A'..'Z']) or (ZnLonOut[4-indx] = ' ')) then
          ipos := 4-indx;
      NZ := 0;
      if (ipos > 1) then
        NZ := StrToInt(Copy(ZnLonOut,1,ipos-1));
      if (ipos < 4) then
        ZnLonOut := Format('%2.2d',[NZ])+ZnLonOut[ipos]+' '
                      +Copy(ZnLonOut,5,12)
      else
        ZnLonOut := Format('%2.2d',[NZ])+'  '
                      +Copy(ZnLonOut,5,12);

//      NZ  := StrToInt(Copy(ZnLonIn,1,2));
      if (NZ = 0) then begin
        MER   := Trunc(CMM);
        NZ    := 30+(MER div 6);
        if (MER >= 0) then NZ := NZ+1;
        MER   := -(183-NZ*6);
        CMER  := MER;
        DELTA := CMM-CMER;
        if (DELTA < 0.0) then DELTA := -DELTA;
        if (DELTA < 0.0000005) then
          ZnLonOut := Format('%2.2d',[NZ])
                        +Copy(ZnLonOut,3,14)
        end
      else begin
        MER   := -(183-NZ*6);
        CMM   := MER;
        CMER  := CMM;
        if ((IGS = 2) or (IGS = 4)) then CMER := -CMER;
        ZnLonOut := Copy(ZnLonOut,1,4)
//                      +Format('%12.6f',[CMER]);
                      +Format('%12.7f',[CMER]);
        if (CH = 'S') then
          ZnLonOut := Copy(ZnLonOut,1,4)
                        +DegToMS(Copy(ZnLonOut,5,12));
        end;

      D2R   := Pi/180.0;
      BLATR := BLATP*D2R;
      CMR   := CMM*D2R;
      AZIM  := StrToFloat(Copy(UtmIn,13,12));
      SCF   := StrToFloat(Copy(UtmIn,25,12));
      Y0    := StrToFloat(Copy(UtmIn,37,12));
      X0    := StrToFloat(Copy(UtmIn,49,12));

      DELTA := AZIM;
      if (DELTA < 0.0) then DELTA := -DELTA;
      if (DELTA >= 0.0000005) then begin
        IOB   := 1;
        AZIMR := AZIM*D2R;
        SNAZM := Sin (AZIMR);
        CSAZM := Cos (AZIMR)
        end
      else begin
        IOB   := 0;
        SNAZM := 0.0;
        CSAZM := 1.0
        end;

      FN  := FLAT/(2.0-FLAT);
      FN2 := FN*FN;
      ESQ := FLAT*(2.0-FLAT);
      SR  := AMAJ*(1.0-FN)*(1.0-FN2)
           *(1.0+FN2*(9.0/4.0+225.0*FN2/64.0));
      SU2 := FN*(-1.5+9.0*FN2/16.0);
      SU4 := FN2*(30.0-15.0*FN2)/32.0;
      SU6 := -35.0*FN*FN2/48.0;
      SU8 := 315.0*FN2*FN2/512.0;
      U0  := 2.0*(SU2-2.0*SU4+3.0*SU6-4.0*SU8);
      U2  := 8.0*(SU4-4.0*SU6+10.0*SU8);
      U4  := 32.0*(SU6-6.0*SU8);
      U6  := 128.0*SU8;
      SV2 := FN*(1.5-27.0*FN2/32.0);
      SV4 := FN2*(42.0-55.0*FN2)/32.0;
      SV6 := 151.0*FN*FN2/96.0;
      SV8 := 1097.0*FN2*FN2/512.0;
      V0  := 2.0*(SV2-2.0*SV4+3.0*SV6-4.0*SV8);
      V2  := 8.0*(SV4-4.0*SV6+10.0*SV8);
      V4  := 32.0*(SV6-6.0*SV8);
      V6  := 128.0*SV8;
      COSBL  := Cos (BLATR);
      COSBL2 := COSBL*COSBL;
      SINBL  := Sin (BLATR);
      OMEGA  := BLATR+SINBL*COSBL*(U0+COSBL2*(U2+COSBL2*(U4
              +COSBL2*U6)));
      YBASE  := SCF*OMEGA*SR;

      end;                            { of with MerCon do}
      ERR := 0;
 9000:
      end;                            { of procedure IniMer}

      {NAD conversion initialization record}
      type
        TNAD = record
          KON:   array [0..22] of double;
          CON:   array [0..22] of double;
          TO83:  integer;    {conversion direction:
                                +1 ==> from NAD27 to NAD83
                                -1 ==> from NAD83 to NAD27 }
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid
                                             reference frame  }
        end;
{
C ***********************************************************
     }
      procedure IniNAD (GSPH: string;
                               var NAD: TNAD; var ERR: integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize NAD conversion function.
C
C     SOURCE:     Internet; June, 2000.
C
C     REVISED BY: D. W. Lepard, 2000, for GSC in-house
C                 calculations in Pascal.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C     OUTPUT:
C       NAD       Datum Conversion Constants        TNAD
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
{    }
      var CH:string;
{    }
      label 9000;
{    }
      begin

      with NAD do
      begin
      ERR   := 9004;
      if (Length(GSPH) <8) then goto 9000;

      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'M') and (CH <> 'S')) then goto 9000;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        TO83 := 1
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        TO83 := -1
      else goto 9000;

      KON[ 0] :=  0.16984;
      KON[ 1] := -0.76173;
      KON[ 2] :=  0.09585;
      KON[ 3] :=  1.09919;
      KON[ 4] := -4.57801;
      KON[ 5] := -1.13239;
      KON[ 6] :=  0.49831;
      KON[ 7] := -0.98399;
      KON[ 8] :=  0.12415;
      KON[ 9] :=  0.11450;
      KON[10] := 27.05396;
      KON[11] :=  2.03449;
      KON[12] :=  0.73357;
      KON[13] := -0.37548;
      KON[14] := -0.14197;
      KON[15] :=-59.96555;
      KON[16] :=  0.07439;
      KON[17] := -4.76082;
      KON[18] :=  0.03385;
      KON[19] := 49.04320;
      KON[20] := -1.30575;
      KON[21] := -0.07653;
      KON[22] :=  0.08646;
      CON[ 0] := -0.88437;
      CON[ 1] :=  2.05061;
      CON[ 2] :=  0.26361;
      CON[ 3] := -0.76804;
      CON[ 4] :=  0.13374;
      CON[ 5] := -1.31974;
      CON[ 6] := -0.52162;
      CON[ 7] := -1.05853;
      CON[ 8] := -0.49211;
      CON[ 9] :=  2.17204;
      CON[10] := -0.06004;
      CON[11] :=  0.30139;
      CON[12] :=  1.88585;
      CON[13] := -0.81162;
      CON[14] := -0.05183;
      CON[15] := -0.96723;
      CON[16] := -0.12948;
      CON[17] :=  3.41827;
      CON[18] := -0.44507;
      CON[19] :=  0.18882;
      CON[20] := -0.01444;
      CON[21] :=  0.04794;
      CON[22] := -0.59013;

      end;                            { of with NAD do}
      ERR := 0;
 9000:
      end;                            { of procedure IniNAD}

{
C ***********************************************************
     }
      procedure CvtNAD (GSPH: string; YlatIn,XlonIn: string;
         var YlatOut,XlonOut: string; var ERR: integer);
{
C ***********************************************************
C
C     PURPOSE:    Convert from NAD27 to NAD83 or vice versa.
C
C     SOURCE:     Internet - for US adjustment; June, 2000.
C
C     REVISED BY: D. W. Lepard, 2000, for GSC in-house
C                 calculations in Pascal.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns input values
C
C ***********************************************************
     }
      var LA,LO: array [0..22] of double;
      var BDEG,LDEG,U,V,KK,BDIF,LDIF,DS :double;
      var i: integer;
{    }
      var NAD: TNAD;
{    }
      label 9000;
{    }
      begin                           { of main CvtNAD }
      YlatOut := YlatIn;
      XlonOut := XlonIn;
      ERR   := 9000;
      if (Length(GSPH) < 8) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniNAD (GSPH, NAD, ERR);
      if (ERR <> 0) then goto 9000;

      if (UpperCase(GSPH[3]) = 'M') then begin
        BDEG   := StrToFloat(MinToDeg(YlatIn));
        LDEG   := StrToFloat(MinToDeg(XlonIn));
        end
      else if (UpperCase(GSPH[3]) = 'S') then begin
        BDEG   := StrToFloat(MSToDeg(YlatIn));
        LDEG   := StrToFloat(MSToDeg(XlonIn));
        end
      else begin
        BDEG   := StrToFloat(YlatIn);
        LDEG   := StrToFloat(XlonIn);
        end;

      with NAD do
      begin
      if (IGS > 2 ) then BDEG := -BDEG;
      if ((IGS = 2) or (IGS = 4)) then LDEG := -LDEG;

      KK := 0.05235988;
      U := KK*(BDEG-37.0);
      V := KK*(95.0+LDEG);
      BDIF := 0.0;
      LDIF := 0.0;
      DS   := 1.0/3600.0;

      LA[ 0] := KON[ 0];
      LA[ 1] := KON[ 1]*U;
      LA[ 2] := KON[ 2]*V;
      LA[ 3] := KON[ 3]*U*U;
      LA[ 4] := KON[ 4]*U*U*U;
      LA[ 5] := KON[ 5]*U*U*V;
      LA[ 6] := KON[ 6]*V*V*V;
      LA[ 7] := KON[ 7]*U*U*U*V;
      LA[ 8] := KON[ 8]*U*V*V*V;
      LA[ 9] := KON[ 9]*V*V*V*V;
      LA[10] := KON[10]*U*U*U*U*U;
      LA[11] := KON[11]*U*U*U*U*V;
      LA[12] := KON[12]*U*U*V*V*V;
      LA[13] := KON[13]*V*V*V*V*V;
      LA[14] := KON[14]*V*V*V*V*V*V;
      LA[15] := KON[15]*U*U*U*U*U*U*U;
      LA[16] := KON[16]*V*V*V*V*V*V*V;
      LA[17] := KON[17]*U*U*U*U*U*U*U*U;
      LA[18] := KON[18]*V*V*V*V*V*V*V*V;
      LA[19] := KON[19]*U*U*U*U*U*U*U*U*U;
      LA[20] := KON[20]*U*U*U*U*U*U*V*V*V;
      LA[21] := KON[21]*U*U*U*V*V*V*V*V*V*V*V*V;
      LA[22] := KON[22]*U*U*U*U*V*V*V*V*V*V*V*V*V;

      LO[ 0] := CON[ 0];
      LO[ 1] := CON[ 1]*V;
      LO[ 2] := CON[ 2]*U*U;
      LO[ 3] := CON[ 3]*U*V;
      LO[ 4] := CON[ 4]*V*V;
      LO[ 5] := CON[ 5]*U*U*U;
      LO[ 6] := CON[ 6]*U*U*V;
      LO[ 7] := CON[ 7]*U*V*V;
      LO[ 8] := CON[ 8]*U*U*V*V;
      LO[ 9] := CON[ 9]*U*V*V*V;
      LO[10] := CON[10]*V*V*V*V;
      LO[11] := CON[11]*U*U*U*U*V;
      LO[12] := CON[12]*U*V*V*V*V;
      LO[13] := CON[13]*U*V*V*V*V*V;
      LO[14] := CON[14]*V*V*V*V*V*V;
      LO[15] := CON[15]*U*V*V*V*V*V*V;
      LO[16] := CON[16]*U*U*U*V*V*V*V*V;
      LO[17] := CON[17]*U*U*U*U*U*U*U*U*U;
      LO[18] := CON[18]*U*U*U*U*U*U*U*U*V;
      LO[19] := CON[19]*U*V*V*V*V*V*V*V*V;
      LO[20] := CON[20]*V*V*V*V*V*V*V*V*V;
      LO[21] := CON[21]*U*V*V*V*V*V*V*V*V*V;
      LO[22] := CON[22]*U*U*U*U*U*U*U*U*U*V*V*V;

      for i := 0 to 22 do
        begin
          BDIF := BDIF+LA[I];
          LDIF := LDIF+LO[I];
        end;

      BDEG := BDEG+(TO83*(BDIF*DS));
      LDEG := LDEG+(TO83*(LDIF*DS));

      if (IGS > 2 ) then BDEG := -BDEG;
      if ((IGS = 2) or (IGS = 4)) then LDEG := -LDEG;

      end;
//      YlatOut := Format('%12.6f',[BDEG]);
//      XlonOut := Format('%12.6f',[LDEG]);
      YlatOut := FloatToStr(BDEG);
      XlonOut := FloatToStr(LDEG);
      if (UpperCase(GSPH[3]) = 'M') then
        begin
          YlatOut := DegToMin(YlatOut);
          XlonOut := DegToMin(XlonOut)
        end
      else if (UpperCase(GSPH[3]) = 'S') then
        begin
          YlatOut := DegToMS(YlatOut);
          XlonOut := DegToMS(XlonOut)
        end;
      ERR   := 0;
 9000:
      end;

      {Polar Stereographic initialization record; distances
           are in metres and angles are in radians.

       Polar projections based on source code of
           Defence Mapping Agency Technical Manual 8358.2,
           8613 Lee Highway, Fairfax, Virginia 22031-2137,
           September 1989                                     }
      type
        Tpolcon = record
          D2R:   double;     {degrees*D2R = radians           }
          SCF:   double;     {scale factor; 0.994 for UPS     }
          AMAJ:  double;     {semi-major axis                 }
          ESQ:   double;     {square of eccentricity          }
          Y0:    double;     {Y = Y+Y0; Y0 = 2000000 for UPS  }
          X0:    double;     {X = X+X0; X0 = 2000000 for UPS  }
          C0:    double;     {constant used to find R         }
          E:     double;     {eccentricity                    }
          A1:    double;     {constants for inverse calc      }
          B1:    double;
          C1:    double;
          D1:    double;
          NS:    integer;    {Flag=1 for South Polar          }
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid  }
        end;                 {               reference frame  }
{
C ***********************************************************
     }
      procedure IniPol (GSPH:string; ZnIn:string;
        PolIn:string; var ZnOut:string;
        var PolCon:Tpolcon; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize Polar projections.
C
C     SOURCE:     Defence Mapping Agency
C                 Technical Manual 8358.2.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnIn                                        STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.  Blank value will be
C                   replaced with calculated value.
C       PolIn                                       STRING[36]
C         [1-12]  Projection scale factor.  Set
C                   to 0.994 for UPS.
C         [13-24] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C                   UPS southern hemisphere values
C                   use Y0 = 2 000 000.
C         [25-36] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C                   UPS values use X0 = 2 000 000.
C
C     OUTPUT:
C       ZnOut                                       STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.
C
C       PolCon    Polar Projection Parameters       Tpolcon
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
      var indx,iOk: integer;
      var FLAT: double;
{    }
      var CH: string;
{    }
      label 9000;
{    }
      begin

      with PolCon do
      begin

      ZnOut := UpperCase(ZnIn);
      ERR   := 9004;
      if ((Length(GSPH) < 8) or (Length(ZnIn) < 2)
        or (Length(PolIn) < 36)) then goto 9000;

      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'M') and (CH <> 'S')) then goto 9000;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        begin
        AMAJ := 6378206.4;                 //Clarke 1866
        FLAT := 1.0/294.9786982
        end
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        begin
        AMAJ := 6378137.00;
        FLAT := 1.0/298.257222101          //GRS80
//        FLAT := 1.0/298.2572223563         //WGS84
        end
      else goto 9000;

      NS := 0;
      CH := 'N';                                  // N pole if not given
      for indx := 1 to 2 do
        if (ZnOut[indx] in ['N','S']) then
          CH := ZnOut[indx];
      iOk := 1;
      for indx := 1 to 2 do
        if (ZnOut[indx] in ['Y','Z']) then
          begin
            ZnOut := 'N'+ZnOut[indx];
            iOk := 0;
          end
        else if (ZnOut[indx] in ['A','B']) then
          begin
            ZnOut := 'S'+ZnOut[indx];
            iOk := 0;
          end;
      if (iOk <> 0) then
        ZnOut := CH+' ';                          // Latitude Zone not given
      if (ZnOut[1] = 'S') then
        NS := 1;

      D2R   := Pi/180.0;
      SCF   := StrToFloat(Copy(PolIn,1,12));
      Y0    := StrToFloat(Copy(PolIn,13,12));
      X0    := StrToFloat(Copy(PolIn,25,12));

      ESQ := FLAT*(2.0-FLAT);
      E   := Sqrt(ESQ);

      C0  := ((AMAJ+AMAJ)/(1.0-FLAT))*Power(((1.0-E)/(1.0+E)),0.5*E);

      A1  := (0.5*ESQ)*(1.0+(ESQ/6.0)*(2.5+ESQ*(1.0+13.0*(ESQ/30.0))));
      B1  := ((ESQ*ESQ)/48.0)*(7.0+(0.5*ESQ)*(29.0+811.0*(ESQ/48.0)));
      C1  := ((ESQ*ESQ*ESQ)/40.0)*((7.0/3.0)+((81.0/28.0)*ESQ));
      D1  := (ESQ*ESQ)*(ESQ*ESQ)*(4279.0/161280.0);
      end;                            { of with PolCon do}
      ERR := 0;
 9000:
      end;                            { of procedure IniPol}


      {Polyconic initialization record; distances are in metres
           and angles are in radians.  Note that the rectifying
           sphere has same meridional length as the spheroid.

       Polyconic projections based on source code of G. D. Newton,
           U. S. Geological Survey Bullitin 1642, 1985.       }
      type
        Tplycon = record
          D2R:   double;     {degrees*D2R = radians           }
          CMR:   double;     {central mer = local long origin }
          BLAT: double;      {base lat = local lat origin     }
          SR:    double;     {radius of rectifying sphere     }
          YBASE: double;     {Y = f(lat)-Ybase = 0 at origin  }
          AMAJ:  double;     {semi-major axis                 }
          ESQ:   double;     {square of eccentricity          }
          Y0:    double;     {Y = Y+Y0; Y0 =10000000 for S UTM}
          X0:    double;     {X = X+X0; X0 =  500000 for UTM  }
          U0:    double;     {angular coefficients for GeoArc }
          U2:    double;
          U4:    double;
          U6:    double;
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid  }
        end;                 {               reference frame  }
{
C ***********************************************************
     }
      procedure IniPly (GSPH:string; PlyIn:string;
        var PlyCon:Tplycon; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize Polyconic projections.
C
C     SOURCE:     G. D. Newton, U. S. Geological Survey
C                 Bulletin 1642, 1985.
C
C     REVISED BY: D. W. Lepard, 1998, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       PlyIn                                       STRING[48]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [37-48] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C     OUTPUT:
C       PlyCon    Polyconic Projection Parameters   TPlycon
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
      var BLATP,CMM,COSBL:double;
      var COSBL2,FLAT,FN,FN2,OMEGA,SINBL,SU2:double;
      var SU4,SU6,SU8:double;
{    }
      var CH:string;
{    }
      label 9000;
{    }
      begin

      with PlyCon do
      begin

      ERR   := 9004;
      if ((Length(GSPH) <8) or (Length(PlyIn) < 48)) then goto 9000;

      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'M') and (CH <> 'S')) then goto 9000;
      if (CH = 'M') then begin
        CMM    := StrToFloat(MinToDeg(Copy(PlyIn,1,12)));
        BLATP  := StrToFloat(MinToDeg(Copy(PlyIn,13,12)))
        end
      else if (CH = 'S') then begin
        CMM    := StrToFloat(MSToDeg(Copy(PlyIn,1,12)));
        BLATP  := StrToFloat(MSToDeg(Copy(PlyIn,13,12)))
        end
      else begin
        CMM    := StrToFloat(Copy(PlyIn,1,12));
        BLATP  := StrToFloat(Copy(PlyIn,13,12))
        end;

      if (IGS > 2) then BLATP  := -BLATP;
      if ((IGS = 2) or (IGS = 4)) then CMM := -CMM;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        begin
        AMAJ := 6378206.4;
        FLAT := 1.0/294.9786982
        end
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        begin
        AMAJ := 6378137.00;
        FLAT := 1.0/298.257222101
        end
      else goto 9000;

      D2R   := Pi/180.0;
      CMR   := CMM*D2R;
      BLAT  := BLATP*D2R;
      Y0    := StrToFloat(Copy(PlyIn,25,12));
      X0    := StrToFloat(Copy(PlyIn,37,12));

      FN  := FLAT/(2.0-FLAT);
      FN2 := FN*FN;
      ESQ := FLAT*(2.0-FLAT);
      SR  := AMAJ*(1.0-FN)*(1.0-FN2)
           *(1.0+FN2*(9.0/4.0+225.0*FN2/64.0));
      SU2 := FN*(-1.5+9.0*FN2/16.0);
      SU4 := FN2*(30.0-15.0*FN2)/32.0;
      SU6 := -35.0*FN*FN2/48.0;
      SU8 := 315.0*FN2*FN2/512.0;
      U0  := 2.0*(SU2-2.0*SU4+3.0*SU6-4.0*SU8);
      U2  := 8.0*(SU4-4.0*SU6+10.0*SU8);
      U4  := 32.0*(SU6-6.0*SU8);
      U6  := 128.0*SU8;
      COSBL  := Cos (BLAT);
      COSBL2 := COSBL*COSBL;
      SINBL  := Sin (BLAT);
      OMEGA  := BLAT+SINBL*COSBL*(U0+COSBL2*(U2+COSBL2*(U4
              +COSBL2*U6)));
      YBASE  := OMEGA*SR;

      end;                            { of with PlyCon do}
      ERR := 0;
 9000:
      end;                            { of procedure IniPly}

(*      {Polyconic initialization record set by IniPly; distances
           are in metres and angles are in radians.

       Source for Polyconic projection unknown.               }

      type
        Tplycon = record
          D2R:   double;     {degrees*D2R = radians           }
          CMR:   double;     {central mer = local long origin }
          YBASE: double;     {base lat = local lat origin     }
          AMAJ:  double;     {semi-major axis                 }
          ESQ:   double;     {square of eccentricity          }
          X0:    double;     {X = X+X0; X0 =  500000 for UTM  }
          Y0:    double;     {Y = Y+Y0; Y0 =10000000 for S UTM}
          IGS:   integer;    {Flag=1-4 for NE,NW,SE,SW Geoid  }
        end;                 {               reference frame  }

{
C ***********************************************************
     }
      procedure IniPly (GSPH:string; PlyIn:string;
        var PlyCon:Tplycon; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Initialize constants for Polyconic
C                 projection.
C
C     AUTHOR:     D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       PlyIn                                       STRING[48]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [37-48] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C     OUTPUT:
C       PlyCon    Polyconic Projection Parameters   Tplycon
C
C       ERR       Error flag; 0 if OK               INTEGER
C
C ***********************************************************
     }
      var AMAJ,BLATP,CMM,FLAT: double;
{    }
      var CH:string;
{    }
      label 9000;
{    }
      begin

      with PlyCon do
      begin

      ERR   := 9004;
      if ((Length(GSPH) < 8) or (Length(PlyIn) < 48)) then goto 9000;
      IGS   := 1;
      CH    := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      if (CH = 'S') then IGS := 3
        else if (CH <> 'N') then goto 9000;
{                              # default to 'E' if not 'W'  }
      CH   := UpperCase(GSPH[2]);
      if (CH = 'W') then IGS := IGS+1
        else if (CH <> 'E') then goto 9000;
{                              # dec degree or deg-min-sec  }

      CH   := UpperCase(GSPH[3]);
      if ((CH <> 'D') and (CH <> 'S')) then goto 9000;
      if (CH = 'S') then begin
        CMM    := StrToFloat(MSToDeg(Copy(PlyIn,1,12)));
        BLATP  := StrToFloat(MSToDeg(Copy(PlyIn,13,12)))
        end
      else begin
        CMM    := StrToFloat(Copy(PlyIn,1,12));
        BLATP  := StrToFloat(Copy(PlyIn,13,12))
        end;
      if (IGS > 2) then BLATP := -BLATP;
      if ((IGS = 2) or (IGS = 4)) then CMM := -CMM;

      if (UpperCase(Copy(GSPH,4,5)) = 'NAD27') then
        begin
        AMAJ := 6378206.4;
        FLAT := 1.0/294.9786982
        end
      else if (UpperCase(Copy(GSPH,4,5)) = 'NAD83') then
        begin
        AMAJ := 6378137.00;
        FLAT := 1.0/298.257222101
        end
      else goto 9000;
{    }
      D2R   := Pi/180.0;
      YBASE := BLATP*D2R;
      CMR   := CMM*D2R;
      Y0    := StrToFloat(Copy(PlyIn,25,12));
      X0    := StrToFloat(Copy(PlyIn,37,12));
      ESQ   := FLAT*(2.0-FLAT)

      end;                            { of with PlyCon do}
      ERR := 0;
 9000:
      end;                            { of procedure IniPly}    *)


{
C ***********************************************************
     }
      procedure CogGeo (GSPH:string; CogIn:string;
        YnIn,XeIn:string; var CogOut:string;
        var YlatOut,XlonOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Canada Oil and Gas Lands coordinates to
C                 Latitude and Longitude.
C
C     AUTHOR:     D. W. Lepard, 1995.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       CogIn                                       STRING[16]
C         [1]     Cog Grid type = '3' only
C         [2-5]   North-east grid corner latitude
C                   in degrees and minutes ( DDMM)
C         [6-10]  North-east grid corner longitude
C                   in degrees and minutes (DDDMM)
C         [11-12] Section in [1..99,0] ==> [1..100]
C         [13]    Unit in [A..P]
C         [14-15] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C         [16]    Section/Unit Flag in [S,U]
C
C       YnIn      Metres north of Ref Point         STRING[12]
C
C       XeIn      Metres east of Ref Point          STRING[12]
C
C     OUTPUT:
C       CogOut    CogIn using upper case; ref       STRING[16]
C                   point defaults to centre of
C                   unit, if not specified.
C
C       YlatOut   Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMMSS.SS)
C
C       XlonOut   Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMMSS.SS)
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YLAT, XLON        (0.0)
C               9004 = Illegal character
C               9007 = Illegal section ref point (see below)
C               9016 = Illegal grid latg (4000<LATG<=8500)
C               9017 = Illegal grid lat MM (0,10,20,30,40,50)
C               9018 = Illegal grid long (4800<=LONG<14400)
C               9019 = Illegal grid long  MM (0,15,30,45)
C               9020 = Illegal grid long  MM (0,30)
C               9021 = Illegal section (1-99,0 ==> 1-100)
C               9022 = Illegal section (1-80)
C               9023 = Illegal section (1-60)
C               9024 = Illegal unit (A-P)
C
C     NOTE:
C       Section/Unit Reference Point Location
C
C       NW ... NC ... NE
C       .      .      .
C       .      .      .
C       .      .      .
C       WC ... CC ... EC
C       .      .      .
C       .      .      .
C       .      .      .
C       SW ... SC ... SE
C
C ***********************************************************
     }
      var I,IDS4,IGS,II,IM,IOP,IW,IXG,IXS,IXU,IYG,IYS: integer;
      var IYU,JJ,LATD,LATM,LATP,LATS4,LOND: integer;
      var LONM,LONP,LONS4,MM,MSEC,MUNT,NG,NS,SEC: integer;
{    }
      var AMAJ,ANG,AUX,CS,D2R,DLAT,DLON,ESN,ESQ,FLAT: double;
      var RLAT,RLON,S2M,SN,XE,XLON,XX,YLAT,YN,YY: double;
{    }
      var CHU,SORU,IUNIT: string;
      var RPT: string;
      var TEXT: string;
{    }
      label 9000;
{    }
      BEGIN
      ERR   := 9004;
      S2M   :=  1.0/60.0;
      TEXT  :=  'ABCDEFGHIJKLMNOP';
//      YLAT  := 0.0;
//      XLON  := 0.0;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      CogOut  := '';
      if ((Length(GSPH) < 3) or (Length(CogIn) <> 16)) then goto 9000;
      CogOut := UpperCase(CogIn);
      IGS   := 1;
      CHU   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CHU = 'S') THEN IGS := 3
        ELSE IF (CHU <> 'N') THEN GOTO 9000;
{                              # default to 'E' if not 'W'  }
      CHU  := UpperCase(GSPH[2]);
      IF (CHU = 'W') THEN IGS := IGS+1
        ELSE IF (CHU <> 'E') THEN GOTO 9000;
{                              # dec degree or deg-min-sec  }
      CHU  := UpperCase(GSPH[3]);
      IF ((CHU <> 'D') AND (CHU <> 'M') AND (CHU <> 'S')) THEN GOTO 9000;
{                              # extract COG parameters     }
      IF (CogOut[1] <> '3') THEN GOTO 9000;
      FOR I := 2 TO 12 DO
        IF ((CogOut[I] < '0') OR (CogOut[I] > '9'))
          THEN GOTO 9000;
      LATP := StrToInt(Copy(CogOut,2,4));
      LONP := StrToInt(Copy(CogOut,6,5));
      SEC  := StrToInt(Copy(CogOut,11,2));
      IUNIT := CogOut[13];
      RPT  := Copy(CogOut,14,2);
      SORU := CogOut[16];
      IF ((SORU <> 'S') AND (SORU <> 'U')) THEN BEGIN
        IF ((IUNIT < 'A') OR (IUNIT > 'P'))
          THEN SORU  := 'S'
          ELSE SORU  := 'U';
        CogOut := Copy(CogOut,1,15)+SORU
      END;
      IOP  :=  0;
{                              # default to 'S' if not 'U'  }
      IF (SORU = 'U') THEN IOP := 1;
{    }
      AMAJ :=  6378137.00;
      FLAT :=  1.0/298.257222101;
      ESQ  :=  FLAT*(2.0-FLAT);
      D2R  :=  Pi/180.0;
      if (YnIn <> '')
        then YN   := StrToFloat(YnIn)
        else YN   := 0.0;
      if (XeIn <> '')
        then XE   := StrToFloat(XeIn)
        else XE   := 0.0;
{
C                              # Illegal section ref point
C                                (NE,NW,SE,SW,NC,SC,EC,WC,CC)
     }
      ERR  :=  0;
      IF ((RPT[1] = 'N') OR (RPT[1] = 'S'))
        THEN CHU  :=  RPT[2]
        ELSE BEGIN
          IF (RPT[2] <> 'C') THEN ERR :=  9007;
          CHU  :=  RPT[1]
        END;
      IF ((CHU <> 'E') AND (CHU <> 'W')
         AND (CHU <> 'C')) THEN ERR  :=  9007;
      IF (ERR <> 0) THEN BEGIN
        RPT  :=  'CC';
        IF (IOP = 0) THEN GOTO 9000;
        CogOut := Copy(CogOut,1,13)+RPT+CogOut[16]
      END;
{    }
      IM  :=  2;
      IF (RPT[1] = 'S') THEN IM  :=  1;
      IF (RPT[1] = 'N') THEN IM  :=  3;
      IW  :=  2;
      IF ((RPT[1] = 'E') OR (RPT[2] = 'E')) THEN IW  :=  1;
      IF ((RPT[1] = 'W') OR (RPT[2] = 'W')) THEN IW  :=  3;
{
C                              # Illegal grid latg
C                                           (4000<LATG<=8500)
     }
      ERR  :=  9016;
      LATD :=  LATP div 100;
      IF ((LATP <= 4000) OR (LATP > 8500)) THEN GOTO 9000;
{
C                              # Illegal grid lat MM
C                                          (0,10,20,30,40,50)
     }
      ERR  :=  9017;
      LATM :=  LATP-LATD*100;
      IYG  :=  LATM div 10;
      II   :=  LATM-IYG*10;
      IF ((IYG > 5) OR (II > 0)) THEN GOTO 9000;
      IF ((LATD = 85) AND (IYG > 0)) THEN GOTO 9000;
{
C                              # Illegal grid long
C                                          (4800<=LONG<14400)
     }
      ERR  :=  9018;
      LOND :=  LONP div 100;
      IF ((LONP < 4800) OR (LONP >= 14400)) THEN GOTO 9000;
{
C                              # Illegal grid long  MM
C                                                (0,15,30,45)
     }
      ERR  :=  9019;
      LONM :=  LONP-LOND*100;
      IXG  :=  LONM div 15;
      JJ   :=  LONM-IXG*15;
      IF ((IXG >= 4) OR (JJ > 0)) THEN GOTO 9000;
{
C                              # Illegal section
C                                          (1-99,0 ==> 1-100)
     }
      ERR  :=  9021;
      MSEC :=  SEC;
      IF ((MSEC < 0) OR (MSEC >= 100)) THEN GOTO 9000;
      IF (MSEC = 0) THEN MSEC :=  100;
{
C                              # Illegal unit (A-P)
     }
      ERR  :=  9024;
      MUNT :=  0;
      IF (IOP <> 0) THEN BEGIN
        IF ((IUNIT < 'A') OR (IUNIT > 'P')) THEN GOTO 9000;
        FOR I := 1 TO 16 DO BEGIN
          IF (IUNIT = TEXT[I]) THEN MUNT := I
        END
      END;
{
C
C Grid number (0-5); south bound from south degree line
C
     }
      LATM :=  LATM-10;
      IF (LATM < 0) THEN BEGIN
        LATD :=  LATD-1;
        LATM :=  LATM+60
      END;
//      IYG  :=  LATM div 10;
{
C
C Grid number (0-3) or (0-1); east bound from east degree line
C
     }
      NG  :=  4;
{
C                              # Illegal grid long  MM (0,30)
     }
      ERR :=  9020;
      IF (LATD >= 70) THEN BEGIN
        NG  :=  2;
        MM  :=  60 div NG;
        IXG :=  LONM div MM;
        JJ  :=  LONM-IXG*MM;
        IF ((IXG >= NG) OR (JJ > 0)) THEN GOTO 9000
      END;
{
C
C Section number (0-9) from south
C Section number (0-9) or (0-7) or (0-5) from east
C
     }
      NS  :=  10;
      IF (LATD >= 60) THEN NS  :=  8;
      IF (LATD >= 68) THEN NS  :=  6;
      IF (LATD >= 70) THEN NS  :=  10;
      IF (LATD >= 75) THEN NS  :=  8;
      IF (LATD >= 78) THEN NS  :=  6;
{
C                              # Illegal section (1-80)
     }
      ERR :=  9022;
      MM  :=  NS*10;
      IF ((NS = 8) AND (MSEC > MM)) THEN GOTO 9000;
{
C                              # Illegal section (1-60)
     }
      ERR :=  9023;
      IF ((NS = 6) AND (MSEC > MM)) THEN GOTO 9000;
{
C
C     S4 refers to 1/10,000 of a second
C
     }
      IXS  :=  (MSEC-1) div 10;
      IYS  :=  (MSEC-1)-IXS*10;
      LATM  :=  LATM+IYS;
      IDS4  :=  36000000 div (NG*NS);
      LONS4  :=  IXS*IDS4;
{
C
C Section or Unit reference point
C
     }
//      LATS4  :=  0;
      IF (IOP <> 0) THEN BEGIN
        IYU  :=  (MUNT-1) div 4;
        IXU  :=  (MUNT-1)-IYU*4;
        IF ((IYU = 1) OR (IYU = 3)) THEN IXU  :=  3-IXU;
        LATS4  :=  IYU*150000+(IM-1)*75000;
        LONS4  :=  LONS4+IXU*(IDS4 div 4)+(IW-1)*(IDS4 div 8)
      END
      ELSE BEGIN
        LATS4  :=  (IM-1)*300000;
        LONS4  :=  LONS4+(IW-1)*(IDS4 div 2)
      END;
{
C
C Latitude of reference point
C
     }
      MM    :=  LATS4 div 600000;
      LATM  :=  LATM+MM;
      LATS4 :=  LATS4-MM*600000;
      YY    :=  LATS4;
      YLAT  :=  YY*S2M*0.0001;
      YY    :=  LATM;
      YLAT  :=  (YLAT+YY)*S2M;
      YY    :=  LATD;
      YLAT  :=  YLAT+YY;
{
C
C Longitude of reference point
C
     }
      MM    :=  LONS4 div 600000;
      LONM  :=  LONM+MM;
      LONS4 :=  LONS4-MM*600000;
      XX    :=  LONS4;
      XLON  :=  XX*S2M*0.0001;
      XX    :=  LONM;
      XLON  :=  (XLON+XX)*S2M;
      XX    :=  LOND;
      XLON  :=  XLON+XX;
{
C
C Latitude and Longitude of point (XE, YN) from reference
C
     }
      ANG  :=  YLAT*D2R;
      SN   :=  Sin(ANG);
      CS   :=  Cos(ANG);
      ESN  :=  1.0-ESQ*SN*SN;
      AUX  :=  Sqrt(ESN);
      RLAT :=  AMAJ*(CS/AUX)*D2R;
      RLON :=  AMAJ*((1.0-ESQ)/(ESN*AUX))*D2R;
      DLAT :=  YN/RLON;
      DLON :=  -XE/RLAT;
      YLAT :=  YLAT+DLAT;
      XLON :=  XLON+DLON;
      ERR  :=  0;
      IF (IGS > 2) THEN YLAT := -YLAT;
      IF ((IGS = 1) OR (IGS = 3)) THEN XLON := -XLON;
//      YlatOut := Format('%12.6f',[YLAT]);
//      XlonOut := Format('%12.6f',[XLON]);
      YlatOut := FloatToStr(YLAT);
      XlonOut := FloatToStr(XLON);
      IF (UpperCase(GSPH[3]) = 'M') THEN BEGIN
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
      END
      ELSE IF (UpperCase(GSPH[3]) = 'S') THEN BEGIN
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
      END;
 9000:
      END;


{
C ***********************************************************
     }
      procedure DlsSur(DlsIn:string;
        var DlsOut:string; var IFLAG:integer);
{
C ***********************************************************
C
C     PURPOSE:  (1)Verify DLS Township-Range Survey System.
C               (2)Define Survey System, if not specified;
C                  assume not type 'A' and not system 4 or 5.
C               (3)Mark fractional twp bordering systems 1,2
C
C
C     AUTHOR:     D. W. Lepard, 1992.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       DlsIn                                      STRING[16]
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244]; output is
C                   system 1 or 2 township which
C                   cuts off system 3 township
C         [7-8]   Range in [1..34]; output is
C                   system 1 or 2 range which
C                   cuts off system 3 township
C
C         [13-14] Output is system 1 or 2 twp-rge
C                   boundary corner which cuts off
C                   system 3 township; value is
C                   in [NE,NW,SE,SW].
C         [15]    DLS survey system in [0..5];
C                   null value (0) is replaced with
C                   output value in [1..3] where
C                   systems 1 or 2 are assumed in
C                   cases where a twp-rge of type
C                   3 (an A-type) also exists
C
C     OUTPUT:
C       DlsOut    DlsIn using upper case; replaced STRING[16]
C                   with system 1 or 2 twp-rge
C                   whose boundary corner cuts off
C                   the system 3 twp-rge, when this
C                   occurs.
C       IFLAG     Error/Fractional twp-rge case.   INTEGER
C           0      OK    normal
C           1-12   OK    fractional case
C           51-62  OK    A-type fractional case
C           9000   error
C
C ***********************************************************
     }
      var I,ICASE,IDRG,IDTP,IRG,ISS,ITP,SUR,TYPA: INTEGER;
{    }
      var BDCOR,EWM: STRING;
{    }
      label 500,9000;
{    }
      BEGIN
      IFLAG  := 9000;
      if (Length(DlsIn) <> 16) then goto 9000;
      DlsOut := UpperCase(DlsIn);
      EWM    := Copy(DlsOut,2,2);
      IDTP   := 0;
      IDRG   := 0;
      BDCOR  := Copy(DlsOut,13,2);
      ICASE  := 0;
      TYPA   := 0;
{    }
      IF (DlsOut[1] <> '1') THEN GOTO 9000;
      IF ((EWM[1] <> 'E') AND (EWM[1] <> 'W'))
        THEN GOTO 9000;
      FOR I := 4 TO 8 DO
        IF ((DlsOut[I] < '0') OR (DlsOut[I] > '9'))
          THEN GOTO 9000;
      IF ((DlsOut[15] < '0') or (DlsOut[15] > '5'))
          THEN GOTO 9000;
{
C     RAILWAY SYSTEM 4
     }
      IF (DlsOut[15] = '4') THEN BEGIN
        IF (EWM[1] <> 'W') THEN GOTO 9000;
        IF (EWM[2] < '5')  THEN GOTO 9000;
        IFLAG := 0;
        GOTO 9000
      END;
{
C     COASTAL SYSTEM 5
     }
      IF (DlsOut[15] = '5') THEN BEGIN
        IF (EWM[2] <> '1') THEN GOTO 9000;
        IFLAG := 0;
        GOTO 9000
      END;
{    }
      ITP   := StrToInt(Copy(DlsOut,4,3));
      IRG   := StrToInt(Copy(DlsOut,7,2));
      SUR   := StrToInt(DlsOut[15]);
      ISS   := SUR;
      IF ((ITP < 0) OR (ITP > 244)) THEN GOTO 9000;
      IF ((IRG < 1) OR (IRG > 34))  THEN GOTO 9000;
{
C     EAST OF PRIME: 'E1'
     }
      IF (EWM = 'E1') THEN BEGIN
{
C       FOR TOWNSHIP 1-10
     }
        IF (ITP <= 10) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 17)) THEN BEGIN
            IF ((ITP = 3) OR (ITP = 7)) THEN BEGIN
              TYPA  := 50;
              ICASE := 11;
              IDTP  := -1;
              BDCOR := 'NE';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG <= 17)  THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG <> 18) THEN GOTO 500;
          IF ((ITP = 3) OR (ITP = 7))
            THEN ICASE := 6
            ELSE ICASE := 3;
          IDRG  := -1;
          BDCOR := 'SE';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 11-19
     }
        IF (ITP <= 19) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 10))   THEN BEGIN
            IF ((ITP = 15) OR (ITP = 19)) THEN BEGIN
              TYPA  := 50;
              ICASE := 11;
              IDTP  := -1;
              BDCOR := 'NE';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG <= 10)  THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (ITP = 11) THEN BEGIN
            IF ((IRG < 11) OR (IRG > 17)) THEN GOTO 500;
            IF (IRG = 11) THEN BEGIN
              ICASE := 9;
              IDRG  := -1;
              BDCOR := 'SE';
              GOTO 500
            END;
            IF (IRG = 17)
              THEN ICASE := 8
              ELSE ICASE := 1;
            IDTP   := -1;
            BDCOR  := 'NE';
            GOTO 500
          END;
          IF (IRG <> 11) THEN GOTO 500;
          IF ((ITP = 15) OR (ITP = 19))
            THEN ICASE  := 6
            ELSE ICASE  := 3;
          IDRG   := -1;
          BDCOR  := 'SE';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 20-26
     }
        IF (ITP <= 26) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 7)) THEN BEGIN
            IF (ITP = 23) THEN BEGIN
              TYPA   := 50;
              ICASE  := 11;
              IDTP   := -1;
              BDCOR  := 'NE';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG <= 7) THEN BEGIN
            IF (ISS = 0) THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0) THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (ITP = 20) THEN BEGIN
            IF ((IRG < 8) OR (IRG > 11)) THEN GOTO 500;
            IF (IRG = 8) THEN BEGIN
              ICASE  := 9;
              IDRG   := -1;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG = 11) THEN BEGIN
              ICASE  := 8;
              IDRG   := -1
            END
            ELSE ICASE  := 1;
            IDTP   := -1;
            BDCOR  := 'NE';
            GOTO 500
          END;
          IF (IRG <> 8) THEN GOTO 500;
          IF (ITP = 23)
            THEN ICASE  := 6
            ELSE ICASE  := 3;
          IDRG   := -1;
          BDCOR  := 'SE';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 27 AND GREATER: SYSTEM 3 ONLY
     }
        IF (ITP >= 27)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000
        END;
{
C       - FRACTIONAL TOWNSHIPS
     }
        IF ((ITP > 27) OR (IRG > 7)) THEN GOTO 500;
        IF (IRG = 7)
          THEN ICASE  := 8
          ELSE ICASE  := 1;
        IDTP   := -1;
        BDCOR  := 'NE';
        GOTO 500
      END;
{
C     OTHER MERIDIANS EAST OF PRIME: SYSTEM 3 ONLY
     }
      IF (EWM[1] = 'E') THEN BEGIN
        IF (ISS = 0)    THEN ISS  :=  3;
        IF (ISS <> 3)   THEN GOTO 9000;
        GOTO 500
      END;
{
C     WEST OF PRIME: 'W1'
     }
      IF (EWM = 'W1') THEN BEGIN
{
C       FOR TOWNSHIP 1-26: SYSTEM 1 ONLY
     }
        IF (ITP <= 26)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  1;
          IF (ISS <> 1) THEN GOTO 9000;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 27-30
     }
        IF (ITP <= 30) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 29)) THEN BEGIN
            TYPA  := 50;
            IF (ITP = 27)
              THEN ICASE  := 9
              ELSE ICASE  := 3;
            BDCOR  := 'SE';
            GOTO 500
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG >= 29)  THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF ((ITP <> 27) OR (IRG >= 29)) THEN GOTO 500;
          ICASE  := 1;
          IDTP   := -1;
          BDCOR  := 'NE';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 31 AND GREATER: SYSTEM 3 ONLY
     }
        IF (ITP >= 31)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000
        END;
{
C       - FRACTIONAL TOWNSHIPS
     }
        IF ((ITP > 31) OR (IRG < 28)) THEN GOTO 500;
        IF (IRG = 28) THEN BEGIN
          ICASE  := 8;
          IDRG   := 1
        END
        ELSE ICASE  := 1;
        IDTP   := -1;
        BDCOR  := 'NE';
        GOTO 500
      END;
{
C     WEST OF PRIME: 'W2'
     }
      IF (EWM = 'W2') THEN BEGIN
{
C       FOR TOWNSHIP 1-2
     }
        IF (ITP <= 2) THEN BEGIN
{
C         - SYSTEM 2 OR 3
     }
          IF (IRG <= 8)   THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  2;
            IF (ISS <> 2) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG <> 9) THEN GOTO 500;
          ICASE  := 4;
          IDRG   := -1;
          BDCOR  := 'SW';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 3-18: SYSTEM 3 ONLY
     }
        IF (ITP <= 18)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF ((ITP > 3) OR (IRG > 8)) THEN GOTO 500;
          IF (IRG = 8) THEN BEGIN
            ICASE  := 7;
            IDTP   := -1;
            BDCOR  := 'NW';
            GOTO 500
          END;
          ICASE  := 1;
          IDTP   := -1;
          BDCOR  := 'NE';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 19-26
     }
        IF (ITP <= 26) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF (ISS = 3) THEN BEGIN
            IF ((ITP = 19) AND (IRG <= 12)) THEN BEGIN
              TYPA   := 50;
              ICASE  := 2;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF ((ITP = 23) AND (IRG = 12)) THEN BEGIN
              TYPA   := 50;
              ICASE  := 12;
              IDTP   := -1;
              BDCOR  := 'NW';
              GOTO 500
            END
          END;
{
C         - SYSTEM 2 OR 3
     }
          IF (IRG <= 12)  THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  2;
            IF (ISS <> 2) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG <> 13) THEN GOTO 500;
          IF ((ITP = 19) OR (ITP = 23))
            THEN ICASE  := 5
            ELSE ICASE  := 4;
          IDRG   := -1;
          BDCOR  := 'SW';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 27-30
     }
        IF (ITP <= 30) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (ITP = 27)) THEN BEGIN
            IF ((IRG <= 16) AND (IRG > 12)) THEN BEGIN
              TYPA   := 50;
              ICASE  := 2;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG = 12) THEN BEGIN
              TYPA   := 50;
              ICASE  := 12;
              IDTP   := -1;
              BDCOR  := 'NW';
              GOTO 500
            END
          END;
{
C         - SYSTEM 2 OR 3
     }
          IF (IRG <= 16)  THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  2;
            IF (ISS <> 2) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG <> 17) THEN GOTO 500;
          IF (ITP = 27)
            THEN ICASE  := 5
            ELSE ICASE  := 4;
          IDRG   := -1;
          BDCOR  := 'SW';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 31-43: SYSTEM 3 ONLY
     }
        IF (ITP <= 43)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF ((ITP > 31) OR (IRG > 16)) THEN GOTO 500;
          IF (IRG = 16) THEN BEGIN
            ICASE  := 7;
            IDTP   := -1;
            BDCOR  := 'NW';
            GOTO 500
          END;
          ICASE  := 1;
          IDTP   := -1;
          BDCOR  := 'NE';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 44
     }
        IF (ITP = 44) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 21)) THEN BEGIN
            TYPA   := 50;
            ICASE  := 6;
            BDCOR  := 'SE';
            GOTO 500
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG = 21)   THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG = 22) THEN BEGIN
            ICASE  := 5;
            IDRG   := -1;
            BDCOR  := 'SW'
          END;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 45
     }
        IF (ITP = 45) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF (ISS = 3) THEN BEGIN
            IF (IRG = 21) THEN BEGIN
              TYPA   := 50;
              ICASE  := 3;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG = 22) THEN BEGIN
              TYPA   := 50;
              ICASE  := 12;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG = 26) THEN BEGIN
              TYPA   := 50;
              ICASE  := 6;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG > 26) THEN BEGIN
              TYPA   := 50;
              ICASE  := 2;
              BDCOR  := 'SE';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF ((IRG = 21) OR (IRG = 22)
            OR (IRG >= 26)) THEN BEGIN
            IF (ISS = 0)    THEN ISS  :=  1;
            IF (ISS <> 1)   THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)    THEN ISS  :=  3;
            IF (ISS <> 3)   THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG = 23) THEN BEGIN
            ICASE  := 5;
            IDRG   := -1;
            BDCOR  := 'SW'
          END;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 46-47
     }
        IF ((ITP = 46) OR (ITP = 47)) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (ITP = 46)) THEN BEGIN
            IF (IRG = 24) THEN BEGIN
              TYPA   := 50;
              ICASE  := 6;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG = 25) THEN BEGIN
              TYPA   := 50;
              ICASE  := 2;
              BDCOR  := 'SE';
              GOTO 500
            END;
            IF (IRG = 26) THEN BEGIN
              TYPA   := 50;
              ICASE  := 11;
              IDTP   := -1;
              BDCOR  := 'NE';
              GOTO 500
            END
          END;
          IF ((ISS = 3) AND (ITP = 47)) THEN BEGIN
            IF (IRG = 24) THEN BEGIN
              TYPA   := 50;
              ICASE  := 9;
              BDCOR  := 'SE';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG >= 24)  THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF ((ITP = 47) AND (IRG = 23)) THEN BEGIN
            ICASE  := 8;
            IDRG   := 1;
            IDTP   := -1;
            BDCOR  := 'NE';
            GOTO 500
          END;
          IF (ITP <> 46) THEN GOTO 500;
          IF (IRG = 21) THEN BEGIN
            ICASE  := 8;
            IDTP   := -1;
            BDCOR  := 'NE';
            GOTO 500
          END;
          IF (IRG = 22) THEN BEGIN
            ICASE  := 1;
            IDTP   := -1;
            BDCOR  := 'NE';
            GOTO 500
          END;
          IF (IRG = 23) THEN BEGIN
            ICASE  := 7;
            IDRG   := -1;
            IDTP   := -1;
            BDCOR  := 'NW';
            GOTO 500
          END;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 48
     }
        IF (ITP = 48) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 24)) THEN BEGIN
            TYPA   := 50;
            ICASE  := 3;
            BDCOR  := 'SE';
            GOTO 500
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF ((IRG >= 24) AND (IRG <= 27)) THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG = 28) THEN BEGIN
            ICASE  := 10;
            IDTP   := -1;
            BDCOR  := 'NE'
          END;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 49 AND GREATER: SYSTEM 3 ONLY
     }
        IF (ITP >= 49)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000
        END;
{
C       - FRACTIONAL TOWNSHIPS
     }
        IF ((ITP > 49) OR (IRG < 24)) THEN GOTO 500;
        IF (IRG = 24) THEN BEGIN
          ICASE  := 8;
          IDTP   := -1;
          BDCOR  := 'NE';
          GOTO 500
        END;
        IF (IRG = 28) THEN BEGIN
          ICASE  := 7;
          IDRG   := -1;
          IDTP   := -1;
          BDCOR  := 'NW';
          GOTO 500
        END;
        ICASE  := 1;
        IDTP   := -1;
        BDCOR  := 'NE';
        GOTO 500
      END;
{
C     WEST OF PRIME: 'W3'
     }
      IF (EWM = 'W3') THEN BEGIN
{
C       FOR TOWNSHIP 1-41: SYSTEM 3 ONLY
     }
        IF (ITP <= 41)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 42
     }
        IF (ITP = 42) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (IRG = 1)) THEN BEGIN
            TYPA   := 50;
            ICASE  := 2;
            BDCOR  := 'SE';
            GOTO 500
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG = 1)    THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG = 2) THEN BEGIN
            ICASE  := 5;
            IDRG   := -1;
            BDCOR  := 'SW'
          END;
          GOTO 500
        END;
{
C       FOR TOWNSHIP 43-44
     }
        IF ((ITP = 43) OR (ITP = 44)) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (ITP = 43)) THEN BEGIN
            IF (IRG = 1) THEN BEGIN
              TYPA   := 50;
              ICASE  := 12;
              IDTP   := -1;
              BDCOR  := 'NW';
              GOTO 500
            END;
            IF ((IRG = 2) OR (IRG = 3)) THEN BEGIN
              TYPA   := 50;
              ICASE  := 2;
              BDCOR  := 'SE';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG <= 3)   THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (IRG <> 4) THEN GOTO 500;
          IF (ITP = 43)
            THEN ICASE  := 5
            ELSE ICASE  := 4;
          IDRG   := -1;
          BDCOR  := 'SW';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 45-47
     }
        IF (ITP <= 47) THEN BEGIN
{
C         - TYPE 'A'
     }
          IF ((ISS = 3) AND (ITP = 47)) THEN BEGIN
            IF (IRG = 1) THEN BEGIN
              TYPA   := 50;
              ICASE  := 12;
              IDTP   := -1;
              BDCOR  := 'NW';
              GOTO 500
            END
          END;
{
C         - SYSTEM 1 OR 3
     }
          IF (IRG = 1)    THEN BEGIN
            IF (ISS = 0)  THEN ISS  :=  1;
            IF (ISS <> 1) THEN GOTO 9000
          END
          ELSE BEGIN
            IF (ISS = 0)  THEN ISS  :=  3;
            IF (ISS <> 3) THEN GOTO 9000
          END;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (ITP = 45) THEN BEGIN
            IF (IRG = 2) THEN BEGIN
              ICASE  := 10;
              IDTP   := -1;
              BDCOR  := 'NE';
              GOTO 500
            END;
            IF (IRG = 3) THEN BEGIN
              ICASE  := 1;
              IDTP   := -1;
              BDCOR  := 'NE';
              GOTO 500
            END;
            IF (IRG = 4) THEN BEGIN
              ICASE  := 7;
              IDRG   := -1;
              IDTP   := -1;
              BDCOR  := 'NW';
              GOTO 500
            END;
            GOTO 500
          END;
          IF (IRG <> 2) THEN GOTO 500;
          IF (ITP = 46)
            THEN ICASE  := 4
            ELSE ICASE  := 5;
          IDRG   := -1;
          BDCOR  := 'SW';
          GOTO 500
        END;
{
C       FOR TOWNSHIP 48 AND GREATER: SYSTEM 3 ONLY
     }
        IF (ITP >= 48)  THEN BEGIN
          IF (ISS = 0)  THEN ISS  :=  3;
          IF (ISS <> 3) THEN GOTO 9000;
{
C         - FRACTIONAL TOWNSHIPS
     }
          IF (ITP = 48) THEN BEGIN
            IF (IRG = 1) THEN BEGIN
              ICASE  := 1;
              IDTP   := -1;
              BDCOR  := 'NE';
              GOTO 500
            END;
            IF (IRG = 2) THEN BEGIN
              ICASE  := 7;
              IDRG   := -1;
              IDTP   := -1;
              BDCOR  := 'NW';
              GOTO 500
            END
          END;
          GOTO 500
        END
      END;
{
C     OTHER MERIDIANS WEST OF PRIME: SYSTEM 3 ONLY
     }
      IF (ISS = 0)  THEN ISS  :=  3;
      IF (ISS <> 3) THEN GOTO 9000;
{    }
  500:
      IFLAG  :=  ICASE+TYPA;
      IF ((IFLAG <> 0) OR (SUR = 0)) THEN BEGIN
        ITP := ITP+IDTP;
        IRG := IRG+IDRG;
        DlsOut := Copy(DlsOut,1,3)
                      +Format('%3.3d',[ITP])
                      +Format('%2.2d',[IRG])
                      +Copy(DlsOut,9,4)
                      +BDCOR
                      +Format('%1.1d',[ISS])
                      +DlsOut[16]
      END;
{    }
 9000:
      END;
{
C ***********************************************************
     }
      procedure DlsLat(GSPH:string; DLSIN:string;
        var STRBE,STRBP:string; var IFLAG:integer);
{
C ***********************************************************
C
C     PURPOSE:  (1)Get DLS Latitude errors at Baseline.
C               (2)Get DLS Latitude errors at Correction Line
C                  when Twp-Rge on correction line.  Note
C                  these errors are taken as average of
C                  current and prior or next baseline errors,
C                  for the extreme south or north twp-rge in
C                  the set of 4 associated with the baseline.
C
C     AUTHOR:     D. W. Lepard, 1992.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                       STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       DLSIN                                      STRING[16]
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244]
C         [7-8]   Range in [1..34]
C
C         [15]    DLS survey system in [0..5];
C
C     OUTPUT:
C       STRBE     Baseline errors at start         STRING[48]
C                   of Rge-1, Rge, Rge+1, Rge+2.
C       STRBP     Correction line errors at start  STRING[48]
C                   of Rge-1, Rge, Rge+1, Rge+2
C                   for nearest correction line.
C       IFLAG     Error flag; 9000=error, 0=OK.    INTEGER
C
C ***********************************************************
     }
      var I,I1,I2,IB,IGS,IRG,ISS,ITP,J,JT,K,K1,K2: INTEGER;
{    }
      var FACT,TT: DOUBLE;
      var BE,BP: ARRAY[1..4] OF DOUBLE;
{    }
      var CH1: STRING;
      var EWM: STRING;
      var STRZ: STRING;
      var DLSOUT: STRING;
{    }
      label 4000,9000;
{    }
      BEGIN
      IFLAG := 9000;
      if ((Length(GSPH) < 3) or (Length(DLSIN) <> 16)) then goto 9000;
      STRZ  := '    0.000000';
      STRBE := STRZ+STRZ+STRZ+STRZ;
      STRBP := STRBE;
{    }
      IGS   := 1;
      CH1   := UpperCase(GSPH[1]);
      IF (CH1 = 'S') THEN IGS := 3
        ELSE IF (CH1 <> 'N') THEN GOTO 9000;
      CH1  := UpperCase(GSPH[2]);
      IF (CH1 = 'W') THEN IGS := IGS+1
        ELSE IF (CH1 <> 'E') THEN GOTO 9000;
      CH1  := UpperCase(GSPH[3]);
      IF ((CH1 <> 'D') AND (CH1 <> 'M') AND (CH1 <> 'S')) THEN GOTO 9000;
{    }
      FACT  := 36000.0;
      IF (CH1 = 'M') THEN FACT  := 600.0;
      IF (CH1 = 'S') THEN FACT  := 10.0;
      IF (IGS > 2) THEN FACT  := -FACT;
{    }
      DLSOUT := UpperCase(DLSIN);
      EWM    := Copy(DLSOUT,2,2);
{    }
      IF (DLSOUT[1] <> '1') THEN GOTO 9000;
      IF ((EWM[1] <> 'E') AND (EWM[1] <> 'W'))
        THEN GOTO 9000;
      FOR I := 4 TO 8 DO
        IF ((DLSOUT[I] < '0') OR (DLSOUT[I] > '9'))
          THEN GOTO 9000;
      IF ((DLSOUT[15] < '0') or (DLSOUT[15] > '5'))
          THEN GOTO 9000;
{
C     RAILWAY SYSTEM 4
     }
      IF (DLSOUT[15] = '4') THEN BEGIN
        IF (EWM[1] <> 'W') THEN GOTO 9000;
        IF (EWM[2] < '5')  THEN GOTO 9000;
        IFLAG := 0;
        GOTO 9000
      END;
{
C     COASTAL SYSTEM 5
     }
      IF (DLSOUT[15] = '5') THEN BEGIN
        IF (EWM[2] <> '1') THEN GOTO 9000;
        IFLAG := 0;
        GOTO 9000
      END;
{    }
      ITP   := StrToInt(Copy(DLSOUT,4,3));
      IRG   := StrToInt(Copy(DLSOUT,7,2));
      ISS   := StrToInt(DLSOUT[15]);
      IF ((ITP < 0) OR (ITP > 244)) THEN GOTO 9000;
      IF ((IRG < 1) OR (IRG > 34))  THEN GOTO 9000;
{    }
      IB  := 1+((ITP+1) DIV 4);
      JT  := (ITP+3)-(IB-1)*4;
      I1  := IB;
      I2  := IB;
      IF (JT = 5) THEN I2  := I2+1;
      IF ((JT = 2) OR (ITP < 2)) THEN I1  := I1-1;
      FOR I := 1 TO 4 DO BEGIN
        BE[I] := 0.0;
        BP[I] := 0.0
      END;
{
C     FOR 'E1' BASE LINE
     }
      IF (EWM = 'E1') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J  :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END;
      GOTO 4000
      END;
{
C     FOR 'W1' BASE LINE
     }
      IF (EWM = 'W1') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
          IF (I <= 1) THEN BEGIN
            IF (K <= 30) THEN J  :=  0;
            IF ((K >= 31) AND (K <= 34)) THEN J  :=  168-6*K;
            IF (K >= 35) THEN J  :=  -39
          END;
          IF (I = 2) THEN BEGIN
            IF (K <= 33) THEN J  :=  42;
            IF (K = 34) THEN J  :=  -25;
            IF (K >= 35) THEN J  :=  -63
          END;
          IF (I = 3) THEN BEGIN
            IF (K <= 30) THEN J  :=  67;
            IF ((K = 31) OR (K = 32)) THEN J  :=  74;
            IF (K >= 33) THEN J  :=  2034-60*K
          END;
          IF (I = 4) THEN BEGIN
            IF (K <= 30) THEN J  :=  75;
            IF ((K >= 31) AND (K <= 33)) THEN J  :=  81;
            IF (K >= 34) THEN J  :=  -35
          END;
          IF (I = 5) THEN BEGIN
            IF (K <= 30) THEN J  :=  75;
            IF ((K >= 31) AND (K <= 33)) THEN J  :=  1258-38*K;
            IF (K >= 34) THEN J  :=  -46
          END;
          IF (I = 6) THEN BEGIN
            IF (K <= 30) THEN J  :=  91;
            IF ((K >= 31) AND (K <= 33)) THEN J  :=  1456-44*K;
            IF (K >= 34) THEN J  :=  -56
          END;
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J   :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END;
      GOTO 4000
      END;
{
C     FOR 'W2' BASE LINE
     }
      IF (EWM = 'W2') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
          IF (I <= 1) THEN BEGIN
            IF (K <= 3) THEN J  :=  -39;
            IF ((K = 4) OR (K = 5)) THEN J  :=  -60+4*K;
            IF ((K >= 6) AND (K <= 8)) THEN J  :=  -45+2*K;
            IF ((K >= 9) AND (K <= 11)) THEN BEGIN
              IF (ISS < 3) THEN J  :=  -27;
              IF (ISS = 3) THEN J  :=  -24
            END;
            IF ((K = 12) OR (K = 13)) THEN J  :=  -27;
            IF ((K >= 14) AND (K <= 16)) THEN J  :=  -119+7*K;
            IF ((K >= 17) AND (K <= 21)) THEN J  :=  112-7*K;
            IF ((K >= 22) AND (K <= 28)) THEN J  :=  -123+4*K;
            IF (K >= 29) THEN J  :=  -40+K
          END;
          IF ((I = 2) AND (ISS < 3)) THEN BEGIN
            IF (K <= 1) THEN J  :=  -85;
            IF ((K = 2) OR (K = 5) OR (K = 6)) THEN J  :=  -81;
            IF ((K = 3) OR (K = 4)) THEN J  :=  -66-3*K;
            IF (K >= 7) THEN J  :=  -79-2*K
          END;
          IF ((I = 2) AND (ISS = 3)) THEN BEGIN
            IF (K <= 3) THEN J  :=  -48;
            IF ((K >= 4) AND (K <= 8)) THEN J  :=  -45-K;
            IF ((K >= 9) AND (K <= 29)) THEN J  :=  -54;
            IF (K = 30) THEN J  :=  -51;
            IF (K >= 31) THEN J  :=  -9
          END;
          IF (I = 3) THEN BEGIN
            IF (K <= 2) THEN J  :=  -64;
            IF ((K >= 3) AND (K <= 14)) THEN J  :=  -64+((K-1) DIV 2);
            IF ((K >= 15) AND (K <= 18)) THEN J  :=  -52-((K-1) DIV 2);
            IF ((K >= 19) AND (K <= 30)) THEN J  :=  -69+((K-1) DIV 2);
            IF (K >= 31) THEN J  :=  -21
          END;
          IF (I = 4) THEN BEGIN
            IF (K <= 1) THEN J  :=  -41;
            IF ((K >= 2) AND (K <= 12)) THEN J  :=  -44;
            IF ((K >= 13) AND (K <= 16)) THEN J  :=  -32-K;
            IF ((K >= 17) AND (K <= 28)) THEN J  :=  -46-((K-1) DIV 5);
            IF ((K = 29) OR (K = 30)) THEN J  :=  -23-K;
            IF (K >= 31) THEN J  :=  -22
          END;
          IF ((I = 5) AND (ISS < 3)) THEN BEGIN
            IF (K <= 3) THEN J  :=  54;
            IF ((K = 4) OR (K = 5)) THEN J  :=  111-17*K;
            IF ((K >= 6) AND (K <= 8)) THEN J  :=  12;
            IF ((K = 9) OR (K = 10)) THEN J  :=  -13+3*K;
            IF (K >= 11) THEN J  :=  19
          END;
          IF ((I = 5) AND (ISS = 3)) THEN BEGIN
            IF (K <= 2) THEN J  :=  -34;
            IF ((K >= 3) AND (K <= 6)) THEN J  :=  -38+K;
            IF ((K >= 7) AND (K <= 10)) THEN J  :=  -31;
            IF ((K = 11) OR (K = 12)) THEN J  :=  -21-K;
            IF ((K >= 13) AND (K <= 21)) THEN J  :=  -31-((K+1) DIV 4);
            IF ((K >= 22) AND (K <= 25)) THEN J  :=  -48+(K DIV 2);
            IF ((K >= 26) AND (K <= 30)) THEN J  :=  -35;
            IF (K >= 31) THEN J  :=  -18
          END;
          IF ((I = 6) AND (ISS < 3)) THEN BEGIN
            IF (K <= 3) THEN J  :=  -56;
            IF ((K = 4) OR (K = 5)) THEN J  :=  -121+19*K;
            IF ((K >= 6) AND (K <= 8)) THEN J  :=  -10;
            IF ((K = 9) OR (K = 10)) THEN J  :=  15-3*K;
            IF (K >= 11) THEN J  :=  -17
          END;
          IF ((I = 6) AND (ISS = 3)) THEN BEGIN
            IF (K <= 13) THEN J  :=  -29;
            IF ((K = 14) OR (K = 15)) THEN J  :=  -16-K;
            IF ((K >= 16) AND (K <= 19)) THEN J  :=  -32;
            IF ((K = 20) OR (K = 21)) THEN J  :=  -51+K;
            IF ((K >= 22) AND (K <= 24)) THEN J  :=  -29;
            IF (K >= 25) THEN J  :=  -30
          END;
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J  :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END;
      GOTO 4000
      END;
{
C     FOR 'W3' BASE LINE
     }
      IF (EWM = 'W3') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
          IF (I <= 1) THEN BEGIN
            IF (K <= 1) THEN J  :=  -9;
            IF ((K = 2) OR (K = 9) OR (K = 10)) THEN J  :=  -6;
            IF ((K >= 3) AND (K <= 8)) THEN J  :=  -8;
            IF ((K >= 11) AND (K <= 17)) THEN J  :=  -7-3*((K-2) DIV 5);
            IF ((K >= 18) AND (K <= 23)) THEN J  :=  11-3*(K DIV 2);
            IF ((K = 24) OR (K = 25)) THEN J  :=  -19;
            IF ((K >= 26) AND (K <= 28)) THEN J  :=  -10;
            IF ((K = 29) OR (K = 30)) THEN J  :=  -15;
//            IF (K >= 31) THEN J  :=  -20
            if (K >= 31) then J  :=  -16;                                       //dwl 22Aug2013
          END;
          IF (I = 2) THEN BEGIN
            IF (K <= 5) THEN J  :=  -9;
            IF ((K >= 6) AND (K <= 10)) THEN J  :=  -10;
            IF ((K >= 11) AND (K <= 18)) THEN J  :=  -K;
            IF ((K >= 19) AND (K <= 30)) THEN J  :=  -19;
//            IF (K >= 31) THEN J  :=  -20
            if (K >= 31) then J  :=  -18;                                       //dwl 22Aug2013
          END;
          IF (I = 3) THEN BEGIN
            IF (K <= 1) THEN J  :=  -21;
            IF (K = 2) THEN J  :=  -26;
            IF ((K >= 3) AND (K <= 10)) THEN J  :=  -30;
            IF ((K >= 11) AND (K <= 13)) THEN J  :=  -40+K;
            IF ((K >= 14) AND (K <= 30)) THEN J  :=  -28+((K+3) DIV 8);
            IF (K >= 31) THEN J  :=  -20;
            if (K >= 31) then J := -21;                                         //dwl 23Aug2013
          END;
          IF (I = 4) THEN BEGIN
            IF (K <= 1) THEN J  :=  -22;
            IF (K = 2) THEN J  :=  -23;
            IF ((K >= 3) AND (K <= 30)) THEN J  :=  -24;
            IF (K >= 31) THEN J  :=  -22;
            if (K >= 31) then J  :=  -22;                                       //dwl 31Aug2013
          END;
          IF (I = 5) THEN BEGIN
            IF (K <= 2) THEN J  :=  -18;
            IF ((K >= 3) AND (K <= 9)) THEN J  :=  -19;
            IF ((K >= 10) AND (K <= 12)) THEN J  :=  -13-(K DIV 2);
            IF ((K >= 13) AND (K <= 15)) THEN J  :=  -20;
            IF ((K = 16) OR (K = 17)) THEN J  :=  -35+K;
            IF ((K >= 18) AND (K <= 20)) THEN J  :=  -17;
            IF ((K >= 21) AND (K <= 30)) THEN J  :=  -20-((K-1) DIV 5);
            IF (K >= 31) THEN J  :=  -23;
            if (K >= 31) then J  :=  -23;                                       //dwl 12Sep2013
          END;
          IF (I = 6) THEN BEGIN
            IF (K <= 2) THEN J  :=  -17;
            IF ((K >= 3) AND (K <= 7)) THEN J  :=  -18;
            IF ((K = 8) OR (K = 9)) THEN J  :=  -25+K;
            IF ((K >= 10) AND (K <= 13)) THEN J  :=  -20+(K DIV 2);
            IF ((K >= 14) AND (K <= 20)) THEN J  :=  -13;
            IF ((K >= 21) AND (K <= 29)) THEN J  :=  -12;
            IF (K >= 30) THEN J  :=  -25;
            if (K >= 30) then J := -25;                                         //dwl 16Sep2013
          END;
          IF (I = 7) THEN BEGIN
            IF (K <= 6) THEN J  :=  -17;
            IF ((K >= 7) AND (K <= 16)) THEN J  :=  -18;
            IF ((K = 17) OR (K = 18)) THEN J  :=  -34+K;
            IF ((K >= 19) AND (K <= 28)) THEN J  :=  -15;
            IF (K = 29) THEN J  :=  -17;
            IF (K >= 30) THEN J  :=  -27;
            if (K >= 30) then J := -27;                                         //dwl 20Sep2013
          END;
          IF (I = 8) THEN BEGIN
            IF (K <= 5) THEN J  :=  -14;
            IF ((K >= 6) AND (K <= 12)) THEN J  :=  -13;
            IF ((K >= 13) AND (K <= 17)) THEN J  :=  -14;
            IF ((K >= 18) AND (K <= 20)) THEN J  :=  -16;
            IF ((K >= 21) AND (K <= 24)) THEN J  :=  -57+2*K;
            IF ((K >= 25) AND (K <= 29)) THEN J  :=  -2-(K DIV 3);
            IF (K >= 30) THEN J  :=  -28;
            if (K >= 30) then J := -28;                                         //dwl 27Sep2013
          END;
          IF (I = 9) THEN BEGIN
            IF (K <= 2) THEN J  :=  -28;
            IF ((K >= 3) AND (K <= 7)) THEN J  :=  -31;
            IF ((K >= 8) AND (K <= 12)) THEN J  :=  -24-K;
            IF ((K >= 13) AND (K <= 29)) THEN J  :=  -35-((K-1) DIV 6);
            IF (K >= 30) THEN J  :=  -30;
            if (K >= 30) then J := -36;                                         //dwl 09Oct2013
          END;
          IF (I = 10) THEN BEGIN
            IF (K <= 2) THEN J  :=  -30;
            IF (K = 3) THEN J  :=  -31;
            IF ((K >= 4) AND (K <= 12)) THEN J  :=  -32;
            IF ((K >= 13) AND (K <= 15)) THEN J  :=  -20-K;
            IF ((K >= 16) AND (K <= 21)) THEN J  :=  -36;
            IF ((K >= 22) AND (K <= 27)) THEN J  :=  -26-(K DIV 2);
            IF (K >= 28) THEN J  :=  -38;
            if (K >= 29) then J := -57;                                         //dwl 17Oct2013
          END;
          IF ((I = 11) AND (ISS < 3)) THEN BEGIN
            J  :=  -45
          END;
          IF ((I = 11) AND (ISS = 3)) THEN BEGIN
            IF (K <= 7) THEN J  :=  -30;
            IF ((K >= 8) AND (K <= 14)) THEN J  :=  -29;
            IF ((K >= 15) AND (K <= 24)) THEN J  :=  -28;
            IF ((K >= 25) AND (K <= 28)) THEN J  :=  -27;
            IF (K >= 29) THEN J  :=  -59;
            if (K >= 29) then J := -52;                                         //dwl 31Oct2013
          END;
          IF ((I = 12) AND (ISS < 3)) THEN BEGIN
            J  :=  -45
          END;
          IF ((I = 12) AND (ISS = 3)) THEN BEGIN
            IF (K <= 10) THEN J  :=  -41;
            IF ((K >= 11) AND (K <= 13)) THEN J  :=  -51+K;
            IF ((K >= 14) AND (K <= 28)) THEN J  :=  -37;
            IF (K >= 29) THEN J  :=  -58;
            if (K >= 29) then J := -62;                                         //dwl 18Nov2013
          END;
          IF ((I = 13) AND (ISS < 3)) THEN BEGIN
            J  :=  -45
          END;
          IF ((I = 13) AND (ISS = 3)) THEN BEGIN
            IF (K <= 1) THEN J  :=  -49;
            IF ((K >= 2) AND (K <= 8)) THEN J  :=  -63+7*K;
            IF ((K >= 9) AND (K <= 12)) THEN J  :=  0;
            IF ((K >= 13) AND (K <= 23)) THEN J  :=  -59;
            IF ((K >= 24) AND (K <= 28)) THEN J  :=  -60;
            IF (K >= 29) THEN J  :=  -61;
            if (K >= 29) then J := -61;                                         //dwl 09Jan2014
          END;
          IF (I = 14) THEN BEGIN
            IF (K <= 3) THEN J  :=  -63;
            IF ((K = 4) OR (K = 5)) THEN J  :=  -62;
            IF ((K >= 6) AND (K <= 8)) THEN J  :=  -42+K;
            IF ((K >= 9) AND (K <= 14)) THEN J  :=  -33;
            IF ((K >= 15) AND (K <= 17)) THEN J  :=  -19-K;
            IF ((K >= 18) AND (K <= 25)) THEN J  :=  -49+K-((K-2) DIV 4);
            IF (K >= 26) THEN J  :=  -28;
            if (K >= 29) then J := -31;                                         //dwl 30Jan2014
          END;
          IF (I = 15) THEN BEGIN
            IF (K <= 12) THEN J  :=  -46;
            IF ((K >= 13) AND (K <= 15)) THEN J  :=  -69+2*K;
            IF ((K >= 16) AND (K <= 21)) THEN J  :=  -38;
            IF ((K >= 22) AND (K <= 25)) THEN J  :=  -17-K;
            IF (K >= 26) THEN J  :=  -44;
            if (K >= 28) then J := -44;                                         //dwl 05May2014
          END;
          IF (I = 16) THEN BEGIN
            IF (K <= 27) THEN J  :=  -61;
            IF (K >= 28) THEN J  :=  -45;
            if (K >= 28) then J := -45;                                         //dwl 16Jun2014
          END;
          IF (I = 17) THEN BEGIN
            IF (K <= 1) THEN J  :=  -65;
            IF ((K >= 2) AND (K <= 6)) THEN J  :=  -64;
            IF (K = 7) THEN J  :=  -63;
            IF ((K >= 8) AND (K <= 12)) THEN J  :=  -62;
            IF ((K >= 13) AND (K <= 27)) THEN J  :=  -61;
            IF (K >= 28) THEN J  :=  -45;
            if (K >= 28) then J := -45;                                         //dwl 15Jul2014
          END;
          IF (I = 18) THEN BEGIN
            if (K >= 28) then J := -48;                                         //dwl 30Jul2014
          END;
          IF (I = 19) THEN BEGIN
            if (K >= 27) then J := -36;                                         //dwl 21Aug2014
          END;
          IF (I = 20) THEN BEGIN
            if (K >= 27) then J := -38;                                         //dwl 21Aug2014
          END;
          IF (I = 21) THEN BEGIN
            if (K >= 27) then J := -39;                                         //dwl 04Sep2014
          END;
          IF (I = 22) THEN BEGIN
            if (K >= 27) then J := -36;                                         //dwl 15Sep2014
          END;
          IF (I = 23) THEN BEGIN
            if (K >= 27) then J := -34;                                         //dwl 02Oct2014
          END;
          IF (I = 24) THEN BEGIN
            if (K >= 26) then J := -32;                                         //dwl 12Nov2014
          END;
          IF (I = 25) THEN BEGIN
            if (K >= 26) then J := -29;                                         //dwl 12Jan2015
          END;
          IF (I = 26) THEN BEGIN
            if (K >= 26) then J := -28;                                         //dwl 19Jan2015
          END;
          IF (I = 27) THEN BEGIN
            if (K >= 26) then J := -28;                                         //dwl 19Jan2015
          END;
          IF (I = 28) THEN BEGIN
            if (K >= 25) then J := -30;                                         //dwl 19Jan2015
          END;
          IF (I = 29) THEN BEGIN
            if (K >= 25) then J := -32;                                         //dwl 19Jan2015
          END;
          IF (I = 30) THEN BEGIN
            if (K >= 25) then J := -33;                                         //dwl 19Jan2015
          END;
          IF (I = 31) THEN BEGIN
            if (K >= 25) then J := -35;                                         //dwl 19Jan2015
          END;
          IF (I = 32) THEN BEGIN
            if (K >= 24) then J := -39;                                         //dwl 19Jan2015
          END;
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J  :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END;
      GOTO 4000
      END;
{
C     FOR 'W4' BASE LINE
     }
      IF (EWM = 'W4') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
          IF (I = 0) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -20;
            IF (K = 2) THEN J  :=  -13;
            IF ((K >= 3) AND (K < 8)) THEN J  :=  7-9*K;
            IF ((K >= 8) AND (K <= 10)) THEN J  :=  39-13*K;
            IF (K = 11) THEN J  :=  -96;
            IF ((K >= 12) AND (K < 15)) THEN J  :=  -275+14*K;
            IF ((K >= 15) AND (K <= 17)) THEN J  :=  -230+11*K;
            IF (K >= 18) THEN J  :=  -41;
            if (K <= 1) then J := -14;
            if (K = 2) then J := -20;
            if (K = 3) then J := -27;
            if (K = 4) then J := -33;
            if (K = 5) then J := -36;
            if (K = 6) then J := -47;
            if (K = 7) then J := -57;
            if (K = 8) then J := -70;    }
          END;
          IF (I = 1) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -20;
            IF ((K >= 2) AND (K <= 5)) THEN J  :=  -41;
            IF ((K = 6) OR (K = 7)) THEN J  :=  -9-3*K;
            IF ((K >= 8) AND (K <= 11)) THEN J  :=  -55+2*K;
            IF ((K >= 12) AND (K <= 14)) THEN J  :=  -39;
            IF (K = 15) THEN J  :=  -36;
            IF ((K >= 16) AND (K <= 19)) THEN J  :=  -89+3*K;
            IF ((K = 20) OR (K = 21)) THEN J  :=  -28;
            IF ((K >= 22) AND (K <= 26)) THEN J  :=  -32;
            IF ((K = 27) OR (K = 28)) THEN J  :=  -657+23*K;
            IF ((K = 29) OR (K = 30)) THEN J  :=  -238+9*K;
            IF (K >= 31) THEN J  :=  -15;          }
            if (K <= 1) then J := -16;                                          //dwl 15Aug2013
            if (K = 2) then J := -42;                                           //dwl 15Aug2013
            if ((K >= 3) and (K <= 5)) then J := -41;                           //dwl 15Aug2013
            if (K = 6) then J := -24;                                           //dwl 15Aug2013
            if (K = 7) then J := -30;                                           //dwl 15Aug2013
            if (K = 8) then J := -31;                                           //dwl 15Aug2013
            if (K = 9) then J := -41;                                           //dwl 15Aug2013
            if (K = 10) then J := -38;                                          //dwl 16Aug2013
            if (K = 11) then J := -37;                                          //dwl 16Aug2013
            if (K = 12) then J := -39;                                          //dwl 16Aug2013
            if (K = 13) then J := -41;                                          //dwl 16Aug2013
            if (K = 14) then J := -40;                                          //dwl 16Aug2013
            if (K = 15) then J := -36;                                          //dwl 16Aug2013
            if (K = 16) then J := -41;                                          //dwl 16Aug2013
            if (K = 17) then J := -39;                                          //dwl 16Aug2013
            if (K = 18) then J := -35;                                          //dwl 16Aug2013
            if (K = 19) then J := -34;                                          //dwl 16Aug2013
            if (K = 20) then J := -26;                                          //dwl 16Aug2013
            if (K = 21) then J := -28;                                          //dwl 16Aug2013
            if (K = 22) then J := -31;                                          //dwl 16Aug2013
            if (K = 23) then J := -30;                                          //dwl 16Aug2013
            if (K = 24) then J := -35;                                          //dwl 16Aug2013
            if (K = 25) then J := -29;                                          //dwl 16Aug2013
            if (K = 26) then J := -28;                                          //dwl 16Aug2013
            if (K = 27) then J := -34;                                          //dwl 16Aug2013
            if (K = 28) then J := -15;                                          //dwl 19Aug2013
            if (K = 29) then J := 65;                                           //dwl 19Aug2013
            if (K = 30) then J := 103;                                          //dwl 19Aug2013
            if (K >= 31) then J := 96;                                          //dwl 19Aug2013
          END;
          IF (I = 2) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -20;
            IF ((K >= 2) AND (K <= 17)) THEN J  :=  -41;
            IF ((K >= 18) AND (K <= 24)) THEN J  :=  -38;
            IF ((K = 25) OR (K = 26)) THEN J  :=  -182+6*K;
            IF (K >= 27) THEN J  :=  -20;            }
            if (K <= 1) then J := -18;                                          //dwl 22Jul2013
            if (K = 2) then J := -29;                                           //dwl 29Jul2013
            if (K = 3) then J := -52;                                           //dwl 29Jul2013
            if (K = 4) then J := -41;                                           //dwl 29Jul2013
            if (K = 5) then J := -46;                                           //dwl 29Jul2013
            if (K = 6) then J := -41;                                           //dwl 29Jul2013
            if (K = 7) then J := -41;                                           //dwl 29Jul2013
            if (K = 8) then J := -39;                                           //dwl 30Jul2013
            if (K = 9) then J := -42;                                           //dwl 30Jul2013
            if (K = 10) then J := -40;                                          //dwl 30Jul2013
            if (K = 11) then J := -41;                                          //dwl 31Jul2013
            if (K = 12) then J := -40;                                          //dwl 31Jul2013
            if (K = 13) then J := -42;                                          //dwl 31Jul2013
            if (K = 14) then J := -47;                                          //dwl 31Jul2013
            if (K = 15) then J := -41;                                          //dwl 31Jul2013
            if (K = 16) then J := -40;                                          //dwl 31Jul2013
            if (K = 17) then J := -46;                                          //dwl 31Jul2013
            if (K = 18) then J := -13;                                          //dwl 31Jul2013
            if (K = 19) then J := -38;                                          //dwl 31Jul2013
            if (K = 20) then J := -38;                                          //dwl 31Jul2013
            if (K = 21) then J := -38;                                          //dwl 31Jul2013
            if (K = 22) then J := -38;                                          //dwl 31Jul2013
            if (K = 23) then J := -35;                                          //dwl 12Aug2013
            if (K = 24) then J := -38;                                          //dwl 12Aug2013
            if (K = 25) then J := -26;                                          //dwl 12Aug2013
            if (K = 26) then J := -26;                                          //dwl 12Aug2013
            if (K = 27) then J := -20;                                          //dwl 12Aug2013
            if (K = 28) then J := -20;                                          //dwl 12Aug2013
            if (K = 29) then J := -17;                                          //dwl 12Aug2013
            if (K = 30) then J := -15;                                          //dwl 12Aug2013
            if (K >= 31) then J := -21;                                         //dwl 12Aug2013
          END;
          IF (I = 3) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -20;
            IF (K = 2) THEN J  :=  -15;
            IF ((K = 3) OR (K = 4)) THEN J  :=  -24+2*K;
            IF ((K >= 5) AND (K <= 10)) THEN J  :=  -14;
            IF ((K >= 11) AND (K <= 19)) THEN J  :=  -16;
            IF (K = 20) THEN J  :=  -19;
            IF (K = 21) THEN J  :=  -37;
            IF (K = 22) THEN J  :=  -25;
            IF ((K = 23) OR (K = 24)) THEN J  :=  -19;
            IF ((K >= 25) AND (K <= 28)) THEN J  :=  -12;
            IF (K >= 29) THEN J  :=  -11;               }
            if (K <= 1) then J := -21;                                          //dwl 23Aug2013
            if (K = 2) then J := -10;                                           //dwl 23Aug2013
            if (K = 3) then J := -17;                                           //dwl 23Aug2013
            if (K = 4) then J := -15;                                           //dwl 23Aug2013
            if (K = 5) then J := -13;                                           //dwl 23Aug2013
            if (K = 6) then J := -15;                                           //dwl 26Aug2013
            if (K = 7) then J := -10;                                           //dwl 26Aug2013
            if (K = 8) then J := -10;                                           //dwl 26Aug2013
            if (K = 9) then J := -8;                                            //dwl 26Aug2013
            if (K = 10) then J := -6;                                           //dwl 26Aug2013
            if (K = 11) then J := -13;                                          //dwl 26Aug2013
            if (K = 12) then J := -42;                                          //dwl 26Aug2013
            if (K = 13) then J := -21;                                          //dwl 26Aug2013
            if (K = 14) then J := -29;                                          //dwl 26Aug2013
            if (K = 15) then J := -16;                                          //dwl 26Aug2013
            if (K = 16) then J := -17;                                          //dwl 27Aug2013
            if (K = 17) then J := -20;                                          //dwl 27Aug2013
            if (K = 18) then J := -22;                                          //dwl 27Aug2013
            if (K = 19) then J := -20;                                          //dwl 27Aug2013
            if (K = 20) then J := -22;                                          //dwl 27Aug2013
            if (K = 21) then J := -41;                                          //dwl 27Aug2013
            if (K = 22) then J := -29;                                          //dwl 27Aug2013
            if (K = 23) then J := -25;                                          //dwl 27Aug2013
            if (K = 24) then J := -19;                                          //dwl 28Aug2013
            if (K = 25) then J := -8;                                           //dwl 28Aug2013
            if (K = 26) then J := -13;                                          //dwl 28Aug2013
            if (K = 27) then J := -10;                                          //dwl 28Aug2013
            if (K = 28) then J := -24;                                          //dwl 28Aug2013
            if (K = 29) then J := -25;                                          //dwl 28Aug2013
            if (K = 30) then J := -21;                                          //dwl 28Aug2013
            if (K >= 31) then J := -18;                                         //dwl 29Aug2013
          END;
          IF (I = 4) THEN BEGIN
{            IF (K <= 5) THEN J  :=  -22;
            IF (K = 6) THEN J  :=  -15;
            IF ((K >= 7) AND (K <= 9)) THEN J  :=  -19;
            IF (K = 10) THEN J  :=  -26;
            IF ((K >= 11) AND (K <= 24)) THEN J  :=  -19;
            IF ((K = 25) OR (K = 26)) THEN J  :=  -5;
            IF (K >= 27) THEN J  :=  -3;      }
            if (K <= 1) then J := -22;                                          //dwl 31Aug2013
            if (K = 2) then J := -22;                                           //dwl 31Aug2013
            if (K = 3) then J := -23;                                           //dwl 31Aug2013
            if (K = 4) then J := -22;                                           //dwl 31Aug2013
            if (K = 5) then J := -22;                                           //dwl 31Aug2013
            if (K = 6) then J := -18;                                           //dwl 31Aug2013
            if (K = 7) then J := -28;                                           //dwl 31Aug2013
            if (K = 8) then J := -19;                                           //dwl 31Aug2013
            if (K = 9) then J := -12;                                           //dwl 31Aug2013
            if (K = 10) then J := -14;                                          //dwl 31Aug2013
            if (K = 11) then J := -16;                                          //dwl 03Sep2013
            if (K = 12) then J := -19;                                          //dwl 03Sep2013
            if (K = 13) then J := -19;                                          //dwl 03Sep2013
            if (K = 14) then J := -18;                                          //dwl 03Sep2013
            if (K = 15) then J := -17;                                          //dwl 03Sep2013
            if (K = 16) then J := -19;                                          //dwl 03Sep2013
            if (K = 17) then J := -18;                                          //dwl 03Sep2013
            if (K = 18) then J := -18;                                          //dwl 03Sep2013
            if (K = 19) then J := -18;                                          //dwl 03Sep2013
            if (K = 20) then J := -18;                                          //dwl 03Sep2013
            if (K = 21) then J := -25;                                          //dwl 03Sep2013
            if (K = 22) then J := -21;                                          //dwl 03Sep2013
            if (K = 23) then J := -19;                                          //dwl 03Sep2013
            if (K = 24) then J := -18;                                          //dwl 03Sep2013
            if (K = 25) then J := -7;                                           //dwl 03Sep2013
            if (K = 26) then J := -5;                                           //dwl 03Sep2013
            if (K = 27) then J := -2;                                           //dwl 03Sep2013
            if (K = 28) then J := -5;                                           //dwl 03Sep2013
            if (K = 29) then J := -10;                                          //dwl 03Sep2013
            if (K = 30) then J := -21;                                          //dwl 03Sep2013
            if (K >= 31) then J := -11;                                         //dwl 04Sep2013
          END;
          IF (I = 5) THEN BEGIN
{            IF (K <= 10) THEN J  :=  -23;
            IF ((K >= 11) AND (K <= 15)) THEN J  :=  -33+K;
            IF ((K >= 16) AND (K <= 22)) THEN J  :=  -17;
            IF ((K = 23) OR (K = 24)) THEN J  :=  -16;
            IF (K >= 25) THEN J := -23;             }
            if (K <= 1) THEN J := -23;                                          //dwl 12Sep2013
            if (K = 2) THEN J := -22;                                           //dwl 12Sep2013
            if (K = 3) THEN J := -23;                                           //dwl 12Sep2013
            if (K = 4) THEN J := -25;                                           //dwl 12Sep2013
            if (K = 5) THEN J := -21;                                           //dwl 12Sep2013
            if (K = 6) THEN J := -20;                                           //dwl 12Sep2013
            if (K = 7) THEN J := -23;                                           //dwl 12Sep2013
            if (K = 8) THEN J := -22;                                           //dwl 12Sep2013
            if (K = 9) THEN J := -20;                                           //dwl 12Sep2013
            if (K = 10) THEN J := -21;                                          //dwl 12Sep2013
            if (K = 11) THEN J := -23;                                          //dwl 12Sep2013
            if (K = 12) THEN J := -23;                                          //dwl 12Sep2013
            if (K = 13) THEN J := -18;                                          //dwl 12Sep2013
            if (K = 14) THEN J := -19;                                          //dwl 12Sep2013
            if (K = 15) THEN J := -17;                                          //dwl 12Sep2013
            if (K = 16) THEN J := -18;                                          //dwl 12Sep2013
            if (K = 17) THEN J := -17;                                          //dwl 12Sep2013
            if (K = 18) THEN J := -17;                                          //dwl 12Sep2013
            if (K = 19) THEN J := -16;                                          //dwl 12Sep2013
            if (K = 20) THEN J := -18;                                          //dwl 12Sep2013
            if (K = 21) THEN J := -16;                                          //dwl 12Sep2013
            if (K = 22) THEN J := -16;                                          //dwl 12Sep2013
            if (K = 23) THEN J := -15;                                          //dwl 12Sep2013
            if (K = 24) THEN J := -16;                                          //dwl 13Sep2013
            if (K = 25) THEN J := -21;                                          //dwl 13Sep2013
            if (K = 26) THEN J := -21;                                          //dwl 13Sep2013
            if (K = 27) THEN J := -22;                                          //dwl 13Sep2013
            if (K = 28) THEN J := -21;                                          //dwl 13Sep2013
            if (K = 29) THEN J := -22;                                          //dwl 13Sep2013
            if (K = 30) THEN J := -22;                                          //dwl 13Sep2013
            if (K >= 31) THEN J := -20;                                         //dwl 13Sep2013
          END;
          IF (I = 6) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -25;
            IF ((K >= 2) AND (K <= 4)) THEN J  :=  -29+3*K;
            IF ((K >= 5) AND (K <= 7)) THEN J  :=  -24+2*K;
            IF ((K >= 8) AND (K <= 10)) THEN J  :=  -5-K;
            IF ((K >= 11) AND (K <= 13)) THEN J  :=  6-2*K;
            IF ((K >= 14) AND (K <= 19)) THEN J  :=  -21;
            IF ((K = 20) OR (K = 21)) THEN J  :=  -159+7*K;
            IF ((K >= 22) AND (K <= 25)) THEN J  :=  -33+K;
            IF ((K >= 26) AND (K <= 29)) THEN J  :=  42-2*K;
            IF (K >= 30) THEN J  :=  -23;                   }
            if (K <= 1) then J := -25;                                          //dwl 16Sep2013
            if (K = 2) then J := -24;                                           //dwl 16Sep2013
            if (K = 3) then J := -14;                                           //dwl 16Sep2013
            if (K = 4) then J := -19;                                           //dwl 16Sep2013
            if (K = 5) then J := 0;                                             //dwl 16Sep2013
            if (K = 6) then J := -15;                                           //dwl 16Sep2013
            if (K = 7) then J := -10;                                           //dwl 17Sep2013
            if (K = 8) then J := -4;                                            //dwl 17Sep2013
            if (K = 9) then J := -13;                                           //dwl 17Sep2013
            if (K = 10) then J := 4;                                            //dwl 17Sep2013
            if (K = 11) then J := -15;                                          //dwl 17Sep2013
            if (K = 12) then J := -12;                                          //dwl 17Sep2013
            if (K = 13) then J := -21;                                          //dwl 17Sep2013
            if (K = 14) then J := -21;                                          //dwl 17Sep2013
            if (K = 15) then J := -20;                                          //dwl 17Sep2013
            if (K = 16) then J := -21;                                          //dwl 17Sep2013
            if (K = 17) then J := -20;                                          //dwl 17Sep2013
            if (K = 18) then J := -21;                                          //dwl 17Sep2013
            if (K = 19) then J := -19;                                          //dwl 17Sep2013
            if (K = 20) then J := -17;                                          //dwl 17Sep2013
            if (K = 21) then J := -11;                                          //dwl 17Sep2013
            if (K = 22) then J := -13;                                          //dwl 17Sep2013
            if (K = 23) then J := -8;                                           //dwl 17Sep2013
            if (K = 24) then J := -9;                                           //dwl 17Sep2013
            if (K = 25) then J := -10;                                          //dwl 17Sep2013
            if (K = 26) then J := -11;                                          //dwl 17Sep2013
            if (K = 27) then J := -14;                                          //dwl 17Sep2013
            if (K = 28) then J := -15;                                          //dwl 17Sep2013
            if (K = 29) then J := -16;                                          //dwl 17Sep2013
            if (K >= 30) then J := -22;                                         //dwl 17Sep2013
          END;
          IF (I = 7) THEN BEGIN
{            IF (K <= 8) THEN J  :=  -27;
            IF ((K >= 9) AND (K <= 14)) THEN J  :=  -35+K;
            IF ((K >= 15) AND (K <= 22)) THEN J  :=  -20;
            IF ((K >= 23) AND (K <= 27)) THEN J  :=  -21;
            IF (K >= 28) THEN J  :=  -20;             }
            if (K <= 1) then J := -27;                                          //dwl 20Sep2013
            if (K = 2) then J := -28;                                           //dwl 20Sep2013
            if (K = 3) then J := -29;                                           //dwl 20Sep2013
            if (K = 4) then J := -28;                                           //dwl 20Sep2013
            if (K = 5) then J := -26;                                           //dwl 20Sep2013
            if (K = 6) then J := -25;                                           //dwl 20Sep2013
            if (K = 7) then J := -25;                                           //dwl 20Sep2013
            if (K = 8) then J := -19;                                           //dwl 20Sep2013
            if (K = 9) then J := -30;                                           //dwl 20Sep2013
            if (K = 10) then J := -26;                                          //dwl 20Sep2013
            if (K = 11) then J := -25;                                          //dwl 23Sep2013
            if (K = 12) then J := -25;                                          //dwl 23Sep2013
            if (K = 13) then J := -22;                                          //dwl 23Sep2013
            if (K = 14) then J := -21;                                          //dwl 23Sep2013
            if (K = 15) then J := -18;                                          //dwl 23Sep2013
            if (K = 16) then J := -22;                                          //dwl 23Sep2013
            if (K = 17) then J := -19;                                          //dwl 23Sep2013
            if (K = 18) then J := -20;                                          //dwl 23Sep2013
            if (K = 19) then J := -21;                                          //dwl 23Sep2013
            if (K = 20) then J := -30;                                          //dwl 23Sep2013
            if (K = 21) then J := -19;                                          //dwl 24Sep2013
            if (K = 22) then J := -21;                                          //dwl 24Sep2013
            if (K = 23) then J := -21;                                          //dwl 24Sep2013
            if (K = 24) then J := -23;                                          //dwl 24Sep2013
            if (K = 25) then J := -22;                                          //dwl 24Sep2013
            if (K = 26) then J := -22;                                          //dwl 24Sep2013
            if (K = 27) then J := -22;                                          //dwl 24Sep2013
            if (K = 28) then J := -21;                                          //dwl 24Sep2013
            if (K = 29) then J := -19;                                          //dwl 24Sep2013
            if (K >= 30) then J := -20;                                         //dwl 24Sep2013
          END;
          IF (I = 8) THEN BEGIN
{            IF (K <= 17) THEN J  :=  -28;
            IF ((K >= 18) AND (K <= 29)) THEN J  :=  -30;
            IF (K >= 30) THEN J  :=  -15;              }
            if (K <= 1) then J := -28;                                          //dwl 27Sep2013
            if (K = 2) then J := -29;                                           //dwl 27Sep2013
            if (K = 3) then J := -27;                                           //dwl 27Sep2013
            if (K = 4) then J := -27;                                           //dwl 27Sep2013
            if (K = 5) then J := -28;                                           //dwl 27Sep2013
            if (K = 6) then J := -27;                                           //dwl 30Sep2013
            if (K = 7) then J := -26;                                           //dwl 30Sep2013
            if (K = 8) then J := -26;                                           //dwl 30Sep2013
            if (K = 9) then J := -27;                                           //dwl 30Sep2013
            if (K = 10) then J := -28;                                          //dwl 30Sep2013
            if (K = 11) then J := -27;                                          //dwl 30Sep2013
            if (K = 12) then J := -28;                                          //dwl 30Sep2013
            if (K = 13) then J := -27;                                          //dwl 30Sep2013
            if (K = 14) then J := -28;                                          //dwl 30Sep2013
            if (K = 15) then J := -27;                                          //dwl 30Sep2013
            if (K = 16) then J := -28;                                          //dwl 30Sep2013
            if (K = 17) then J := -28;                                          //dwl 30Sep2013
            if (K = 18) then J := -28;                                          //dwl 30Sep2013
            if (K = 19) then J := -28;                                          //dwl 30Sep2013
            if (K = 20) then J := -35;                                          //dwl 30Sep2013
            if (K = 21) then J := -37;                                          //dwl 30Sep2013
            if (K = 22) then J := -32;                                          //dwl 30Sep2013
            if (K = 23) then J := -33;                                          //dwl 02Oct2013
            if (K = 24) then J := -30;                                          //dwl 04Oct2013
            if (K = 25) then J := -29;                                          //dwl 04Oct2013
            if (K = 26) then J := -29;                                          //dwl 04Oct2013
            if (K = 27) then J := -30;                                          //dwl 04Oct2013
            if (K = 28) then J := -41;                                          //dwl 04Oct2013
            if (K = 29) then J := -32;                                          //dwl 04Oct2013
            if (K >= 30) then J := -14;                                         //dwl 04Oct2013
          END;
          IF (I = 9) THEN BEGIN
{            IF (K <= 15) THEN J  :=  -30;
            IF ((K >= 16) AND (K <= 20)) THEN J  :=  -29;
            IF ((K >= 21) AND (K <= 28)) THEN J  :=  -28;
            IF (K = 29) THEN J  :=  -25;
            IF (K >= 30) THEN J  :=  -9;            }
            if (K <= 1) then J := -36;                                          //dwl 09Oct2013
            if (K = 2) then J := -33;                                           //dwl 09Oct2013
            if (K = 3) then J := -31;                                           //dwl 09Oct2013
            if (K = 4) then J := -30;                                           //dwl 09Oct2013
            if (K = 5) then J := -32;                                           //dwl 09Oct2013
            if (K = 6) then J := -30;                                           //dwl 09Oct2013
            if (K = 7) then J := -30;                                           //dwl 09Oct2013
            if (K = 8) then J := -30;                                           //dwl 09Oct2013
            if (K = 9) then J := -27;                                           //dwl 10Oct2013
            if (K = 10) then J := -27;                                          //dwl 10Oct2013
            if (K = 11) then J := -30;                                          //dwl 10Oct2013
            if (K = 12) then J := -30;                                          //dwl 10Oct2013
            if (K = 13) then J := -31;                                          //dwl 10Oct2013
            if (K = 14) then J := -29;                                          //dwl 10Oct2013
            if (K = 15) then J := -30;                                          //dwl 10Oct2013
            if (K = 16) then J := -39;                                          //dwl 10Oct2013
            if (K = 17) then J := -26;                                          //dwl 10Oct2013
            if (K = 18) then J := -28;                                          //dwl 10Oct2013
            if (K = 19) then J := -30;                                          //dwl 10Oct2013
            if (K = 20) then J := -29;                                          //dwl 10Oct2013
            if (K = 21) then J := -28;                                          //dwl 11Oct2013
            if (K = 22) then J := -30;                                          //dwl 11Oct2013
            if (K = 23) then J := -24;                                          //dwl 11Oct2013
            if (K = 24) then J := -19;                                          //dwl 11Oct2013
            if (K = 25) then J := -24;                                          //dwl 11Oct2013
            if (K = 26) then J := -28;                                          //dwl 11Oct2013
            if (K = 27) then J := -30;                                          //dwl 11Oct2013
            if (K = 28) then J := -30;                                          //dwl 11Oct2013
//            if (K = 29) then J := -28;                                          //dwl 15Oct2013
            if (K = 29) then J := 0;                                            //dwl 15Oct2013
            if (K >= 30) then J := -8;                                          //dwl 15Oct2013
          END;
          IF (I = 10) THEN BEGIN
{            IF (K <= 2) THEN J  :=  -57;
            IF ((K >= 3) AND (K <= 8)) THEN J  :=  -58;
            IF ((K >= 9) AND (K <= 17)) THEN J  :=  -59;
            IF ((K >= 18) AND (K <= 20)) THEN J  :=  -60;
            IF ((K >= 21) AND (K <= 28)) THEN J  :=  -58;
            IF (K >= 29) THEN J  :=  -7;              }
            if (K <= 1) then J := -57;                                          //dwl 17Oct2013
            if (K = 2) then J := -62;                                           //dwl 17Oct2013
            if (K = 3) then J := -57;                                           //dwl 18Oct2013
            if (K = 4) then J := -54;                                           //dwl 18Oct2013
            if (K = 5) then J := -55;                                           //dwl 18Oct2013
            if (K = 6) then J := -58;                                           //dwl 18Oct2013
            if (K = 7) then J := -58;                                           //dwl 18Oct2013
            if (K = 8) then J := -63;                                           //dwl 18Oct2013
            if (K = 9) then J := -59;                                           //dwl 18Oct2013
            if (K = 10) then J := -57;                                          //dwl 18Oct2013
            if (K = 11) then J := -58;                                          //dwl 18Oct2013
            if (K = 12) then J := -58;                                          //dwl 21Oct2013
            if (K = 13) then J := -60;                                          //dwl 21Oct2013
            if (K = 14) then J := -59;                                          //dwl 21Oct2013
            if (K = 15) then J := -52;                                          //dwl 21Oct2013
            if (K = 16) then J := -57;                                          //dwl 21Oct2013
            if (K = 17) then J := -58;                                          //dwl 21Oct2013
            if (K = 18) then J := -58;                                          //dwl 21Oct2013
            if (K = 19) then J := -41;                                          //dwl 22Oct2013
            if (K = 20) then J := -61;                                          //dwl 22Oct2013
            if (K = 21) then J := -56;                                          //dwl 22Oct2013
            if (K = 22) then J := -68;                                          //dwl 22Oct2013
            if (K = 23) then J := -56;                                          //dwl 22Oct2013
            if (K = 24) then J := -54;                                          //dwl 23Oct2013
            if (K = 25) then J := -54;                                          //dwl 23Oct2013
            if (K = 26) then J := -59;                                          //dwl 23Oct2013
            if (K = 27) then J := -59;                                          //dwl 23Oct2013
            if (K = 28) then J := -58;                                          //dwl 23Oct2013
            if (K >= 29) then J := -2;                                          //dwl 23Oct2013
          END;
          IF (I = 11) THEN BEGIN
{            IF (K <= 5) THEN J  :=  -59;
            IF (K = 6) THEN J  :=  -60;
            IF ((K >= 7) AND (K <= 12)) THEN J  :=  -61;
            IF ((K >= 13) AND (K <= 27)) THEN J  :=  -60;
            IF (K = 28) THEN J  :=  -59;
            IF (K >= 29) THEN J  :=  7;            }
            if (K <= 1) then J := -52;                                          //dwl 31Oct2013
            if (K = 2) then J := -60;                                           //dwl 31Oct2013
            if (K = 3) then J := -49;                                           //dwl 31Oct2013
            if (K = 4) then J := -57;                                           //dwl 31Oct2013
            if (K = 5) then J := -57;                                           //dwl 31Oct2013
            if (K = 6) then J := -48;                                           //dwl 01Nov2013
            if (K = 7) then J := -61;                                           //dwl 01Nov2013
            if (K = 8) then J := -44;                                           //dwl 01Nov2013
            if (K = 9) then J := -61;                                           //dwl 01Nov2013
            if (K = 10) then J := -44;                                          //dwl 01Nov2013
            if (K = 11) then J := -60;                                          //dwl 02Nov2013
            if (K = 12) then J := -49;                                          //dwl 02Nov2013
            if (K = 13) then J := -58;                                          //dwl 02Nov2013
            if (K = 14) then J := -50;                                          //dwl 02Nov2013
            if (K = 15) then J := -50;                                          //dwl 04Nov2013
            if (K = 16) then J := -56;                                          //dwl 04Nov2013
            if (K = 17) then J := -47;                                          //dwl 04Nov2013
            if (K = 18) then J := -53;                                          //dwl 04Nov2013
            if (K = 19) then J := -49;                                          //dwl 04Nov2013
            if (K = 20) then J := -49;                                          //dwl 04Nov2013
            if (K = 21) then J := -50;                                          //dwl 04Nov2013
            if (K = 22) then J := -65;                                          //dwl 05Nov2013
            if (K = 23) then J := -77;                                          //dwl 05Nov2013
            if (K = 24) then J := -61;                                          //dwl 05Nov2013
            if (K = 25) then J := -67;                                          //dwl 06Nov2013
            if (K = 26) then J := -60;                                          //dwl 06Nov2013
            if (K = 27) then J := -60;                                          //dwl 06Nov2013
            if (K = 28) then J := -60;                                          //dwl 06Nov2013
            if (K >= 29) then J := 10;                                          //dwl 06Nov2013
          END;
          IF (I = 12) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -58;
            IF (K = 2) THEN J  :=  7;
            IF ((K >= 3) AND (K <= 28)) THEN J  :=  9;
            IF (K >= 29) THEN J  :=  11;             }
            if (K <= 1) then J := -62;                                          //dwl 18Nov2013
            if (K = 2) then J := 9;                                             //dwl 19Nov2013
            if (K = 3) then J := 9;                                             //dwl 19Nov2013
            if (K = 4) then J := 8;                                             //dwl 19Nov2013
            if (K = 5) then J := 11;                                            //dwl 19Nov2013
            if (K = 6) then J := 5;                                             //dwl 20Nov2013
            if (K = 7) then J := 0;                                             //dwl 20Nov2013
            if (K = 8) then J := 8;                                             //dwl 20Nov2013
            if (K = 9) then J := 8;                                             //dwl 20Nov2013
            if (K = 10) then J := -4;                                           //dwl 20Nov2013
            if (K = 11) then J := 9;                                            //dwl 20Nov2013
            if (K = 12) then J := -7;                                           //dwl 20Nov2013
            if (K = 13) then J := 3;                                            //dwl 20Nov2013
            if (K = 14) then J := 10;                                           //dwl 22Nov2013
            if (K = 15) then J := 9;                                            //dwl 23Nov2013
            if (K = 16) then J := 10;                                           //dwl 23Nov2013
            if (K = 17) then J := 9;                                            //dwl 25Nov2013
            if (K = 18) then J := 17;                                           //dwl 25Nov2013
            if (K = 19) then J := 11;                                           //dwl 25Nov2013
            if (K = 20) then J := 10;                                           //dwl 25Nov2013
            if (K = 21) then J := 8;                                            //dwl 25Nov2013
            if (K = 22) then J := 5;                                            //dwl 25Nov2013
            if (K = 23) then J := 9;                                            //dwl 26Nov2013
            if (K = 24) then J := 10;                                           //dwl 26Nov2013
            if (K = 25) then J := 11;                                           //dwl 26Nov2013
            if (K = 26) then J := 10;                                           //dwl 26Nov2013
            if (K = 27) then J := 11;                                           //dwl 26Nov2013
            if (K = 28) then J := 7;                                            //dwl 26Nov2013
            if (K >= 29) then J := 8;                                           //dwl 26Nov2013
          END;
          IF (I = 13) THEN BEGIN
{            IF (K <= 3) THEN J  :=  -61;
            IF ((K >= 4) AND (K <= 7)) THEN J  :=  -54-2*K;
            IF ((K >= 8) AND (K <= 10)) THEN J  :=  -72;
            IF ((K >= 11) AND (K <= 13)) THEN J  :=  -71;
            IF (K = 14) THEN J  :=  -67;
            IF ((K >= 15) AND (K <= 17)) THEN J  :=  2;
            IF ((K >= 18) AND (K <= 25)) THEN J  :=  1;
            IF (K >= 26) THEN J  :=  0;             }
            if (K <= 1) then J := -61;                                          //dwl 09Jan2014
            if (K = 2) then J := -58;                                           //dwl 09Jan2014
            if (K = 3) then J := -60;                                           //dwl 09Jan2014
            if (K = 4) then J := -60;                                           //dwl 09Jan2014
            if (K = 5) then J := -64;                                           //dwl 09Jan2014
            if (K = 6) then J := -61;                                           //dwl 09Jan2014
            if (K = 7) then J := -69;                                           //dwl 09Jan2014
            if (K = 8) then J := -72;                                           //dwl 09Jan2014
            if (K = 9) then J := -72;                                           //dwl 11Jan2014
            if (K = 10) then J := -72;                                          //dwl 11Jan2014
            if (K = 11) then J := -71;                                          //dwl 11Jan2014
            if (K = 12) then J := -72;                                          //dwl 11Jan2014
            if (K = 13) then J := -70;                                          //dwl 12Jan2014
            if (K = 14) then J := -47;                                          //dwl 12Jan2014
            if (K = 15) then J := -2;                                           //dwl 12Jan2014
            if (K = 16) then J := 2;                                            //dwl 12Jan2014
            if (K = 17) then J := 2;                                            //dwl 14Jan2014
            if (K = 18) then J := 0;                                            //dwl 14Jan2014
            if (K = 19) then J := -2;                                           //dwl 14Jan2014
            if (K = 20) then J := -7;                                           //dwl 14Jan2014
            if (K = 21) then J := -1;                                           //dwl 14Jan2014
            if (K = 22) then J := -2;                                           //dwl 15Jan2014
            if (K = 23) then J := -4;                                           //dwl 15Jan2014
            if (K = 24) then J := 1;                                            //dwl 15Jan2014
            if (K = 25) then J := 2;                                            //dwl 15Jan2014
            if (K = 26) then J := 0;                                            //dwl 15Jan2014
            if (K = 27) then J := -7;                                           //dwl 16Jan2014
            if (K = 28) then J := -4;                                           //dwl 16Jan2014
            if (K >= 29) then J := -9;                                          //dwl 16Jan2014
          END;
          IF (I = 14) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -28;
            IF ((K >= 5) AND (K <= 8)) THEN J  :=  -30;
            IF ((K >= 9) AND (K <= 11)) THEN J  :=  -6;
            IF ((K >= 12) AND (K <= 14)) THEN J  :=  -17+K;
            IF ((K >= 15) AND (K <= 20)) THEN J  :=  -2;
            IF (K >= 21) THEN J  :=  -12;             }
            if (K <= 1) then J := -31;                                          //dwl 30Jan2014
            if (K = 2) then J := -30;                                           //dwl 18Feb2014
            if (K = 3) then J := -29;                                           //dwl 18Feb2014
            if (K = 4) then J := -27;                                           //dwl 18Feb2014
            if (K = 5) then J := -32;                                           //dwl 18Feb2014
            if (K = 6) then J := -32;                                           //dwl 18Feb2014
            if (K = 7) then J := -29;                                           //dwl 18Feb2014
            if (K = 8) then J := -31;                                           //dwl 18Feb2014
            if (K = 9) then J := -7;                                            //dwl 18Feb2014
//            if (K = 10) then J := -6;                                           //dwl 18Feb2014
            if (K = 10) then J := 5;                                           //dwl 18Feb2014
            if (K = 11) then J := -10;                                          //dwl 18Feb2014
            if (K = 12) then J := -8;                                           //dwl 18Feb2014
            if (K = 13) then J := -7;                                           //dwl 19Feb2014
            if (K = 14) then J := -2;                                           //dwl 19Feb2014
            if (K = 15) then J := -7;                                           //dwl 19Feb2014
            if (K = 16) then J := -8;                                           //dwl 20Feb2014
            if (K = 17) then J := -8;                                           //dwl 20Feb2014
            if (K = 18) then J := 4;                                            //dwl 20Feb2014
            if (K = 19) then J := 4;                                            //dwl 20Feb2014
            if (K = 20) then J := 8;                                            //dwl 20Feb2014
            if (K = 21) then J := 3;                                            //dwl 20Feb2014
            if (K = 22) then J := -12;                                          //dwl 20Feb2014
            if (K = 23) then J := -12;                                          //dwl 25Feb2014
            if (K = 24) then J := -5;                                           //dwl 25Feb2014
            if (K = 25) then J := -3;                                           //dwl 26Feb2014
            if (K = 26) then J := 0;                                            //dwl 27Feb2014
            if (K = 27) then J := 3;                                            //dwl 27Feb2014
            if (K = 28) then J := -16;                                          //dwl 27Feb2014
            if (K >= 29) then J := -18;                                         //dwl 27Feb2014
          END;
          IF (I = 15) THEN BEGIN
{            IF (K <= 2) THEN J  :=  -44;
            IF ((K >= 3) AND (K <= 10)) THEN J  :=  -42;
            IF ((K >= 11) AND (K <= 17)) THEN J  :=  -43;
            IF (K = 18) THEN J  :=  -7;
            IF ((K = 19) OR (K = 20)) THEN J  :=  -3;
            IF ((K = 21) OR (K = 22)) THEN J  :=  0;
            IF ((K >= 23) AND (K <= 27)) THEN J  :=  3;
            IF (K >= 28) THEN J  :=  -16;            }
            if (K <= 1) then J := -44;                                          //dwl 05May2014
            if (K = 2) then J := -45;                                           //dwl 06May2014
            if (K = 3) then J := -45;                                           //dwl 06May2014
            if (K = 4) then J := -42;                                           //dwl 07May2014
            if (K = 5) then J := -42;                                           //dwl 07May2014
            if (K = 6) then J := -42;                                           //dwl 07May2014
            if (K = 7) then J := -41;                                           //dwl 07May2014
            if (K = 8) then J := -42;                                           //dwl 07May2014
            if (K = 9) then J := -45;                                           //dwl 08May2014
            if (K = 10) then J := -46;                                          //dwl 08May2014
            if (K = 11) then J := -36;                                          //dwl 09May2014
            if (K = 12) then J := -35;                                          //dwl 09May2014
            if (K = 13) then J := -42;                                          //dwl 09May2014
            if (K = 14) then J := -43;                                          //dwl 09May2014
            if (K = 15) then J := -39;                                          //dwl 12May2014
            if (K = 16) then J := -47;                                          //dwl 12May2014
            if (K = 17) then J := -51;                                          //dwl 13May2014
            if (K = 18) then J := 0;                                            //dwl 14May2014
            if (K = 19) then J := -3;                                           //dwl 14May2014
            if (K = 20) then J := -3;                                           //dwl 14May2014
            if (K = 21) then J := -7;                                           //dwl 15May2014
            if (K = 22) then J := -3;                                           //dwl 15May2014
            if (K = 23) then J := 0;                                            //dwl 15May2014
            if (K = 24) then J := 3;                                            //dwl 15May2014
            if (K = 25) then J := 3;                                            //dwl 15May2014
            if (K = 26) then J := 6;                                            //dwl 15May2014
            if (K = 27) then J := 8;                                            //dwl 15May2014
            if (K >= 28) then J := -15;                                         //dwl 15May2014
          END;
          IF (I = 16) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -45;
            IF ((K = 2) OR (K = 3)) THEN J  :=  -43;
            IF ((K >= 4) AND (K <= 8)) THEN J  :=  -40;
            IF (K = 7)  THEN J  :=  -42;
            IF ((K >= 9) AND (K <= 12)) THEN J  :=  -14-3*K;
            IF ((K >= 13) AND (K <= 15)) THEN J  :=  -102+4*K;
            IF ((K >= 16) AND (K <= 21)) THEN J  :=  -30-((K-1) DIV 3)*2;
            IF ((K >= 22) AND (K <= 25)) THEN J  :=  50-(K DIV 2)*6;
            IF ((K = 26) OR (K = 27)) THEN J  :=  -97+3*K;
            IF (K >= 28) THEN J  :=  -14;                }
            if (K <= 1) then J := -45;                                          //dwl 16Jun2014
            if (K = 2) then J := -44;                                           //dwl 16Jun2014
            if (K = 3) then J := -44;                                           //dwl 16Jun2014
            if (K = 4) then J := -40;                                           //dwl 16Jun2014
            if (K = 5) then J := -39;                                           //dwl 18Jun2014
            if (K = 6) then J := -40;                                           //dwl 18Jun2014
            if (K = 7) then J := -40;                                           //dwl 18Jun2014
            if (K = 8) then J := -39;                                           //dwl 04Jul2014
            if (K = 9) then J := -41;                                           //dwl 04Jul2014
            if (K = 10) then J := -45;                                          //dwl 04Jul2014
            if (K = 11) then J := -48;                                          //dwl 04Jul2014
            if (K = 12) then J := -50;                                          //dwl 04Jul2014
            if (K = 13) then J := -52;                                          //dwl 04Jul2014
            if (K = 14) then J := -48;                                          //dwl 04Jul2014
            if (K = 15) then J := -40;                                          //dwl 04Jul2014
            if (K = 16) then J := -41;                                          //dwl 07Jul2014
            if (K = 17) then J := -39;                                          //dwl 07Jul2014
            if (K = 18) then J := -42;                                          //dwl 07Jul2014
            if (K = 19) then J := -43;                                          //dwl 07Jul2014
            if (K = 20) then J := -42;                                          //dwl 07Jul2014
            if (K = 21) then J := -44;                                          //dwl 07Jul2014
            if (K = 22) then J := -14;                                          //dwl 07Jul2014
            if (K = 23) then J := -17;                                          //dwl 07Jul2014
            if (K = 24) then J := -19;                                          //dwl 07Jul2014
            if (K = 25) then J := -22;                                          //dwl 07Jul2014
            if (K = 26) then J := -20;                                          //dwl 08Jul2014
            if (K = 27) then J := -16;                                          //dwl 08Jul2014
            if (K >= 28) then J := -12;                                         //dwl 08Jul2014
          END;
          IF (I = 17) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -45;
            IF ((K >= 2) AND (K <= 4)) THEN J  :=  -42;
            IF ((K >= 5) AND (K <= 8)) THEN J  :=  -44;
            IF ((K >= 9) AND (K <= 12)) THEN J  :=  -27-2*K;
            IF ((K >= 13) AND (K <= 18)) THEN J  :=  -29-2*K;
            IF ((K >= 19) AND (K <= 21)) THEN J  :=  -66;
            IF ((K >= 22) AND (K <= 27)) THEN J  :=  -68;
            IF (K >= 28) THEN J  :=  -13;             }
            if (K <= 1) then J := -45;                                          //dwl 15Jul2014
            if (K = 2) then J := -43;                                           //dwl 15Jul2014
            if (K = 3) then J := -43;                                           //dwl 15Jul2014
            if (K = 4) then J := -41;                                           //dwl 15Jul2014
            if (K = 5) then J := -43;                                           //dwl 15Jul2014
            if (K = 6) then J := -44;                                           //dwl 15Jul2014
            if (K = 7) then J := -44;                                           //dwl 15Jul2014
            if (K = 8) then J := -44;                                           //dwl 15Jul2014
            if (K = 9) then J := -44;                                           //dwl 16Jul2014
            if (K = 10) then J := -47;                                          //dwl 16Jul2014
            if (K = 11) then J := -52;                                          //dwl 16Jul2014
            if (K = 12) then J := -55;                                          //dwl 16Jul2014
            if (K = 13) then J := -54;                                          //dwl 21Jul2014
            if (K = 14) then J := -57;                                          //dwl 22Jul2014
            if (K = 15) then J := -60;                                          //dwl 22Jul2014
            if (K = 16) then J := -63;                                          //dwl 22Jul2014
            if (K = 17) then J := -62;                                          //dwl 22Jul2014
            if (K = 18) then J := -63;                                          //dwl 23Jul2014
            if (K = 19) then J := -66;                                          //dwl 23Jul2014
            if (K = 20) then J := -67;                                          //dwl 23Jul2014
            if (K = 21) then J := -67;                                          //dwl 23Jul2014
            if (K = 22) then J := -5;                                           //dwl 23Jul2014
            if (K = 23) then J := -21;                                          //dwl 23Jul2014
            if (K = 24) then J := -25;                                          //dwl 23Jul2014
            if (K = 25) then J := -70;                                          //dwl 23Jul2014
            if (K = 26) then J := -66;                                          //dwl 23Jul2014
            if (K = 27) then J := -68;                                          //dwl 23Jul2014
            if (K >= 28) then J := -12;                                         //dwl 23Jul2014
          END;
          IF (I = 18) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -48;
            IF ((K >= 5) AND (K <= 9)) THEN J  :=  -49;
            IF ((K >= 10) AND (K <= 12)) THEN J  :=  -50;
            IF ((K >= 13) AND (K <= 24)) THEN J  :=  -56;
            IF ((K >= 25) AND (K <= 27)) THEN J  :=  -80+K;
            IF (K >= 28) THEN J  :=  -11;             }
            if (K <= 1) then J := -48;                                          //dwl 30Jul2014
            if (K = 2) then J := -49;                                           //dwl 30Jul2014
            if (K = 3) then J := -49;                                           //dwl 30Jul2014
            if (K = 4) then J := -48;                                           //dwl 30Jul2014
            if (K = 5) then J := -49;                                           //dwl 30Jul2014
            if (K = 6) then J := -48;                                           //dwl 30Jul2014
            if (K = 7) then J := -48;                                           //dwl 01Aug2014
            if (K = 8) then J := -49;                                           //dwl 01Aug2014
            if (K = 9) then J := -48;                                           //dwl 01Aug2014
            if (K = 10) then J := -50;                                          //dwl 01Aug2014
            if (K = 11) then J := -50;                                          //dwl 01Aug2014
            if (K = 12) then J := -50;                                          //dwl 01Aug2014
            if (K = 13) then J := -63;                                          //dwl 01Aug2014
            if (K = 14) then J := -57;                                          //dwl 01Aug2014
            if (K = 15) then J := -56;                                          //dwl 05Aug2014
            if (K = 16) then J := -55;                                          //dwl 05Aug2014
            if (K = 17) then J := -56;                                          //dwl 05Aug2014
            if (K = 18) then J := -57;                                          //dwl 05Aug2014
            if (K = 19) then J := -55;                                          //dwl 05Aug2014
            if (K = 20) then J := -56;                                          //dwl 05Aug2014
            if (K = 21) then J := -56;                                          //dwl 05Aug2014
            if (K = 22) then J := -55;                                          //dwl 05Aug2014
            if (K = 23) then J := -57;                                          //dwl 05Aug2014
            if (K = 24) then J := -54;                                          //dwl 05Aug2014
            if (K = 25) then J := -54;                                          //dwl 05Aug2014
            if (K = 26) then J := -54;                                          //dwl 05Aug2014
            if (K = 27) then J := -53;                                          //dwl 05Aug2014
            if (K >= 28) then J := -14;                                         //dwl 05Aug2014
          END;
          IF (I = 19) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -36;
            IF ((K >= 2) AND (K <= 20)) THEN J  :=  -33;
            IF ((K >= 21) AND (K <= 26)) THEN J  :=  -34;
            IF (K >= 27) THEN J  :=  -18;               }
            if (K <= 1) then J := -36;                                          //dwl 13Aug2014
            if (K = 2) then J := -36;                                           //dwl 13Aug2014
            if (K = 3) then J := -34;                                           //dwl 13Aug2014
            if (K = 4) then J := -33;                                           //dwl 13Aug2014
            if (K = 5) then J := -34;                                           //dwl 13Aug2014
            if (K = 6) then J := -34;                                           //dwl 13Aug2014
            if (K = 7) then J := -33;                                           //dwl 13Aug2014
            if (K = 8) then J := -33;                                           //dwl 13Aug2014
            if (K = 9) then J := -31;                                           //dwl 13Aug2014
            if (K = 10) then J := -31;                                          //dwl 13Aug2014
            if (K = 11) then J := -32;                                          //dwl 13Aug2014
            if (K = 12) then J := -33;                                          //dwl 13Aug2014
            if (K = 13) then J := -33;                                          //dwl 13Aug2014
            if (K = 14) then J := -33;                                          //dwl 13Aug2014
            if (K = 15) then J := -33;                                          //dwl 13Aug2014
            if (K = 16) then J := -33;                                          //dwl 13Aug2014
            if (K = 17) then J := -33;                                          //dwl 13Aug2014
            if (K = 18) then J := -34;                                          //dwl 14Aug2014
            if (K = 19) then J := -33;                                          //dwl 14Aug2014
            if (K = 20) then J := -35;                                          //dwl 14Aug2014
            if (K = 21) then J := -34;                                          //dwl 14Aug2014
            if (K = 22) then J := -35;                                          //dwl 14Aug2014
            if (K = 23) then J := -34;                                          //dwl 14Aug2014
            if (K = 24) then J := -35;                                          //dwl 14Aug2014
            if (K = 25) then J := -36;                                          //dwl 14Aug2014
            if (K = 26) then J := -35;                                          //dwl 14Aug2014
            if (K >= 27) then J := -19;                                         //dwl 14Aug2014
          END;
          IF (I = 20) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -53;
            IF ((K >= 2) AND (K <= 13)) THEN J  :=  -38;
            IF (K = 14) THEN J  :=  -36;
            IF ((K >= 15) AND (K <= 18)) THEN J  :=  -30;
            IF ((K >= 19) AND (K <= 26)) THEN J  :=  -22-((K-1) DIV 2);
            IF (K >= 27) THEN J  :=  -23;                     }
            if (K <= 1) then J := -38;                                          //dwl 21Aug2014
            if (K = 2) then J := -38;                                           //dwl 21Aug2014
            if (K = 3) then J := -38;                                           //dwl 21Aug2014
            if (K = 4) then J := -38;                                           //dwl 21Aug2014
            if (K = 5) then J := -38;                                           //dwl 21Aug2014
            if (K = 6) then J := -38;                                           //dwl 21Aug2014
            if (K = 7) then J := -35;                                           //dwl 21Aug2014
            if (K = 8) then J := -36;                                           //dwl 21Aug2014
            if (K = 9) then J := -36;                                           //dwl 21Aug2014
            if (K = 10) then J := -38;                                          //dwl 21Aug2014
            if (K = 11) then J := -37;                                          //dwl 21Aug2014
            if (K = 12) then J := -37;                                          //dwl 21Aug2014
            if (K = 13) then J := -37;                                          //dwl 21Aug2014
            if (K = 14) then J := -37;                                          //dwl 21Aug2014
            if (K = 15) then J := -37;                                          //dwl 21Aug2014
            if (K = 16) then J := -36;                                          //dwl 21Aug2014
            if (K = 17) then J := -35;                                          //dwl 22Aug2014
            if (K = 18) then J := -37;                                          //dwl 22Aug2014
            if (K = 19) then J := -37;                                          //dwl 22Aug2014
            if (K = 20) then J := -37;                                          //dwl 22Aug2014
            if (K = 21) then J := -38;                                          //dwl 22Aug2014
            if (K = 22) then J := -39;                                          //dwl 22Aug2014
            if (K = 23) then J := -39;                                          //dwl 22Aug2014
            if (K = 24) then J := -38;                                          //dwl 27Aug2014
            if (K = 25) then J := -38;                                          //dwl 27Aug2014
            if (K = 26) then J := -38;                                          //dwl 27Aug2014
            if (K >= 27) then J := -23;                                         //dwl 27Aug2014
          END;
          IF (I = 21) THEN BEGIN
{            IF (K <= 6) THEN J  :=  -39;
            IF ((K >= 7) AND (K <= 14)) THEN J  :=  -40;
            IF ((K >= 15) AND (K <= 19)) THEN J  :=  -39;
            IF ((K = 20) OR (K = 21)) THEN J  :=  -40;
            IF ((K >= 22) AND (K <= 26)) THEN J  :=  -41;
            IF (K >= 27) THEN J  :=  -25;              }
            if (K <= 1) then J := -39;                                          //dwl 04Sep2014
            if (K = 2) then J := -39;                                           //dwl 04Sep2014
            if (K = 3) then J := -39;                                           //dwl 04Sep2014
            if (K = 4) then J := -39;                                           //dwl 04Sep2014
            if (K = 5) then J := -39;                                           //dwl 04Sep2014
            if (K = 6) then J := -39;                                           //dwl 04Sep2014
            if (K = 7) then J := -39;                                           //dwl 04Sep2014
            if (K = 8) then J := -40;                                           //dwl 04Sep2014
            if (K = 9) then J := -39;                                           //dwl 04Sep2014
            if (K = 10) then J := -40;                                          //dwl 04Sep2014
            if (K = 11) then J := -40;                                          //dwl 04Sep2014
            if (K = 12) then J := -40;                                          //dwl 04Sep2014
            if (K = 13) then J := -40;                                          //dwl 04Sep2014
            if (K = 14) then J := -40;                                          //dwl 04Sep2014
            if (K = 15) then J := -40;                                          //dwl 05Sep2014
            if (K = 16) then J := -41;                                          //dwl 05Sep2014
            if (K = 17) then J := -42;                                          //dwl 05Sep2014
            if (K = 18) then J := -41;                                          //dwl 05Sep2014
            if (K = 19) then J := -41;                                          //dwl 05Sep2014
            if (K = 20) then J := -41;                                          //dwl 05Sep2014
            if (K = 21) then J := -42;                                          //dwl 05Sep2014
            if (K = 22) then J := -42;                                          //dwl 05Sep2014
            if (K = 23) then J := -43;                                          //dwl 05Sep2014
            if (K = 24) then J := -43;                                          //dwl 05Sep2014
            if (K = 25) then J := -42;                                          //dwl 05Sep2014
            if (K = 26) then J := -41;                                          //dwl 05Sep2014
            if (K >= 27) then J := -27;                                         //dwl 05Sep2014
          END;
          IF (I = 22) THEN BEGIN
{            IF (K <= 7) THEN J  :=  -36;
            IF ((K >= 8) AND (K <= 13)) THEN J  :=  -35;
            IF ((K >= 14) AND (K <= 23)) THEN J  :=  -36;
            IF ((K >= 24) AND (K <= 26)) THEN J  :=  -35;
            IF (K >= 27) THEN J  :=  -29;            }
            if (K <= 1) then J := -36;                                          //dwl 15Sep2014
            if (K = 2) then J := -35;                                           //dwl 15Sep2014
            if (K = 3) then J := -35;                                           //dwl 16Sep2014
            if (K = 4) then J := -35;                                           //dwl 16Sep2014
            if (K = 5) then J := -36;                                           //dwl 16Sep2014
            if (K = 6) then J := -36;                                           //dwl 16Sep2014
            if (K = 7) then J := -35;                                           //dwl 16Sep2014
            if (K = 8) then J := -34;                                           //dwl 16Sep2014
            if (K = 9) then J := -35;                                           //dwl 16Sep2014
            if (K = 10) then J := -35;                                          //dwl 16Sep2014
            if (K = 11) then J := -34;                                          //dwl 16Sep2014
            if (K = 12) then J := -35;                                          //dwl 16Sep2014
            if (K = 13) then J := -35;                                          //dwl 16Sep2014
            if (K = 14) then J := -35;                                          //dwl 16Sep2014
            if (K = 15) then J := -35;                                          //dwl 16Sep2014
            if (K = 16) then J := -36;                                          //dwl 16Sep2014
            if (K = 17) then J := -35;                                          //dwl 16Sep2014
            if (K = 18) then J := -36;                                          //dwl 16Sep2014
            if (K = 19) then J := -35;                                          //dwl 16Sep2014
            if (K = 20) then J := -36;                                          //dwl 16Sep2014
            if (K = 21) then J := -36;                                          //dwl 18Sep2014
            if (K = 22) then J := -36;                                          //dwl 18Sep2014
            if (K = 23) then J := -35;                                          //dwl 18Sep2014
            if (K = 24) then J := -35;                                          //dwl 18Sep2014
            if (K = 25) then J := -37;                                          //dwl 19Sep2014
            if (K = 26) then J := -37;                                          //dwl 19Sep2014
            if (K >= 27) then J := -29;                                         //dwl 19Sep2014
          END;
          IF (I = 23) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -32;
            IF ((K >= 2) AND (K <= 6)) THEN J  :=  -31-K;
            IF ((K >= 7) AND (K <= 10)) THEN J  :=  -37;
            IF ((K >= 11) AND (K <= 14)) THEN J  :=  -38;
            IF ((K >= 15) AND (K <= 25)) THEN J  :=  -39;
            IF (K = 26) THEN J  :=  -31;
            IF (K >= 27) THEN J  :=  -29;                  }
            if (K <= 1) then J := -34;                                          //dwl 02Oct2014
            if (K = 2) then J := -33;                                           //dwl 03Oct2014
            if (K = 3) then J := -34;                                           //dwl 03Oct2014
            if (K = 4) then J := -35;                                           //dwl 03Oct2014
            if (K = 5) then J := -35;                                           //dwl 03Oct2014
            if (K = 6) then J := -36;                                           //dwl 03Oct2014
            if (K = 7) then J := -37;                                           //dwl 03Oct2014
            if (K = 8) then J := -37;                                           //dwl 03Oct2014
            if (K = 9) then J := -38;                                           //dwl 03Oct2014
            if (K = 10) then J := -37;                                          //dwl 03Oct2014
            if (K = 11) then J := -35;                                          //dwl 03Oct2014
            if (K = 12) then J := -37;                                          //dwl 03Oct2014
            if (K = 13) then J := -38;                                          //dwl 03Oct2014
            if (K = 14) then J := -39;                                          //dwl 03Oct2014
            if (K = 15) then J := -39;                                          //dwl 08Oct2014
            if (K = 16) then J := -38;                                          //dwl 08Oct2014
            if (K = 17) then J := -38;                                          //dwl 08Oct2014
            if (K = 18) then J := -40;                                          //dwl 08Oct2014
            if (K = 19) then J := -39;                                          //dwl 08Oct2014
            if (K = 20) then J := -39;                                          //dwl 08Oct2014
            if (K = 21) then J := -39;                                          //dwl 08Oct2014
            if (K = 22) then J := -39;                                          //dwl 09Oct2014
            if (K = 23) then J := -39;                                          //dwl 09Oct2014
            if (K = 24) then J := -39;                                          //dwl 09Oct2014
            if (K = 25) then J := -39;                                          //dwl 09Oct2014
            if (K = 26) then J := -32;                                          //dwl 09Oct2014
            if (K >= 27) then J := -30;                                         //dwl 09Oct2014
          END;
          IF (I = 24) THEN BEGIN
{            IF (K <= 5) THEN J  :=  -32;
            IF ((K >= 6) AND (K <= 10)) THEN J  :=  -31;
            IF ((K >= 11) AND (K <= 18)) THEN J  :=  -32;
            IF ((K >= 19) AND (K <= 25)) THEN J  :=  -31;
            IF (K >= 26) THEN J  :=  -18;           }
            if (K <= 1) then J := -32;                                          //dwl 10Nov2014
            if (K = 2) then J := -31;                                           //dwl 10Nov2014
            if (K = 3) then J := -32;                                           //dwl 10Nov2014
            if (K = 4) then J := -31;                                           //dwl 10Nov2014
            if (K = 5) then J := -31;                                           //dwl 10Nov2014
            if (K = 6) then J := -31;                                           //dwl 10Nov2014
            if (K = 7) then J := -31;                                           //dwl 10Nov2014
            if (K = 8) then J := -31;                                           //dwl 10Nov2014
            if (K = 9) then J := -30;                                           //dwl 10Nov2014
            if (K = 10) then J := -30;                                          //dwl 10Nov2014
            if (K = 11) then J := -32;                                          //dwl 10Nov2014
            if (K = 12) then J := -31;                                          //dwl 10Nov2014
            if (K = 13) then J := -31;                                          //dwl 10Nov2014
            if (K = 14) then J := -31;                                          //dwl 10Nov2014
            if (K = 15) then J := -31;                                          //dwl 12Nov2014
            if (K = 16) then J := -31;                                          //dwl 12Nov2014
            if (K = 17) then J := -31;                                          //dwl 12Nov2014
            if (K = 18) then J := -32;                                          //dwl 12Nov2014
            if (K = 19) then J := -32;                                          //dwl 12Nov2014
            if (K = 20) then J := -32;                                          //dwl 12Nov2014
            if (K = 21) then J := -32;                                          //dwl 12Nov2014
            if (K = 22) then J := -33;                                          //dwl 12Nov2014
            if (K = 23) then J := -33;                                          //dwl 12Nov2014
            if (K = 24) then J := -33;                                          //dwl 12Nov2014
            if (K = 25) then J := -33;                                          //dwl 12Nov2014
            if (K >= 26) then J := -19;                                         //dwl 12Nov2014
          END;
          IF (I = 25) THEN BEGIN
{            IF (K <= 5) THEN J  :=  -29;
            IF ((K >= 6) AND (K <= 14)) THEN J  :=  -28;
            IF ((K >= 15) AND (K <= 24)) THEN J  :=  -24;
            IF (K = 25) THEN J  :=  -21;
            IF (K >= 26) THEN J  :=  -13;             }
            if (K <= 1) then J := -29;                                          //dwl 12Jan2015
            if (K = 2) then J := -29;                                           //dwl 12Jan2015
            if (K = 3) then J := -29;                                           //dwl 14Jan2015
            if (K = 4) then J := -28;                                           //dwl 14Jan2015
            if (K = 5) then J := -28;                                           //dwl 14Jan2015
            if (K = 6) then J := -28;                                           //dwl 14Jan2015
            if (K = 7) then J := -27;                                           //dwl 14Jan2015
            if (K = 8) then J := -27;                                           //dwl 14Jan2015
            if (K = 9) then J := -27;                                           //dwl 14Jan2015
            if (K = 10) then J := -27;                                          //dwl 15Jan2015
            if (K = 11) then J := -28;                                          //dwl 15Jan2015
            if (K = 12) then J := -29;                                          //dwl 15Jan2015
            if (K = 13) then J := -28;                                          //dwl 15Jan2015
            if (K = 14) then J := -28;                                          //dwl 15Jan2015
            if (K = 15) then J := -28;                                          //dwl 15Jan2015
            if (K = 16) then J := -29;                                          //dwl 15Jan2015
            if (K = 17) then J := -29;                                          //dwl 15Jan2015
            if (K = 18) then J := -29;                                          //dwl 15Jan2015
            if (K = 19) then J := -29;                                          //dwl 15Jan2015
            if (K = 20) then J := -29;                                          //dwl 15Jan2015
            if (K = 21) then J := -29;                                          //dwl 15Jan2015
            if (K = 22) then J := -29;                                          //dwl 15Jan2015
            if (K = 23) then J := -29;                                          //dwl 15Jan2015
            if (K = 24) then J := -29;                                          //dwl 15Jan2015
            if (K = 25) then J := -29;                                         //dwl 15Jan2015
            if (K >= 26) then J := -17;                                         //dwl 15Jan2015
          END;
          IF (I = 26) THEN BEGIN
{            IF (K <= 5) THEN J  :=  -27;
            IF ((K >= 6) AND (K <= 8)) THEN J  :=  -28;
            IF ((K >= 9) AND (K <= 14)) THEN J  :=  -29;
            IF ((K >= 15) AND (K <= 25)) THEN J  :=  -27;
            IF (K >= 26) THEN J  :=  -12;           }
            if (K <= 1) then J := -28;                                          //dwl 19Jan2015
            if (K = 2) then J := -27;                                           //dwl 19Jan2015
            if (K = 3) then J := -27;                                           //dwl 19Jan2015
            if (K = 4) then J := -27;                                           //dwl 19Jan2015
            if (K = 5) then J := -27;                                           //dwl 19Jan2015
            if (K = 6) then J := -28;                                           //dwl 19Jan2015
            if (K = 7) then J := -28;                                           //dwl 19Jan2015
            if (K = 8) then J := -28;                                           //dwl 19Jan2015
            if (K = 9) then J := -29;                                           //dwl 19Jan2015
            if (K = 10) then J := -29;                                          //dwl 19Jan2015
            if (K = 11) then J := -29;                                          //dwl 19Jan2015
            if (K = 12) then J := -29;                                          //dwl 19Jan2015
            if (K = 13) then J := -30;                                          //dwl 19Jan2015
            if (K = 14) then J := -30;                                          //dwl 19Jan2015
            if (K = 15) then J := -31;                                          //dwl 19Jan2015
            if (K = 16) then J := -31;                                          //dwl 19Jan2015
            if (K = 17) then J := -32;                                          //dwl 19Jan2015
            if (K = 18) then J := -32;                                          //dwl 19Jan2015
            if (K = 19) then J := -32;                                          //dwl 19Jan2015
            if (K = 20) then J := -32;                                          //dwl 19Jan2015
            if (K = 21) then J := -32;                                          //dwl 19Jan2015
            if (K = 22) then J := -32;                                          //dwl 19Jan2015
            if (K = 23) then J := -32;                                          //dwl 19Jan2015
            if (K = 24) then J := -32;                                          //dwl 19Jan2015
            if (K = 25) then J := -32;                                          //dwl 19Jan2015
            if (K >= 26) then J := -15;                                         //dwl 19Jan2015
          END;
          IF (I = 27) THEN BEGIN
//            IF (K <= 25) THEN J  :=  -29;
//            IF (K >= 26) THEN J  :=  -10
            if (K <=5) then J := -28;                                           //dwl 12Jul2013
            if ((K >= 6) and (K <= 12)) then J := -29;                          //dwl 12Jul2013
            if ((K >= 13) and (K <= 18)) then J := -30;                         //dwl 12Jul2013
            if ((K >= 19) and (K <= 25)) then J := -31;                         //dwl 12Jul2013
            if (K >= 26) then J := -11;                                         //dwl 12Jul2013
          END;
//          IF (I = 28) THEN J  :=  -28;
//          IF (I = 29) THEN J  :=  -27;
//          IF (I = 30) THEN J  :=  -26;
//          IF (I = 31) THEN J  :=  -29;
          IF (I = 28) THEN BEGIN                                                //dwl 11Jul2013
            if (K = 1) then J := -30;                                           //dwl 11Jul2013
            if ((K >= 2) and (K <= 7)) then J := -28;                           //dwl 11Jul2013
            if ((K >= 8) and (K <= 14)) then J := -29;                          //dwl 11Jul2013
            if (K = 15) then J := -30;                                          //dwl 11Jul2013
            if ((K >= 16) and (K <= 22)) then J := -29;                         //dwl 11Jul2013
            if (K >= 23) then J := -30;                                         //dwl 11Jul2013
            if (K >= 25) then J := -30;                                         //dwl 11Jul2013
          END;                                                                  //dwl 11Jul2013
          IF (I = 29) THEN BEGIN                                                //dwl 10Jul2013
            if (K = 1) then J := -32;                                           //dwl 10Jul2013
            if ((K = 2) or (K = 3)) then J := -31;                              //dwl 10Jul2013
            if ((K >= 4) and (K <= 6)) then J := -30;                           //dwl 10Jul2013
            if ((K >= 7) and (K <= 12)) then J := -29;                          //dwl 10Jul2013
            if ((K = 13) or (K = 14)) then J := -30;                            //dwl 10Jul2013
            if ((K >= 15) and (K <= 21)) then J := -31;                         //dwl 10Jul2013
            if (K >= 22) then J := -32;                                         //dwl 10Jul2013
            if (K >= 25) then J := -32;                                         //dwl 11Jul2013
          END;                                                                  //dwl 10Jul2013
          IF (I = 30) THEN BEGIN                                                //dwl 09Jul2013
            if (K <= 4) then J := K-34;                                         //dwl 09Jul2013
            if ((K >= 5) and (K <= 7)) then J := K-35;                          //dwl 09Jul2013
            if ((K >= 8) and (K <= 24)) then J := -27;                          //dwl 09Jul2013
            if (K >= 25) then J := -28;
          END;                                                                  //dwl 09Jul2013
          IF (I = 31) THEN BEGIN
             J  :=  -35;                                                        //dwl 08Jul2013
             if (K >= 25) then J := -24;                                        //dwl 08Jul2013
          END;
          IF (I = 32) THEN BEGIN                                                //dwl 24Jun2013
            J  :=  -39;                                                         //dwl 24Jun2013
            if (K >= 24) then J := -25;                                         //dwl 24Jun2013
          END;                                                                  //dwl 24Jun2013
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J  :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END;
      GOTO 4000
      END;
{
C     FOR 'W5' BASE LINE
     }
      IF (EWM = 'W5') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
//          IF (I = 0) THEN J  :=  -41;
//          IF (I = 1) THEN J  :=  -79;
//          IF (I = 2) THEN J  :=  -20;
          if (I = 1) then
            begin
              if (K <= 1) then J := 96;                                         //dwl 19Aug2013
              if (K = 2) then J := -42;                                         //dwl 20Aug2013
              if (K = 3) then J := -43;                                         //dwl 20Aug2013
              if (K = 4) then J := -55;                                         //dwl 21Aug2013
              if (K >= 5) then J := -57;                                        //dwl 21Aug2013
            end;
          if (I = 2) then
            begin
              if (K <= 1) then J := -21;                                        //dwl 13Aug2013
              if (K = 2) then J := 0;                                           //dwl 13Aug2013
              if (K = 3) then J := -4;                                          //dwl 13Aug2013
              if (K = 4) then J := 3;                                           //dwl 13Aug2013
              if (K = 5) then J := 0;                                           //dwl 13Aug2013
              if (K >= 6) then J := -39;                                        //dwl 13Aug2013
            end;
          IF (I = 3) THEN BEGIN
{            IF (K <= 3) THEN J  :=  -11;
            IF (K = 4) THEN J  :=  -5;
            IF (K >= 5) THEN J  :=  -2;           }
            if (K <= 1) then J := -18;                                          //dwl 29Aug2013
            if (K = 2) then J := -11;                                           //dwl 29Aug2013
            if (K = 3) then J := -11;                                           //dwl 29Aug2013
            if (K = 4) then J := -4;                                            //dwl 29Aug2013
            if (K = 5) then J := -4;                                            //dwl 29Aug2013
            if (K = 6) then J := 1;                                             //dwl 29Aug2013
            if (K >= 7) then J := 1;                                            //dwl 29Aug2013
          END;
          IF (I = 4) THEN BEGIN
//            J  :=  -3;
            if (K <= 1) then J := -11;                                          //dwl 04Sep2013
            if (K = 2) then J := -29;                                           //dwl 04Sep2013
            if (K = 3) then J := -14;                                           //dwl 04Sep2013
            if (K = 4) then J := -11;                                           //dwl 04Sep2013
            if (K = 5) then J := -6;                                            //dwl 04Sep2013
            if (K = 6) then J := -5;                                            //dwl 04Sep2013
            if (K = 7) then J := -5;                                            //dwl 04Sep2013
            if (K >= 8) then J := -6;                                           //dwl 04Sep2013
          END;
          IF (I = 5) THEN BEGIN
            J  :=  -23;
            if (K <= 1) then J := -20;                                          //dwl 13Sep2013
            if (K = 2) then J := -33;                                           //dwl 13Sep2013
            if (K = 3) then J := -23;                                           //dwl 13Sep2013
            if (K = 4) then J := -25;                                           //dwl 13Sep2013
            if (K = 5) then J := -24;                                           //dwl 13Sep2013
            if (K = 6) then J := -22;                                           //dwl 13Sep2013
            if (K = 7) then J := -19;                                           //dwl 13Sep2013
            if (K = 8) then J := -25;                                           //dwl 13Sep2013
            if (K >= 9) then J := -27;                                           //dwl 13Sep2013
          END;
          IF (I = 6) THEN BEGIN
{            IF (K <= 2) THEN J  :=  -23;
            IF (K = 3) THEN J  :=  -24;
            IF (K >= 4) THEN J  :=  -25;            }
            if (K <= 1) then J := -22;                                          //dwl 17Sep2013
            if (K = 2) then J := -24;                                           //dwl 17Sep2013
            if (K = 3) then J := -21;                                           //dwl 17Sep2013
            if (K = 4) then J := -22;                                           //dwl 17Sep2013
            if (K = 5) then J := -25;                                           //dwl 17Sep2013
            if (K = 6) then J := -25;                                           //dwl 17Sep2013
            if (K = 7) then J := -26;                                           //dwl 17Sep2013
            if (K = 8) then J := -26;                                           //dwl 17Sep2013
            if (K = 9) then J := -24;                                           //dwl 17Sep2013
            if (K = 10) then J := -24;                                          //dwl 17Sep2013
            if (K = 11) then J := -24;                                          //dwl 17Sep2013
            if (K = 12) then J := -24;                                          //dwl 17Sep2013
            if (K >= 13) then J := -25;                                         //dwl 17Sep2013
          END;
          IF (I = 7) THEN BEGIN
{            IF (K <= 3) THEN J  :=  -20;
            IF ((K >= 4) AND (K <= 7)) THEN J  :=  -19;
            IF (K >= 8) THEN J  :=  -18;           }
            if (K <= 1) then J := -20;                                          //dwl 24Sep2013
            if (K = 2) then J := -27;                                           //dwl 24Sep2013
            if (K = 3) then J := -29;                                           //dwl 24Sep2013
            if (K = 4) then J := -31;                                           //dwl 25Sep2013
            if (K = 5) then J := -26;                                           //dwl 25Sep2013
            if (K = 6) then J := -21;                                           //dwl 25Sep2013
            if (K = 7) then J := -22;                                           //dwl 25Sep2013
            if (K = 8) then J := -18;                                           //dwl 25Sep2013
            if (K = 9) then J := -17;                                           //dwl 25Sep2013
            if (K = 10) then J := -18;                                          //dwl 25Sep2013
            if (K = 11) then J := 20;                                           //dwl 25Sep2013
            if (K = 12) then J := 21;                                           //dwl 25Sep2013
            if (K = 13) then J := 21;                                           //dwl 25Sep2013
            if (K = 14) then J := 20;                                           //dwl 25Sep2013
            if (K >= 15) then J := 20;                                          //dwl 25Sep2013
          END;
          IF (I = 8) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -15;
            IF ((K >= 2) AND (K <= 7)) THEN J  :=  -16+K;
            IF (K >= 8) THEN J  := -9;                }
            if (K <= 1) then J := -14;                                          //dwl 04Oct2013
            if (K = 2) then J := -19;                                           //dwl 07Oct2013
            if (K = 3) then J := -18;                                           //dwl 07Oct2013
            if (K = 4) then J := -9;                                            //dwl 07Oct2013
            if (K = 5) then J := -12;                                           //dwl 07Oct2013
            if (K = 6) then J := -15;                                           //dwl 07Oct2013
            if (K = 7) then J := -9;                                            //dwl 07Oct2013
            if (K = 8) then J := -18;                                           //dwl 07Oct2013
            if (K = 9) then J := -8;                                            //dwl 07Oct2013
            if (K = 10) then J := -9;                                           //dwl 07Oct2013
            if (K = 11) then J := -8;                                           //dwl 07Oct2013
            if (K = 12) then J := -8;                                           //dwl 08Oct2013
            if (K = 13) then J := -8;                                           //dwl 08Oct2013
            if (K = 14) then J := -8;                                           //dwl 08Oct2013
            if (K = 15) then J := -8;                                           //dwl 08Oct2013
            if (K = 16) then J := -9;                                           //dwl 08Oct2013
            if (K = 17) then J := -8;                                           //dwl 08Oct2013
            if (K = 18) then J := -8;                                           //dwl 08Oct2013
            if (K >= 19) then J := -9;                                          //dwl 08Oct2013
          END;
          IF (I = 9) THEN BEGIN
            J  :=  -9;
            if (K <= 1) then J := -8;                                           //dwl 15Oct2013
            if (K = 2) then J := -10;                                           //dwl 15Oct2013
            if (K = 3) then J := -11;                                           //dwl 15Oct2013
            if (K = 4) then J := -6;                                            //dwl 15Oct2013
            if (K = 5) then J := -10;                                           //dwl 15Oct2013
            if (K = 6) then J := -10;                                           //dwl 15Oct2013
            if (K = 7) then J := -12;                                           //dwl 15Oct2013
            if (K = 8) then J := -12;                                           //dwl 15Oct2013
            if (K = 9) then J := -11;                                           //dwl 15Oct2013
            if (K = 10) then J := -11;                                          //dwl 15Oct2013
            if (K = 11) then J := -10;                                          //dwl 15Oct2013
            if (K = 12) then J := -9;                                           //dwl 15Oct2013
            if (K = 13) then J := -9;                                           //dwl 15Oct2013
            if (K = 14) then J := -9;                                           //dwl 15Oct2013
            if (K = 15) then J := -9;                                           //dwl 15Oct2013
            if (K = 16) then J := -9;                                           //dwl 15Oct2013
            if (K = 17) then J := -9;                                           //dwl 15Oct2013
            if (K = 18) then J := -9;                                           //dwl 15Oct2013
            if (K = 19) then J := -9;                                           //dwl 15Oct2013
            if (K = 20) then J := -9;                                           //dwl 15Oct2013
            if (K = 21) then J := -9;                                           //dwl 15Oct2013
            if (K = 22) then J := -9;                                           //dwl 15Oct2013
            if (K >= 23) then J := -10;                                         //dwl 15Oct2013
          END;
          IF (I = 10) THEN BEGIN
            J  :=  -7;
            if (K <= 1) then J := -2;                                           //dwl 23Oct2013
            if (K = 2) then J := -2;                                            //dwl 24Oct2013
            if (K = 3) then J := -4;                                            //dwl 24Oct2013
            if (K = 4) then J := -7;                                            //dwl 24Oct2013
            if (K = 5) then J := -9;                                            //dwl 24Oct2013
            if (K = 6) then J := -5;                                            //dwl 24Oct2013
            if (K = 7) then J := -3;                                            //dwl 24Oct2013
            if (K = 8) then J := -4;                                            //dwl 24Oct2013
            if (K = 9) then J := -9;                                            //dwl 24Oct2013
            if (K = 10) then J := -15;                                          //dwl 24Oct2013
            if (K = 11) then J := -8;                                           //dwl 28Oct2013
            if (K = 12) then J := -8;                                           //dwl 28Oct2013
            if (K = 13) then J := -7;                                           //dwl 28Oct2013
            if (K = 14) then J := -7;                                           //dwl 28Oct2013
            if (K = 15) then J := -7;                                           //dwl 28Oct2013
            if (K = 16) then J := -7;                                           //dwl 28Oct2013
            if (K = 17) then J := -7;                                           //dwl 28Oct2013
            if (K = 18) then J := -7;                                           //dwl 28Oct2013
            if (K = 19) then J := -7;                                           //dwl 28Oct2013
            if (K = 20) then J := -7;                                           //dwl 28Oct2013
            if (K = 21) then J := -7;                                           //dwl 28Oct2013
            if (K = 22) then J := -7;                                           //dwl 28Oct2013
            if (K = 23) then J := -7;                                           //dwl 28Oct2013
            if (K = 24) then J := -7;                                           //dwl 28Oct2013
            if (K = 25) then J := -7;                                           //dwl 29Oct2013
            if (K = 26) then J := -7;                                           //dwl 29Oct2013
            if (K = 27) then J := -7;                                           //dwl 29Oct2013
            if (K = 28) then J := -7;                                           //dwl 29Oct2013
            if (K = 29) then J := -7;                                           //dwl 29Oct2013
            if (K > 29) then J := 4;                                            //dwl 29Oct2013
          END;
          IF (I = 11) THEN BEGIN
{            IF (K <= 2) THEN J  :=  7;
            IF ((K = 3) OR (K = 4)) THEN J  :=  6;
            IF ((K >= 5) AND (K <= 7)) THEN J  :=  8;
            IF ((K >= 8) AND (K <= 18)) THEN J  :=  11-(K DIV 2);
            IF (K >= 19) THEN J  :=  1;              }
            if (K <= 1) then J := 10;                                           //dwl 06Nov2013
            if (K = 2) then J := 11;                                            //dwl 06Nov2013
            if (K = 3) then J := 10;                                            //dwl 06Nov2013
            if (K = 4) then J := 9;                                             //dwl 06Nov2013
            if (K = 5) then J := 7;                                             //dwl 07Nov2013
            if (K = 6) then J := 4;                                             //dwl 07Nov2013
            if (K = 7) then J := 7;                                             //dwl 07Nov2013
            if (K = 8) then J := 7;                                             //dwl 07Nov2013
            if (K = 9) then J := 8;                                             //dwl 08Nov2013
            if (K = 10) then J := 8;                                            //dwl 08Nov2013
            if (K = 11) then J := 7;                                            //dwl 12Nov2013
            if (K = 12) then J := 6;                                            //dwl 12Nov2013
            if (K = 13) then J := 6;                                            //dwl 12Nov2013
            if (K = 14) then J := 4;                                            //dwl 12Nov2013
            if (K = 15) then J := 5;                                            //dwl 12Nov2013
            if (K = 16) then J := 4;                                            //dwl 12Nov2013
            if (K = 17) then J := 3;                                            //dwl 13Nov2013
            if (K = 18) then J := 2;                                            //dwl 13Nov2013
            if (K = 19) then J := 20;                                           //dwl 13Nov2013
            if (K = 20) then J := 6;                                            //dwl 13Nov2013
            if (K = 21) then J := 4;                                            //dwl 13Nov2013
            if (K = 22) then J := 4;                                            //dwl 13Nov2013
            if (K = 23) then J := 4;                                            //dwl 13Nov2013
            if (K = 24) then J := 4;                                            //dwl 13Nov2013
            if (K = 25) then J := 4;                                            //dwl 13Nov2013
            if (K = 26) then J := 4;                                            //dwl 13Nov2013
            if (K = 27) then J := 4;                                            //dwl 13Nov2013
            if (K = 28) then J := 4;                                            //dwl 13Nov2013
            if (K > 28) then J := 0;                                            //dwl 13Nov2013
          END;
          IF (I = 12) THEN BEGIN
{            IF (K <= 1) THEN J  :=  11;
            IF ((K >= 2) AND (K <= 6)) THEN J  :=  4+4*K;
            IF ((K = 7) OR (K = 8)) THEN J  :=  31;
            IF ((K >= 9) AND (K <= 19)) THEN J  :=  11;
            IF ((K = 20) OR (K = 21)) THEN J  :=  30-K;
            IF (K >= 22) THEN J  :=  8;            }
            if (K <= 1) then J := 8;                                            //dwl 26Nov2013
            if (K = 2) then J := 13;                                            //dwl 26Nov2013
            if (K = 3) then J := 11;                                            //dwl 26Nov2013
            if (K = 4) then J := 20;                                            //dwl 02Dec2013
            if (K = 5) then J := 19;                                            //dwl 02Dec2013
            if (K = 6) then J := 26;                                            //dwl 02Dec2013
            if (K = 7) then J := 30;                                            //dwl 02Dec2013
            if (K = 8) then J := 36;                                            //dwl 02Dec2013
            if (K = 9) then J := 11;                                            //dwl 02Dec2013
            if (K = 10) then J := 11;                                           //dwl 02Dec2013
            if (K = 11) then J := 11;                                           //dwl 03Dec2013
            if (K = 12) then J := 11;                                           //dwl 03Dec2013
            if (K = 13) then J := 11;                                           //dwl 03Dec2013
            if (K = 14) then J := 11;                                           //dwl 03Dec2013
            if (K = 15) then J := 12;                                           //dwl 03Dec2013
            if (K = 16) then J := 12;                                           //dwl 05Dec2013
            if (K = 17) then J := 12;                                           //dwl 05Dec2013
            if (K = 18) then J := 11;                                           //dwl 05Dec2013
            if (K = 19) then J := 12;                                           //dwl 09Dec2013
            if (K = 20) then J := 11;                                           //dwl 09Dec2013
            if (K = 21) then J := 10;                                           //dwl 09Dec2013
            if (K = 22) then J := 10;                                           //dwl 09Dec2013
            if (K = 23) then J := 9;                                            //dwl 09Dec2013
            if (K = 24) then J := 7;                                            //dwl 09Dec2013
            if (K = 25) then J := 9;                                            //dwl 11Dec2013
            if (K = 26) then J := 9;                                            //dwl 11Dec2013
            if (K = 27) then J := 9;                                            //dwl 11Dec2013
            if (K = 28) then J := 9;                                            //dwl 11Dec2013
            if (K > 28) then J := -3;                                           //dwl 11Dec2013
          END;
          IF (I = 13) THEN BEGIN
            J  :=  0;
            if (K <= 1) then J := -9;                                           //dwl 16Jan2014
            if (K = 2) then J := -7;                                            //dwl 18Jan2014
            if (K = 3) then J := -1;                                            //dwl 18Jan2014
            if (K = 4) then J := -4;                                            //dwl 18Jan2014
            if (K = 5) then J := -6;                                            //dwl 21Jan2014
            if (K = 6) then J := 3;                                             //dwl 21Jan2014
            if (K = 7) then J := 2;                                             //dwl 21Jan2014
            if (K = 8) then J := 2;                                             //dwl 21Jan2014
            if (K = 9) then J := 4;                                             //dwl 21Jan2014
            if (K = 10) then J := 3;                                            //dwl 21Jan2014
            if (K = 11) then J := 4;                                            //dwl 21Jan2014
            if (K = 12) then J := 2;                                            //dwl 21Jan2014
            if (K = 13) then J := 3;                                            //dwl 21Jan2014
            if (K = 14) then J := 2;                                            //dwl 21Jan2014
            if (K = 15) then J := 1;                                            //dwl 21Jan2014
            if (K = 16) then J := 1;                                            //dwl 21Jan2014
            if (K = 17) then J := 2;                                            //dwl 21Jan2014
            if (K = 18) then J := 1;                                            //dwl 22Jan2014
            if (K = 19) then J := -1;                                           //dwl 22Jan2014
            if (K = 20) then J := 0;                                            //dwl 22Jan2014
            if (K = 21) then J := 1;                                            //dwl 22Jan2014
            if (K = 22) then J := 2;                                            //dwl 22Jan2014
            if (K = 23) then J := 2;                                            //dwl 22Jan2014
            if (K = 24) then J := 1;                                            //dwl 22Jan2014
            if (K = 25) then J := -10;                                          //dwl 22Jan2014
            if (K = 26) then J := 0;                                            //dwl 22Jan2014
            if (K = 27) then J := 0;                                            //dwl 22Jan2014
            if (K = 28) then J := -10;                                          //dwl 22Jan2014
            if (K > 28) then J := -6;                                           //dwl 22Jan2014
          END;
          IF (I = 14) THEN BEGIN
{            IF (K <= 2) THEN J  :=  -12;
            IF ((K >= 3) AND (K <= 6)) THEN J  :=  -10;
            IF ((K = 7) OR (K = 9)) THEN J  :=  -5;
            IF (K = 8) THEN J  :=  0;
            IF ((K >= 10) AND (K <= 27)) THEN J  :=  -16;
            IF (K >= 28) THEN J  :=  -9;            }
            if (K <= 1) then J := -18;                                          //dwl 27Feb2014
            if (K = 2) then J := -14;                                           //dwl 04Mar2014
            if (K = 3) then J := -14;                                           //dwl 04Mar2014
            if (K = 4) then J := -17;                                           //dwl 26Mar2014
            if (K = 5) then J := -23;                                           //dwl 26Mar2014
            if (K = 6) then J := -16;                                           //dwl 26Mar2014
            if (K = 7) then J := -11;                                           //dwl 27Mar2014
            if (K = 8) then J := -1;                                            //dwl 27Mar2014
            if (K = 9) then J := -6;                                            //dwl 27Mar2014
            if (K = 10) then J := -4;                                           //dwl 27Mar2014
            if (K = 11) then J := -16;                                          //dwl 27Mar2014
            if (K = 12) then J := -15;                                          //dwl 27Mar2014
            if (K = 13) then J := -14;                                          //dwl 27Mar2014
            if (K = 14) then J := -17;                                          //dwl 27Mar2014
            if (K = 15) then J := -19;                                          //dwl 27Mar2014
            if (K = 16) then J := -22;                                          //dwl 15Apr2014
            if (K = 17) then J := -22;                                          //dwl 15Apr2014
            if (K = 18) then J := -20;                                          //dwl 15Apr2014
            if (K = 19) then J := -13;                                          //dwl 15Apr2014
            if (K = 20) then J := -15;                                          //dwl 15Apr2014
            if (K = 21) then J := -16;                                          //dwl 15Apr2014
            if (K = 22) then J := -18;                                          //dwl 15Apr2014
            if (K = 23) then J := -23;                                          //dwl 15Apr2014
            if (K = 24) then J := -23;                                          //dwl 16Apr2014
            if (K = 25) then J := -16;                                          //dwl 16Apr2014
            if (K = 26) then J := -16;                                          //dwl 16Apr2014
            if (K = 27) then J := -17;                                          //dwl 16Apr2014
            if (K = 28) then J := -17;                                          //dwl 16Apr2014
            if (K > 28) then J := -9;                                           //dwl 16Apr2014
          END;
          IF (I = 15) THEN BEGIN
{            IF (K <= 3) THEN J  :=  -16;
            IF ((K = 4) OR (K = 5)) THEN J  :=  16-10*K;
            IF ((K >= 6) AND (K <= 9)) THEN J  :=  -36;
            IF ((K >= 10) AND (K <= 19)) THEN J  :=  -19;
            IF ((K >= 20) AND (K <= 26)) THEN J  :=  -20;
            IF (K = 27) THEN J  :=  -16;
            IF (K >= 28) THEN J  :=  -12;               }
            if (K <= 1) then J := -15;                                          //dwl 15May2014
            if (K = 2) then J := -16;                                           //dwl 16May2014
            if (K = 3) then J := -12;                                           //dwl 16May2014
            if (K = 4) then J := -17;                                           //dwl 16May2014
            if (K = 5) then J := -34;                                           //dwl 16May2014
            if (K = 6) then J := -36;                                           //dwl 16May2014
            if (K = 7) then J := -38;                                           //dwl 16May2014
            if (K = 8) then J := -39;                                           //dwl 16May2014
            if (K = 9) then J := -38;                                           //dwl 20May2014
            if (K = 10) then J := -18;                                          //dwl 20May2014
            if (K = 11) then J := -20;                                          //dwl 21May2014
            if (K = 12) then J := -18;                                          //dwl 21May2014
            if (K = 13) then J := -18;                                          //dwl 21May2014
            if (K = 14) then J := -18;                                          //dwl 21May2014
            if (K = 15) then J := -15;                                          //dwl 22May2014
            if (K = 16) then J := -17;                                          //dwl 22May2014
            if (K = 17) then J := -18;                                          //dwl 22May2014
            if (K = 18) then J := -17;                                          //dwl 23May2014
            if (K = 19) then J := -19;                                          //dwl 29May2014
            if (K = 20) then J := -21;                                          //dwl 29May2014
            if (K = 21) then J := -20;                                          //dwl 05Jun2014
            if (K = 22) then J := -18;                                          //dwl 05Jun2014
            if (K = 23) then J := -20;                                          //dwl 05Jun2014
            if (K = 24) then J := -20;                                          //dwl 05Jun2014
            if (K = 25) then J := -20;                                          //dwl 05Jun2014
            if (K = 26) then J := -20;                                          //dwl 05Jun2014
            if (K = 27) then J := -20;                                          //dwl 05Jun2014
            if (K >= 28) then J := -12;                                         //dwl 05Jun2014
          END;
          IF (I = 16) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -14;
            IF ((K >= 2) AND (K <= 5)) THEN J  :=  -13-K;
            IF ((K >= 6) AND (K <= 8)) THEN J  :=  -19;
            IF ((K >= 9) AND (K <= 13)) THEN J  :=  -13;
            IF (K >= 14) THEN J  :=  -12;            }
            if (K <= 1) then J := -12;                                          //dwl 08Jul2014
            if (K = 2) then J := -15;                                           //dwl 08Jul2014
            if (K = 3) then J := -15;                                           //dwl 08Jul2014
            if (K = 4) then J := -15;                                           //dwl 08Jul2014
            if (K = 5) then J := -19;                                           //dwl 08Jul2014
            if (K = 6) then J := -20;                                           //dwl 08Jul2014
            if (K = 7) then J := -22;                                           //dwl 09Jul2014
            if (K = 8) then J := -22;                                           //dwl 09Jul2014
            if (K = 9) then J := -15;                                           //dwl 09Jul2014
            if (K = 10) then J := -13;                                          //dwl 09Jul2014
            if (K = 11) then J := -12;                                          //dwl 09Jul2014
            if (K = 12) then J := -13;                                          //dwl 09Jul2014
            if (K = 13) then J := -12;                                          //dwl 09Jul2014
            if (K = 14) then J := -12;                                          //dwl 09Jul2014
            if (K = 15) then J := -14;                                          //dwl 09Jul2014
            if (K = 16) then J := -12;                                          //dwl 09Jul2014
            if (K = 17) then J := -11;                                          //dwl 09Jul2014
            if (K = 18) then J := -12;                                          //dwl 09Jul2014
            if (K = 19) then J := -13;                                          //dwl 09Jul2014
            if (K = 20) then J := -13;                                          //dwl 09Jul2014
            if (K = 21) then J := -14;                                          //dwl 09Jul2014
            if (K = 22) then J := -14;                                          //dwl 09Jul2014
            if (K = 23) then J := -14;                                          //dwl 09Jul2014
            if (K = 24) then J := -14;                                          //dwl 09Jul2014
            if (K = 25) then J := -15;                                          //dwl 10Jul2014
            if (K = 26) then J := -14;                                          //dwl 10Jul2014
            if (K = 27) then J := -14;                                          //dwl 10Jul2014
            if (K >= 28) then J := -11;                                         //dwl 10Jul2014
          END;
          IF (I = 17) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -13;
            IF ((K = 5) OR (K = 6)) THEN J  :=  -9-K;
            IF ((K >= 7) AND (K <= 9)) THEN J  :=  -16;
            IF ((K >= 10) AND (K <= 13)) THEN J  :=  -25+K;
            IF ((K >= 14) AND (K <= 26)) THEN J  :=  -10;
            IF (K >= 27) THEN J  :=  -7;                 }
            if (K <= 1) then J := -12;                                          //dwl 23Jul2014
            if (K = 2) then J := -14;                                           //dwl 23Jul2014
            if (K = 3) then J := -12;                                           //dwl 23Jul2014
            if (K = 4) then J := -12;                                           //dwl 23Jul2014
            if (K = 5) then J := -13;                                           //dwl 24Jul2014
            if (K = 6) then J := -14;                                           //dwl 24Jul2014
            if (K = 7) then J := -16;                                           //dwl 24Jul2014
            if (K = 8) then J := -16;                                           //dwl 24Jul2014
            if (K = 9) then J := -15;                                           //dwl 24Jul2014
            if (K = 10) then J := -15;                                          //dwl 24Jul2014
            if (K = 11) then J := -15;                                          //dwl 24Jul2014
            if (K = 12) then J := -14;                                          //dwl 24Jul2014
            if (K = 13) then J := -12;                                          //dwl 24Jul2014
            if (K = 14) then J := -11;                                          //dwl 24Jul2014
            if (K = 15) then J := -10;                                          //dwl 24Jul2014
            if (K = 16) then J := -9;                                           //dwl 25Jul2014
            if (K = 17) then J := -7;                                           //dwl 25Jul2014
            if (K = 18) then J := -6;                                           //dwl 25Jul2014
            if (K = 19) then J := -5;                                           //dwl 25Jul2014
            if (K = 20) then J := -5;                                           //dwl 25Jul2014
            if (K = 21) then J := -4;                                           //dwl 25Jul2014
            if (K = 22) then J := -6;                                           //dwl 25Jul2014
            if (K = 23) then J := -6;                                           //dwl 25Jul2014
            if (K = 24) then J := -8;                                           //dwl 25Jul2014
            if (K = 25) then J := -8;                                           //dwl 25Jul2014
            if (K = 26) then J := -9;                                           //dwl 25Jul2014
            if (K = 27) then J := -9;                                           //dwl 25Jul2014
            if (K >= 28) then J := -7;                                          //dwl 25Jul2014
          END;
          IF (I = 18) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -11;
            IF ((K >= 2) AND (K <= 6)) THEN J  :=  -14;
            IF ((K >= 7) AND (K <= 15)) THEN J  :=  -15;
            IF ((K >= 16) AND (K <= 27)) THEN J  :=  -17;
            IF (K >= 28) THEN J  :=  -8;             }
            if (K <= 1) then J := -14;                                          //dwl 05/Aug/2014
            if (K = 2) then J := -14;                                           //dwl 05/Aug/2014
            if (K = 3) then J := -14;                                           //dwl 06/Aug/2014
            if (K = 4) then J := -14;                                           //dwl 06/Aug/2014
            if (K = 5) then J := -15;                                           //dwl 06/Aug/2014
            if (K = 6) then J := -14;                                           //dwl 06/Aug/2014
            if (K = 7) then J := -14;                                           //dwl 06/Aug/2014
            if (K = 8) then J := -14;                                           //dwl 06/Aug/2014
            if (K = 9) then J := -15;                                           //dwl 06/Aug/2014
            if (K = 10) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 11) then J := -14;                                          //dwl 06/Aug/2014
            if (K = 12) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 13) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 14) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 15) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 16) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 17) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 18) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 19) then J := -14;                                          //dwl 06/Aug/2014
            if (K = 20) then J := -15;                                          //dwl 06/Aug/2014
            if (K = 21) then J := -16;                                          //dwl 06/Aug/2014
            if (K = 22) then J := -16;                                          //dwl 07/Aug/2014
            if (K = 23) then J := -16;                                          //dwl 07/Aug/2014
            if (K = 24) then J := -16;                                          //dwl 07/Aug/2014
            if (K = 25) then J := -15;                                          //dwl 07/Aug/2014
            if (K = 26) then J := -15;                                          //dwl 07/Aug/2014
            if (K = 27) then J := -15;                                          //dwl 07/Aug/2014
            if (K >= 28) then J := -8;                                          //dwl 07/Aug/2014
          END;
          IF (I = 19) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -18;
            IF ((K >= 5) AND (K <= 8)) THEN J  :=  -26+2*K;
            IF ((K >= 9) AND (K <= 12)) THEN J  :=  -14+(K DIV 2);
            IF (K = 13) THEN J  :=  -4;
            IF ((K = 14) OR (K = 15)) THEN J  :=  1;
            IF ((K >= 16) AND (K <= 26)) THEN J  :=  2;
            IF (K >= 27) THEN J  :=  -11;                  }
            if (K <= 1) then J := -19;                                          //dwl 14Aug2014
            if (K = 2) then J := -17;                                           //dwl 14Aug2014
            if (K = 3) then J := -19;                                           //dwl 15Aug2014
            if (K = 4) then J := -19;                                           //dwl 15Aug2014
            if (K = 5) then J := -18;                                           //dwl 15Aug2014
            if (K = 6) then J := -16;                                           //dwl 15Aug2014
            if (K = 7) then J := -16;                                           //dwl 15Aug2014
            if (K = 8) then J := -11;                                           //dwl 15Aug2014
            if (K = 9) then J := -10;                                           //dwl 15Aug2014
            if (K = 10) then J := -9;                                           //dwl 15Aug2014
            if (K = 11) then J := -9;                                           //dwl 15Aug2014
            if (K = 12) then J := -5;                                           //dwl 15Aug2014
            if (K = 13) then J := 2;                                            //dwl 15Aug2014
            if (K = 14) then J := 2;                                            //dwl 15Aug2014
            if (K = 15) then J := 3;                                            //dwl 18Aug2014
            if (K = 16) then J := 2;                                            //dwl 18Aug2014
            if (K = 17) then J := 3;                                            //dwl 18Aug2014
            if (K = 18) then J := 4;                                            //dwl 18Aug2014
            if (K = 19) then J := 3;                                            //dwl 18Aug2014
            if (K = 20) then J := 2;                                            //dwl 18Aug2014
            if (K = 21) then J := 3;                                            //dwl 18Aug2014
            if (K = 22) then J := 2;                                            //dwl 18Aug2014
            if (K = 23) then J := 3;                                            //dwl 18Aug2014
            if (K = 24) then J := 2;                                            //dwl 18Aug2014
            if (K = 25) then J := 3;                                            //dwl 18Aug2014
            if (K = 26) then J := 3;                                            //dwl 18Aug2014
            if (K >= 27) then J := -10;                                         //dwl 18Aug2014
          END;
          IF (I = 20) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -23;
            IF ((K >= 2) AND (K <= 13)) THEN J  :=  -24+(K DIV 2);
            IF ((K >= 14) AND (K <= 19)) THEN J  :=  -17;
            IF ((K = 20) OR (K = 21)) THEN J  :=  -16;
            IF ((K >= 22) AND (K <= 26)) THEN J  :=  -15;
            IF (K >= 27) THEN J  :=  -13;              }
            if (K <= 1) then J := -23;                                          //dwl 27Aug2014
            if (K = 2) then J := -24;                                           //dwl 27Aug2014
            if (K = 3) then J := -24;                                           //dwl 27Aug2014
            if (K = 4) then J := -24;                                           //dwl 27Aug2014
            if (K = 5) then J := -24;                                           //dwl 27Aug2014
            if (K = 6) then J := -24;                                           //dwl 27Aug2014
            if (K = 7) then J := -23;                                           //dwl 27Aug2014
            if (K = 8) then J := -22;                                           //dwl 28Aug2014
            if (K = 9) then J := -21;                                           //dwl 28Aug2014
            if (K = 10) then J := -20;                                          //dwl 28Aug2014
            if (K = 11) then J := -20;                                          //dwl 28Aug2014
            if (K = 12) then J := -18;                                          //dwl 28Aug2014
            if (K = 13) then J := -17;                                          //dwl 28Aug2014
            if (K = 14) then J := -16;                                          //dwl 28Aug2014
            if (K = 15) then J := -17;                                          //dwl 28Aug2014
            if (K = 16) then J := -16;                                          //dwl 28Aug2014
            if (K = 17) then J := -18;                                          //dwl 28Aug2014
            if (K = 18) then J := -17;                                          //dwl 28Aug2014
            if (K = 19) then J := -17;                                          //dwl 28Aug2014
            if (K = 20) then J := -16;                                          //dwl 28Aug2014
            if (K = 21) then J := -16;                                          //dwl 28Aug2014
            if (K = 22) then J := -16;                                          //dwl 28Aug2014
            if (K = 23) then J := -15;                                          //dwl 28Aug2014
            if (K = 24) then J := -14;                                          //dwl 28Aug2014
            if (K = 25) then J := -14;                                          //dwl 28Aug2014
            if (K = 26) then J := -16;                                          //dwl 28Aug2014
            if (K >= 27) then J := -13;                                         //dwl 28Aug2014
          END;
          IF (I = 21) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -25;
            IF ((K = 2) OR (K = 3)) THEN J  :=  -10+K;
            IF ((K >= 4) AND (K <= 19)) THEN J  :=  -6;
            IF ((K >= 20) AND (K <= 25)) THEN J  :=  -9;
            IF (K = 26) THEN J  :=  -7;
            IF (K >= 27) THEN J  :=  -4;                  }
            if (K <= 1) then J := -27;                                          //dwl 05Sep2014
            if (K = 2) then J := -6;                                            //dwl 05Sep2014
            if (K = 3) then J := -6;                                            //dwl 05Sep2014
            if (K = 4) then J := -6;                                            //dwl 05Sep2014
            if (K = 5) then J := -6;                                            //dwl 05Sep2014
            if (K = 6) then J := -6;                                            //dwl 05Sep2014
            if (K = 7) then J := -6;                                            //dwl 05Sep2014
            if (K = 8) then J := -6;                                            //dwl 08Sep2014
            if (K = 9) then J := -6;                                            //dwl 08Sep2014
            if (K = 10) then J := -6;                                           //dwl 08Sep2014
            if (K = 11) then J := -6;                                           //dwl 08Sep2014
            if (K = 12) then J := -7;                                           //dwl 08Sep2014
            if (K = 13) then J := -6;                                           //dwl 08Sep2014
            if (K = 14) then J := -6;                                           //dwl 08Sep2014
            if (K = 15) then J := -5;                                           //dwl 08Sep2014
            if (K = 16) then J := -4;                                           //dwl 08Sep2014
            if (K = 17) then J := -5;                                           //dwl 08Sep2014
            if (K = 18) then J := -5;                                           //dwl 08Sep2014
            if (K = 19) then J := -7;                                           //dwl 08Sep2014
            if (K = 20) then J := -8;                                           //dwl 08Sep2014
            if (K = 21) then J := -8;                                           //dwl 08Sep2014
            if (K = 22) then J := -8;                                           //dwl 08Sep2014
            if (K = 23) then J := -8;                                           //dwl 08Sep2014
            if (K = 24) then J := -9;                                           //dwl 08Sep2014
            if (K = 25) then J := -10;                                          //dwl 08Sep2014
            if (K = 26) then J := -7;                                           //dwl 08Sep2014
            if (K >= 27) then J := 0;                                           //dwl 08Sep2014
          END;
          IF (I = 22) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -29;
            IF ((K >= 5) AND (K <= 20)) THEN J  :=  -28;
            IF ((K >= 21) AND (K <= 25)) THEN J  :=  10;
            IF (K >= 26) THEN J  :=  9;                }
            if (K <= 1) then J := -29;                                          //dwl 19Sep2014
            if (K = 2) then J := -29;                                           //dwl 26Sep2014
            if (K = 3) then J := -29;                                           //dwl 26Sep2014
            if (K = 4) then J := -29;                                           //dwl 26Sep2014
            if (K = 5) then J := -28;                                           //dwl 26Sep2014
            if (K = 6) then J := -28;                                           //dwl 26Sep2014
            if (K = 7) then J := -28;                                           //dwl 26Sep2014
            if (K = 8) then J := -28;                                           //dwl 26Sep2014
            if (K = 9) then J := -28;                                           //dwl 26Sep2014
            if (K = 10) then J := -28;                                          //dwl 26Sep2014
            if (K = 11) then J := -27;                                          //dwl 26Sep2014
            if (K = 12) then J := -27;                                          //dwl 26Sep2014
            if (K = 13) then J := -28;                                          //dwl 26Sep2014
            if (K = 14) then J := -28;                                          //dwl 26Sep2014
            if (K = 15) then J := -28;                                          //dwl 26Sep2014
            if (K = 16) then J := -26;                                          //dwl 26Sep2014
            if (K = 17) then J := -27;                                          //dwl 26Sep2014
            if (K = 18) then J := -28;                                          //dwl 26Sep2014
            if (K = 19) then J := -28;                                          //dwl 26Sep2014
            if (K = 20) then J := -29;                                          //dwl 26Sep2014
            if (K = 21) then J := 11;                                           //dwl 29Sep2014
            if (K = 22) then J := 12;                                           //dwl 29Sep2014
            if (K = 23) then J := 11;                                           //dwl 29Sep2014
            if (K = 24) then J := 10;                                           //dwl 29Sep2014
            if (K = 25) then J := 10;                                           //dwl 29Sep2014
            if (K = 26) then J := 9;                                            //dwl 29Sep2014
            if (K >= 27) then J := 6;                                           //dwl 29Sep2014
          END;
          IF (I = 23) THEN BEGIN
{            IF (K <= 13) THEN J  :=  -29;
            IF ((K >= 14) AND (K <= 25)) THEN J  :=  -27;
            IF (K = 26) THEN J  :=  -25;
            IF (K >= 27) THEN J  :=  3;               }
            if (K <= 1) then J := -30;                                          //dwl 09Oct2014
            if (K = 2) then J := -29;                                           //dwl 09Oct2014
            if (K = 3) then J := -29;                                           //dwl 09Oct2014
            if (K = 4) then J := -29;                                           //dwl 09Oct2014
            if (K = 5) then J := -28;                                           //dwl 09Oct2014
            if (K = 6) then J := -28;                                           //dwl 09Oct2014
            if (K = 7) then J := -28;                                           //dwl 09Oct2014
            if (K = 8) then J := -28;                                           //dwl 09Oct2014
            if (K = 9) then J := -28;                                           //dwl 09Oct2014
            if (K = 10) then J := -28;                                          //dwl 09Oct2014
            if (K = 11) then J := -28;                                          //dwl 09Oct2014
            if (K = 12) then J := -28;                                          //dwl 09Oct2014
            if (K = 13) then J := -29;                                          //dwl 09Oct2014
            if (K = 14) then J := -28;                                          //dwl 09Oct2014
            if (K = 15) then J := -27;                                          //dwl 15Oct2014
            if (K = 16) then J := -28;                                          //dwl 15Oct2014
            if (K = 17) then J := -28;                                          //dwl 15Oct2014
            if (K = 18) then J := -27;                                          //dwl 15Oct2014
            if (K = 19) then J := -27;                                          //dwl 15Oct2014
            if (K = 20) then J := -26;                                          //dwl 15Oct2014
            if (K = 21) then J := -28;                                          //dwl 15Oct2014
            if (K = 22) then J := -27;                                          //dwl 15Oct2014
            if (K = 23) then J := -27;                                          //dwl 15Oct2014
            if (K = 24) then J := -27;                                          //dwl 15Oct2014
            if (K = 25) then J := -27;                                          //dwl 15Oct2014
            if (K = 26) then J := -26;                                          //dwl 15Oct2014
            if (K >= 27) then J := 4;                                           //dwl 15Oct2014
          END;
          IF (I = 24) THEN BEGIN
{            IF (K <= 17) THEN J  :=  -18;
            IF (K = 18) THEN J  :=  -21;
            IF ((K >= 19) AND (K <= 25)) THEN J  :=  -28;
            IF (K >= 26) THEN J  :=  -23;                }
            if (K <= 1) then J := -19;                                          //dwl 12Nov2014
            if (K = 2) then J := -19;                                           //dwl 13Nov2014
            if (K = 3) then J := -19;                                           //dwl 13Nov2014
            if (K = 4) then J := -19;                                           //dwl 13Nov2014
            if (K = 5) then J := -19;                                           //dwl 13Nov2014
            if (K = 6) then J := -19;                                           //dwl 13Nov2014
            if (K = 7) then J := -19;                                           //dwl 13Nov2014
            if (K = 8) then J := -19;                                           //dwl 13Nov2014
            if (K = 9) then J := -20;                                           //dwl 14Nov2014
            if (K = 10) then J := -20;                                          //dwl 14Nov2014
            if (K = 11) then J := -20;                                          //dwl 14Nov2014
            if (K = 12) then J := -20;                                          //dwl 14Nov2014
            if (K = 13) then J := -20;                                          //dwl 14Nov2014
            if (K = 14) then J := -20;                                          //dwl 14Nov2014
            if (K = 15) then J := -20;                                          //dwl 14Nov2014
            if (K = 16) then J := -20;                                          //dwl 14Nov2014
            if (K = 17) then J := -20;                                          //dwl 14Nov2014
            if (K = 18) then J := -23;                                          //dwl 14Nov2014
            if (K = 19) then J := -28;                                          //dwl 14Nov2014
            if (K = 20) then J := -29;                                          //dwl 14Nov2014
            if (K = 21) then J := -29;                                          //dwl 14Nov2014
            if (K = 22) then J := -29;                                          //dwl 17Nov2014
            if (K = 23) then J := -29;                                          //dwl 17Nov2014
            if (K = 24) then J := -30;                                          //dwl 19Nov2014
            if (K = 25) then J := -30;                                          //dwl 19Nov2014
            if (K >= 26) then J := -23;                                         //dwl 19Nov2014
          END;
          IF (I = 25) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -13;
            IF ((K >= 5) AND (K <= 10)) THEN J  :=  -13-((K-2) DIV 3);
            IF ((K >= 11) AND (K <= 25)) THEN J  :=  -14-((K-1) DIV 5);
            IF (K >= 26) THEN J  :=  -25;            }
            if (K <= 1) then J := -17;                                          //dwl 15Jan2015
            if (K = 2) then J := -17;                                           //dwl 15Jan2015
            if (K = 3) then J := -17;                                           //dwl 15Jan2015
            if (K = 4) then J := -18;                                           //dwl 16Jan2015
            if (K = 5) then J := -18;                                           //dwl 16Jan2015
            if (K = 6) then J := -18;                                           //dwl 16Jan2015
            if (K = 7) then J := -18;                                           //dwl 16Jan2015
            if (K = 8) then J := -18;                                           //dwl 16Jan2015
            if (K = 9) then J := -19;                                           //dwl 16Jan2015
            if (K = 10) then J := -19;                                          //dwl 16Jan2015
            if (K = 11) then J := -19;                                          //dwl 16Jan2015
            if (K = 12) then J := -18;                                          //dwl 16Jan2015
            if (K = 13) then J := -18;                                          //dwl 16Jan2015
            if (K = 14) then J := -18;                                          //dwl 17Jan2015
            if (K = 15) then J := -18;                                          //dwl 17Jan2015
            if (K = 16) then J := -19;                                          //dwl 17Jan2015
            if (K = 17) then J := -19;                                          //dwl 17Jan2015
            if (K = 18) then J := -19;                                          //dwl 17Jan2015
            if (K = 19) then J := -20;                                          //dwl 17Jan2015
            if (K = 20) then J := -19;                                          //dwl 17Jan2015
            if (K = 21) then J := -19;                                          //dwl 17Jan2015
            if (K = 22) then J := -20;                                          //dwl 17Jan2015
            if (K = 23) then J := -19;                                          //dwl 17Jan2015
            if (K = 24) then J := -19;                                          //dwl 17Jan2015
            if (K = 25) then J := -19;                                          //dwl 17Jan2015
            if (K >= 26) then J := -25;                                         //dwl 17Jan2015
          END;
          IF (I = 26) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -12;
            IF ((K >= 2) AND (K <= 25)) THEN J  :=  -11;
            IF (K >= 26) THEN J  :=  -28;             }
            if (K <= 1) then J := -15;                                          //dwl 20Jan2015
            if (K = 2) then J := -15;                                           //dwl 20Jan2015
            if (K = 3) then J := -15;                                           //dwl 20Jan2015
            if (K = 4) then J := -15;                                           //dwl 20Jan2015
            if (K = 5) then J := -15;                                           //dwl 20Jan2015
            if (K = 6) then J := -15;                                           //dwl 20Jan2015
            if (K = 7) then J := -15;                                           //dwl 20Jan2015
            if (K = 8) then J := -15;                                           //dwl 20Jan2015
            if (K = 9) then J := -16;                                           //dwl 20Jan2015
            if (K = 10) then J := -16;                                          //dwl 20Jan2015
            if (K = 11) then J := -16;                                          //dwl 20Jan2015
            if (K = 12) then J := -16;                                          //dwl 20Jan2015
            if (K = 13) then J := -16;                                          //dwl 20Jan2015
            if (K = 14) then J := -16;                                          //dwl 20Jan2015
            if (K = 15) then J := -16;                                          //dwl 20Jan2015
            if (K = 16) then J := -16;                                          //dwl 20Jan2015
            if (K = 17) then J := -16;                                          //dwl 21Jan2015
            if (K = 18) then J := -14;                                          //dwl 21Jan2015
            if (K = 19) then J := -16;                                          //dwl 21Jan2015
            if (K = 20) then J := -15;                                          //dwl 21Jan2015
            if (K = 21) then J := -15;                                          //dwl 21Jan2015
            if (K = 22) then J := -15;                                          //dwl 21Jan2015
            if (K = 23) then J := -15;                                          //dwl 21Jan2015
            if (K = 24) then J := -15;                                          //dwl 21Jan2015
            if (K = 25) then J := -15;                                          //dwl 21Jan2015
            if (K >= 26) then J := -28;                                         //dwl 11Jul2013
          END;
          IF (I = 27) THEN BEGIN
//            IF (K <= 2) THEN J  :=  -10;
//            IF ((K >= 3) AND (K <= 25)) THEN J  :=  -9;
//            IF (K >= 26) THEN J  :=  -30
            if (K <= 6) then J := -11;                                          //dwl 12Jul2013
            if ((K = 7) or (K = 8)) then J := -12;                              //dwl 12Jul2013
            if ((K >= 9) and (K <= 11)) then J := -13;                          //dwl 12Jul2013
            if ((K >= 12) and (K <=14)) then J := -14;                          //dwl 12Jul2013
            if ((K >= 15) and (K <= 25)) then J := -13;                         //dwl 12Jul2013
            if (K >= 26) then J := -30;                                         //dwl 12Jul2013
          END;
          IF (I = 28) THEN BEGIN
//            IF (K <= 11) THEN J  :=  -28;
//            IF ((K >= 12) AND (K <= 15)) THEN J  :=  -26;
//            IF ((K >= 16) AND (K <= 24)) THEN J  :=  -28;
//            IF (K >= 25) THEN J  :=  -45
            if (K <= 1) then J := -30;                                          //dwl 11Jul2013
            if ((K = 2) or (K = 3)) then J := -29;                              //dwl 11Jul2013
            if ((K = 4) or (K = 5)) then J := -27;                              //dwl 11Jul2013
            if (K = 6) then J := -29;                                           //dwl 11Jul2013
            if ((K = 7) or (K = 8)) then J := -28;                              //dwl 11Jul2013
            if ((K >= 9) and (K <= 11)) then J := -30;                          //dwl 11Jul2013
            if ((K = 12) or (K = 13)) then J := -27;                            //dwl 11Jul2013
            if ((K >= 14) and (K <= 17)) then J := -15-K;                       //dwl 11Jul2013
            if ((K = 18) or (K = 19)) then J := -31;                            //dwl 11Jul2013
            if (K = 20) then J := -32;                                          //dwl 11Jul2013
            if ((K = 21) or (K = 22)) then J := -31;                            //dwl 11Jul2013
            if (K = 23) then J := -32;                                          //dwl 11Jul2013
            if (K = 24) then J := -31;                                          //dwl 11Jul2013
            if (K >= 25) then J := -44;                                         //dwl 11Jul2013
          END;
          IF (I = 29) THEN BEGIN
//            IF (K <= 5) THEN J  :=  -27;
//            IF ((K >= 6) AND (K <= 24)) THEN J  :=  -26;
//            IF (K >= 25) THEN J  :=  -45
            if (K <= 13) then J := -32;                                         //dwl 10Jul2013
            if ((K >= 14) and (K <= 18)) then J := -31;                         //dwl 10Jul2013
            if ((K >= 19) and (K <= 24)) then J := -30;                         //dwl 10Jul2013
            if (K >= 25) then J := -45;                                         //dwl 10Jul2013
          END;
          IF (I = 30) THEN BEGIN
//            IF (K <= 24) THEN J  :=  -26;
//            IF (K >= 25) THEN J  :=  -45
            if (K <= 2) then J := -28;                                          //dwl 09Jul2013
            if ((K >= 3) and (K <= 9)) then J := -29;                           //dwl 09Jul2013
            if ((K >= 10) and (K <= 24)) then J := -30;                         //dwl 09Jul2013
            if (K >= 25) then J := -44;                                         //dwl 09Jul2013
          END;
          IF (I = 31) THEN BEGIN
//            IF (K <= 24) THEN J  :=  -25;
//            IF (K >= 25) THEN J  :=  -44
            if (K <= 2) then J := -24;                                          //dwl 08Jul2013
            if ((K >= 3) and (K <= 6)) then J := -25;                           //dwl 08Jul2013
            if ((K = 7) or (K = 8)) then J := -26;                              //dwl 08Jul2013
            if ((K >= 9) and (K <= 24)) then J := -27;                          //dwl 08Jul2013
            if (K >= 25) then J := -44;                                         //dwl 08Jul2013
          END;                                                                  //dwl 08Jul2013
          IF (I = 32) THEN BEGIN
//            IF (K <= 23) THEN J  :=  -29;
//            IF (K >= 24) THEN J  :=  -43
            if (K <= 2) then J := -25;                                          //dwl 24Jun2013
            if ((K = 3) or (K = 4)) then J := -26;                              //dwl 24Jun2013
            if ((K = 5) or (K = 6)) then J := -27;                              //dwl 24Jun2013
            if ((K = 7) or (K = 8)) then J := -28;                              //dwl 24Jun2013
            if ((K > 8) and (K < 19)) then J := -29;                            //dwl 24Jun2013
            if ((K >= 19) and (K <= 23)) then J := -30;                         //dwl 24Jun2013
            if (K >= 24) then J := -43;                                         //dwl 24Jun2013
          END;
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J  :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END;
      GOTO 4000
      END;
{
C     FOR 'W6' BASE LINE
     }
      IF (EWM = 'W6') THEN BEGIN
{
C     - CURRENT AND PRIOR/NEXT BASE LINE, AS REQUIRED
     }
      FOR I := I1 TO I2 DO BEGIN
        K1  :=  IRG;
        K2  :=  IRG+1;
        IF (I < IB) THEN K2  :=  K2+1;
        IF (I > IB) THEN K1  :=  K1-1;
{
C       - AT RGE-1 TO RGE+2, AS REQUIRED
     }
        FOR K := K1 TO K2 DO BEGIN
{
C       - I IS THE BASE LINE NUMBER
C       - K IS THE RANGE
C       - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
          J  :=  0;
          IF (I = 10) THEN BEGIN
            if (K <= 1) then J := 4;                                            //dwl 29Oct2013
            if (K = 2) then J := 2;                                             //dwl 29Oct2013
            if (K >= 3) then J := 2;                                            //dwl 29Oct2013
          END;
          IF (I = 11) THEN BEGIN
            if (K <= 1) then J := 0;                                            //dwl 13Nov2013
            if (K = 2) then J := 0;                                             //dwl 13Nov2013
            if (K = 3) then J := 0;                                             //dwl 13Nov2013
            if (K = 4) then J := -1;                                            //dwl 13Nov2013
            if (K >= 5) then J := -1;                                           //dwl 13Nov2013
          END;
          IF (I = 12) THEN BEGIN
            if (K <= 1) then J := -3;                                           //dwl 11Dec2013
            if (K = 2) then J := -3;                                            //dwl 11Dec2013
            if (K = 3) then J := -3;                                            //dwl 11Dec2013
            if (K = 4) then J := -3;                                            //dwl 11Dec2013
            if (K = 5) then J := -3;                                            //dwl 11Dec2013
            if (K = 6) then J := -4;                                            //dwl 11Dec2013
            if (K = 7) then J := -4;                                            //dwl 11Dec2013
            if (K = 8) then J := -4;                                            //dwl 11Dec2013
            if (K = 9) then J := -4;                                            //dwl 11Dec2013
            if (K >= 10) then J := -4;                                          //dwl 11Dec2013
          END;
          IF (I = 13) THEN BEGIN
            if (K <= 1) then J := -6;                                           //dwl 23Jan2014
            if (K = 2) then J := -6;                                            //dwl 23Jan2014
            if (K = 3) then J := -6;                                            //dwl 23Jan2014
            if (K = 4) then J := -6;                                            //dwl 23Jan2014
            if (K = 5) then J := -5;                                            //dwl 23Jan2014
            if (K = 6) then J := -6;                                            //dwl 23Jan2014
            if (K = 7) then J := -6;                                            //dwl 23Jan2014
            if (K = 8) then J := -6;                                            //dwl 23Jan2014
            if (K = 9) then J := -6;                                            //dwl 23Jan2014
            if (K = 10) then J := -6;                                           //dwl 23Jan2014
            if (K = 11) then J := -7;                                           //dwl 23Jan2014
            if (K = 12) then J := -7;                                           //dwl 23Jan2014
            if (K = 13) then J := -6;                                           //dwl 23Jan2014
            if (K = 14) then J := -6;                                           //dwl 23Jan2014
            if (K >= 15) then J := -6;                                          //dwl 23Jan2014
          END;
          IF (I = 14) THEN BEGIN
            J  :=  -9;
            if (K <= 1) then J := -9;                                           //dwl 16Apr2014
            if (K = 2) then J := -9;                                            //dwl 16Apr2014
            if (K = 3) then J := -9;                                            //dwl 16Apr2014
            if (K = 4) then J := -9;                                            //dwl 16Apr2014
            if (K = 5) then J := -9;                                            //dwl 16Apr2014
            if (K = 6) then J := -9;                                            //dwl 16Apr2014
            if (K = 7) then J := -8;                                            //dwl 16Apr2014
            if (K = 8) then J := -8;                                            //dwl 17Apr2014
            if (K = 9) then J := -9;                                            //dwl 17Apr2014
            if (K = 10) then J := -8;                                           //dwl 17Apr2014
            if (K = 11) then J := -8;                                           //dwl 17Apr2014
            if (K = 12) then J := -8;                                           //dwl 17Apr2014
            if (K = 13) then J := -8;                                           //dwl 17Apr2014
            if (K = 14) then J := -9;                                           //dwl 17Apr2014
            if (K >= 15) then J := -8;                                          //dwl 17Apr2014
          END;
          IF (I = 15) THEN BEGIN
//            IF (K <= 2) THEN J  :=  -12;
//            IF (K >= 3) THEN J  :=  -11;
            if (K <= 1) then J := -12;                                          //dwl 05Jun2014
            if (K = 2) then J := -12;                                           //dwl 05Jun2014
            if (K = 3) then J := -12;                                           //dwl 05Jun2014
            if (K = 4) then J := -12;                                           //dwl 05Jun2014
            if (K = 5) then J := -12;                                           //dwl 05Jun2014
            if (K = 6) then J := -12;                                           //dwl 05Jun2014
            if (K = 7) then J := -12;                                           //dwl 05Jun2014
            if (K = 8) then J := -12;                                           //dwl 05Jun2014
            if (K = 9) then J := -13;                                           //dwl 09Jun2014
            if (K = 10) then J := -12;                                          //dwl 10Jun2014
            if (K = 11) then J := -13;                                          //dwl 10Jun2014
            if (K = 12) then J := -13;                                          //dwl 10Jun2014
            if (K = 13) then J := -13;                                          //dwl 10Jun2014
            if (K = 14) then J := -13;                                          //dwl 11Jun2014
            if (K >= 15) then J := -13;                                         //dwl 11Jun2014
          END;
          IF (I = 16) THEN BEGIN
{            IF (K <= 6) THEN J  :=  -12;
            IF ((K >= 7) AND (K <= 12)) THEN J  :=  -10-(K DIV 2);
            IF (K >= 13) THEN J  :=  -16;           }
            if (K <= 1) then J := -11;                                          //dwl 10Jul2014
            if (K = 2) then J := -12;                                           //dwl 10Jul2014
            if (K = 3) then J := -12;                                           //dwl 10Jul2014
            if (K = 4) then J := -11;                                           //dwl 10Jul2014
            if (K = 5) then J := -11;                                           //dwl 10Jul2014
            if (K = 6) then J := -11;                                           //dwl 10Jul2014
            if (K = 7) then J := -11;                                           //dwl 10Jul2014
            if (K = 8) then J := -13;                                           //dwl 10Jul2014
            if (K = 9) then J := -13;                                           //dwl 10Jul2014
            if (K = 10) then J := -14;                                          //dwl 10Jul2014
            if (K = 11) then J := -15;                                          //dwl 10Jul2014
            if (K = 12) then J := -15;                                          //dwl 10Jul2014
            if (K = 13) then J := -15;                                          //dwl 10Jul2014
            if (K = 14) then J := -15;                                          //dwl 10Jul2014
            if (K >= 15) then J := -15;                                         //dwl 10Jul2014
          END;
          IF (I = 17) THEN BEGIN
{            IF (K <= 3) THEN J  :=  -7;
            IF ((K >= 4) AND (K <= 6)) THEN J  :=  -10+K;
            IF (K >= 7) THEN J  :=  -3;            }
            if (K <= 1) then J := -7;                                           //dwl 25Jul2014
            if (K = 2) then J := -7;                                            //dwl 28Jul2014
            if (K = 3) then J := -6;                                            //dwl 28Jul2014
            if (K = 4) then J := -6;                                            //dwl 28Jul2014
            if (K = 5) then J := -5;                                            //dwl 28Jul2014
            if (K = 6) then J := -4;                                            //dwl 28Jul2014
            if (K = 7) then J := -3;                                            //dwl 28Jul2014
            if (K = 8) then J := -3;                                            //dwl 28Jul2014
            if (K = 9) then J := -3;                                            //dwl 28Jul2014
            if (K = 10) then J := -3;                                           //dwl 28Jul2014
            if (K = 11) then J := -3;                                           //dwl 28Jul2014
            if (K = 12) then J := -3;                                           //dwl 28Jul2014
            if (K = 13) then J := -3;                                           //dwl 28Jul2014
            if (K = 14) then J := -3;                                           //dwl 28Jul2014
            if (K >= 15) then J := -2;                                          //dwl 28Jul2014
          END;
          IF (I = 18) THEN BEGIN
{            IF (K <= 1) THEN J  :=  -8;
            IF ((K = 2) OR (K = 3)) THEN J  :=  -9;
            IF ((K >= 4) AND (K <= 7)) THEN J  :=  -10;
            IF ((K >= 8) AND (K <= 10)) THEN J  :=  -9;
            IF ((K = 11) OR (K = 12)) THEN J  :=  -8;
            IF (K >= 13) THEN J  :=  -7;                 }
            if (K <= 1) then J := -8;                                           //dwl 07Aug2014
            if (K = 2) then J := -7;                                            //dwl 07Aug2014
            if (K = 3) then J := -7;                                            //dwl 07Aug2014
            if (K = 4) then J := -9;                                            //dwl 07Aug2014
            if (K = 5) then J := -10;                                           //dwl 07Aug2014
            if (K = 6) then J := -10;                                           //dwl 07Aug2014
            if (K = 7) then J := -9;                                            //dwl 07Aug2014
            if (K = 8) then J := -8;                                            //dwl 08Aug2014
            if (K = 9) then J := -8;                                            //dwl 08Aug2014
            if (K = 10) then J := -12;                                          //dwl 08Aug2014
            if (K = 11) then J := -10;                                          //dwl 08Aug2014
            if (K = 12) then J := -9;                                           //dwl 08Aug2014
            if (K = 13) then J := -7;                                           //dwl 08Aug2014
            if (K = 14) then J := -7;                                           //dwl 08Aug2014
            if (K >= 15) then J := -7;                                          //dwl 08Aug2014
          END;
          IF (I = 19) THEN BEGIN
//            IF (K <= 13) THEN J  :=  -11;
//            IF (K >= 14) THEN J  :=  -10;
            if (K <= 1) then J := -10;                                          //dwl 18Aug2014
            if (K = 2) then J := -10;                                           //dwl 18Aug2014
            if (K = 3) then J := -11;                                           //dwl 18Aug2014
            if (K = 4) then J := -10;                                           //dwl 18Aug2014
            if (K = 5) then J := -11;                                           //dwl 18Aug2014
            if (K = 6) then J := -11;                                           //dwl 18Aug2014
            if (K = 7) then J := -10;                                           //dwl 18Aug2014
            if (K = 8) then J := -10;                                           //dwl 18Aug2014
            if (K = 9) then J := -11;                                           //dwl 18Aug2014
            if (K = 10) then J := -10;                                          //dwl 18Aug2014
            if (K = 11) then J := -11;                                          //dwl 19Aug2014
            if (K = 12) then J := -10;                                          //dwl 19Aug2014
            if (K = 13) then J := -10;                                          //dwl 19Aug2014
            if (K = 14) then J := -10;                                          //dwl 19Aug2014
            if (K >= 15) then J := -12;                                         //dwl 19Aug2014
          END;
          IF (I = 20) THEN BEGIN
//            IF (K <= 1) THEN J  :=  -13;
//            IF (K >= 2) THEN J  :=  -14;
            if (K <= 1) then J := -13;                                          //dwl 03Sep2014
            if (K = 2) then J := -13;                                           //dwl 03Sep2014
            if (K = 3) then J := -20;                                           //dwl 03Sep2014
            if (K = 4) then J := -24;                                           //dwl 03Sep2014
            if (K = 5) then J := -18;                                           //dwl 03Sep2014
            if (K = 6) then J := -13;                                           //dwl 03Sep2014
            if (K = 7) then J := -21;                                           //dwl 03Sep2014
            if (K = 8) then J := -14;                                           //dwl 03Sep2014
            if (K = 9) then J := -14;                                           //dwl 03Sep2014
            if (K = 10) then J := -15;                                          //dwl 03Sep2014
            if (K = 11) then J := -13;                                          //dwl 03Sep2014
            if (K = 12) then J := -13;                                          //dwl 03Sep2014
            if (K = 13) then J := -15;                                          //dwl 03Sep2014
            if (K = 14) then J := -15;                                          //dwl 03Sep2014
            if (K >= 15) then J := -14;                                         //dwl 03Sep2014
          END;
          IF (I = 21) THEN BEGIN
{            IF (K <= 4) THEN J  :=  -4;
            IF ((K >= 5) AND (K <= 11)) THEN J  :=  -5;
            IF (K >= 12) THEN J  :=  -4;           }
            if (K <= 1) then J := 0;                                            //dwl 09Sep2014
            if (K = 2) then J := -3;                                            //dwl 09Sep2014
            if (K = 3) then J := -3;                                            //dwl 09Sep2014
            if (K = 4) then J := -3;                                            //dwl 11Sep2014
            if (K = 5) then J := -5;                                            //dwl 11Sep2014
            if (K = 6) then J := -5;                                            //dwl 11Sep2014
            if (K = 7) then J := -4;                                            //dwl 11Sep2014
            if (K = 8) then J := -3;                                            //dwl 11Sep2014
            if (K = 9) then J := -5;                                            //dwl 11Sep2014
            if (K = 10) then J := -5;                                           //dwl 11Sep2014
            if (K = 11) then J := -4;                                           //dwl 11Sep2014
            if (K = 12) then J := -4;                                           //dwl 11Sep2014
            if (K = 13) then J := -11;                                          //dwl 11Sep2014
            if (K >= 14) then J := -4;                                          //dwl 11Sep2014
          END;
          IF (I = 22) THEN BEGIN
{            IF (K <= 1) THEN J  :=  9;
            IF (K = 2) THEN J  :=  7;
            IF ((K >= 3) AND (K <= 8)) THEN J  :=  5;
            IF (K = 9) THEN J  :=  -13;
            IF ((K >= 10) AND (K <= 12)) THEN J  :=  -51+2*K;
            IF (K >= 13) THEN J  :=  -26;              }
            if (K <= 1) then J := 6;                                            //dwl 29Sep2014
            if (K = 2) then J := 9;                                             //dwl 29Sep2014
            if (K = 3) then J := 6;                                             //dwl 29Sep2014
            if (K = 4) then J := 5;                                             //dwl 29Sep2014
            if (K = 5) then J := 3;                                             //dwl 29Sep2014
            if (K = 6) then J := 4;                                             //dwl 29Sep2014
            if (K = 7) then J := 5;                                             //dwl 29Sep2014
            if (K = 8) then J := 7;                                             //dwl 29Sep2014
            if (K = 9) then J := 6;                                             //dwl 29Sep2014
            if (K = 10) then J := -31;                                          //dwl 30Sep2014
            if (K = 11) then J := -30;                                          //dwl 30Sep2014
            if (K = 12) then J := -25;                                          //dwl 30Sep2014
            if (K = 13) then J := -26;                                          //dwl 30Sep2014
            if (K >= 14) then J := -26;                                         //dwl 30Sep2014
          END;
          IF (I = 23) THEN BEGIN
{            IF (K <= 1) THEN J  :=  3;
            IF (K = 2) THEN J  :=  -21;
            IF ((K >= 3) AND (K <= 8)) THEN J  :=  -26;
            IF ((K >= 9) AND (K <= 11)) THEN J  :=  -25;
            IF (K >= 12) THEN J  :=  -24;           }
            if (K <= 1) then J := 4;                                            //dwl 15Oct2014
            if (K = 2) then J := -14;                                           //dwl 16Oct2014
            if (K = 3) then J := -26;                                           //dwl 16Oct2014
            if (K = 4) then J := -26;                                           //dwl 16Oct2014
            if (K = 5) then J := -25;                                           //dwl 16Oct2014
            if (K = 6) then J := -25;                                           //dwl 16Oct2014
            if (K = 7) then J := -25;                                           //dwl 16Oct2014
            if (K = 8) then J := -25;                                           //dwl 16Oct2014
            if (K = 9) then J := -25;                                           //dwl 16Oct2014
            if (K = 10) then J := -25;                                          //dwl 17Oct2014
            if (K = 11) then J := -25;                                          //dwl 17Oct2014
            if (K = 12) then J := -25;                                          //dwl 17Oct2014
            if (K = 13) then J := -23;                                          //dwl 17Oct2014
            if (K >= 14) then J := -23;                                         //dwl 17Oct2014
          END;
          IF (I = 24) THEN BEGIN
{            IF (K <= 9) THEN J  :=  -23;
            IF ((K >= 10) AND (K <= 12)) THEN J  :=  -22;
            IF (K >= 13) THEN J  :=  -21;          }
            if (K <= 1) then J := -23;                                          //dwl 19Nov2014
            if (K = 2) then J := -22;                                           //dwl 19Nov2014
            if (K = 3) then J := -23;                                           //dwl 19Nov2014
            if (K = 4) then J := -23;                                           //dwl 19Nov2014
            if (K = 5) then J := -23;                                           //dwl 19Nov2014
            if (K = 6) then J := -23;                                           //dwl 19Nov2014
            if (K = 7) then J := -23;                                           //dwl 19Nov2014
            if (K = 8) then J := -22;                                           //dwl 19Nov2014
            if (K = 9) then J := -22;                                           //dwl 19Nov2014
            if (K = 10) then J := -22;                                          //dwl 19Nov2014
            if (K = 11) then J := -22;                                          //dwl 19Nov2014
            if (K = 12) then J := -21;                                          //dwl 19Nov2014
            if (K = 13) then J := -21;                                          //dwl 19Nov2014
            if (K >= 14) then J := -21;                                         //dwl 19Nov2014
          END;
          IF (I = 25) THEN BEGIN
{            IF (K <= 7) THEN J  :=  -25;
            IF ((K >= 8) AND (K <= 11)) THEN J  :=  -24;
            IF (K >= 12) THEN J  :=  -23;             }
            if (K <= 1) then J := -25;                                          //dwl 17Jan2015
            if (K = 2) then J := -25;                                           //dwl 17Jan2015
            if (K = 3) then J := -25;                                           //dwl 17Jan2015
            if (K = 4) then J := -25;                                           //dwl 17Jan2015
            if (K = 5) then J := -25;                                           //dwl 17Jan2015
            if (K = 6) then J := -25;                                           //dwl 17Jan2015
            if (K = 7) then J := -24;                                           //dwl 17Jan2015
            if (K = 8) then J := -24;                                           //dwl 17Jan2015
            if (K = 9) then J := -24;                                           //dwl 17Jan2015
            if (K = 10) then J := -24;                                          //dwl 17Jan2015
            if (K = 11) then J := -23;                                          //dwl 17Jan2015
            if (K = 12) then J := -23;                                          //dwl 17Jan2015
            if (K = 13) then J := -23;                                          //dwl 17Jan2015
            if (K = 14) then J := -22;                                          //dwl 17Jan2015
          END;
          IF (I = 26) THEN BEGIN
{            IF (K <= 5) THEN J  :=  -28;
            IF ((K >= 6) AND (K <= 10)) THEN J  :=  -27;
            IF (K >= 11)THEN J  :=  -26;                }
            if (K <= 1) then J := -28;                                          //dwl 22Jan2015
            if (K = 2) then J := -27;                                           //dwl 22Jan2015
            if (K = 3) then J := -27;                                           //dwl 22Jan2015
            if (K = 4) then J := -28;                                           //dwl 22Jan2015
            if (K = 5) then J := -28;                                           //dwl 22Jan2015
            if (K = 6) then J := -28;                                           //dwl 22Jan2015
            if (K = 7) then J := -27;                                           //dwl 22Jan2015
            if (K = 8) then J := -27;                                           //dwl 22Jan2015
            if (K = 9) then J := -27;                                           //dwl 22Jan2015
            if (K = 10) then J := -27;                                          //dwl 22Jan2015
            if (K = 11) then J := -26;                                          //dwl 22Jan2015
            if (K = 12) then J := -26;                                          //dwl 22Jan2015
            if (K = 13) then J := -26;                                          //dwl 22Jan2015
            if (K = 14) then J := -26;                                          //dwl 22Jan2015
          END;
          IF (I = 27) THEN J  :=  -30;
//          IF ((I = 28) OR (I = 29)) THEN J  :=  -45;
          IF (I = 28) THEN BEGIN
            if (K <= 1) then J := -44;                                          //dwl 11Jul2013
            if ((K >= 2) and (K <= 6)) then J := -45;                           //dwl 11Jul2013
            if ((K >= 7) and (K <= 13)) then J := -44;                          //dwl 11Jul2013
            if (K >= 14) then J := -42;                                         //dwl 11Jul2013
          END;
          IF (I = 29) THEN J := -45;                                            //dwl 10Jul2013
          IF (I = 30) THEN BEGIN
//            IF (K <= 2) THEN J  :=  -45;
//            IF ((K >= 3) AND (K <= 11)) THEN J  :=  -44;
            if (K <= 11) then J := -44;                                         //dwl 09Jul2013
            if (K >= 12) then J  :=  -43
          END;
//          IF (I = 31) THEN J  :=  -44;
          IF (I = 31) THEN BEGIN                                                //dwl 08Jul2013
            if (K <= 7) then J := -44;                                          //dwl 08Jul2013
            if (K >= 8) then J := -43;                                          //dwl 08Jul2013
          END;                                                                  //dwl 08Jul2013
//          IF (I = 32) THEN J  :=  -43;
          IF (I = 32) THEN BEGIN                                                //dwl 24Jun2013
            if (K < 10) then J := -43;                                          //dwl 24Jun2013
            if (K >= 10) then J := -42;                                         //dwl 24Jun2013
          END;                                                                  //dwl 24Jun2013
{
C         - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C         - SAVE IN BE OR BP ARRAY, AS REQUIRED
     }
          TT  :=  J;
          TT  :=  TT/FACT;
          J  :=  (K+1)-(IRG-1);
          IF (I = IB)
            THEN BE[J]  :=  TT
            ELSE BP[J]  :=  TT
        END
      END
      END;
{    }
 4000:
      IFLAG  := 0;
      STRBE  := '';
      STRBP  := '';
      FOR I := 1 TO 4 DO
        IF (UpperCase(GSPH[3]) = 'S') THEN BEGIN
//          STRBE  := STRBE+Format('%12.2f',[BE[I]]);
//          STRBP  := STRBP+Format('%12.2f',[BP[I]])
          STRBE  := STRBE+Format('%12.3f',[BE[I]]);
          STRBP  := STRBP+Format('%12.3f',[BP[I]])
        END
        ELSE IF (UpperCase(GSPH[3]) = 'M') THEN BEGIN
//          STRBE  := STRBE+Format('%12.4f',[BE[I]]);
//          STRBP  := STRBP+Format('%12.4f',[BP[I]])
          STRBE  := STRBE+Format('%12.5f',[BE[I]]);
          STRBP  := STRBP+Format('%12.5f',[BP[I]])
        END
        ELSE BEGIN
//          STRBE  := STRBE+Format('%12.6f',[BE[I]]);
//          STRBP  := STRBP+Format('%12.6f',[BP[I]])
          STRBE  := STRBE+Format('%12.7f',[BE[I]]);
          STRBP  := STRBP+Format('%12.7f',[BP[I]])
        END;
 9000:
      END;

{
C ***********************************************************
     }
      procedure DlsLatBdy(GSPH:string; DLSIN:string;                            //dwl 24Jun2013
        var LatBdy:string; var iLim:integer);                                   //dwl 24Jun2013
{
C ***********************************************************
C
C     PURPOSE:  Get DLS NWT and US Latitude Boundary
C
C     AUTHOR:     D. W. Lepard, 2013.
C
C     INPUT:
C       GSPH                                       STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       DLSIN                                      STRING[16]
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244]
C         [7-8]   Range in [1..34]
C
C         [15]    DLS survey system in [0..5];
C
C     OUTPUT:
C       LatBdy    Error correction at 60.0 for NWT and 49.0 for US at start     STRING[48]
C                   of Rge-1, Rge, Rge+1, Rge+2 of limit Twp.
C       iLim      Data Flag; 2,1,0,-1,-2 for NWT,NWT/AB,other,US/AB,US boundary.INTEGER
C                  2 for NWT boundary correction to Lat 60  (return correction).
C                  1 for most northern post of Twp 126      (return correction).
C                  0 for all other points on DLS grid       (no return).
C                 -1 for most southern post of Twp 1        (return correction).
C                 -2 for US boundary correction to Lat 49   (return correction).
C
C ***********************************************************
     }
//
// NWT boundary.  Correction in tenths of seconds from 60 degrees
// for W4, W5, W6.
//
      const
        NWTW4: array[1..24] of integer = (-14,-14,-13,-13,-16,-20,-22,-26,
          -27,-29,-31,-32,-29,-29,-32,-35,-38,-39,-41,-42,-43,-44,-45,-46);
        NWTW5: array[1..24] of integer = (-46,-48,-50,-54,-60,-63,-62,-62,
          -62,-62,-62,-58,-55,-48,-37,-31,-21,-12,-11,-9,-8,-7,-6,-8);
        NWTW6: array[1..13] of integer = (-8,-10,-11,-13,-15,-10,-2,0,
          6,9,13,16,16);
//
// AB T126 N boundary. Correction in tenths of seconds for most northern post
// for W4, W5, W6.
//
        ABNW4: array[1..24] of integer = (56,56,55,55,55,53,50,46,43,41,39,
          37,39,42,40,36,33,31,30,29,28,27,25,18);
        ABNW5: array[1..24] of integer = (18,16,16,13,9,4,4,4,5,5,6,
          8,9,14,23,32,41,50,56,58,59,60,61,65);
        ABNW6: array[1..13] of integer = (65,65,63,63,61,63,68,73,77,81,
          85,89,92);
//
// US boundary.  Correction in tenths of seconds from 49 degrees
// for W4, W5.
//
        USW4: array[1..31] of integer = (-14,-20,-27,-34,-41,-46,-58,-71,-85,
          -100,-105,-114,-109,-89,-67,-48,-48,-47,-53,-46,-48,-53,-53,-55,-60,
          -67,-75,-73,-80,-54,-43);
        USW5: array[1..5] of integer = (-43,-21,17,40,36);
//
// AB T1 S boundary.  Correction in tenths of seconds for most southern post
// for W4, W5.
        ABSW4: array[1..31] of integer = (-14,-20,-27,-33,-36,-47,-57,-70,-83,
          -95,-104,-113,-113,-92,-70,-50,-50,-47,-49,-45,-47,-51,-52,-53,-61,
          -66,-72,-72,-79,-53,-39);
        ABSW5: array[1..5] of integer = (-39,-16,21,44,41);
{    }
      var I,I1,I2,IB,IGS,IRG,ISS,ITP,J,JT,K,K1,K2: INTEGER;
      var Isc,Ils,Lim: INTEGER;
{    }
      var FACT: DOUBLE;
      var BE: ARRAY[1..4] OF DOUBLE;
{    }
      var CH1: STRING;
      var EWM: STRING;
      var STRZ: STRING;
      var DLSOUT: STRING;
      var Area,Loc: STRING;
{    }
      BEGIN
      Lim := iLim;
      iLim := 0;
      if ((Length(GSPH) < 3) or (Length(DLSIN) <> 16)) then iLim := 9000;
      STRZ  := '    0.000000';
      LatBdy := STRZ+STRZ+STRZ+STRZ;
{    }
      IGS   := 1;
      if (iLim = 0) then
        begin
          CH1   := UpperCase(GSPH[1]);
          IF (CH1 = 'S') THEN IGS := 3
          ELSE IF (CH1 <> 'N') THEN iLIm := 9000;
          CH1  := UpperCase(GSPH[2]);
          IF (CH1 = 'W') THEN IGS := IGS+1
          ELSE IF (CH1 <> 'E') THEN iLim := 9000;
          CH1  := UpperCase(GSPH[3]);
          IF ((CH1 <> 'D') AND (CH1 <> 'M') AND (CH1 <> 'S')) THEN iLim := 9000;
{    }
          FACT  := 36000.0;
          IF (CH1 = 'M') THEN FACT  := 600.0;
          IF (CH1 = 'S') THEN FACT  := 10.0;
{    }
          DLSOUT := UpperCase(DLSIN);
          EWM    := Copy(DLSOUT,2,2);
{    }
          IF (DLSOUT[1] <> '1') THEN iLim := 9000;
          IF ((EWM[1] <> 'E') AND (EWM[1] <> 'W')) THEN iLim := 9000;
          FOR I := 4 TO 8 DO
            IF ((DLSOUT[I] < '0') OR (DLSOUT[I] > '9')) THEN iLim := 9000;
          IF ((DLSOUT[15] < '0') or (DLSOUT[15] > '5')) THEN iLim := 9000;
{
C     RAILWAY SYSTEM 4
     }
          IF (DLSOUT[15] = '4') THEN iLim := 9000;
{
C     COASTAL SYSTEM 5
     }
          IF (DLSOUT[15] = '5') THEN iLim := 9000;
        end;
{    }
      if (iLim = 0) then
        begin
          ITP   := StrToInt(Copy(DLSOUT,4,3));
          IRG   := StrToInt(Copy(DLSOUT,7,2));
          ISS   := StrToInt(DLSOUT[15]);
          IF ((ITP < 0) OR (ITP > 244)) THEN iLim := 9000;
          IF ((IRG < 1) OR (IRG > 34))  THEN iLim := 9000;
          Isc   := StrToInt(Copy(DLSOUT,9,2));
          Ils   := 0;
          IF (Copy(DLSOUT,11,2) <> '  ') THEN Ils := StrToInt(Copy(DLSOUT,11,2));
          Loc  := Copy(DLSOUT,13,2);
          Area := DLSOUT[16];
        end;
{    }
      if (iLim = 0) then
        begin
          IB  := 1+((ITP+1) DIV 4);
          JT  := (ITP+3)-(IB-1)*4;
          I1  := IB;
          I2  := IB;
          IF (JT = 5) THEN I2  := I2+1;
          IF ((JT = 2) OR (ITP < 2)) THEN I1  := I1-1;
          FOR I := 1 TO 4 DO
            BE[I] := 0.0;
//
// Flag Lim = 1,-1 marks most northern (Twp 126) or most southern (Twp 1) post.
//
          IF ((ITP = 126) AND (Isc > 30)) THEN
            BEGIN
              IF (Area = 'L') THEN
                BEGIN
                  IF (Ils > 12) THEN
                    BEGIN
                      IF (LOC[1] IN ['G','N','H']) THEN iLim := 1;
                      IF ((LOC[1] = '@') AND (LOC[2] IN ['G','N','H'])) THEN iLim := 1;
                    END;
                END
              ELSE
                BEGIN
                  IF (Loc[1] = 'N') THEN iLim := 1;
                END;
            END
          ELSE IF ((ITP = 1) AND (Isc < 7)) THEN
            BEGIN
              IF (Area = 'L') THEN
                BEGIN
                  IF ((Ils < 5) AND (Ils > 0))  THEN
                    BEGIN
                      IF (LOC[1] IN ['F','S','E']) THEN iLim := -1;
                      IF ((LOC[1] = '@') AND (LOC[2] IN ['F','S','E'])) THEN iLim := -1;
                    END;
                END
              ELSE
                BEGIN
                  IF (Loc[1] = 'S') THEN iLim := -1;
                END;
            END;
        end;
{    }
      if (Lim = 2) then
        begin
          iLim := Lim;
          if (EWM = 'W4') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 24) then K1 := 24;
                  J := (K+1)-(IRG-1);
                  BE[J] := (NWTW4[K1])/FACT;
                end;
            end
          else if (EWM = 'W5') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 24) then K1 := 24;
                  J := (K+1)-(IRG-1);
                  BE[J] := (NWTW5[K1])/FACT;
                end;
            end
          else if (EWM = 'W6') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 13) then K1 := 13;
                  J := (K+1)-(IRG-1);
                  BE[J] := (NWTW6[K1])/FACT;
                end;
            end
          else
            iLim := 0;
        end
      else if (Lim = -2) then
        begin
          iLim := Lim;
          if (EWM = 'W4') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 31) then K1 := 31;
                  J := (K+1)-(IRG-1);
                  BE[J] := (USW4[K1])/FACT;
                end;
            end
          else if (EWM = 'W5') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 5) then K1 := 5;
                  J := (K+1)-(IRG-1);
                  BE[J] := (USW5[K1])/FACT;
                end;
            end
          else
            iLim := 0;
        end
      else if (iLim = 1) then
        begin
          if (EWM = 'W4') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 24) then K1 := 24;
                  J := (K+1)-(IRG-1);
                  BE[J] := (ABNW4[K1])/FACT;
                end;
            end
          else if (EWM = 'W5') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 24) then K1 := 24;
                  J := (K+1)-(IRG-1);
                  BE[J] := (ABNW5[K1])/FACT;
                end;
            end
          else if (EWM = 'W6') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 13) then K1 := 13;
                  J := (K+1)-(IRG-1);
                  BE[J] := (ABNW6[K1])/FACT;
                end;
            end
          else
            iLim := 0;
        end
      else if (iLim = -1) then
        begin
          if (EWM = 'W4') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 31) then K1 := 31;
                  J := (K+1)-(IRG-1);
                  BE[J] := (ABSW4[K1])/FACT;
                end;
            end
          else if (EWM = 'W5') then
            begin
              for K := IRG-1 to IRG+2 do
                begin
                  K1 := K;
                  if (K1 < 1) then K1 := 1;
                  if (K1 > 5) then K1 := 5;
                  J := (K+1)-(IRG-1);
                  BE[J] := (ABSW5[K1])/FACT;
                end;
            end
          else
            iLim := 0;
        end;
      if (iLim <> 0) then
        begin
          LatBdy := '';
          FOR I := 1 TO 4 DO
            BEGIN
              IF (UpperCase(GSPH[3]) = 'S') THEN
                LatBdy  := LatBdy+Format('%12.3f',[BE[I]])
              ELSE IF (UpperCase(GSPH[3]) = 'M') THEN
                LatBdy  := LatBdy+Format('%12.5f',[BE[I]])
              ELSE
                LatBdy  := LatBdy+Format('%12.7f',[BE[I]]);
            END;
        end;
      END;

{
C ***********************************************************
     }
      procedure DlsLatProb(GSPH:string; DLSIN:string; Last: Boolean;            //dwl 16Jul2013
        KR,ILS,LKR: integer; var TNBDY,TSBDY,LAT: double);                      //dwl 16Jul2013
{
C ***********************************************************
C
C     PURPOSE:  Get Latitude Correction at Meridian
C               Get Secondary Latitude Correction for Twp/Rge
C
C     AUTHOR:     D. W. Lepard, 2013.
C
C     INPUT:
C       GSPH                                       STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       DLSIN                                      STRING[16]
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244]
C         [7-8]   Range in [1..34]
C
C         [15]    DLS survey system in [0..5];
C
C       LAST      value only if last iteration
C
C       KR        1-6 for section position from Twp South to North boundary
C
C       ILS       LSD value if using an LSD reference point
C
C       LKR       1-4 for LSD position from section South to North
C
C     OUTPUT:
C       iNorth    Correction at North (True) or South (False) Township boundary
C
C ***********************************************************
     }
//
// Baseline Meridian Correction in tenths of seconds for W4 and W5.
// Latitude on Meridian has 2 cases; an average value close to that
// of Range 2 and another lower average value; this routine provides
// the appropriate Latitude correction for these 2 cases. The array
// indices of W4 and W5 represent the Baselines, each of which covers
// the corresponding 4 Townships at Range 1.
//
// Other cases are where Twp/Rge has a secondary correction for part
// of the Twp/Rge
//
      const
        W4: array[18..27] of integer = (7,17,19,21,25,27,27,28,28,28);
        W5: array[23..28] of integer = (5,11,14,16,19,8);
{    }
      var I,IB,IGS,IRG,ISS,ITP,J,JT,K,L: INTEGER;
      var iNorth,iSouth,iLat,iVal,jVal,kVal: integer;
{    }
      var FACT: DOUBLE;
{    }
      var CH1: STRING;
      var EWM: STRING;
      var DLSOUT: STRING;
      var Area,Loc: STRING;
{    }
      procedure FixSouth(nVal: integer);
      begin
        if (K = 1) then
          begin
            if (ILS > 0)  then
              begin
                if (LKR = 1) then
                  begin
                    iSouth := iSouth+nVal;
                    iLat := iLat+nVal;
                  end;
              end
            else
              begin
                iSouth := iSouth+nVal;
                iLat := iLat+nVal;
              end;
          end;
      end;
      procedure FixNorth(iTwp,kRow,nVal: integer);
      begin
        if ((L = 1) and ((ITP = iTwp) and (KR = kRow))) then
          begin
            if (ILS > 0)  then
              begin
                if (LKR = 4) then
                  begin
                    iNorth := iNorth+nVal;
                    iLat := iLat+nVal;
                  end;
              end
            else
              begin
                iNorth := iNorth+nVal;
                iLat := iLat+nVal;
              end;
          end;
      end;
      procedure GetCorrection(iTwp,kRow,iVal: integer);
      begin
        if (((ITP = iTwp) and (KR < kRow)) or (ITP < iTwp)) then
          begin
            iNorth := iNorth+iVal;
            iLat := iLat+iVal;
          end;
        if ((K = 1) and ((ITP = iTwp) and (KR = kRow))) then
          begin
            FixSouth(iVal);
          end;
      end;
      procedure GetCorrection2(iTwp,kRow,iVal: integer);
      begin
        if ((ITP = iTwp) and (KR >= kRow)) then
          begin
            iNorth := iNorth+iVal;
            iLat := iLat+iVal;
          end;
        if ((K = 1) and ((ITP = iTwp) and (KR = kRow))) then
          begin
            FixSouth(-iVal);
          end;
      end;
      procedure GetCorrection3(iTwp,kRow,iVal: integer);
      begin
        if ((ITP = iTwp) and (KR < kRow)) then
          begin
            iNorth := iNorth+iVal;
            iLat := iLat+iVal;
          end;
        if ((K = 1) and ((ITP = iTwp) and (KR = kRow))) then
          begin
            FixSouth(iVal);
          end;
      end;
{    }
      BEGIN
      if (not(Last)) then exit;
      if ((Length(GSPH) < 3) or (Length(DLSIN) <> 16)) then exit;
{    }
      IGS   := 1;
      CH1   := UpperCase(GSPH[1]);
      IF (CH1 = 'S') THEN IGS := 3
      ELSE IF (CH1 <> 'N') THEN exit;
      CH1  := UpperCase(GSPH[2]);
      IF (CH1 = 'W') THEN IGS := IGS+1
      ELSE IF (CH1 <> 'E') THEN exit;
      CH1  := UpperCase(GSPH[3]);
      IF ((CH1 <> 'D') AND (CH1 <> 'M') AND (CH1 <> 'S')) THEN exit;
{    }
      FACT  := 36000.0;
      IF (CH1 = 'M') THEN FACT  := 600.0;
      IF (CH1 = 'S') THEN FACT  := 10.0;
{    }
      DLSOUT := UpperCase(DLSIN);
      EWM    := Copy(DLSOUT,2,2);
{    }
      IF (DLSOUT[1] <> '1') THEN exit;
      IF ((EWM[1] <> 'E') AND (EWM[1] <> 'W')) THEN exit;
      FOR I := 4 TO 8 DO
        IF ((DLSOUT[I] < '0') OR (DLSOUT[I] > '9')) THEN exit;
      IF ((DLSOUT[15] < '0') or (DLSOUT[15] > '5')) THEN exit;
{
C     RAILWAY SYSTEM 4
     }
          IF (DLSOUT[15] = '4') THEN exit;
{
C     COASTAL SYSTEM 5
     }
          IF (DLSOUT[15] = '5') THEN exit;
{    }
      ITP   := StrToInt(Copy(DLSOUT,4,3));
      IRG   := StrToInt(Copy(DLSOUT,7,2));
      ISS   := StrToInt(DLSOUT[15]);
      IF ((ITP < 0) OR (ITP > 244)) THEN exit;
      IB  := 1+((ITP+1) DIV 4);
      if (not(((EWM = 'W4') and (IB in [18..27]) and (IRG = 1))
        or ((EWM = 'W5') and (IB in [23..28]) and (IRG = 1))
        or ((EWM = 'W3') and (ISS = 3) and (IB = 10) and (IRG in [30]))
        or ((EWM = 'W3') and (ISS = 3) and (IB = 11) and (IRG in [29]))
        or ((EWM = 'W3') and (IB = 15) and (IRG in [28]))
        or ((EWM = 'W3') and (IB = 17) and (IRG in [28]))
        or ((EWM = 'W3') and (IB = 18) and (IRG in [28]))
        or ((EWM = 'W3') and (IB = 19) and (IRG in [27]))
        or ((EWM = 'W3') and (IB = 20) and (IRG in [27]))
        or ((EWM = 'W3') and (IB = 21) and (IRG in [27]))
        or ((EWM = 'W3') and (IB = 22) and (IRG in [27]))
        or ((EWM = 'W3') and (IB = 23) and (IRG in [27]))
        or ((EWM = 'W3') and (IB = 24) and (IRG in [26]))
        or ((EWM = 'W3') and (IB = 25) and (IRG in [26]))
        or ((EWM = 'W4') and (IB = 1) and (IRG in [8,9,10,11,12,13,14,15,19,23,24,26,27,28,29,30,31]))
        or ((EWM = 'W4') and (IB = 2) and (IRG in [2,3,4,5,6,7,8,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]))
        or ((EWM = 'W4') and (IB = 3) and (IRG in [2,3,4,5,6,7,8,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]))
        or ((EWM = 'W4') and (IB = 4) and (IRG in [4,6,7,9,10,11,12,13,14,15,19,20,21,22,23,24,25,26,27,28,29,30,31]))
        or ((EWM = 'W4') and (IB = 5) and (IRG in [2,3,5,8,10,11,12,16,19,20,21,23,24,25,27,29,30]))
        or ((EWM = 'W4') and (IB = 6) and (IRG in [2,3,5,6,7,8,9,10,11,12,16,18,19,20,22,24,25,26]))
        or ((EWM = 'W4') and (IB = 7) and (IRG in [2,6,7,8,9,18,20,21,22,23,25,26,28]))
        or ((EWM = 'W4') and (IB = 8) and (IRG in [1,2,3,5,6,7,9,10,13,15,16,17,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 9) and (IRG in [1,2,3,4,5,6,8,9,10,12,13,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 10) and (IRG in [1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 11) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 12) and (IRG in [2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 13) and (IRG in [6,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 14) and (IRG in [1,2,3,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W4') and (IB = 15) and (IRG in [1,2,3,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W4') and (IB = 16) and (IRG in [1,3,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W4') and (IB = 17) and (IRG in [1,3,4,6,7,9,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,26,27,28]))
        or ((EWM = 'W4') and (IB = 18) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28]))
        or ((EWM = 'W4') and (IB = 19) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W4') and (IB = 20) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W4') and (IB = 21) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W4') and (IB = 22) and (IRG in [1,2,3,4,5,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W4') and (IB = 23) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W4') and (IB = 24) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W4') and (IB = 25) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W4') and (IB = 26) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W4') and (IB = 27) and (IRG in [1]))
        or ((EWM = 'W5') and (IB = 1) and (IRG in [1,2,3,4,5]))
        or ((EWM = 'W5') and (IB = 2) and (IRG in [1,2,3,4,5,6,7]))
        or ((EWM = 'W5') and (IB = 3) and (IRG in [1,2,3,4,5,6,7]))
        or ((EWM = 'W5') and (IB = 4) and (IRG in [1,2,3,4,5,6,7,8]))
        or ((EWM = 'W5') and (IB = 5) and (IRG in [2,3,5,6,7,8]))
        or ((EWM = 'W5') and (IB = 6) and (IRG in [2,3,4,5,11,12,13,14,15]))
        or ((EWM = 'W5') and (IB = 7) and (IRG in [2,3,4,5,6,7,8,9,11,12,13,14,15,17,18]))
        or ((EWM = 'W5') and (IB = 8) and (IRG in [1,2,3,4,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22]))
        or ((EWM = 'W5') and (IB = 9) and (IRG in [1,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,29]))
        or ((EWM = 'W5') and (IB = 10) and (IRG in [1,2,4,5,6,7,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W5') and (IB = 11) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W5') and (IB = 12) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W5') and (IB = 13) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W5') and (IB = 14) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]))
        or ((EWM = 'W5') and (IB = 15) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,13,14,15,16,17,18,20,21,22,23,24,25,26,27,28]))
        or ((EWM = 'W5') and (IB = 16) and (IRG in [1,2,3,4,5,6,7,8,9,105,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28]))
        or ((EWM = 'W5') and (IB = 17) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28]))
        or ((EWM = 'W5') and (IB = 18) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28]))
        or ((EWM = 'W5') and (IB = 19) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,24,25,26,27]))
        or ((EWM = 'W5') and (IB = 20) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,23,24,25,26,27]))
        or ((EWM = 'W5') and (IB = 21) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,23,25,26,27]))
        or ((EWM = 'W5') and (IB = 22) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W5') and (IB = 23) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))
        or ((EWM = 'W5') and (IB = 24) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W5') and (IB = 25) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W5') and (IB = 26) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]))
        or ((EWM = 'W5') and (IB = 27) and (IRG in [1]))
        or ((EWM = 'W5') and (IB = 28) and (IRG in [1]))
        or ((EWM = 'W6') and (IB = 10) and (IRG in [1,2,3]))
        or ((EWM = 'W6') and (IB = 11) and (IRG in [1,2,3,4,5]))
        or ((EWM = 'W6') and (IB = 12) and (IRG in [1,2,3,4,5,6,7,8,9,10]))
        or ((EWM = 'W6') and (IB = 13) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]))
        or ((EWM = 'W6') and (IB = 14) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]))
        or ((EWM = 'W6') and (IB = 15) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]))
        or ((EWM = 'W6') and (IB = 16) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]))
        or ((EWM = 'W6') and (IB = 17) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]))
        or ((EWM = 'W6') and (IB = 18) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]))
        or ((EWM = 'W6') and (IB = 19) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,14,15]))
        or ((EWM = 'W6') and (IB = 20) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13]))
        or ((EWM = 'W6') and (IB = 21) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14]))
        or ((EWM = 'W6') and (IB = 22) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14]))
        or ((EWM = 'W6') and (IB = 23) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14]))
        or ((EWM = 'W6') and (IB = 24) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14]))
        or ((EWM = 'W6') and (IB = 25) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14]))
        or ((EWM = 'W6') and (IB = 26) and (IRG in [1,2,3,4,5,6,7,8,9,10,11,12,13,14])))) then exit;
//      IF (IRG <> 1) THEN exit;
      Loc  := Copy(DLSOUT,13,2);
      Area := DLSOUT[16];
{    }
      K := 0;
      if ((Loc[1] in ['F','S','E'])
        or ((Loc[1] = '@') and (Loc[2] in ['F','S','E']))) then K := 1;
      L := 0;
      if ((Loc[1] in ['G','N','H'])
        or ((Loc[1] = '@') and (Loc[2] in ['G','N','H']))) then L := 1;
      iNorth := 0;
      iSouth := 0;
      iLat := 0;
      if ((EWM = 'W4') and (IB = 1)) then                                       //dwl 22Jul2013
        begin
          if (IRG = 8) then
            begin
              GetCorrection(2,2,9);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(2,3,8);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(2,1,4);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(2,1,5);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(2,1,3);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(1,6,4);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(2,2,1);
            end
          else if (IRG = 15) then
            begin
              GetCorrection(2,1,1);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(2,1,3);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(2,3,2);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(2,1,-1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(2,1,-3);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(2,6,1);
              GetCorrection(2,1,-5);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(2,6,-3);
              GetCorrection(1,6,-5);
            end
          else if (IRG = 29) then
            begin
              GetCorrection(2,6,-40);
              GetCorrection(2,1,2);
            end
          else if (IRG = 30) then
            begin
              GetCorrection(2,6,-59);
              GetCorrection(2,2,-4);
            end
          else if (IRG > 30) then
            begin
              GetCorrection(2,6,-56);
            end;
        end
      else if ((EWM = 'W5') and (IB = 1)) then                                  //dwl 22Jul2013
        begin
          if (IRG = 1) then
            begin
              GetCorrection(2,6,-56);
            end
          else if (IRG = 2) then
            begin
              GetCorrection(2,6,23);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(2,6,22);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(2,6,31);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(2,6,31);
            end;
        end
      else if ((EWM = 'W4') and (IB = 2)) then                                  //dwl 22Jul2013
        begin
          if (IRG = 2) then
            begin
              FixNorth(6,6,-3);
              GetCorrection(5,4,-12);
            end
          else if (IRG = 3) then
            begin
              FixNorth(6,6,-5);
              GetCorrection(6,2,11);
            end
          else if (IRG = 4) then
            begin
              FixNorth(6,6,-5);
            end
          else if (IRG = 5) then
            begin
              FixNorth(6,6,-3);
              GetCorrection(5,2,5);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(4,4,8);
            end
          else if (IRG = 7) then
            begin
              FixNorth(6,6,-3);
              GetCorrection(4,5,6);
            end
          else if (IRG = 8) then
            begin
              FixNorth(6,6,-3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(6,6,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(6,6,-6);
            end
          else if (IRG = 11) then
            begin
              FixNorth(6,6,2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(6,6,12);
            end
          else if (IRG = 13) then
            begin
              FixNorth(6,6,3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(6,6,10);
              GetCorrection(5,4,5);
            end
          else if (IRG = 15) then
            begin
              FixNorth(6,6,3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(6,6,2);
              GetCorrection(5,1,6);
            end
          else if (IRG = 18) then
            begin
              FixNorth(6,6,2);
              GetCorrection(5,4,-25);
            end
          else if (IRG = 19) then
            begin
              FixNorth(6,6,1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(6,6,1);
              GetCorrection(3,6,6);
            end
          else if (IRG = 21) then
            begin
              FixNorth(6,6,1);
              GetCorrection(4,3,6);
            end
          else if (IRG = 22) then
            begin
              FixNorth(6,6,2);
              GetCorrection(4,3,3);
              GetCorrection2(6,6,-11);
            end
          else if (IRG = 23) then
            begin
              FixNorth(6,6,3);
              GetCorrection(4,3,1);
              GetCorrection2(6,6,-11);
            end
          else if (IRG = 24) then
            begin
              FixNorth(6,6,2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(6,6,-2);
              GetCorrection2(6,6,-7);
            end
          else if (IRG = 26) then
            begin
              GetCorrection2(6,6,-3);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(3,1,-3);
              GetCorrection(3,5,-4);
              GetCorrection2(6,6,6);
            end
          else if (IRG = 28) then
            begin
              FixNorth(6,6,3);
              GetCorrection(3,1,-7);
              GetCorrection(4,5,3);
              GetCorrection2(5,2,-6);
              GetCorrection3(6,4,-6);
            end
          else if (IRG = 29) then
            begin
              FixNorth(6,6,7);
              GetCorrection(3,1,-4);
              GetCorrection(4,5,5);
              GetCorrection2(6,6,-6);
            end
          else if (IRG = 30) then
            begin
              FixNorth(6,6,5);
              GetCorrection(3,1,13);
              GetCorrection(4,4,4);
              GetCorrection2(6,6,14);
            end
          else if (IRG > 30) then
            begin
              FixNorth(6,6,3);
              GetCorrection(4,5,8);
              GetCorrection2(5,5,-4);
              GetCorrection3(6,6,-4);
            end;
        end
      else if ((EWM = 'W5') and (IB = 2)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(6,6,3);
              GetCorrection(4,5,8);
              GetCorrection2(5,5,-4);
              GetCorrection3(6,6,-4);
            end
          else if (IRG = 2) then
            begin
              FixNorth(6,6,2);
              GetCorrection(5,4,-23);
              GetCorrection2(6,3,-6);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(5,1,-21);
              GetCorrection2(6,6,7);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(3,1,-1);
              GetCorrection(5,1,-29);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(3,1,-1);
              GetCorrection(5,1,-29);
            end
          else if (IRG = 6) then
            begin
              FixNorth(6,6,-1);
              GetCorrection(6,6,6);
            end;
        end
      else if ((EWM = 'W4') and (IB = 3)) then                                  //dwl 24Aug2013
        begin
          if (IRG = 2) then
            begin
              GetCorrection(7,1,-3);
              GetCorrection(9,4,-6);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(7,1,-5);
              GetCorrection(7,6,-3);
              GetCorrection(7,4,-5);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(7,1,-5);
              GetCorrection(8,3,-7);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(7,1,-3);
              GetCorrection(7,4,-4);
            end
          else if (IRG = 7) then
            begin
              FixNorth(10,6,3);
              GetCorrection(7,1,-3);
              GetCorrection(10,3,-4);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(7,1,-3);
              GetCorrection(10,1,-4);
            end
          else if (IRG = 9) then
            begin
              FixNorth(10,6,-7);
              GetCorrection(7,1,-3);
              GetCorrection(9,4,-5);
            end
          else if (IRG = 10) then
            begin
              FixNorth(10,6,-4);
              GetCorrection(7,1,-6);
              GetCorrection(7,3,-6);
              GetCorrection(9,4,-7);
            end
          else if (IRG = 11) then
            begin
              FixNorth(10,6,-1);
              GetCorrection(7,1,2);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(7,1,13);
              GetCorrection(9,3,27);
            end
          else if (IRG = 13) then
            begin
              FixNorth(10,6,-5);
              GetCorrection(7,1,3);
              GetCorrection(10,1,6);
            end
          else if (IRG = 14) then
            begin
              FixNorth(10,6,4);
              GetCorrection(7,1,10);
              GetCorrection(7,3,4);
              GetCorrection(9,4,5);
              GetCorrection(9,5,9);
            end
          else if (IRG = 15) then
            begin
              FixNorth(10,6,2);
              GetCorrection(7,1,2);
              GetCorrection(7,4,6);
            end
          else if (IRG = 17) then
            begin
              GetCorrection(10,2,4);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(7,1,4);
              GetCorrection(10,1,5);
            end
          else if (IRG = 19) then
            begin
              FixNorth(10,6,-2);
              GetCorrection(7,1,1);
              GetCorrection(9,4,3);
            end
          else if (IRG = 20) then
            begin
              FixNorth(10,6,2);
              GetCorrection(7,1,1);
              GetCorrection(10,5,5);
            end
          else if (IRG = 21) then
            begin
              FixNorth(10,6,2);
              GetCorrection(7,1,2);
              GetCorrection(9,6,3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(10,6,2);
              GetCorrection(7,1,-10);
              GetCorrection(8,2,-8);
              GetCorrection(8,3,-6);
              GetCorrection(8,5,3);
              GetCorrection(9,6,4);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(7,1,-8);
              GetCorrection(8,3,4);
              GetCorrection(9,1,7);
            end
          else if (IRG = 24) then
            begin
              FixNorth(10,6,-2);
              GetCorrection(7,1,1);
              GetCorrection(9,3,4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(10,6,1);
              GetCorrection(7,1,-10);
              GetCorrection(8,1,-3);
              GetCorrection(10,1,-4);
            end
          else if (IRG = 26) then
            begin
              FixNorth(10,6,-3);
              GetCorrection(7,1,-3);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(7,1,6);
              GetCorrection(8,6,16);
            end
          else if (IRG = 28) then
            begin
              FixNorth(10,6,-5);
              GetCorrection(7,1,5);
              GetCorrection(7,4,-3);
              GetCorrection(9,4,11);
            end
          else if (IRG = 29) then
            begin
              FixNorth(10,6,12);
              GetCorrection(7,1,1);
              GetCorrection(8,1,-2);
              GetCorrection(9,4,5);
              GetCorrection(10,3,7);
            end
          else if (IRG = 30) then
            begin
              FixNorth(10,6,17);
              GetCorrection(7,1,20);
              GetCorrection(7,3,8);
              GetCorrection(7,5,9);
              GetCorrection(8,3,4);
              GetCorrection(8,6,6);
              GetCorrection(9,4,4);
              GetCorrection(10,2,4);
            end
          else if (IRG > 30) then
            begin
              FixNorth(10,6,15);
              GetCorrection(7,1,3);
              GetCorrection(8,1,3);
              GetCorrection(9,1,2);
              GetCorrection(9,6,6);
            end;
        end
      else if ((EWM = 'W5') and (IB = 3)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(10,6,15);
              GetCorrection(7,1,3);
              GetCorrection(8,1,3);
              GetCorrection(9,1,2);
              GetCorrection(9,6,6);
            end
          else if (IRG = 2) then
            begin
              FixNorth(10,6,26);
              GetCorrection(7,1,-4);
            end
          else if (IRG = 3) then
            begin
              FixNorth(10,6,4);
              GetCorrection(7,1,7);
              GetCorrection(7,2,5);
              GetCorrection(7,3,4);
              GetCorrection(8,1,-4);
              GetCorrection(8,2,4);
              GetCorrection(8,3,4);
              GetCorrection(9,4,6);
              GetCorrection(9,6,5);
              GetCorrection(10,1,-11);
            end
          else if (IRG = 4) then
            begin
              FixNorth(10,6,3);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(8,6,-7);
              GetCorrection(9,6,5);
            end
          else if (IRG = 6) then
            begin
              FixNorth(10,6,-2);
              GetCorrection(7,1,-1);
              GetCorrection(8,6,-7);
            end
          else if (IRG = 7) then
            begin
              FixNorth(10,6,-2);
              GetCorrection(8,4,-4);
            end;
        end
      else if ((EWM = 'W4') and (IB = 4)) then
        begin
          if (IRG = 4) then
            begin
              GetCorrection(12,4,-3);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(11,3,-10);
              GetCorrection(12,5,-4);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(11,1,3);
              GetCorrection(14,1,8);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(11,1,-7);
              GetCorrection(12,1,-7);
              GetCorrection(13,2,-7);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(11,1,-4);
              GetCorrection(13,1,-9);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(13,3,-3);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(11,1,-1);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(11,1,-5);
              GetCorrection(11,3,-8);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(11,1,3);
              GetCorrection(11,4,9);
            end
          else if (IRG = 15) then
            begin
              GetCorrection(11,1,2);
              GetCorrection(11,6,3);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(11,1,-2);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(11,1,3);
              GetCorrection(12,4,7);
            end
          else if (IRG = 21) then
            begin
              FixNorth(14,6,1);
              GetCorrection(11,1,2);
              GetCorrection(14,2,6);
            end
          else if (IRG = 22) then
            begin
              GetCorrection(11,1,2);
              GetCorrection(14,5,2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(14,6,-1);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(11,1,-3);
            end
          else if (IRG = 25) then
            begin
              FixNorth(14,6,-2);
              GetCorrection(11,1,1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(11,1,-3);
            end
          else if (IRG = 27) then
            begin
              FixNorth(14,6,1);
              GetCorrection(11,1,1);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(11,1,-5);
            end
          else if (IRG = 29) then
            begin
              GetCorrection(11,1,12);
              GetCorrection(12,3,11);
              GetCorrection(12,5,7);
              GetCorrection(13,1,8);
            end
          else if (IRG = 30) then
            begin
              FixNorth(14,6,2);
              GetCorrection(11,1,17);
              GetCorrection(11,3,5);
              GetCorrection(12,2,6);
              GetCorrection(12,5,6);
              GetCorrection(13,1,9);
              GetCorrection(13,4,10);
            end
          else if (IRG > 30) then
            begin
              GetCorrection(11,1,15);
              GetCorrection(12,2,8);
              GetCorrection(12,4,9);
              GetCorrection(12,6,5);
              GetCorrection(13,4,4);
              GetCorrection(13,6,3);
            end;
        end
      else if ((EWM = 'W5') and (IB = 4)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(11,1,15);
              GetCorrection(12,2,8);
              GetCorrection(12,4,9);
              GetCorrection(12,6,5);
              GetCorrection(13,4,4);
              GetCorrection(13,6,3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(14,6,-9);
              GetCorrection(11,1,26);
              GetCorrection(11,6,5);
              GetCorrection(12,3,5);
              GetCorrection(12,5,14);
              GetCorrection(13,1,5);
              GetCorrection(13,3,5);
              GetCorrection(13,5,9);
              GetCorrection(13,6,7);
            end
          else if (IRG = 3) then
            begin
              FixNorth(14,6,-22);
              GetCorrection(11,1,4);
              GetCorrection(11,5,-9);
              GetCorrection(11,6,-8);
              GetCorrection(12,2,7);
              GetCorrection(12,4,5);
              GetCorrection(14,1,3);
              GetCorrection(14,3,6);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(11,1,3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(14,6,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(14,6,-3);
              GetCorrection(11,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(14,6,-5);
              GetCorrection(11,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(14,6,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 5)) then
        begin
          if (IRG = 2) then
            begin
              FixNorth(18,6,7);
            end
          else if (IRG = 3) then
            begin
              FixNorth(18,6,-4);
            end
          else if (IRG = 5) then
            begin
              FixNorth(18,6,-5);
            end
          else if (IRG = 8) then
            begin
              FixNorth(18,6,-5);
            end
          else if (IRG = 10) then
            begin
              FixNorth(18,6,-13);
            end
          else if (IRG = 11) then
            begin
              FixNorth(18,6,-4);
            end
          else if (IRG = 16) then
            begin
              FixNorth(18,6,7);
            end
          else if (IRG = 19) then
            begin
              FixNorth(18,6,-17);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(15,1,1);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(15,1,1);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(15,1,-1);
            end
          else if (IRG = 24) then
            begin
              FixNorth(18,6,-6);
              GetCorrection(15,1,-1);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(15,1,-2);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(15,1,1);
            end
          else if (IRG = 29) then
            begin
              GetCorrection(15,1,1);
            end
          else if (IRG = 30) then
            begin
              GetCorrection(15,1,-1);
            end;
        end
      else if ((EWM = 'W5') and (IB = 5)) then
        begin
          if (IRG = 2) then
            begin
              GetCorrection(15,1,-9);
              GetCorrection(17,5,7);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(15,1,-22);
              GetCorrection(16,3,-6);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(15,1,-2);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(15,1,-3);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(15,1,-5);
              GetCorrection(17,4,-4);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(15,1,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 6)) then
        begin
          if (IRG = 2) then
            begin
              GetCorrection(19,1,7);
              GetCorrection(20,1,26);
              GetCorrection(20,3,-9);
              GetCorrection(20,5,-8);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(19,1,-4);
              GetCorrection(22,4,-5);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(19,1,-5);
              GetCorrection(19,4,3);
              GetCorrection(20,6,4);
              GetCorrection(22,2,-8);
              GetCorrection(22,3,-7);
            end
          else if (IRG = 8) then
            begin
              FixNorth(22,6,-6);
              GetCorrection(19,1,-5);
              GetCorrection(21,3,-7);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(19,1,-13);
              GetCorrection(22,4,-18);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(19,1,-3);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(21,6,-4);
            end
          else if (IRG = 16) then
            begin
              GetCorrection(19,1,7);
              GetCorrection(19,3,6);
              GetCorrection(20,1,7);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(19,1,-17);
              GetCorrection(20,2,-33);
            end
          else if (IRG = 20) then
            begin
              FixNorth(22,6,1);
            end
          else if (IRG = 22) then
            begin
              FixNorth(22,6,4);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(19,1,-6);
              GetCorrection(20,1,-8);
            end
          else if (IRG = 25) then
            begin
              FixNorth(22,6,1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(22,6,3);
            end;
        end
      else if ((EWM = 'W5') and (IB = 6)) then
        begin
          if (IRG = 2) then
            begin
              FixNorth(22,6,2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(22,6,2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(22,6,1);
            end
          else if (IRG = 5) then
            begin
              FixNorth(22,6,7);
            end
          else if (IRG = 11) then
            begin
              FixNorth(22,6,-23);
            end
          else if (IRG = 12) then
            begin
              FixNorth(22,6,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(22,6,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(22,6,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(22,6,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 7)) then
        begin
          if (IRG = 2) then
            begin
              FixNorth(26,6,-6);
            end
          else if (IRG = 6) then
            begin
              FixNorth(26,6,2);
              GetCorrection(24,3,4);
            end
          else if (IRG = 7) then
            begin
              FixNorth(26,6,-4);
              GetCorrection(23,2,10);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(23,1,-6);
              GetCorrection(26,5,-8);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(25,4,4);
            end
          else if (IRG = 20) then
            begin
              FixNorth(26,6,5);
              GetCorrection(23,1,1);
              GetCorrection(26,5,9);
            end
          else if (IRG = 21) then
            begin
              FixNorth(26,6,3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(26,6,2);
              GetCorrection(23,1,4);
              GetCorrection(23,6,8);
            end
          else if (IRG = 23) then
            begin
              FixNorth(26,6,3);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(23,1,1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(26,6,-4);
              GetCorrection(23,1,3);
            end
          else if (IRG = 28) then
            begin
              FixNorth(26,6,6);
            end;
        end
      else if ((EWM = 'W5') and (IB = 7)) then
        begin
          if (IRG = 2) then
            begin
              FixNorth(26,6,4);
              GetCorrection(23,1,2);
              GetCorrection(25,4,4);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(23,1,2);
              GetCorrection(25,2,5);
              GetCorrection(25,5,4);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(23,1,1);
              GetCorrection(26,1,9);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(23,1,7);
              GetCorrection(25,5,4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(26,6,3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(26,6,-4);
            end
          else if (IRG = 8) then
            begin
              FixNorth(26,6,11);
            end
          else if (IRG = 9) then
            begin
              FixNorth(26,6,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(26,6,-2);
              GetCorrection(23,1,-24);
            end
          else if (IRG = 12) then
            begin
              FixNorth(26,6,-2);
              GetCorrection(23,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(26,6,-2);
              GetCorrection(23,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(26,6,-2);
              GetCorrection(23,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(26,6,-2);
              GetCorrection(23,1,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(26,6,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(26,6,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 8)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(30,6,2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(30,6,1);
              GetCorrection(27,1,-6);
              GetCorrection(28,1,-6);
            end
          else if (IRG = 3) then
            begin
              FixNorth(30,6,-1);
            end
          else if (IRG = 5) then
            begin
              FixNorth(30,6,1);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(27,1,2);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(27,1,-4);
            end
          else if (IRG = 9) then
            begin
              FixNorth(30,6,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(30,6,1);
            end
          else if (IRG = 15) then
            begin
              FixNorth(30,6,2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(30,6,5);
            end
          else if (IRG = 17) then
            begin
              FixNorth(30,6,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(30,6,1);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(27,1,5);
              GetCorrection(29,1,6);
              GetCorrection(28,1,4);
            end
          else if (IRG = 21) then
            begin
              FixNorth(30,6,-2);
              GetCorrection(27,1,3);
              GetCorrection(29,3,7);
            end
          else if (IRG = 22) then
            begin
              FixNorth(30,6,8);
              GetCorrection(27,1,2);
              GetCorrection(28,4,5);
            end
          else if (IRG = 23) then
            begin
              FixNorth(30,6,-1);
              GetCorrection(27,1,3);
              GetCorrection(27,3,3);
              GetCorrection(29,3,3);
            end
          else if (IRG = 24) then
            begin
              FixNorth(30,6,-5);
            end
          else if (IRG = 25) then
            begin
              FixNorth(30,6,-5);
            end
          else if (IRG = 26) then
            begin
              FixNorth(30,6,-4);
              GetCorrection(27,1,-4);
            end
          else if (IRG = 27) then
            begin
              FixNorth(30,6,4);
            end
          else if (IRG = 28) then
            begin
              FixNorth(30,6,14);
              GetCorrection(27,1,7);
              GetCorrection(28,1,4);
              GetCorrection(29,3,6);
              GetCorrection(30,1,5);
            end
          else if (IRG = 29) then
            begin
              FixNorth(30,6,2);
            end;
        end
      else if ((EWM = 'W5') and (IB = 8)) then
        begin
          if (IRG = 2) then
            begin
              GetCorrection(27,1,4);
              GetCorrection(29,6,5);
              GetCorrection(28,2,5);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(30,1,5);
            end
          else if (IRG = 4) then
            begin
              FixNorth(30,6,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(30,6,-1);
              GetCorrection(27,1,3);
              GetCorrection(29,5,5);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(27,1,-4);
            end
          else if (IRG = 8) then
            begin
              FixNorth(30,6,-1);
              GetCorrection(27,1,11);
              GetCorrection(29,1,6);
              GetCorrection(29,5,6);
            end
          else if (IRG = 9) then
            begin
              FixNorth(30,6,-2);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(30,6,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(30,6,-2);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(30,6,-3);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(30,6,-3);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(30,6,-3);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(30,6,-3);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(30,6,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(30,6,-3);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(30,6,-3);
              GetCorrection(27,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(30,6,-3);
            end
          else if (IRG = 20) then
            begin
              FixNorth(30,6,-3);
            end
          else if (IRG = 21) then
            begin
              FixNorth(30,6,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(30,6,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 9)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(34,6,-5);
              GetCorrection(31,1,2);
              GetCorrection(34,1,5);
            end
          else if (IRG = 2) then
            begin
              FixNorth(34,6,4);
              GetCorrection(31,1,1);
              GetCorrection(32,6,5);
            end
          else if (IRG = 3) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(34,6,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(34,6,-4);
              GetCorrection(31,1,1);
              GetCorrection(32,6,4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(34,6,-1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(34,6,9);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(31,1,-3);
              GetCorrection(31,5,-3);
              GetCorrection(33,5,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(34,6,2);
              GetCorrection(33,3,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(31,1,1);
              GetCorrection(32,6,4);
            end
          else if (IRG = 15) then
            begin
              FixNorth(34,6,-5);
              GetCorrection(31,1,2);
              GetCorrection(31,2,10);
              GetCorrection(31,5,5);
              GetCorrection(32,1,-11);
            end
          else if (IRG = 16) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,5);
              GetCorrection(33,1,4);
              GetCorrection(34,5,8);
            end
          else if (IRG = 17) then
            begin
              GetCorrection(31,1,-3);
            end
          else if (IRG = 18) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(34,6,-8);
              GetCorrection(31,1,2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(34,6,1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-2);
              GetCorrection(32,1,-3);
              GetCorrection(32,6,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(34,6,6);
              GetCorrection(31,1,8);
              GetCorrection(32,3,8);
              GetCorrection(32,6,6);
            end
          else if (IRG = 23) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-2);
              GetCorrection(33,5,-4);
            end
          else if (IRG = 24) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-6);
              GetCorrection(33,3,-10);
            end
          else if (IRG = 25) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-5);
              GetCorrection(32,2,-4);
              GetCorrection(33,6,-4);
            end
          else if (IRG = 26) then
            begin
              FixNorth(34,6,1);
              GetCorrection(31,1,-4);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(31,1,5);
              GetCorrection(32,2,5);
              GetCorrection(32,6,4);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(31,1,13);
              GetCorrection(31,3,5);
              GetCorrection(31,5,6);
              GetCorrection(32,1,7);
              GetCorrection(32,3,5);
              GetCorrection(32,5,6);
              GetCorrection(33,5,3);
            end
          else if (IRG = 29) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-3);
              GetCorrection(31,5,4);
              GetCorrection(32,5,3);
              GetCorrection(34,6,-28);                                          //new
            end;
        end
      else if ((EWM = 'W5') and (IB = 9)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(33,1,-3);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(31,1,-2);
              GetCorrection(34,4,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(34,6,5);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(31,1,-1);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(33,1,4);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(31,1,-1);
            end
          else if (IRG = 9) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(34,6,1);
              GetCorrection(31,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(34,6,-1);
              GetCorrection(31,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 16) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 18) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 19) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 20) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 21) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(34,6,-2);
              GetCorrection(31,1,-2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 26) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(34,6,-2);
            end
          else if (IRG = 29) then
            begin
              FixNorth(34,6,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 10)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-5);
            end
          else if (IRG = 2) then
            begin
              FixNorth(38,6,1);
              GetCorrection(35,1,4);
              GetCorrection(36,3,3);
              GetCorrection(38,1,6);
            end
          else if (IRG = 3) then
            begin
              FixNorth(38,6,-4);
              GetCorrection(35,1,-1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(38,6,-5);
              GetCorrection(35,1,-3);
              GetCorrection(37,2,-4);
            end
          else if (IRG = 5) then
            begin
              FixNorth(38,6,-1);
              GetCorrection(35,1,-4);
              GetCorrection(36,3,-4);
              GetCorrection(38,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(38,6,-5);
              GetCorrection(35,1,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(38,6,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(38,6,-6);
              GetCorrection(35,1,9);
              GetCorrection(35,5,8);
              GetCorrection(36,4,4);
              GetCorrection(37,5,5);
            end
          else if (IRG = 10) then
            begin
              FixNorth(38,6,-12);
              GetCorrection(35,1,2);
              GetCorrection(36,4,5);
            end
          else if (IRG = 11) then
            begin
              FixNorth(38,6,2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(38,6,-10);
              GetCorrection(35,1,-5);
              GetCorrection(35,3,-4);
              GetCorrection(36,6,7);
              GetCorrection(38,2,-8);
            end
          else if (IRG = 16) then
            begin
              GetCorrection(35,1,-1);
            end
          else if (IRG = 17) then
            begin
              FixNorth(38,6,-4);
            end
          else if (IRG = 18) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
              GetCorrection(35,6,-6);
            end
          else if (IRG = 19) then
            begin
              FixNorth(38,6,-7);
              GetCorrection(35,1,-9);
              GetCorrection(37,2,-7);
              GetCorrection(37,6,-5);
              GetCorrection(38,3,-7);
            end
          else if (IRG = 20) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,2);
              GetCorrection(37,6,-4);
              GetCorrection(38,3,6);
            end
          else if (IRG = 21) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-1);
              GetCorrection(36,6,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(38,6,4);
              GetCorrection(35,1,6);
              GetCorrection(36,4,4);
              GetCorrection(37,3,5);
              GetCorrection(37,6,5);
            end
          else if (IRG = 23) then
            begin
              FixNorth(38,6,10);
              GetCorrection(35,1,-2);
              GetCorrection(36,1,-6);
            end
          else if (IRG = 24) then
            begin
              FixNorth(38,6,8);
              GetCorrection(35,1,-1);
              GetCorrection(37,6,-4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(38,6,4);
              GetCorrection(35,1,-1);
              GetCorrection(37,4,-3);
            end
          else if (IRG = 26) then
            begin
              FixNorth(38,6,-1);
              GetCorrection(35,1,2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(38,6,2);
              GetCorrection(36,5,4);
            end
          else if (IRG = 28) then
            begin
              FixNorth(38,6,-3);
            end
          else if (IRG = 29) then
            begin
              FixNorth(38,6,-4);
              GetCorrection(35,1,-1);
              GetCorrection(37,2,-3);
            end;
        end
      else if ((EWM = 'W5') and (IB = 10)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(38,6,-4);
              GetCorrection(35,1,-1);
              GetCorrection(37,2,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(38,6,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(38,6,-5);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(35,1,5);
              GetCorrection(37,2,9);
            end
          else if (IRG = 6) then
            begin
              FixNorth(38,6,-4);
            end
          else if (IRG = 7) then
            begin
              FixNorth(38,6,-5);
            end
          else if (IRG = 9) then
            begin
              FixNorth(38,6,-1);
              GetCorrection(35,1,-1);
              GetCorrection(37,4,3);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(35,1,1);
              GetCorrection(37,2,4);
              GetCorrection(38,2,4);
            end
          else if (IRG = 11) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-1);
            end
          else if (IRG = 12) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(38,6,-2);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(38,6,-1);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(38,6,-9);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(38,6,-4);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 21) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 26) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end
          else if (IRG = 28) then
            begin
              FixNorth(38,6,-3);
            end
          else if (IRG = 29) then
            begin
              FixNorth(38,6,-3);
              GetCorrection(35,1,-2);
            end;
        end
      else if ((EWM = 'W3') and (ISS = 3) and (IB = 10)) then
        begin
          if (IRG >= 30) then
            begin
              FixNorth(38,6,-3);
            end;
        end
      else if ((EWM = 'W3') and (ISS = 3) and (IB = 11)) then
        begin
          if (IRG >= 29) then
            begin
              GetCorrection(39,1,-3);
              GetCorrection(42,3,-5);
            end;
        end
      else if ((EWM = 'W3') and (IB = 15)) then
        begin
          if (IRG >= 28) then
            begin
              GetCorrection(56,4,5);
            end;
        end
      else if ((EWM = 'W3') and (IB = 17)) then
        begin
          if (IRG >= 28) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-1);
            end;
        end
      else if ((EWM = 'W3') and (IB = 18)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 28) then
            begin
              GetCorrection(67,1,-1);
              if ((ITP = 70) and (KR = 6)) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 6) and (ITP = 70)) then
                begin
                  FixSouth(iVal);
                end;
              FixNorth(70,6,-4);
            end;
        end
      else if ((EWM = 'W3') and (IB = 19)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 27) then
            begin
              if (IB in [19,20,23,24,26]) then
                begin
                  GetCorrection(71,1,-4);
                  if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(74,6,-3);
            end;
        end
      else if ((EWM = 'W3') and (IB = 20)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 27) then
            begin
              if (IB in [19,20,23,24,26]) then
                begin
                  GetCorrection(75,1,-3);
                  if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(78,6,-2);
            end;
        end
      else if ((EWM = 'W3') and (IB = 21)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 27) then
            begin
              if (IB in [21,25]) then
                begin
                  GetCorrection(79,1,-2);
                  if (not((ITP in [80,96]) and (KR > 4))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [81,97])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 5) and (ITP in [80,96])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [79,95])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(82,6,-3);
            end;
        end
      else if ((EWM = 'W3') and (IB = 22)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 27) then
            begin
              if (IB = 22) then
                begin
                  GetCorrection(83,1,-3);
                  if (not((ITP = 84) and (KR > 1))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP = 85)) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 2) and (ITP = 84)) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP = 83)) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(86,6,-1);
            end;
        end
      else if ((EWM = 'W3') and (IB = 23)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 27) then
            begin
              GetCorrection(87,1,-1);
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
              FixNorth(90,6,1);
            end
        end
      else if ((EWM = 'W3') and (IB = 24)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 27) then
            begin
              GetCorrection(91,1,1);
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end
        end
      else if ((EWM = 'W3') and (IB = 25)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 26) then
            begin
              if (IB in [21,25]) then
                begin
//                  GetCorrection(95,1,-2);
                  if (not((ITP in [80,96]) and (KR > 4))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [81,97])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 5) and (ITP in [80,96])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [79,95])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
//              FixNorth(98,6,-3);
            end;
        end
      else if ((EWM = 'W3') and (IB = 26)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 26) then
            begin
//              GetCorrection(99,1,0);
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end
        end
      else if ((EWM = 'W3') and (IB = 27)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG >= 26) then
            begin
              if ((ITP = 103) or ((ITP in [104,105]) and (KR < 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 105)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [104,105])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 103)) then
                begin
                  FixSouth(-kVal);
                end;
            end
        end
      else if ((EWM = 'W4') and (IB = 11)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(39,1,-3);
              GetCorrection(42,3,-5);
            end
          else if (IRG = 2) then
            begin
              FixNorth(42,6,-2);
              GetCorrection(39,1,1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(42,6,-2);
              GetCorrection(39,1,-4);
              GetCorrection(41,2,-5);
              GetCorrection(42,3,-7);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(39,1,-5);
              GetCorrection(39,6,-10);
              GetCorrection(41,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(42,6,-4);
              GetCorrection(39,1,-1);
              GetCorrection(41,1,-4);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(39,1,-5);
              GetCorrection(40,4,-3);
              GetCorrection(41,2,-5);
              GetCorrection(41,6,-6);
            end
          else if (IRG = 7) then
            begin
              FixNorth(42,6,4);
              GetCorrection(39,1,-2);
              GetCorrection(39,6,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(42,6,2);
              GetCorrection(39,1,-6);
              GetCorrection(39,6,3);
              GetCorrection(41,6,-16);
            end
          else if (IRG = 9) then
            begin
              FixNorth(42,6,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(42,6,8);
              GetCorrection(39,1,-12);
              GetCorrection(41,6,-5);
              GetCorrection(42,2,-11);
            end
          else if (IRG = 11) then
            begin
              FixNorth(42,6,-6);
              GetCorrection(39,1,2);
              GetCorrection(40,5,5);
            end
          else if (IRG = 12) then
            begin
              FixNorth(42,6,7);
              GetCorrection(39,1,-2);
              GetCorrection(42,3,-10);
            end
          else if (IRG = 13) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(40,6,-4);
            end
          else if (IRG = 14) then
            begin
              FixNorth(42,6,-1);
              GetCorrection(39,1,-1);
              GetCorrection(39,2,-4);
              GetCorrection(42,1,-6);
              GetCorrection(42,5,-4);
            end
          else if (IRG = 15) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-10);
              GetCorrection(40,3,-7);
              GetCorrection(40,4,10);
              GetCorrection(40,5,-14);
              GetCorrection(41,5,-4);
              GetCorrection(42,1,-5);
            end
          else if (IRG = 16) then
            begin
              FixNorth(42,6,-13);
              GetCorrection(42,1,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(42,6,-7);
              GetCorrection(39,1,-4);
              GetCorrection(41,3,-3);
              GetCorrection(42,2,-9);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(39,1,-4);
              GetCorrection(41,2,-5);
            end
          else if (IRG = 19) then
            begin
              FixNorth(42,6,4);
              GetCorrection(39,1,-6);
              GetCorrection(40,4,-5);
              GetCorrection(41,4,-7);
              GetCorrection(42,3,-4);
            end
          else if (IRG = 20) then
            begin
              FixNorth(42,6,-15);
              GetCorrection(39,1,-2);
              GetCorrection(40,1,4);
              GetCorrection(41,5,-6);
              GetCorrection(42,1,-4);
            end
          else if (IRG = 21) then
            begin
              FixNorth(42,6,-4);
              GetCorrection(39,1,-2);
              GetCorrection(40,3,4);
              GetCorrection(41,1,-20);
              GetCorrection(42,3,5);
              GetCorrection(42,4,5);
            end
          else if (IRG = 22) then
            begin
              FixNorth(42,6,2);
              GetCorrection(39,1,4);
              GetCorrection(40,4,9);
              GetCorrection(42,5,4);
            end
          else if (IRG = 23) then
            begin
              FixNorth(42,6,-11);
              GetCorrection(39,1,11);
              GetCorrection(41,1,4);
              GetCorrection(41,4,6);
              GetCorrection(42,1,9);
            end
          else if (IRG = 24) then
            begin
              FixNorth(42,6,-10);
              GetCorrection(39,1,6);
              GetCorrection(40,1,5);
              GetCorrection(40,2,7);
            end
          else if (IRG = 25) then
            begin
              FixNorth(42,6,1);
              GetCorrection(39,1,5);
              GetCorrection(42,2,6);
            end
          else if (IRG = 26) then
            begin
              FixNorth(42,6,-2);
              GetCorrection(39,1,-2);
              GetCorrection(39,4,-9);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(39,1,2);
              GetCorrection(39,3,4);
              GetCorrection(40,3,-9);
            end
          else if (IRG = 28) then
            begin
              FixNorth(42,6,1);
              GetCorrection(39,1,-9);
            end
          else if (IRG = 29) then
            begin
              FixNorth(42,6,3);
              GetCorrection(39,1,-4);
              GetCorrection(39,5,-10);
            end;
        end
      else if ((EWM = 'W5') and (IB = 11)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(42,6,3);
              GetCorrection(39,1,-4);
              GetCorrection(39,5,-10);
            end
          else if (IRG = 2) then
            begin
              FixNorth(42,6,1);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(42,6,1);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(39,1,-5);
              GetCorrection(40,5,-8);
            end
          else if (IRG = 5) then
            begin
              FixNorth(42,6,4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(42,6,3);
              GetCorrection(39,1,-4);
              GetCorrection(42,1,3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(42,6,-1);
              GetCorrection(39,1,-5);
              GetCorrection(39,5,-6);
              GetCorrection(40,3,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(42,6,-4);
            end
          else if (IRG = 9) then
            begin
              FixNorth(42,6,7);
              GetCorrection(39,1,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(42,6,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(42,6,-2);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(42,6,-2);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-1);
              GetCorrection(39,2,4);
              GetCorrection(40,5,-4);
            end
          else if (IRG = 19) then
            begin
              FixNorth(42,6,8);
              GetCorrection(39,1,-10);
              GetCorrection(42,1,-5);
              GetCorrection(42,3,-6);
              GetCorrection(42,5,-5);
            end
          else if (IRG = 20) then
            begin
              FixNorth(42,6,1);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 21) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(42,6,-4);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 24) then
            begin
              FixNorth(42,6,-2);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 25) then
            begin
              FixNorth(42,6,-4);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 26) then
            begin
              FixNorth(42,6,-4);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 27) then
            begin
              FixNorth(42,6,-4);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 28) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 29) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end;
        end
      else if ((EWM = 'W6') and (IB = 10)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(38,6,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(38,6,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(38,6,-3);
            end;
        end
      else if ((EWM = 'W6') and (IB = 11)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(42,6,-3);
              GetCorrection(39,1,-3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(42,6,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(42,6,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 12)) then
        begin
          if (IRG = 2) then
            begin
              GetCorrection(43,1,-2);
              GetCorrection(44,2,-4);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(43,1,-2);
              GetCorrection(44,4,-4);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(44,2,-4);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(43,1,-4);
              GetCorrection(43,5,-4);
              GetCorrection(44,5,-5);
            end
          else if (IRG = 6) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(44,1,-5);
              GetCorrection(46,2,4);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(43,1,4);
              GetCorrection(43,6,-3);
              GetCorrection(45,6,5);
              GetCorrection(46,5,4);
            end
          else if (IRG = 8) then
            begin
              FixNorth(46,6,3);
              GetCorrection(43,1,2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(46,6,2);
              GetCorrection(43,1,-3);
              GetCorrection(43,5,-4);
            end
          else if (IRG = 10) then
            begin
              FixNorth(46,6,4);
              GetCorrection(43,1,9);
              GetCorrection(45,3,3);
              GetCorrection(46,1,4);
              GetCorrection(46,4,6);
            end
          else if (IRG = 11) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-6);
              GetCorrection(44,4,3);
              GetCorrection(45,3,4);
              GetCorrection(46,5,-4);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(43,1,8);
              GetCorrection(45,4,3);
              GetCorrection(46,1,7);
              GetCorrection(46,4,5);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(43,1,-4);
              GetCorrection(44,2,-4);
              GetCorrection(45,4,5);
            end
          else if (IRG = 14) then
            begin
              FixNorth(46,6,-9);
              GetCorrection(43,1,-1);
              GetCorrection(44,3,-4);
            end
          else if (IRG = 15) then
            begin
              FixNorth(46,6,4);
              GetCorrection(43,1,-3);
              GetCorrection(44,4,-9);
              GetCorrection(44,6,5);
            end
          else if (IRG = 16) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,-13);
              GetCorrection(44,5,-28);
            end
          else if (IRG = 17) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,-7);
              GetCorrection(43,4,-11);
              GetCorrection(44,6,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-1);
              GetCorrection(45,1,-2);
              GetCorrection(46,3,-6);
              GetCorrection(46,4,6);
              GetCorrection(46,5,-6);
            end
          else if (IRG = 19) then
            begin
              FixNorth(46,6,4);
              GetCorrection(43,1,4);
              GetCorrection(43,3,6);
            end
          else if (IRG = 20) then
            begin
              FixNorth(46,6,9);
              GetCorrection(43,1,-15);
              GetCorrection(44,1,7);
              GetCorrection(44,4,-6);
              GetCorrection(44,5,-25);
              GetCorrection(44,6,-12);
            end
          else if (IRG = 21) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(46,6,4);
              GetCorrection(43,1,3);
              GetCorrection(43,5,6);
              GetCorrection(46,5,4);
            end
          else if (IRG = 23) then
            begin
              FixNorth(46,6,3);
              GetCorrection(43,1,-13);
              GetCorrection(43,2,-13);
              GetCorrection(43,3,-7);
              GetCorrection(44,3,-6);
            end
          else if (IRG = 24) then
            begin
              FixNorth(46,6,4);
              GetCorrection(43,1,-10);
              GetCorrection(43,6,-7);
            end
          else if (IRG = 26) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(46,6,2);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(43,1,-8);
              GetCorrection(45,1,4);
            end
          else if (IRG = 29) then
            begin
              FixNorth(46,6,3);
              GetCorrection(43,1,3);
              GetCorrection(44,3,4);
              GetCorrection(45,3,3);
            end;
        end
      else if ((EWM = 'W5') and (IB = 12)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(46,6,3);
              GetCorrection(43,1,3);
              GetCorrection(44,3,4);
              GetCorrection(45,3,3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(46,6,1);
              GetCorrection(43,1,1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,1);
              GetCorrection(45,3,3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(46,6,2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(46,6,2);
              GetCorrection(43,1,4);
              GetCorrection(44,5,6);
              GetCorrection(45,5,4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,3);
              GetCorrection(44,1,5);
              GetCorrection(44,5,4);
            end
          else if (IRG = 7) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,-4);
              GetCorrection(45,6,-4);
            end
          else if (IRG = 9) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,8);
            end
          else if (IRG = 10) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(46,6,-1);
              GetCorrection(43,1,-2);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(43,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 16) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 18) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-4);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(43,1,9);
              GetCorrection(43,4,4);
              GetCorrection(44,1,5);
              GetCorrection(44,4,4);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(43,1,1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-4);
            end
          else if (IRG = 24) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-2);
              GetCorrection(46,1,3);
            end
          else if (IRG = 25) then
            begin
              FixNorth(46,6,2);
              GetCorrection(43,1,-4);
            end
          else if (IRG = 26) then
            begin
              FixNorth(46,6,-2);
              GetCorrection(43,1,-4);
            end
          else if (IRG = 27) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-4);
            end
          else if (IRG = 28) then
            begin
              FixNorth(46,6,2);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 29) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end;
        end
      else if ((EWM = 'W6') and (IB = 12)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(46,6,-4);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(46,6,-4);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(46,6,-3);
              GetCorrection(43,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(46,6,-3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(46,6,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(46,6,-3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(46,6,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(46,6,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 13)) then
        begin
          if (IRG = 6) then
            begin
              GetCorrection(47,1,-2);
              GetCorrection(47,5,4);
              GetCorrection(48,5,3);
              GetCorrection(49,2,-4);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(47,1,3);
              GetCorrection(47,6,3);
              GetCorrection(48,5,5);
            end
          else if (IRG = 9) then
            begin
              FixNorth(50,6,3);
              GetCorrection(47,1,2);
              GetCorrection(48,5,5);
            end
          else if (IRG = 10) then
            begin
//              FixNorth(50,6,2);
              FixNorth(50,6,-2);
              GetCorrection(47,1,4);
              GetCorrection(47,6,3);
              GetCorrection(48,4,5);
              GetCorrection(48,6,4);
            end
          else if (IRG = 11) then
            begin
              FixNorth(50,6,3);
              GetCorrection(47,1,-2);
              GetCorrection(48,3,4);
              GetCorrection(49,1,-4);
              GetCorrection(50,2,4);
            end
          else if (IRG = 12) then
            begin
              FixNorth(50,6,6);
              GetCorrection(48,2,4);
            end
          else if (IRG = 13) then
            begin
              FixNorth(50,6,17);
              GetCorrection(48,1,3);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(47,1,-10);
              GetCorrection(50,2,-12);
              GetCorrection(50,3,-9);
            end
          else if (IRG = 15) then
            begin
              FixNorth(50,6,5);
              GetCorrection(47,1,1);
              GetCorrection(50,5,5);
            end
          else if (IRG = 16) then
            begin
              FixNorth(50,6,1);
              GetCorrection(47,1,-1);
            end
          else if (IRG = 17) then
            begin
              GetCorrection(47,1,-1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(50,6,-6);
              GetCorrection(47,1,4);
            end
          else if (IRG = 20) then
            begin
              FixNorth(50,6,-8);
              GetCorrection(47,1,9);
              GetCorrection(48,5,5);
              GetCorrection(48,6,8);
              GetCorrection(49,6,6);
            end
          else if (IRG = 21) then
            begin
              FixNorth(50,6,-2);
              GetCorrection(47,1,-1);
              GetCorrection(49,5,10);
              GetCorrection(49,6,-10);
            end
          else if (IRG = 22) then
            begin
              FixNorth(50,6,-6);
              GetCorrection(47,1,4);
              GetCorrection(49,5,6);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(47,1,3);
              GetCorrection(49,6,6);
            end
          else if (IRG = 24) then
            begin
              FixNorth(50,6,-4);
              GetCorrection(47,1,4);
              GetCorrection(48,2,6);
              GetCorrection(48,5,4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(50,6,-4);
            end
          else if (IRG = 26) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,3);
              GetCorrection(47,6,5);
              GetCorrection(50,2,6);
            end
          else if (IRG = 28) then
            begin
              FixNorth(50,6,-6);
              GetCorrection(50,2,5);
            end
          else if (IRG = 29) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,3);
              GetCorrection(48,1,3);
              GetCorrection(49,6,4);
              GetCorrection(50,4,5);
            end;
        end
      else if ((EWM = 'W5') and (IB = 13)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,3);
              GetCorrection(48,1,3);
              GetCorrection(49,6,4);
              GetCorrection(50,4,5);
            end
          else if (IRG = 2) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,1);
              GetCorrection(48,3,-5);
              GetCorrection(50,1,5);
            end
          else if (IRG = 3) then
            begin
              FixNorth(50,6,7);
              GetCorrection(47,1,-1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(50,6,5);
              GetCorrection(47,1,2);
              GetCorrection(49,4,5);
            end
          else if (IRG = 5) then
            begin
              FixNorth(50,6,7);
              GetCorrection(47,1,2);
              GetCorrection(49,4,3);
              GetCorrection(50,3,4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(50,6,1);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(50,6,1);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(47,1,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(50,6,-6);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,-1);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(47,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 16) then
            begin
              FixNorth(50,6,4);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 18) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 19) then
            begin
              FixNorth(50,6,-1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(50,6,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(50,6,1);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(50,6,1);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 24) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,-2);
              GetCorrection(48,4,4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(50,6,2);
              GetCorrection(47,1,3);
              GetCorrection(48,6,5);
              GetCorrection(49,6,9);
            end
          else if (IRG = 26) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 27) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 28) then
            begin
              FixNorth(50,6,1);
              GetCorrection(47,1,5);
              GetCorrection(50,1,5);
              GetCorrection(50,3,7);
            end
          else if (IRG = 29) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,-3);
            end;
        end
      else if ((EWM = 'W6') and (IB = 13)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(50,6,-1);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-4);
            end
          else if (IRG = 4) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-4);
            end
          else if (IRG = 5) then
            begin
              FixNorth(50,6,-4);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(50,6,-3);
              GetCorrection(47,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(50,6,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(50,6,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(50,6,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(50,6,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(50,6,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 14)) then
        begin
          if (IRG = 2) then
            begin
              FixNorth(54,6,2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(54,6,4);
            end
          else if (IRG = 5) then
            begin
              FixNorth(54,6,2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(54,6,1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(54,6,1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(54,6,4);
            end
          else if (IRG = 9) then
            begin
              FixNorth(54,6,4);
              GetCorrection(51,1,2);
              GetCorrection(52,6,9);
            end
          else if (IRG = 10) then
            begin
{              FixNorth(54,6,5);
              GetCorrection(51,1,2);
              GetCorrection(52,2,9);
              GetCorrection(52,5,6);   }
              GetCorrection(51,1,-2);
              GetCorrection(51,5,5);
              GetCorrection(52,3,6);
              GetCorrection(52,5,5);
              GetCorrection(54,6,-11);
            end
          else if (IRG = 11) then
            begin
              FixNorth(54,6,-7);
              GetCorrection(51,1,3);
              GetCorrection(53,3,7);
            end
          else if (IRG = 12) then
            begin
              FixNorth(54,6,-2);
              GetCorrection(51,1,6);
              GetCorrection(52,2,17);
              GetCorrection(52,3,-10);
              GetCorrection(52,4,8);
              GetCorrection(53,3,5);
              GetCorrection(53,6,-3);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(51,1,16);
              GetCorrection(51,4,-3);
              GetCorrection(51,5,3);
              GetCorrection(52,3,4);
              GetCorrection(53,6,9);
              GetCorrection(54,2,-6);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(51,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(54,6,-1);
              GetCorrection(51,1,5);
              GetCorrection(54,1,3);
            end
          else if (IRG = 16) then
            begin
              FixNorth(54,6,3);
              GetCorrection(51,1,1);
              GetCorrection(53,6,5);
            end
          else if (IRG = 17) then
            begin
              FixNorth(54,6,6);
              GetCorrection(51,3,-7);
              GetCorrection(52,6,4);
              GetCorrection(54,1,5);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(51,1,-4);
              GetCorrection(54,1,-6);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(51,1,-6);
              GetCorrection(52,5,-4);
              GetCorrection(54,1,-5);
            end
          else if (IRG = 20) then
            begin
              FixNorth(54,6,3);
              GetCorrection(51,1,-9);
              GetCorrection(53,1,6);
              GetCorrection(53,4,4);
              GetCorrection(53,6,-14);
            end
          else if (IRG = 21) then
            begin
              FixNorth(54,6,4);
              GetCorrection(51,1,-1);
              GetCorrection(52,1,3);
              GetCorrection(54,1,6);
              GetCorrection(54,2,7);
              GetCorrection(54,3,9);
              GetCorrection(54,4,-32);
            end
          else if (IRG = 22) then
            begin
              FixNorth(54,6,-4);
              GetCorrection(51,1,-5);
              GetCorrection(53,2,-4);
              GetCorrection(53,4,-9);
              GetCorrection(53,6,11);
              GetCorrection(54,1,-4);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(52,2,2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-5);
              GetCorrection(53,1,-2);
              GetCorrection(54,1,-4);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(51,1,-4);
              GetCorrection(53,6,-6);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(51,1,-3);
              GetCorrection(52,5,4);
              GetCorrection(53,1,-6);
              GetCorrection(53,3,4);
              GetCorrection(53,6,-10);
            end
          else if (IRG = 27) then
            begin
              FixNorth(54,6,-1);
              GetCorrection(51,1,1);
              GetCorrection(51,6,17);
              GetCorrection(52,1,6);
              GetCorrection(53,1,-3);
              GetCorrection(53,4,-10);
              GetCorrection(53,6,-7);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(51,1,-2);
              GetCorrection(53,1,-4);
              GetCorrection(53,6,5);
            end
          else if (IRG = 29) then
            begin
              FixNorth(54,6,2);
              GetCorrection(51,1,2);
              GetCorrection(52,2,3);
              GetCorrection(54,1,3);
            end;
        end
      else if ((EWM = 'W5') and (IB = 14)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(54,6,2);
              GetCorrection(51,1,2);
              GetCorrection(52,2,3);
              GetCorrection(54,1,3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(54,6,-2);
              GetCorrection(51,1,-1);
              GetCorrection(52,2,-7);
              GetCorrection(52,3,11);
            end
          else if (IRG = 3) then
            begin
              FixNorth(54,6,-6);
              GetCorrection(51,1,7);
              GetCorrection(52,1,11);
              GetCorrection(52,3,7);
            end
          else if (IRG = 4) then
            begin
              FixNorth(54,6,-6);
              GetCorrection(51,1,5);
              GetCorrection(52,1,4);
              GetCorrection(52,3,5);
              GetCorrection(53,1,4);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(51,1,7);
              GetCorrection(52,2,6);
              GetCorrection(53,1,16);
              GetCorrection(53,4,-9);
              GetCorrection(54,5,5);
            end
          else if (IRG = 6) then
            begin
              FixNorth(54,6,-2);
              GetCorrection(51,1,2);
              GetCorrection(53,1,4);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(51,1,1);
              GetCorrection(54,1,4);
            end
          else if (IRG = 8) then
            begin
              FixNorth(54,6,-2);
              GetCorrection(51,1,1);
              GetCorrection(53,6,5);
            end
          else if (IRG = 9) then
            begin
              FixNorth(54,6,-1);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(51,1,-6);
              GetCorrection(54,1,-11);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(51,1,-1);
            end
          else if (IRG = 13) then
            begin
              FixNorth(54,6,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(54,6,-1);
              GetCorrection(51,1,2);
              GetCorrection(53,2,4);
            end
          else if (IRG = 15) then
            begin
              GetCorrection(51,1,2);
              GetCorrection(54,5,4);
            end
          else if (IRG = 16) then
            begin
              FixNorth(54,6,2);
              GetCorrection(51,1,4);
              GetCorrection(52,1,5);
              GetCorrection(54,3,6);
            end
          else if (IRG = 17) then
            begin
              FixNorth(54,6,1);
              GetCorrection(51,1,2);
              GetCorrection(53,2,7);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(51,1,2);
              GetCorrection(53,5,5);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(51,1,-1);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(51,1,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(54,6,-2);
              GetCorrection(51,1,-1);
            end
          else if (IRG = 22) then
            begin
              GetCorrection(51,1,1);
              GetCorrection(53,2,4);
            end
          else if (IRG = 23) then
            begin
              FixNorth(54,6,-2);
              GetCorrection(51,1,1);
              GetCorrection(52,5,4);
              GetCorrection(53,3,6);
            end
          else if (IRG = 24) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,3);
              GetCorrection(52,1,-3);
              GetCorrection(52,5,6);
              GetCorrection(53,3,6);
            end
          else if (IRG = 25) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,1);
              GetCorrection(52,4,5);
            end
          else if (IRG = 26) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-1);
              GetCorrection(51,5,5);
            end
          else if (IRG = 27) then
            begin
              FixNorth(54,6,-3);
            end
          else if (IRG = 29) then
            begin
              FixNorth(54,6,-1);
              GetCorrection(51,1,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 14)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(54,6,-1);
              GetCorrection(51,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(54,6,-3);
              GetCorrection(51,1,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 15)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(56,4,5);
            end
          else if (IRG = 2) then
            begin
              GetCorrection(55,1,2);
              GetCorrection(56,5,-3);
              GetCorrection(56,6,8);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(55,1,4);
              GetCorrection(55,5,4);
              GetCorrection(56,6,5);
              GetCorrection(58,2,-9);
              GetCorrection(58,4,7);
            end
          else if (IRG = 5) then
            begin
              FixNorth(58,6,2);
              GetCorrection(55,1,2);
              GetCorrection(56,5,3);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(55,1,1);
              GetCorrection(56,4,3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,1);
              GetCorrection(56,4,2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(58,6,-1);
              GetCorrection(55,1,3);
              GetCorrection(56,1,4);
              GetCorrection(56,5,5);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(55,1,4);
              GetCorrection(55,6,4);
              GetCorrection(57,2,5);
            end
          else if (IRG = 10) then
            begin
              FixNorth(58,6,-5);
//              GetCorrection(55,1,5);
              GetCorrection(55,3,4);
              GetCorrection(56,6,4);
              GetCorrection(57,2,4);
            end
          else if (IRG = 11) then
            begin
              FixNorth(58,6,-4);
              GetCorrection(55,1,-7);
              GetCorrection(56,2,4);
              GetCorrection(57,1,7);
              GetCorrection(57,2,-9);
              GetCorrection(57,6,5);
              GetCorrection(58,4,-8);
            end
          else if (IRG = 12) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,-2);
              GetCorrection(57,1,-3);
              GetCorrection(57,6,-4);
            end
          else if (IRG = 13) then
            begin
              FixNorth(58,6,1);
            end
          else if (IRG = 14) then
            begin
              FixNorth(58,6,-22);
            end
          else if (IRG = 15) then
            begin
              FixNorth(58,6,-1);
              GetCorrection(55,1,-1);
              GetCorrection(56,3,4);
              GetCorrection(57,3,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,3);
              GetCorrection(56,1,4);
              GetCorrection(57,4,4);
            end
          else if (IRG = 17) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,6);
              GetCorrection(56,1,6);
              GetCorrection(56,5,5);
              GetCorrection(57,4,6);
            end
          else if (IRG = 18) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-4);
              GetCorrection(57,2,-7);
            end
          else if (IRG = 19) then
            begin
              FixNorth(58,6,-4);
            end
          else if (IRG = 20) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,3);
            end
          else if (IRG = 21) then
            begin
              FixNorth(58,6,-4);
              GetCorrection(55,1,6);
              GetCorrection(57,6,6);
            end
          else if (IRG = 22) then
            begin
              GetCorrection(55,1,-4);
              GetCorrection(55,5,9);
              GetCorrection(56,1,-13);
              GetCorrection(57,1,5);
            end
          else if (IRG = 23) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-1);
              GetCorrection(56,1,-5);
              GetCorrection(57,5,5);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(55,1,-3);
              GetCorrection(56,2,-5);
              GetCorrection(57,6,4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(58,6,1);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(55,1,1);
              GetCorrection(56,1,-5);
              GetCorrection(57,5,-4);
            end
          else if (IRG = 28) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,2);
            end;
        end
      else if ((EWM = 'W5') and (IB = 15)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(58,6,-1);
              GetCorrection(55,1,-2);
              GetCorrection(55,5,-4);
            end
          else if (IRG = 3) then
            begin
              FixNorth(58,6,3);
              GetCorrection(55,1,-6);
              GetCorrection(55,4,-3);
              GetCorrection(57,4,-6);
              GetCorrection(58,1,7);
              GetCorrection(58,4,-6);
            end
          else if (IRG = 4) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-6);
              GetCorrection(57,2,-7);
            end
          else if (IRG = 5) then
            begin
              FixNorth(58,6,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(58,6,-1);
              GetCorrection(56,5,3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(58,6,-1);
            end
          else if (IRG = 11) then
            begin
              FixNorth(58,6,-1);
              GetCorrection(56,5,4);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(55,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(58,6,-1);
              GetCorrection(55,1,-1);
            end
          else if (IRG = 15) then
            begin
              FixNorth(58,6,2);
              GetCorrection(57,4,-3);
            end
          else if (IRG = 16) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,2);
              GetCorrection(55,2,-16);
              GetCorrection(55,3,17);
              GetCorrection(55,4,-14);
              GetCorrection(56,4,6);
            end
          else if (IRG = 17) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(58,6,-3);
            end
          else if (IRG = 20) then
            begin
              FixNorth(58,6,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(58,6,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 26) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 27) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 28) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 15)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(58,6,1);
              GetCorrection(55,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(58,6,-2);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(58,6,-3);
              GetCorrection(55,1,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 16)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(62,6,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(62,6,1);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(59,1,2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,6,4);
            end
          else if (IRG = 7) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,1);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(59,1,-1);
              GetCorrection(60,5,-4);
            end
          else if (IRG = 9) then
            begin
              FixNorth(62,6,2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(62,6,1);
              GetCorrection(59,1,-5);
              GetCorrection(60,1,-6);
            end
          else if (IRG = 11) then
            begin
              FixNorth(62,6,-4);
              GetCorrection(59,1,-4);
            end
          else if (IRG = 12) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,1);
            end
          else if (IRG = 13) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,1);
              GetCorrection(60,2,-4);
              GetCorrection(61,5,-5);
              GetCorrection(62,3,7);
            end
          else if (IRG = 14) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-22);
              GetCorrection(60,5,-44);
            end
          else if (IRG = 15) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-1);
            end
          else if (IRG = 16) then
            begin
              FixNorth(62,6,2);
              GetCorrection(59,1,1);
            end
          else if (IRG = 17) then
            begin
              FixNorth(62,6,1);
              GetCorrection(59,1,-3);
              GetCorrection(60,5,5);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(59,1,-3);
              GetCorrection(60,1,-5);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(59,1,-4);
              GetCorrection(59,5,-5);
            end
          else if (IRG = 20) then
            begin
              FixNorth(62,6,1);
              GetCorrection(59,1,-2);
              GetCorrection(60,1,-4);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(59,1,-4);
              GetCorrection(59,6,-5);
            end
          else if (IRG = 22) then
            begin
              FixNorth(62,6,-26);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(62,6,-25);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(62,6,-21);
              GetCorrection(61,2,-4);
            end
          else if (IRG = 25) then
            begin
              FixNorth(62,6,-4);
              GetCorrection(59,1,1);
              GetCorrection(60,4,-3);
            end
          else if (IRG = 26) then
            begin
              FixNorth(62,6,1);
              GetCorrection(60,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,3);
              GetCorrection(60,1,-3);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(59,1,1);
            end;
        end
      else if ((EWM = 'W5') and (IB = 16)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(59,1,1);
            end
          else if (IRG = 2) then
            begin
              GetCorrection(59,1,-1);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(59,1,3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,1);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(59,1,-1);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(59,1,1);
              GetCorrection(60,4,5);
            end
          else if (IRG = 9) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(59,1,-1);
            end
          else if (IRG = 11) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,-1);
            end
          else if (IRG = 12) then
            begin
              FixNorth(62,6,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(62,6,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-1);
            end
          else if (IRG = 15) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 17) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 19) then
            begin
              FixNorth(62,6,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(62,6,2);
              GetCorrection(59,1,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 26) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(62,6,-1);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 28) then
            begin
              FixNorth(62,6,2);
              GetCorrection(59,1,1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 16)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(62,6,2);
              GetCorrection(59,1,1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 4) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(62,6,-2);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(62,6,-3);
              GetCorrection(59,1,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 17)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(66,6,1);
              GetCorrection(63,1,1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(66,6,-1);
            end
          else if (IRG = 6) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(63,1,2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,1);
              GetCorrection(64,1,4);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(63,1,-4);
              GetCorrection(65,3,4);
            end
          else if (IRG = 12) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-1);
              GetCorrection(64,3,3);
              GetCorrection(65,6,4);
            end
          else if (IRG = 13) then
            begin
              FixNorth(66,6,1);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(63,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(66,6,-5);
              GetCorrection(63,1,2);
              GetCorrection(65,1,4);
            end
          else if (IRG = 17) then
            begin
              FixNorth(66,6,2);
              GetCorrection(63,1,1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(66,6,1);
              GetCorrection(63,1,1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 22) then
            begin
              FixNorth(66,6,-6);
              GetCorrection(63,1,-31);
              GetCorrection(65,1,-63);
            end
          else if (IRG = 23) then
            begin
              FixNorth(66,6,1);
              GetCorrection(63,1,-23);
              GetCorrection(65,1,-47);
            end
          else if (IRG = 24) then
            begin
              FixNorth(66,6,3);
              GetCorrection(63,1,-20);
              GetCorrection(65,1,-43);
            end
          else if (IRG = 25) then
            begin
              FixNorth(66,6,-2);
            end
          else if (IRG = 26) then
            begin
                FixNorth(66,6,1);
            end
          else if (IRG = 27) then
            begin
              FixNorth(66,6,3);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 28) then
            begin
              FixNorth(66,6,-1);
            end;
        end
      else if ((EWM = 'W5') and (IB = 17)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(66,6,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(66,6,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(66,6,-1);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(63,1,-1);
            end
          else if (IRG = 5) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 6) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(64,4,3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(64,4,3);
            end
          else if (IRG = 9) then
            begin
              FixNorth(66,6,-4);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(66,6,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 12) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 16) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,2);
            end
          else if (IRG = 21) then
            begin
              FixNorth(66,6,6);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(66,6,4);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 23) then
            begin
              FixNorth(66,6,-6);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 24) then
            begin
              FixNorth(66,6,-5);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 26) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 27) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-1);
            end
          else if (IRG = 28) then
            begin
              GetCorrection(63,1,2);
            end;
        end
      else if ((EWM = 'W6') and (IB = 17)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(63,1,2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(66,6,-1);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 5) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(66,6,-2);
              GetCorrection(63,1,-3);
            end
          else if (IRG = 15) then
            begin
              FixNorth(66,6,-3);
              GetCorrection(63,1,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 18)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              GetCorrection(67,1,-1);
              if ((ITP = 70) and (KR = 6)) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 6) and (ITP = 70)) then
                begin
                  FixSouth(iVal);
                end;
              FixNorth(70,6,-4);
            end
          else if (IRG = 2) then
            begin
              FixNorth(70,6,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 5) then
            begin
              FixNorth(70,6,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(70,6,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(70,6,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 11) then
            begin
              FixNorth(70,6,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 13) then
            begin
              FixNorth(70,6,3);
              GetCorrection(67,1,2);
              GetCorrection(69,5,6);
            end
          else if (IRG = 14) then
            begin
              FixNorth(70,6,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-3);
              GetCorrection(68,1,-6);
            end
          else if (IRG = 16) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-5);
              GetCorrection(68,5,-9);
            end
          else if (IRG = 17) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(70,6,-1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(70,6,1);
              GetCorrection(67,1,1);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(67,1,-6);
            end
          else if (IRG = 22) then
            begin
              FixNorth(70,6,1);
              GetCorrection(67,1,-5);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(67,1,2);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(67,1,7);
            end
          else if (IRG = 25) then
            begin
              FixNorth(70,6,1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 26) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,1);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(67,1,-12);
            end
          else if (IRG = 28) then
            begin
              FixNorth(70,6,2);
              GetCorrection(67,1,-1);
            end;
        end
      else if ((EWM = 'W5') and (IB = 18)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(70,6,2);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(70,6,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(70,6,-3);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 6) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-4);
            end
          else if (IRG = 10) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(70,6,-3);
              GetCorrection(67,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(70,6,7);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(70,6,8);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(70,6,-5);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(67,1,6);
            end
          else if (IRG = 22) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,4);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(67,1,-6);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(67,1,-5);
            end
          else if (IRG = 25) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 26) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(67,1,-3);
            end
          else if (IRG = 28) then
            begin
              FixNorth(70,6,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 18)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(70,6,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(70,6,1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(70,6,1);
              GetCorrection(67,1,-3);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(67,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-2);
              GetCorrection(69,6,3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(70,6,-1);
              GetCorrection(67,1,-3);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(67,1,-3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(70,6,-3);
              GetCorrection(67,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(70,6,-2);
              GetCorrection(67,1,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 19)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if (IB in [19,20,23,24,26]) then
                begin
                  GetCorrection(71,1,-4);
                  if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(74,6,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(74,6,2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(74,6,2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 11) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 13) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,3);
            end
          else if (IRG = 14) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(74,6,-1);
            end
          else if (IRG = 19) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(74,6,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,1);
            end
          else if (IRG = 23) then
            begin
              FixNorth(74,6,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(74,6,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 27) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,2);
              GetCorrection(71,5,4);
            end;
        end
      else if ((EWM = 'W5') and (IB = 19)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,2);
              GetCorrection(71,5,4);
            end
          else if (IRG = 2) then
            begin
              FixNorth(74,6,-3);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(74,6,-3);
              GetCorrection(71,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(71,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 9) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(74,6,-2);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(71,1,-1);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(71,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 16) then
            begin
              GetCorrection(71,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(74,6,1);
              GetCorrection(71,1,7);
            end
          else if (IRG = 18) then
            begin
              FixNorth(74,6,1);
              GetCorrection(71,1,8);
            end
          else if (IRG = 19) then
            begin
              FixNorth(74,6,1);
              GetCorrection(71,1,-5);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(71,1,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(74,6,-1);
            end
          else if (IRG = 22) then
            begin
              GetCorrection(71,1,-1);
            end
          else if (IRG = 24) then
            begin
              FixNorth(74,6,-1);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(71,1,-1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(71,1,-1);
            end
          else if (IRG = 27) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 19)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(74,6,1);
              GetCorrection(71,1,1);
            end
          else if (IRG = 4) then
            begin
              FixNorth(74,6,4);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 5) then
            begin
              FixNorth(74,6,2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 6) then
            begin
              FixNorth(74,6,-3);
              GetCorrection(71,1,1);
              GetCorrection(72,3,4);
            end
          else if (IRG = 7) then
            begin
              FixNorth(74,6,4);
            end
          else if (IRG = 8) then
            begin
              FixNorth(74,6,2);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 9) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(71,1,-1);
            end
          else if (IRG = 11) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(74,6,-1);
              GetCorrection(71,1,-1);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(71,1,-3);
            end
          else if (IRG = 15) then
            begin
              GetCorrection(71,1,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 20)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if (IB in [19,20,23,24,26]) then
                begin
                  GetCorrection(75,1,-3);
                  if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(78,6,-2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(78,6,1);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(78,6,2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(78,6,-3);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(78,6,2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 19) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 23) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(78,6,-1);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(75,1,-4);
            end
          else if (IRG = 27) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end;
        end
      else if ((EWM = 'W5') and (IB = 20)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(78,6,-1);
              GetCorrection(75,1,-3);
            end
          else if (IRG = 3) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(78,6,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(78,6,-3);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 12) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(78,6,1);
            end
          else if (IRG = 15) then
            begin
              FixNorth(78,6,-1);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 16) then
            begin
              FixNorth(78,6,-1);
            end
          else if (IRG = 17) then
            begin
              FixNorth(78,6,1);
              GetCorrection(75,1,1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(78,6,-2);
              GetCorrection(75,1,1);
            end
          else if (IRG = 19) then
            begin
              FixNorth(78,6,1);
              GetCorrection(75,1,1);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(75,1,-1);
            end
          else if (IRG = 23) then
            begin
              FixNorth(78,6,-1);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(75,1,-1);
            end
          else if (IRG = 25) then
            begin
              FixNorth(78,6,1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(75,1,2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(78,6,-5);
              GetCorrection(75,1,-1);
            end
        end
      else if ((EWM = 'W6') and (IB = 20)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(78,6,-5);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(78,6,-6);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(78,6,5);
              GetCorrection(75,1,1);
              GetCorrection(78,1,5);
            end
          else if (IRG = 4) then
            begin
              FixNorth(78,6,4);
              GetCorrection(75,1,4);
              GetCorrection(77,4,5);
              GetCorrection(78,1,5);
            end
          else if (IRG = 5) then
            begin
              FixNorth(78,6,2);
              GetCorrection(75,1,2);
              GetCorrection(77,6,4);
            end
          else if (IRG = 6) then
            begin
              FixNorth(78,6,5);
              GetCorrection(75,1,-3);
              GetCorrection(77,5,5);
              GetCorrection(78,2,-7);
            end
          else if (IRG = 7) then
            begin
              FixNorth(78,6,1);
              GetCorrection(75,1,4);
              GetCorrection(77,1,4);
              GetCorrection(77,4,5);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(75,1,2);
              GetCorrection(75,5,5);
            end
          else if (IRG = 9) then
            begin
              FixNorth(78,6,-3);
              GetCorrection(75,1,-1);
            end
          else if (IRG = 10) then
            begin
              FixNorth(78,6,1);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(75,1,-1);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(75,1,-1);
            end
          else if (IRG = 13) then
            begin
              FixNorth(78,6,3);
            end
        end
      else if ((EWM = 'W4') and (IB = 21)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if (IB in [21,25]) then
                begin
                  GetCorrection(79,1,-2);
                  if (not((ITP in [80,96]) and (KR > 4))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [81,97])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 5) and (ITP in [80,96])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [79,95])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(82,6,-3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(79,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(82,6,1);
              GetCorrection(79,1,1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(82,6,2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(82,6,1);
              GetCorrection(79,1,2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 21) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(79,1,-1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,-2);
            end;
        end
      else if ((EWM = 'W5') and (IB = 21)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(82,6,-8);
              GetCorrection(79,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(82,6,-3);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(82,6,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,1);
              GetCorrection(80,5,4);
            end
          else if (IRG = 15) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-1);
            end
          else if (IRG = 16) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,-1);
            end
          else if (IRG = 17) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,1);
              GetCorrection(80,2,4);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(79,1,-2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(82,6,1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(82,6,4);
            end
          else if (IRG = 23) then
            begin
              FixNorth(82,6,1);
              GetCorrection(79,1,-1);
            end
          else if (IRG = 25) then
            begin
              FixNorth(82,6,1);
              GetCorrection(79,1,1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,-1);
            end
          else if (IRG = 27) then
            begin
              FixNorth(82,6,1);
              GetCorrection(79,1,-5);
              GetCorrection(79,6,-7);
              GetCorrection(81,4,-4);
            end;
        end
      else if ((EWM = 'W6') and (IB = 21)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(82,6,1);
              GetCorrection(79,1,-5);
              GetCorrection(79,6,-7);
              GetCorrection(81,4,-4);
            end
          else if (IRG = 2) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,-6);
              GetCorrection(80,3,-7);
            end
          else if (IRG = 3) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,5);
              GetCorrection(79,6,4);
              GetCorrection(80,2,5);
              GetCorrection(80,4,6);
            end
          else if (IRG = 4) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,4);
              GetCorrection(79,6,4);
              GetCorrection(80,3,4);
            end
          else if (IRG = 5) then
            begin
              FixNorth(82,6,-2);
              GetCorrection(79,1,2);
              GetCorrection(80,4,6);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(79,1,5);
              GetCorrection(80,1,4);
              GetCorrection(80,5,3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(82,6,2);
              GetCorrection(79,1,1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(82,6,-1);
            end
          else if (IRG = 9) then
            begin
              FixNorth(82,6,-1);
              GetCorrection(79,1,-3);
            end
          else if (IRG = 10) then
            begin
              FixNorth(82,6,17);
              GetCorrection(79,1,1);
            end
          else if (IRG = 11) then
            begin
              FixNorth(82,6,20);
            end
          else if (IRG = 12) then
            begin
              FixNorth(82,6,-6);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(79,1,3);
              GetCorrection(81,6,6);
            end
          else if (IRG = 14) then
            begin
              FixNorth(82,6,-6);
            end;
        end
      else if ((EWM = 'W4') and (IB = 22)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if (IB = 22) then
                begin
                  GetCorrection(83,1,-3);
                  if (not((ITP = 84) and (KR > 1))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP = 85)) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 2) and (ITP = 84)) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP = 83)) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
              FixNorth(86,6,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(86,6,1);
              GetCorrection(83,1,1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(86,6,1);
              GetCorrection(83,1,-1);
            end
          else if (IRG = 9) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(86,6,-3);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(86,6,-4);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(83,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 16) then
            begin
              GetCorrection(83,1,2);
            end
          else if (IRG = 17) then
            begin
              GetCorrection(83,1,1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(86,6,2);
              GetCorrection(83,1,-1);
            end
          else if (IRG = 19) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 21) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(86,6,-1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(86,6,1);
              GetCorrection(83,1,-5);
            end
          else if (IRG = 27) then
            begin
              GetCorrection(83,1,-5);
            end;
        end
      else if ((EWM = 'W5') and (IB = 22)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(83,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-8);
            end
          else if (IRG = 3) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(86,6,1);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(86,6,1);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(86,6,1);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(83,1,-1);
            end
          else if (IRG = 20) then
            begin
              FixNorth(86,6,1);
              GetCorrection(83,1,1);
            end
          else if (IRG = 22) then
            begin
              FixNorth(86,6,-2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,1);
            end
          else if (IRG = 24) then
            begin
              FixNorth(86,6,1);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(83,1,1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(83,1,-2);
            end
          else if (IRG = 27) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,1);
              GetCorrection(84,1,-4);
              GetCorrection(86,1,3);
            end;
        end
      else if ((EWM = 'W6') and (IB = 22)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,1);
              GetCorrection(84,1,-4);
              GetCorrection(86,1,3);
            end
          else if (IRG = 2) then
            begin
              FixNorth(86,6,-3);
              GetCorrection(83,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-1);
            end
          else if (IRG = 5) then
            begin
              FixNorth(86,6,-1);
              GetCorrection(83,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(86,6,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-1);
            end
          else if (IRG = 9) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,-1);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(83,1,19);
              GetCorrection(83,6,37);
            end
          else if (IRG = 11) then
            begin
              FixNorth(86,6,-2);
              GetCorrection(83,1,20);
            end
          else if (IRG = 12) then
            begin
              FixNorth(86,6,-4);
              GetCorrection(83,1,-6);
            end
          else if (IRG = 13) then
            begin
              FixNorth(86,6,1);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(83,1,-6);
            end;
        end
      else if ((EWM = 'W4') and (IB = 23)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              GetCorrection(87,1,-1);
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
              FixNorth(90,6,1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(90,6,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,1);
            end
          else if (IRG = 8) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,1);
            end
          else if (IRG = 9) then
            begin
//              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-4);
            end
          else if (IRG = 12) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 13) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 14) then
            begin
              FixNorth(90,6,-1);
            end
          else if (IRG = 15) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 16) then
            begin
              FixNorth(90,6,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(90,6,-2);
            end
          else if (IRG = 18) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 21) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 22) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 23) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 24) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 25) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(87,1,-3);
            end
          else if (IRG = 27) then
            begin
              iVal := W5[IB];
              jVal := W5[28];
              if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
              if ((ITP = 90) and (Kr = 6)) then
                begin
                  iNorth := -jVal;
                  iLat := -jVal;
                end;
              if ((K = 1) and (KR = 6) and (ITP = 90)) then
                begin
                  FixSouth(iVal);
                end;
              FixNorth(90,6,2);
            end;
        end
      else if ((EWM = 'W5') and (IB = 23)) then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if ((ITP = 90) and (Kr = 6)) then
                begin
                  iNorth := -jVal;
                  iLat := -jVal;
                end;
              if ((K = 1) and (KR = 6) and (ITP = 90)) then
                begin
                  FixSouth(iVal);
                end;
              FixNorth(90,6,2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,1);
            end
          else if (IRG = 17) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(90,6,2);
              GetCorrection(87,1,1);
            end
          else if (IRG = 19) then
            begin
              FixNorth(90,6,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,-3);
            end
          else if (IRG = 21) then
            begin
              FixNorth(90,6,1);
            end
          else if (IRG = 22) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 23) then
            begin
//              FixNorth(90,6,-1);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 24) then
            begin
              FixNorth(90,6,1);
              GetCorrection(87,1,1);
            end
          else if (IRG = 25) then
            begin
              FixNorth(90,6,1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(90,6,1);
              GetCorrection(87,1,1)
            end
          else if (IRG = 27) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 23)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(90,6,-1);
              GetCorrection(87,1,-3);
              GetCorrection(88,3,7);
              GetCorrection(88,6,5);
              GetCorrection(89,1,-5);
              GetCorrection(89,4,-7);
            end
          else if (IRG = 3) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 6) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,-1);
            end
          else if (IRG = 7) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(90,6,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(90,6,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(90,6,-2);
              GetCorrection(87,1,-4);
            end
          else if (IRG = 13) then
            begin
              FixNorth(90,6,-3);
              GetCorrection(87,1,1);
            end
          else if (IRG = 14) then
            begin
              FixNorth(90,6,-3);
            end
        end
      else if ((EWM = 'W4') and (IB = 24)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              GetCorrection(91,1,1);
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end
          else if (IRG = 2) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 3) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 4) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 5) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 6) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 7) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 8) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 9) then
            begin
             FixNorth(94,6,-2);
//             GetCorrection(91,1,-2);
            end
          else if (IRG = 10) then
            begin
//             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 11) then
            begin
             FixNorth(94,6,-1);
             GetCorrection(91,1,-1);
            end
          else if (IRG = 12) then
            begin
             FixNorth(94,6,1);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 13) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-1);
            end
          else if (IRG = 14) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-1);
            end
          else if (IRG = 15) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-1);
            end
          else if (IRG = 16) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 17) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 18) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-1);
            end
          else if (IRG = 19) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 20) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 21) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 22) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 23) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 24) then
            begin
             FixNorth(94,6,-2);
             GetCorrection(91,1,-2);
            end
          else if (IRG = 25) then
            begin
             FixNorth(94,6,-4);
             GetCorrection(91,1,-3);
            end
          else if (IRG = 26) then
            begin
              iVal := W5[IB];
              jVal := W5[28];
              if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
              GetCorrection(91,1,-1);
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end
        end
      else if ((EWM = 'W5') and (IB = 24)) then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              GetCorrection(91,1,-1);
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
              FixNorth(94,6,-2);
            end
          else if (IRG = 2) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-1);
            end
          else if (IRG = 18) then
            begin
              FixNorth(94,6,1);
              GetCorrection(91,1,2);
            end
          else if (IRG = 19) then
            begin
              FixNorth(94,6,2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 20) then
            begin
              FixNorth(94,6,-1);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(91,1,1);
            end
          else if (IRG = 22) then
            begin
              FixNorth(94,6,-1);
              GetCorrection(91,1,-1);
            end
          else if (IRG = 23) then
            begin
              FixNorth(94,6,-1);
//             GetCorrection(91,1,-1);
            end
          else if (IRG = 24) then
            begin
              FixNorth(94,6,-1);
              GetCorrection(91,1,1);
            end
          else if (IRG = 25) then
            begin
              FixNorth(94,6,-3);
              GetCorrection(91,1,1);
            end
          else if (IRG = 26) then
            begin
              FixNorth(94,6,-1);
              GetCorrection(91,1,-1);
            end
        end
      else if ((EWM = 'W6') and (IB = 24)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(94,6,-1);
              GetCorrection(91,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-1);
            end
          else if (IRG = 3) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 6) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 7) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 8) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 11) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end
          else if (IRG = 12) then
            begin
              FixNorth(94,6,-3);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(94,6,-3);
              GetCorrection(91,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(94,6,-2);
              GetCorrection(91,1,-3);
            end;
        end
      else if ((EWM = 'W4') and (IB = 25)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if (IB in [21,25]) then
                begin
//                  GetCorrection(95,1,-2);
                  if (not((ITP in [80,96]) and (KR > 4))) then
                    begin
                      iNorth := -iVal;
                      iLat := -iVal;
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [81,97])) then
                    begin
                      FixSouth(iVal);
                    end;
                  if ((K = 1) and (KR = 5) and (ITP in [80,96])) then
                    begin
                      FixSouth(-iVal);
                    end;
                  if ((K = 1) and (KR = 1) and (ITP in [79,95])) then
                    begin
                      FixSouth(-kVal);
                    end;
                end;
//              FixNorth(98,6,0);
            end
          else if (IRG = 2) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 3) then
            begin
              FixNorth(98,6,-1);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 4) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 5) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 6) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 7) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 8) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 9) then
            begin
              FixNorth(98,6,1);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 10) then
            begin
//              FixNorth(98,6,0);
//              GetCorrection(95,1,0)
            end
          else if (IRG = 11) then
            begin
              FixNorth(98,6,1);
              GetCorrection(95,1,-1)
            end
          else if (IRG = 12) then
            begin
              FixNorth(98,6,-1);
              GetCorrection(95,1,1)
            end
          else if (IRG = 13) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 14) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 15) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 16) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 17) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 18) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 19) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 20) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 21) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 22) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 23) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 24) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2)
            end
          else if (IRG = 25) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-4)
            end
          else if (IRG = 26) then
            begin
              iVal := W5[IB];
              jVal := W5[28];
              if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
              GetCorrection(95,1,-2);
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
              FixNorth(98,6,-1);
            end;
        end
      else if ((EWM = 'W5') and (IB = 25)) then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              GetCorrection(95,1,-2);
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
              FixNorth(98,6,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(98,6,-3);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 13) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 15) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 16) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 17) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 18) then
            begin
//              FixNorth(98,6,0);
              GetCorrection(95,1,1);
            end
          else if (IRG = 19) then
            begin
//              FixNorth(98,6,0);
              GetCorrection(95,1,2);
            end
          else if (IRG = 20) then
            begin
//              FixNorth(98,6,0);
              GetCorrection(95,1,-1);
            end
          else if (IRG = 21) then
            begin
              FixNorth(98,6,-2);
//              GetCorrection(95,1,-1);
            end
          else if (IRG = 22) then
            begin
              FixNorth(98,6,-1);
              GetCorrection(95,1,-1);
            end
          else if (IRG = 23) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-1);
            end
          else if (IRG = 24) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-1);
            end
          else if (IRG = 25) then
            begin
              FixNorth(98,6,-1);
              GetCorrection(95,1,-3);
            end
          else if (IRG = 26) then
            begin
              FixNorth(98,6,-1);
              GetCorrection(95,1,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 25)) then
        begin
          if (IRG = 1) then
            begin
              FixNorth(98,6,-1);
              GetCorrection(95,1,-1);
            end
          else if (IRG = 2) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 3) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 4) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 5) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 6) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 7) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 8) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 9) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 10) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 11) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 12) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-3);
            end
          else if (IRG = 13) then
            begin
              FixNorth(98,6,-2);
              GetCorrection(95,1,-2);
            end
          else if (IRG = 14) then
            begin
              FixNorth(98,6,-3);
              GetCorrection(95,1,-2);
            end;
        end
      else if ((EWM = 'W4') and (IB = 26)) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
//              GetCorrection(99,1,0);
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end
          else if (IRG = 2) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(99,1,-1);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(99,1,1);
            end
          else if (IRG = 10) then
            begin
//              GetCorrection(99,1,0);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(99,1,1);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(99,1,-1);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 15) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 16) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 17) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 18) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 19) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 20) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 22) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(99,1,-4);
            end
          else if (IRG = 26) then
            begin
              iVal := W5[IB];
              jVal := W5[28];
              if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
              GetCorrection(99,1,-1);
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end;
        end
      else if ((EWM = 'W5') and (IB = 26)) then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              GetCorrection(99,1,-1);
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end
          else if (IRG = 2) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(99,1,-3);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 15) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 16) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 17) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 18) then
            begin
//              GetCorrection(99,1,0);
            end
          else if (IRG = 19) then
            begin
//              GetCorrection(99,1,0);
            end
          else if (IRG = 20) then
            begin
//              GetCorrection(99,1,0);
            end
          else if (IRG = 21) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 22) then
            begin
              GetCorrection(99,1,-1);
            end
          else if (IRG = 23) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 24) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 25) then
            begin
              GetCorrection(99,1,-1);
            end
          else if (IRG = 26) then
            begin
              GetCorrection(99,1,-1);
            end;
        end
      else if ((EWM = 'W6') and (IB = 26)) then
        begin
          if (IRG = 1) then
            begin
              GetCorrection(99,1,-1);
            end
          else if (IRG = 2) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 3) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 4) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 5) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 6) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 7) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 8) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 9) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 10) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 11) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 12) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 13) then
            begin
              GetCorrection(99,1,-2);
            end
          else if (IRG = 14) then
            begin
              GetCorrection(99,1,-3);
            end;
        end
      else if (EWM = 'W4') and (IB = 27) then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if ((ITP = 103) or ((ITP in [104,105]) and (KR < 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 105)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [104,105])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 103)) then
                begin
                  FixSouth(-kVal);
                end;
            end
          else if (IRG >= 26) then
            begin
              iVal := W5[IB];
              jVal := W5[28];
              if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
              if ((ITP = 106) and (KR = 6)) then
                begin
                  iNorth := -jVal;
                  iLat := -jVal;
                end
              else if (not((ITP = 104) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 105)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP = 106)) then
                begin
                  FixSouth(jVal-iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP = 104)) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 103)) then
                begin
                  FixSouth(-kVal);
                end;
            end;
        end
      else if (EWM = 'W5') and (IB = 27) then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if ((ITP = 106) and (KR = 6)) then
                begin
                  iNorth := -jVal;
                  iLat := -jVal;
                end
              else if (not((ITP = 104) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 105)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP = 106)) then
                begin
                  FixSouth(jVal-iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP = 104)) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 103)) then
                begin
                  FixSouth(-kVal);
                end;
            end
        end
      else if (EWM = 'W4') and (IB = 28)  then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG >= 25) then
            begin
              if ((K = 1) and (KR = 1) and (ITP = 107)) then
                begin
                  FixSouth(-iVal);
                end;
            end
        end
      else if (EWM = 'W5') and (IB = 28)  then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IRG = 1) then
            begin
              if ((K = 1) and (KR = 1) and (ITP = 107)) then
                begin
                  FixSouth(-iVal);
                end;
            end
        end;

{      else if (EWM = 'W4') then
        begin
          iVal := W4[IB];
          if (IB > 18) then kVal := W4[IB-1] else kVal := 0;
          if (IB = 27) then
            begin
              if ((ITP = 103) or ((ITP in [104,105]) and (KR < 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 105)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [104,105])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 103)) then
                begin
                  FixSouth(-kVal);
                end;
            end   }
{          else if (IB in [19,20,23,24,26]) then
            begin
              if (not((ITP in [72,76,88,92,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [73,77,89,93,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [72,76,88,92,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [71,75,87,91,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end  }
       {   else if (IB in [21,25]) then
            begin
              if (not((ITP in [80,96]) and (KR > 4))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [81,97])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 5) and (ITP in [80,96])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [79,95])) then
                begin
                  FixSouth(-kVal);
                end;
            end   }
{          else if (IB = 22) then
            begin
              if (not((ITP = 84) and (KR > 1))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 85)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 2) and (ITP = 84)) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 83)) then
                begin
                  FixSouth(-kVal);
                end;
            end;     }
{          else if (IB = 18) then
            begin
              if ((ITP = 70) and (KR = 6)) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 6) and (ITP = 70)) then
                begin
                  FixSouth(iVal);
                end;
            end;  }
//        end
{      else if (EWM = 'W5') then
        begin
          iVal := W5[IB];
          jVal := W5[28];
          if (IB > 23) then kVal := W5[IB-1] else kVal := 0;
          if (IB = 28) then
            begin
              if ((K = 1) and (KR = 1) and (ITP = 107)) then
                begin
                  FixSouth(-iVal);
                end;
            end
          else if (IB = 27) then
            begin
              if ((ITP = 106) and (KR = 6)) then
                begin
                  iNorth := -jVal;
                  iLat := -jVal;
                end
              else if (not((ITP = 104) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP = 105)) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP = 106)) then
                begin
                  FixSouth(jVal-iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP = 104)) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP = 103)) then
                begin
                  FixSouth(-kVal);
                end;
            end }
{          else if (IB in [24,25,26]) then
            begin
              if (not((ITP in [92,96,100]) and (KR = 6))) then
                begin
                  iNorth := -iVal;
                  iLat := -iVal;
                end;
              if ((K = 1) and (KR = 1) and (ITP in [93,97,101])) then
                begin
                  FixSouth(iVal);
                end;
              if ((K = 1) and (KR = 6) and (ITP in [92,96,100])) then
                begin
                  FixSouth(-iVal);
                end;
              if ((K = 1) and (KR = 1) and (ITP in [91,95,99])) then
                begin
                  FixSouth(-kVal);
                end;
            end      }
  {        else if (IB = 23) then
            begin
              if ((ITP = 90) and (Kr = 6)) then
                begin
                  iNorth := -jVal;
                  iLat := -jVal;
                end;
              if ((K = 1) and (KR = 6) and (ITP = 90)) then
                begin
                  FixSouth(iVal);
                end;
            end;  }
//        end;
      TNBDY := TNBDY+iNorth/FACT;
      TSBDY := TSBDY+iSouth/FACT;
      LAT := LAT+iLat/FACT;
      END;

{
C ***********************************************************
     }
      procedure DlsLon(GSPH:string; DLSIN:string;
        var STRRG:string; var IFLAG:integer);
{
C ***********************************************************
C
C     PURPOSE:  (1)Get Rge Longitude errors at Baseline.
C               (2)Get Closing Meridian Longitude error.
C
C     AUTHOR:     D. W. Lepard, 1992.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                       STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       DLSIN                                      STRING[16]
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244]
C         [7-8]   Range in [1..34]
C
C         [15]    DLS survey system in [0..5];
C
C     OUTPUT:
C       STRRG     Longitude error at start of      STRING[36]
C                   Rge, end of Rge, and at the
C                   closing meridian.
C       IFLAG     Error flag; 9000=error, 0=OK.    INTEGER
C
C ***********************************************************
     }
      var I,IB,IGS,IRG,ISS,ITP,J,K: INTEGER;
//      var I1,I2,JT: INTEGER;
{    }
      var DR,FACT,RA,RB: DOUBLE;
{    }
      var CH1: STRING;
      var EWM: STRING;
      var STRZ: STRING;
      var DLSOUT: STRING;
{    }
      label 6000,9000;
{    }
      BEGIN
      IFLAG := 9000;
      if ((Length(GSPH) < 3) or (Length(DLSIN) <> 16)) then goto 9000;
      STRZ  := '    0.000000';
      STRRG := STRZ+STRZ+STRZ;
{    }
      IGS   := 1;
      CH1   := UpperCase(GSPH[1]);
      IF (CH1 = 'S') THEN IGS := 3
        ELSE IF (CH1 <> 'N') THEN GOTO 9000;
      CH1  := UpperCase(GSPH[2]);
      IF (CH1 = 'W') THEN IGS := IGS+1
        ELSE IF (CH1 <> 'E') THEN GOTO 9000;
      CH1  := UpperCase(GSPH[3]);
      IF ((CH1 <> 'D') AND (CH1 <> 'M') AND (CH1 <> 'S')) THEN GOTO 9000;
{    }
      FACT  := 36000.0;
      IF (CH1 = 'M') THEN FACT  := 600.0;
      IF (CH1 = 'S') THEN FACT  := 10.0;
      IF ((IGS = 1) OR (IGS = 3)) THEN FACT  := -FACT;
{    }
      DLSOUT := UpperCase(DLSIN);
      EWM    := Copy(DLSOUT,2,2);
{    }
      IF (DLSOUT[1] <> '1') THEN GOTO 9000;
      IF ((EWM[1] <> 'E') AND (EWM[1] <> 'W'))
        THEN GOTO 9000;
      FOR I := 4 TO 8 DO
        IF ((DLSOUT[I] < '0') OR (DLSOUT[I] > '9'))
          THEN GOTO 9000;
      IF ((DLSOUT[15] < '0') or (DLSOUT[15] > '5'))
          THEN GOTO 9000;
{
C     RAILWAY SYSTEM 4
     }
      IF (DLSOUT[15] = '4') THEN BEGIN
        IF (EWM[1] <> 'W') THEN GOTO 9000;
        IF (EWM[2] < '5')  THEN GOTO 9000;
        IFLAG := 0;
        GOTO 9000
      END;
{
C     COASTAL SYSTEM 5
     }
      IF (DLSOUT[15] = '5') THEN BEGIN
        IF (EWM[2] <> '1') THEN GOTO 9000;
        IFLAG := 0;
        GOTO 9000
      END;
{    }
      ITP   := StrToInt(Copy(DLSOUT,4,3));
      IRG   := StrToInt(Copy(DLSOUT,7,2));
      ISS   := StrToInt(DLSOUT[15]);
      IF ((ITP < 0) OR (ITP > 244)) THEN GOTO 9000;
      IF ((IRG < 1) OR (IRG > 34))  THEN GOTO 9000;
{    }
      IB  := 1+((ITP+1) DIV 4);
//      JT  := (ITP+3)-(IB-1)*4;
//      I1  := IB;
//      I2  := IB;
//      IF (JT = 5) THEN I2  := I2+1;
//      IF ((JT = 2) OR (ITP < 2)) THEN I1  := I1-1;
      RA  := 0.0;
      DR  := 0.0;
      RB  := 0.0;
      I  :=  0;
{
C     FOR 'E1' BASE LINE
     }
      IF (EWM = 'E1') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 1) THEN BEGIN
          IF (K <= 1) THEN J := 6;
        END;
        IF (IB = 2) THEN BEGIN
          IF (K <= 1) THEN J := 9;
        END;
        IF ((IB = 3) OR (IB = 4) OR (IB = 5)) THEN BEGIN
          IF (K <= 1) THEN J := 6;
        END;
        IF (IB = 6) THEN BEGIN
          IF (K <= 1) THEN J := 8;
        END;
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT;
      GOTO 6000
      END;
{
C     FOR 'W1' BASE LINE
     }
      IF (EWM = 'W1') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 1) THEN BEGIN
          IF (K <= 29) THEN J  :=  6*K+(K DIV 3);
          IF ((K = 30) OR (K = 34)) THEN J  :=  192;
          IF ((K >= 31) AND (K <= 33)) THEN J  :=  319-4*K;
          IF (K >= 35) THEN J  :=  182
        END;
        IF (IB = 2) THEN BEGIN
          IF (K <= 29) THEN J  :=  9*K+(K DIV 2);
          IF ((K >= 30) AND (K <= 33)) THEN J  :=  14+9*K;
          IF (K >= 34) THEN J  :=  314
        END;
        IF (IB = 3) THEN BEGIN
          IF (K <= 29) THEN J  :=  6*K-(K DIV 3);
          IF ((K = 30) OR (K = 31)) THEN J  :=  51+4*K;
          IF (K >= 32) THEN J  :=  242-2*K
        END;
        IF (IB = 4) THEN BEGIN
          IF (K <= 29) THEN J  :=  6*K+(K DIV 3);
          IF (K >= 30) THEN J  :=  43+5*K
        END;
        IF (IB = 5) THEN BEGIN
          IF (K <= 29) THEN J  :=  6*K+(K DIV 3);
          IF ((K = 30) OR (K = 31)) THEN J  :=  100+3*K;
          IF (K >= 32) THEN J  :=  200
        END;
        IF (IB = 6) THEN BEGIN
          IF (K <= 30) THEN J  :=  8*K+(K DIV 2);
          IF ((K = 31) OR (K = 32)) THEN J  :=  -146+13*K;
          IF (K >= 33) THEN J  :=  283
        END;
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
      IF ((IB >= 1) AND (IB <= 3)) THEN J  :=  53;
      IF (IB = 4) THEN J  :=  49;
      IF (IB = 5) THEN J  :=  48;
      IF (IB = 6) THEN J  :=  42;
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT;
      GOTO 6000
      END;
{
C     FOR 'W2' BASE LINE
     }
      IF (EWM = 'W2') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 1) THEN BEGIN
          IF (K <= 3) THEN J  :=  53;
          IF (K = 4) THEN J  :=  47;
          IF ((K = 5) OR (K = 6)) THEN J  :=  42;
          IF ((K = 7) OR (K = 8)) THEN J  :=  34;
          IF ((K >= 9) AND (K <= 12)) THEN BEGIN
            IF (ISS < 3) THEN J  :=  28;
            IF (ISS = 3) THEN J  :=  42
          END;
          IF ((K = 13) OR (K = 15) OR (K = 16)) THEN J  :=  34;
          IF (K = 14) THEN J  :=  30;
          IF (K = 17) THEN J  :=  25;
          IF ((K >= 18) AND (K <= 22)) THEN J  :=  50-2*K;
          IF ((K >= 23) AND (K <= 28)) THEN J  :=  44-2*K;
          IF (K >= 29) THEN J  :=  -17
        END;
        IF (IB = 2) THEN BEGIN
          IF (K <= 1) THEN J  :=  53;
          IF ((K = 2) OR (K = 3)) THEN J  :=  50+3*K;
          IF ((K >= 4) AND (K <= 8)) THEN J  :=  67-2*K;
          IF ((K >= 9) AND (K <= 11)) THEN J  :=  58-K;
          IF ((K >= 12) AND (K <= 16)) THEN J  :=  70-2*K;
          IF ((K >= 17) AND (K <= 29)) THEN J  :=  104-4*K;
          IF (K >= 30) THEN J  :=  -14
        END;
        IF (IB = 3) THEN BEGIN
          IF (K <= 3) THEN J  :=  53;
          IF (K = 4) THEN J  :=  50;
          IF ((K >= 5) AND (K <= 17)) THEN J  :=  47-((K-3) DIV 6);
          IF ((K >= 18) AND (K <= 21)) THEN J  :=  43;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  106-3*K;
          IF ((K = 25) OR (K = 26)) THEN J  :=  32;
          IF (K = 27) THEN J  :=  37;
          IF ((K = 28) OR (K = 29)) THEN J  :=  -9+2*K;
          IF (K >= 30) THEN J  :=  51
        END;
        IF (IB = 4) THEN BEGIN
          IF (K <= 6) THEN J  :=  49;
          IF ((K >= 7) AND (K <= 9)) THEN J  :=  55-K;
          IF ((K >= 10) AND (K <= 19)) THEN J  :=  37+K;
          IF ((K >= 20) AND (K <= 23)) THEN J  :=  75-K;
          IF ((K >= 24) AND (K <= 28)) THEN J  :=  98-2*K;
          IF (K >= 29) THEN J  :=  40
        END;
        IF (IB = 5) THEN BEGIN
          IF (K <= 1) THEN J  :=  48;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  47;
          IF ((K >= 5) AND (K <= 8)) THEN J  :=  53-2*K+((K-1) DIV 2);
          IF ((K = 9) OR (K = 10)) THEN J  :=  47-K;
          IF ((K >= 11) AND (K <= 17)) THEN J  :=  56-2*(K-((K-3) DIV 5));
          IF ((K >= 18) AND (K <= 21)) THEN J  :=  33-(K DIV 2);
          IF ((K >= 22) AND (K <= 27)) THEN J  :=  29-((K-1) DIV 3);
          IF (K >= 28) THEN J  :=  20
        END;
        IF ((IB = 6) AND (ISS < 3)) THEN BEGIN
          IF (K <= 2) THEN J  :=  42;
          IF ((K >= 3) AND (K <= 6)) THEN J  :=  37+6*((K-1) DIV 3);
          IF ((K >= 7) AND (K <= 9)) THEN J  :=  22+6*((K-1) DIV 2);
          IF ((K = 10) OR (K = 11)) THEN J  :=  30+2*K;
          IF (K >= 12) THEN J  :=  54
        END;
        IF ((IB = 6) AND (ISS = 3)) THEN BEGIN
          IF (K <= 12) THEN J  :=  38+4*K;
          IF ((K >= 13) AND (K <= 21)) THEN J  :=  77+K;
          IF ((K = 22) OR (K = 23)) THEN J  :=  56+2*K;
          IF (K >= 24) THEN J  :=  104
        END;
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
      IF ((IB = 1) OR (IB = 2)) THEN J  :=  127;
      IF (IB = 3) THEN J  :=  23;
      IF (IB = 4) THEN J  :=  61;
      IF (IB = 5) THEN J  :=  50;
      IF (IB = 6) THEN J  :=  45;
      IF (IB = 7) THEN J  :=  40;
      IF (IB = 8) THEN J  :=  36;
      IF ((IB = 9) OR (IB = 10) OR (IB = 11)) THEN J := 33;
      IF ((IB = 12) OR (IB = 13)) THEN J := 30;
      IF ((IB = 14) OR (IB = 15)) THEN J := 33;
      IF (IB = 16) THEN J  :=  22;
      IF (IB = 17) THEN J  :=  28;
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT;
      GOTO 6000
      END;
{
C     FOR 'W3' BASE LINE
     }
      IF (EWM = 'W3') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 1) THEN BEGIN
          IF (K <= 1) THEN J  :=  127;
          IF ((K >= 2) AND (K <= 8)) THEN J  :=  136-4*K+((K+1) DIV 3);
          IF ((K = 9) OR (K = 10)) THEN J  :=  149-4*K;
          IF ((K = 11) OR (K = 14)) THEN J  :=  97;
          IF (K = 12) THEN J  :=  104;
          IF ((K = 13) OR (K = 15)) THEN J  :=  93;
          IF ((K >= 16) AND (K <= 18)) THEN J  :=  84;
          IF ((K = 19) OR (K = 21) OR (K = 25)) THEN J  :=  67;
          IF (K = 20) THEN J  :=  70;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  64;
          IF ((K >= 26) AND (K <= 29)) THEN J  :=  60;
          IF (K >= 30) THEN J  :=  55;
          if (K >= 31) then J := -24;
        END;
        IF (IB = 2) THEN BEGIN
          IF (K <= 1) THEN J  :=  127;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  129-2*K;
          IF ((K >= 6) AND (K <= 20)) THEN J  :=  135-3*K;
          IF ((K >= 21) AND (K <= 29)) THEN J  :=  115-2*K;
          IF (K >= 30) THEN J  :=  55;
          if (K >= 31) then J := -24;
        END;
        IF (IB = 3) THEN BEGIN
          IF (K <= 1) THEN J  :=  23;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  21+2*K;
          IF ((K >= 5) AND (K <= 9)) THEN J  :=  30;
          IF ((K >= 10) AND (K <= 13)) THEN J  :=  3+3*K;
          IF ((K >= 14) AND (K <= 24)) THEN J  :=  31+K;
          IF (K >= 25) THEN J  :=  56;
          if (K >= 31) then J := -25;
        END;
        IF (IB = 4) THEN BEGIN
          IF (K <= 7) THEN J  :=  61;
          IF ((K >= 8) AND (K <= 14)) THEN J  :=  60;
          IF ((K >= 15) AND (K <= 19)) THEN J  :=  57+((K-2) DIV 3);
          IF ((K >= 20) AND (K <= 29)) THEN J  :=  26+2*K-((K-2) DIV 6);
          IF (K >= 30) THEN J  :=  82;
          if (K >= 31) then J := -32;
        END;
        IF (IB = 5) THEN BEGIN
          IF (K <= 4) THEN J  :=  50;
          IF ((K >= 5) AND (K <= 7)) THEN J  :=  51;
          IF ((K >= 8) AND (K <= 12)) THEN J  :=  58-K;
          IF ((K >= 13) AND (K <= 19)) THEN J  :=  45;
          IF ((K >= 20) AND (K <= 22)) THEN J  :=  26+K;
          IF ((K >= 23) AND (K <= 28)) THEN J  :=  27+K;
          IF (K >= 29) THEN J  :=  56;
          if (K >= 31) then J := -26;
        END;
        IF (IB = 6) THEN BEGIN
          IF (K <= 2) THEN J  :=  45;
          IF ((K = 3) OR (K = 4)) THEN J  :=  43+K;
          IF ((K >= 5) AND (K <= 11)) THEN J  :=  48;
          IF ((K = 12) OR (K = 13)) THEN J  :=  70-2*K;
          IF ((K >= 14) AND (K <= 22)) THEN J  :=  39;
          IF ((K >= 23) AND (K <= 28)) THEN J  :=  75-2*K+((K+1) DIV 3);
          IF (K >= 29) THEN J  :=  27;
          if (K >= 30) then J := -25;
        END;
        IF (IB = 7) THEN BEGIN
          IF (K <= 6) THEN J  :=  40;
          IF ((K >= 7) AND (K <= 12)) THEN J  :=  52-2*K;
          IF ((K = 13) OR (K = 14)) THEN J  :=  77-4*K;
          IF ((K >= 15) AND (K <= 18)) THEN J  :=  52-5*((K-1) DIV 2);
          IF ((K >= 19) AND (K <= 23)) THEN J  :=  8;
          IF ((K >= 24) AND (K <= 28)) THEN J  :=  21-2*(K DIV 3);
          IF (K >= 29) THEN J  :=  0;
          if (K >= 30) then J := -23;
        END;
        IF (IB = 8) THEN BEGIN
          IF (K <= 3) THEN J  :=  36;
          IF (K = 4) THEN J  :=  31;
          IF ((K >= 5) AND (K <= 7)) THEN J  :=  36-2*K;
          IF ((K = 8) OR (K = 9)) THEN J  :=  29-K;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  19;
          IF (K = 13) THEN J  :=  21;
          IF ((K = 14) OR (K = 15)) THEN J  :=  105-5*K;
          IF ((K >= 16) AND (K <= 19)) THEN J  :=  25;
          IF ((K >= 20) AND (K <= 22)) THEN J  :=  -14+2*K;
          IF ((K >= 23) AND (K <= 26)) THEN J  :=  7+K;
          IF (K >= 27) THEN J  :=  34;
          if (K >= 30) then J := -24;
        END;
        IF (IB = 9) THEN BEGIN
          IF ((K <= 2) OR (K = 4) OR (K = 8)) THEN J  :=  33;
          IF (K = 3) THEN J  :=  35;
          IF ((K >= 5) AND (K <= 7)) THEN J  :=  31;
          IF ((K >= 9) AND (K <= 14)) THEN J  :=  8+3*K;
          IF ((K = 15) OR (K = 16)) THEN J  :=  55;
          IF ((K >= 17) AND (K <= 19)) THEN J  :=  -12+4*K;
          IF (K = 20) THEN J  :=  66;
          IF ((K >= 21) AND (K <= 25)) THEN J  :=  4+3*K;
          IF ((K = 26) OR (K = 27)) THEN J  :=  -50+5*K;
          IF (K = 28) THEN J  :=  98;
          IF (K >= 29) THEN J  :=  100;
          if (K >= 30) then J := -27;
        END;
        IF (IB = 10) THEN BEGIN
          IF (K <= 1) THEN J  :=  33;
          IF ((K >= 3) AND (K <= 5)) THEN J  :=  32-K;
          IF (K = 6) THEN J  :=  24;
          IF ((K >= 7) AND (K <= 11)) THEN J  :=  29-K;
          IF ((K >= 12) AND (K <= 17)) THEN J  :=  17;
          IF (K >= 18) THEN J  :=  16;
          if (K >= 30) then J := -27;
        END;
        IF ((IB = 11) AND (ISS < 3)) THEN BEGIN
          IF (K <= 1) THEN J  :=  33;
          IF (K >= 2) THEN J  :=  30
        END;
        IF ((IB = 11) AND (ISS = 3)) THEN BEGIN
          IF (K <= 1) THEN J  :=  33;
          IF (K = 2) THEN J  :=  32;
          IF ((K >= 3) AND (K <= 9)) THEN J  :=  31;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  40-K;
          IF ((K >= 13) AND (K <= 15)) THEN J  :=  52-2*K;
          IF ((K >= 16) AND (K <= 18)) THEN J  :=  106-6*K;
          IF ((K >= 19) AND (K <= 24)) THEN J  :=  53-3*K;
          IF ((K = 25) OR (K = 26)) THEN J  :=  244-11*K;
          IF (K >= 27) THEN J  :=  -35-K;
          if (K >= 29) then J := -27;
        END;
        IF ((IB = 12) AND (ISS < 3)) THEN BEGIN
          IF (K <= 1) THEN J  :=  30;
          IF (K >= 2) THEN J  :=  40-10*K
        END;
        IF ((IB = 12) AND (ISS = 3)) THEN BEGIN
          IF (K <= 1) THEN J  :=  30;
          IF ((K >= 2) AND (K <= 10)) THEN J  :=  50;
          IF ((K >= 11) AND (K <= 14)) THEN J  :=  30+K;
          IF ((K >= 15) AND (K <= 19)) THEN J  :=  3*K;
          IF ((K >= 20) AND (K <= 22)) THEN J  :=  -20+4*K;
          IF ((K >= 23) AND (K <= 25)) THEN J  :=  -18+4*K;
          IF (K >= 26) THEN J  :=  -36+4*K;
          if (K >= 29) then J := -4;
        END;
        IF ((IB = 13) AND (ISS < 3)) THEN BEGIN
          IF (K <= 1) THEN J  :=  30;
          IF (K >= 2) THEN J  :=  20
        END;
        IF ((IB = 13) AND (ISS = 3)) THEN BEGIN
//          IF (K <= 7) THEN J  :=  16;                  //New Dec/99  047-01W3A
          IF (K <= 2) THEN J  :=  30;                    //New Dec/99     had
          IF ((K > 2) AND (K <= 7)) THEN J  :=  16;      //New Dec/99   0 width
          IF (K = 8) THEN J  :=  -40;
          IF ((K >= 9) AND (K <= 11)) THEN J  :=  5-7*K;
          IF (K = 12) THEN J  :=  -75;
          IF ((K >= 13) AND (K <= 21)) THEN J  :=  100-3*K;
          IF (K >= 22) THEN J  :=  91-(K DIV 2);
          if (K >= 29) then J := -5;
        END;
        IF (IB = 14) THEN BEGIN
          IF (K <= 5) THEN J  :=  33;
          IF ((K >= 6) AND (K <= 14)) THEN J  :=  92-K;
          IF ((K = 15) OR (K = 16)) THEN J  :=  35+3*K;
          IF ((K >= 17) AND (K <= 21)) THEN J  :=  72;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  175-5*K;
          IF ((K = 25) OR (K = 26)) THEN J  :=  -7+3*K;
          IF (K >= 27) THEN J  :=  74;
          if (K >= 29) then J := -6;
        END;
        IF (IB = 15) THEN BEGIN
          IF (K <= 1) THEN J  :=  33;
          IF ((K >= 2) AND (K <= 7)) THEN J  :=  15+18*K;
          IF ((K >= 8) AND (K <= 22)) THEN J  :=  167-3*K;
          IF ((K >= 23) AND (K <= 26)) THEN J  :=  214-5*K;
          IF (K >= 27) THEN J  :=  79;
          if (K >= 28) then J := -6;
        END;
        IF (IB = 16) THEN BEGIN
          IF (K <= 5) THEN J  :=  22;
          IF ((K >= 6) AND (K <= 13)) THEN J  :=  27-K;
          IF ((K = 14) OR (K = 15)) THEN J  :=  73-4*K;
          IF ((K >= 16) AND (K <= 21)) THEN J  :=  -7+K;
          IF ((K >= 22) AND (K <= 25)) THEN J  :=  -18+3*(K DIV 2);
          IF (K = 26) THEN J  :=  14;
          IF (K >= 27) THEN J  :=  10;
          if (K >= 28) then J := -5;
        END;
        IF (IB = 17) THEN BEGIN
          IF (K <= 3) THEN J  :=  28;
          IF ((K >= 4) AND (K <= 6)) THEN J  :=  27;
          IF ((K >= 7) AND (K <= 13)) THEN J  :=  26;
          IF ((K >= 14) AND (K <= 16)) THEN J  :=  2*K;
          IF ((K = 17) OR (K = 18)) THEN J  :=  33;
          IF ((K >= 19) AND (K <= 23)) THEN J  :=  41-(K DIV 2);
          IF ((K >= 24) AND (K <= 26)) THEN J  :=  53-K;
          IF (K >= 27) THEN J  :=  26;
          if (K >= 28) then J := -4;
        END;
        IF (IB = 18) THEN BEGIN
          if (K >= 28) then J := -3;
        END;
        IF (IB = 19) THEN BEGIN
          if (K >= 28) then J := -3;
        END;
        IF (IB = 20) THEN BEGIN
          if (K >= 27) then J := -3;
        END;
        IF (IB = 21) THEN BEGIN
          if (K >= 27) then J := -2;
        END;
        IF (IB = 22) THEN BEGIN
          if (K >= 27) then J := -1;
        END;
        IF (IB = 23) THEN BEGIN
          if (K >= 27) then J := 0;
        END;
        IF (IB = 24) THEN BEGIN
          if (K >= 26) then J := 1;
        END;
        IF (IB = 25) THEN BEGIN
          if (K >= 26) then J := 3;
        END;
        IF (IB = 26) THEN BEGIN
          if (K >= 26) then J := 5;
        END;
        IF (IB = 27) THEN BEGIN
          if (K >= 26) then J := 5;
        END;
        IF (IB = 28) THEN BEGIN
          if (K >= 25) then J := 7;
        END;
        IF (IB = 29) THEN BEGIN
          if (K >= 25) then J := 8;
        END;
        IF (IB = 30) THEN BEGIN
          if (K >= 25) then J := 8;
        END;
        IF (IB = 31) THEN BEGIN
          if (K >= 25) then J := 9;
        END;
        IF (IB = 32) THEN BEGIN
          if (K >= 24) then J := 12;
        END;
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
{      IF ((IB >= 1) AND (IB <= 3)) THEN J  :=  -25;
      IF (IB = 4) THEN J  :=  -28;
      IF ((IB = 5) OR (IB = 6)) THEN J  :=  -26;
      IF ((IB = 7) OR (IB = 8)) THEN J  :=  -24;
      IF ((IB = 9) OR (IB = 10)) THEN J  :=  -27;
      IF (IB = 11) THEN J  :=  -26;
      IF (IB = 12) THEN J  :=  -5;
      IF (IB = 13) THEN J  :=  1;
      IF ((IB = 14) OR (IB = 15)) THEN J  :=  -6;
      IF (IB = 16) THEN J  :=  -7;
      IF (IB = 17) THEN J  :=  -4;
      IF ((IB = 18) OR (IB = 19)) THEN J  :=  -5;
      IF (IB = 20) THEN J  :=  -4;
      IF (IB = 21) THEN J  :=  -3;
      IF (IB = 22) THEN J  :=  -2;
      IF (IB = 23) THEN J  :=  -1;
      IF (IB = 24) THEN J  :=  1;
      IF (IB = 25) THEN J  :=  3;
      IF ((IB = 26) OR (IB = 27)) THEN J  :=  4;
//      IF ((IB >= 28) AND (IB <= 32)) THEN J  :=  5;     }
      if (IB = 1) then J := -24;                                                //dwl 21Aug2013
      if (IB = 2) then J := -24;                                                //dwl 14Aug2013
      if (IB = 3) then J := -25;                                                //dwl 30Aug2013
      if (IB = 4) then J := -32;                                                //dwl 11Sep2013
      if (IB = 5) then J := -26;                                                //dwl 14Sep2013
      if (IB = 6) then J := -25;                                                //dwl 19Sep2013
      if (IB = 7) then J := -23;                                                //dwl 25Sep2013
      if (IB = 8) then J := -24;                                                //dwl 08Oct2013
      if (IB = 9) then J := -27;                                                //dwl 16Oct2013
      if (IB = 10) then J := -27;                                               //dwl 29Oct2013
      if ((IB = 11) and (ISS = 3)) then J := -27;                               //dwl 14Nov2013
      if ((IB = 12) and (ISS = 3)) then J := -4;                                //dwl 13Dec2013
      if ((IB = 13) and (ISS = 3)) then J := -5;                                //dwl 25Jan2014
      if (IB = 14) then J := -6;                                                //dwl 17Apr2014
      if (IB = 15) then J := -6;                                                //dwl 11Jun2014
      if (IB = 16) then J := -5;                                                //dwl 11Jul2014
      if (IB = 17) then J := -4;                                                //dwl 28Jul2014
      if (IB = 18) then J := -3;                                                //dwl 08Aug2014
      if (IB = 19) then J := -3;                                                //dwl 19Aug2014
      if (IB = 20) then J := -3;                                                //dwl 02Sep2014
      if (IB = 21) then J := -2;                                                //dwl 11Sep2014
      if (IB = 22) then J := -1;                                                //dwl 30Sep2014
      if (IB = 23) then J := 0;                                                 //dwl 17Oct2014
      if (IB = 24) then J := 1;                                                 //dwl 20Nov2014
      if (IB = 25) then J := 3;                                                 //dwl 18Jan2015
      if (IB = 26) then J := 5;                                                 //dwl 12Jul2013
      if (IB = 27) then J := 5;                                                 //dwl 12Jul2013
      if (IB = 28) then J := 7;                                                 //dwl 11Jul2013
      if (IB = 29) then J := 8;                                                 //dwl 10Jul2013
      if (IB = 30) then J := 8;                                                 //dwl 09Jul2013
      if (IB = 31) then J := 9;                                                 //dwl 08Jul2013
      if (IB = 32) then J := 12;                                                //dwl 05Jun2013
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT;
      GOTO 6000
      END;
{
C     FOR 'W4' BASE LINE
     }
      IF (EWM = 'W4') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 1) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -25;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  13+K;
          IF ((K >= 6) AND (K <= 9)) THEN J  :=  5-K;
          IF ((K = 5) OR (K = 10)) THEN J  :=  8;
          IF ((K >= 11) AND (K <= 13)) THEN J  :=  43-4*K;
          IF ((K = 14) OR (K = 15)) THEN J  :=  -147+9*K;
          IF ((K >= 16) AND (K <= 18)) THEN J  :=  -16;
          IF ((K >= 19) AND (K <= 24)) THEN J  :=  30-3*K;
          IF (K = 25) THEN J  :=  -172;
          IF ((K >= 26) AND (K <= 29)) THEN J  :=  -288+4*K;
          IF (K >= 30) THEN J  :=  -984+28*K;         }
          if (K <= 1) then J := -24;                                            //dwl 21Aug2013
          if (K = 2) then J := 15;                                              //dwl 21Aug2013
          if (K = 3) then J := 18;                                              //dwl 21Aug2013
          if (K = 4) then J := 17;                                              //dwl 21Aug2013
          if (K = 5) then J := 9;                                               //dwl 21Aug2013
          if (K = 6) then J := 2;                                               //dwl 21Aug2013
          if (K = 7) then J := -1;                                              //dwl 21Aug2013
          if (K = 8) then J := -3;                                              //dwl 21Aug2013
          if (K = 9) then J := -4;                                              //dwl 21Aug2013
          if (K = 10) then J := 7;                                              //dwl 21Aug2013
          if (K = 11) then J := 0;                                              //dwl 21Aug2013
          if (K = 12) then J := -5;                                             //dwl 21Aug2013
          if (K = 13) then J := -9;                                             //dwl 21Aug2013
          if (K = 14) then J := -17;                                            //dwl 21Aug2013
          if (K = 15) then J := -12;                                            //dwl 21Aug2013
          if (K = 16) then J := -17;                                            //dwl 21Aug2013
          if (K = 17) then J := -15;                                            //dwl 21Aug2013
          if (K = 18) then J := -17;                                            //dwl 21Aug2013
          if (K = 19) then J := -30;                                            //dwl 21Aug2013
          if (K = 20) then J := -14;                                            //dwl 21Aug2013
          if (K = 21) then J := -34;                                            //dwl 21Aug2013
          if (K = 22) then J := -36;                                            //dwl 21Aug2013
          if (K = 23) then J := -36;                                            //dwl 21Aug2013
          if (K = 24) then J := -45;                                            //dwl 21Aug2013
          if (K = 25) then J := -179;                                           //dwl 21Aug2013
          if (K = 26) then J := -182;                                           //dwl 22Aug2013
          if (K = 27) then J := -170;                                           //dwl 22Aug2013
          if (K = 28) then J := -161;                                           //dwl 22Aug2013
          if (K = 29) then J := -170;                                           //dwl 22Aug2013
          if (K = 30) then J := -198;                                           //dwl 22Aug2013
          if (K >= 31) then J := -66;                                           //dwl 22Aug2013
        END;
        IF (IB = 2) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -25;
          IF ((K >= 2) AND (K <= 7)) THEN J  :=  28-4*K;
          IF ((K >= 8) AND (K <= 20)) THEN J  :=  30-3*K;
          IF ((K >= 21) AND (K <= 24)) THEN J  :=  6-2*K;
          IF (K >= 25) THEN J  :=  -222+2*K;           }
          if (K <= 1) then J := -24;                                            //dwl 14Aug2013
          if (K = 2) then J := 19;                                              //dwl 14Aug2013
          if (K = 3) then J := 17;                                              //dwl 14Aug2013
          if (K = 4) then J := 15;                                              //dwl 14Aug2013
          if (K = 5) then J := 6;                                               //dwl 14Aug2013
          if (K = 6) then J := 8;                                               //dwl 14Aug2013
          if (K = 7) then J := 3;                                               //dwl 14Aug2013
          if (K = 8) then J := 3;                                               //dwl 14Aug2013
          if (K = 9) then J := 2;                                               //dwl 14Aug2013
          if (K = 10) then J := 2;                                              //dwl 14Aug2013
          if (K = 11) then J := -3;                                             //dwl 14Aug2013
          if (K = 12) then J := -6;                                             //dwl 14Aug2013
          if (K = 13) then J := -9;                                             //dwl 14Aug2013
          if (K = 14) then J := -13;                                            //dwl 14Aug2013
          if (K = 15) then J := -16;                                            //dwl 14Aug2013
          if (K = 16) then J := -20;                                            //dwl 14Aug2013
          if (K = 17) then J := -21;                                            //dwl 14Aug2013
          if (K = 18) then J := -25;                                            //dwl 14Aug2013
          if (K = 19) then J := -28;                                            //dwl 14Aug2013
          if (K = 20) then J := -29;                                            //dwl 14Aug2013
          if (K = 21) then J := -35;                                            //dwl 14Aug2013
          if (K = 22) then J := -39;                                            //dwl 14Aug2013
          if (K = 23) then J := -43;                                            //dwl 14Aug2013
          if (K = 24) then J := -34;                                            //dwl 14Aug2013
          if (K = 25) then J := -175;                                           //dwl 14Aug2013
          if (K = 26) then J := -177;                                           //dwl 14Aug2013
          if (K = 27) then J := -169;                                           //dwl 14Aug2013
          if (K = 28) then J := -163;                                           //dwl 14Aug2013
          if (K = 29) then J := -169;                                           //dwl 14Aug2013
          if (K = 30) then J := -152;                                           //dwl 14Aug2013
          if (K >= 31) then J := -67;                                           //dwl 14Aug2013
        END;
        IF (IB = 3) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -25;
          IF (K = 2) THEN J  :=  -29;
          IF ((K >= 3) AND (K <= 5)) THEN J  :=  -33;
          IF ((K >= 6) AND (K <= 8)) THEN J  :=  -13-5*K;
          IF ((K >= 9) AND (K <= 13)) THEN J  :=  -58;
          IF ((K >= 14) AND (K <= 20)) THEN J  :=  -32-2*K;
          IF ((K = 21) OR (K = 22)) THEN J  :=  -350+8*K;
          IF ((K = 23) OR (K = 24)) THEN J  :=  -422+10*K;
          IF (K = 25) THEN J  :=  -177;
          IF (K >= 26) THEN J  :=  -224+2*K;          }
          if (K <= 1) then J := -25;                                            //dwl 30Aug2013
          if (K = 2) then J := -26;                                             //dwl 30Aug2013
          if (K = 3) then J := -39;                                             //dwl 30Aug2013
          if (K = 4) then J := -30;                                             //dwl 30Aug2013
          if (K = 5) then J := -42;                                             //dwl 30Aug2013
          if (K = 6) then J := -44;                                             //dwl 30Aug2013
          if (K = 7) then J := -48;                                             //dwl 30Aug2013
          if (K = 8) then J := -51;                                             //dwl 30Aug2013
          if (K = 9) then J := -58;                                             //dwl 30Aug2013
          if (K = 10) then J := -57;                                            //dwl 30Aug2013
          if (K = 11) then J := -57;                                            //dwl 30Aug2013
          if (K = 12) then J := -58;                                            //dwl 30Aug2013
          if (K = 13) then J := -58;                                            //dwl 30Aug2013
          if (K = 14) then J := -64;                                            //dwl 30Aug2013
          if (K = 15) then J := -61;                                            //dwl 30Aug2013
          if (K = 16) then J := -63;                                            //dwl 30Aug2013
          if (K = 17) then J := -63;                                            //dwl 30Aug2013
          if (K = 18) then J := -64;                                            //dwl 30Aug2013
          if (K = 19) then J := -74;                                            //dwl 30Aug2013
          if (K = 20) then J := -71;                                            //dwl 30Aug2013
          if (K = 21) then J := -172;                                           //dwl 30Aug2013
          if (K = 22) then J := -172;                                           //dwl 30Aug2013
          if (K = 23) then J := -194;                                           //dwl 30Aug2013
          if (K = 24) then J := -187;                                           //dwl 30Aug2013
          if (K = 25) then J := -177;                                           //dwl 30Aug2013
          if (K = 26) then J := -174;                                           //dwl 30Aug2013
          if (K = 27) then J := -168;                                           //dwl 30Aug2013
          if (K = 28) then J := -159;                                           //dwl 30Aug2013
          if (K = 29) then J := -161;                                           //dwl 30Aug2013
          if (K = 30) then J := -166;                                           //dwl 30Aug2013
          if (K >= 31) then J := -58;                                           //dwl 30Aug2013
        END;
        IF (IB = 4) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -28;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  -30;
          IF ((K >= 6) AND (K <= 9)) THEN J  :=  -43;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  -47;
          IF ((K >= 13) AND (K <= 19)) THEN J  :=  -65+K;
          IF ((K >= 20) AND (K <= 24)) THEN J  :=  -45;
          IF (K >= 25) THEN J  :=  -201+K;            }
          if (K <= 1) then J := -32;                                            //dwl 11Sep2013
          if (K = 2) then J := -30;                                             //dwl 11Sep2013
          if (K = 3) then J := -29;                                             //dwl 11Sep2013
          if (K = 4) then J := -32;                                             //dwl 11Sep2013
          if (K = 5) then J := -27;                                             //dwl 11Sep2013
          if (K = 6) then J := -40;                                             //dwl 11Sep2013
          if (K = 7) then J := -41;                                             //dwl 11Sep2013
          if (K = 8) then J := -38;                                             //dwl 11Sep2013
          if (K = 9) then J := -49;                                             //dwl 11Sep2013
          if (K = 10) then J := -45;                                            //dwl 11Sep2013
          if (K = 11) then J := -50;                                            //dwl 11Sep2013
          if (K = 12) then J := -50;                                            //dwl 11Sep2013
          if (K = 13) then J := -55;                                            //dwl 11Sep2013
          if (K = 14) then J := -51;                                            //dwl 11Sep2013
          if (K = 15) then J := -55;                                            //dwl 11Sep2013
          if (K = 16) then J := -53;                                            //dwl 11Sep2013
          if (K = 17) then J := -48;                                            //dwl 11Sep2013
          if (K = 18) then J := -46;                                            //dwl 11Sep2013
          if (K = 19) then J := -46;                                            //dwl 11Sep2013
          if (K = 20) then J := -43;                                            //dwl 11Sep2013
          if (K = 21) then J := -45;                                            //dwl 11Sep2013
          if (K = 22) then J := -47;                                            //dwl 11Sep2013
          if (K = 23) then J := -44;                                            //dwl 11Sep2013
          if (K = 24) then J := -41;                                            //dwl 11Sep2013
          if (K = 25) then J := -179;                                           //dwl 11Sep2013
          if (K = 26) then J := -177;                                           //dwl 11Sep2013
          if (K = 27) then J := -173;                                           //dwl 11Sep2013
          if (K = 28) then J := -167;                                           //dwl 11Sep2013
          if (K = 29) then J := -165;                                           //dwl 11Sep2013
          if (K = 30) then J := -177;                                           //dwl 11Sep2013
          if (K >= 31) then J := -49;                                           //dwl 11Sep2013
        END;
        IF (IB = 5) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -26;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -22-4*K;
          IF ((K >= 5) AND (K <= 24)) THEN J  :=  -30-2*K;
          IF (K >= 25) THEN J  :=  -323+5*K;         }
          if (K <= 1) then J := -26;                                            //dwl 14Sep2013
          if (K = 2) then J := -30;                                             //dwl 14Sep2013
          if (K = 3) then J := -32;                                             //dwl 14Sep2013
          if (K = 4) then J := -40;                                             //dwl 14Sep2013
          if (K = 5) then J := -43;                                             //dwl 14Sep2013
          if (K = 6) then J := -52;                                             //dwl 14Sep2013
          if (K = 7) then J := -49;                                             //dwl 14Sep2013
          if (K = 8) then J := -49;                                             //dwl 14Sep2013
          if (K = 9) then J := -50;                                             //dwl 14Sep2013
          if (K = 10) then J := -51;                                            //dwl 14Sep2013
          if (K = 11) then J := -50;                                            //dwl 14Sep2013
          if (K = 12) then J := -54;                                            //dwl 14Sep2013
          if (K = 13) then J := -53;                                            //dwl 14Sep2013
          if (K = 14) then J := -68;                                            //dwl 14Sep2013
          if (K = 15) then J := -54;                                            //dwl 14Sep2013
          if (K = 16) then J := -61;                                            //dwl 14Sep2013
          if (K = 17) then J := -66;                                            //dwl 14Sep2013
          if (K = 18) then J := -73;                                            //dwl 14Sep2013
          if (K = 19) then J := -64;                                            //dwl 14Sep2013
          if (K = 20) then J := -69;                                            //dwl 14Sep2013
          if (K = 21) then J := -72;                                            //dwl 14Sep2013
          if (K = 22) then J := -73;                                            //dwl 14Sep2013
          if (K = 23) then J := -75;                                            //dwl 14Sep2013
          if (K = 24) then J := -77;                                            //dwl 14Sep2013
          if (K = 25) then J := -196;                                           //dwl 14Sep2013
          if (K = 26) then J := -191;                                           //dwl 14Sep2013
          if (K = 27) then J := -187;                                           //dwl 14Sep2013
          if (K = 28) then J := -182;                                           //dwl 14Sep2013
          if (K = 29) then J := -178;                                           //dwl 14Sep2013
          if (K = 30) then J := -173;                                           //dwl 14Sep2013
          if (K >= 31) then J := -48;                                           //dwl 14Sep2013
        END;
        IF (IB = 6) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -26;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  -23-3*K;
          IF ((K >= 6) AND (K <= 11)) THEN J  :=  -29-2*K;
          IF ((K >= 12) AND (K <= 19)) THEN J  :=  -53;
          IF (K = 20) THEN J  :=  -51;
          IF ((K >= 21) AND (K <= 25)) THEN J  :=  -49;
          IF (K >= 26) THEN J  :=  1-2*K;              }
          if (K <= 1) then J := -25;                                            //dwl 19Sep2013
          if (K = 2) then J := -32;                                             //dwl 19Sep2013
          if (K = 3) then J := -38;                                             //dwl 19Sep2013
          if (K = 4) then J := -38;                                             //dwl 19Sep2013
          if (K = 5) then J := -39;                                             //dwl 19Sep2013
          if (K = 6) then J := -41;                                             //dwl 19Sep2013
          if (K = 7) then J := -44;                                             //dwl 19Sep2013
          if (K = 8) then J := -46;                                             //dwl 19Sep2013
          if (K = 9) then J := -42;                                             //dwl 19Sep2013
          if (K = 10) then J := -53;                                            //dwl 19Sep2013
          if (K = 11) then J := -61;                                            //dwl 19Sep2013
          if (K = 12) then J := -61;                                            //dwl 19Sep2013
          if (K = 13) then J := -54;                                            //dwl 19Sep2013
          if (K = 14) then J := -53;                                            //dwl 19Sep2013
          if (K = 15) then J := -54;                                            //dwl 19Sep2013
          if (K = 16) then J := -52;                                            //dwl 19Sep2013
          if (K = 17) then J := -52;                                            //dwl 19Sep2013
          if (K = 18) then J := -55;                                            //dwl 19Sep2013
          if (K = 19) then J := -50;                                            //dwl 19Sep2013
          if (K = 20) then J := -53;                                            //dwl 19Sep2013
          if (K = 21) then J := -54;                                            //dwl 19Sep2013
          if (K = 22) then J := -53;                                            //dwl 19Sep2013
          if (K = 23) then J := -53;                                            //dwl 19Sep2013
          if (K = 24) then J := -53;                                            //dwl 19Sep2013
          if (K = 25) then J := -50;                                            //dwl 19Sep2013
          if (K = 26) then J := -49;                                            //dwl 19Sep2013
          if (K = 27) then J := -52;                                            //dwl 19Sep2013
          if (K = 28) then J := -50;                                            //dwl 19Sep2013
          if (K = 29) then J := -63;                                            //dwl 19Sep2013
          if (K >= 30) then J := -48;                                           //dwl 19Sep2013
        END;
        IF (IB = 7) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -24;
          IF ((K = 2) OR (K = 3)) THEN J  :=  -22-2*K;
          IF ((K >= 4) AND (K <= 9)) THEN J  :=  -26-K;
          IF ((K >= 10) AND (K <= 16)) THEN J  :=  -36;
          IF ((K >= 17) AND (K <= 19)) THEN J  :=  -4-2*K;
          IF ((K >= 20) AND (K <= 25)) THEN J  :=  -24-K;
          IF (K >= 26) THEN J  :=  2-2*K;           }
          if (K <= 1) then J := -23;                                            //dwl 25Sep2013
          if (K = 2) then J := -28;                                             //dwl 25Sep2013
          if (K = 3) then J := -28;                                             //dwl 25Sep2013
          if (K = 4) then J := -29;                                             //dwl 25Sep2013
          if (K = 5) then J := -31;                                             //dwl 25Sep2013
          if (K = 6) then J := -29;                                             //dwl 25Sep2013
          if (K = 7) then J := -30;                                             //dwl 25Sep2013
          if (K = 8) then J := -31;                                             //dwl 25Sep2013
          if (K = 9) then J := -35;                                             //dwl 25Sep2013
          if (K = 10) then J := -35;                                            //dwl 25Sep2013
          if (K = 11) then J := -36;                                            //dwl 26Sep2013
          if (K = 12) then J := -34;                                            //dwl 26Sep2013
          if (K = 13) then J := -34;                                            //dwl 26Sep2013
          if (K = 14) then J := -35;                                            //dwl 26Sep2013
          if (K = 15) then J := -34;                                            //dwl 26Sep2013
          if (K = 16) then J := -36;                                            //dwl 26Sep2013
          if (K = 17) then J := -35;                                            //dwl 26Sep2013
          if (K = 18) then J := -41;                                            //dwl 26Sep2013
          if (K = 19) then J := -42;                                            //dwl 26Sep2013
          if (K = 20) then J := -42;                                            //dwl 26Sep2013
          if (K = 21) then J := -44;                                            //dwl 26Sep2013
          if (K = 22) then J := -44;                                            //dwl 26Sep2013
          if (K = 23) then J := -45;                                            //dwl 27Sep2013
          if (K = 24) then J := -49;                                            //dwl 27Sep2013
          if (K = 25) then J := -51;                                            //dwl 27Sep2013
          if (K = 26) then J := -51;                                            //dwl 27Sep2013
          if (K = 27) then J := -49;                                            //dwl 27Sep2013
          if (K = 28) then J := -50;                                            //dwl 27Sep2013
          if (K = 29) then J := -55;                                            //dwl 27Sep2013
          if (K >= 30) then J := -47;                                           //dwl 27Sep2013
        END;
        IF (IB = 8) THEN BEGIN
{          IF (K <= 8) THEN J  :=  -24;
          IF ((K = 9) OR (K = 10)) THEN J  :=  -40+2*K;
          IF ((K >= 11) AND (K <= 13)) THEN J  :=  -29+K;
          IF ((K >= 14) AND (K <= 17)) THEN J  :=  -15;
          IF ((K >= 18) AND (K <= 21)) THEN J  :=  2-K;
          IF ((K >= 22) AND (K <= 26)) THEN J  :=  -9;
          IF (K >= 27) THEN J  :=  -35+K;            }
          if (K <= 1) then J := -24;                                            //dwl 08Oct2013
          if (K = 2) then J := -24;                                             //dwl 08Oct2013
          if (K = 3) then J := -23;                                             //dwl 08Oct2013
          if (K = 4) then J := -23;                                             //dwl 08Oct2013
          if (K = 5) then J := -24;                                             //dwl 08Oct2013
          if (K = 6) then J := -24;                                             //dwl 08Oct2013
          if (K = 7) then J := -26;                                             //dwl 08Oct2013
          if (K = 8) then J := -26;                                             //dwl 08Oct2013
          if (K = 9) then J := -18;                                             //dwl 08Oct2013
          if (K = 10) then J := -20;                                            //dwl 08Oct2013
          if (K = 11) then J := -18;                                            //dwl 08Oct2013
          if (K = 12) then J := -18;                                            //dwl 08Oct2013
          if (K = 13) then J := -19;                                            //dwl 08Oct2013
          if (K = 14) then J := -15;                                            //dwl 08Oct2013
          if (K = 15) then J := -14;                                            //dwl 08Oct2013
          if (K = 16) then J := -15;                                            //dwl 08Oct2013
          if (K = 17) then J := -12;                                            //dwl 08Oct2013
          if (K = 18) then J := -12;                                            //dwl 08Oct2013
          if (K = 19) then J := -16;                                            //dwl 08Oct2013
          if (K = 20) then J := -18;                                            //dwl 08Oct2013
          if (K = 21) then J := -20;                                            //dwl 08Oct2013
          if (K = 22) then J := -6;                                             //dwl 08Oct2013
          if (K = 23) then J := -9;                                             //dwl 08Oct2013
          if (K = 24) then J := -8;                                             //dwl 08Oct2013
          if (K = 25) then J := -5;                                             //dwl 08Oct2013
          if (K = 26) then J := -7;                                             //dwl 08Oct2013
          if (K = 27) then J := -8;                                             //dwl 08Oct2013
          if (K = 28) then J := -7;                                             //dwl 08Oct2013
          if (K = 29) then J := -3;                                             //dwl 08Oct2013
          if (K >= 30) then J := -47;                                           //dwl 08Oct2013
        END;
        IF (IB = 9) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -27;
          IF ((K >= 2) AND (K <= 9)) THEN J  :=  -29+2*K;
          IF ((K >= 10) AND (K <= 13)) THEN J  :=  -19+K;
          IF ((K >= 14) AND (K <= 19)) THEN J  :=  -5;
          IF ((K = 20) OR (K = 21)) THEN J  :=  14-K;
          IF ((K >= 22) AND (K <= 26)) THEN J  :=  -8;
          IF (K >= 27) THEN J  :=  -34+K;            }
          if (K <= 1) then J  :=  -27;                                          //dwl 16Oct2013
          if (K = 2) then J  :=  -24;                                           //dwl 16Oct2013
          if (K = 3) then J  :=  -22;                                           //dwl 16Oct2013
          if (K = 4) then J  :=  -20;                                           //dwl 16Oct2013
          if (K = 5) then J  :=  -20;                                           //dwl 16Oct2013
          if (K = 6) then J  :=  -21;                                           //dwl 16Oct2013
          if (K = 7) then J  :=  -18;                                           //dwl 16Oct2013
          if (K = 8) then J  :=  -16;                                           //dwl 16Oct2013
          if (K = 9) then J  :=  -14;                                           //dwl 16Oct2013
          if (K = 10) then J  :=  -13;                                          //dwl 16Oct2013
          if (K = 11) then J  :=  -10;                                          //dwl 16Oct2013
          if (K = 12) then J  :=  -8;                                           //dwl 16Oct2013
          if (K = 13) then J  :=  -6;                                           //dwl 16Oct2013
          if (K = 14) then J  :=  -7;                                           //dwl 16Oct2013
          if (K = 15) then J  :=  -10;                                          //dwl 16Oct2013
          if (K = 16) then J  :=  -6;                                           //dwl 16Oct2013
          if (K = 17) then J  :=  -7;                                           //dwl 16Oct2013
          if (K = 18) then J  :=  -4;                                           //dwl 16Oct2013
          if (K = 19) then J  :=  -3;                                           //dwl 16Oct2013
          if (K = 20) then J  :=  -7;                                           //dwl 16Oct2013
          if (K = 21) then J  :=  -6;                                           //dwl 16Oct2013
          if (K = 22) then J  :=  -8;                                           //dwl 16Oct2013
          if (K = 23) then J  :=  -9;                                           //dwl 16Oct2013
          if (K = 24) then J  :=  -8;                                           //dwl 16Oct2013
          if (K = 25) then J  :=  -7;                                           //dwl 16Oct2013
          if (K = 26) then J  :=  -9;                                           //dwl 16Oct2013
          if (K = 27) then J  :=  -8;                                           //dwl 16Oct2013
          if (K = 28) then J  :=  -6;                                           //dwl 16Oct2013
          if (K = 29) then J  :=  -7;                                           //dwl 16Oct2013
          if (K >= 30) then J  :=  -46;                                         //dwl 16Oct2013
        END;
        IF (IB = 10) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -27;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -29+2*K;
          IF ((K >= 5) AND (K <= 9)) THEN J  :=  -20;
          IF ((K >= 10) AND (K <= 16)) THEN J  :=  -38+2*K;
          IF ((K >= 17) AND (K <= 19)) THEN J  :=  -54+3*K;
          IF ((K >= 20) AND (K <= 23)) THEN J  :=  6;
          IF ((K = 24) OR (K = 25)) THEN J  :=  52-2*K;
          IF (K = 26) THEN J  :=  -1;
          IF (K >= 27) THEN J  :=  -4;                 }
          if (K <= 1) then J := -27;                                            //dwl 29Oct2013
          if (K = 2) then J := -24;                                             //dwl 29Oct2013
          if (K = 3) then J := -20;                                             //dwl 29Oct2013
          if (K = 4) then J := -21;                                             //dwl 29Oct2013
          if (K = 5) then J := -17;                                             //dwl 29Oct2013
          if (K = 6) then J := -19;                                             //dwl 29Oct2013
          if (K = 7) then J := -20;                                             //dwl 29Oct2013
          if (K = 8) then J := -17;                                             //dwl 29Oct2013
          if (K = 9) then J := -15;                                             //dwl 29Oct2013
          if (K = 10) then J := -18;                                            //dwl 29Oct2013
          if (K = 11) then J := -15;                                            //dwl 29Oct2013
          if (K = 12) then J := -13;                                            //dwl 29Oct2013
          if (K = 13) then J := -11;                                            //dwl 29Oct2013
          if (K = 14) then J := -11;                                            //dwl 29Oct2013
          if (K = 15) then J := -9;                                             //dwl 29Oct2013
          if (K = 16) then J := -6;                                             //dwl 29Oct2013
          if (K = 17) then J := -3;                                             //dwl 29Oct2013
          if (K = 18) then J := 0;                                              //dwl 29Oct2013
          if (K = 19) then J := 2;                                              //dwl 29Oct2013
          if (K = 20) then J := 6;                                              //dwl 29Oct2013
          if (K = 21) then J := 8;                                              //dwl 30Oct2013
          if (K = 22) then J := 7;                                              //dwl 30Oct2013
          if (K = 23) then J := 4;                                              //dwl 30Oct2013
          if (K = 24) then J := 12;                                             //dwl 30Oct2013
          if (K = 25) then J := 5;                                              //dwl 30Oct2013
          if (K = 26) then J := -1;                                             //dwl 30Oct2013
          if (K = 27) then J := -3;                                             //dwl 30Oct2013
          if (K = 28) then J := -3;                                             //dwl 30Oct2013
          if (K >= 29) then J := -44;                                           //dwl 30Oct2013
        END;
        IF (IB = 11) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -26;
          IF (K = 2) THEN J  :=  -24;
          IF ((K >= 3) AND (K <= 8)) THEN J  :=  -23;
          IF (K = 9) THEN J  :=  -25;
          IF ((K >= 10) AND (K <= 13)) THEN J  :=  -27;
          IF ((K >= 14) AND (K <= 16)) THEN J  :=  -40+K;
          IF ((K >= 17) AND (K <= 23)) THEN J  :=  -8-K;
          IF (K >= 24) THEN J  :=  -32;                }
          if (K <= 1) then J := -27;                                            //dwl 14Nov2013
          if (K = 2) then J := -26;                                             //dwl 14Nov2013
          if (K = 3) then J := -23;                                             //dwl 14Nov2013
          if (K = 4) then J := -21;                                             //dwl 14Nov2013
          if (K = 5) then J := -22;                                             //dwl 14Nov2013
          if (K = 6) then J := -22;                                             //dwl 14Nov2013
          if (K = 7) then J := -23;                                             //dwl 14Nov2013
          if (K = 8) then J := -21;                                             //dwl 14Nov2013
          if (K = 9) then J := -23;                                             //dwl 14Nov2013
          if (K = 10) then J := -24;                                            //dwl 14Nov2013
          if (K = 11) then J := -28;                                            //dwl 14Nov2013
          if (K = 12) then J := -27;                                            //dwl 14Nov2013
          if (K = 13) then J := -27;                                            //dwl 14Nov2013
          if (K = 14) then J := -26;                                            //dwl 14Nov2013
          if (K = 15) then J := -24;                                            //dwl 14Nov2013
          if (K = 16) then J := -25;                                            //dwl 14Nov2013
          if (K = 17) then J := -24;                                            //dwl 14Nov2013
          if (K = 18) then J := -23;                                            //dwl 14Nov2013
          if (K = 19) then J := -25;                                            //dwl 14Nov2013
          if (K = 20) then J := -28;                                            //dwl 14Nov2013
          if (K = 21) then J := -27;                                            //dwl 14Nov2013
          if (K = 22) then J := -31;                                            //dwl 14Nov2013
          if (K = 23) then J := -29;                                            //dwl 14Nov2013
          if (K = 24) then J := -32;                                            //dwl 14Nov2013
          if (K = 25) then J := -31;                                            //dwl 14Nov2013
          if (K = 26) then J := -32;                                            //dwl 14Nov2013
          if (K = 27) then J := -31;                                            //dwl 14Nov2013
          if (K = 28) then J := -35;                                            //dwl 14Nov2013
          if (K >= 29) then J := -43;                                           //dwl 14Nov2013
        END;
        IF (IB = 12) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -5;
          IF (K = 2) THEN J  :=  -64;
          IF ((K >= 3) AND (K <= 13)) THEN J  :=  -63+K;
          IF ((K >= 14) AND (K <= 16)) THEN J  :=  -76+2*K;
          IF ((K >= 17) AND (K <= 19)) THEN J  :=  -56+K;
          IF ((K >= 20) AND (K <= 22)) THEN J  :=  -55+K;
          IF ((K >= 23) AND (K <= 26)) THEN J  :=  -37;
          IF ((K = 27) OR (K = 28)) THEN J  :=  65-4*K;
          IF (K >= 28) THEN J  :=  -50;           }
          if (K <= 1) then J := -4;                                             //dwl 13Dec2013
          if (K = 2) then J := -65;                                             //dwl 13Dec2013
          if (K = 3) then J := -60;                                             //dwl 13Dec2013
          if (K = 4) then J := -56;                                             //dwl 13Dec2013
          if (K = 5) then J := -59;                                             //dwl 13Dec2013
          if (K = 6) then J := -59;                                             //dwl 13Dec2013
          if (K = 7) then J := -57;                                             //dwl 13Dec2013
          if (K = 8) then J := -58;                                             //dwl 13Dec2013
          if (K = 9) then J := -54;                                             //dwl 13Dec2013
          if (K = 10) then J := -53;                                            //dwl 13Dec2013
          if (K = 11) then J := -52;                                            //dwl 13Dec2013
          if (K = 12) then J := -53;                                            //dwl 13Dec2013
          if (K = 13) then J := -48;                                            //dwl 13Dec2013
          if (K = 14) then J := -49;                                            //dwl 13Dec2013
          if (K = 15) then J := -49;                                            //dwl 13Dec2013
          if (K = 16) then J := -43;                                            //dwl 13Dec2013
          if (K = 17) then J := -35;                                            //dwl 13Dec2013
          if (K = 18) then J := -39;                                            //dwl 13Dec2013
          if (K = 19) then J := -37;                                            //dwl 13Dec2013
          if (K = 20) then J := -36;                                            //dwl 13Dec2013
          if (K = 21) then J := -36;                                            //dwl 13Dec2013
          if (K = 22) then J := -35;                                            //dwl 13Dec2013
          if (K = 23) then J := -37;                                            //dwl 13Dec2013
          if (K = 24) then J := -38;                                            //dwl 13Dec2013
          if (K = 25) then J := -37;                                            //dwl 13Dec2013
          if (K = 26) then J := -39;                                            //dwl 13Dec2013
          if (K = 27) then J := -44;                                            //dwl 13Dec2013
          if (K = 28) then J := -48;                                            //dwl 13Dec2013
          if (K >= 29) then J := -42;                                           //dwl 13Dec2013
        END;
        IF (IB = 13) THEN BEGIN
{          IF (K <= 1) THEN J  :=  1;
          IF (K = 2) THEN J  :=  -7;
          IF ((K >= 3) AND (K <= 11)) THEN J  :=  -5-2*K;
          IF ((K >= 12) AND (K <= 14)) THEN J  :=  -28;
          IF ((K >= 15) AND (K <= 17)) THEN J  :=  -85-K;
          IF ((K >= 18) AND (K <= 22)) THEN J  :=  -67-2*K;
          IF (K = 23) THEN J  :=  -115;
          IF ((K >= 24) AND (K <= 27)) THEN J  :=  -97-K;
          IF (K >= 28) THEN J  :=  -125;             }
          if (K <= 1) then J := -5;                                             //dwl 25Jan2014
          if (K = 2) then J := -6;                                              //dwl 25Jan2014
          if (K = 3) then J := -9;                                              //dwl 25Jan2014
          if (K = 4) then J := -12;                                             //dwl 25Jan2014
          if (K = 5) then J := -14;                                             //dwl 25Jan2014
          if (K = 6) then J := -17;                                             //dwl 25Jan2014
          if (K = 7) then J := -19;                                             //dwl 25Jan2014
          if (K = 8) then J := -19;                                             //dwl 25Jan2014
          if (K = 9) then J := -23;                                             //dwl 25Jan2014
          if (K = 10) then J := -25;                                            //dwl 25Jan2014
          if (K = 11) then J := -30;                                            //dwl 25Jan2014
          if (K = 12) then J := -28;                                            //dwl 25Jan2014
          if (K = 13) then J := -27;                                            //dwl 25Jan2014
          if (K = 14) then J := -28;                                            //dwl 25Jan2014
          if (K = 15) then J := -98;                                            //dwl 25Jan2014
          if (K = 16) then J := -104;                                           //dwl 25Jan2014
          if (K = 17) then J := -100;                                           //dwl 25Jan2014
          if (K = 18) then J := -102;                                           //dwl 25Jan2014
          if (K = 19) then J := -104;                                           //dwl 25Jan2014
          if (K = 20) then J := -107;                                           //dwl 25Jan2014
          if (K = 21) then J := -111;                                           //dwl 25Jan2014
          if (K = 22) then J := -111;                                           //dwl 25Jan2014
          if (K = 23) then J := -112;                                           //dwl 25Jan2014
          if (K = 24) then J := -121;                                           //dwl 25Jan2014
          if (K = 25) then J := -122;                                           //dwl 25Jan2014
          if (K = 26) then J := -118;                                           //dwl 25Jan2014
          if (K = 27) then J := -121;                                           //dwl 25Jan2014
          if (K = 28) then J := -128;                                           //dwl 25Jan2014
          if (K >= 29) then J := -42;                                           //dwl 25Jan2014
        END;
        IF (IB = 14) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -6;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -13+4*K;
          IF ((K >= 5) AND (K <= 8)) THEN J  :=  -10+4*K;
          IF ((K >= 9) AND (K <= 12)) THEN J  :=  -125-K;
          IF ((K >= 13) AND (K <= 18)) THEN J  :=  -102-3*K;
          IF (K = 19) THEN J  :=  -145;
          IF ((K >= 20) AND (K <= 25)) THEN J  :=  -140;
          IF (K >= 26) THEN J  :=  -132;               }
          if (K <= 1) then J := -6;                                             //dwl 17Apr2014
          if (K = 2) then J := -3;                                              //dwl 17Apr2014
          if (K = 3) then J := -1;                                              //dwl 17Apr2014
          if (K = 4) then J := 3;                                               //dwl 17Apr2014
          if (K = 5) then J := 6;                                               //dwl 17Apr2014
          if (K = 6) then J := 17;                                              //dwl 17Apr2014
          if (K = 7) then J := 20;                                              //dwl 17Apr2014
          if (K = 8) then J := 25;                                              //dwl 17Apr2014
          if (K = 9) then J := -133;                                            //dwl 17Apr2014
          if (K = 10) then J := -141;                                           //dwl 17Apr2014   Hi Spread, about 27m
          if (K = 11) then J := -148;                                           //dwl 17Apr2014   Hi Spread, about 23m
          if (K = 12) then J := -61;                                            //dwl 17Apr2014   Hi Spread, about 140m
          if (K = 13) then J := -135;                                           //dwl 17Apr2014   Hi Spread, about 56m
          if (K = 14) then J := -146;                                           //dwl 17Apr2014
          if (K = 15) then J := -147;                                           //dwl 17Apr2014
          if (K = 16) then J := -145;                                           //dwl 02May2014
          if (K = 17) then J := -119;                                           //dwl 02May2014   Hi Spread, about 62m
          if (K = 18) then J := -168;                                           //dwl 02May2014   Hi Spread, about 22m
          if (K = 19) then J := -142;                                           //dwl 02May2014   Hi Spread, about 10m
          if (K = 20) then J := -145;                                           //dwl 02May2014   Hi Spread, about 13m
          if (K = 21) then J := -144;                                           //dwl 02May2014   Hi Spread, about 18m
          if (K = 22) then J := -141;                                           //dwl 02May2014   Hi Spread, about 11m
          if (K = 23) then J := -145;                                           //dwl 02May2014
          if (K = 24) then J := -141;                                           //dwl 02May2014   Hi Spread, about 12m
          if (K = 25) then J := -145;                                           //dwl 02May2014   Hi Spread, about 11m
          if (K = 26) then J := -127;                                           //dwl 02May2014   Hi Spread, about 19m
          if (K = 27) then J := -131;                                           //dwl 02May2014
          if (K = 28) then J := -140;                                           //dwl 02May2014
          if (K >= 29) then J := -42;                                           //dwl 02May2014
        END;
        IF (IB = 15) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -6;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  4-8*K;
          IF ((K = 5) OR (K = 6)) THEN J  :=  17-12*K;
          IF ((K >= 7) AND (K <= 10)) THEN J  :=  12-10*K;
          IF ((K >= 11) AND (K <= 13)) THEN J  :=  -51-4*K;
          IF ((K >= 14) AND (K <= 16)) THEN J  :=  -43-5*K;
          IF (K = 17) THEN J  :=  -124;
          IF ((K = 18) OR (K = 19)) THEN J  :=  -143;
          IF ((K = 20) OR (K = 21)) THEN J  :=  -76-3*K;
          IF ((K >= 22) AND (K <= 26)) THEN J  :=  -165+K;
          IF (K >= 27) THEN J  :=  -137;             }
          if (K <= 1) then J := -6;                                             //dwl 11Jun2014
          if (K = 2) then J := -10;                                             //dwl 12Jun2014
          if (K = 3) then J := -14;                                             //dwl 12Jun2014
          if (K = 4) then J := -36;                                             //dwl 12Jun2014
          if (K = 5) then J := -45;                                             //dwl 12Jun2014
          if (K = 6) then J := -57;                                             //dwl 12Jun2014
          if (K = 7) then J := -63;                                             //dwl 12Jun2014
          if (K = 8) then J := -72;                                             //dwl 12Jun2014
          if (K = 9) then J := -79;                                             //dwl 12Jun2014
          if (K = 10) then J := -96;                                            //dwl 12Jun2014
          if (K = 11) then J := -97;                                            //dwl 12Jun2014
          if (K = 12) then J := -99;                                            //dwl 12Jun2014
          if (K = 13) then J := -112;                                           //dwl 12Jun2014
          if (K = 14) then J := -116;                                           //dwl 12Jun2014
          if (K = 15) then J := -120;                                           //dwl 12Jun2014
          if (K = 16) then J := -126;                                           //dwl 12Jun2014
          if (K = 17) then J := -122;                                           //dwl 12Jun2014
          if (K = 18) then J := -137;                                           //dwl 12Jun2014
          if (K = 19) then J := -138;                                           //dwl 12Jun2014
          if (K = 20) then J := -138;                                           //dwl 12Jun2014
          if (K = 21) then J := -139;                                           //dwl 12Jun2014
          if (K = 22) then J := -142;                                           //dwl 12Jun2014
          if (K = 23) then J := -144;                                           //dwl 12Jun2014
          if (K = 24) then J := -144;                                           //dwl 12Jun2014
          if (K = 25) then J := -142;                                           //dwl 12Jun2014
          if (K = 26) then J := -141;                                           //dwl 12Jun2014
          if (K = 27) then J := -141;                                           //dwl 12Jun2014
          if (K >= 28) then J := -42;                                           //dwl 12Jun2014
        END;
        IF (IB = 16) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -7;
          IF ((K = 2) OR (K = 3)) THEN J  :=  -8;
          IF ((K >= 4) AND (K <= 8)) THEN J  :=  -10;
          IF (K = 7) THEN J  :=  -5;
          IF ((K >= 9) AND (K <= 11)) THEN J  :=  -111+4*K;
          IF ((K = 12) OR (K = 13)) THEN J  :=  -19-4*K;
          IF ((K = 14) OR (K = 15)) THEN J  :=  -100-3*K;
          IF ((K >= 16) AND (K <= 19)) THEN J  :=  -150;
          IF ((K = 20) OR (K = 21)) THEN J  :=  -266+6*K;
          IF ((K >= 22) AND (K <= 25)) THEN J  :=  -151;
          IF (K = 26) THEN J  :=  -146;
          IF (K >= 27) THEN J  :=  -141;             }
          if (K <= 1) then J := -5;                                             //dwl 11Jul2014
          if (K = 2) then J := -8;                                              //dwl 11Jul2014
          if (K = 3) then J := -9;                                              //dwl 11Jul2014
          if (K = 4) then J := -10;                                             //dwl 11Jul2014
          if (K = 5) then J := -11;                                             //dwl 11Jul2014
          if (K = 6) then J := -9;                                              //dwl 11Jul2014
          if (K = 7) then J := -5;                                              //dwl 11Jul2014
          if (K = 8) then J := -9;                                              //dwl 11Jul2014
          if (K = 9) then J := -81;                                             //dwl 11Jul2014
          if (K = 10) then J := -70;                                            //dwl 11Jul2014
          if (K = 11) then J := -71;                                            //dwl 11Jul2014
          if (K = 12) then J := -68;                                            //dwl 11Jul2014
          if (K = 13) then J := -73;                                            //dwl 11Jul2014
          if (K = 14) then J := -142;                                           //dwl 11Jul2014
          if (K = 15) then J := -135;                                           //dwl 11Jul2014
          if (K = 16) then J := -146;                                           //dwl 11Jul2014
          if (K = 17) then J := -149;                                           //dwl 11Jul2014
          if (K = 18) then J := -149;                                           //dwl 11Jul2014
          if (K = 19) then J := -148;                                           //dwl 11Jul2014
          if (K = 20) then J := -144;                                           //dwl 11Jul2014
          if (K = 21) then J := -138;                                           //dwl 11Jul2014
          if (K = 22) then J := -147;                                           //dwl 11Jul2014
          if (K = 23) then J := -160;                                           //dwl 11Jul2014
          if (K = 24) then J := -156;                                           //dwl 11Jul2014
          if (K = 25) then J := -148;                                           //dwl 11Jul2014
          if (K = 26) then J := -144;                                           //dwl 11Jul2014
          if (K = 27) then J := -139;                                           //dwl 11Jul2014
          if (K >= 28) then J := -39;                                           //dwl 11Jul2014
        END;
        IF (IB = 17) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -4;
          IF (K = 2) THEN J  :=  2;
          IF ((K >= 3) AND (K <= 5)) THEN J  :=  4;
          IF ((K >= 6) AND (K <= 12)) THEN J  :=  9-K;
          IF ((K >= 13) AND (K <= 23)) THEN J  :=  -4;
          IF (K >= 24) THEN J  :=  -5;            }
          if (K <= 1) then J := -4;                                             //dwl 28Jul2014
          if (K = 2) then J := 1;                                               //dwl 28Jul2014
          if (K = 3) then J := 8;                                               //dwl 28Jul2014
          if (K = 4) then J := 6;                                               //dwl 28Jul2014
          if (K = 5) then J := 7;                                               //dwl 28Jul2014
          if (K = 6) then J := 5;                                               //dwl 28Jul2014
          if (K = 7) then J := 3;                                               //dwl 28Jul2014
          if (K = 8) then J := 4;                                               //dwl 28Jul2014
          if (K = 9) then J := 1;                                               //dwl 28Jul2014
          if (K = 10) then J := -3;                                             //dwl 28Jul2014
          if (K = 11) then J := 3;                                              //dwl 28Jul2014
          if (K = 12) then J := 5;                                              //dwl 28Jul2014
          if (K = 13) then J := -7;                                             //dwl 28Jul2014
          if (K = 14) then J := 0;                                              //dwl 28Jul2014
          if (K = 15) then J := -6;                                             //dwl 28Jul2014
          if (K = 16) then J := -4;                                             //dwl 28Jul2014
          if (K = 17) then J := -6;                                             //dwl 28Jul2014
          if (K = 18) then J := -2;                                             //dwl 28Jul2014
          if (K = 19) then J := -1;                                             //dwl 28Jul2014
          if (K = 20) then J := 0;                                              //dwl 28Jul2014
          if (K = 21) then J := 0;                                              //dwl 28Jul2014
          if (K = 22) then J := 24;                                             //dwl 28Jul2014
          if (K = 23) then J := 17;                                             //dwl 28Jul2014
          if (K = 24) then J := 13;                                             //dwl 28Jul2014
          if (K = 25) then J := -5;                                             //dwl 28Jul2014
          if (K = 26) then J := -11;                                            //dwl 28Jul2014
          if (K = 27) then J := -2;                                             //dwl 28Jul2014
          if (K >= 28) then J := -37;                                           //dwl 28Jul2014
        END;
        IF (IB = 18) THEN BEGIN
{          IF (K <= 6) THEN J  :=  -5;
          IF ((K >= 7) AND (K <= 12)) THEN J  :=  -10+K;
          IF ((K >= 13) AND (K <= 17)) THEN J  :=  14-K;
          IF ((K >= 18) AND (K <= 20)) THEN J  :=  6-(K DIV 2);
          IF ((K >= 21) AND (K <= 26)) THEN J  :=  5-(K DIV 2);
          IF (K >= 27) THEN J  :=  -9;                 }
          if (K <= 1) then J := -3;                                             //dwl 08Aug2014
          if (K = 2) then J := -4;                                              //dwl 08Aug2014
          if (K = 3) then J := -3;                                              //dwl 08Aug2014
          if (K = 4) then J := -5;                                              //dwl 08Aug2014
          if (K = 5) then J := -4;                                              //dwl 08Aug2014
          if (K = 6) then J := -3;                                              //dwl 08Aug2014
          if (K = 7) then J := -2;                                              //dwl 08Aug2014
          if (K = 8) then J := -2;                                              //dwl 08Aug2014
          if (K = 9) then J := 0;                                               //dwl 08Aug2014
          if (K = 10) then J := -1;                                             //dwl 08Aug2014
          if (K = 11) then J := 2;                                              //dwl 08Aug2014
          if (K = 12) then J := 2;                                              //dwl 08Aug2014
          if (K = 13) then J := 5;                                              //dwl 11Aug2014
          if (K = 14) then J := 0;                                              //dwl 11Aug2014
          if (K = 15) then J := -2;                                             //dwl 11Aug2014
          if (K = 16) then J := -2;                                             //dwl 11Aug2014
          if (K = 17) then J := 0;                                              //dwl 11Aug2014
          if (K = 18) then J := 1;                                              //dwl 11Aug2014
          if (K = 19) then J := -4;                                             //dwl 11Aug2014
          if (K = 20) then J := -2;                                             //dwl 11Aug2014
          if (K = 21) then J := -6;                                             //dwl 11Aug2014
          if (K = 22) then J := -4;                                             //dwl 11Aug2014
          if (K = 23) then J := -5;                                             //dwl 11Aug2014
          if (K = 24) then J := -6;                                             //dwl 11Aug2014
          if (K = 25) then J := -1;                                             //dwl 11Aug2014
          if (K = 26) then J := -8;                                             //dwl 11Aug2014
          if (K = 27) then J := -8;                                             //dwl 11Aug2014
          if (K >= 28) then J := -35;                                           //dwl 11Aug2014
        END;
        IF (IB = 19) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -5;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -9+3*K;
          IF (K = 5) THEN J  :=  17;
          IF ((K >= 6) AND (K <= 8)) THEN J  :=  25;
          IF ((K >= 9) AND (K <= 14)) THEN J  :=  31-K;
          IF ((K >= 15) AND (K <= 19)) THEN J  :=  -6;
          IF (K >= 20) THEN J  :=  -7;             }
          if (K <= 1) then J := -3;                                             //dwl 19Aug2014
          if (K = 2) then J := -1;                                              //dwl 19Aug2014
          if (K = 3) then J := -1;                                              //dwl 19Aug2014
          if (K = 4) then J := 4;                                               //dwl 19Aug2014
          if (K = 5) then J := 17;                                              //dwl 19Aug2014
          if (K = 6) then J := 26;                                              //dwl 19Aug2014
          if (K = 7) then J := 25;                                              //dwl 19Aug2014
          if (K = 8) then J := 27;                                              //dwl 19Aug2014
          if (K = 9) then J := 22;                                              //dwl 19Aug2014
          if (K = 10) then J := 22;                                             //dwl 19Aug2014
          if (K = 11) then J := 21;                                             //dwl 19Aug2014
          if (K = 12) then J := 20;                                             //dwl 19Aug2014
          if (K = 13) then J := 18;                                             //dwl 19Aug2014
          if (K = 14) then J := 17;                                             //dwl 19Aug2014
          if (K = 15) then J := 15;                                             //dwl 19Aug2014
          if (K = 16) then J := 14;                                             //dwl 19Aug2014
          if (K = 17) then J := 14;                                             //dwl 19Aug2014
          if (K = 18) then J := 13;                                             //dwl 19Aug2014
          if (K = 19) then J := 9;                                              //dwl 19Aug2014
          if (K = 20) then J := 10;                                             //dwl 19Aug2014
          if (K = 21) then J := 5;                                              //dwl 19Aug2014
          if (K = 22) then J := 4;                                              //dwl 19Aug2014
          if (K = 23) then J := 1;                                              //dwl 19Aug2014
          if (K = 24) then J := 1;                                              //dwl 19Aug2014
          if (K = 25) then J := 3;                                              //dwl 19Aug2014
          if (K = 26) then J := 2;                                              //dwl 19Aug2014
          if (K >= 27) then J := -38;                                           //dwl 19Aug2014
        END;
        IF (IB = 20) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -4;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -5+K;
          IF ((K >= 5) AND (K <= 10)) THEN J  :=  -10+2*K;
          IF ((K >= 11) AND (K <= 13)) THEN J  :=  8;
          IF ((K = 14) OR (K = 15)) THEN J  :=  9;
          IF ((K >= 16) AND (K <= 26)) THEN J  :=  -6+K;
          IF (K >= 27) THEN J  :=  14;              }
          if (K <= 1) then J := -3;                                             //dwl 02Sep2014
          if (K = 2) then J := -2;                                              //dwl 02Sep2014
          if (K = 3) then J := -1;                                              //dwl 02Sep2014
          if (K = 4) then J := 0;                                               //dwl 02Sep2014
          if (K = 5) then J := 1;                                               //dwl 02Sep2014
          if (K = 6) then J := 3;                                               //dwl 02Sep2014
          if (K = 7) then J := 6;                                               //dwl 02Sep2014
          if (K = 8) then J := 7;                                               //dwl 02Sep2014
          if (K = 9) then J := 9;                                               //dwl 02Sep2014
          if (K = 10) then J := 11;                                             //dwl 02Sep2014
          if (K = 11) then J := 9;                                              //dwl 02Sep2014
          if (K = 12) then J := 9;                                              //dwl 02Sep2014
          if (K = 13) then J := 8;                                              //dwl 02Sep2014
          if (K = 14) then J := 10;                                             //dwl 02Sep2014
          if (K = 15) then J := 10;                                             //dwl 02Sep2014
          if (K = 16) then J := 11;                                             //dwl 02Sep2014
          if (K = 17) then J := 7;                                              //dwl 02Sep2014
          if (K = 18) then J := 8;                                              //dwl 02Sep2014
          if (K = 19) then J := 14;                                             //dwl 02Sep2014
          if (K = 20) then J := 14;                                             //dwl 02Sep2014
          if (K = 21) then J := 13;                                             //dwl 02Sep2014
          if (K = 22) then J := 13;                                             //dwl 02Sep2014
          if (K = 23) then J := 14;                                             //dwl 02Sep2014
          if (K = 24) then J := 16;                                             //dwl 02Sep2014
          if (K = 25) then J := 17;                                             //dwl 02Sep2014
          if (K = 26) then J := 18;                                             //dwl 02Sep2014
          if (K >= 27) then J := -42;                                           //dwl 02Sep2014
        END;
        IF (IB = 21) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -3;
          IF ((K = 2) OR (K = 3)) THEN J  :=  1-4*K;
          IF ((K >= 4) AND (K <= 6)) THEN J  :=  -12;
          IF ((K >= 7) AND (K <= 9)) THEN J  :=  -6-K;
          IF ((K >= 10) AND (K <= 13)) THEN J  :=  -16;
          IF ((K >= 14) AND (K <= 26)) THEN J  :=  -3-K;
          IF (K >= 27) THEN J  :=  -30;            }
          if (K <= 1) then J := -2;                                             //dwl 11Sep2014
          if (K = 2) then J := -6;                                              //dwl 11Sep2014
          if (K = 3) then J := -11;                                             //dwl 11Sep2014
          if (K = 4) then J := -11;                                             //dwl 11Sep2014
          if (K = 5) then J := -12;                                             //dwl 11Sep2014
          if (K = 6) then J := -12;                                             //dwl 11Sep2014
          if (K = 7) then J := -11;                                             //dwl 11Sep2014
          if (K = 8) then J := -13;                                             //dwl 11Sep2014
          if (K = 9) then J := -15;                                             //dwl 11Sep2014
          if (K = 10) then J := -16;                                            //dwl 11Sep2014
          if (K = 11) then J := -16;                                            //dwl 11Sep2014
          if (K = 12) then J := -16;                                            //dwl 11Sep2014
          if (K = 13) then J := -17;                                            //dwl 11Sep2014
          if (K = 14) then J := -17;                                            //dwl 11Sep2014
          if (K = 15) then J := -18;                                            //dwl 11Sep2014
          if (K = 16) then J := -23;                                            //dwl 11Sep2014
          if (K = 17) then J := -19;                                            //dwl 11Sep2014
          if (K = 18) then J := -16;                                            //dwl 11Sep2014
          if (K = 19) then J := -23;                                            //dwl 11Sep2014
          if (K = 20) then J := -24;                                            //dwl 11Sep2014
          if (K = 21) then J := -25;                                            //dwl 11Sep2014
          if (K = 22) then J := -25;                                            //dwl 11Sep2014
          if (K = 23) then J := -27;                                            //dwl 11Sep2014
          if (K = 24) then J := -27;                                            //dwl 11Sep2014
          if (K = 25) then J := -30;                                            //dwl 11Sep2014
          if (K = 26) then J := -30;                                            //dwl 11Sep2014
          if (K >= 27) then J := -42;                                           //dwl 11Sep2014
        END;
        IF (IB = 22) THEN BEGIN
{          IF (K <= 8) THEN J  :=  -2;
          IF (K = 9) THEN J  :=  -5;
          IF ((K >= 10) AND (K <= 19)) THEN J  :=  12-2*K;
          IF ((K >= 20) AND (K <= 22)) THEN J  :=  -28;
          IF ((K >= 23) AND (K <= 25)) THEN J  :=  -7-K;
          IF (K >= 26) THEN J  :=  -33;            }
          if (K <= 1) then J := -1;                                             //dwl 30Sep2014
          if (K = 2) then J := -1;                                              //dwl 01Oct2014
          if (K = 3) then J := -1;                                              //dwl 01Oct2014
          if (K = 4) then J := -1;                                              //dwl 01Oct2014
          if (K = 5) then J := -2;                                              //dwl 01Oct2014
          if (K = 6) then J := -2;                                              //dwl 01Oct2014
          if (K = 7) then J := -3;                                              //dwl 01Oct2014
          if (K = 8) then J := -2;                                              //dwl 01Oct2014
          if (K = 9) then J := -3;                                              //dwl 01Oct2014
          if (K = 10) then J := -7;                                             //dwl 01Oct2014
          if (K = 11) then J := -9;                                             //dwl 01Oct2014
          if (K = 12) then J := -11;                                            //dwl 01Oct2014
          if (K = 13) then J := -14;                                            //dwl 01Oct2014
          if (K = 14) then J := -15;                                            //dwl 01Oct2014
          if (K = 15) then J := -17;                                            //dwl 01Oct2014
          if (K = 16) then J := -26;                                            //dwl 01Oct2014
          if (K = 17) then J := -18;                                            //dwl 01Oct2014
          if (K = 18) then J := -26;                                            //dwl 01Oct2014
          if (K = 19) then J := -26;                                            //dwl 01Oct2014
          if (K = 20) then J := -28;                                            //dwl 01Oct2014
          if (K = 21) then J := -28;                                            //dwl 01Oct2014
          if (K = 22) then J := -28;                                            //dwl 01Oct2014
          if (K = 23) then J := -29;                                            //dwl 01Oct2014
          if (K = 24) then J := -30;                                            //dwl 01Oct2014
          if (K = 25) then J := -31;                                            //dwl 01Oct2014
          if (K = 26) then J := -32;                                            //dwl 01Oct2014
          if (K >= 27) then J := -42;                                           //dwl 01Oct2014
        END;
        IF (IB = 23) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -1;
          IF ((K >= 2) AND (K <= 7)) THEN J  :=  1-2*K;
          IF ((K >= 8) AND (K <= 12)) THEN J  :=  -1-2*K;
          IF ((K >= 13) AND (K <= 15)) THEN J  :=  -12-K;
          IF ((K >= 16) AND (K <= 19)) THEN J  :=  -28;
          IF ((K >= 20) AND (K <= 25)) THEN J  :=  -19-(K DIV 2);
          IF (K >= 26) THEN J  :=  -34;           }
          if (K <= 1) then J := 0;                                              //dwl 17Oct2014
          if (K = 2) then J := -2;                                              //dwl 20Oct2014
          if (K = 3) then J := -6;                                              //dwl 20Oct2014
          if (K = 4) then J := -7;                                              //dwl 20Oct2014
          if (K = 5) then J := -8;                                              //dwl 20Oct2014
          if (K = 6) then J := -12;                                             //dwl 20Oct2014
          if (K = 7) then J := -15;                                             //dwl 20Oct2014
          if (K = 8) then J := -16;                                             //dwl 20Oct2014
          if (K = 9) then J := -19;                                             //dwl 20Oct2014
          if (K = 10) then J := -26;                                            //dwl 20Oct2014
          if (K = 11) then J := -23;                                            //dwl 20Oct2014
          if (K = 12) then J := -24;                                            //dwl 20Oct2014
          if (K = 13) then J := -26;                                            //dwl 20Oct2014
          if (K = 14) then J := -26;                                            //dwl 20Oct2014
          if (K = 15) then J := -26;                                            //dwl 20Oct2014
          if (K = 16) then J := -30;                                            //dwl 20Oct2014
          if (K = 17) then J := -29;                                            //dwl 20Oct2014
          if (K = 18) then J := -30;                                            //dwl 20Oct2014
          if (K = 19) then J := -28;                                            //dwl 20Oct2014
          if (K = 20) then J := -28;                                            //dwl 20Oct2014
          if (K = 21) then J := -29;                                            //dwl 20Oct2014
          if (K = 22) then J := -29;                                            //dwl 20Oct2014
          if (K = 23) then J := -30;                                            //dwl 20Oct2014
          if (K = 24) then J := -30;                                            //dwl 20Oct2014
          if (K = 25) then J := -30;                                            //dwl 20Oct2014
          if (K = 26) then J := -31;                                            //dwl 20Oct2014
          if (K >= 27) then J := -40;                                           //dwl 20Oct2014
        END;
        IF (IB = 24) THEN BEGIN
{          IF (K <= 1) THEN J  :=  1;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  2-K;
          IF ((K >= 5) AND (K <= 8)) THEN J  :=  6-2*K;
          IF ((K >= 9) AND (K <= 12)) THEN J  :=  14-3*K;
          IF ((K >= 13) AND (K <= 15)) THEN J  :=  -35+K;
          IF ((K >= 16) AND (K <= 18)) THEN J  :=  -16;
          IF ((K >= 19) AND (K <= 23)) THEN J  :=  -15;
          IF (K >= 24) THEN J  :=  -16;            }
          if (K <= 1) then J := 1;                                              //dwl 20Nov2014
          if (K = 2) then J := 0;                                               //dwl 20Nov2014
          if (K = 3) then J := 0;                                               //dwl 20Nov2014
          if (K = 4) then J := -2;                                              //dwl 20Nov2014
          if (K = 5) then J := -4;                                              //dwl 20Nov2014
          if (K = 6) then J := -6;                                              //dwl 20Nov2014
          if (K = 7) then J := -8;                                              //dwl 20Nov2014
          if (K = 8) then J := -9;                                              //dwl 20Nov2014
          if (K = 9) then J := -18;                                             //dwl 20Nov2014
          if (K = 10) then J := -18;                                            //dwl 20Nov2014
          if (K = 11) then J := -15;                                            //dwl 20Nov2014
          if (K = 12) then J := -22;                                            //dwl 20Nov2014
          if (K = 13) then J := -22;                                            //dwl 20Nov2014
          if (K = 14) then J := -21;                                            //dwl 20Nov2014
          if (K = 15) then J := -20;                                            //dwl 20Nov2014
          if (K = 16) then J := -18;                                            //dwl 20Nov2014
          if (K = 17) then J := -17;                                            //dwl 20Nov2014
          if (K = 18) then J := -16;                                            //dwl 20Nov2014
          if (K = 19) then J := -13;                                            //dwl 20Nov2014
          if (K = 20) then J := -13;                                            //dwl 20Nov2014
          if (K = 21) then J := -11;                                            //dwl 20Nov2014
          if (K = 22) then J := -11;                                            //dwl 20Nov2014
          if (K = 23) then J := -12;                                            //dwl 20Nov2014
          if (K = 24) then J := -12;                                            //dwl 20Nov2014
          if (K = 25) then J := -14;                                            //dwl 20Nov2014
          if (K >= 26) then J := -37;                                           //dwl 20Nov2014
        END;
        IF (IB = 25) THEN BEGIN
{          IF (K <= 1) THEN J  :=  3;
          IF (K = 2) THEN J  :=  -11;
          IF ((K = 3) OR (K = 4)) THEN J  :=  -14-3*K;
          IF (K = 5) THEN J  :=  2;
          IF ((K >= 6) AND (K <= 10)) THEN J  :=  48-3*K;
          IF ((K >= 11) AND (K <= 13)) THEN J  :=  62-4*K;
          IF ((K >= 14) AND (K <= 16)) THEN J  :=  -18+2*K;
          IF ((K >= 17) AND (K <= 21)) THEN J  :=  63-3*K;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  64-3*K;
          IF (K >= 25) THEN J  :=  -11;            }
          if (K <= 1) then J := 3;                                              //dwl 18Jan2015                                             //
          if (K = 2) then J := -11;                                             //dwl 18Jan2015                                             //
          if (K = 3) then J := -23;                                             //dwl 18Jan2015                                             //
          if (K = 4) then J := -25;                                             //dwl 18Jan2015                                             //
          if (K = 5) then J := 32;                                              //dwl 18Jan2015                                             //
          if (K = 6) then J := 30;                                              //dwl 18Jan2015                                             //
          if (K = 7) then J := 27;                                              //dwl 18Jan2015                                             //
          if (K = 8) then J := 25;                                              //dwl 18Jan2015                                             //
          if (K = 9) then J := 23;                                              //dwl 18Jan2015                                             //
          if (K = 10) then J := 21;                                             //dwl 18Jan2015                                             //
          if (K = 11) then J := 21;                                             //dwl 18Jan2015                                             //
          if (K = 12) then J := 14;                                             //dwl 18Jan2015                                             //
          if (K = 13) then J := 12;                                             //dwl 18Jan2015                                             //
          if (K = 14) then J := 9;                                              //dwl 18Jan2015                                             //
          if (K = 15) then J := 8;                                              //dwl 18Jan2015                                             //
          if (K = 16) then J := 7;                                              //dwl 18Jan2015                                             //
          if (K = 17) then J := 5;                                              //dwl 18Jan2015                                             //
          if (K = 18) then J := 4;                                              //dwl 18Jan2015                                             //
          if (K = 19) then J := 3;                                              //dwl 18Jan2015                                             //
          if (K = 20) then J := 2;                                              //dwl 18Jan2015                                             //
          if (K = 21) then J := 1;                                              //dwl 18Jan2015                                             //
          if (K = 22) then J := -1;                                             //dwl 18Jan2015                                             //
          if (K = 23) then J := -2;                                             //dwl 18Jan2015                                             //
          if (K = 24) then J := -4;                                             //dwl 18Jan2015                                             //
          if (K = 25) then J := -6;                                             //dwl 18Jan2015                                             //
          if (K >= 26) then J := -36;                                           //dwl 18Jan2015                                             //
        END;
        IF (IB = 26) THEN BEGIN
{          IF (K <= 1) THEN J  :=  4;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  4+K;
          IF ((K = 5) OR (K = 6)) THEN J  :=  10;
          IF ((K >= 7) AND (K <= 9)) THEN J  :=  13;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  -14+3*K;
          IF ((K = 13) OR (K = 14)) THEN J  :=  49-2*K;
          IF ((K >= 15) AND (K <= 24)) THEN J  :=  2+K;
          IF (K >= 25) THEN J  :=  26;          }
          if (K <= 1) then J := 5;                                              //dwl 22Jan2015
          if (K = 2) then J := 6;                                               //dwl 23Jan2015
          if (K = 3) then J := 8;                                               //dwl 23Jan2015
          if (K = 4) then J := 9;                                               //dwl 23Jan2015
          if (K = 5) then J := 10;                                              //dwl 23Jan2015
          if (K = 6) then J := 13;                                              //dwl 23Jan2015
          if (K = 7) then J := 14;                                              //dwl 23Jan2015
          if (K = 8) then J := 14;                                              //dwl 23Jan2015
          if (K = 9) then J := 17;                                              //dwl 23Jan2015
          if (K = 10) then J := 17;                                             //dwl 23Jan2015
          if (K = 11) then J := 20;                                             //dwl 23Jan2015
          if (K = 12) then J := 22;                                             //dwl 23Jan2015
          if (K = 13) then J := 24;                                             //dwl 23Jan2015
          if (K = 14) then J := 26;                                             //dwl 23Jan2015
          if (K = 15) then J := 27;                                             //dwl 23Jan2015
          if (K = 16) then J := 27;                                             //dwl 23Jan2015
          if (K = 17) then J := 28;                                             //dwl 23Jan2015
          if (K = 18) then J := 29;                                             //dwl 23Jan2015
          if (K = 19) then J := 29;                                             //dwl 23Jan2015
          if (K = 20) then J := 31;                                             //dwl 23Jan2015
          if (K = 21) then J := 32;                                             //dwl 23Jan2015
          if (K = 22) then J := 32;                                             //dwl 23Jan2015
          if (K = 23) then J := 33;                                             //dwl 23Jan2015
          if (K = 24) then J := 34;                                             //dwl 23Jan2015
          if (K = 25) then J := 34;                                             //dwl 23Jan2015
          if (K >= 26) then J := -39;                                           //dwl 23Jan2015
        END;
        IF (IB = 27) THEN BEGIN
//          IF (K <= 8) THEN J  :=  4;
//          IF ((K >= 9) AND (K <= 12)) THEN J  :=  -6+K+(K DIV 3);
//          IF ((K >= 13) AND (K <= 22)) THEN J  :=  -3+K+((K-1) DIV 2);
//          IF (K >= 23) THEN J  :=  30
          if (K <= 2) then J := 5;
          if ((K >= 3) and (K <= 7)) then J := 4;
          if ((K >= 8) and (K <= 10)) then J := K-3;
          if ((K >= 11) and (K <= 13)) then J := K+K+K-23;
          if ((K = 14) or (K = 15)) then J := K+K-11;
          if ((K = 16) or (K = 17)) then J := K+K-12;
          if ((K >= 18) and (K <= 20)) then J := K+K-11;
          if ((K >= 21) and (K <= 24)) then J := K+K-10;
          if (K = 25) then J := 41;
          if (K >= 26) then J := -41;
        END;
//        IF ((IB >= 28) AND (IB <= 32)) THEN J  :=  4+K;
        if (IB = 28) then                                                       //dwl 11Jul2013
          begin                                                                 //dwl 11Jul2013
            if (K = 1) then J := 7;                                             //dwl 11Jul2013
            if ((K >= 2) and (K <= 8)) then J := -72;                           //dwl 11Jul2013
            if ((K = 9) or (K = 10)) then J := -39;                             //dwl 11Jul2013
            if ((K >= 11) and (K <= 14)) then J := -18-K;                       //dwl 11Jul2013
            if ((K =15) or (K = 16)) then J := -33;                             //dwl 11Jul2013
            if ((K >= 17) and (K <= 19)) then J := K-51;                        //dwl 11Jul2013
            if ((K >= 20) and (K <= 22)) then J := K+K+K-90;                    //dwl 11Jul2013
            if ((K >= 23) and (K <= 24)) then J := K+K-68;                      //dwl 11Jul2013
            if (K >= 25) then J := -42;                                         //dwl 11Jul2013
          end;                                                                  //dwl 11Jul2013
        if (IB = 29) then                                                       //dwl 10Jul2013
          begin                                                                 //dwl 10Jul2013
            if ((K = 1) or (K = 2)) then J := 8;                                //dwl 10Jul2013
            if ((K = 3) or (K = 4)) then J := 7;                                //dwl 10Jul2013
            if ((K >= 5) and (K <= 7)) then J := -43;                           //dwl 10Jul2013
            if ((K >= 8) and (K <= 13)) then J := K-50;                         //dwl 10Jul2013
            if ((K >= 14) and (K <= 20)) then J := K+K-62;                      //dwl 10Jul2013
            if ((K = 21) or (K = 22)) then J := K+K-63;                         //dwl 10Jul2013
            if ((K >= 23) and (K <= 24)) then J := -18;                         //dwl 10Jul2013
            if (K >= 25) then J := -43;                                         //dwl 11Jul2013
          end;                                                                  //dwl 10Jul2013
        if (IB = 30) then                                                       //dwl 09Jul2013
          begin                                                                 //dwl 09Jul2013
            if (K = 1) then J := 8;                                             //dwl 09Jul2013
            if ((K = 2) or (K = 3)) then J := -42;                              //dwl 09Jul2013
            if ((K >= 4) and (K <= 7)) then J := -43;                           //dwl 09Jul2013
            if ((K >= 8) and (K <= 10)) then J := K-52;                         //dwl 09Jul2013
            if ((K = 11) or (K = 12)) then J := K-51;                           //dwl 09Jul2013
            if ((K = 13) or (K = 14)) then J := K+K-63;                         //dwl 09Jul2013
            if ((K = 15) or (K = 16)) then J := K+K-64;                         //dwl 09Jul2013
            if ((K >= 17) and (K <= 22)) then J := -30;                         //dwl 09Jul2013
            if ((K >= 23) and (K <= 24)) then J := -31;                         //dwl 09Jul2013
            if (K >= 25) then J := -41;                                         //dwl 11Jul2013
          end;                                                                  //dwl 09Jul2013
        if (IB = 31) then                                                       //dwl 08Jul2013
          begin                                                                 //dwl 08Jul2013
            if (K <= 2) then J := 9;                                            //dwl 08Jul2013
            if ((K >= 3) and (K <= 6)) then J := 8;                             //dwl 08Jul2013
            if ((K >= 7) and (K <= 10)) then J := 7;                            //dwl 08Jul2013
            if ((K >= 11) and (K <= 14)) then J := 6;                           //dwl 08Jul2013
            if ((K >= 15) and (K <= 18)) then J := 5;                           //dwl 08Jul2013
            if ((K >= 19) and (K <= 21)) then J := 4;                           //dwl 08Jul2013
            if ((K >= 22) and (K <= 24)) then J := 3;                           //dwl 08Jul2013
            if (K >= 25) then J := -39;                                         //dwl 11Jul2013
          end;                                                                  //dwl 08Jul2013
        if (IB = 32) then                                                       //dwl 05Jun2013
          begin
            if (K <= 1) then J := 12;                                           //dwl 24Jan2015
            if ((K = 2) or (K = 3)) then J := 11;                               //dwl 05Jun2013
            if ((K >= 4) and (K <= 7)) then J := 10;                            //dwl 05Jun2013
            if ((K >= 8) and (K <= 11)) then J := 9;                            //dwl 05Jun2013
            if ((K >= 12) and (K <= 15)) then J := 8;                           //dwl 05Jun2013
            if ((K >= 16) and (K <= 18)) then J := 7;                           //dwl 05Jun2013
            if ((K >= 19) and (K <= 22)) then J := 6;                           //dwl 05Jun2013
            if (K = 23) then J := 5;                                            //dwl 05Jun2013
            if (K >= 24) then J := -39;                                         //dwl 11Jul2013
          end;                                                                  //dwl 05Jun2013
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
{      IF (IB = 1) THEN J  :=  -95;
      IF ((IB = 2) OR (IB = 3))  THEN J  :=  -70;
      IF (IB = 4) THEN J  :=  -57;
      IF (IB = 5) THEN J  :=  -49;
      IF ((IB >= 6) AND (IB <= 8))  THEN J  :=  -47;
      IF ((IB >= 9) AND (IB <= 12)) THEN J  :=  -46;
      IF ((IB >= 13) AND (IB <= 15)) THEN J  :=  -42;
      IF (IB = 16) THEN J  :=  -39;
      IF (IB = 17) THEN J  :=  -37;
      IF (IB = 18) THEN J  :=  -36;
      IF ((IB = 19) OR (IB = 20)) THEN J  :=  -40;
      IF ((IB >= 21) AND (IB <= 23)) THEN J  :=  -43;
      IF (IB = 24) THEN J  :=  -40;
      IF (IB = 25) THEN J  :=  -43;
      IF (IB = 26) THEN J  :=  -49;
//      IF ((IB >= 27) AND (IB <= 29)) THEN J  :=  -51;
//      IF (IB = 30) THEN J  :=  -52;
//      IF (IB = 31) THEN J  :=  -51;
//      IF (IB = 32) THEN J  :=  -49;         }
      if (IB = 1) then J := -66;                                                //dwl 23Aug2013
      if (IB = 2) then J := -67;                                                //dwl 14Aug2013
      if (IB = 3) then J := -58;                                                //dwl 30Aug2013
      if (IB = 4) then J := -49;                                                //dwl 11Sep2013
      if (IB = 5) then J := -48;                                                //dwl 14Sep2013
      if (IB = 6) then J := -48;                                                //dwl 19Sep2013
      if (IB = 7) then J := -47;                                                //dwl 27Sep2013
      if (IB = 8) then J := -47;                                                //dwl 08Oct2013
      if (IB = 9) then J := -46;                                                //dwl 16Oct2013
      if (IB = 10) then J := -44;                                               //dwl 30Oct2013
      if (IB = 11) then J := -43;                                               //dwl 30Oct2013
      if (IB = 12) then J := -42;                                               //dwl 13Dec2013
      if (IB = 13) then J := -42;                                               //dwl 25Jan2014
      if (IB = 14) then J := -42;                                               //dwl 02May2014
      if (IB = 15) then J := -42;                                               //dwl 12Jun2014
      if (IB = 16) then J := -39;                                               //dwl 11Jul2014
      if (IB = 17) then J := -37;                                               //dwl 28Jul2014
      if (IB = 18) then J := -35;                                               //dwl 11Aug2014
      if (IB = 19) then J := -38;                                               //dwl 19Aug2014
      if (IB = 20) then J := -42;                                               //dwl 02Sep2014
      if (IB = 21) then J := -42;                                               //dwl 12Sep2014
      if (IB = 22) then J := -42;                                               //dwl 01Oct2014
      if (IB = 23) then J := -40;                                               //dwl 20Oct2014
      if (IB = 24) then J := -37;                                               //dwl 20Nov2014
      if (IB = 25) then J := -36;                                               //dwl 18Jan2015
      if (IB = 26) then J := -39;                                               //dwl 23Jan2015
      if (IB = 27) then J := -41;                                               //dwl 12Jul2013
      if (IB = 28) then J := -42;                                               //dwl 11Jul2013
      if (IB = 29) then J := -43;                                               //dwl 10Jul2013
      if (IB = 30) then J := -41;                                               //dwl 09Jul2013
      if (IB = 31) then J := -39;                                               //dwl 08Jul2013
      if (IB = 32) then J := -39;                                               //dwl 05Jun2013
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT;
      GOTO 6000
      END;
{
C     FOR 'W5' BASE LINE
     }
      IF (EWM = 'W5') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 1) THEN BEGIN
//          J  :=  -95;
          if (K <= 1) then J := -66;                                            //dwl 23Aug2013
          if (K = 2) then J := -65;                                             //dwl 23Aug2013
          if (K = 3) then J := -67;                                             //dwl 23Aug2013
          if (K = 4) then J := -68;                                             //dwl 23Aug2013
          if (K >= 5) then J := -69;                                            //dwl 23Aug2013
        END;
        IF (IB = 2) THEN BEGIN
//          J  :=  -70;
//          IF (K = 3) THEN J  :=  -80
          if (K <= 1) then J := -67;                                            //dwl 14Aug2013
          if (K = 2) then J := -83;                                             //dwl 14Aug2013
          if (K = 3) then J := -78;                                             //dwl 14Aug2013
          if (K = 4) then J := -78;                                             //dwl 14Aug2013
          if (K = 5) then J := -79;                                             //dwl 14Aug2013
          if (K >= 6) then J := -85;                                            //dwl 14Aug2013
        END;
        IF (IB = 3) THEN BEGIN
//          IF (K <= 3) THEN J  :=  -70;
//          IF (K >= 4) THEN J  :=  -64;
          if (K <= 1) then J := -58;                                            //dwl 30Aug2013
          if (K = 2) then J := -72;                                             //dwl 30Aug2013
          if (K = 3) then J := -66;                                             //dwl 30Aug2013
          if (K = 4) then J := -65;                                             //dwl 30Aug2013
          if (K = 5) then J := -64;                                             //dwl 30Aug2013
          if (K = 6) then J := -66;                                             //dwl 30Aug2013
          if (K >= 7) then J := -68;                                            //dwl 30Aug2013
        END;
        IF (IB = 4) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -57;
          IF (K = 2) THEN J  :=  -75;
          IF (K >= 3) THEN J  :=  -62;       }
          if (K <= 1) then J := -49;                                            //dwl 11Sep2013
          if (K = 2) then J := -86;                                             //dwl 11Sep2013
          if (K = 3) then J := -58;                                             //dwl 11Sep2013
          if (K = 4) then J := -54;                                             //dwl 11Sep2013
          if (K = 5) then J := -58;                                             //dwl 11Sep2013
          if (K = 6) then J := -60;                                             //dwl 11Sep2013
          if (K = 7) then J := -62;                                             //dwl 11Sep2013
          if (K >= 8) then J := -64;                                            //dwl 11Sep2013
        END;
        IF (IB = 5) THEN BEGIN
          J  :=  -49;
          if (K <= 1) then J := -48;                                            //dwl 14Sep2013
          if (K = 2) then J := -49;                                             //dwl 14Sep2013
          if (K = 3) then J := -58;                                             //dwl 14Sep2013
          if (K = 4) then J := -47;                                             //dwl 14Sep2013
          if (K = 5) then J := -45;                                             //dwl 14Sep2013
          if (K = 6) then J := -42;                                             //dwl 14Sep2013
          if (K = 7) then J := -43;                                             //dwl 14Sep2013
          if (K = 8) then J := -45;                                             //dwl 14Sep2013
          if (K >= 9) then J := -52;                                            //dwl 14Sep2013
        END;
        IF (IB = 6) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -47;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -43;
          IF (K >= 5) THEN J  :=  -44;       }
          if (K <= 1) then J := -48;                                            //dwl 19Sep2013
          if (K = 2) then J := -44;                                             //dwl 20Sep2013
          if (K = 3) then J := -42;                                             //dwl 20Sep2013
          if (K = 4) then J := -47;                                             //dwl 20Sep2013
          if (K = 5) then J := -52;                                             //dwl 20Sep2013
          if (K = 6) then J := -65;                                             //dwl 20Sep2013
          if (K = 7) then J := -63;                                             //dwl 20Sep2013
          if (K = 8) then J := -65;                                             //dwl 20Sep2013
          if (K = 9) then J := -67;                                             //dwl 20Sep2013
          if (K = 10) then J := -67;                                            //dwl 20Sep2013
          if (K = 11) then J := -68;                                            //dwl 20Sep2013
          if (K = 12) then J := -70;                                            //dwl 20Sep2013
          if (K = 13) then J := -71;                                            //dwl 20Sep2013
          if (K = 14) then J := -72;                                            //dwl 20Sep2013
          if (K >= 15) then J := -74;                                           //dwl 20Sep2013
        END;
        IF (IB = 7) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -47;
          IF ((K = 2) OR (K = 3)) THEN J  :=  -46-K;
          IF ((K >= 4) AND (K <= 7)) THEN J  :=  -44-2*K;
          IF (K >= 8) THEN J  :=  -61;      }
          if (K <= 1) then J := -47;                                            //dwl 27Sep2013
          if (K = 2) then J := -50;                                             //dwl 27Sep2013
          if (K = 3) then J := -50;                                             //dwl 27Sep2013
          if (K = 4) then J := -52;                                             //dwl 27Sep2013
          if (K = 5) then J := -47;                                             //dwl 27Sep2013
          if (K = 6) then J := -58;                                             //dwl 27Sep2013
          if (K = 7) then J := -60;                                             //dwl 27Sep2013
          if (K = 8) then J := -55;                                             //dwl 27Sep2013
          if (K = 9) then J := -64;                                             //dwl 27Sep2013
          if (K = 10) then J := -65;                                            //dwl 27Sep2013
          if (K = 11) then J := -12;                                            //dwl 27Sep2013
          if (K = 12) then J := -14;                                            //dwl 27Sep2013
          if (K = 13) then J := -14;                                            //dwl 27Sep2013
          if (K = 14) then J := -16;                                            //dwl 27Sep2013
          if (K = 15) then J := -17;                                            //dwl 27Sep2013
          if (K = 16) then J := -19;                                            //dwl 27Sep2013
          if (K = 17) then J := -20;                                            //dwl 27Sep2013
          if (K >= 18) then J := -21;                                           //dwl 27Sep2013
        END;
        IF (IB = 8) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -47;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  -46-2*K;
          IF ((K = 6) OR (K = 7)) THEN J  :=  -57;
          IF ((K = 8) OR (K = 9)) THEN J  :=  -56;
          IF (K >= 10) THEN J  :=  -55;       }
          if (K <= 1) then J := -47;                                            //dwl 08Oct2013
          if (K = 2) then J := -46;                                             //dwl 08Oct2013
          if (K = 3) then J := -46;                                             //dwl 08Oct2013
          if (K = 4) then J := -49;                                             //dwl 09Oct2013
          if (K = 5) then J := -50;                                             //dwl 09Oct2013
          if (K = 6) then J := -50;                                             //dwl 09Oct2013
          if (K = 7) then J := -57;                                             //dwl 09Oct2013
          if (K = 8) then J := -54;                                             //dwl 09Oct2013
          if (K = 9) then J := -56;                                             //dwl 09Oct2013
          if (K = 10) then J := -58;                                            //dwl 09Oct2013
          if (K = 11) then J := -59;                                            //dwl 09Oct2013
          if (K = 12) then J := -61;                                            //dwl 09Oct2013
          if (K = 13) then J := -63;                                            //dwl 09Oct2013
          if (K = 14) then J := -64;                                            //dwl 09Oct2013
          if (K = 15) then J := -66;                                            //dwl 09Oct2013
          if (K = 16) then J := -68;                                            //dwl 09Oct2013
          if (K = 17) then J := -69;                                            //dwl 09Oct2013
          if (K = 18) then J := -70;                                            //dwl 09Oct2013
          if (K = 19) then J := -71;                                            //dwl 09Oct2013
          if (K = 20) then J := -73;                                            //dwl 09Oct2013
          if (K = 21) then J := -74;                                            //dwl 09Oct2013
          if (K >= 22) then J := -75;                                           //dwl 09Oct2013
        END;
        IF (IB = 9) THEN BEGIN
          J  :=  -46;
          if (K <= 1) then J := -46;                                            //dwl 16Oct2013
          if (K = 2) then J := -45;                                             //dwl 17Oct2013
          if (K = 3) then J := -46;                                             //dwl 17Oct2013
          if (K = 4) then J := -43;                                             //dwl 17Oct2013
          if (K = 5) then J := -48;                                             //dwl 17Oct2013
          if (K = 6) then J := -45;                                             //dwl 17Oct2013
          if (K = 7) then J := -46;                                             //dwl 17Oct2013
          if (K = 8) then J := -52;                                             //dwl 17Oct2013
          if (K = 9) then J := -49;                                             //dwl 17Oct2013
          if (K = 10) then J := -47;                                            //dwl 17Oct2013
          if (K = 11) then J := -45;                                            //dwl 17Oct2013
          if (K = 12) then J := -47;                                            //dwl 17Oct2013
          if (K = 13) then J := -48;                                            //dwl 17Oct2013
          if (K = 14) then J := -50;                                            //dwl 17Oct2013
          if (K = 15) then J := -52;                                            //dwl 17Oct2013
          if (K = 16) then J := -53;                                            //dwl 17Oct2013
          if (K = 17) then J := -55;                                            //dwl 17Oct2013
          if (K = 18) then J := -57;                                            //dwl 17Oct2013
          if (K = 19) then J := -58;                                            //dwl 17Oct2013
          if (K = 20) then J := -60;                                            //dwl 17Oct2013
          if (K = 21) then J := -61;                                            //dwl 17Oct2013
          if (K = 22) then J := -63;                                            //dwl 17Oct2013
          if (K = 23) then J := -64;                                            //dwl 17Oct2013
          if (K = 24) then J := -66;                                            //dwl 17Oct2013
          if (K = 25) then J := -67;                                            //dwl 17Oct2013
          if (K = 26) then J := -68;                                            //dwl 17Oct2013
          if (K = 27) then J := -70;                                            //dwl 17Oct2013
          if (K = 28) then J := -71;                                            //dwl 17Oct2013
          if (K = 29) then J := -72;                                            //dwl 17Oct2013
          if (K >= 30) then J := -72;                                           //dwl 17Oct2013
        END;
        IF (IB = 10) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -46;
          IF ((K = 2) OR (K = 3)) THEN J  :=  -47;
          IF (K = 4) THEN J  :=  -48;
          IF ((K = 5) OR (K = 6)) THEN J  :=  -49;
          IF ((K >= 7) AND (K <= 9)) THEN J  :=  -50;
          IF (K >= 10) THEN J  :=  -51;        }
          if (K <= 1) then J := -44;                                            //dwl 30Oct2013
          if (K = 2) then J := -43;                                             //dwl 30Oct2013
          if (K = 3) then J := -45;                                             //dwl 30Oct2013
          if (K = 4) then J := -50;                                             //dwl 30Oct2013
          if (K = 5) then J := -48;                                             //dwl 30Oct2013
          if (K = 6) then J := -51;                                             //dwl 30Oct2013
          if (K = 7) then J := -55;                                             //dwl 30Oct2013
          if (K = 8) then J := -54;                                             //dwl 30Oct2013
          if (K = 9) then J := -46;                                             //dwl 30Oct2013
          if (K = 10) then J := -41;                                            //dwl 30Oct2013
          if (K = 11) then J := -50;                                            //dwl 30Oct2013
          if (K = 12) then J := -51;                                            //dwl 30Oct2013
          if (K = 13) then J := -52;                                            //dwl 30Oct2013
          if (K = 14) then J := -53;                                            //dwl 30Oct2013
          if (K = 15) then J := -55;                                            //dwl 30Oct2013
          if (K = 16) then J := -56;                                            //dwl 30Oct2013
          if (K = 17) then J := -58;                                            //dwl 30Oct2013
          if (K = 18) then J := -59;                                            //dwl 30Oct2013
          if (K = 19) then J := -60;                                            //dwl 30Oct2013
          if (K = 20) then J := -61;                                            //dwl 30Oct2013
          if (K = 21) then J := -63;                                            //dwl 30Oct2013
          if (K = 22) then J := -65;                                            //dwl 30Oct2013
          if (K = 23) then J := -66;                                            //dwl 30Oct2013
          if (K = 24) then J := -68;                                            //dwl 30Oct2013
          if (K = 25) then J := -71;                                            //dwl 30Oct2013
          if (K = 26) then J := -73;                                            //dwl 30Oct2013
          if (K = 27) then J := -75;                                            //dwl 30Oct2013
          if (K = 28) then J := -77;                                            //dwl 30Oct2013
//          if (K = 29) then J := -78;                                            //dwl 30Oct2013
          if (K >= 29) then J := -35;                                           //dwl 30Oct2013
        END;
        IF (IB = 11) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -46;
          IF ((K >= 2) AND (K <= 9)) THEN J  :=  -44-2*K;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  -34-3*K;
          IF ((K >= 13) AND (K <= 17)) THEN J  :=  -60-K;
          IF (K = 18) THEN J  :=  -79;
          IF (K >= 19) THEN J  :=  -81;              }
          if (K <= 1) then J := -43;                                            //dwl 14Nov2013
          if (K = 2) then J := -44;                                             //dwl 15Nov2013
          if (K = 3) then J := -50;                                             //dwl 15Nov2013
          if (K = 4) then J := -47;                                             //dwl 15Nov2013
          if (K = 5) then J := -45;                                             //dwl 15Nov2013
          if (K = 6) then J := -47;                                             //dwl 15Nov2013
          if (K = 7) then J := -51;                                             //dwl 15Nov2013
          if (K = 8) then J := -54;                                             //dwl 15Nov2013
          if (K = 9) then J := -62;                                             //dwl 15Nov2013
          if (K = 10) then J := -62;                                            //dwl 15Nov2013
          if (K = 11) then J := -63;                                            //dwl 15Nov2013
          if (K = 12) then J := -67;                                            //dwl 15Nov2013
          if (K = 13) then J := -71;                                            //dwl 15Nov2013
          if (K = 14) then J := -72;                                            //dwl 15Nov2013
          if (K = 15) then J := -73;                                            //dwl 15Nov2013
          if (K = 16) then J := -74;                                            //dwl 18Nov2013
          if (K = 17) then J := -76;                                            //dwl 18Nov2013
          if (K = 18) then J := -88;                                            //dwl 18Nov2013
          if (K = 19) then J := -76;                                            //dwl 18Nov2013
          if (K = 20) then J := -81;                                            //dwl 18Nov2013
          if (K = 21) then J := -82;                                            //dwl 18Nov2013
          if (K = 22) then J := -84;                                            //dwl 18Nov2013
          if (K = 23) then J := -87;                                            //dwl 18Nov2013
          if (K = 24) then J := -89;                                            //dwl 18Nov2013
          if (K = 25) then J := -90;                                            //dwl 18Nov2013
          if (K = 26) then J := -92;                                            //dwl 18Nov2013
          if (K = 27) then J := -93;                                            //dwl 18Nov2013
          if (K = 28) then J := -95;                                            //dwl 18Nov2013
          if (K >= 29) then J := -35;                                           //dwl 18Nov2013
        END;
        IF (IB = 12) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -46;
          IF ((K >= 2) AND (K <= 8)) THEN J  :=  -45-4*K;
          IF ((K >= 9) AND (K <= 11)) THEN J  :=  -52-K;
          IF ((K >= 12) AND (K <= 14)) THEN J  :=  -41-2*K;
          IF ((K >= 15) AND (K <= 18)) THEN J  :=  -56-K;
          IF ((K >= 19) AND (K <= 21)) THEN J  :=  -37-2*K;
          IF (K >= 22) THEN J  :=  -80;               }
          if (K <= 1) then J := -42;                                            //dwl 13Dec2013
          if (K = 2) then J := -51;                                             //dwl 13Dec2013
          if (K = 3) then J := -53;                                             //dwl 13Dec2013
          if (K = 4) then J := -59;                                             //dwl 13Dec2013
          if (K = 5) then J := -56;                                             //dwl 20Dec2013
          if (K = 6) then J := -66;                                             //dwl 20Dec2013
          if (K = 7) then J := -74;                                             //dwl 20Dec2013
          if (K = 8) then J := -83;                                             //dwl 20Dec2013
          if (K = 9) then J := -60;                                             //dwl 20Dec2013
          if (K = 10) then J := -63;                                            //dwl 20Dec2013
          if (K = 11) then J := -63;                                            //dwl 20Dec2013
          if (K = 12) then J := -65;                                            //dwl 20Dec2013
          if (K = 13) then J := -67;                                            //dwl 20Dec2013
          if (K = 14) then J := -68;                                            //dwl 20Dec2013
          if (K = 15) then J := -70;                                            //dwl 20Dec2013
          if (K = 16) then J := -71;                                            //dwl 20Dec2013
          if (K = 17) then J := -73;                                            //dwl 20Dec2013
          if (K = 18) then J := -74;                                            //dwl 20Dec2013
          if (K = 19) then J := -75;                                            //dwl 20Dec2013
          if (K = 20) then J := -75;                                            //dwl 20Dec2013
          if (K = 21) then J := -79;                                            //dwl 20Dec2013
          if (K = 22) then J := -76;                                            //dwl 20Dec2013
          if (K = 23) then J := -80;                                            //dwl 20Dec2013
          if (K = 24) then J := -78;                                            //dwl 20Dec2013
          if (K = 25) then J := -85;                                            //dwl 20Dec2013
          if (K = 26) then J := -86;                                            //dwl 20Dec2013
          if (K = 27) then J := -88;                                            //dwl 20Dec2013
          if (K = 28) then J := -89;                                            //dwl 20Dec2013
          if (K >= 29) then J := -35;                                           //dwl 20Dec2013
        END;
        IF (IB = 13) THEN BEGIN
{          IF (K <= 2) THEN J  :=  -42;
          IF ((K >= 3) AND (K <= 24)) THEN J  :=  -((346+6*K) DIV 7);
          IF (K >= 25) THEN J  :=  -71;             }
          if (K <= 1) then J := -42;                                            //dwl 25Jan2014
          if (K = 2) then J := -39;                                             //dwl 26Jan2014
          if (K = 3) then J := -52;                                             //dwl 26Jan2014
          if (K = 4) then J := -52;                                             //dwl 26Jan2014
          if (K = 5) then J := -59;                                             //dwl 26Jan2014
          if (K = 6) then J := -48;                                             //dwl 26Jan2014
          if (K = 7) then J := -49;                                             //dwl 26Jan2014
          if (K = 8) then J := -49;                                             //dwl 26Jan2014
          if (K = 9) then J := -51;                                             //dwl 26Jan2014
          if (K = 10) then J := -50;                                            //dwl 26Jan2014
          if (K = 11) then J := -49;                                            //dwl 26Jan2014
          if (K = 12) then J := -48;                                            //dwl 26Jan2014
          if (K = 13) then J := -49;                                            //dwl 26Jan2014
          if (K = 14) then J := -50;                                            //dwl 26Jan2014
          if (K = 15) then J := -52;                                            //dwl 26Jan2014
          if (K = 16) then J := -55;                                            //dwl 26Jan2014
          if (K = 17) then J := -57;                                            //dwl 26Jan2014
          if (K = 18) then J := -58;                                            //dwl 26Jan2014
          if (K = 19) then J := -59;                                            //dwl 26Jan2014
          if (K = 20) then J := -61;                                            //dwl 26Jan2014
          if (K = 21) then J := -65;                                            //dwl 26Jan2014
          if (K = 22) then J := -65;                                            //dwl 26Jan2014
          if (K = 23) then J := -69;                                            //dwl 26Jan2014
          if (K = 24) then J := -72;                                            //dwl 26Jan2014
          if (K = 25) then J := -72;                                            //dwl 26Jan2014
          if (K = 26) then J := -73;                                            //dwl 26Jan2014
          if (K = 27) then J := -75;                                            //dwl 26Jan2014
          if (K = 28) then J := -76;                                            //dwl 26Jan2014
          if (K >= 29) then J := -35;                                           //dwl 26Jan2014
        END;
        IF (IB = 14) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -42;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  -46-2*K;
          IF (K = 6) THEN J  :=  -65;
          IF ((K = 7) OR (K = 8)) THEN J  :=  -75;
          IF ((K = 9) OR (K = 10)) THEN J  :=  -80;
          IF ((K >= 11) AND (K <= 13)) THEN J  :=  -82;
          IF ((K >= 14) AND (K <= 17)) THEN J  :=  -52-2*K;
          IF ((K >= 18) AND (K <= 20)) THEN J  :=  -23-4*K;
          IF ((K >= 21) AND (K <= 26)) THEN J  :=  -48-3*K;
          IF (K >= 27) THEN J  :=  -127;            }
          if (K <= 1) then J := -42;                                            //dwl 02May2014
          if (K = 2) then J := -50;                                             //dwl 02May2014  Hi Spread, about 21m
          if (K = 3) then J := -52;                                             //dwl 02May2014
          if (K = 4) then J := -55;                                             //dwl 05May2014
          if (K = 5) then J := -51;                                             //dwl 05May2014
          if (K = 6) then J := -62;                                             //dwl 05May2014
          if (K = 7) then J := -65;                                             //dwl 05May2014  Hi Spread, about 14m
          if (K = 8) then J := -81;                                             //dwl 05May2014
          if (K = 9) then J := -78;                                             //dwl 05May2014
          if (K = 10) then J := -75;                                            //dwl 05May2014  Hi Spread, about 13m
          if (K = 11) then J := -71;                                            //dwl 05May2014  Hi Spread, about 14m
          if (K = 12) then J := -72;                                            //dwl 05May2014  Hi Spread, about 19m
          if (K = 13) then J := -70;                                            //dwl 05May2014  Hi Spread, about 21m
          if (K = 14) then J := -86;                                            //dwl 05May2014
          if (K = 15) then J := -84;                                            //dwl 05May2014
          if (K = 16) then J := -89;                                            //dwl 05May2014  Hi Spread, about 14m
          if (K = 17) then J := -87;                                            //dwl 05May2014
          if (K = 18) then J := -94;                                            //dwl 05May2014
          if (K = 19) then J := -105;                                           //dwl 05May2014  Hi Spread, about 10m
          if (K = 20) then J := -103;                                           //dwl 05May2014
          if (K = 21) then J := -107;                                           //dwl 05May2014
          if (K = 22) then J := -111;                                           //dwl 05May2014
          if (K = 23) then J := -112;                                           //dwl 05May2014
          if (K = 24) then J := -115;                                           //dwl 05May2014
          if (K = 25) then J := -126;                                           //dwl 05May2014
          if (K = 26) then J := -125;                                           //dwl 05May2014
          if (K = 27) then J := -125;                                           //dwl 05May2014
          if (K = 28) then J := -127;                                           //dwl 05May2014
          if (K >= 29) then J := -34;                                           //dwl 05May2014
        END;
        IF (IB = 15) THEN BEGIN
{          IF (K <= 2) THEN J  :=  -42;
          IF ((K = 3) OR (K = 4)) THEN J  :=  -41;
          IF ((K >= 5) AND (K <= 9)) THEN J  :=  -59+4*K;
          IF ((K >= 10) AND (K <= 20)) THEN J  :=  -39-3*K;
          IF ((K >= 21) AND (K <= 26)) THEN J  :=  -78-K;
          IF (K >= 27) THEN J  :=  -110;           }
          if (K <= 1) then J := -42;                                            //dwl 12Jun2014
          if (K = 2) then J := -36;                                             //dwl 13Jun2014
          if (K = 3) then J := -26;                                             //dwl 13Jun2014
          if (K = 4) then J := -37;                                             //dwl 13Jun2014
          if (K = 5) then J := -29;                                             //dwl 13Jun2014
          if (K = 6) then J := -27;                                             //dwl 13Jun2014
          if (K = 7) then J := -21;                                             //dwl 13Jun2014
          if (K = 8) then J := -21;                                             //dwl 13Jun2014
          if (K = 9) then J := -28;                                             //dwl 13Jun2014
          if (K = 10) then J := -74;                                            //dwl 13Jun2014
          if (K = 11) then J := -72;                                            //dwl 13Jun2014
          if (K = 12) then J := -78;                                            //dwl 13Jun2014
          if (K = 13) then J := -73;                                            //dwl 13Jun2014
          if (K = 14) then J := -83;                                            //dwl 13Jun2014
          if (K = 15) then J := -74;                                            //dwl 13Jun2014
          if (K = 16) then J := -74;                                            //dwl 13Jun2014
          if (K = 17) then J := -85;                                            //dwl 13Jun2014
          if (K = 18) then J := -92;                                            //dwl 13Jun2014
          if (K = 19) then J := -98;                                            //dwl 13Jun2014
          if (K = 20) then J := -100;                                           //dwl 13Jun2014
          if (K = 21) then J := -99;                                            //dwl 13Jun2014
          if (K = 22) then J := -100;                                           //dwl 13Jun2014
          if (K = 23) then J := -102;                                           //dwl 13Jun2014
          if (K = 24) then J := -99;                                            //dwl 13Jun2014
          if (K = 25) then J := -100;                                           //dwl 13Jun2014
          if (K = 26) then J := -101;                                           //dwl 13Jun2014
          if (K = 27) then J := -103;                                           //dwl 13Jun2014
          if (K >= 28) then J := -34;                                           //dwl 13Jun2014
        END;
        IF (IB = 16) THEN BEGIN
{          IF (K <= 5) THEN J  :=  -39;
          IF ((K >= 6) AND (K <= 13)) THEN J  :=  -38;
          IF ((K >= 14) AND (K <= 21)) THEN J  :=  -39+((K-2) DIV 4);
          IF ((K >= 22) AND (K <= 27)) THEN J  :=  -45+(K DIV 2);
          IF (K >= 28) THEN J  :=  -32;             }
          if (K <= 1) then J := -39;                                            //dwl 11Jul2014
          if (K = 2) then J := -39;                                             //dwl 11Jul2014
          if (K = 3) then J := -39;                                             //dwl 11Jul2014
          if (K = 4) then J := -39;                                             //dwl 11Jul2014
          if (K = 5) then J := -36;                                             //dwl 11Jul2014
          if (K = 6) then J := -34;                                             //dwl 11Jul2014
          if (K = 7) then J := -32;                                             //dwl 11Jul2014
          if (K = 8) then J := -44;                                             //dwl 11Jul2014
          if (K = 9) then J := -38;                                             //dwl 11Jul2014
          if (K = 10) then J := -36;                                            //dwl 11Jul2014
          if (K = 11) then J := -40;                                            //dwl 11Jul2014
          if (K = 12) then J := -36;                                            //dwl 11Jul2014
          if (K = 13) then J := -36;                                            //dwl 11Jul2014
          if (K = 14) then J := -36;                                            //dwl 11Jul2014
          if (K = 15) then J := -33;                                            //dwl 11Jul2014
          if (K = 16) then J := -32;                                            //dwl 11Jul2014
          if (K = 17) then J := -30;                                            //dwl 11Jul2014
          if (K = 18) then J := -29;                                            //dwl 11Jul2014
          if (K = 19) then J := -27;                                            //dwl 11Jul2014
          if (K = 20) then J := -27;                                            //dwl 11Jul2014
          if (K = 21) then J := -26;                                            //dwl 11Jul2014
          if (K = 22) then J := -26;                                            //dwl 11Jul2014
          if (K = 23) then J := -26;                                            //dwl 11Jul2014
          if (K = 24) then J := -26;                                            //dwl 11Jul2014
          if (K = 25) then J := -26;                                            //dwl 11Jul2014
          if (K = 26) then J := -26;                                            //dwl 11Jul2014
          if (K = 27) then J := -27;                                            //dwl 11Jul2014
          if (K >= 28) then J := -32;                                           //dwl 11Jul2014
        END;
        IF (IB = 17) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -37;
          IF ((K >= 2) AND (K <= 7)) THEN J  :=  -32-3*K;
          IF ((K >= 8) AND (K <= 11)) THEN J  :=  -36-3*K;
          IF ((K >= 12) AND (K <= 15)) THEN J  :=  -70;
          IF ((K >= 16) AND (K <= 27)) THEN J  :=  -41-(K DIV 2);
          IF (K >= 28) THEN J  :=  -54;             }
          if (K <= 1) then J := -37;                                            //dwl 28Jul2014
          if (K = 2) then J := -39;                                             //dwl 29Jul2014
          if (K = 3) then J := -39;                                             //dwl 29Jul2014
          if (K = 4) then J := -44;                                             //dwl 29Jul2014
          if (K = 5) then J := -42;                                             //dwl 29Jul2014
          if (K = 6) then J := -46;                                             //dwl 29Jul2014
          if (K = 7) then J := -52;                                             //dwl 29Jul2014
          if (K = 8) then J := -55;                                             //dwl 29Jul2014
          if (K = 9) then J := -63;                                             //dwl 29Jul2014
          if (K = 10) then J := -66;                                            //dwl 29Jul2014
          if (K = 11) then J := -69;                                            //dwl 29Jul2014
          if (K = 12) then J := -69;                                            //dwl 29Jul2014
          if (K = 13) then J := -70;                                            //dwl 29Jul2014
          if (K = 14) then J := -70;                                            //dwl 29Jul2014
          if (K = 15) then J := -71;                                            //dwl 29Jul2014
          if (K = 16) then J := -71;                                            //dwl 29Jul2014
          if (K = 17) then J := -72;                                            //dwl 29Jul2014
          if (K = 18) then J := -71;                                            //dwl 29Jul2014
          if (K = 19) then J := -70;                                            //dwl 29Jul2014
          if (K = 20) then J := -70;                                            //dwl 29Jul2014
          if (K = 21) then J := -65;                                            //dwl 29Jul2014
          if (K = 22) then J := -65;                                            //dwl 29Jul2014
          if (K = 23) then J := -59;                                            //dwl 29Jul2014
          if (K = 24) then J := -48;                                            //dwl 29Jul2014
          if (K = 25) then J := -47;                                            //dwl 29Jul2014
          if (K = 26) then J := -46;                                            //dwl 29Jul2014
          if (K = 27) then J := -47;                                            //dwl 29Jul2014
          if (K >= 28) then J := -31;                                           //dwl 29Jul2014
        END;
        IF (IB = 18) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -36;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  -33-2*K;
          IF ((K >= 6) AND (K <= 8)) THEN J  :=  -23-4*K;
          IF ((K = 9) OR (K = 10)) THEN J  :=  -62;
          IF ((K >= 11) AND (K <= 15)) THEN J  :=  -64;
          IF ((K = 16) OR (K = 17)) THEN J  :=  -57;
          IF ((K >= 18) AND (K <= 20)) THEN J  :=  -62;
          IF (K = 21) THEN J  :=  -57;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  -65;
          IF ((K = 25) OR (K = 26)) THEN J  :=  -62;
          IF (K >= 27) THEN J  :=  -48;          }
          if (K <= 1) then J := -35;                                            //dwl 11Aug2014
          if (K = 2) then J := -34;                                             //dwl 11Aug2014
          if (K = 3) then J := -38;                                             //dwl 11Aug2014
          if (K = 4) then J := -40;                                             //dwl 11Aug2014
          if (K = 5) then J := -43;                                             //dwl 11Aug2014
          if (K = 6) then J := -47;                                             //dwl 11Aug2014
          if (K = 7) then J := -51;                                             //dwl 11Aug2014
          if (K = 8) then J := -55;                                             //dwl 11Aug2014
          if (K = 9) then J := -61;                                             //dwl 11Aug2014
          if (K = 10) then J := -62;                                            //dwl 11Aug2014
          if (K = 11) then J := -63;                                            //dwl 11Aug2014
          if (K = 12) then J := -63;                                            //dwl 11Aug2014
          if (K = 13) then J := -64;                                            //dwl 11Aug2014
          if (K = 14) then J := -64;                                            //dwl 11Aug2014
          if (K = 15) then J := -64;                                            //dwl 11Aug2014
          if (K = 16) then J := -65;                                            //dwl 11Aug2014
          if (K = 17) then J := -66;                                            //dwl 11Aug2014
          if (K = 18) then J := -68;                                            //dwl 11Aug2014
          if (K = 19) then J := -72;                                            //dwl 11Aug2014
          if (K = 20) then J := -71;                                            //dwl 11Aug2014
          if (K = 21) then J := -66;                                            //dwl 11Aug2014
          if (K = 22) then J := -63;                                            //dwl 11Aug2014
          if (K = 23) then J := -66;                                            //dwl 11Aug2014
          if (K = 24) then J := -66;                                            //dwl 11Aug2014
          if (K = 25) then J := -66;                                            //dwl 11Aug2014
          if (K = 26) then J := -66;                                            //dwl 11Aug2014
          if (K = 27) then J := -47;                                            //dwl 11Aug2014
          if (K >= 28) then J := -33;                                           //dwl 11Aug2014
        END;
        IF (IB = 19) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -40;
          IF (K = 2) THEN J  :=  -42;
          IF ((K >= 3) AND (K <= 5)) THEN J  :=  -41-K;
          IF ((K >= 6) AND (K <= 8)) THEN J  :=  -35-2*K;
          IF ((K >= 9) AND (K <= 12)) THEN J  :=  -44-K;
          IF (K = 13) THEN J  :=  -63;
          IF ((K >= 14) AND (K <= 19)) THEN J  :=  -44-2*K;
          IF ((K >= 20) AND (K <= 22)) THEN J  :=  -84;
          IF (K >= 23) THEN J  :=  -85;         }
          if (K <= 1) then J := -38;                                            //dwl 19Aug2014
          if (K = 2) then J := -39;                                             //dwl 20Aug2014
          if (K = 3) then J := -43;                                             //dwl 20Aug2014
          if (K = 4) then J := -44;                                             //dwl 20Aug2014
          if (K = 5) then J := -44;                                             //dwl 20Aug2014
          if (K = 6) then J := -41;                                             //dwl 20Aug2014
          if (K = 7) then J := -41;                                             //dwl 20Aug2014
          if (K = 8) then J := -60;                                             //dwl 20Aug2014
          if (K = 9) then J := -63;                                             //dwl 20Aug2014
          if (K = 10) then J := -68;                                            //dwl 20Aug2014
          if (K = 11) then J := -68;                                            //dwl 20Aug2014
          if (K = 12) then J := -62;                                            //dwl 20Aug2014
          if (K = 13) then J := -63;                                            //dwl 20Aug2014
          if (K = 14) then J := -71;                                            //dwl 20Aug2014
          if (K = 15) then J := -78;                                            //dwl 20Aug2014
          if (K = 16) then J := -77;                                            //dwl 20Aug2014
          if (K = 17) then J := -76;                                            //dwl 20Aug2014
          if (K = 18) then J := -76;                                            //dwl 20Aug2014
          if (K = 19) then J := -81;                                            //dwl 20Aug2014
          if (K = 20) then J := -83;                                            //dwl 20Aug2014
          if (K = 21) then J := -83;                                            //dwl 20Aug2014
          if (K = 22) then J := -85;                                            //dwl 20Aug2014
          if (K = 23) then J := -89;                                            //dwl 20Aug2014
          if (K = 24) then J := -81;                                            //dwl 20Aug2014
          if (K = 25) then J := -84;                                            //dwl 20Aug2014
          if (K = 26) then J := -85;                                            //dwl 20Aug2014
          if (K >= 27) then J := -32;                                           //dwl 20Aug2014
        END;
        IF (IB = 20) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -40;
          IF ((K >= 2) AND (K <= 12)) THEN J  :=  -38-2*K;
          IF ((K = 13) OR (K = 14)) THEN J  :=  34-8*K;
          IF ((K >= 15) AND (K <= 17)) THEN J  :=  -67-K;
          IF ((K >= 18) AND (K <= 23)) THEN J  :=  -79-((K-1) DIV 2);
          IF ((K = 24) OR (K = 25)) THEN J  :=  -25-3*K;
          IF (K >= 26) THEN J  :=  -117;          }
          if (K <= 1) then J := -42;                                            //dwl 02Sep2014
          if (K = 2) then J := -59;                                             //dwl 03Sep2014
          if (K = 3) then J := -63;                                             //dwl 03Sep2014
          if (K = 4) then J := -68;                                             //dwl 03Sep2014
          if (K = 5) then J := -66;                                             //dwl 03Sep2014
          if (K = 6) then J := -63;                                             //dwl 03Sep2014
          if (K = 7) then J := -65;                                             //dwl 03Sep2014
          if (K = 8) then J := -65;                                             //dwl 03Sep2014
          if (K = 9) then J := -66;                                             //dwl 03Sep2014
          if (K = 10) then J := -67;                                            //dwl 03Sep2014
          if (K = 11) then J := -67;                                            //dwl 03Sep2014
          if (K = 12) then J := -68;                                            //dwl 03Sep2014
          if (K = 13) then J := -71;                                            //dwl 03Sep2014
          if (K = 14) then J := -79;                                            //dwl 03Sep2014
          if (K = 15) then J := -82;                                            //dwl 03Sep2014
          if (K = 16) then J := -83;                                            //dwl 03Sep2014
          if (K = 17) then J := -82;                                            //dwl 03Sep2014
          if (K = 18) then J := -86;                                            //dwl 03Sep2014
          if (K = 19) then J := -87;                                            //dwl 03Sep2014
          if (K = 20) then J := -88;                                            //dwl 03Sep2014
          if (K = 21) then J := -89;                                            //dwl 03Sep2014
          if (K = 22) then J := -91;                                            //dwl 03Sep2014
          if (K = 23) then J := -93;                                            //dwl 03Sep2014
          if (K = 24) then J := -99;                                            //dwl 03Sep2014
          if (K = 25) then J := -99;                                            //dwl 03Sep2014
          if (K = 26) then J := -119;                                           //dwl 03Sep2014
          if (K >= 27) then J := -30;                                           //dwl 03Sep2014
        END;
        IF (IB = 21) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -43;
          IF ((K = 2) OR (K = 3)) THEN J  :=  -14-22*K;
          IF ((K >= 4) AND (K <= 8)) THEN J  :=  -102;
          IF ((K >= 9) AND (K <= 12)) THEN J  :=  -105+((K-1) DIV 2);
          IF ((K >= 13) AND (K <= 23)) THEN J  :=  -99;
          IF ((K = 24) OR (K = 25)) THEN J  :=  -24-3*K;
          IF (K = 26) THEN J  :=  -111;
          IF (K >= 27) THEN J  :=  -115;              }
          if (K <= 1) then J := -42;                                            //dwl 11Sep2014
          if (K = 2) then J := -62;                                             //dwl 11Sep2014
          if (K = 3) then J := -82;                                             //dwl 15Sep2014
          if (K = 4) then J := -102;                                            //dwl 15Sep2014
          if (K = 5) then J := -101;                                            //dwl 15Sep2014
          if (K = 6) then J := -101;                                            //dwl 15Sep2014
          if (K = 7) then J := -101;                                            //dwl 15Sep2014
          if (K = 8) then J := -101;                                            //dwl 15Sep2014
          if (K = 9) then J := -100;                                            //dwl 15Sep2014
          if (K = 10) then J := -100;                                           //dwl 15Sep2014
          if (K = 11) then J := -99;                                            //dwl 15Sep2014
          if (K = 12) then J := -99;                                            //dwl 15Sep2014
          if (K = 13) then J := -99;                                            //dwl 15Sep2014
          if (K = 14) then J := -99;                                            //dwl 15Sep2014
          if (K = 15) then J := -100;                                           //dwl 15Sep2014
          if (K = 16) then J := -96;                                            //dwl 15Sep2014
          if (K = 17) then J := -98;                                            //dwl 15Sep2014
          if (K = 18) then J := -98;                                            //dwl 15Sep2014
          if (K = 19) then J := -98;                                            //dwl 15Sep2014
          if (K = 20) then J := -99;                                            //dwl 15Sep2014
          if (K = 21) then J := -101;                                           //dwl 15Sep2014
          if (K = 22) then J := -99;                                            //dwl 15Sep2014
          if (K = 23) then J := -101;                                           //dwl 15Sep2014
          if (K = 24) then J := -93;                                            //dwl 15Sep2014
          if (K = 25) then J := -102;                                            //dwl 15Sep2014
          if (K = 26) then J := -110;                                           //dwl 15Sep2014
          if (K >= 27) then J := -31;                                           //dwl 15Sep2014
        END;
        IF (IB = 22) THEN BEGIN
{          IF (K <= 8) THEN J  :=  -43;
          IF ((K >= 9) AND (K <= 13)) THEN J  :=  -51+K;
          IF ((K >= 14) AND (K <= 17)) THEN J  :=  -37;
          IF ((K = 18) OR (K = 19)) THEN J  :=  -23;
          IF (K = 20) THEN J  :=  -45;
          IF (K = 21) THEN J  :=  -66;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  -113+2*K;
          IF (K >= 25) THEN J  :=  -63;             }
          if (K <= 1) then J := -42;                                            //dwl 01Oct2014
          if (K = 2) then J := -42;                                             //dwl 02Oct2014
          if (K = 3) then J := -43;                                             //dwl 02Oct2014
          if (K = 4) then J := -43;                                             //dwl 02Oct2014
          if (K = 5) then J := -43;                                             //dwl 02Oct2014
          if (K = 6) then J := -43;                                             //dwl 02Oct2014
          if (K = 7) then J := -42;                                             //dwl 02Oct2014
          if (K = 8) then J := -42;                                             //dwl 02Oct2014
          if (K = 9) then J := -41;                                             //dwl 02Oct2014
          if (K = 10) then J := -40;                                            //dwl 02Oct2014
          if (K = 11) then J := -39;                                            //dwl 02Oct2014
          if (K = 12) then J := -38;                                            //dwl 02Oct2014
          if (K = 13) then J := -37;                                            //dwl 02Oct2014
          if (K = 14) then J := -37;                                            //dwl 02Oct2014
          if (K = 15) then J := -37;                                            //dwl 02Oct2014
          if (K = 16) then J := -36;                                            //dwl 02Oct2014
          if (K = 17) then J := -33;                                            //dwl 02Oct2014
          if (K = 18) then J := -22;                                            //dwl 02Oct2014
          if (K = 19) then J := -23;                                            //dwl 02Oct2014
          if (K = 20) then J := -45;                                            //dwl 02Oct2014
          if (K = 21) then J := -69;                                            //dwl 02Oct2014
          if (K = 22) then J := -67;                                            //dwl 02Oct2014
          if (K = 23) then J := -67;                                            //dwl 02Oct2014
          if (K = 24) then J := -63;                                            //dwl 02Oct2014
          if (K = 25) then J := -62;                                            //dwl 02Oct2014
          if (K = 26) then J := -62;                                            //dwl 02Oct2014
          if (K >= 27) then J := -27;                                           //dwl 02Oct2014
        END;
        IF (IB = 23) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -43;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -39-2*K;
          IF ((K = 5) OR (K = 6)) THEN J  :=  -48;
          IF ((K >= 7) AND (K <= 21)) THEN J  :=  -49;
          IF ((K >= 22) AND (K <= 25)) THEN J  :=  -46;
          IF (K >= 26) THEN J  :=  -52;           }
          if (K <= 1) then J := -40;                                            //dwl 20Oct2014
          if (K = 2) then J := -43;                                             //dwl 22Oct2014
          if (K = 3) then J := -45;                                             //dwl 22Oct2014
          if (K = 4) then J := -46;                                             //dwl 22Oct2014
          if (K = 5) then J := -47;                                             //dwl 22Oct2014
          if (K = 6) then J := -48;                                             //dwl 22Oct2014
          if (K = 7) then J := -48;                                             //dwl 22Oct2014
          if (K = 8) then J := -48;                                             //dwl 22Oct2014
          if (K = 9) then J := -49;                                             //dwl 22Oct2014
          if (K = 10) then J := -49;                                            //dwl 22Oct2014
          if (K = 11) then J := -49;                                            //dwl 22Oct2014
          if (K = 12) then J := -49;                                            //dwl 22Oct2014
          if (K = 13) then J := -49;                                            //dwl 22Oct2014
          if (K = 14) then J := -49;                                            //dwl 22Oct2014
          if (K = 15) then J := -49;                                            //dwl 22Oct2014
          if (K = 16) then J := -49;                                            //dwl 22Oct2014
          if (K = 17) then J := -48;                                            //dwl 22Oct2014
          if (K = 18) then J := -48;                                            //dwl 22Oct2014
          if (K = 19) then J := -49;                                            //dwl 22Oct2014
          if (K = 20) then J := -48;                                            //dwl 22Oct2014
          if (K = 21) then J := -49;                                            //dwl 22Oct2014
          if (K = 22) then J := -44;                                            //dwl 22Oct2014
          if (K = 23) then J := -45;                                            //dwl 22Oct2014
          if (K = 24) then J := -44;                                            //dwl 22Oct2014
          if (K = 25) then J := -52;                                            //dwl 22Oct2014
          if (K = 26) then J := -52;                                            //dwl 22Oct2014
          if (K >= 27) then J := -23;                                           //dwl 22Oct2014
        END;
        IF (IB = 24) THEN BEGIN
{          IF (K <= 2) THEN J  :=  -40;
          IF ((K = 3) OR (K = 4)) THEN J  :=  -41;
          IF ((K >= 5) AND (K <= 9)) THEN J  :=  -41-(K DIV 2);
          IF ((K >= 10) AND (K <= 13)) THEN J  :=  -36-K;
          IF ((K = 14) OR (K = 15)) THEN J  :=  -50;
          IF ((K >= 16) AND (K <= 18)) THEN J  :=  -51;
          IF ((K >= 19) AND (K <= 21)) THEN J  :=  -18-K;
          IF ((K >= 22) AND (K <= 24)) THEN J  :=  -42;
          IF (K >= 25) THEN J  :=  -46;               }
          if (K <= 1) then J := -37;                                            //dwl 20Nov2014
          if (K = 2) then J := -38;                                             //dwl 11Jan2015
          if (K = 3) then J := -39;                                             //dwl 11Jan2015
          if (K = 4) then J := -40;                                             //dwl 11Jan2015
          if (K = 5) then J := -40;                                             //dwl 11Jan2015
          if (K = 6) then J := -41;                                             //dwl 11Jan2015
          if (K = 7) then J := -41;                                             //dwl 11Jan2015
          if (K = 8) then J := -41;                                             //dwl 11Jan2015
          if (K = 9) then J := -41;                                             //dwl 11Jan2015
          if (K = 10) then J := -41;                                            //dwl 11Jan2015
          if (K = 11) then J := -42;                                            //dwl 11Jan2015
          if (K = 12) then J := -42;                                            //dwl 11Jan2015
          if (K = 13) then J := -43;                                            //dwl 11Jan2015
          if (K = 14) then J := -44;                                            //dwl 11Jan2015
          if (K = 15) then J := -45;                                            //dwl 11Jan2015
          if (K = 16) then J := -45;                                            //dwl 11Jan2015
          if (K = 17) then J := -45;                                            //dwl 11Jan2015
          if (K = 18) then J := -50;                                            //dwl 11Jan2015
          if (K = 19) then J := -36;                                            //dwl 11Jan2015
          if (K = 20) then J := -39;                                            //dwl 11Jan2015
          if (K = 21) then J := -40;                                            //dwl 11Jan2015
          if (K = 22) then J := -45;                                            //dwl 11Jan2015
          if (K = 23) then J := -43;                                            //dwl 11Jan2015
          if (K = 24) then J := -43;                                            //dwl 11Jan2015
          if (K = 25) then J := -45;                                            //dwl 11Jan2015
          if (K >= 26) then J := -23;                                           //dwl 11Jan2015
        END;
        IF (IB = 25) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -43;
          IF ((K >= 2) AND (K <= 13)) THEN J  :=  -64+K;
          IF ((K >= 14) AND (K <= 22)) THEN J  :=  -61+K-((K-1) DIV 3);
          IF (K >= 23) THEN J  :=  -44;         }
          if (K <= 1) then J := -36;                                            //dwl 18Jan2015
          if (K = 2) then J := -59;                                             //dwl 18Jan2015
          if (K = 3) then J := -59;                                             //dwl 18Jan2015
          if (K = 4) then J := -59;                                             //dwl 18Jan2015
          if (K = 5) then J := -58;                                             //dwl 18Jan2015
          if (K = 6) then J := -57;                                             //dwl 18Jan2015
          if (K = 7) then J := -56;                                             //dwl 18Jan2015
          if (K = 8) then J := -54;                                             //dwl 18Jan2015
          if (K = 9) then J := -53;                                             //dwl 18Jan2015
          if (K = 10) then J := -51;                                            //dwl 18Jan2015
          if (K = 11) then J := -50;                                            //dwl 18Jan2015
          if (K = 12) then J := -50;                                            //dwl 18Jan2015
          if (K = 13) then J := -50;                                            //dwl 18Jan2015
          if (K = 14) then J := -50;                                            //dwl 18Jan2015
          if (K = 15) then J := -51;                                            //dwl 18Jan2015
          if (K = 16) then J := -51;                                            //dwl 18Jan2015
          if (K = 17) then J := -50;                                            //dwl 18Jan2015
          if (K = 18) then J := -49;                                            //dwl 18Jan2015
          if (K = 19) then J := -47;                                            //dwl 18Jan2015
          if (K = 20) then J := -48;                                            //dwl 18Jan2015
          if (K = 21) then J := -45;                                            //dwl 18Jan2015
          if (K = 22) then J := -41;                                            //dwl 18Jan2015
          if (K = 23) then J := -42;                                            //dwl 18Jan2015
          if (K = 24) then J := -40;                                            //dwl 18Jan2015
          if (K = 25) then J := -39;                                            //dwl 18Jan2015
          if (K >= 26) then J := -23;                                            //dwl 18Jan2015
        END;
        IF (IB = 26) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -49;
          IF ((K >= 2) AND (K <= 5)) THEN J  :=  -64+K;
          IF ((K >= 6) AND (K <= 15)) THEN J  :=  -65+K;
          IF ((K >= 16) AND (K <= 19)) THEN J  :=  -66+K;
          IF ((K >= 20) AND (K <= 24)) THEN J  :=  -67+K;
          IF (K >= 25) THEN J  :=  -42;              }
          if (K <= 1) then J := -39;                                            //dwl 23Jan2015
          if (K = 2) then J := -54;                                             //dwl 24Jan2015
          if (K = 3) then J := -53;                                             //dwl 24Jan2015
          if (K = 4) then J := -51;                                             //dwl 24Jan2015
          if (K = 5) then J := -50;                                             //dwl 24Jan2015
          if (K = 6) then J := -48;                                             //dwl 24Jan2015
          if (K = 7) then J := -47;                                             //dwl 24Jan2015
          if (K = 8) then J := -46;                                             //dwl 24Jan2015
          if (K = 9) then J := -44;                                             //dwl 24Jan2015
          if (K = 10) then J := -45;                                            //dwl 24Jan2015
          if (K = 11) then J := -45;                                            //dwl 24Jan2015
          if (K = 12) then J := -46;                                            //dwl 24Jan2015
          if (K = 13) then J := -47;                                            //dwl 24Jan2015
          if (K = 14) then J := -49;                                            //dwl 24Jan2015
          if (K = 15) then J := -49;                                            //dwl 24Jan2015
          if (K = 16) then J := -49;                                            //dwl 24Jan2015
          if (K = 17) then J := -48;                                            //dwl 24Jan2015
          if (K = 18) then J := -46;                                            //dwl 24Jan2015
          if (K = 19) then J := -47;                                            //dwl 24Jan2015
          if (K = 20) then J := -46;                                            //dwl 24Jan2015
          if (K = 21) then J := -45;                                            //dwl 24Jan2015
          if (K = 22) then J := -44;                                            //dwl 24Jan2015
          if (K = 23) then J := -43;                                            //dwl 24Jan2015
          if (K = 24) then J := -42;                                            //dwl 24Jan2015
          if (K = 25) then J := -43;                                            //dwl 24Jan2015
          if (K >= 26) then J := -24;                                            //dwl 24Jan2015
        END;
        IF (IB = 27) THEN BEGIN
//          IF (K <= 1) THEN J  :=  -51;
//          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -70;
//          IF ((K >= 5) AND (K <= 9)) THEN J  :=  -77+2*K-((K-1) DIV 3);
//          IF ((K >= 10) AND (K <= 24)) THEN J  :=  -71+K+((K+1) DIV 7);
//          IF (K >= 25) THEN J  :=  -43
          if (K = 1) then J := -41;
          if ((K >= 2) and (K <= 4)) then J := K+K-69;
          if (K = 5) then J := -60;
          if ((K >= 6) and (K <= 13)) then J := K-64;
          if ((K = 14) or (K = 15)) then J := -50;
          if ((K = 16) or (K = 17)) then J := K+K-81;
          if ((K = 18) or (K = 19)) then J := -45;
          if (K >= 20) then J := -44;
          if (K >= 26) then J := -24;                                           //dwl 24Jan2015
        END;
        IF (IB = 28) THEN BEGIN
//          IF (K <= 2) THEN J  :=  -51;
//          IF ((K >= 3) AND (K <= 15)) THEN J  :=  -56+2*(K-((K-3) DIV 5));
//          IF ((K >= 16) AND (K <= 19)) THEN J  :=  -44+K;
//          IF (K >= 20) THEN J  :=  -24
          if (K <= 2) then J := -41-K;                                          //dwl 11Jul2013
          if ((K >= 3) and (K <= 7)) then J := K-44;                            //dwl 11Jul2013
          if ((K = 8) or (K = 9)) then J := -36;                                //dwl 11Jul2013
          if ((K = 10) or (K = 11)) then J := -35;                              //dwl 11Jul2013
          if ((K = 12) or (K = 13)) then J := -33;                              //dwl 11Jul2013
          if ((K = 14) or (K = 15)) then J := K-46;                             //dwl 11Jul2013
          if (K = 16) then J := -29;                                            //dwl 11Jul2013
          if ((K = 17) or (K = 18)) then J := -28;                              //dwl 11Jul2013
          if ((K >= 19) and (K <= 23)) then J := -26;                           //dwl 11Jul2013
          if (K = 24) then J := -25;                                            //dwl 11Jul2013
          if (K >= 25) then J := -24;                                           //dwl 24Jan2015
        END;
        IF (IB = 29) THEN BEGIN
//          IF (K <= 6) THEN J  :=  -51;
//          IF ((K >= 7) AND (K <= 16)) THEN J  :=  -50;
//          IF ((K >= 17) AND (K <= 21)) THEN J  :=  -49;
//          IF (K >= 22) THEN J  :=  -48
          if (K = 1) then J := -43;                                             //dwl 10Jul2013
          if ((K >= 2) and (K <= 5)) then J := -44;                             //dwl 10Jul2013
          if ((K >= 6) and (K <= 14)) then J := -K-K-31;                        //dwl 10Jul2013
          if ((K = 15) or (K = 16)) then J := -60;                              //dwl 10Jul2013
          if ((K >= 17) and (K <= 19)) then J := K-76;                          //dwl 10Jul2013
          if ((K >= 20) and (K <= 22)) then J := K+K-95;                        //dwl 10Jul2013
          if (K >= 23) then J := K-73;                                          //dwl 10Jul2013
          if (K >= 25) then J := -22;                                           //dwl 24Jan2015
        END;
        IF (IB = 30) THEN BEGIN
//          IF (K <= 6) THEN J  :=  -52;
//          IF ((K >= 7) AND (K <= 16)) THEN J  :=  -53;
//          IF ((K >= 17) AND (K <= 20)) THEN J  :=  -54;
//          IF (K >= 21) THEN J  :=  -55
          if (K = 1) then J := -41;                                             //dwl 09Jul2013
          if ((K = 2) or (K = 3)) then J := -42;                                //dwl 09Jul2013
          if ((K >= 4) and (K <= 14)) then J := -39-K;                          //dwl 09Jul2013
          if ((K = 15) or (K = 16)) then J := -54;                              //dwl 09Jul2013
          if ((K = 17) or (K = 18)) then J := -55;                              //dwl 09Jul2013
          if (K >= 19) then J := -56;                                           //dwl 09Jul2013
          if (K >= 25) then J := -23;                                           //dwl 24Jan2015
        END;
        IF (IB = 31) THEN BEGIN
//          IF (K <= 2) THEN J  :=  -51;
//          IF ((K >= 3) AND (K <= 6)) THEN J  :=  -50;
//          IF ((K >= 7) AND (K <= 14)) THEN J  :=  -49;
//          IF (K >= 15) THEN J  :=  -52+((K+1) DIV 4)
          if (K <= 2) then J := -39;                                            //dwl 08Jul2013
          if ((K = 3) or (K = 4)) then J := -38;                                //dwl 08Jul2013
          if ((K = 5) or (K = 6)) then J := -34-K;                              //dwl 08Jul2013
          if ((K >= 7) and (K <= 9)) then J := -28-K-K;                         //dwl 08Jul2013
          if (K = 10) then J := -47;                                            //dwl 08Jul2013
          if ((K >= 11) and (K <= 22)) then J := -48;                           //dwl 08Jul2013
          if (K >= 23) then J := -47;                                           //dwl 08Jul2013
          if (K >= 25) then J := -23;                                            //dwl 24Jan2015
        END;
        IF (IB = 32) THEN BEGIN
//          IF (K <= 11) THEN J  :=  -49;
//          IF ((K >= 12) AND (K <= 14)) THEN J  :=  -50;
//          IF ((K = 15) OR (K = 16)) THEN J  :=  -61+K;
//          IF ((K >= 17) AND (K <= 20)) THEN J  :=  -52+((K-1) DIV 2);
//          IF (K >= 21) THEN J  :=  -42
          if (K <= 2) then J := -39;                                            //dwl 05Jul2013
          if ((K >= 3) and (K <= 6)) then J := -40;                             //dwl 05Jul2013
          if ((K = 7) or (K = 8)) then J := -41;                                //dwl 05Jul2013
          if ((K >= 9) and (K <= 11)) then J := -42;                            //dwl 05Jul2013
          if (K = 12) then J := -43;                                            //dwl 05Jul2013
          if ((K = 13) or (K = 14)) then J := -44;                              //dwl 05Jul2013
          if (K = 15) then J := -40;                                            //dwl 05Jul2013
          if ((K >= 16) and (K <= 21)) then J := -39;                           //dwl 05Jul2013
          if (K = 22) then J := -40;                                            //dwl 05Jul2013
          if (K = 23) then J := -41;                                            //dwl 05Jul2013
          if (K >= 24) then J := -23;                                            //dwl 24Jan2015
        END;
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
{      IF (IB = 14) THEN J  :=  -36;
      IF (IB = 15) THEN J  :=  -35;
      IF ((IB = 16) OR (IB = 17)) THEN J  :=  -31;
      IF (IB = 18) THEN J  :=  -34;
      IF ((IB >= 19) AND (IB <= 21)) THEN J  :=  -32;
      IF (IB = 22) THEN J  :=  -26;
      IF ((IB >= 23) AND (IB <= 25)) THEN J  :=  -24;
      IF ((IB = 26) OR (IB = 27)) THEN J  :=  -25;
      IF (IB = 28) THEN J  := -24;
//      IF ((IB = 29) OR (IB = 30)) THEN J  :=  -23;
//      IF ((IB = 31) OR (IB = 32)) THEN J  :=  -24;        }
      if (IB = 10) then J := -35;                                               //dwl 30Oct2013
      if (IB = 11) then J := -35;                                               //dwl 18Nov2013
      if (IB = 12) then J := -35;                                               //dwl 20Dec2013
      if (IB = 13) then J := -35;                                               //dwl 26Jan2014
      if (IB = 14) then J := -34;                                               //dwl 05May2014
      if (IB = 15) then J := -34;                                               //dwl 05May2014
      if (IB = 16) then J := -32;                                               //dwl 11Jul2014
      if (IB = 17) then J := -31;                                               //dwl 29Jul2014
      if (IB = 18) then J := -33;                                               //dwl 11Aug2014
      if (IB = 19) then J := -32;                                               //dwl 20Aug2014
      if (IB = 20) then J := -30;                                               //dwl 03Sep2014
      if (IB = 21) then J := -31;                                               //dwl 15Sep2014
      if (IB = 22) then J := -27;                                               //dwl 02Oct2014
      if (IB = 23) then J := -23;                                               //dwl 02Oct2014
      if (IB = 24) then J := -23;                                               //dwl 11Jan2015
      if (IB = 25) then J := -23;                                               //dwl 18Jan2015
      if (IB = 26) then J := -24;                                               //dwl 24Jan2015
      if (IB = 27) then J := -24;                                               //dwl 12Jul2013
      if (IB = 28) then J := -24;                                               //dwl 12Jul2013
      if (IB = 29) then J := -22;                                               //dwl 10Jul2013
      if (IB = 30) then J := -23;                                               //dwl 09Jul2013
      if (IB = 31) then J := -23;                                               //dwl 08Jul2013
      if (IB = 32) then J := -23;                                               //dwl 05Jul2013
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT;
      GOTO 6000
      END;
{
C     FOR 'W6' BASE LINE
     }
      IF (EWM = 'W6') THEN BEGIN
{
C     - AT START AND END OF RANGE
     }
      FOR K := IRG TO IRG+1 DO BEGIN
{
C     - IB IS THE BASE LINE NUMBER
C     - K IS THE RANGE
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
        J  :=  0;
        IF (IB = 10) THEN BEGIN
          if (K <= 1) then J := -35;                                            //dwl 30Oct2013
          if (K = 2) then J := -36;                                             //dwl 30Oct2013
          if (K >= 3) then J := -37;                                            //dwl 30Oct2013
        END;
        IF (IB = 11) THEN BEGIN
          if (K <= 1) then J := -35;                                            //dwl 18Nov2013
          if (K = 2) then J := -36;                                             //dwl 18Nov2013
          if (K = 3) then J := -38;                                             //dwl 18Nov2013
          if (K = 4) then J := -39;                                             //dwl 18Nov2013
          if (K >= 5) then J := -40;                                            //dwl 18Nov2013
        END;
        IF (IB = 12) THEN BEGIN
          if (K <= 1) then J := -35;                                            //dwl 20Dec2013
          if (K = 2) then J := -36;                                             //dwl 08Jan2014
          if (K = 3) then J := -37;                                             //dwl 08Jan2014
          if (K = 4) then J := -38;                                             //dwl 08Jan2014
          if (K = 5) then J := -40;                                             //dwl 08Jan2014
          if (K = 6) then J := -41;                                             //dwl 08Jan2014
          if (K = 7) then J := -42;                                             //dwl 08Jan2014
          if (K = 8) then J := -44;                                             //dwl 08Jan2014
          if (K = 9) then J := -46;                                             //dwl 08Jan2014
          if (K >= 10) then J := -47;                                           //dwl 08Jan2014
        END;
        IF (IB = 13) THEN BEGIN
          if (K <= 1) then J := -35;                                            //dwl 26Jan2014
          if (K = 2) then J := -35;                                             //dwl 28Jan2014
          if (K = 3) then J := -36;                                             //dwl 28Jan2014
          if (K = 4) then J := -38;                                             //dwl 28Jan2014
          if (K = 5) then J := -40;                                             //dwl 28Jan2014
          if (K = 6) then J := -42;                                             //dwl 28Jan2014
          if (K = 7) then J := -44;                                             //dwl 28Jan2014
          if (K = 8) then J := -46;                                             //dwl 28Jan2014
          if (K = 9) then J := -48;                                             //dwl 28Jan2014
          if (K = 10) then J := -50;                                            //dwl 28Jan2014
          if (K = 11) then J := -51;                                            //dwl 28Jan2014
          if (K = 12) then J := -52;                                            //dwl 28Jan2014
          if (K = 13) then J := -54;                                            //dwl 28Jan2014
          if (K = 14) then J := -54;                                            //dwl 28Jan2014
          if (K >= 15) then J := -55;                                           //dwl 28Jan2014
        END;
        IF (IB = 14) THEN BEGIN
          J  :=  -36;
          if (K <= 1) then J := -34;                                            //dwl 05May2014
          if (K = 2) then J := -36;                                             //dwl 05May2014
          if (K = 3) then J := -37;                                             //dwl 05May2014
          if (K = 4) then J := -38;                                             //dwl 05May2014
          if (K = 5) then J := -40;                                             //dwl 05May2014
          if (K = 6) then J := -42;                                             //dwl 05May2014
          if (K = 7) then J := -43;                                             //dwl 05May2014
          if (K = 8) then J := -45;                                             //dwl 05May2014
          if (K = 9) then J := -47;                                             //dwl 05May2014
          if (K = 10) then J := -49;                                            //dwl 05May2014
          if (K = 11) then J := -50;                                            //dwl 05May2014
          if (K = 12) then J := -52;                                            //dwl 05May2014
          if (K = 13) then J := -53;                                            //dwl 05May2014
          if (K = 14) then J := -54;                                            //dwl 05May2014
          if (K >= 15) then J := -56;                                           //dwl 05May2014
       END;
        IF (IB = 15) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -35;
          IF ((K >= 2) AND (K <= 6)) THEN J  :=  -36-K;
          IF (K >= 7) THEN J  :=  -40;           }
          if (K <= 1) then J := -34;                                            //dwl 13Jun2014
          if (K = 2) then J := -35;                                             //dwl 13Jun2014
          if (K = 3) then J := -37;                                             //dwl 13Jun2014
          if (K = 4) then J := -38;                                             //dwl 13Jun2014
          if (K = 5) then J := -40;                                             //dwl 13Jun2014
          if (K = 6) then J := -41;                                             //dwl 13Jun2014
          if (K = 7) then J := -44;                                             //dwl 13Jun2014
          if (K = 8) then J := -33;                                             //dwl 13Jun2014
          if (K = 9) then J := -33;                                             //dwl 13Jun2014
          if (K = 10) then J := -36;                                            //dwl 13Jun2014
          if (K = 11) then J := -38;                                            //dwl 13Jun2014
          if (K = 12) then J := -39;                                            //dwl 13Jun2014
          if (K = 13) then J := -41;                                            //dwl 13Jun2014
          if (K = 14) then J := -42;                                            //dwl 13Jun2014
          if (K >= 15) then J := -44;                                           //dwl 13Jun2014
        END;
        IF (IB = 16) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -31;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -31-K;
          IF ((K >= 5) AND (K <= 8)) THEN J  :=  -37;
          IF ((K >= 9) AND (K <= 12)) THEN J  :=  -61+3*K;
          IF (K >= 13) THEN J  :=  -22;                         }
          if (K <= 1) then J := -32;                                            //dwl 11Jul2014
          if (K = 2) then J := -33;                                             //dwl 14Jul2014
          if (K = 3) then J := -33;                                             //dwl 14Jul2014
          if (K = 4) then J := -36;                                             //dwl 14Jul2014
          if (K = 5) then J := -36;                                             //dwl 14Jul2014
          if (K = 6) then J := -37;                                             //dwl 14Jul2014
          if (K = 7) then J := -38;                                             //dwl 14Jul2014
          if (K = 8) then J := -35;                                             //dwl 14Jul2014
          if (K = 9) then J := -36;                                             //dwl 14Jul2014
          if (K = 10) then J := -33;                                            //dwl 14Jul2014
          if (K = 11) then J := -24;                                            //dwl 14Jul2014
          if (K = 12) then J := -25;                                            //dwl 14Jul2014
          if (K = 13) then J := -24;                                            //dwl 14Jul2014
          if (K = 14) then J := -20;                                            //dwl 14Jul2014
          if (K >= 15) then J := -22;                                           //dwl 14Jul2014
        END;
        IF (IB = 17) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -31;
          IF ((K >= 2) AND (K <= 7)) THEN J  :=  -21-8*K;
          IF ((K = 8) OR (K = 9)) THEN J  :=  -80;
          IF (K >= 10) THEN J  :=  -84;         }
          if (K <= 1) then J := -31;                                            //dwl 29Jul2014
          if (K = 2) then J := -38;                                             //dwl 30Jul2014
          if (K = 3) then J := -45;                                             //dwl 30Jul2014
          if (K = 4) then J := -53;                                             //dwl 30Jul2014
          if (K = 5) then J := -60;                                             //dwl 30Jul2014
          if (K = 6) then J := -71;                                             //dwl 30Jul2014
          if (K = 7) then J := -77;                                             //dwl 30Jul2014
          if (K = 8) then J := -80;                                             //dwl 30Jul2014
          if (K = 9) then J := -81;                                             //dwl 30Jul2014
          if (K = 10) then J := -85;                                            //dwl 30Jul2014
          if (K = 11) then J := -83;                                            //dwl 30Jul2014
          if (K = 12) then J := -85;                                            //dwl 30Jul2014
          if (K = 13) then J := -84;                                            //dwl 30Jul2014
          if (K = 14) then J := -78;                                            //dwl 30Jul2014
          if (K >= 15) then J := -77;                                           //dwl 30Jul2014
        END;
        IF (IB = 18) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -34;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -34+K;
          IF ((K >= 5) AND (K <= 8)) THEN J  :=  -44+3*K;
          IF ((K >= 9) AND (K <= 13)) THEN J  :=  -10-K;
          IF (K >= 14) THEN J  :=  -26;         }
          if (K <= 1) then J := -33;                                            //dwl 11Aug2014
          if (K = 2) then J := -32;                                             //dwl 12Aug2014
          if (K = 3) then J := -30;                                             //dwl 12Aug2014
          if (K = 4) then J := -27;                                             //dwl 12Aug2014
          if (K = 5) then J := -27;                                             //dwl 12Aug2014
          if (K = 6) then J := -28;                                             //dwl 12Aug2014
          if (K = 7) then J := -17;                                             //dwl 12Aug2014
          if (K = 8) then J := -15;                                             //dwl 12Aug2014
          if (K = 9) then J := -17;                                             //dwl 12Aug2014
          if (K = 10) then J := -21;                                            //dwl 12Aug2014
          if (K = 11) then J := -22;                                            //dwl 12Aug2014
          if (K = 12) then J := -23;                                            //dwl 12Aug2014
          if (K = 13) then J := -23;                                            //dwl 12Aug2014
          if (K = 14) then J := -25;                                            //dwl 12Aug2014
          if (K >= 15) then J := -26;                                           //dwl 12Aug2014
        END;
        IF (IB = 19) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -32;
          IF (K = 2) THEN J  :=  -34;
          IF ((K >= 3) AND (K <= 6)) THEN J  :=  -32-2*K;
          IF ((K = 7) OR (K = 8)) THEN J  :=  -45;
          IF ((K >= 9) AND (K <= 12)) THEN J  :=  -29-2*K;
          IF (K >= 13) THEN J  :=  -55;          }
          if (K <= 1) then J := -32;                                            //dwl 20Aug2014
          if (K = 2) then J := -32;                                             //dwl 20Aug2014
          if (K = 3) then J := -35;                                             //dwl 20Aug2014
          if (K = 4) then J := -41;                                             //dwl 20Aug2014
          if (K = 5) then J := -42;                                             //dwl 20Aug2014
          if (K = 6) then J := -45;                                             //dwl 20Aug2014
          if (K = 7) then J := -43;                                             //dwl 20Aug2014
          if (K = 8) then J := -47;                                             //dwl 20Aug2014
          if (K = 9) then J := -47;                                             //dwl 20Aug2014
          if (K = 10) then J := -49;                                            //dwl 20Aug2014
          if (K = 11) then J := -51;                                            //dwl 20Aug2014
          if (K = 12) then J := -53;                                            //dwl 20Aug2014
          if (K = 13) then J := -55;                                            //dwl 20Aug2014
          if (K = 14) then J := -55;                                            //dwl 20Aug2014
          if (K >= 15) then J := -56;                                           //dwl 20Aug2014
        END;
        IF (IB = 20) THEN BEGIN
{          IF (K <= 2) THEN J  :=  -32;
          IF ((K >= 3) AND (K <= 5)) THEN J  :=  -29-2*K;
          IF ((K >= 6) AND (K <= 8)) THEN J  :=  -9-6*K;
          IF ((K >= 9) AND (K <= 11)) THEN J  :=  -34-3*K;
          IF (K = 12) THEN J  :=  -72;
          IF (K >= 13) THEN J  :=  -76;        }
          if (K <= 1) then J := -30;                                            //dwl 03Sep2014
          if (K = 2) then J := -31;                                             //dwl 03Sep2014
          if (K = 3) then J := -28;                                             //dwl 03Sep2014
          if (K = 4) then J := -28;                                             //dwl 03Sep2014
          if (K = 5) then J := -35;                                             //dwl 03Sep2014
          if (K = 6) then J := -48;                                             //dwl 03Sep2014
          if (K = 7) then J := -44;                                             //dwl 03Sep2014
          if (K = 8) then J := -57;                                             //dwl 03Sep2014
          if (K = 9) then J := -59;                                             //dwl 03Sep2014
          if (K = 10) then J := -65;                                            //dwl 03Sep2014
          if (K = 11) then J := -68;                                            //dwl 03Sep2014
          if (K = 12) then J := -70;                                            //dwl 03Sep2014
          if (K = 13) then J := -76;                                            //dwl 03Sep2014
          if (K = 14) then J := -71;                                            //dwl 03Sep2014
          if (K >= 15) then J := -73;                                           //dwl 03Sep2014
        END;
        IF (IB = 21) THEN BEGIN
{          IF (K <= 2) THEN J  :=  -32;
          IF ((K >= 3) AND (K <= 7)) THEN J  :=  -28-K;
          IF ((K >= 8) AND (K <= 10)) THEN J  :=  -12-3*K;
          IF ((K = 11) OR (K = 12)) THEN J  :=  -7-3*K;
          IF (K >= 13) THEN J  :=  -46;           }
          if (K <= 1) then J := -31;                                            //dwl 15Sep2014
          if (K = 2) then J := -29;                                             //dwl 15Sep2014
          if (K = 3) then J := -20;                                             //dwl 15Sep2014
          if (K = 4) then J := -27;                                             //dwl 15Sep2014
          if (K = 5) then J := -33;                                             //dwl 15Sep2014
          if (K = 6) then J := -38;                                             //dwl 15Sep2014
          if (K = 7) then J := -33;                                             //dwl 15Sep2014
          if (K = 8) then J := -31;                                             //dwl 15Sep2014
          if (K = 9) then J := -31;                                             //dwl 15Sep2014
          if (K = 10) then J := -42;                                            //dwl 15Sep2014
          if (K = 11) then J := -42;                                            //dwl 15Sep2014
          if (K = 12) then J := -41;                                            //dwl 15Sep2014
          if (K = 13) then J := -48;                                            //dwl 15Sep2014
          if (K >= 14) then J := -48;                                           //dwl 15Sep2014
        END;
        IF (IB = 22) THEN BEGIN;
{          IF (K <= 1) THEN J  :=  -26;
          IF ((K >= 2) AND (K <= 4)) THEN J  :=  -30+5*K;
          IF ((K = 5) OR (K = 6)) THEN J  :=  -28+5*K;
          IF ((K = 7) OR (K = 8)) THEN J  :=  5;
          IF (K = 9) THEN J  :=  21;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  8+2*K;
          IF (K >= 13) THEN J  :=  36;             }
          if (K <= 1) then J := -27;                                            //dwl 02Oct2014
          if (K = 2) then J := -21;                                             //dwl 02Oct2014
          if (K = 3) then J := -14;                                             //dwl 02Oct2014
          if (K = 4) then J := -11;                                             //dwl 02Oct2014
          if (K = 5) then J := -3;                                              //dwl 02Oct2014
          if (K = 6) then J := 3;                                               //dwl 02Oct2014
          if (K = 7) then J := -3;                                              //dwl 02Oct2014
          if (K = 8) then J := 20;                                              //dwl 02Oct2014
          if (K = 9) then J := 24;                                              //dwl 02Oct2014
          if (K = 10) then J := 24;                                             //dwl 02Oct2014
          if (K = 11) then J := 31;                                             //dwl 02Oct2014
          if (K = 12) then J := 32;                                             //dwl 02Oct2014
          if (K = 13) then J := 39;                                             //dwl 02Oct2014
          if (K >= 14) then J := 36;                                            //dwl 02Oct2014
        END;
        IF (IB = 23) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -24;
          IF (K = 2) THEN J  :=  -40;
          IF ((K >= 3) AND (K <= 9)) THEN J  :=  -65+11*K;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  48-K;
          IF (K >= 13) THEN J  :=  35;            }
          if (K <= 1) then J := -23;                                            //dwl 22Oct2014
          if (K = 2) then J := -44;                                             //dwl 23Oct2014
          if (K = 3) then J := -32;                                             //dwl 23Oct2014
          if (K = 4) then J := -20;                                             //dwl 23Oct2014
          if (K = 5) then J := -8;                                              //dwl 23Oct2014
          if (K = 6) then J := 5;                                               //dwl 23Oct2014
          if (K = 7) then J := 14;                                              //dwl 23Oct2014
          if (K = 8) then J := 23;                                              //dwl 23Oct2014
          if (K = 9) then J := 34;                                              //dwl 23Oct2014
          if (K = 10) then J := 38;                                             //dwl 23Oct2014
          if (K = 11) then J := 36;                                             //dwl 23Oct2014
          if (K = 12) then J := 37;                                             //dwl 23Oct2014
          if (K = 13) then J := 36;                                             //dwl 23Oct2014
          if (K >= 14) then J := 34;                                            //dwl 23Oct2014
        END;
        IF (IB = 24) THEN BEGIN
{          IF (K <= 9) THEN J  :=  -24;
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  -25;
          IF (K >= 13) THEN J  :=  -26;      }
          if (K <= 1) then J := -23;                                            //dwl 11Jan2015
          if (K = 2) then J := -24;                                             //dwl 11Jan2015
          if (K = 3) then J := -23;                                             //dwl 11Jan2015
          if (K = 4) then J := -24;                                             //dwl 11Jan2015
          if (K = 5) then J := -24;                                             //dwl 11Jan2015
          if (K = 6) then J := -23;                                             //dwl 11Jan2015
          if (K = 7) then J := -23;                                             //dwl 11Jan2015
          if (K = 8) then J := -23;                                             //dwl 11Jan2015
          if (K = 9) then J := -23;                                             //dwl 11Jan2015
          if (K = 10) then J := -24;                                            //dwl 11Jan2015
          if (K = 11) then J := -24;                                            //dwl 11Jan2015
          if (K = 12) then J := -25;                                            //dwl 11Jan2015
          if (K = 13) then J := -25;                                            //dwl 11Jan2015
          if (K >= 14) then J := -26;                                           //dwl 11Jan2015
        END;
        IF (IB = 25) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -24;
          IF ((K = 2) OR (K = 3)) THEN J  :=  -25+K;
          IF ((K >= 4) AND (K <= 9)) THEN J  :=  -20-(K DIV 2);
          IF ((K >= 10) AND (K <= 12)) THEN J  :=  -56+3*K;
          IF (K >= 13) THEN J  :=  -23;            }
          if (K <= 1) then J := -23;                                            //dwl 18Jan2015
          if (K = 2) then J := -22;                                             //dwl 18Jan2015
          if (K = 3) then J := -22;                                             //dwl 18Jan2015
          if (K = 4) then J := -22;                                             //dwl 18Jan2015
          if (K = 5) then J := -22;                                             //dwl 18Jan2015
          if (K = 6) then J := -22;                                             //dwl 18Jan2015
          if (K = 7) then J := -23;                                             //dwl 18Jan2015
          if (K = 8) then J := -23;                                             //dwl 18Jan2015
          if (K = 9) then J := -23;                                             //dwl 18Jan2015
          if (K = 10) then J := -23;                                            //dwl 18Jan2015
          if (K = 11) then J := -23;                                            //dwl 18Jan2015
          if (K = 12) then J := -23;                                            //dwl 18Jan2015
          if (K = 13) then J := -23;                                            //dwl 18Jan2015
          if (K >= 14) then J := -24;                                           //dwl 18Jan2015
        END;
        IF (IB = 26) THEN BEGIN
{          IF (K <= 1) THEN J  :=  -25;
          IF ((K >= 2) AND (K <= 7)) THEN J  :=  -25+(K DIV 2);
          IF ((K >= 8) AND (K <= 12)) THEN J  :=  -14-K;
          IF (K >= 13) THEN J  :=  -27;          }
          if (K <= 1) then J := -24;                                            //dwl 24Jan2015
          if (K = 2) then J := -23;                                             //dwl 24Jan2015
          if (K = 3) then J := -22;                                             //dwl 24Jan2015
          if (K = 4) then J := -23;                                             //dwl 24Jan2015
          if (K = 5) then J := -23;                                             //dwl 24Jan2015
          if (K = 6) then J := -23;                                             //dwl 24Jan2015
          if (K = 7) then J := -21;                                             //dwl 24Jan2015
          if (K = 8) then J := -21;                                             //dwl 24Jan2015
          if (K = 9) then J := -22;                                             //dwl 24Jan2015
          if (K = 10) then J := -23;                                            //dwl 24Jan2015
          if (K = 11) then J := -24;                                            //dwl 24Jan2015
          if (K = 12) then J := -25;                                            //dwl 24Jan2015
          if (K = 13) then J := -27;                                            //dwl 24Jan2015
          if (K >= 14) then J := -27;                                           //dwl 24Jan2015
        END;
        IF (IB = 27) THEN BEGIN
//          IF (K <= 3) THEN J  :=  -25;
//          IF ((K >= 4) AND (K <= 8)) THEN J  :=  -25-((K-1) DIV 3);
//          IF (K >= 9) THEN J  :=  -28
          if (K <= 2) then J := -24;
          if ((K >= 3) and (K <= 5)) then J := -25;
          if ((K = 6) or (K = 7)) then J := -26;
          if ((K = 8) or (K = 9)) then J := -27;
          if (K >= 10) then J := -28;
        END;
        IF (IB = 28) THEN BEGIN
//          IF (K <= 2) THEN J  :=  -24;
//          IF ((K >= 3) AND (K <= 6)) THEN J  :=  -23;
//          IF ((K >= 7) AND (K <= 11)) THEN J  :=  -29+K;
//          IF (K >= 12) THEN J  :=  -17
          if (K <= 2) then J := -24;                                            //dwl 11Jul2013
          if ((K >= 3) and (K <= 5)) then J := -23;                             //dwl 11Jul2013
          if ((K >= 6) and (K <= 10)) then J := K-30;                           //dwl 11Jul2013
          if ((K = 11) or (K = 12)) then J := -17;                              //dwl 11Jul2013
          if (K = 13) then J := -16;                                            //dwl 11Jul2013
          if (K >= 14) then J := -13;                                           //dwl 11Jul2013
        END;
        IF (IB = 29) THEN BEGIN
//          IF (K <= 9) THEN J  :=  -23;
//          IF ((K = 10) OR (K = 11)) THEN J  :=  -14-K;
//          IF (K >= 12) THEN J  :=  -26
          IF (K <= 9) THEN J  :=  -22;                                          //dwl 10Jul2013
          IF (K >= 10) THEN J := -13-K;                                         //dwl 10Jul2013
        END;
        IF (IB = 30) THEN BEGIN
//          IF (K <= 3) THEN J  :=  -23;
//          IF (K >= 4) THEN J  :=  -24
          if (K <= 11) then J := -23;                                           //dwl 09Jul2013
          if (K >= 12) then J := -24;                                           //dwl 09Jul2013
        END;
        IF (IB = 31) THEN BEGIN
//          IF (K <= 3) THEN J  :=  -24;
//          IF ((K = 4) OR (K = 5)) THEN J  :=  -25;
//          IF (K >= 6) THEN J  :=  -26
          if (K = 1) then J := -23;                                             //dwl 08Jul2013
          if ((K = 2) or (K = 3)) then J := -24;                                //dwl 08Jul2013
          if ((K >= 4) and (K <= 11)) then J := -25;                            //dwl 08Jul2013
          if (K >= 12) then J := -26;                                           //dwl 08Jul2013
        END;
        IF (IB = 32) THEN BEGIN
//          IF (K <= 3) THEN J  :=  -24;
//          IF ((K >= 4) AND (K <= 6)) THEN J  :=  -25;
//          IF (K >= 7) THEN J  :=  -26
          J := -26;                                                             //dwl 05Jul2013
          if (K <= 2) then J := -23;                                            //dwl 05Jul2013
          if (K = 3) then J := -24;                                             //dwl 05Jul2013
          if ((K >= 4) and (K <= 6)) then J := -25;                             //dwl 05Jul2013
          if (K = 10) then J := -27;                                            //dwl 05Jul2013
        END;
{
C       - DEFINE ERROR OR ERROR DIFFERENCE, AS REQUIRED
C       - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C       - SAVE AS RA OR DR, AS REQUIRED
     }
        J  :=  J-I;
        DR  :=  J;
        DR  :=  DR/FACT;
        IF (K = IRG) THEN RA  :=  DR;
        I  :=  J
      END;
{
C     - ERROR AT NEXT MERIDIAN
C     - J IS CORRECTION IN TENTHS OF SECONDS OF ARC
     }
      J  :=  0;
{
C     - CONVERT TENTHS OF SECONDS TO DEGREES or MINUTES or SECONDS
C     - SAVE AS RB
     }
      RB  :=  J;
      RB  :=  RB/FACT
      END;
{    }
 6000:
      IFLAG  := 0;
      IF (UpperCase(GSPH[3]) = 'S') THEN
//        STRRG  := Format('%12.2f%12.2f%12.2f',[RA,RA+DR,RB])
        STRRG  := Format('%12.3f%12.3f%12.3f',[RA,RA+DR,RB])
      ELSE IF (UpperCase(GSPH[3]) = 'M') THEN
//        STRRG  := Format('%12.4f%12.4f%12.4f',[RA,RA+DR,RB])
        STRRG  := Format('%12.5f%12.5f%12.5f',[RA,RA+DR,RB])
      ELSE
//        STRRG  := Format('%12.6f%12.6f%12.6f',[RA,RA+DR,RB]);
        STRRG  := Format('%12.7f%12.7f%12.7f',[RA,RA+DR,RB]);
 9000:
      END;
{
C ***********************************************************
     }
      procedure DlsGeo (GSPH:string; DlsIn:string;
        YnIn,XeIn:string; var DlsOut:string;
        var YlatOut,XlonOut:string; var IERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    DLS Township-Range coordinates to
C                 Latitude and Longitude.
C
C     AUTHOR:     D. W. Lepard, 1992.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       DlsIn                                       STRING[16]
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244] where 0 is
C                   the US border near 49 degrees
C         [7-8]   Range in [1..34]
C         [9-10]  Section in [1..36]
C         [11-12] LSD (legal subdivision) in [0..16]
C         [13-14] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C                   Legal subdivisions may also
C                   use [@H,@G,@E,@F,@N,@S,@M,@W,@ ]
C                   extended with [@A,@B,@C,@D] to
C                   the centre of LSD quadrants.
C                   Note that wells also use codes
C                   in which the first character
C                   is in [S,W,A,B,C,D], a subset
C                   of the previous LSD points;
C                   other codes default to the LSD
C                   centre.
C         [15]    DLS survey system in [0..5];
C                   null value (0) is replaced with
C                   output value in [1..3] where
C                   systems 1 or 2 are assumed in
C                   cases where a twp-rge of type
C                   3 (an A-type) also exists
C         [16]    Road&Section/Section/LSD Flag
C                   in [R,S,L] for reference point
C                   located on boundary of section
C                   extended with road allowance
C                   (R), section alone (S), or the
C                   legal subdivision alone (L)
C
C       YnIn      Metres north of Ref Point         STRING[12]
C
C       XeIn      Metres east of Ref Point          STRING[12]
C
C     OUTPUT:
C       DlsOut    DlsIn using upper case; reference STRING[16]
C                   point locations standardized to
C                   common Sec/Lsd description where
C                   possible and survey system, if
C                   null on input, evaluated.
C
C       YlatOut   Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonOut   Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C
C       IERR=JKLL Error flag; 0 if OK               INTEGER
C                 Error returns null YLAT, XLON         (0.0)
C
C           J     Condition                        Lat & Long
C           0     OK                                 valued
C           1     WARNING (On South Road)            valued
C           2     WARNING (On West  Road)            valued
C           3     WARNING (On South-West Road)       valued
C           4     WARNING (Outside Section/LSD)      valued
C           7     ERROR (missing SEC/LSD in TWP/SEC) valued
C           9     ERROR (invalid TWP or ref point)   null
C
C           K     Condition
C           0     normal
C           9     SEC/LSD cut off at next meridian
C
C           LL    Condition
C           0     normal
C           1-12  SEC/LSD fractional case
C           50    A-type township; SEC/LSD normal
C           51-62 A-type SEC/LSD fractional case
C
C           Note flag values J=7 represent the cut-off bound-
C           aries so that the township-range/section outline
C           may be drawn without searching for the valid
C           section/LSD.
C
C     Section/LSD reference point
C
C       Section/LSD ref pt         LSD ref pt: 'X-' or '@X'
C       --------------------       ------------------------
C
C         NW ... NC ... NE            G ..... N ..... H
C         .      .      .             .       .       .
C         .      .      .             .   C   .   D   .
C         .      .      .             .       .       .
C         WC ... CC ... EC            W ... blank ... M
C         .      .      .             .       .       .
C         .      .      .             .   B   .   A   .
C         .      .      .             .       .       .
C         SW ... SC ... SE            F ..... S ..... E
C
C
C ***********************************************************
C
C TOWNSHIP-RANGE OUTLINE:-
C
C   The Township-Range outline lies on a coarse grid of
C Base Lines and Correction Lines, at fixed Latitudes, and
C Principal Meridians, at fixed Longitudes.  There are two
C sets of meridians; west and east of the Prime Meridian.
C The Prime Meridian, about 12 miles west of Winnipeg, is
C Meridian 1 in each set.  The other Meridian 2,3,.. are at
C longitudes 102,106,.. and 94,90,.. for the western and
C eastern set, respectively.
C
C   Two townships are generally measured north and south of
C each Base Line to the next and prior Correction Line.  Base
C Line latitude errors are equally absorbed by township-range
C quarter-sections adjacent to the Correction Line.
C
C   Note that the first Base Line, the US-Canada border at
C 49 degrees, is not used.  The first two townships are
C surveyed by extending the second Base Line measurements two
C townships south of the first Correction Line.  The jog in
C longitude at the first Correction Line, see below, is given
C its theoretical value.  Latitude error is propagated south
C and absorbed by quarter-sections adjacent to the US-Canada
C border.
C
C   Ranges are measured along the Base Line west from a given
C western meridian and east from an eastern meridian.  The
C last range, before the next meridian, may be fractional.
C
C   Note that ranges measured along the next baseline to the
C north span a greater longitude due to the convergence of
C meridians.  Ranges on the north side of a Correction Line
C therefore have a jog, relative to those on the south, to
C greater longitudes.
C
C   There are several different survey systems.  The third
C applies to all lands not explicitly reserved for other
C systems.  Township-ranges in this system are divided into
C 36 sections, 1 mile square.  Each section is subdivided
C into 16 legal subdivisions, 1/4 mile square.  There are,
C in addition, road allowances of 66' west of each section
C and also south of each second section.  The township-range
C is thus 32076' E-W and 31878' N-S.
C
C   The first and second systems include 99' road allowances
C both west and south of each section.  The township-range is
C thus 32274' E-W and 32274' N-S.
C
C   The first system is bounded to the south by the US-Canada
C border, to the west by Meridian 2 west as far north as
C Correction Line 8; east on Correction Line 8 to the common
C boundary between ranges 29W1 and 28W1; south on this line
C to Correction Line 7; east on Correction Line 7 to the
C common boundary between ranges 7E1 and 8E1; south on this
C line to the northern boundary of township 19; east on this
C northern boundary to the common boundary between ranges
C 10E1 and 11E1; south on this line to Correction Line 3;
C east on Correction Line 3 to the Manitoba border and then
C south on this border to the US-Canada border.  Note that
C this routine uses the common boundary between ranges 17E1
C and 18E1 rather than the Manitoba border.
C
C   The first system also includes township 44 range 21W2;
C township 45 ranges 21W2, 22W2, and 26W2 to 28W2; townships
C 46 and 47 ranges 24W2 to 28W2; township 48 ranges 24W2 to
C 27W2; townships 42 to 47 range 1W3; townships 43 and 44
C ranges 2W3 and 3W3.
C
C   The second survey is restricted to townships 1 and 2
C ranges 1W2 to 8W2; townships 19 to 26 ranges 1W2 to 12W2;
C townships 27 to 30 ranges 1W2 to 16W2.
C
C   Third system township-ranges bordering those of the first
C or second system are fractional, due to their different
C size.  A road allowance of 99' is taken from the western
C or southern edge when the western or southern edge meets
C the second or third system.  Road allowances between the
C third and the first or second survey are thus always 99'.
C The fractional township and range numbers might also be the
C same as those used for some township-range in the first or
C second survey.  The third survey fractional township-range
C is then described as a type-A township or range.
C
C   The Fourth system extends 20 miles on each side of the
C Canadian Pacific Railway in British Columbia.  It meets the
C third system at the summit of the Rocky Mountains which is
C the border between Alberta and British Columbia.  This
C system has no road allowance.  The sections, however, are
C increased by 33' in width E-W and 66' in length N-S.  The
C third and fourth systems thus look like a single system
C since their township-ranges are identical in size.
C
C   The fifth system adjoins the fourth system in the railway
C belt in the Fraser river lower valley.  There are no road
C allowances.  Sections are 1 mile square.  Township-ranges
C are 6 miles or 31680' square.  They use a coarse grid based
C on an East Coast Meridian and the US-Canada border.  We
C assume, lacking data, that townships are renumbered and
C assigned some range either west or east of the Coast
C Meridian.  We also assume that the Coast Meridian is about
C 7 ranges west of W7.
C
C ***********************************************************
C
C CLARKE'S 1880 GEODESIC VALUES:-
C
C       a = equatorial radius; f = (a-b)/a = flatness
C                              e = sqrt(f(2-f)) = ellipticity
C
C       a = 6378249.145 metres; 1/f = 293.465
C
C Our calculations use three derived constants:-
C       AMAJ = a, AESQ = a(1-e*e), ESQR = e*e
C in which AMAJ has a slightly higher value, 6378306.37.
C This difference affects only the longitude calculations.
C Longitudes are about 0.1 seconds shorter, over 20 ranges,
C than those produced by the pure CLARKE 1880 calculations.
C Note that Corrections required to bring calculated to
C surveyed values run to seconds.
C
C THEORETICAL FORMULAE USING CLARKE'S 1880 GEODESIC VALUES:-
C
C       Rlon =   A(1-E**2)/[1-(E*SIN(LAT))**2]**3/2
C
C       Rlat = A(COS(LAT))/[1-(E*SIN(LAT))**2]**1/2
C
C   Township EW boundaries are on meridians of longitude.  NS
C boundaries are on township chords which differ little from
C the parallels of latitude defined by township corners.
C
C  Twp(NS longitude range) = NSdist/Rlat
C
C  Twp(EW latitude range)  = EWdist/Rlon
C
C  Twp(chord-arc lat diff) = Terr*D(Dt-D)SIN(LAT)/[Rlat*Rlon]
C
C where D is the distance along the township chord of total
C length Dt.
C
C   We use
C
C     DTOR = 0.0174532925199433D0 rad/deg
C     AMAJ = A         = 365231.124837423D0 rad-ft/deg
C     AESQ = A(1-E**2) = 362746.270758744D0 rad-ft/deg
C     ESQR = E**2      = 0.00680351128284903D0
C     TERR = Terr      = 0.00864D0 rad/deg
C
C   Townships are laid out by measuring 6 Sections of 5280'
C with a road allowance to their west (99' for survey 1,2;
C 66' for survey 3; 66' extra width instead of road allowance
C for survey 4) along a Base Line.  These are projected along
C meridians north and south of the Base Line to a depth of
C two townships.  Sections of survey 1 are, instead, defined
C by NS lines parallel to the East township boundary so each
C such section has a fixed width of 5379', including road
C allowance; the resulting plus or minus discrepancy for 6
C Sections with their road allowance is absorbed by the last
C Section to the west.  The NS township depth is 6 Sections
C of 5280' with a road allowance to their south (99' for
C survey 1,2; 66' for every other section of survey 3; 33'
C extra width instead of road allowance for survey 4).
C
C   Initial Meridian values listed in the Supplement to the
C Manual of Instructions for the Survey of Canada Lands are:
C
C     Meridian      Western System      Eastern System
C        1           97  27' 28.4"       97  27' 28.4"
C        2          102  00' 16.5"       94  00' 00.0"
C        3          106  00' 10.1"       .............
C        4          110  00' 18.0"       .............
C        5          114  00' 07.7"       .............
C        6          118  00' 00.0"       .............
C
C      Coast        122  55' 48.8"      122  55' 48.8"
C
C where the Coast Meridian value is our assumed value.
C
C   Theoretical values for each Base Line may be improved by
C using the discrepancies, in seconds of arc, obtained by
C smoothing the 1991 well data (NAD27) over township ranges.
C
C   We treat fractional townships as whole townships in which
C part of the township is no longer accessible.  There are 12
C cases:
C
C    1: North only   5: NE corner missing   9: NE corner only
C    2: South only   6: NW corner missing  10: NW corner only
C    3: East  only   7: SE corner missing  11: SE corner only
C    4: West  only   8: SW corner missing  12: SW corner only
C
C SEC/LSD Reference points no longer accessible are generally
C considered invalid.  There are three types of exceptions.
C In cases 1-4 the 3 inaccessible SEC/LSD boundary reference
C points are reassigned to the cut-off line.  Fractional
C SEC/LSD bounded by the next principal Meridian are treated
C in the same manner.  In cases 9-12 the 3 inaccessible
C SEC/LSD corner reference points are reassigned to the new
C corners at cut-off; the 2 inaccessible boundary mid-points
C remain opposite their accessible counterparts, on the new
C boundary, unless both are cut off.  In cases 5-8 the single
C inaccessible SEC/LSD corner reference point is reassigned
C to the inset corner; the 2 adjacent boundary mid-points are
C reassigned to the 2 remaining boundary corners needed to
C define the SEC/LSD outline.
C
C ***********************************************************
C
     }
      var LAST,LAND: BOOLEAN;
{    }
      var I,I1,I2,IB,ICASE,IDRG,IDTP,IFLAG,IFT,IGS,IJ: INTEGER;
      var ILS,IM,IMER,IRG,ISC,ISS,ITP,IW,J,J1,JCASE: INTEGER;
      var JERR,JT,K,K1,K2,KC,KR,LERR,LCASE,LIN,LIW: INTEGER;
      var LKC,LKR,LSD,RGE,SEC,SUR,TWP,TYPA: INTEGER;
{    }
      var AESQ,AMAJ,ANG,AUX,BERR,BLAT,BLATM,BLATP: DOUBLE;
      var CERR,CHEK,DIST,DLAT,DLON,DR,DTOR,ESQR,FACT: DOUBLE;
      var FTEW,FTNS,JOG,LAT,LEBDY,LNBDY,LON,LSBDY: DOUBLE;
      var LWBDY,NROAD,PRLAT,PWID,RA,RB,RLAT,RLON: DOUBLE;
      var SCHEK,SEBDY,SIZEW,SIZNS,SN,SNBDY,SRLAT: DOUBLE;
      var SROAD,SROAD2,SSBDY,SWBDY,SWID,TEBDY,TERR: DOUBLE;
      var TLAT,TLON,TNBDY,TRLAT,TSBDY,TT,TWBDY,TWID: DOUBLE;
      var VNIT,WCHEK,WROAD,WROAD2,XE,XWF,YN,YNF,ZLAT: DOUBLE;
      var ZLON: DOUBLE;
      var BE,BP,FEET,T: ARRAY[1..4] OF DOUBLE;
      var XLAT: ARRAY[1..5] OF DOUBLE;
      var XMER: ARRAY[1..13] OF DOUBLE;
{    }
      var CH1: STRING;
      var BDCOR,EWM,LOC,RPT,UEWM,ULOC: STRING;
      var GVAR: STRING;
      var LEXP: STRING;
      var DLSBDY,DLSVAR: STRING;
      var SEXP: STRING;
      var STRRG: STRING;
      var STRBE,STRBP: STRING;
{    }
      var iLim: integer;                                                        //dwl 17Jun2013
      var LimErr: double;                                                       //dwl 17Jun2013
      var Bdy: array[1..4] of double;                                           //dwl 17Jun2013
      var LatBdy: string;                                                       //dwl 17Jun2013
      var LatProb: double;
{    }
      label 600,8100,8200;
      label 8300,8400,8450,8600;
      label 9005,9010,9050;
{    }
{
C     CHECK INPUT PARAMETERS
     }
      BEGIN
      ILS   := 0;
      IERR  := 0;
      JERR  := 0;
      ICASE := 0;
      JCASE := 0;
      TYPA  := 0;
      KR    := 0;
      IM    := 0;
      LAT   := 0.0;
      LON   := 0.0;
      RLON  := 0.0;
      SN    := 0.0;
      SROAD := 0.0;
      NROAD := 0.0;
      SSBDY := 0.0;
      SNBDY := 0.0;
      LSBDY := 0.0;
      ZLAT  := 0.0;
      SCHEK := 0.0;
      WCHEK := 0.0;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      DlsOut  := '';
      IF ((Length(GSPH) < 3) or (Length(DlsIn) <> 16)) then goto 9010;
      DlsOut  := UpperCase(DlsIn);
{                              # use decimal degrees only   }
      GVAR  := 'NWD ';
      IGS   := 1;
      CH1   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CH1 = 'S') THEN IGS := 3
        ELSE IF (CH1 <> 'N') THEN GOTO 9010;
{                              # default to 'E' if not 'W'  }
      CH1  := UpperCase(GSPH[2]);
      IF (CH1 = 'W') THEN IGS := IGS+1
        ELSE IF (CH1 <> 'E') THEN GOTO 9010;
{                              # dec degree or deg-min-sec  }
      CH1  := UpperCase(GSPH[3]);
      IF ((CH1 <> 'D') AND (CH1 <> 'M') AND (CH1 <> 'S')) THEN GOTO 9010;
{                              # extract DLS parameters     }
      IF (DlsOut[1] <> '1') THEN GOTO 9010;
      EWM  := Copy(DlsOut,2,2);
      FOR I := 4 TO 10 DO
        IF ((DlsOut[I] < '0') OR (DlsOut[I] > '9'))
          THEN GOTO 9010;
      TWP  := StrToInt(Copy(DlsOut,4,3));
      RGE  := StrToInt(Copy(DlsOut,7,2));
      SEC  := StrToInt(Copy(DlsOut,9,2));
{                              # Qtr or Half Section or LSD }
      LSD  := 0;
      LAND := False;
      FOR I := 11 TO 12 DO
        IF ((DlsOut[I] < '0') OR (DlsOut[I] > '9'))
          THEN LAND := True;
      IF NOT(LAND) THEN LSD  := StrToInt(Copy(DlsOut,11,2));
{                                                           }
      LOC  := Copy(DlsOut,13,2);
      CH1  := DlsOut[15];
      IF (CH1 = 'R') THEN BEGIN
        CH1    := '4';
        DlsOut := Copy(DlsOut,1,14)+CH1+DlsOut[16]
      END;
      IF (CH1 = 'C') THEN BEGIN
        CH1    := '5';
        DlsOut := Copy(DlsOut,1,14)+CH1+DlsOut[16]
      END;
      IF ((CH1 < '0') OR (CH1 > '5'))
        THEN GOTO 9010
        ELSE SUR := StrToInt(CH1);
{
C     RAILWAY SYSTEM 4
     }
      IF (CH1 = '4') THEN BEGIN
        IF (EWM[1] <> 'W') THEN GOTO 9010;
        IF (EWM[2] < '5')  THEN GOTO 9010;
      END;
{
C     COASTAL SYSTEM 5
     }
      IF (CH1 = '5') THEN BEGIN
        IF (EWM[2] <> '1') THEN GOTO 9010;
      END;
{    }
{                              # extract/generate flag      }
      CH1  := DlsOut[16];
      IF (CH1 = 'R') THEN ILS := -1
        ELSE IF (CH1 = 'S') THEN ILS := 0
          ELSE IF (CH1 = 'L') THEN ILS := LSD
            ELSE BEGIN
                   ILS := LSD;
                   CH1 := 'L';
                   IF (ILS = 0) THEN CH1 := 'S';
                   DlsOut := Copy(DlsOut,1,15)+CH1
                 END;
      IF ((CH1 = 'L') AND (ILS < 1)) THEN GOTO 9010;
      ISS  := SUR;
      ITP  := TWP;
      IRG  := RGE;
      ISC  := SEC;
      UEWM := EWM;
      LEXP := 'ESFABM WDCHNG';
      SEXP := 'SESCSWECCCWCNENCNW';
      IF ((ITP < 0) OR (ITP > 244)) THEN GOTO 9010;
      IF ((IRG < 1) OR (IRG > 34))  THEN GOTO 9010;
      CH1  := UEWM[1];
      IF ((CH1 <> 'E') AND (CH1 <> 'W')) THEN GOTO 9010;
      CH1  := UEWM[2];
      IF (UEWM[1] = 'E') THEN BEGIN
        IF ((ISS = 1) AND (CH1 >  '1')) THEN GOTO 9010;
        IF ((ISS = 2)  OR (ISS =   4 )) THEN GOTO 9010;
        IF ((ISS = 5) AND (CH1 <> '1')) THEN GOTO 9010
      END;
      IF (UEWM[1] = 'W') THEN BEGIN
        IF ((ISS = 1) AND (CH1 >  '3')) THEN GOTO 9010;
        IF ((ISS = 2) AND (CH1 <> '2')) THEN GOTO 9010;
        IF ((ISS = 4) AND (CH1 <  '5')) THEN GOTO 9010;
        IF ((ISS = 5) AND (CH1 <> '1')) THEN GOTO 9010
      END;
      IF ((ISC < 1) OR (ISC > 36)) THEN GOTO 9010;
      IF (ILS > 16) THEN GOTO 9010;
{                              # extract/generate ref point }
      J    := 0;
      FOR I := 1 TO 9 DO
        IF (LOC = Copy(SEXP,2*I-1,2)) THEN J:= 2*I-1;
      IF (J > 0) THEN BEGIN
        IM  := (J DIV 6) + 1;
        LIN := 2*IM-1;
        LIW := J-(LIN-1)*3;
        IW  := ((LIW-1) DIV 2) + 1;
      END
      ELSE BEGIN
        IF (ILS < 1) THEN GOTO 9010;
        J  := 7;
        IF (LOC[1] = '@') THEN
          FOR I := 1 TO 13 DO
            IF (LOC[2] = LEXP[I]) THEN J := I
        ELSE BEGIN
          FOR K := 1 TO 10 DO
            IF (LOC[1] = LEXP[K]) THEN J := K;
          IF ((J = 1) OR (J = 3) OR (J = 6))
            THEN J := 7
        END;
        K   := 2*J-1;
        LIN := ((K-1) DIV 5) + 1;
        LIW := K - (LIN-1)*5;
        K   := LIW + (LIN-1)*3;
        IF ((LIN MOD 2) = 0)
          THEN LOC := '@' + LEXP[J]
          ELSE LOC := Copy(SEXP,K,2);
//        DlsOut := Copy(DlsOut,1,12)+LOC+Copy(DlsOut,15,16)
        DlsOut := Copy(DlsOut,1,12)+LOC+Copy(DlsOut,15,2)                       //dwl 12Jun2013
      END;
      ULOC := LOC;
      RPT  := ULOC;
      IF (ILS > 0) THEN BEGIN
        RPT := 'SE';
        IM  := 1;
        IW  := 1
      END;
{
C     CONSTANTS
     }
      DTOR  :=  Pi/180.0;
      AMAJ  :=  365231.124837423;
      AESQ  :=  362746.270758744;
      ESQR  :=  0.00680351128284903;
      TERR  :=  0.00864;
      FEET[1] :=  5280.0;
      FEET[2] :=  5313.0;
      FEET[3] :=  5346.0;
      FEET[4] :=  5379.0;
{
C     CONVERT NORTHING AND EASTING TO FEET
C     - CHANGE EASTING TO  WESTING
     }
      VNIT  :=  3.2808398950;
      IF (YnIn <> '')
        THEN YN    := StrToFloat(YnIn)
        ELSE YN    := 0.0;
      IF (XeIn <> '')
        THEN XE    := StrToFloat(XeIn)
        ELSE XE    := 0.0;
      YNF   :=  YN*VNIT;
      XWF   := -XE*VNIT;
{
C     EW SET OF INITIAL MERIDIANS
     }
      XMER[1]  :=  97.4578888888889;
      IF (UEWM[1] = 'W') THEN BEGIN
        XMER[2]  :=  102.0045833333333;
        XMER[3]  :=  106.0028055555556;
        XMER[4]  :=  110.0050000000000;
        XMER[5]  :=  114.0021388888889;
        XMER[6]  :=  118.0000000000000;
        FOR I := 7 TO 11 DO
          XMER[I]  :=  XMER[I-1]+4.0;
        XMER[12]  :=  141.0000000000000
      END;
      IF (UEWM[1] = 'E') THEN BEGIN
        XMER[2]  :=  94.0000000000000;
        FOR I := 3 TO 12 DO
          XMER[I] :=  XMER[I-1]-4.0;
        XMER[13]  :=  52.0000000000000
      END;
{
C     COAST MERIDIAN
     }
      IF (ISS = 5) THEN BEGIN
        XMER[1]  :=  122.9302222222222;
        IF (UEWM[1] = 'W') THEN XMER[2]  :=  134.0000000000000;
        IF (UEWM[1] = 'E') THEN XMER[2]  :=  114.0021388888888
      END;
{
C     VERIFY SURVEY SYSTEM IF SPECIFIED
C     DEFINE SURVEY SYSTEM IF NOT SPECIFIED
C     - ASSUME NOT TYPE 'A' AND NOT SYSTEM 4 OR 5
C     MARK FRACTIONAL TOWNSHIPS BORDERING SYSTEM 1 AND 2
C     - ICASE=1-12 IS CASE DESCRIBING FRACTIONAL TOWNSHIP
C     - IDTP,IDRG IS TOWNSHIP,RANGE DIFFERENCE OF ADJACENT
C       SYSTEM 1 OR 2 TOWNSHIP
C     - BDCOR IS SYSTEM 1 OR 2 TOWNSHIP CORNER WHOSE
C       COORDINATES REPRESENT CUT-OFF LIMITS
     }
      IDTP  :=  0;
      IDRG  :=  0;
      BDCOR :=  '  ';
      LAST := True;
      IF (ISS < 4) THEN BEGIN
        DlsSur(DlsOut,DLSBDY,IFLAG);
        IF (IFLAG >= 9000) THEN GOTO 9010;
        IF (IFLAG >= 50)
          THEN TYPA := 50
          ELSE TYPA := 0;
        ICASE := IFLAG-TYPA;
        JCASE := ICASE;
        IDTP  := StrToInt(Copy(DLSBDY,4,3))
                  - StrToInt(Copy(DlsOut,4,3));
        IDRG  := StrToInt(Copy(DLSBDY,7,2))
                  - StrToInt(Copy(DlsOut,7,2));
//        BDCOR := Copy(DLSBDY,13,14);
        BDCOR := Copy(DLSBDY,13,2);                                             //dwl 12Jun2013
        ISS   := StrToInt(DLSBDY[15]);
      END;
{
C     FOLLOWING CODE IS EXECUTED TWICE FOR 'A' TYPE AND
C     FRACTIONAL TOWNSHIPS.  THE FIRST PASS DETERMINES THE
C     COORDINATES  (ZLAT,ZLON) AT A TOWNSHIP 1 OR 2 CORNER
C     WHICH ACT AS BOUNDARIES FOR THE FRACTIONAL TOWNSHIP.
C     NOTE THAT SECTION PARAMETERS ARE SKIPPED ON THE FIRST
C     SUCH PASS.
C
C     IMER      ==> INITIAL MERIDIAN NUMBER
C     IB        ==> BASELINE NUMBER
C     JT=2-5    ==> TOWNSHIP NORTH BOUNDARY LATITUDE
C     KR=1-6    ==> SECTION NORTH OF SOUTH BOUNDARY
C     KC=1-6    ==> SECTION WEST  OF EAST  BOUNDARY
C     IM=1-3    ==> SECTION SOUTH BDY, CENTRE, NORTH BDY
C     IW=1-3    ==> SECTION  EAST BDY, CENTRE,  WEST BDY
C
C     LKR=1-4   ==> LSD NORTH OF SOUTH SECTION EDGE
C     LKC=1-4   ==> LSD WEST  OF EAST  SECTION EDGE
C     LIN=1-5   ==> LSD S, S+1/4, S+2/4, S+3/4, N POINT
C     LIW=1-5   ==> LSD E, E+1/4, E+2/4, E+3/4, W POINT
     }
      IF ((UEWM[2] >= '1') AND (UEWM[2] <= '9'))
        THEN IMER := StrToInt(UEWM[2])
      ELSE BEGIN
        IF (UEWM[2] = 'A') THEN IMER  :=  10;
        IF (UEWM[2] = 'B') THEN IMER  :=  11;
        IF (UEWM[2] = 'C') THEN IMER  :=  12
      END;
{
C     ICASE > 0:  DEFINE SET-UP FOR FIRST OF TWO PASSES
     }
      IF (ICASE > 0) THEN BEGIN
        LAST :=  False;
        ISS  :=  2;
        ITP  :=  TWP+IDTP;
        IRG  :=  RGE+IDRG;
        KR   :=  0
      END;
{
C     CALCULATION PARAMETERS
     }
  600:
      IB  :=  1+((ITP+1) DIV 4);
      JT  :=  (ITP+3)-(IB-1)*4;
{
C     SKIP SECTION PARAMETERS IF NOT LAST PASS
     }
      IF (LAST) THEN BEGIN
        KR  :=  1+(ISC-1) DIV 6;
        KC  :=  ISC-(KR-1)*6;
        I   :=  KR-(KR DIV 2)*2;
        IF (I = 0) THEN KC  :=  7-KC;
{
C     DETERMINE LSD PARAMETERS
     }
        IF (ILS > 0) THEN BEGIN
          LKR  :=  1+(ILS-1) DIV 4;
          LKC  :=  ILS-(LKR-1)*4;
          I    :=  LKR-(LKR DIV 2)*2;
          IF (I = 0) THEN LKC  :=  5-LKC;
          IFT  :=  1;
          IF (ISS = 4) THEN IFT  :=  2;
          FTNS :=  0.25*FEET[IFT];
          IF (ISS = 4) THEN IFT  :=  3;
          FTEW :=  0.25*FEET[IFT]
        END
      END;
{
C     BASE LINE LATITUDE ERRORS.  NOTE CORRECTION LINE ERRORS
C     ARE AVERAGE OF CURRENT AND PRIOR/NEXT BASE LINE.
C
C     BE(1-4)   ==> ERROR AT START OF RGE-1 TO RGE+2 (CURR)
C     BP(1-4)   ==> ERROR AT START OF RGE-1 TO RGE+2 (OTHER)
C
C     I1        ==> SET FOR PRIOR OR CURRENT BASE LINE
C     I2        ==> SET FOR CURRENT OR NEXT  BASE LINE
     }
      I1  :=  IB;
      I2  :=  IB;
      IF (JT = 5) THEN I2  :=  I2+1;
      IF ((JT = 2) OR (ITP <= 1)) THEN I1  :=  I1-1;
      DLSVAR  := '1'+UEWM
                      +Format('%3.3d',[ITP])
                      +Format('%2.2d',[IRG])
                      +Copy(DlsOut,9,4)+ULOC
                      +Format('%1.1d',[ISS])
                      +DlsOut[16];
      DlsLat(GVAR,DLSVAR,STRBE,STRBP,IFLAG);
      IF (IFLAG > 0) THEN GOTO 9010;
      iLim := 0;                                                                //dwl 17Jun2013
      DlsLatBdy(GVAR,DLSVAR,LatBdy,iLim);                                       //dwl 17Jun2013
      FOR I := 1 TO 4 DO BEGIN
        BE[I]  := StrToFloat(Copy(STRBE,12*(I-1)+1,12));
        BP[I]  := StrToFloat(Copy(STRBP,12*(I-1)+1,12));
        Bdy[I] := StrToFloat(Copy(LatBdy,12*(I-1)+1,12));                       //dwl 17Jun2013
      END;
{
C     RANGE LONGITUDE ERRORS ON CURRENT BASE LINE IB
C
C     RA        ==> ERROR AT START OF RANGE
C     DR        ==> ADDITIONAL ERROR AT END OF RANGE
C     RB        ==> ERROR AT CLOSING INITIAL MERIDIAN
     }
      DlsLon(GVAR,DLSVAR,STRRG,IFLAG);
      IF (IFLAG > 0) THEN GOTO 9010;
      RA  := StrToFloat(Copy(STRRG,1,12));
      DR  := StrToFloat(Copy(STRRG,13,12))-RA;
      RB  := StrToFloat(Copy(STRRG,25,12));
{
C     LATITUDE CALCULATIONS:  FROM U.S. BORDER UP TO ONE
C     BASE LINE BEYOND THAT DESIRED IN 1-SECTION INCREMENTS.
C
C     I,J        ==> CURRENT BASE LINE,TOWNSHIP INDEX
C     XLAT(1-5)  ==> CURRENT TOWNSHIP BOUNDARY LATITUDES
C
C     IB,JT      ==> DESIRED BASE LINE,TOWNSHIP INDEX
C     KR,LKR     ==> DESIRED SECTION,LSD INDEX
C     IM,LIN     ==> LOCATES SECTION,LSD REFERENCE POINT
C     BLAT       ==> DESIRED BASE LINE LATITUDE
C     BLATM,BLATP==> LAST,NEXT BASE LINE LATITUDE
C     TSBDY,TNBDY==> DESIRED TOWNSHIP S,N BOUNDARY LATITUDE
C     SSBDY,SNBDY==> DESIRED SECTION  S,N BOUNDARY LATITUDE
C     LSBDY,LNBDY==> DESIRED LSD      S,N BOUNDARY LATITUDE
C     LAT        ==> DESIRED SECTION/LSD REFERENCE LATITUDE
C     DLAT       ==> LATITUDE CHANGE XNF METRES NORTH OF LAT
C     FTNS       ==> NORTH-SOUTH EXTENT OF LSD (FEET)
C     SIZNS      ==> LATITUDE WIDTH OF LSD
C     SROAD      ==> LATITUDE WIDTH OF SOUTH ROAD ALLOWANCE
C     NROAD      ==> LATITUDE WIDTH OF NORTH ROAD ALLOWANCE
C     SROAD2     ==> LATITUDE WIDTH OF A 99' ROAD ALLOWANCE
     }
      XLAT[5] :=  49.0000000000000;
      BLATM   :=  XLAT[5];
      BLAT    :=  XLAT[5];
      BLATP   :=  XLAT[5];
      TSBDY   :=  XLAT[5];
      TNBDY   :=  XLAT[5];
      IF (LAST) THEN BEGIN
        SSBDY  :=  XLAT[5];
        SNBDY  :=  XLAT[5];
        LAT    :=  XLAT[5];
        DLAT   :=  0.0;
        SROAD  :=  0.0;
        NROAD  :=  0.0;
        SROAD2 :=  0.0
      END;
      J1   :=  3;
      IFT  :=  6-ISS;
      IF (ISS = 1) THEN IFT  :=  4;
{
C     FOR EACH BASE LINE
     }
      FOR I := 1 TO I2 DO BEGIN
{
C     - FIRST TOWNSHIP BOUNDARY IS LAST OF PRIOR BASE LINE
     }
        XLAT[J1]  :=  XLAT[5];
{
C       FOR EACH TOWNSHIP ASSOCIATED WITH BASE LINE
     }
        FOR J := J1+1 TO 5 DO BEGIN
{
C       - FIRST TOWNSHIP BOUNDARY IS LAST TOWNSHIP BOUNDARY
C       - SAVE AS TSBDY IF AT DESIRED TOWNSHIP
     }
          XLAT[J]  :=  XLAT[J-1];
          IF ((I = IB) AND (J = JT)) THEN TSBDY  :=  XLAT[J];
{
C         FOR EACH SECTION IN TOWNSHIP
     }
          FOR K := 1 TO 6 DO BEGIN
{
C         - DETERMINE RADIUS OF CURVATURE RLON
     }
            ANG  :=  XLAT[J]*DTOR;
            SN   :=  Sin(ANG);
            AUX  :=  Sqrt(1.0-ESQR*SN*SN);
            RLON :=  AESQ/(AUX*AUX*AUX);
{
C           FOR DESIRED SECTION/LSD
C           - SAVE SSBDY,SNBDY,SROAD,NROAD,SROAD2
C           - SAVE LSBDY,LNBDY,LAT,DLAT
C           - SET LAT TO SOUTH OF SOUTH ROAD IF NECESSARY
     }
            IF ((I = IB) AND (J = JT) AND (K = KR)) THEN BEGIN
              SSBDY  :=  XLAT[J];
              DIST   :=  FEET[IFT]/RLON;
              SNBDY  :=  SSBDY+DIST;
              IF (ISS < 4) THEN SROAD :=  (FEET[IFT]-FEET[1])/RLON;
              NROAD  :=  SROAD;
              IF (ISS = 3) THEN NROAD :=  (FEET[4-IFT]-FEET[1])/RLON;
              IF (ICASE > 0) THEN SROAD2 :=  (FEET[4]-FEET[1])/RLON;
              DIST   :=  DIST-SROAD;
              IF (IM = 1) THEN DIST  :=  0.0;
              IF (IM = 2) THEN DIST  :=  0.5*DIST;
              LAT    :=  SSBDY+SROAD+DIST;
              IF (ILS > 0) THEN BEGIN
                SIZNS  :=  FTNS/RLON;
                LSBDY  :=  LAT+(LKR-2*IM+1)*SIZNS;
                LNBDY  :=  LSBDY+SIZNS;
                LAT    :=  LSBDY+(LIN-1)*0.25*SIZNS
              END;
              IF ((ILS < 0) AND (IM = 1)) THEN LAT  :=  SSBDY;
              DLAT   :=  YNF/RLON
            END;
{
C         - CALCULATE LATITUDE AT NORTH SECTION BOUNDARY
     }
            XLAT[J]  :=  XLAT[J]+FEET[IFT]/RLON;
            IF (ISS = 3) THEN IFT  :=  4-IFT
          END;
{
C       - SAVE AS TNBDY IF AT DESIRED TOWNSHIP
     }
          IF ((I = IB) AND (J = JT)) THEN TNBDY  :=  XLAT[J];
{
C       - SAVE BLATM,BLAT,BLATP AT DESIRED BASE LINE
     }
          IF (J = 3) THEN BEGIN
            IF (I < IB) THEN BLATM  :=  XLAT[J];
            IF (I = IB) THEN BLAT   :=  XLAT[J];
            IF (I > IB) THEN BLATP  :=  XLAT[J]
          END
        END;
        J1  :=  1
      END;
{
C     LONGITUDE CALCULATIONS:  FROM INITIAL MERIDIAN TO EAST
C     END OF RANGE, THEN TO EAST END OF SECTION.
C
C     PRLAT      ==> PRIOR/NEXT BASE LINE RADIUS OF CURVATURE
C     PWID       ==> PRIOR/NEXT TOWNSHIP LONGITUDE WIDTH
C     TRLAT      ==> CURRENT BASE LINE RADIUS OF CURVATURE
C     TWID       ==> CURRENT TOWNSHIP LONGITUDE WIDTH
C     JOG        ==> LONGITUDE CHANGE AT EAST END OF RANGE
C                    FROM CURRENT TO NEXT/PRIOR BASE LINE
C
C     RLAT,RLON  ==> LATITUDE,LONGITUDE RADII OF CURVATURE
C                    AT GIVEN POINT
C     SRLAT      ==> LATITUDE RADIUS OF CURVATURE USED TO
C                    COMPUTE SECTION LONGITUDE WIDTH
C     SWID       ==> SECTION LONGITUDE WIDTH AT GIVEN POINT
C     FACT       ==> RANGE LONGITUDE FACTOR
C
C     IRG        ==> DESIRED RANGE
C     KC,LKC     ==> DESIRED SECTION,LSD INDEX
C     IW,LIW     ==> LOCATES SECTION,LSD REFERENCE POINT
C     TEBDY,TWBDY==> DESIRED TOWNSHIP E,W BOUNDARY LONGITUDE
C     SEBDY,SWBDY==> DESIRED SECTION  E,W BOUNDARY LONGITUDE
C     LEBDY,LWBDY==> DESIRED LSD      E,W BOUNDARY LONGITUDE
C     LON        ==> DESIRED SECTION/LSD REFERENCE LONGITUDE
C     DLON       ==> LONGITUDE CHANGE XWF METRES WEST OF LON
C     FTEW       ==> EAST-WEST EXTENT OF LSD (FEET)
C     SIZEW      ==> LONGITUDE WIDTH OF LSD
C     WROAD      ==> LONGITUDE WIDTH OF WEST ROAD ALLOWANCE
C     WROAD2     ==> LONGITUDE WIDTH OF A 99' ROAD ALLOWANCE
     }
      K1    :=  I2-I1;
      K2    :=  K1+1;
      IF (LAST) THEN BEGIN
        K2     :=  K2+1;
        LON    :=  0.0;
        DLON   :=  0.0;
        WROAD2 :=  0.0
      END;
      WROAD :=  0.0;
{
C     CALCULATE PRLAT,TRLAT AND RLAT,RLON IF REQUIRED
     }
      ANG := 0.0;
      FOR I := 1 TO K2 DO BEGIN
        K     :=  I-K1;
        IF (K = 0) THEN BEGIN
          IF (I1 < IB) THEN ANG  :=  BLATM*DTOR;
          IF (I2 > IB) THEN ANG  :=  BLATP*DTOR
        END;
        IF (K = 1) THEN ANG  :=  BLAT*DTOR;
        IF (K = 2) THEN ANG  :=  (LAT+DLAT)*DTOR;
        SN    :=  Sin(ANG);
        AUX   :=  Sqrt(1.0-ESQR*SN*SN);
        RLON  :=  AESQ/(AUX*AUX*AUX);
        RLAT  :=  AMAJ*Cos(ANG)/AUX;
        IF (K = 0) THEN PRLAT  :=  RLAT;
        IF (K = 1) THEN TRLAT  :=  RLAT
      END;
{
C     CALCULATE TWID AND SWID
     }
      IFT   :=  4;
      IF (ISS > 2) THEN IFT  :=  3;
      IF (ISS = 5) THEN IFT  :=  1;
      SWID  :=  FEET[IFT]/TRLAT;
      TWID  :=  6.0*SWID;
{
C     CALCULATE JOG AT EAST END OF RANGE
     }
      DIST  :=  (IRG-1);
      IF (UEWM[1] = 'E') THEN DIST  :=  -IRG;
      IF (I2 > I1) THEN BEGIN
        PWID  :=  6.0*(FEET[IFT]/PRLAT);
        JOG   :=  DIST*(PWID-TWID)
      END;
{
C     CALCULATE TEBDY,TWBDY; INCLUDE RANGE CORRECTION
C     - DEFINE RANGE FACTOR; FROM EAST ORIGIN TO WEST
     }
      DIST  :=  DIST*TWID;
      IF (UEWM[1] = 'E') THEN BEGIN
        TEBDY  :=  XMER[IMER]+DIST+RA+DR;
        TWBDY  :=  TEBDY+TWID-DR;
        FACT   :=  1.0-(DR/TWID)
      END
      ELSE BEGIN
        TEBDY  :=  XMER[IMER]+DIST+RA;
        TWBDY  :=  TEBDY+TWID+DR;
        FACT   :=  1.0+(DR/TWID)
      END;
{
C     - FOR SURVEY 1:  USE RLAT AND RECOMPUTE SWID
     }
      SRLAT :=  TRLAT;
      IF (ISS = 1) THEN BEGIN
        SRLAT  :=  RLAT;
        SWID   :=  FEET[IFT]/SRLAT
      END;
{
C     - CALCULATE WROAD
     }
      IF (ISS < 4) THEN
        WROAD :=  ((FEET[IFT]-FEET[1])*FACT)/SRLAT;
{
C     PROCEED FROM EAST TOWNSHIP TO EAST SECTION BOUNDARY
C     - SURVEY 1 SECTION WIDTHS ARE COMPUTED USING RLAT; ALL
C       OTHERS ARE COMPUTED USING TRLAT.
     }
      IF (LAST) THEN BEGIN
{
C     - CALCULATE SEBDY AND SWBDY
     }
      DIST   :=  (KC-1);
      DIST   :=  DIST*SWID*FACT;
      SEBDY  :=  TEBDY+DIST;
      SWBDY  :=  SEBDY+SWID*FACT;
      IF ((ISS = 1) AND (KC = 6)) THEN SWBDY  :=  TWBDY;
{
C     - CALCULATE WROAD2,LEBDY,LWBDY,LON
     }
      IF (ICASE > 0) THEN WROAD2 :=  (FEET[4]-FEET[1])/SRLAT;
      DIST   :=  0.0;
      IF (IW > 1) THEN DIST  :=  SWID*FACT-WROAD;
      IF (IW = 2) THEN DIST  :=  0.5*DIST;
      LON    :=  SEBDY+DIST;
      IF (ILS > 0) THEN BEGIN
        SIZEW  :=  FTEW*FACT/SRLAT;
        LEBDY  :=  LON+(LKC-2*IW+1)*SIZEW;
        LWBDY  :=  LEBDY+SIZEW;
        LON    :=  LEBDY+(LIW-1)*0.25*SIZEW
      END;
{
C     - ADJUST WEST BOUNDARY OF LAST SURVEY 1 SECTION/LSD
     }
      IF ((ISS = 1) AND (KC = 6)) THEN BEGIN
        SWBDY  :=  TWBDY;
        WCHEK  :=  SWBDY-WROAD;
        IF (ILS > 0) THEN BEGIN
          IF (LEBDY >= WCHEK) THEN GOTO 9010;
          IF ((LWBDY >= WCHEK) OR (LKC = 4)) THEN BEGIN
            IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
            IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
            LWBDY  :=  WCHEK
          END
        END
        ELSE BEGIN
          IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
          IF (IW = 3) THEN LON  :=  WCHEK
        END
      END;
{
C     - REFERENCE POINT MAY BE AT WESTERN EDGE OF WEST ROAD
     }
      IF ((ILS < 0) AND (IW = 3)) THEN LON  :=  SWBDY;
{
C     - CALCULATE DLON:  USE RLAT FOR ALL SURVEY SYSTEMS
     }
      DLON   :=  (XWF*FACT)/RLAT
      END;
{
C     BASE AND CORRECTION LINE LATITUDE ERRORS AT A GIVEN
C     POINT ARE DETERMINED USING RATIOS OF FORM:
C
C          (PERR-E2)/(E3-E2) = (PLON-T2)/(T3-T2)
C
C     WHERE T2,T3 ==> RANGE START,END LONGITUDES
C           PLON  ==> LONGITUDE OF GIVEN POINT IN RANGE
C           E2,E3 ==> RANGE START,END LATITUDE CORRECTIONS
C           PERR  ==> DESIRED LATITUDE CORRECTION OF POINT
C
C     NOTE THAT CORRECTION LINE RANGE MAY DIFFER FROM BASE
C     LINE RANGE DUE TO JOG.  THE CORRECT CHOICE IS TAKEN
C     FROM:
C          T(1-4) ==> LONGITUDE;  START OF RGE-1 TO RGE+2 ON
C                                 CORRECTION LINE
C         BP(1-4) ==> CORRECTION; START OF RGE-1 TO RGE+2 ON
C                                 CORRECTION LINE
C         BE(1-4) ==> CORRECTION; START OF RGE-1 TO RGE+2 ON
C                                 BASE LINE
     }
      CHEK   :=  XMER[IMER+1]+RB;
{
C     EAST OF PRIME:  CHECK FOR FRACTIONAL RANGE AT NEXT
C     MERIDIAN AND SET UP T(1-4), AS REQUIRED.
     }
      K := 0;
      IF (UEWM[1] = 'E') THEN BEGIN
{
C     - NON-EXISTENT RANGE
     }
        WCHEK  :=  CHEK+WROAD;
        IF (TWBDY <= WCHEK) THEN GOTO 9010;
{
C     - SET UP T(1-4) AS REQUIRED
     }
        IF (I2 > I1) THEN BEGIN
          T[3]  :=  TEBDY+JOG;
          T[2]  :=  T[3]+PWID;
          IF (I2 > IB) THEN BEGIN
            K  :=  1;
            T[1]  :=  T[2]+PWID
          END
          ELSE BEGIN
            K  :=  2;
            T[4]  :=  T[3]-PWID
          END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
          IF (T[K+1] <= WCHEK) THEN T[K+1]  :=  CHEK;
          IF (T[K+2] <= WCHEK) THEN T[K+2]  :=  CHEK
        END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
        IF (TEBDY <= WCHEK) THEN TEBDY  :=  CHEK;
{
C       SECTION/LSD PARAMETERS
C       - NON-EXISTENT SECTION/LSD:  IERR/JERR = -4
C       - FRACTIONAL SECTION/LSD:    IERR/JERR =  4
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON EAST BOUNDARY TO NEXT MERIDIAN
C       - SET IERR/JERR TO INDICATE SECTION/LSD TYPE
     }
        IF (LAST) THEN BEGIN
          IF (SEBDY <= WCHEK) THEN BEGIN
            SEBDY  :=  CHEK;
            IERR   :=  4;
            IF (SWBDY <= WCHEK) THEN IERR  :=  -4;
            IF (ILS > 0) THEN BEGIN
              IF ((LEBDY <= CHEK) OR (LKC = 1)) THEN BEGIN
                LEBDY  :=  CHEK;
                JERR   :=  4;
                IF (LWBDY <= CHEK) THEN JERR  :=  -4;
                IF (IERR < 0) THEN GOTO 9010;
                IF ((LON <= CHEK) AND (LIW > 1)) THEN GOTO 9010;
                IF ((LON <= CHEK) OR (LIW = 1)) THEN LON  :=  CHEK
              END
            END
            ELSE BEGIN
              IF ((LON <= CHEK) AND (IW > 1)) THEN GOTO 9010;
              IF (IW = 1) THEN LON  :=  CHEK
            END
          END
        END
      END;
{
C     WEST OF PRIME:  CHECK FOR FRACTIONAL RANGE AT NEXT
C     MERIDIAN AND SET UP T(1-4), AS REQUIRED.
     }
      IF (UEWM[1] = 'W') THEN BEGIN
{
C     - NON-EXISTENT RANGE
     }
        WCHEK  :=  CHEK-WROAD;
        IF (TEBDY >= WCHEK) THEN GOTO 9010;
{
C     - SET UP T(1-4) AS REQUIRED
     }
        IF (I2 > I1) THEN BEGIN
          T[2]  :=  TEBDY+JOG;
          T[3]  :=  T[2]+PWID;
          IF (I2 > IB) THEN BEGIN
            K  :=  1;
            T[1]  :=  T[2]-PWID
          END
          ELSE BEGIN
            K  :=  2;
            T[4]  :=  T[3]+PWID
          END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
          IF (T[K+1] >= WCHEK) THEN T[K+1]  :=  CHEK;
          IF (T[K+2] >= WCHEK) THEN T[K+2]  :=  CHEK
        END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
        IF (TWBDY >= WCHEK) THEN TWBDY  :=  CHEK;
{
C       SECTION/LSD PARAMETERS
C       - NON-EXISTENT SECTION/LSD:  IERR/JERR = -3
C       - FRACTIONAL SECTION/LSD:    IERR/JERR =  3
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON WEST BOUNDARY TO NEXT MERIDIAN
C       - SET IERR/JERR TO INDICATE SECTION/LSD TYPE
     }
        IF (LAST) THEN BEGIN
          IF (SWBDY >= WCHEK) THEN BEGIN
            SWBDY  :=  CHEK;
            IERR   :=  3;
            IF (SEBDY >= WCHEK) THEN IERR  :=  -3;
            IF (ILS > 0) THEN BEGIN
              IF ((LWBDY >= WCHEK) OR (LKC = 4)) THEN BEGIN
                LWBDY  :=  WCHEK;
                JERR   :=  3;
                IF (LEBDY >= WCHEK) THEN JERR  :=  -3;
                IF (IERR < 0) THEN GOTO 9010;
                IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
                IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK
              END
            END
            ELSE BEGIN
              IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
              IF (IW = 3) THEN BEGIN
                LON  :=  WCHEK;
                IF (ILS < 0) THEN LON  :=  CHEK
              END
            END
          END
        END
      END;
{
C     BASE AND CORRECTION LINE LATITUDE ERRORS
C     TOWNSHIP CHORD LATITUDE CORRECTION
C
C     TLON        ==> LONGITUDE OF GIVEN POINT
C     BERR        ==> CORRECTION DUE TO BASE LINE
C     CERR        ==> CORRECTION AT CORRECTION LINE
     }
      BERR  :=  0.0;
      CERR  :=  0.0;
      LimErr := 0.0;                                                            //dwl 17Jun2013
      IF (LAST)
        THEN TLON  :=  LON+DLON
        ELSE BEGIN
          TLON  :=  TEBDY;
          IF (BDCOR[2] = 'W') THEN TLON  :=  TWBDY
        END;
{
C     EAST OF PRIME:  BERR,CERR LONGITUDE PARAMETERS
     }
      IF (UEWM[1] = 'E') THEN BEGIN
        BERR  :=  (TLON-TWBDY)/(TEBDY-TWBDY);
        IF (I2 > I1) THEN BEGIN
          IF (TLON <= T[K+1]) THEN K  :=  K+1;
          DIST  :=  T[K+1]-T[K];
          TT    :=  -DIST
        END
      END;
{
C     WEST OF PRIME:  BERR,CERR LONGITUDE PARAMETERS
     }
      IF (UEWM[1] = 'W') THEN BEGIN
        BERR  :=  (TLON-TEBDY)/(TWBDY-TEBDY);
        IF (I2 > I1) THEN BEGIN
          IF (TLON >= T[K+1]) THEN K  :=  K+1;
          DIST  :=  T[K+1]-T[K];
          TT    :=  DIST
        END
      END;
{
C     CALCULATE LimErr
     }
      LimErr  :=  Bdy[2]+BERR*(Bdy[3]-Bdy[2]);                                  //dwl 17Jun2013
{
C     CALCULATE BERR
     }
      BERR  :=  BE[2]+BERR*(BE[3]-BE[2]);
{
C     CALCULATE CERR
     }
      IF (I2 > I1) THEN BEGIN
        IF (TT > 0.0) THEN CERR  :=  (TLON-T[K])/DIST;
        CERR  :=  BP[K]+CERR*(BP[K+1]-BP[K])
      END;
{
C     TOWNSHIP CHORD LATITUDE CORRECTION
     }
      DIST  :=  TERR*(TWBDY-TLON)*(TLON-TEBDY)*SN*(RLAT/RLON);
{
C     ACTUAL CORRECTION:
C     - AVERAGE BERR,CERR FOR CORRECTION LINES
C     - USE CERR ALONE FOR CORRECTION AT U.S. BORDER
C     - ADD CHORD LATITUDE CORRECTION
     }
      IF ((I2 > I1) AND (ITP > 1)) THEN CERR  :=  0.5*(BERR+CERR);
      BERR  :=  BERR+DIST;
      CERR  :=  CERR+DIST;
//
//Lat Problem on Meridian
//
      DlsLatProb(GVAR,DLSVAR,LAST,KR,ILS,LKR,TNBDY,TSBDY,LAT);                  //dwl 16Jul2013
{
C     TOWNSHIP CORRECTIONS:  NOT ON CORRECTION LINE
     }
      TSBDY  :=  TSBDY+BERR;
      TNBDY  :=  TNBDY+BERR;
{
C     SECTION/LSD CORRECTIONS:  NOT ON CORRECTION LINE
     }
      IF (LAST) THEN BEGIN
        SSBDY  :=  SSBDY+BERR;
        SNBDY  :=  SNBDY+BERR;
        LAT    :=  LAT+BERR;
        IF (ILS > 0) THEN BEGIN
          LSBDY  :=  LSBDY+BERR;
          LNBDY  :=  LNBDY+BERR
        END
      END;
{
C     TOWNSHIP CORRECTIONS:  TNBDY ON CORRECTION LINE
     }
      IF (I2 > IB) THEN BEGIN
        TNBDY  :=  TNBDY+(CERR-BERR);
{
C       SECTION/LSD CORRECTIONS
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON CORRECTION LINE TO TNBDY
     }
        IF (LAST) THEN BEGIN
          if (iLim = 1) then                                                    //dwl 17Jun2013
            TNBDY := TNBDY+LimErr;
          IF (KR = 6) THEN BEGIN
            IF (ILS > 0) THEN BEGIN
              IF (LSBDY >= TNBDY) THEN GOTO 9010;
              IF ((LNBDY >= TNBDY) OR (LKR = 4)) THEN BEGIN
                IF ((LAT >= TNBDY) AND (LIN < 5)) THEN GOTO 9010;
                IF ((LAT >= TNBDY) OR (LIN = 5)) THEN LAT  :=  TNBDY;
                LNBDY  :=  TNBDY
              END
            END
            ELSE BEGIN
              IF ((LAT >= TNBDY) AND (IM < 3)) THEN GOTO 9010;
              IF (IM = 3) THEN LAT  :=  TNBDY
            END;
            SNBDY  :=  TNBDY
          END
        END
      END;
{
 C     TOWNSHIP CORRECTIONS:  TSBDY ON CORRECTION LINE
     }
      IF (I1 < IB) THEN BEGIN
        TSBDY  :=  TSBDY+(CERR-BERR);
{
C       SECTION/LSD CORRECTIONS
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON CORRECTION LINE TO TSBDY
     }
        IF (LAST) THEN BEGIN
          if (iLim = -1) then                                                   //dwl 23Aug2013
            TSBDY := TSBDY+LimErr;
          IF (KR = 1) THEN BEGIN
            SCHEK  :=  TSBDY+SROAD;
            IF (ILS > 0) THEN BEGIN
              IF (LNBDY <= SCHEK) THEN GOTO 9010;
              IF ((LSBDY <= SCHEK) OR (LKR = 1)) THEN BEGIN
                IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
                IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
                LSBDY  :=  SCHEK
              END
            END
            ELSE BEGIN
              IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
              IF (IM = 1) THEN BEGIN
                LAT  :=  SCHEK;
                IF (ILS < 0) THEN LAT  :=  TSBDY
              END
            END;
            SSBDY  :=  TSBDY
          END
        END
      END;
{
C     DEFINE FRACTIONAL TOWNSHIP LIMITS
C     - PERFORM SECOND PASS FOR TOWNSHIP PARAMETERS
     }
      IF (NOT (LAST)) THEN BEGIN
        ZLAT  :=  TSBDY;
        IF (BDCOR[1] = 'N') THEN ZLAT  :=  TNBDY;
        ZLON  :=  TEBDY;
        IF (BDCOR[2] = 'W') THEN ZLON  :=  TWBDY;
        LAST  :=  True;
        ISS  :=  3;
        ITP  :=  TWP;
        IRG  :=  RGE;
        GOTO 600
      END;
{
C     FRACTIONAL TOWNSHIP:  SECTION/LSD  MAY BE NORMAL,
C     FRACTIONAL, OR NON-EXISTENT.  FRACTIONAL SECTION/LSD
C     MAY BELONG TO ANOTHER CASE.  NOTE JCASE REFERS TO LSD.
     }
      IF (ICASE = 0) THEN GOTO 8600;
      IF (ICASE = 2) THEN GOTO 8200;
      IF (ICASE = 3) THEN GOTO 8300;
      IF (ICASE = 4) THEN GOTO 8400;
      IF (ICASE > 4) THEN GOTO 8450;
{
C     CASE 1:  FRACTIONAL TOWNSHIP/SECTION
     }
 8100:
      TSBDY  :=  ZLAT;
      SCHEK  :=  ZLAT+SROAD2;
{
C     - NON-EXISTENT SECTION
     }
      IF (SNBDY <= SCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SSBDY > SCHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 1:  FRACTIONAL SECTION
     }
      SSBDY  :=  ZLAT;
      SROAD  :=  SROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD ALLOWANCE
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
        IF (IM = 1) THEN BEGIN
          LAT  :=  SCHEK;
          IF (ILS < 0) THEN LAT  :=  ZLAT
        END;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LNBDY <= SCHEK) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
      IF ((LSBDY > SCHEK) AND (LKR > 1)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{    
C     - FRACTIONAL CASE 1 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD ALLOWANCE
     }
      IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
      IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
      LSBDY  :=  SCHEK;
      GOTO 8600;
{
C     CASE 2:  FRACTIONAL TOWNSHIP/SECTION
     }
 8200:
      TNBDY  :=  ZLAT;
      SCHEK  :=  ZLAT-SROAD;
      CHEK   :=  ZLAT-NROAD;
{
C     - NON-EXISTENT SECTION
     }
      IF (SSBDY >= SCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SNBDY < CHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 2:  FRACTIONAL SECTION
     }
      SNBDY  :=  ZLAT;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH BOUNDARY
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LAT >= ZLAT) AND (IM < 3)) THEN GOTO 9010;
        IF (IM = 3) THEN LAT  :=  ZLAT;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LSBDY >= ZLAT) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
      IF ((LNBDY < ZLAT) AND (LKR < 4)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 2 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH BOUNDARY
     }
      IF ((LAT >= ZLAT) AND (LIN < 5)) THEN GOTO 9010;
      IF ((LAT >= ZLAT) OR (LIN = 5)) THEN LAT  :=  ZLAT;
      LNBDY  :=  ZLAT;
      GOTO 8600;
{
C     CASE 3:  FRACTIONAL TOWNSHIP/SECTION
     }
 8300:
      TWBDY  :=  ZLON;
      WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
      IF (SEBDY >= WCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SWBDY < WCHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 3:  FRACTIONAL SECTION
     }
      SWBDY  :=  ZLON;
      WROAD  :=  WROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT WEST ROAD ALLOWANCE
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
        IF (IW = 3) THEN BEGIN
          LON  :=  WCHEK;
          IF (ILS < 0) THEN LON  :=  ZLON
        END;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LEBDY >= WCHEK) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
      IF ((LWBDY < WCHEK) AND (LKC < 4)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 3 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT WEST ROAD ALLOWANCE
     }
      IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
      IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
      LWBDY  :=  WCHEK;
      GOTO 8600;
{
C     CASE 4:  FRACTIONAL TOWNSHIP/SECTION
     }
 8400:
      TEBDY  :=  ZLON;
      WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
      IF (SWBDY <= WCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SEBDY > WCHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 4:  FRACTIONAL SECTION
     }
      SEBDY  :=  ZLON;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF ON EAST BOUNDARY
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LON <= ZLON) AND (IW > 1)) THEN GOTO 9010;
        IF (IW = 1) THEN LON  :=  ZLON;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LWBDY <= ZLON) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
      IF ((LEBDY > ZLON) AND (LKC > 1)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 4 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF ON EAST BOUNDARY
     }
      IF ((LON <= ZLON) AND (LIW > 1)) THEN GOTO 9010;
      IF ((LON <= ZLON) OR (LIW = 1)) THEN LON  :=  ZLON;
      LEBDY  :=  ZLON;
      GOTO 8600;
{
C     CASE 5:  FRACTIONAL TOWNSHIP/SECTION
     }
 8450:
      IF (ICASE = 5) THEN BEGIN
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) AND (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) OR (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SSBDY >= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2
     }
        IF ((SWBDY <= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 5:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET NE,NC,EC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  (4-IM)+IW;
          IF ((LAT >= ZLAT) AND (LON <= ZLON)
             AND (IJ > 3)) THEN GOTO 9010;
          IF ((IW = 1) AND (IM <> 1)) THEN LAT  :=  ZLAT;
          IF ((IM = 3) AND (IW <> 3)) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) AND (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LNBDY < ZLAT) AND (LKR < 4))
           OR ((LEBDY > ZLON) AND (LKC > 1))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LSBDY >= ZLAT) AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LWBDY <= ZLON) AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 5 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET H,N,M TO MARK BOUNDARY CORNERS
     }
        IJ  :=  (6-LIN)+LIW;
        IF ((LAT >= ZLAT) AND (LON <= ZLON)) THEN BEGIN
          IF (IJ > 4) THEN GOTO 9010;
          IF ((LIN = 4) AND (LIW = 2)) THEN GOTO 9010
        END;
        IF ((LIW = 1) AND (LIN <> 1)) THEN LAT  :=  ZLAT;
        IF ((LIN = 5) AND (LIW <> 5)) THEN LON  :=  ZLON;
        GOTO 8600
      END;
{
C     CASE 6:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 6) THEN BEGIN
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) AND (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) OR (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SSBDY >= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2
     }
        IF ((SEBDY >= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 6:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET NW,NC,WC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  IM+IW;
          IF ((LAT >= ZLAT) AND (LON >= WCHEK)
             AND (IJ < 5)) THEN GOTO 9010;
          IF ((IW = 3) AND (IM <> 1)) THEN LAT  :=  ZLAT;
          IF ((IM = 3) AND (IW <> 1)) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) AND (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LNBDY < ZLAT) AND (LKR < 4))
          OR ((LWBDY < WCHEK) AND (LKC < 4))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LSBDY >= ZLAT) AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LEBDY >= WCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 6 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET G,N,W TO MARK BOUNDARY CORNERS
     }
        IJ  :=  LIN+LIW;
        IF ((LAT >= ZLAT) AND (LON >= WCHEK)) THEN BEGIN
          IF (IJ < 8) THEN GOTO 9010;
          IF ((LIN = 4) AND (LIW = 4)) THEN GOTO 9010
        END;
        IF ((LIW = 5) AND (LIN <> 1)) THEN LAT  :=  ZLAT;
        IF ((LIN = 5) AND (LIW <> 1)) THEN LON  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 7:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 7) THEN BEGIN
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) AND (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) OR (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SNBDY <= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1
     }
        IF ((SWBDY <= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 7:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET SE,SC,EC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  IM+IW;
          IF ((LAT <= SCHEK) AND (LON <= ZLON)
             AND (IJ > 3)) THEN GOTO 9010;
          IF ((IW = 1) AND (IM <> 3)) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF ((IM = 1) AND (IW <> 3)) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LNBDY <= SCHEK) AND (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LSBDY > SCHEK) AND (LKR > 1))
          OR ((LEBDY > ZLON) AND (LKC > 1))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LNBDY <= SCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LWBDY <= ZLON) AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 7 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET E,S,M TO MARK BOUNDARY CORNERS
     }
        IJ  :=  LIN+LIW;
        IF ((LAT <= SCHEK) AND (LON <= ZLON)) THEN BEGIN
          IF (IJ > 4) THEN GOTO 9010;
          IF ((LIN = 2) AND (LIW = 2)) THEN GOTO 9010
        END;
        IF ((LIW = 1) AND (LIN <> 5)) THEN LAT  :=  SCHEK;
        IF ((LIN = 1) AND (LIW <> 5)) THEN LON  :=  ZLON;
        GOTO 8600
      END;
{
C     CASE 8:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 8) THEN BEGIN
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) AND (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) OR (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SNBDY <= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1
     }
        IF ((SEBDY >= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 8:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET SW,SC,WC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  IM+(4-IW);
          IF ((LAT <= SCHEK) AND (LON >= WCHEK)
             AND (IJ > 3)) THEN GOTO 9010;
          IF ((IW = 3) AND (IM <> 3)) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF ((IM = 1) AND (IW <> 1)) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - INVALID LSD
     }
        IF ((LNBDY <= SCHEK) AND (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{    
C     - NORMAL LSD
     }
        IF (((LSBDY > SCHEK) AND (LKR > 1))
          OR ((LWBDY < WCHEK) AND (LKC < 4))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LNBDY <= SCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LEBDY >= WCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{    
C     - FRACTIONAL CASE 8 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET F,S,W TO MARK BOUNDARY CORNERS
     }
        IJ  :=  LIN+(6-LIW);
        IF ((LAT <= SCHEK) AND (LON >= WCHEK)) THEN BEGIN
          IF (IJ > 4) THEN GOTO 9010;
          IF ((LIN = 2) AND (LIW = 4)) THEN GOTO 9010
        END;
        IF ((LIW = 5) AND (LIN <> 5)) THEN LAT  :=  SCHEK;
        IF ((LIN = 1) AND (LIW <> 1)) THEN LON  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 9:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 9) THEN BEGIN
        TSBDY  :=  ZLAT;
        TWBDY  :=  ZLON;
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) OR (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) AND (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SSBDY > SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1
     }
        IF ((SWBDY < WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 9:  FRACTIONAL SECTION
     }
        SSBDY  :=  ZLAT;
        SWBDY  :=  ZLON;
        SROAD  :=  SROAD2;
        WROAD  :=  WROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH OR WEST ROAD ALLOWANCE
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
          IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
          IF (IM = 1) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF (IW = 3) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LNBDY <= SCHEK) OR (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (LWBDY < WCHEK) AND (LKC < 4)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LWBDY < WCHEK) AND (LKC < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 9 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH OR WEST ROAD ALLOWNACE
     }
        IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
        IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
        IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
        IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
        LSBDY  :=  SCHEK;
        LWBDY  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 10:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 10) THEN BEGIN
        TSBDY  :=  ZLAT;
        TEBDY  :=  ZLON;
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) OR (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) AND (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SSBDY > SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1
     }
        IF ((SEBDY > WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 10:  FRACTIONAL SECTION
     }
        SSBDY  :=  ZLAT;
        SEBDY  :=  ZLON;
        SROAD  :=  SROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD ALL. OR EAST BD.
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
          IF ((LON <= ZLON) AND (IW > 1)) THEN GOTO 9010;
          IF (IM = 1) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF (IW = 1) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LNBDY <= SCHEK) OR (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (LEBDY > ZLON) AND (LKC > 1)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LEBDY > ZLON) AND (LKC > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 10 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD AL. OR EAST BD.
     }
        IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
        IF ((LON <= ZLON) AND (LIW > 1)) THEN GOTO 9010;
        IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
        IF ((LON <= ZLON) OR (LIW = 1)) THEN LON  :=  ZLON;
        LSBDY  :=  SCHEK;
        LEBDY  :=  ZLON;
        GOTO 8600
      END;
{
C     CASE 11:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 11) THEN BEGIN
        TNBDY  :=  ZLAT;
        TWBDY  :=  ZLON;
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) OR (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) AND (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SNBDY < CHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2
     }
        IF ((SWBDY < WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 11:  FRACTIONAL SECTION
     }
        SNBDY  :=  ZLAT;
        SWBDY  :=  ZLON;
        WROAD  :=  WROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT NORTH BD. OR WEST ROAD ALL.
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT >= ZLAT) AND (IM < 3)) THEN GOTO 9010;
          IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
          IF (IM = 3) THEN LAT  :=  ZLAT;
          IF (IW = 3) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) OR (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (LWBDY < WCHEK) AND (LKC < 4)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LWBDY < WCHEK) AND (LKC < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 11 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT NORTH BD. OR WEST ROAD ALL.
     }
        IF ((LAT >= ZLAT) AND (LIN < 5)) THEN GOTO 9010;
        IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
        IF ((LAT >= ZLAT) OR (LIN = 5)) THEN LAT  :=  ZLAT;
        IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
        LNBDY  :=  ZLAT;
        LWBDY  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 12:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 12) THEN BEGIN
        TNBDY  :=  ZLAT;
        TEBDY  :=  ZLON;
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) OR (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) AND (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SNBDY < CHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2
     }
        IF ((SEBDY > WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 12:  FRACTIONAL SECTION
     }
        SNBDY  :=  ZLAT;
        SEBDY  :=  ZLON;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH OR EAST BOUNDARY
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT >= ZLAT) AND (IM < 3)) THEN GOTO 9010;
          IF ((LON <= ZLON) AND (IW > 1)) THEN GOTO 9010;
          IF (IM = 3) THEN LAT  :=  ZLAT;
          IF (IW = 1) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) OR (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (LEBDY > ZLON) AND (LKC > 1)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LEBDY > ZLON) AND (LKC > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 12 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH OR EAST BOUNDARY
     }
        IF ((LAT >= ZLAT) AND (LIN < 5)) THEN GOTO 9010;
        IF ((LON <= ZLON) AND (LIW > 1)) THEN GOTO 9010;
        IF ((LAT >= ZLAT) OR (LIN = 5)) THEN LAT  :=  ZLAT;
        IF ((LON <= ZLON) OR (LIW = 1)) THEN LON  :=  ZLON;
        LNBDY  :=  ZLAT;
        LEBDY  :=  ZLON;
        GOTO 8600
      END;
{
C     CONVERT LAT,LON OF REFERENCE POINT TO DESIRED POINT
C     - MARK SECTION/LSD CUT AT NEXT MERIDIAN
C     - MARK TYPE A TOWNSHIP
C     - MARK SECTION/LSD CASE
C     - MARK POINT ON ROAD ALLOWANCE
C     - MARK POINT NOT IN SECTION/LSD
     }
 8600:
{
C     LATITUDE & LONGITUDE OF ACTUAL POINT
     }
      LAT  :=  LAT+DLAT;
      LON  :=  LON+DLON;
{    }
      LERR  :=  IERR;
      LCASE  :=  ICASE;
      IF (ILS > 0) THEN BEGIN
        LERR  :=  JERR;
        LCASE  :=  JCASE
      END;
{
C     CUT OFF AT NEXT MERIDIAN
     }
      IERR  :=  0;
      IF (LERR <> 0) THEN IERR  :=  900;
{
C     TYPE A TOWNSHIP
     }
      IERR  :=  IERR+TYPA;
{
C     COULD BE INVALID SECTION WITHIN VALID TOWNSHIP
     }
      IF ((LERR < 0) OR (LCASE < 0)) THEN BEGIN
        IF (LCASE < 0) THEN LCASE  :=  -LCASE;
        IERR  :=  7000+IERR+LCASE;
        GOTO 9005
      END;
{
C     FRACTIONAL SECTION/LSD
     }
      IERR  :=  IERR+LCASE;
{
C     - POINT OUTSIDE SECTION/LSD AND ROAD ALLOWANCE
     }
      IF (ILS > 0) THEN BEGIN
        TLAT  :=  LSBDY;
        TLON  :=  LWBDY;
        IF ((LKR = 1) OR (LCASE = 1)) THEN TLAT  :=  SSBDY;
        IF ((LKC = 4) OR (LCASE = 3)) THEN TLON  :=  SWBDY;
        IF ((LAT < TLAT) OR (LAT > LNBDY)
          OR (LON < LEBDY) OR (LON > TLON)) THEN BEGIN
            IERR  := IERR+4000;
            GOTO 9005
        END;
        TLAT  :=  LSBDY;
        TLON  :=  LWBDY
      END
      ELSE BEGIN
        IF ((LAT < SSBDY) OR (LAT > SNBDY)
          OR (LON < SEBDY) OR (LON > SWBDY)) THEN BEGIN
            IERR  := IERR+4000;
            GOTO 9005;
        END;
        TLAT  :=  SSBDY+SROAD;
        TLON  :=  SWBDY-WROAD
      END;
      IF (LCASE = 5) THEN
        IF ((LAT > ZLAT) AND (LON < ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
      IF (LCASE = 6) THEN
        IF ((LAT > ZLAT) AND (LON > ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
      IF (LCASE = 7) THEN
        IF ((LAT < ZLAT) AND (LON < ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
      IF (LCASE = 8) THEN
        IF ((LAT < ZLAT) AND (LON > ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
{
C     - POINT ON SOUTH-WEST ROAD ALLOWANCE
     }
      IF ((LAT < TLAT) AND (LON > TLON)) THEN BEGIN
        IERR  := IERR+3000;
        GOTO 9005
      END;
      IF (LCASE = 8) THEN BEGIN
        IF ((LAT < SCHEK) AND (LON > TLON)) THEN BEGIN
          IERR  := IERR+3000;
          GOTO 9005
        END;
        IF ((LAT < SCHEK) AND (LAT >= ZLAT)
           AND (LON > WCHEK) AND (LON <= ZLON)) THEN BEGIN
             IERR  := IERR+3000;
             GOTO 9005
           END;
        IF ((LAT < TLAT) AND (LON > WCHEK)) THEN BEGIN
           IERR  := IERR+3000;
           GOTO 9005
         END
      END;
{
C     - POINT ON SOUTH ROAD ALLOWANCE
     }
      IF (LAT < TLAT) THEN BEGIN
        IERR  := IERR+1000;
        GOTO 9005
      END;
      IF (LCASE = 7) THEN
        IF ((LAT < SCHEK) AND (LON < ZLON)) THEN BEGIN
          IERR  := IERR+1000;
          GOTO 9005
        END;
      IF (LCASE = 8) THEN
        IF ((LAT < SCHEK) AND (LON > ZLON)) THEN BEGIN
          IERR  := IERR+1000;
          GOTO 9005
        END;
{
C     - POINT ON WEST ROAD ALLOWANCE
     }
      IF (LON > TLON) THEN BEGIN
        IERR  := IERR+2000;
        GOTO 9005
      END;
      IF (LCASE = 6) THEN
        IF ((LAT > ZLAT) AND (LON > WCHEK)) THEN BEGIN
          IERR  := IERR+2000;
          GOTO 9005
        END;
      IF (LCASE = 8) THEN
        IF ((LAT < ZLAT) AND (LON > WCHEK)) THEN BEGIN
          IERR  := IERR+2000;
          GOTO 9005
        END;
{
C     OK      -- CALCULATION COMPLETE
     }
 9005:
      IF (SUR = 0) THEN
        DlsOut := Copy(DlsOut,1,14)
                      +Format('%1.1d',[ISS])
                      +Copy(DlsOut,16,1);
      IF (IGS > 2) THEN LAT := -LAT;
      IF ((IGS = 1) OR (IGS = 3)) THEN LON := -LON;
//      YlatOut := Format('%12.6f',[LAT]);
//      XlonOut := Format('%12.6f',[LON]);
      YlatOut := FloatToStr(LAT);
      XlonOut := FloatToStr(LON);
      IF (UpperCase(GSPH[3]) = 'M') THEN BEGIN
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
      END
      ELSE IF (UpperCase(GSPH[3]) = 'S') THEN BEGIN
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
      END;
      GOTO 9050;
{
C     ERROR   -- INVALID TOWNSHIP RANGE, LSD, OR SECTION/LSD
C                REFERENCE POINT
     }
 9010:
      LERR  :=  IERR;
      LCASE  :=  ICASE;
      IF (ILS > 0) THEN BEGIN
        LERR  :=  JERR;
        LCASE  :=  JCASE
      END;
      IF (LERR <> 0) THEN IERR  :=  900;
      IF (LCASE < 0) THEN LCASE  :=  -LCASE;
      IERR  :=  9000+IERR+LCASE;
 9050:
      END;


{
C ***********************************************************
     }
      function GeoArc (Plycon:Tplycon; YLAT:double): double;
{
C ***********************************************************
C
C     PURPOSE:    Calculation of Arc from Base Latitude to YLAT.
C
C     SOURCE:     G. D. Newton, U. S. Geological Survey
C                 Bulletin 1642, 1985.
C
C     REVISED BY: D. W. Lepard, 1998, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C
C     INPUT:
C       Plycon    Polyconic projection parameters   Tplycon
C
C       YLAT      Latitude of point in radians.     DOUBLE
C
C     OUTPUT:
C       RESULT    Arc in metres; Base Lat to YLAT.  DOUBLE
C
C
C ***********************************************************
     }
      var SINLAT,COSLAT,COSLAT2,OMEGA :double;
{    }
      begin                           { of main GeoArc }
      with PlyCon do
      begin
      SINLAT := Sin(YLAT);
      COSLAT := Cos(YLAT);
      COSLAT2 := COSLAT*COSLAT;
      OMEGA := YLAT+SINLAT*COSLAT*(U0+COSLAT2*(U2+COSLAT2
              *(U4+COSLAT2*U6)));
      RESULT := OMEGA*SR-YBASE;
      end;
      end;
(*
{
C ***********************************************************
     }
      procedure GeoArc (Plycon:Tplycon; YHI,YLO:double;
        var SUM:double);
{
C ***********************************************************
C
C     PURPOSE:    Calculation of arc from YLO to YHI by
C                 Simpsons Rule.
C
C     SOURCE:     Unknown.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       Plycon    Polyconic projection parameters   Tplycon
C
C       YHI       Latitude of point in radians.     DOUBLE
C
C       YLO       Base Latitude origin in radians.  DOUBLE
C
C     OUTPUT:
C       SUM       Arc length in metres; YLO to YHI. DOUBLE
C
C ***********************************************************
     }
      var JK,KTR,N,NN,NPHI :integer;
      var DPHI,ESI,F,H,HPHI,SI :double;
{    }
      begin

      with PlyCon do
      begin
{    }
      KTR  := 1;
      SUM  := 0.0;
      HPHI := YLO;
{
C     CALCULATE THE TOTAL NUMBER OF STEPS N, AND THE STEP SIZE H
     }
      DPHI := YHI-YLO;
      if (DPHI <> 0.0) then
      begin
      NPHI := Trunc(Abs(DPHI)/D2R);
      case NPHI of
        0,1: N := 6;
        2,3: N := 6*NPHI;
        4,5: N := 24
      else
        N := 4*NPHI
      end;
      H  := DPHI/N;
      NN := N+1;
{
      EVALUATE THE INTEGRAL
     }
      FOR JK := 1 TO NN DO
      BEGIN
        SI  :=  Sin(HPHI);
        ESI := 1.0-ESQ*SI*SI;
        F   := AMAJ*(1.0-ESQ)/(ESI*Sqrt(ESI));
        case KTR of
          1: KTR := 3;
          2: begin
               F := F+F;
               KTR := 3
             end
        else
          F := 4.0*F;
          if (JK < N) then
            KTR := 2
          else
            KTR := 1
          end
        end;
        SUM := SUM+F;
        HPHI := HPHI+H;
      end;
      SUM := H/3.0*SUM
      end

      end;                      *)

{
C ***********************************************************
     }
      procedure GeoCog (GSPH:string; CogIn:string;
        YlatIn,XlonIn:string; var CogOut:string;
        var YnOut,XeOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to
C                 Canada Oil and Gas Lands coordinates.
C
C     AUTHOR:     D. W. Lepard, 1995.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       CogIn                                       STRING[16]
C         [1]     Cog Grid type = '3' only
C         [14-15] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C                 Blank to locate [NE,NW,SE,SW]
C                   corner nearest to given point
C         [16]    Section/Unit Flag in [S,U]
C
C       YlatIn    Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonIn    Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C     OUTPUT:
C       CogOut    CogIn using upper case; rest of   STRING[16]
C                   Cog coordinates evaluated
C         [1]     Cog Grid type = '3' only
C         [2-5]   North-east grid corner latitude
C                   in degrees and minutes ( DDMM)
C         [6-10]  North-east grid corner longitude
C                   in degrees and minutes (DDDMM)
C         [11-12] Section in [1..99,0] ==> [1..100]
C         [13]    Unit in [A..P]
C         [14-15] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C         [16]    Section/Unit Flag in [S,U]
C
C       YnOut     Metres north of Ref Point         STRING[12]
C
C       XeOut     Metres east of Ref Point          STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C               9001 = YLAT<40 or YLAT>85
C               9002 = XLON<48 or XLON>144
C               9004 = Illegal character
C               9007 = Illegal section ref point (see below)
C
C     NOTE:
C       Section/Unit Reference Point Location
C
C       NW ... NC ... NE
C       .      .      .
C       .      .      .
C       .      .      .
C       WC ... CC ... EC
C       .      .      .
C       .      .      .
C       .      .      .
C       SW ... SC ... SE
C
C ***********************************************************
     }
      var IDS4,IDXM,IDXS4,IDYM,IDYS4,IGS,IM,IOP,IPOS: integer;
      var IUXS4,IUYS4,IW,IXG,IXS,IXU,IYG,IYS,IYU: integer;
      var LATD,LATG,LATM,LATR,LATS4,LOND,LONG,LONM: integer;
      var LONR,LONS4,MM,NG,NS,SEC: integer;
{    }
      var AMAJ,ANG,AUX,CS,D2R,DIST,DLAT,DLON,ESN,ESQ: double;
      var FACT,FLAT,RLAT,RLON,S2M,SN,TLAT,TLON: double;
      var XE,XLONP,XVAL,XX,YLATP,YN,YVAL,YY: double;
{    }
      var CHU,SORU,VNIT: string;
      var CLOC,RPT: string;
      var TEXT: string;
{    }
      label 9000;
{    }
      BEGIN
      ERR   := 9004;
      S2M   :=  1.0/60.0;
      TEXT  :=  'ABCDEFGHIJKLMNOP';
      YN    := 0.0;
      XE    := 0.0;
      YnOut := '       0.000';
      XeOut := YnOut;
      CogOut := '';
      IF ((Length(GSPH) < 3) or (CogIn = '')) THEN goto 9000;
      IF ((YlatIn = '') or (XlonIn = '')) THEN goto 9000;
      CogOut := UpperCase(CogIn);
      while (Length(CogOut) < 16) do CogOut := CogOut+' ';
      IGS   := 1;
      CHU   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CHU = 'S') THEN IGS := 3
        ELSE IF (CHU <> 'N') THEN GOTO 9000;
{                              # default to 'E' if not 'W'  }
      CHU  := UpperCase(GSPH[2]);
      IF (CHU = 'W') THEN IGS := IGS+1
        ELSE IF (CHU <> 'E') THEN GOTO 9000;
{                              # dec degree or deg-min-sec  }
      CHU  := UpperCase(GSPH[3]);
      IF ((CHU <> 'D') AND (CHU <> 'M') AND (CHU <> 'S')) THEN GOTO 9000;
      IF (CHU = 'S') THEN BEGIN
        YLATP  := StrToFloat(MSToDeg(YlatIn));
        XLONP  := StrToFloat(MSToDeg(XlonIn))
      END
      ELSE IF (CHU = 'M') THEN BEGIN
        YLATP  := StrToFloat(MinToDeg(YlatIn));
        XLONP  := StrToFloat(MinToDeg(XlonIn))
      END
      ELSE BEGIN
        YLATP  := StrToFloat(YlatIn);
        XLONP  := StrToFloat(XlonIn)
      END;
      IF (IGS > 2) THEN YLATP := -YLATP;
      IF ((IGS = 1) OR (IGS = 3)) THEN XLONP := -XLONP;
{                              # extract COG parameters     }
      IF (CogOut[1] <> '3') THEN GOTO 9000;
      CLOC := Copy(CogOut,14,2);
      SORU := CogOut[16];
      IF ((SORU <> 'S') AND (SORU <> 'U')) THEN BEGIN
        SORU  := 'U';
        CogOut := Copy(CogOut,1,15)+SORU
      END;
      IOP  :=  0;
{                              # default to 'S' if not 'U'  }
      IF (SORU = 'U') THEN IOP := 1;
{    }
      AMAJ :=  6378137.00;
      FLAT :=  1.0/298.257222101;
      ESQ  :=  FLAT*(2.0-FLAT);
      D2R  :=  Pi/180.0;
{    }
      LATG :=  0;
      LONG :=  0;
//      SEC  :=  0;
      VNIT :=  ' ';
{    }
      ERR  :=  9001;
      IF ((YLATP < 40.0) OR (YLATP > 85.0)) THEN GOTO 9000;
{    }
      ERR  :=  9002;
      IF ((XLONP < 48.0) OR (XLONP > 144.0)) THEN GOTO 9000;
{
C                              # Illegal section ref point
C                                (NE,NW,SE,SW,NC,SC,EC,WC,CC)
     }
      ERR  :=  0;
      RPT  := CLOC;
      IF (RPT = '  ') THEN RPT := 'SE';
      IF ((RPT[1] = 'N') OR (RPT[1] = 'S'))
        THEN CHU  :=  RPT[2]
        ELSE BEGIN
          IF (RPT[2] <> 'C') THEN ERR :=  9007;
          CHU  :=  RPT[1]
        END;
      IF ((CHU <> 'E') AND (CHU <> 'W')
         AND (CHU <> 'C')) THEN ERR  :=  9007;
      IF (ERR <> 0) THEN BEGIN
        CLOC  :=  'CC';
        RPT   :=  CLOC;
        IF (IOP = 0) THEN GOTO 9000;
        CogOut := Copy(CogOut,1,13)+RPT+CogOut[16]
      END;
{    }
      IM  :=  2;
      IF (RPT[1] = 'S') THEN IM  :=  1;
      IF (RPT[1] = 'N') THEN IM  :=  3;
      IW  :=  2;
      IF ((RPT[1] = 'E') OR (RPT[2] = 'E')) THEN IW  :=  1;
      IF ((RPT[1] = 'W') OR (RPT[2] = 'W')) THEN IW  :=  3;
{
C
C South-east degree line boundary
C
     }
      LATD :=  Trunc(YLATP);
      IF (LATD < 40) THEN LATD  :=  40;
      IF (LATD > 84) THEN LATD  :=  84;
{    }
      LOND :=  Trunc(XLONP);
      IF (LOND < 48)  THEN LOND  :=  48;
      IF (LOND > 143) THEN LOND  :=  143;
{
C
C Determine residue in units of S4 = 1/10,000 of a second
C
     }
      YY   :=  LATD;
      YY   :=  (YLATP-YY)*36000000.0;
      LATR :=  Trunc(YY);
{    }
      XX  :=  LOND;
      XX  :=  (XLONP-XX)*36000000.0;
      LONR  :=  Trunc(XX);
{
C
C Grid number (0-5) from south degree line
C
     }
      IDYM  :=  10;
      IDYS4 :=  IDYM*600000;
      IYG   :=  LATR div IDYS4;
      IF (IYG > 5) THEN IYG  :=  5;
      LATR  :=  LATR-IYG*IDYS4;
      LATM  :=  IYG*IDYM;
{
C
C Grid number (0-3) or (0-1) from east degree line
C
     }
      NG    :=  4;
      IF (LATD >= 70) THEN NG  :=  2;
      IDXM  :=  60 div NG;
      IDXS4 :=  IDXM*600000;
      IXG   :=  LONR div IDXS4;
      IF (IXG >= NG) THEN IXG  :=  NG-1;
      LONR  :=  LONR-IXG*IDXS4;
      LONM  :=  IXG*IDXM;
{
C
C Section number (0-9) from south
C Section number (0-9) or (0-7) or (0-5) from east
C
     }
      IDYS4 :=  IDYS4 div 10;
      IYS   :=  LATR div IDYS4;
      IF (IYS > 9) THEN IYS  :=  9;
      LATR  :=  LATR-IYS*IDYS4;
      LATM  :=  LATM+IYS;
      LATS4 :=  0;
{    }
      NS    :=  10;
      IF (LATD >= 60) THEN NS  :=  8;
      IF (LATD >= 68) THEN NS  :=  6;
      IF (LATD >= 70) THEN NS  :=  10;
      IF (LATD >= 75) THEN NS  :=  8;
      IF (LATD >= 78) THEN NS  :=  6;
{    }
      IDXS4 :=  IDXS4 div NS;
      IXS   :=  LONR div IDXS4;
      IF (IXS >= NS) THEN IXS  :=  NS-1;
      LONS4 :=  IXS*IDXS4;
      LONR  :=  LONR-LONS4;
{
C
C Unit number (0-3) from south-east corner
C
     }
      IUYS4 :=  IDYS4 div 4;
      IYU   :=  LATR div IUYS4;
      IF (IYU > 3) THEN IYU  :=  3;
      IUXS4 :=  IDXS4 div 4;
      IXU   :=  LONR div IUXS4;
      IF (IXU > 3) THEN IXU  :=  3;
      IF (IOP <> 0) THEN BEGIN
        IDYS4 :=  IUYS4;
        LATS4 :=  LATS4+IYU*IDYS4;
        IDXS4 :=  IUXS4;
        LONS4 :=  LONS4+IXU*IDXS4
      END;
{
C
C Final parameters and reference point
C
     }
      IF (IYG = 5) THEN BEGIN
        LATG  :=  (LATD+1)*100
      END
      ELSE BEGIN
        LATG  :=  LATD*100+(IYG+1)*IDYM
      END;
      LONG  :=  LOND*100+IXG*IDXM;
      SEC   :=  (IYS+1)+IXS*10;
      IF (SEC = 100) THEN SEC  :=  0;
      IF ((IYU = 1) OR (IYU = 3)) THEN IXU  :=  3-IXU;
      IPOS  :=  (IXU+1)+IYU*4;
      VNIT  :=  TEXT[IPOS];
      LATS4 :=  LATS4+(IM-1)*(IDYS4 div 2);
      LONS4 :=  LONS4+(IW-1)*(IDXS4 div 2);
      CogOut := CogOut[1]+Format('%4.4d',[LATG])
                         +Format('%5.5d',[LONG])
                         +Format('%2.2d',[SEC])
                         +VNIT+Copy(CogOut,14,3);
{
C
C Latitude of reference point
C
     }
      MM    :=  LATS4 div 600000;
      LATM  :=  LATM+MM;
      LATS4 :=  LATS4-MM*600000;
      YY    :=  LATS4;
      YVAL  :=  YY*S2M*0.0001;
      YY    :=  LATM;
      YVAL  :=  (YVAL+YY)*S2M;
      YY    :=  LATD;
      YVAL  :=  YVAL+YY;
{
C
C Longitude of reference point
C
     }
      MM    :=  LONS4 div 600000;
      LONM  :=  LONM+MM;
      LONS4 :=  LONS4-MM*600000;
      XX    :=  LONS4;
      XVAL  :=  XX*S2M*0.0001;
      XX    :=  LONM;
      XVAL  :=  (XVAL+XX)*S2M;
      XX    :=  LOND;
      XVAL  :=  XVAL+XX;
{
C
C Choose closest reference corner
C
     }
      IF (CLOC = '  ') THEN BEGIN
        FACT  :=  S2M*S2M*0.0001;
        DIST  :=  (IDYS4)*FACT;
        DLAT  :=  YLATP-YVAL;
        TLAT  :=  YLATP-(YVAL+DIST);
        IF (Abs(TLAT) < Abs(DLAT)) THEN BEGIN
          RPT[1] :=  'N';
          IM     :=  3;
          YVAL   :=  YVAL+DIST
        END;
        DIST  :=  (IDXS4)*FACT;
        DLON  :=  XLONP-XVAL;
        TLON  :=  XLONP-(XVAL+DIST);
        IF (Abs(TLON) < Abs(DLON)) THEN BEGIN
          RPT[2] :=  'W';
          IW     :=  3;
          XVAL   :=  XVAL+DIST
        END;
        CLOC  :=  RPT;
        CogOut := Copy(CogOut,1,13)+RPT+CogOut[16]
      END;
{
C
C Metres (XE, YN) from reference
C
     }
      ANG  :=  YVAL*D2R;
      SN   :=  Sin(ANG);
      CS   :=  Cos(ANG);
      ESN  :=  1.0-ESQ*SN*SN;
      AUX  :=  Sqrt(ESN);
      RLAT :=  AMAJ*(CS/AUX)*D2R;
      RLON :=  AMAJ*((1.0-ESQ)/(ESN*AUX))*D2R;
      YN   :=  (YLATP-YVAL)*RLON;
      XE   :=  -(XLONP-XVAL)*RLAT;
//      YnOut := Format('%12.3f',[YN]);        // 3 dec Metre
//      XeOut := Format('%12.3f',[XE]);
//      YnOut := Format('%12.1f',[YN]);        // 1 dec Metre
//      XeOut := Format('%12.1f',[XE]);
      YnOut := FloatToStr(YN);        // 1 dec Metre
      XeOut := FloatToStr(XE);
      ERR  :=  0;
{    }
 9000:
      END;

{
C ***********************************************************
     }
      procedure GeoDls (GSPH:string; DlsIn:string;
        YlatIn,XlonIn:string; var DlsOut:string;
        var YnOut,XeOut:string; var IERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to
C                 DLS Township-Range coordinates.
C
C     AUTHOR:     D. W. Lepard, 1995.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                       STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       DlsIn                                       STRING[16]
C         [1]     Dls Grid type = '1' only
C         [13-14] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C                   Legal subdivisions may also
C                   use [@H,@G,@E,@F,@N,@S,@M,@W,@ ]
C                   extended with [@A,@B,@C,@D] to
C                   the centre of LSD quadrants.
C                   Note that wells also use codes
C                   in which the first character
C                   is in [S,W,A,B,C,D], a subset
C                   of the previous LSD points;
C                   other codes default to the LSD
C                   centre.
C                 Blank to locate [NE,NW,SE,SW]
C                  corner nearest to given point.
C         [15]    DLS survey system in [0..5];
C                   null value (0) is replaced with
C                   output value in [1..3] where
C                   systems 1 or 2 are assumed in
C                   cases where a twp-rge of type
C                   3 (an A-type) also exists
C         [16]    Road&Section/Section/LSD Flag
C                   in [R,S,L] for reference point
C                   located on boundary of section
C                   extended with road allowance
C                   (R), section alone (S), or the
C                   legal subdivision alone (L)
C
C       YlatIn    Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonIn    Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C     OUTPUT:
C       DlsOut    DlsIn using upper case; rest of   STRING[16]
C                   Dls coordinates evaluated
C         [1]     Dls Grid type = '1' only
C         [2]     Meridian Direction in [E,W] for
C                   [East,West] direction
C         [3]     Meridian in [1..3]E and [1..6]W
C                   has been extended to [1..C]E
C                   and [1..B]W using hexadecimal
C                   notation
C         [4-6]   Township in [0..244] where 0 is
C                   the US border near 49 degrees
C         [7-8]   Range in [1..34]
C         [9-10]  Section in [1..36]
C         [11-12] LSD (legal subdivision) in [0..16]
C         [13-14] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C                   Legal subdivisions may also
C                   use [@H,@G,@E,@F,@N,@S,@M,@W,@ ]
C                   extended with [@A,@B,@C,@D] to
C                   the centre of LSD quadrants.
C                   Note that wells also use codes
C                   in which the first character
C                   is in [S,W,A,B,C,D], a subset
C                   of the previous LSD points;
C                   other codes default to the LSD
C                   centre.
C         [15]    DLS survey system in [0..5];
C                   null value (0) is replaced with
C                   output value in [1..3] where
C                   systems 1 or 2 are assumed in
C                   cases where a twp-rge of type
C                   3 (an A-type) also exists
C         [16]    Road&Section/Section/LSD Flag
C                   in [R,S,L] for reference point
C                   located on boundary of section
C                   extended with road allowance
C                   (R), section alone (S), or the
C                   legal subdivision alone (L)
C
C       YnOut     Metres north of Ref Point         STRING[12]
C
C       XeOut     Metres east of Ref Point          STRING[12]
C
C       IERR=JKLL Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C           J     Condition                        Lat & Long
C           0     OK                                 valued
C           1     WARNING (On South Road)            valued
C           2     WARNING (On West  Road)            valued
C           3     WARNING (On South-West Road)       valued
C           4     WARNING (Outside Section/LSD)      valued
C           7     ERROR (missing SEC/LSD in TWP/SEC) valued
C           9     ERROR (invalid TWP or ref point)   null
C
C           K     Condition
C           0     normal
C           9     SEC/LSD cut off at next meridian
C
C           LL    Condition
C           0     normal
C           1-12  SEC/LSD fractional case
C           50    A-type township
C           51-62 A-type SEC/LSD fractional case
C
C           Note flag values J=7 represent the cut-off bound-
C           aries so that the township-range/section outline
C           may be drawn without searching for the valid
C           section/LSD.
C
C     Section/LSD reference point
C
C       Section/LSD ref pt         LSD ref pt: 'X-' or '@X'
C       --------------------       ------------------------
C
C         NW ... NC ... NE            G ..... N ..... H
C         .      .      .             .       .       .
C         .      .      .             .   C   .   D   .
C         .      .      .             .       .       .
C         WC ... CC ... EC            W ... blank ... M
C         .      .      .             .       .       .
C         .      .      .             .   B   .   A   .
C         .      .      .             .       .       .
C         SW ... SC ... SE            F ..... S ..... E
C
C
C ***********************************************************
C
C TOWNSHIP-RANGE OUTLINE:-
C
C   The Township-Range outline lies on a coarse grid of
C Base Lines and Correction Lines, at fixed Latitudes, and
C Principal Meridians, at fixed Longitudes.  There are two
C sets of meridians; west and east of the Prime Meridian.
C The Prime Meridian, about 12 miles west of Winnipeg, is
C Meridian 1 in each set.  The other Meridian 2,3,.. are at
C longitudes 102,106,.. and 94,90,.. for the western and
C eastern set, respectively.
C
C   Two townships are generally measured north and south of
C each Base Line to the next and prior Correction Line.  Base
C Line latitude errors are equally absorbed by township-range
C quarter-sections adjacent to the Correction Line.
C
C   Note that the first Base Line, the US-Canada border at
C 49 degrees, is not used.  The first two townships are
C surveyed by extending the second Base Line measurements two
C townships south of the first Correction Line.  The jog in
C longitude at the first Correction Line, see below, is given
C its theoretical value.  Latitude error is propagated south
C and absorbed by quarter-sections adjacent to the US-Canada
C border.
C
C   Ranges are measured along the Base Line west from a given
C western meridian and east from an eastern meridian.  The
C last range, before the next meridian, may be fractional.
C
C   Note that ranges measured along the next baseline to the
C north span a greater longitude due to the convergence of
C meridians.  Ranges on the north side of a Correction Line
C therefore have a jog, relative to those on the south, to
C greater longitudes.
C
C   There are several different survey systems.  The third
C applies to all lands not explicitly reserved for other
C systems.  Township-ranges in this system are divided into
C 36 sections, 1 mile square.  Each section is subdivided
C into 16 legal subdivisions, 1/4 mile square.  There are,
C in addition, road allowances of 66' west of each section
C and also south of each second section.  The township-range
C is thus 32076' E-W and 31878' N-S.
C
C   The first and second systems include 99' road allowances
C both west and south of each section.  The township-range is
C thus 32274' E-W and 32274' N-S.
C
C   The first system is bounded to the south by the US-Canada
C border, to the west by Meridian 2 west as far north as
C Correction Line 8; east on Correction Line 8 to the common
C boundary between ranges 29W1 and 28W1; south on this line
C to Correction Line 7; east on Correction Line 7 to the
C common boundary between ranges 7E1 and 8E1; south on this
C line to the northern boundary of township 19; east on this
C northern boundary to the common boundary between ranges
C 10E1 and 11E1; south on this line to Correction Line 3;
C east on Correction Line 3 to the Manitoba border and then
C south on this border to the US-Canada border.  Note that
C this routine uses the common boundary between ranges 17E1
C and 18E1 rather than the Manitoba border.
C
C   The first system also includes township 44 range 21W2;
C township 45 ranges 21W2, 22W2, and 26W2 to 28W2; townships
C 46 and 47 ranges 24W2 to 28W2; township 48 ranges 24W2 to
C 27W2; townships 42 to 47 range 1W3; townships 43 and 44
C ranges 2W3 and 3W3.
C
C   The second survey is restricted to townships 1 and 2
C ranges 1W2 to 8W2; townships 19 to 26 ranges 1W2 to 12W2;
C townships 27 to 30 ranges 1W2 to 16W2.
C
C   Third system township-ranges bordering those of the first
C or second system are fractional, due to their different
C size.  A road allowance of 99' is taken from the western
C or southern edge when the western or southern edge meets
C the second or third system.  Road allowances between the
C third and the first or second survey are thus always 99'.
C The fractional township and range numbers might also be the
C same as those used for some township-range in the first or
C second survey.  The third survey fractional township-range
C is then described as a type-A township or range.
C
C   The Fourth system extends 20 miles on each side of the
C Canadian Pacific Railway in British Columbia.  It meets the
C third system at the summit of the Rocky Mountains which is
C the border between Alberta and British Columbia.  This
C system has no road allowance.  The sections, however, are
C increased by 33' in width E-W and 66' in length N-S.  The
C third and fourth systems thus look like a single system
C since their township-ranges are identical in size.
C
C   The fifth system adjoins the fourth system in the railway
C belt in the Fraser river lower valley.  There are no road
C allowances.  Sections are 1 mile square.  Township-ranges
C are 6 miles or 31680' square.  They use a coarse grid based
C on an East Coast Meridian and the US-Canada border.  We
C assume, lacking data, that townships are renumbered and
C assigned some range either west or east of the Coast
C Meridian.  We also assume that the Coast Meridian is about
C 7 ranges west of W7.
C
C ***********************************************************
C
C CLARKE'S 1880 GEODESIC VALUES:-
C
C       a = equatorial radius; f = (a-b)/a = flatness
C                              e = sqrt(f(2-f)) = ellipticity
C
C       a = 6378249.145 metres; 1/f = 293.465
C
C Our calculations use three derived constants:-
C       AMAJ = a, AESQ = a(1-e*e), ESQR = e*e
C in which AMAJ has a slightly higher value, 6378306.37.
C This difference affects only the longitude calculations.
C Longitudes are about 0.1 seconds shorter, over 20 ranges,
C than those produced by the pure CLARKE 1880 calculations.
C Note that Corrections required to bring calculated to
C surveyed values run to seconds.
C
C THEORETICAL FORMULAE USING CLARKE'S 1880 GEODESIC VALUES:-
C
C       Rlon =   A(1-E**2)/[1-(E*SIN(LAT))**2]**3/2
C
C       Rlat = A(COS(LAT))/[1-(E*SIN(LAT))**2]**1/2
C
C   Township EW boundaries are on meridians of longitude.  NS
C boundaries are on township chords which differ little from
C the parallels of latitude defined by township corners.
C
C  Twp(NS longitude range) = NSdist/Rlat
C
C  Twp(EW latitude range)  = EWdist/Rlon
C
C  Twp(chord-arc lat diff) = Terr*D(Dt-D)SIN(LAT)/[Rlat*Rlon]
C
C where D is the distance along the township chord of total
C length Dt.
C
C   We use
C
C     DTOR = 0.0174532925199433D0 rad/deg
C     AMAJ = A         = 365231.124837423D0 rad-ft/deg
C     AESQ = A(1-E**2) = 362746.270758744D0 rad-ft/deg
C     ESQR = E**2      = 0.00680351128284903D0
C     TERR = Terr      = 0.00864D0 rad/deg
C
C   Townships are laid out by measuring 6 Sections of 5280'
C with a road allowance to their west (99' for survey 1,2;
C 66' for survey 3; 66' extra width instead of road allowance
C for survey 4) along a Base Line.  These are projected along
C meridians north and south of the Base Line to a depth of
C two townships.  Sections of survey 1 are, instead, defined
C by NS lines parallel to the East township boundary so each
C such section has a fixed width of 5379', including road
C allowance; the resulting plus or minus discrepancy for 6
C Sections with their road allowance is absorbed by the last
C Section to the west.  The NS township depth is 6 Sections
C of 5280' with a road allowance to their south (99' for
C survey 1,2; 66' for every other section of survey 3; 33'
C extra width instead of road allowance for survey 4).
C
C   Initial Meridian values listed in the Supplement to the
C Manual of Instructions for the Survey of Canada Lands are:
C
C     Meridian      Western System      Eastern System
C        1           97  27' 28.4"       97  27' 28.4"
C        2          102  00' 16.5"       94  00' 00.0"
C        3          106  00' 10.1"       .............
C        4          110  00' 18.0"       .............
C        5          114  00' 07.7"       .............
C        6          118  00' 00.0"       .............
C
C      Coast        122  55' 48.8"      122  55' 48.8"
C
C where the Coast Meridian value is our assumed value.
C
C   Theoretical values for each Base Line may be improved by
C using the discrepancies, in seconds of arc, obtained by
C smoothing the 1991 well data (NAD27) over township ranges.
C
C   We treat fractional townships as whole townships in which
C part of the township is no longer accessible.  There are 12
C cases:
C
C    1: North only   5: NE corner missing   9: NE corner only
C    2: South only   6: NW corner missing  10: NW corner only
C    3: East  only   7: SE corner missing  11: SE corner only
C    4: West  only   8: SW corner missing  12: SW corner only
C
C SEC/LSD Reference points no longer accessible are generally
C considered invalid.  There are three types of exceptions.
C In cases 1-4 the 3 inaccessible SEC/LSD boundary reference
C points are reassigned to the cut-off line.  Fractional
C SEC/LSD bounded by the next principal Meridian are treated
C in the same manner.  In cases 9-12 the 3 inaccessible
C SEC/LSD corner reference points are reassigned to the new
C corners at cut-off; the 2 inaccessible boundary mid-points
C remain opposite their accessible counterparts, on the new
C boundary, unless both are cut off.  In cases 5-8 the single
C inaccessible SEC/LSD corner reference point is reassigned
C to the inset corner; the 2 adjacent boundary mid-points are
C reassigned to the 2 remaining boundary corners needed to
C define the SEC/LSD outline.
C
C ***********************************************************
C
     }
      var LAST,TRY12,DONE: BOOLEAN;
{    }
      var I,I1,I2,IA,IB,IBL,ICASE,IDRG,IDTP,IFLAG: INTEGER;
      var IFT,IGS,IJ,ILS,IM,IM1,IM2,IMER,IRG,ISC,ISS: INTEGER;
      var ITP,ITRY,IW,J,J1,J2,JCASE,JERR,JRG,JT,K: INTEGER;
      var K1,K2,KC,KMER,KR,KRSV,L,LERR,LCASE,LIN: INTEGER;
      var LIW,LKC,LKR,LKRSV,LSD,M,MER,RGE,SEC,SUR: INTEGER;
      var TWP,TYPA: INTEGER;
{    }
      var AESQ,AMAJ,ANG,AUX,BERR,BLAT,BLATM,BLATP: DOUBLE;
      var CERR,CHEK,DIST,DLAT,DLON,DR,DTOR,ESQR,FACT: DOUBLE;
      var FTEW,FTNS,JOG,LAT,LEBDY,LNBDY,LON,LSBDY: DOUBLE;
      var LWBDY,NROAD,PRLAT,PWID,RA,RB,RLAT,RLON: DOUBLE;
      var SCHEK,SEBDY,SIZEW,SIZNS,SN,SNBDY,SRLAT: DOUBLE;
      var SROAD,SROAD2,SSBDY,SWBDY,SWID,TEBDY,TERR: DOUBLE;
      var TLAT,TLON,TNBDY,TRLAT,TSBDY,TT,TTLAT,TTLON: DOUBLE;
      var TWBDY,TWID,VNIT,VLAT,VLON,WCHEK,WROAD: DOUBLE;
      var WROAD2,XE,XWF,YN,YNF,ZLAT,ZLON: DOUBLE;
      var BE,BP,FEET,T: ARRAY[1..4] OF DOUBLE;
      var XLAT: ARRAY[1..13] OF DOUBLE;
      var XMER: ARRAY[1..24] OF DOUBLE;
{    }
      var CH1: STRING;
      var BDCOR,EWM,LOC,RPT,UEWM,ULOC,XLOC: STRING;
      var GVAR: STRING;
      var LEXP: STRING;
      var DLSBDY,DLSVAR: STRING;
      var SEXP: STRING;
      var STRRG: STRING;
      var STRBE,STRBP: STRING;
{    }
      var iLim: integer;                                                        //dwl 17Jun2013
      var LimErr: double;                                                       //dwl 17Jun2013
      var Bdy: array[1..4] of double;                                           //dwl 17Jun2013
      var LatBdy,BdyVar: string;                                                //dwl 17Jun2013
      var LatProb: double;
var cMess: string;
{    }
      label 200,6000,6200,6300,8100,8200;
      label 8300,8400,8450,8600;
      label 9005,9010,9050;
{
C     CHECK INPUT PARAMETERS
     }
      BEGIN
      ILS   := 0;
      IERR  := 0;
      JERR  := 0;
      ICASE := 0;
      JCASE := 0;
      TYPA  := 0;
      TWP   := 0;
      RGE   := 0;
      EWM   := '  ';
      LSD   := 0;
      SEC   := 0;
      LKR   := 0;
      YN    := 0.0;
      XE    := 0.0;
      LAT   := 0.0;
      LON   := 0.0;
      SSBDY := 0.0;
      SCHEK := 0.0;
      YnOut  := '       0.000';
      XeOut  := YnOut;
      DlsOut := '';
      if ((Length(GSPH) < 3) or (DlsIn = '')) then goto 9010;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9010;
      DlsOut := UpperCase(DlsIn);
      while (Length(DlsOut) < 16) do DlsOut := DlsOut + ' ';
      LAST  := True;
      TRY12 := True;
      ITRY  := 0;
{                              # use decimal degrees only   }
      GVAR  := 'NWD ';
      IGS   := 1;
      CH1   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CH1 = 'S') THEN IGS := 3
        ELSE IF (CH1 <> 'N') THEN GOTO 9010;
{                              # default to 'E' if not 'W'  }
      CH1  := UpperCase(GSPH[2]);
      IF (CH1 = 'W') THEN IGS := IGS+1
        ELSE IF (CH1 <> 'E') THEN GOTO 9010;
{                              # dec degree or deg-min-sec  }
      CH1  := UpperCase(GSPH[3]);
      IF ((CH1 <> 'D') AND (CH1 <> 'M') AND (CH1 <> 'S')) THEN GOTO 9010;
{                              # input latitude & longitude }
      IF (CH1 = 'S') THEN BEGIN
        VLAT  := StrToFloat(MSToDeg(YlatIn));
        VLON  := StrToFloat(MSToDeg(XlonIn))
      END
      ELSE IF (CH1 = 'M') THEN BEGIN
        VLAT  := StrToFloat(MinToDeg(YlatIn));
        VLON  := StrToFloat(MinToDeg(XlonIn))
      END
      ELSE BEGIN
        VLAT  := StrToFloat(YlatIn);
        VLON  := StrToFloat(XlonIn)
      END;
      IF (IGS > 2) THEN VLAT := -VLAT;
      IF ((IGS = 1) OR (IGS = 3)) THEN VLON := -VLON;
{                              # extract DLS survey system  }
      IF (DlsOut[1] <> '1') THEN GOTO 9010;
      CH1  := DlsOut[15];
      IF ((CH1 < '0') OR (CH1 > '5'))
        THEN GOTO 9010
        ELSE SUR := StrToInt(CH1);
{                              # extract/generate flag      }
      CH1  := DlsOut[16];
      IF (CH1 = 'R') THEN ILS := -1
        ELSE IF (CH1 = 'S') THEN ILS := 0
          ELSE IF (CH1 = 'L') THEN ILS := 1
            ELSE BEGIN
                   ILS := 1;
                   CH1 := 'L';
                   DlsOut := Copy(DlsOut,1,15)+CH1
                 END;
{                              # extract/generate ref point }
      LEXP := 'ESFABM WDCHNG';
      SEXP := 'SESCSWECCCWCNENCNW';
      LOC  := Copy(DlsOut,13,2);
      IF (LOC <> '  ') THEN BEGIN
        J    := 0;
        FOR I := 1 TO 9 DO
          IF (LOC = Copy(SEXP,2*I-1,2)) THEN J:= 2*I-1;
        IF (J = 0) THEN BEGIN
          IF (ILS < 1) THEN GOTO 9010;
          J  := 7;
          IF (LOC[1] = '@') THEN
            FOR I := 1 TO 13 DO
              IF (LOC[2] = LEXP[I]) THEN J := I
          ELSE BEGIN
            FOR K := 1 TO 10 DO
              IF (LOC[1] = LEXP[K]) THEN J := K;
            IF ((J = 1) OR (J = 3) OR (J = 6))
              THEN J := 7
          END;
          K   := 2*J-1;
          LIN := ((K-1) DIV 5) + 1;
          IF ((LIN MOD 2) = 0)
            THEN LOC := '@' + LEXP[J]
            ELSE LOC := Copy(SEXP,K,2);
          DlsOut := Copy(DlsOut,1,12)+LOC+Copy(DlsOut,15,2)
        END;
        XLOC := LOC
      END
      ELSE XLOC := 'SE';
      RPT  :=  XLOC;
      IF (ILS > 0) THEN RPT  :=  'SE';
{
C     CONSTANTS
     }
      DTOR  :=  Pi/180.0;
      AMAJ  :=  365231.124837423;
      AESQ  :=  362746.270758744;
      ESQR  :=  0.00680351128284903;
      TERR  :=  0.00864;
      FEET[1] :=  5280.0;
      FEET[2] :=  5313.0;
      FEET[3] :=  5346.0;
      FEET[4] :=  5379.0;
{
C     CONVERT NORTHING AND EASTING TO FEET
     }
      VNIT  :=  3.2808398950;
{
C     EW SET OF INITIAL MERIDIANS
     }
      XMER[12]  :=  94.0000000000000;
      XMER[13]  :=  97.4578888888889;
      XMER[14]  :=  102.0045833333333;
      XMER[15]  :=  106.0028055555556;
      XMER[16]  :=  110.0050000000000;
      XMER[17]  :=  114.0021388888889;
      XMER[18]  :=  118.0000000000000;
      K  :=  0;
      FOR I := 19 TO 23 DO BEGIN
        K  :=  K+4;
        XMER[I]  :=  K;
        XMER[I]  :=  XMER[18]+XMER[I]
      END;
      XMER[24] :=  141.0000000000000;
      K  :=  0;
      FOR I := 2 TO 11 DO BEGIN
        K  :=  K+4;
        M  :=  13-I;
        XMER[M]  :=  K;
        XMER[M] :=  XMER[12]-XMER[M]
      END;
      XMER[1]  :=  52.0000000000000;
      IM1  :=  1;
      IM2  :=  24;
{
C     RAILWAY SYSTEM
     }
      IF (SUR = 4) THEN IM1 := 16;
{
C     COAST MERIDIAN
     }
      IF (SUR = 5) THEN BEGIN
        IM1  :=  12;
        IM2  :=  14;
        XMER[12]  :=  XMER[17];
        XMER[13]  :=  122.9302222222222;
        XMER[14]  :=  XMER[22]
      END;
{
C     DETERMINE E/W MERIDIAN
C     MER = KMER-13 ==> -1 to -12 is E 1 to 12 @ IMER
C                        0 to  10 is W 1 to 11 @ IMER
     }
      KMER  :=  IM1-1;
      FOR I := IM1 TO IM2 DO BEGIN
        IF (I <= 13) THEN BEGIN
          IF (VLON >= XMER[I]) THEN KMER  :=  I
        END
        ELSE BEGIN
          IF (VLON > XMER[I]) THEN KMER  :=  I
        END
      END;
{
C     REPEAT FROM HERE WHEN ERROR CORRECTION CHANGES MERIDIAN
C                           OR SURVEY SYSTEM CHANGES
     }
  200:
      ISS   :=  SUR;
      IMER  :=  KMER;
      IF (IMER < 13) THEN IMER  :=  IMER+1;
      IF ((IMER <= IM1) OR (IMER >= IM2)) THEN GOTO 9010;
      MER   :=  KMER-13;
      IF (MER < 0) THEN BEGIN
        EWM := 'E'+EWM[2];
        I   :=  -MER
      END
      ELSE BEGIN
        EWM := 'W'+EWM[2];
        I   :=  MER+1
      END;
      IF ((I >= 0) AND (I <= 9)) THEN
        EWM := EWM[1]+Format('%1.1d',[I])
      ELSE BEGIN
        IF (I = 10) THEN EWM := EWM[1]+'A';
        IF (I = 11) THEN EWM := EWM[1]+'B';
        IF (I = 12) THEN EWM := EWM[1]+'C'
      END;
{
C     CHECK FOR SURVEY SYSTEM
C     - SET FOR SYSTEM 1 OR 2 BEFORE TRYING SYSTEM 3
     }
      IF ((VLAT < 48.99) OR (VLAT > 70.29)) THEN GOTO 9010;
      IF ((ISS <= 0) AND (TRY12)) THEN BEGIN
        IF ((VLON > 95.12) AND (VLON < 104.28)) THEN BEGIN
          IF (VLAT < 51.66) THEN BEGIN
            ISS  :=  1;
            IF (EWM = 'W2') THEN ISS  :=  2
          END
        END;
        IF ((VLON > 104.91) AND (VLON < 106.46)
           AND (VLAT > 52.61) AND (VLAT < 53.26))
             THEN ISS  :=  1
      END;
      IF (ISS <= 0) THEN ISS  :=  3;
{
C     FOLLOWING CODE IS EXECUTED TWICE FOR 'A' TYPE AND
C     FRACTIONAL TOWNSHIPS.  THE FIRST PASS DETERMINES THE
C     COORDINATES  (ZLAT,ZLON) AT A TOWNSHIP 1 OR 2 CORNER
C     WHICH ACT AS BOUNDARIES FOR THE FRACTIONAL TOWNSHIP.
C     NOTE THAT SECTION PARAMETERS ARE SKIPPED ON THE FIRST
C     SUCH PASS.
C
C     IMER      ==> INITIAL MERIDIAN NUMBER
C     IB        ==> BASELINE NUMBER
C     JT=2-5    ==> TOWNSHIP NORTH BOUNDARY LATITUDE
C     KR=1-6    ==> SECTION NORTH OF SOUTH BOUNDARY
C     KC=1-6    ==> SECTION WEST  OF EAST  BOUNDARY
C     IM=1-3    ==> SECTION SOUTH BDY, CENTRE, NORTH BDY
C     IW=1-3    ==> SECTION  EAST BDY, CENTRE,  WEST BDY
C
C     LKR=1-4   ==> LSD NORTH OF SOUTH SECTION EDGE
C     LKC=1-4   ==> LSD WEST  OF EAST  SECTION EDGE
C     LIN=1-5   ==> LSD S, S+1/4, S+2/4, S+3/4, N POINT
C     LIW=1-5   ==> LSD E, E+1/4, E+2/4, E+3/4, W POINT
C
C     DETERMINE SECTION PARAMETERS
     }
      J    := 0;
      FOR I := 1 TO 9 DO
        IF (RPT = Copy(SEXP,2*I-1,2)) THEN J:= 2*I-1;
      IF (J > 0) THEN BEGIN
        IM  := (J DIV 6) + 1;
        LIN := 2*IM-1;
        LIW := J-(LIN-1)*3;
        IW  := ((LIW-1) DIV 2) + 1;
      END
      ELSE GOTO 9010;
{
C     DETERMINE LSD PARAMETERS
     }
      J    := 0;
      FOR I := 1 TO 9 DO
        IF (XLOC = Copy(SEXP,2*I-1,2)) THEN J:= 2*I-1;
      IF (J > 0) THEN BEGIN
        I   := (J DIV 6) + 1;
        LIN := 2*I-1;
        LIW := J-(LIN-1)*3;
//        I  := ((LIW-1) DIV 2) + 1;
      END
      ELSE BEGIN
        IF (ILS < 1) THEN GOTO 9010;
        J  := 7;
        IF (XLOC[1] = '@') THEN
          FOR I := 1 TO 13 DO
            IF (XLOC[2] = LEXP[I]) THEN J := I
        ELSE BEGIN
          FOR K := 1 TO 10 DO
            IF (XLOC[1] = LEXP[K]) THEN J := K;
          IF ((J = 1) OR (J = 3) OR (J = 6))
            THEN J := 7
        END;
        K   := 2*J-1;
        LIN := ((K-1) DIV 5) + 1;
        LIW := K - (LIN-1)*5;
//        K   := LIW + (LIN-1)*3;
      END;
{    }
      IFT  :=  1;
      IF (ISS = 4) THEN IFT  :=  2;
      FTNS  :=  0.25*FEET[IFT];
      IF (ISS = 4) THEN IFT  :=  3;
      FTEW  :=  0.25*FEET[IFT];
{
C     BASE LINE LATITUDE ERRORS.  NOTE CORRECTION LINE ERRORS
C     ARE AVERAGE OF CURRENT AND PRIOR/NEXT BASE LINE.
C
C     BE(1-4)   ==> ERROR AT START OF RGE-1 TO RGE+2 (CURR)
C     BP(1-4)   ==> ERROR AT START OF RGE-1 TO RGE+2 (OTHER)
C
C     I1        ==> SET FOR PRIOR OR CURRENT BASE LINE
C     I2        ==> SET FOR CURRENT OR NEXT  BASE LINE
C
C     RANGE LONGITUDE ERRORS ON CURRENT BASE LINE IB
C
C     RA        ==> ERROR AT START OF RANGE
C     DR        ==> ADDITIONAL ERROR AT END OF RANGE
C     RB        ==> ERROR AT CLOSING INITIAL MERIDIAN
C
C     LATITUDE CALCULATIONS:  FROM U.S. BORDER UP TO ONE
C     BASE LINE BEYOND THAT DESIRED IN 1-SECTION INCREMENTS.
C
C     I,J        ==> CURRENT BASE LINE,TOWNSHIP INDEX
C     XLAT(1-5)  ==> CURRENT TOWNSHIP BOUNDARY LATITUDES
C
C     IB,JT      ==> DESIRED BASE LINE,TOWNSHIP INDEX
C     KR,LKR     ==> DESIRED SECTION,LSD INDEX
C     IM,LIN     ==> LOCATES SECTION,LSD REFERENCE POINT
C     BLAT       ==> DESIRED BASE LINE LATITUDE
C     BLATM,BLATP==> LAST,NEXT BASE LINE LATITUDE
C     TSBDY,TNBDY==> DESIRED TOWNSHIP S,N BOUNDARY LATITUDE
C     SSBDY,SNBDY==> DESIRED SECTION  S,N BOUNDARY LATITUDE
C     LSBDY,LNBDY==> DESIRED LSD      S,N BOUNDARY LATITUDE
C     LAT        ==> DESIRED SECTION/LSD REFERENCE LATITUDE
C     DLAT       ==> LATITUDE CHANGE XNF METRES NORTH OF LAT
C     FTNS       ==> NORTH-SOUTH EXTENT OF LSD (FEET)
C     SIZNS      ==> LATITUDE WIDTH OF LSD
C     SROAD      ==> LATITUDE WIDTH OF SOUTH ROAD ALLOWANCE
C     NROAD      ==> LATITUDE WIDTH OF NORTH ROAD ALLOWANCE
C     SROAD2     ==> LATITUDE WIDTH OF A 99' ROAD ALLOWANCE
C
     }
 6000:
      IA  :=  1;
      J1  :=  3;
      J2  :=  3;
      XLAT[7]  :=  49.0000000000000;
      IFT  :=  6-ISS;
      IF (ISS = 1) THEN IFT  :=  4;
{
C     FOR EACH BASE LINE
     }
      DONE := False;
      WHILE (NOT(DONE)) DO BEGIN
        IA  :=  IA+1;
        FOR J := J1 TO J2 DO
          XLAT[J]  :=  XLAT[J+4];
{    }
        FOR J := J2+1 TO 13 DO BEGIN
          XLAT[J]  :=  XLAT[J-1];
{
C         FOR EACH SECTION IN TOWNSHIP
     }
          FOR K := 1 TO 6 DO BEGIN
{
C           - DETERMINE RADIUS OF CURVATURE RLON
     }
            ANG  :=  XLAT[J]*DTOR;
            SN   :=  Sin(ANG);
            AUX  :=  Sqrt(1.0-ESQR*SN*SN);
            RLON :=  AESQ/(AUX*AUX*AUX);
{
C           - CALCULATE LATITUDE AT NORTH SECTION BOUNDARY
     }
            XLAT[J]  :=  XLAT[J]+FEET[IFT]/RLON;
            IF (ISS = 3) THEN IFT  :=  4-IFT
          END;
          J1  :=  1;
          J2  :=  9
        END;
        IF ((VLAT > XLAT[7]) AND (IA < 60))
          THEN DONE := False
          ELSE DONE := True
      END;
{
C     DETERMINE TOWNSHIP AND BASELINE
     }
      J1  :=  1;
      IF (IA = 2) THEN J1  :=  3;
      J2  :=  12;
      JT  :=  J1;
      FOR J := J1 TO J2 DO
        IF (VLAT > XLAT[J]) THEN JT  :=  J;
      if ((IA = 33) and ((EWM = 'W4') or (EWM = 'W5') or (EWM = 'W6'))          //dwl 04Jul2013
        and (VLAT > (XLAT[4]+0.00135))) then JT := 4;                           //dwl 04Jul2013
{
C     REPEAT FROM HERE IF TOWNSHIP CHANGES
     }
 6200:
      IF (NOT(LAST)) THEN
        JT  := (ITP+2)-(IA-2)*4
      ELSE
        ITP :=  (JT-2)+(IA-2)*4;
      IB    :=  1 + (ITP+1) DIV 4;
      KRSV  :=  0;
      LKRSV :=  0;
{
C     REPEAT FROM HERE IF SECTION OR LSD CHANGES
     }
 6300:
      TSBDY :=  XLAT[JT];
      ITRY  :=  ITRY+1;
{
C     FIND ERROR ON INITIAL AND CLOSING MERIDIANS
C     - CHECK POINT BETWEEN INITIAL AND CLOSING MERIDIANS
C     - RESTRICT CHECKS TO ITRY < 10 TO PREVENT INFINITE LOOPS
     }
      JRG     :=  1;
      DLSVAR  := '1'+EWM
                      +Format('%3.3d',[ITP])
                      +Format('%2.2d',[JRG])
                      +'0000'+RPT
                      +Format('%1.1d',[ISS])
                      +'R';
      DlsLon(GVAR,DLSVAR,STRRG,IFLAG);
      IF (IFLAG > 0) THEN GOTO 9010;
      RA  := StrToFloat(Copy(STRRG,1,12));
      RB  := StrToFloat(Copy(STRRG,25,12));
{    }
      CHEK  :=  XMER[IMER]+RA;
      WCHEK  :=  XMER[IMER+1]+RB;
      IF (EWM[1] = 'E') THEN WCHEK  :=  XMER[IMER-1]+RB;
      IF ((LAST) AND (ITRY < 10)) THEN BEGIN
        IF (EWM[1] = 'E') THEN BEGIN
          IF (VLON >= CHEK) THEN BEGIN
            KMER  :=  KMER+1;
            GOTO 200
            END
          ELSE IF (VLON < WCHEK) THEN BEGIN
            KMER  :=  KMER-1;
            GOTO 200
            END
          END
        ELSE IF (EWM = 'W1') THEN BEGIN
          IF (VLON < CHEK) THEN BEGIN
            KMER  :=  KMER-1;
            GOTO 200
            END
          ELSE IF (VLON > WCHEK) THEN BEGIN
            KMER  :=  KMER+1;
            GOTO 200
            END
          END
        ELSE IF (EWM[1] = 'W') THEN BEGIN
          IF (VLON <= CHEK) THEN BEGIN
            KMER  :=  KMER-1;
            GOTO 200
            END
          ELSE IF (VLON > WCHEK) THEN BEGIN
            KMER  :=  KMER+1;
            GOTO 200
            END
          END
      END;
{
C     SET PRIOR OR NEXT BASELINES FOR CORRECTION LINE PROBLEMS
     }
      I1    :=  IB;
      I2    :=  IB;
      IBL   :=  ((JT-1) DIV 4)*4+3;
      BLAT  :=  XLAT[IBL];
      BLATM :=  BLAT;
      BLATP :=  BLAT;
      IF ((JT = 4) OR (JT = 8)) THEN BEGIN
        I2    :=  I2+1;
        BLATP :=  XLAT[IBL+4]
        END
      ELSE IF ((JT = 5) OR (JT = 9)) THEN BEGIN
        I1    :=  I1-1;
        BLATM :=  XLAT[IBL-4]
        END
      ELSE IF (ITP = 244) THEN
        I2    :=  I2+1
      ELSE IF (ITP = 1) THEN
        I1    :=  I1-1;
{
C     DETERMINE TNBDY AND SECTION ROW KR=1-6
     }
      TNBDY :=  TSBDY;
      KR    :=  0;
      FOR K := 1 TO 6 DO BEGIN
{
C       - DETERMINE RADIUS OF CURVATURE RLON
     }
        ANG   :=  TNBDY*DTOR;
        SN    :=  Sin(ANG);
        AUX   :=  Sqrt(1.0-ESQR*SN*SN);
        RLON  :=  AESQ/(AUX*AUX*AUX);
{
C       FOR DESIRED SECTION/LSD
C       - SAVE SSBDY,SNBDY,SROAD,NROAD,SROAD2
C       - SAVE LSBDY,LNBDY,LAT,DLAT
C       - SET LAT TO SOUTH OF SOUTH ROAD IF NECESSARY
     }
        DIST  :=  FEET[IFT]/RLON;
        TLAT  :=  TNBDY+DIST;
        CHEK  :=  TLAT;
        IF (KRSV > 0) THEN CHEK  :=  -0.1E31;
        IF ((LAST) AND (KR = 0) AND ((VLAT <= CHEK)
          OR (K = 6) OR (K = KRSV))) THEN BEGIN
          KR    :=  K;
          SSBDY :=  TNBDY;
          SNBDY :=  SSBDY+DIST;
          IF (ISS < 4) THEN SROAD := (FEET[IFT]-FEET[1])/RLON;
          NROAD :=  SROAD;
          IF (ISS = 3) THEN NROAD := (FEET[4-IFT]-FEET[1])/RLON;
          IF (ICASE > 0) THEN SROAD2 := (FEET[4]-FEET[1])/RLON;
          DIST  :=  DIST-SROAD;
          IF (IM = 1) THEN DIST :=  0.0;
          IF (IM = 2) THEN DIST :=  0.5*DIST;
          LAT   :=  SSBDY+SROAD+DIST;
{
C         DETERMINE LSD ROW LKR=1-4
     }
          TTLAT  :=  SSBDY+SROAD;
          SIZNS  :=  FTNS/RLON;
          LKR    :=  0;
          FOR L := 1 TO 4 DO BEGIN
            TLAT  :=  TTLAT+SIZNS;
            SCHEK :=  TLAT;
            IF (LKRSV > 0) THEN SCHEK :=  -0.1E31;
            IF (((VLAT <= SCHEK) OR (L = 4) OR (L = LKRSV))
              AND (LKR = 0)) THEN BEGIN
              LKR   :=  L;
              LSBDY :=  TTLAT;
              LNBDY :=  TLAT
            END;
            TTLAT  :=  TLAT
          END;
{
C         DETERMINE REFERENCE POINT LATITUDE
     }
          IF (ILS > 0) THEN
            LAT  :=  LSBDY+(LIN-1)*0.25*SIZNS;
          IF ((ILS < 0) AND (IM = 1)) THEN LAT :=  SSBDY
        END;
{
C         - CALCULATE LATITUDE AT NORTH SECTION BOUNDARY
     }
        TNBDY :=  TNBDY+FEET[IFT]/RLON;
        IF (ISS = 3) THEN IFT  :=  4-IFT
      END;

{
C     LONGITUDE CALCULATIONS:  FROM INITIAL MERIDIAN TO EAST
C     END OF RANGE, THEN TO EAST END OF SECTION.
C
C     PRLAT      ==> PRIOR/NEXT BASE LINE RADIUS OF CURVATURE
C     PWID       ==> PRIOR/NEXT TOWNSHIP LONGITUDE WIDTH
C     TRLAT      ==> CURRENT BASE LINE RADIUS OF CURVATURE
C     TWID       ==> CURRENT TOWNSHIP LONGITUDE WIDTH
C     JOG        ==> LONGITUDE CHANGE AT EAST END OF RANGE
C                    FROM CURRENT TO NEXT/PRIOR BASE LINE
C
C     RLAT,RLON  ==> LATITUDE,LONGITUDE RADII OF CURVATURE
C                    AT GIVEN POINT
C     SRLAT      ==> LATITUDE RADIUS OF CURVATURE USED TO
C                    COMPUTE SECTION LONGITUDE WIDTH
C     SWID       ==> SECTION LONGITUDE WIDTH AT GIVEN POINT
C     FACT       ==> RANGE LONGITUDE FACTOR
C
C     IRG        ==> DESIRED RANGE
C     KC,LKC     ==> DESIRED SECTION,LSD INDEX
C     IW,LIW     ==> LOCATES SECTION,LSD REFERENCE POINT
C     TEBDY,TWBDY==> DESIRED TOWNSHIP E,W BOUNDARY LONGITUDE
C     SEBDY,SWBDY==> DESIRED SECTION  E,W BOUNDARY LONGITUDE
C     LEBDY,LWBDY==> DESIRED LSD      E,W BOUNDARY LONGITUDE
C     LON        ==> DESIRED SECTION/LSD REFERENCE LONGITUDE
C     DLON       ==> LONGITUDE CHANGE XWF METRES WEST OF LON
C     FTEW       ==> EAST-WEST EXTENT OF LSD (FEET)
C     SIZEW      ==> LONGITUDE WIDTH OF LSD
C     WROAD      ==> LONGITUDE WIDTH OF WEST ROAD ALLOWANCE
C     WROAD2     ==> LONGITUDE WIDTH OF A 99' ROAD ALLOWANCE
     }
      K1    :=  I2-I1;
      K2    :=  K1+1;
      IF (LAST) THEN BEGIN
        K2     :=  K2+1;
        LON    :=  0.0;
        DLON   :=  0.0;
        WROAD2 :=  0.0
      END;
      WROAD :=  0.0;
{
C     CALCULATE PRLAT,TRLAT AND RLAT,RLON IF REQUIRED
     }
      FOR I := 1 TO K2 DO BEGIN
        K     :=  I-K1;
        IF (K = 0) THEN BEGIN
          IF (I1 < IB) THEN ANG  :=  BLATM*DTOR;
          IF (I2 > IB) THEN ANG  :=  BLATP*DTOR
        END;
        IF (K = 1) THEN ANG  :=  BLAT*DTOR;
        IF (K = 2) THEN ANG  :=  (LAT+DLAT)*DTOR;
        SN    :=  Sin(ANG);
        AUX   :=  Sqrt(1.0-ESQR*SN*SN);
        RLON  :=  AESQ/(AUX*AUX*AUX);
        RLAT  :=  AMAJ*Cos(ANG)/AUX;
        IF (K = 0) THEN PRLAT  :=  RLAT;
        IF (K = 1) THEN TRLAT  :=  RLAT
      END;
{
C     CALCULATE TWID AND SWID
     }
      IFT   :=  4;
      IF (ISS > 2) THEN IFT  :=  3;
      IF (ISS = 5) THEN IFT  :=  1;
      SWID  :=  FEET[IFT]/TRLAT;
      TWID  :=  6.0*SWID;
{
C     DETERMINE RANGE; INCLUDE RANGE LONGITUDE CORRECTION
     }
      CHEK  :=  XMER[IMER];
      IF (LAST) THEN IRG  :=  Trunc(Abs(VLON-CHEK)/TWID)+1;
      DLSVAR  := Copy(DLSVAR,1,6)
                      +Format('%2.2d',[IRG])
                      +Copy(DLSVAR,9,8);
      DlsLon(GVAR,DLSVAR,STRRG,IFLAG);
      IF (IFLAG > 0) THEN GOTO 9010;
      RA  := StrToFloat(Copy(STRRG,1,12));
      DR  := StrToFloat(Copy(STRRG,13,12))-RA;
      RB  := StrToFloat(Copy(STRRG,25,12));
      IF (EWM[1] = 'E') THEN BEGIN
        TWBDY  :=  CHEK-(IRG-1)*TWID+RA;
        TEBDY  :=  TWBDY-TWID+DR;
        IF (LAST) THEN BEGIN
          IF (VLON >= TWBDY) THEN BEGIN
            IF (IRG > 1) THEN IRG  :=  IRG-1
            END
          ELSE IF (VLON < TEBDY) THEN BEGIN
            IRG  :=  IRG+1
            END
          END
        END
      ELSE IF (EWM[1] = 'W') THEN BEGIN
        TEBDY  :=  CHEK+(IRG-1)*TWID+RA;
        TWBDY  :=  TEBDY+TWID+DR;
        IF (LAST) THEN BEGIN
          IF (VLON <= TEBDY) THEN BEGIN
            IF (IRG > 1) THEN IRG  :=  IRG-1
            END
          ELSE IF (VLON > TWBDY) THEN BEGIN
            IRG  :=  IRG+1
            END
          END
        END;
{    }
      DLSVAR  := Copy(DLSVAR,1,6)
                      +Format('%2.2d',[IRG])
                      +Copy(DLSVAR,9,8);
      DlsLat(GVAR,DLSVAR,STRBE,STRBP,IFLAG);
      IF (IFLAG > 0) THEN GOTO 9010;
      BdyVar := DLSVAR;                                                         //dwl 04Jul2013
      if (((EWM = 'W4') or (EWM = 'W5') or (EWM = 'W6')) and (ITP = 126)) then  //dwl 04Jul2013
        begin                                                                   //dwl 04Jul2013
          BdyVar[9] := '3';                                                     //dwl 04Jul2013
          BdyVar[10] := '6';                                                    //dwl 04Jul2013
          BdyVar[13] := 'N';                                                    //dwl 04Jul2013
        end;                                                                    //dwl 04Jul2013
      iLim := 0;                                                                //dwl 17Jun2013
      DlsLatBdy(GVAR,BdyVar,LatBdy,iLim);                                       //dwl 04Jul2013
      FOR I := 1 TO 4 DO BEGIN
        BE[I]  := StrToFloat(Copy(STRBE,12*(I-1)+1,12));
        BP[I]  := StrToFloat(Copy(STRBP,12*(I-1)+1,12));
        Bdy[I] := StrToFloat(Copy(LatBdy,12*(I-1)+1,12));                       //dwl 17Jun2013
      END;
      DlsLon(GVAR,DLSVAR,STRRG,IFLAG);
      IF (IFLAG > 0) THEN GOTO 9010;
      RA  := StrToFloat(Copy(STRRG,1,12));
      DR  := StrToFloat(Copy(STRRG,13,12))-RA;
      RB  := StrToFloat(Copy(STRRG,25,12));
{
C     CALCULATE JOG AT EAST END OF RANGE
     }
      DIST  :=  (IRG-1);
      IF (EWM[1] = 'E') THEN DIST  :=  -IRG;
      IF (I2 > I1) THEN BEGIN
        PWID  :=  6.0*(FEET[IFT]/PRLAT);
        JOG  :=  DIST*(PWID-TWID)
      END;
{
C     CALCULATE TEBDY,TWBDY; INCLUDE RANGE CORRECTION
C     - DEFINE RANGE FACTOR; FROM EAST ORIGIN TO WEST
     }
      DIST  :=  DIST*TWID;
      IF (EWM[1] = 'E') THEN BEGIN
        TEBDY  :=  XMER[IMER]+DIST+RA+DR;
        TWBDY  :=  TEBDY+TWID-DR;
        FACT   :=  1.0-(DR/TWID)
        END
      ELSE BEGIN
        TEBDY  :=  XMER[IMER]+DIST+RA;
        TWBDY  :=  TEBDY+TWID+DR;
        FACT  :=  1.0+(DR/TWID)
        END;
{
C     - FOR SURVEY 1: USE RLAT AND RECOMPUTE SWID
     }
      SRLAT  :=  TRLAT;
      IF (ISS = 1) THEN BEGIN
        SRLAT  :=  RLAT;
        SWID   :=  FEET[IFT]/SRLAT
      END;
{
C     - CALCULATE WROAD
     }
      IF (ISS < 4) THEN
        WROAD :=  ((FEET[IFT]-FEET[1])*FACT)/SRLAT;
{
C     PROCEED FROM EAST TOWNSHIP TO EAST SECTION BOUNDARY
C     - SURVEY 1 SECTION WIDTHS ARE COMPUTED USING RLAT; ALL
C       OTHERS ARE COMPUTED USING TRLAT.
     }
      IF (LAST) THEN BEGIN
{
C     - CALCULATE SEBDY AND SWBDY
     }
      KC     :=  6;
      FOR L := 1 TO 5 DO BEGIN
        DIST  :=  L*(SWID*FACT);
        TTLON :=  TEBDY+DIST;
        IF ((VLON <= TTLON) AND (KC = 6)) THEN KC  :=  L
      END;
      DIST   :=  (KC-1);
      DIST   :=  DIST*SWID*FACT;
      SEBDY  :=  TEBDY+DIST;
      SWBDY  :=  SEBDY+SWID*FACT;
      IF ((ISS = 1) AND (KC = 6)) THEN SWBDY  :=  TWBDY;
{
C     - CALCULATE WROAD2,LEBDY,LWBDY,LON
     }
      IF (ICASE > 0) THEN WROAD2 := (FEET[4]-FEET[1])/SRLAT;
      DIST   :=  0.0;
      IF (IW > 1) THEN DIST  :=  SWID*FACT-WROAD;
      IF (IW = 2) THEN DIST  :=  0.5*DIST;
      LON    :=  SEBDY+DIST;
{
C     DETERMINE LSD COLUMN LKC=1-4
     }
      TTLON  :=  SEBDY;
      SIZEW  :=  FTEW*FACT/SRLAT;
      LKC    :=  0;
      FOR L := 1 TO 4 DO BEGIN
        TLON   :=  TTLON+SIZEW;
        IF (((VLON <= TLON) OR (L = 4))
          AND (LKC = 0)) THEN BEGIN
          LKC    :=  L;
          LEBDY  :=  TTLON;
          LWBDY  :=  TLON
          END;
        TTLON  :=  TLON
      END;
      IF (ILS > 0) THEN LON := LEBDY+(LIW-1)*0.25*SIZEW;
{
C     - ADJUST WEST BOUNDARY OF LAST SURVEY 1 SECTION/LSD
     }
      IF ((ISS = 1) AND (KC = 6)) THEN BEGIN
        SWBDY  :=  TWBDY;
        WCHEK  :=  SWBDY-WROAD;
        IF (ILS > 0) THEN BEGIN
          IF (LEBDY >= WCHEK) THEN GOTO 9010;
          IF ((LWBDY >= WCHEK) OR (LKC = 4)) THEN BEGIN
            IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
            IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON := WCHEK;
            LWBDY  :=  WCHEK
          END
        END
        ELSE BEGIN
          IF ((LWBDY >= WCHEK) OR (LKC = 4)) THEN LWBDY := WCHEK;
          IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
          IF (IW = 3) THEN LON  :=  WCHEK
        END
      END;
{
C     - REFERENCE POINT MAY BE AT WESTERN EDGE OF WEST ROAD
     }
      IF ((ILS < 0) AND (IW = 3)) THEN LON  :=  SWBDY;
      END;
{
C     BASE AND CORRECTION LINE LATITUDE ERRORS AT A GIVEN
C     POINT ARE DETERMINED USING RATIOS OF FORM:
C
C          (PERR-E2)/(E3-E2) = (PLON-T2)/(T3-T2)
C
C     WHERE T2,T3 ==> RANGE START,END LONGITUDES
C           PLON  ==> LONGITUDE OF GIVEN POINT IN RANGE
C           E2,E3 ==> RANGE START,END LATITUDE CORRECTIONS
C           PERR  ==> DESIRED LATITUDE CORRECTION OF POINT
C
C     NOTE THAT CORRECTION LINE RANGE MAY DIFFER FROM BASE
C     LINE RANGE DUE TO JOG.  THE CORRECT CHOICE IS TAKEN
C     FROM:
C          T(1-4) ==> LONGITUDE;  START OF RGE-1 TO RGE+2 ON
C                                 CORRECTION LINE
C         BP(1-4) ==> CORRECTION; START OF RGE-1 TO RGE+2 ON
C                                 CORRECTION LINE
C         BE(1-4) ==> CORRECTION; START OF RGE-1 TO RGE+2 ON
C                                 BASE LINE
     }
      CHEK  :=  XMER[IMER+1]+RB;
      IERR  :=  0;
      JERR  :=  0;
{
C     EAST OF PRIME: CHECK FOR FRACTIONAL RANGE AT NEXT
C     MERIDIAN AND SET UP T(1-4), AS REQUIRED.
     }
      K := 0;
      IF (EWM[1] = 'E') THEN BEGIN
        CHEK  :=  XMER[IMER-1]+RB;
{
C     - NON-EXISTENT RANGE
     }
        WCHEK  :=  CHEK+WROAD;
        IF (TWBDY <= WCHEK) THEN GOTO 9010;
{
C     - SET UP T(1-4) AS REQUIRED
     }
        IF (I2 > I1) THEN BEGIN
          T[3]  :=  TEBDY+JOG;
          T[2]  :=  T[3]+PWID;
          IF (I2 > IB) THEN BEGIN
            K  :=  1;
            T[1]  :=  T[2]+PWID
          END
          ELSE BEGIN
            K  :=  2;
            T[4]  :=  T[3]-PWID
          END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
          IF (T[K+1] <= WCHEK) THEN T[K+1]  :=  CHEK;
          IF (T[K+2] <= WCHEK) THEN T[K+2]  :=  CHEK
        END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
        IF (TEBDY <= WCHEK) THEN TEBDY  :=  CHEK;
{
C       SECTION/LSD PARAMETERS
C       - NON-EXISTENT SECTION/LSD:  IERR/JERR = -4
C       - FRACTIONAL SECTION/LSD:    IERR/JERR =  4
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON EAST BOUNDARY TO NEXT MERIDIAN
C       - SET IERR/JERR TO INDICATE SECTION/LSD TYPE
     }
        IF (LAST) THEN BEGIN
          IF (SEBDY <= WCHEK) THEN BEGIN
            SEBDY  :=  CHEK;
            IERR   :=  4;
            IF (SWBDY <= WCHEK) THEN IERR  :=  -4;
            IF (ILS > 0) THEN BEGIN
              IF ((LEBDY <= CHEK) OR (LKC = 1)) THEN BEGIN
                LEBDY  :=  CHEK;
                JERR   :=  4;
                IF (LWBDY <= CHEK) THEN JERR  :=  -4;
                IF (IERR < 0) THEN GOTO 9010;
                IF ((LON <= CHEK) AND (LIW > 1)) THEN GOTO 9010;
                IF ((LON <= CHEK) OR (LIW = 1)) THEN LON  :=  CHEK
              END
            END
            ELSE BEGIN
              IF ((LEBDY <= CHEK) OR (LKC = 1)) THEN LEBDY := CHEK;
              IF ((LON <= CHEK) AND (IW > 1)) THEN GOTO 9010;
              IF (IW = 1) THEN LON  :=  CHEK
            END
          END
        END
      END;
{
C     WEST OF PRIME:  CHECK FOR FRACTIONAL RANGE AT NEXT
C     MERIDIAN AND SET UP T(1-4), AS REQUIRED.
     }
      IF (EWM[1] = 'W') THEN BEGIN
{
C     - NON-EXISTENT RANGE
     }
        WCHEK  :=  CHEK-WROAD;
        IF (TEBDY >= WCHEK) THEN GOTO 9010;
{
C     - SET UP T(1-4) AS REQUIRED
     }
        IF (I2 > I1) THEN BEGIN
          T[2]  :=  TEBDY+JOG;
          T[3]  :=  T[2]+PWID;
          IF (I2 > IB) THEN BEGIN
            K  :=  1;
            T[1]  :=  T[2]-PWID
          END
          ELSE BEGIN
            K  :=  2;
            T[4]  :=  T[3]+PWID
          END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
          IF (T[K+1] >= WCHEK) THEN T[K+1]  :=  CHEK;
          IF (T[K+2] >= WCHEK) THEN T[K+2]  :=  CHEK
        END;
{
C     - FRACTIONAL RANGE; TOWNSHIP BOUNDARY ON NEXT MERIDIAN
     }
        IF (TWBDY >= WCHEK) THEN TWBDY  :=  CHEK;
{
C       SECTION/LSD PARAMETERS
C       - NON-EXISTENT SECTION/LSD:  IERR/JERR = -3
C       - FRACTIONAL SECTION/LSD:    IERR/JERR =  3
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON WEST BOUNDARY TO NEXT MERIDIAN
C       - SET IERR/JERR TO INDICATE SECTION/LSD TYPE
     }
        IF (LAST) THEN BEGIN
          IF (SWBDY >= WCHEK) THEN BEGIN
            SWBDY  :=  CHEK;
            IERR   :=  3;
            IF (SEBDY >= WCHEK) THEN IERR  :=  -3;
            IF (ILS > 0) THEN BEGIN
              IF ((LWBDY >= WCHEK) OR (LKC = 4)) THEN BEGIN
                LWBDY  :=  WCHEK;
                JERR   :=  3;
                IF (LEBDY >= WCHEK) THEN JERR  :=  -3;
                IF (IERR < 0) THEN GOTO 9010;
                IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
                IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON := WCHEK
              END
            END
            ELSE BEGIN
              IF ((LWBDY >= WCHEK) OR (LKC = 4)) THEN LWBDY := WCHEK;
              IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
              IF (IW = 3) THEN BEGIN
                LON  :=  WCHEK;
                IF (ILS < 0) THEN LON  :=  CHEK
              END
            END
          END
        END
      END;
{
C     BASE AND CORRECTION LINE LATITUDE ERRORS
C     TOWNSHIP CHORD LATITUDE CORRECTION
C
C     TLON        ==> LONGITUDE OF GIVEN POINT
C     BERR        ==> CORRECTION DUE TO BASE LINE
C     CERR        ==> CORRECTION AT CORRECTION LINE
     }
      BERR  :=  0.0;
      CERR  :=  0.0;
      LimErr := 0.0;                                                             //dwl 17Jun2013
      IF (LAST)
        THEN TLON  :=  VLON
        ELSE BEGIN
          TLON  :=  TEBDY;
          IF (BDCOR[2] = 'W') THEN TLON  :=  TWBDY
        END;
{
C     EAST OF PRIME:  BERR,CERR LONGITUDE PARAMETERS
     }
      IF (EWM[1] = 'E') THEN BEGIN
        BERR  :=  (TLON-TWBDY)/(TEBDY-TWBDY);
        IF (I2 > I1) THEN BEGIN
          IF (TLON <= T[K+1]) THEN K  :=  K+1;
          DIST  :=  T[K+1]-T[K];
          TT    :=  -DIST
        END
      END;
{
C     WEST OF PRIME:  BERR,CERR LONGITUDE PARAMETERS
     }
      IF (EWM[1] = 'W') THEN BEGIN
        BERR  :=  (TLON-TEBDY)/(TWBDY-TEBDY);
        IF (I2 > I1) THEN BEGIN
          IF (TLON >= T[K+1]) THEN K  :=  K+1;
          DIST  :=  T[K+1]-T[K];
          TT    :=  DIST
        END
      END;
{
C     CALCULATE LimErr
     }
      LimErr  :=  Bdy[2]+BERR*(Bdy[3]-Bdy[2]);                                  //dwl 17Jun2013
{
C     CALCULATE BERR
     }
      BERR  :=  BE[2]+BERR*(BE[3]-BE[2]);
{
C     CALCULATE CERR
     }
      IF (I2 > I1) THEN BEGIN
        IF (TT > 0.0) THEN CERR  :=  (TLON-T[K])/DIST;
        CERR  :=  BP[K]+CERR*(BP[K+1]-BP[K])
      END;
{
C     TOWNSHIP CHORD LATITUDE CORRECTION
     }
      DIST  :=  TERR*(TWBDY-TLON)*(TLON-TEBDY)*SN*(RLAT/RLON);
{
C     ACTUAL CORRECTION:
C     - AVERAGE BERR,CERR FOR CORRECTION LINES
C     - USE CERR ALONE FOR CORRECTION AT U.S. BORDER
C     - ADD CHORD LATITUDE CORRECTION
     }
      IF ((I2 > I1) AND (ITP > 1)) THEN CERR  :=  0.5*(BERR+CERR);
      BERR  :=  BERR+DIST;
      CERR  :=  CERR+DIST;

//
//Lat Problem on Meridian
//
      DlsLatProb(GVAR,DLSVAR,LAST,KR,ILS,LKR,TNBDY,TSBDY,LAT);                  //dwl 16Jul2013
{      LatProb := 28.0/36000.0;
      if ((LAST) and (EWM = 'W4') and (IRG = 1)) then
        begin
          if (ITP in [103,104,105]) then
            begin
              TNBDY := TNBDY-LatProb;
              LAT := LAT-LatProb;
            end;
         if ((KR = 6) and ((LOC[1] in ['G','N','H']) or ((LOC[1] = '@') and (LOC[2] in ['G','N','H'])))) then
            begin
              if ((ITP = 105) or (ITP = 104)) then
                begin
                  if (ILS > 0)  then
                    begin
                      if (LKR = 4) then
                        begin
                          TNBDY := TNBDY+LatProb;
                          LAT := LAT+LatProb;
                        end;
                    end
                  else
                    begin
                      TNBDY := TNBDY+LatProb;
                      LAT := LAT+LatProb;
                    end;
                end;
            end;
          if ((KR = 1) and ((LOC[1] in ['F','S','E']) or ((LOC[1] = '@') and (LOC[2] in ['F','S','E'])))) then
            begin
              if (ITP = 105) then
                begin
                  if (ILS > 0)  then
                    begin
                      if (LKR = 1) then
                        begin
                          TSBDY := TSBDY+LatProb;
                          LAT := LAT+LatProb;
                        end;
                    end
                  else
                    begin
                      TSBDY := TSBDY+LatProb;
                      LAT := LAT+LatProb;
                    end;
                end;
            end;
        end;  }





{
C     TOWNSHIP CORRECTIONS:  NOT ON CORRECTION LINE
     }
      TSBDY  :=  TSBDY+BERR;
      TNBDY  :=  TNBDY+BERR;
{
C     SECTION/LSD CORRECTIONS:  NOT ON CORRECTION LINE
     }
      IF (LAST) THEN BEGIN
        SSBDY  :=  SSBDY+BERR;
        SNBDY  :=  SNBDY+BERR;
        LAT    :=  LAT+BERR;
        LSBDY  :=  LSBDY+BERR;
        LNBDY  :=  LNBDY+BERR
      END;
{
C     TOWNSHIP CORRECTIONS:  TNBDY ON CORRECTION LINE
     }
      IF (I2 > IB) THEN BEGIN
        TNBDY  :=  TNBDY+(CERR-BERR);
{
C       SECTION/LSD CORRECTIONS
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON CORRECTION LINE TO TNBDY
     }
        IF (LAST) THEN BEGIN
          if (iLim = 1) then                                                    //dwl 17Jun2013
            TNBDY := TNBDY+LimErr;                                              //dwl 17Jun2013
          IF (KR = 6) THEN BEGIN
            IF (ILS > 0) THEN BEGIN
              IF (LSBDY >= TNBDY) THEN GOTO 9010;
              IF ((LNBDY >= TNBDY) OR (LKR = 4)) THEN BEGIN
                IF ((LAT >= TNBDY) AND (LIN < 5)) THEN GOTO 9010;
                IF ((LAT >= TNBDY) OR (LIN = 5)) THEN LAT  :=  TNBDY;
                LNBDY  :=  TNBDY
              END
            END
            ELSE BEGIN
              IF ((LNBDY >= TNBDY) OR (LKR = 4)) THEN LNBDY := TNBDY;
              IF ((LAT >= TNBDY) AND (IM < 3)) THEN GOTO 9010;
              IF (IM = 3) THEN LAT  :=  TNBDY
            END;
            SNBDY  :=  TNBDY
          END
        END
      END;
{
 C     TOWNSHIP CORRECTIONS:  TSBDY ON CORRECTION LINE
     }
      IF (I1 < IB) THEN BEGIN
        TSBDY  :=  TSBDY+(CERR-BERR);
{
C       SECTION/LSD CORRECTIONS
C       - CHECK FOR NON-EXISTENT SECTION/LSD REFERENCE POINT
C       - RESET THOSE ON CORRECTION LINE TO TSBDY
     }
        IF (LAST) THEN BEGIN
          IF (KR = 1) THEN BEGIN
            SCHEK  :=  TSBDY+SROAD;
            IF (ILS > 0) THEN BEGIN
              IF (LNBDY <= SCHEK) THEN GOTO 9010;
              IF ((LSBDY <= SCHEK) OR (LKR = 1)) THEN BEGIN
                IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
                IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
                LSBDY  :=  SCHEK
              END
            END
            ELSE BEGIN
              IF ((LSBDY <= SCHEK) OR (LKR = 1)) THEN LSBDY := SCHEK;
              IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
              IF (IM = 1) THEN BEGIN
                LAT  :=  SCHEK;
                IF (ILS < 0) THEN LAT  :=  TSBDY
              END
            END;
            SSBDY  :=  TSBDY
          END
        END
      END;
{
C     CHECK FOR RIGHT TOWNSHIP
C     - RESTRICT CHECKS TO ITRY < 10 TO PREVENT INFINITE LOOPS
     }
      IF ((LAST) AND (ITRY < 10)) THEN BEGIN
        IF ((VLAT <= TSBDY) AND (ITP > 1)) THEN BEGIN
          JT  :=  JT-1;
          GOTO 6200
          END
        ELSE IF ((VLAT > TNBDY) AND (ITP < 244)) THEN BEGIN
          JT  :=  JT+1;
          GOTO 6200
          END
        END;
{
C     CHECK FOR RIGHT SURVEY SYSTEM
     }
      IF (ICASE = 0) THEN BEGIN
        DlsSur(DLSVAR,DLSBDY,IFLAG);
        ISS   := StrToInt(DLSBDY[15]);
        IF (IFLAG >= 9000) THEN BEGIN
          IF ((ISS < 3) AND (SUR = 0)) THEN BEGIN
            TRY12  :=  False;
            IF (ITRY < 10) THEN GOTO 200
          END;
          GOTO 9010
        END;
        IF (IFLAG >= 50)
          THEN TYPA := 50
          ELSE TYPA := 0;
        ICASE := IFLAG-TYPA;
        JCASE := ICASE;
        IF (ICASE > 0) THEN BEGIN
          LAST  :=  False;
          ISS   :=  2;
          IDTP  :=  StrToInt(Copy(DLSBDY,4,3))-ITP;
          ITP   :=  ITP+IDTP;
          IDRG  :=  StrToInt(Copy(DLSBDY,7,2))-IRG;
          IRG   :=  IRG+IDRG;
          BDCOR := Copy(DLSBDY,13,2);
          IF ((LOC = '  ') OR (ILS > 0)) THEN BEGIN
            IF (ICASE > 10) THEN BEGIN
              RPT  :=  'SW'
              END
            ELSE IF (ICASE > 6) THEN BEGIN
              RPT  :=  'NW'
              END
            ELSE IF (ICASE > 1) THEN BEGIN
              RPT  :=  'SW'
              END
            ELSE BEGIN
              RPT  :=  'NW'
              END;
            IF ((ICASE < 3) AND (EWM[1] = 'W'))
              THEN RPT[2] := 'E';
            IF ((ICASE = 3) OR (ICASE = 6))
              THEN RPT[2] :=  'E';
            IF ((ICASE = 8) OR (ICASE = 9))
              THEN RPT[2] :=  'E';
            IF (ICASE = 11)
              THEN RPT[2] :=  'E'
          END;
          IF ((LOC = '  ') AND (ILS > 0)) THEN BEGIN
            IF (RPT = 'NE') THEN XLOC  :=  'NE';
            IF (RPT = 'SE') THEN XLOC  :=  'SE';
            IF (RPT = 'NW') THEN XLOC  :=  'NW';
            IF (RPT = 'SW') THEN XLOC  :=  'SW'
          END;
          IF (ITRY < 10) THEN GOTO 6000
        END
      END;
{
C     CHECK FOR RIGHT SECTION AND LSD
C     - RESTRICT CHECKS TO ITRY < 10 TO PREVENT INFINITE LOOPS
     }
      IF ((LAST) AND (ITRY < 10)) THEN BEGIN
        KRSV  :=  KR;
        IF ((VLAT <= SSBDY) AND (KR > 1)) THEN
          KRSV  :=  KR-1
        ELSE IF ((VLAT > SNBDY) AND (KR < 6)) THEN
          KRSV  :=  KR+1;
        LKRSV  :=  LKR;
        IF ((VLAT <= LSBDY) AND (LKR > 1)) THEN
          LKRSV  :=  LKR-1
        ELSE IF ((VLAT > LNBDY) AND (LKR < 4)) THEN
          LKRSV  :=  LKR+1;
        IF ((KR <> KRSV) OR (LKR <> LKRSV))
          THEN GOTO 6300
      END;
{
      DEFINE FRACTIONAL TOWNSHIP LIMITS
      - PERFORM SECOND PASS FOR TOWNSHIP PARAMETERS
     }
      IF (NOT(LAST)) THEN BEGIN
        ZLAT  :=  TSBDY;
        IF (BDCOR[1] = 'N') THEN ZLAT  :=  TNBDY;
        ZLON  :=  TEBDY;
        IF (BDCOR[2] = 'W') THEN ZLON  :=  TWBDY;
        LAST  :=  True;
        GOTO 200
      END;
{
C     FRACTIONAL TOWNSHIP:  SECTION/LSD MAY BE NORMAL,
C     FRACTIONAL, OR NON-EXISTENT.  FRACTIONAL SECTION/LSD
C     MAY BELONG TO ANOTHER CASE.  NOTE JCASE REFERS TO LSD.
     }
      IF (ICASE = 0) THEN GOTO 8600;
      IF (ICASE = 2) THEN GOTO 8200;
      IF (ICASE = 3) THEN GOTO 8300;
      IF (ICASE = 4) THEN GOTO 8400;
      IF (ICASE > 4) THEN GOTO 8450;
{
C     CASE 1:  FRACTIONAL TOWNSHIP/SECTION
     }
 8100:
      TSBDY  :=  ZLAT;
      SCHEK  :=  ZLAT+SROAD2;
{
C     - NON-EXISTENT SECTION
     }
      IF (SNBDY <= SCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SSBDY > SCHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 1:  FRACTIONAL SECTION
     }
      SSBDY  :=  ZLAT;
      SROAD  :=  SROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD ALLOWANCE
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
        IF (IM = 1) THEN BEGIN
          LAT  :=  SCHEK;
          IF (ILS < 0) THEN LAT  :=  ZLAT
        END;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LNBDY <= SCHEK) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
      IF ((LSBDY > SCHEK) AND (LKR > 1)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 1 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD ALLOWANCE
     }
      IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
      IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
      LSBDY  :=  SCHEK;
      GOTO 8600;
{
C     CASE 2:  FRACTIONAL TOWNSHIP/SECTION
     }
 8200:
//      TNBDY  :=  ZLAT;
      SCHEK  :=  ZLAT-SROAD;
      CHEK   :=  ZLAT-NROAD;
{
C     - NON-EXISTENT SECTION
     }
      IF (SSBDY >= SCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SNBDY < CHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 2:  FRACTIONAL SECTION
     }
      SNBDY  :=  ZLAT;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH BOUNDARY
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LAT >= ZLAT) AND (IM < 3)) THEN GOTO 9010;
        IF (IM = 3) THEN LAT  :=  ZLAT;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LSBDY >= ZLAT) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
      IF ((LNBDY < ZLAT) AND (LKR < 4)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 2 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH BOUNDARY
     }
      IF ((LAT >= ZLAT) AND (LIN < 5)) THEN GOTO 9010;
      IF ((LAT >= ZLAT) OR (LIN = 5)) THEN LAT  :=  ZLAT;
      LNBDY  :=  ZLAT;
      GOTO 8600;
{
C     CASE 3:  FRACTIONAL TOWNSHIP/SECTION
     }
 8300:
      TWBDY  :=  ZLON;
      WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
      IF (SEBDY >= WCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SWBDY < WCHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{
C     - CASE 3:  FRACTIONAL SECTION
     }
      SWBDY  :=  ZLON;
      WROAD  :=  WROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT WEST ROAD ALLOWANCE
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
        IF (IW = 3) THEN BEGIN
          LON  :=  WCHEK;
          IF (ILS < 0) THEN LON  :=  ZLON
        END;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LEBDY >= WCHEK) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{    
C     - NORMAL LSD
     }
      IF ((LWBDY < WCHEK) AND (LKC < 4)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 3 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT WEST ROAD ALLOWANCE
     }
      IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
      IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
      LWBDY  :=  WCHEK;
      GOTO 8600;
{
C     CASE 4:  FRACTIONAL TOWNSHIP/SECTION
     }
 8400:
      TEBDY  :=  ZLON;
      WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
      IF (SWBDY <= WCHEK) THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
      IF (SEBDY > WCHEK) THEN BEGIN
        ICASE := 0;
        JCASE := 0;
        GOTO 8600
      END;
{    
C     - CASE 4:  FRACTIONAL SECTION
     }
      SEBDY  :=  ZLON;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF ON EAST BOUNDARY
     }
      IF (ILS <= 0) THEN BEGIN
        IF ((LON <= ZLON) AND (IW > 1)) THEN GOTO 9010;
        IF (IW = 1) THEN LON  :=  ZLON;
        GOTO 8600
      END;
{
C     - NON-EXISTENT LSD
     }
      IF (LWBDY <= ZLON) THEN JCASE  :=  -JCASE;
      IF (ICASE < 0) THEN GOTO 9010;
{    
C     - NORMAL LSD
     }
      IF ((LEBDY > ZLON) AND (LKC > 1)) THEN BEGIN
        JCASE := 0;
        GOTO 8600
      END;
{
C     - FRACTIONAL CASE 4 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF ON EAST BOUNDARY
     }
      IF ((LON <= ZLON) AND (LIW > 1)) THEN GOTO 9010;
      IF ((LON <= ZLON) OR (LIW = 1)) THEN LON  :=  ZLON;
      LEBDY  :=  ZLON;
      GOTO 8600;
{
C     CASE 5:  FRACTIONAL TOWNSHIP/SECTION
     }
 8450:
      IF (ICASE = 5) THEN BEGIN
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) AND (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) OR (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SSBDY >= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2
     }
        IF ((SWBDY <= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 5:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET NE,NC,EC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  (4-IM)+IW;
          IF ((LAT >= ZLAT) AND (LON <= ZLON)
             AND (IJ > 3)) THEN GOTO 9010;
          IF ((IW = 1) AND (IM <> 1)) THEN LAT  :=  ZLAT;
          IF ((IM = 3) AND (IW <> 3)) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) AND (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LNBDY < ZLAT) AND (LKR < 4))
           OR ((LEBDY > ZLON) AND (LKC > 1))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{    
C     - TRY CASE 4 LSD
     }
        IF ((LSBDY >= ZLAT) AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LWBDY <= ZLON) AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 5 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET H,N,M TO MARK BOUNDARY CORNERS
     }
        IJ  :=  (6-LIN)+LIW;
        IF ((LAT >= ZLAT) AND (LON <= ZLON)) THEN BEGIN
          IF (IJ > 4) THEN GOTO 9010;
          IF ((LIN = 4) AND (LIW = 2)) THEN GOTO 9010
        END;
        IF ((LIW = 1) AND (LIN <> 1)) THEN LAT  :=  ZLAT;
        IF ((LIN = 5) AND (LIW <> 5)) THEN LON  :=  ZLON;
        GOTO 8600
      END;
{    
C     CASE 6:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 6) THEN BEGIN
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) AND (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) OR (SWBDY < WCHEK)) THEN BEGIN 
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SSBDY >= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2
     }
        IF ((SEBDY >= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 6:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET NW,NC,WC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  IM+IW;
          IF ((LAT >= ZLAT) AND (LON >= WCHEK)
             AND (IJ < 5)) THEN GOTO 9010;
          IF ((IW = 3) AND (IM <> 1)) THEN LAT  :=  ZLAT;
          IF ((IM = 3) AND (IW <> 1)) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) AND (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LNBDY < ZLAT) AND (LKR < 4))
          OR ((LWBDY < WCHEK) AND (LKC < 4))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LSBDY >= ZLAT) AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LEBDY >= WCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{    
C     - FRACTIONAL CASE 6 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET G,N,W TO MARK BOUNDARY CORNERS
     }
        IJ  :=  LIN+LIW;
        IF ((LAT >= ZLAT) AND (LON >= WCHEK)) THEN BEGIN
          IF (IJ < 8) THEN GOTO 9010;
          IF ((LIN = 4) AND (LIW = 4)) THEN GOTO 9010
        END;
        IF ((LIW = 5) AND (LIN <> 1)) THEN LAT  :=  ZLAT;
        IF ((LIN = 5) AND (LIW <> 1)) THEN LON  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 7:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 7) THEN BEGIN
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) AND (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) OR (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SNBDY <= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1
     }
        IF ((SWBDY <= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 7:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET SE,SC,EC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  IM+IW;
          IF ((LAT <= SCHEK) AND (LON <= ZLON)
             AND (IJ > 3)) THEN GOTO 9010;
          IF ((IW = 1) AND (IM <> 3)) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF ((IM = 1) AND (IW <> 3)) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LNBDY <= SCHEK) AND (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LSBDY > SCHEK) AND (LKR > 1))
          OR ((LEBDY > ZLON) AND (LKC > 1))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LNBDY <= SCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LWBDY <= ZLON) AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 7 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET E,S,M TO MARK BOUNDARY CORNERS
     }
        IJ  :=  LIN+LIW;
        IF ((LAT <= SCHEK) AND (LON <= ZLON)) THEN BEGIN
          IF (IJ > 4) THEN GOTO 9010;
          IF ((LIN = 2) AND (LIW = 2)) THEN GOTO 9010
        END;
        IF ((LIW = 1) AND (LIN <> 5)) THEN LAT  :=  SCHEK;
        IF ((LIN = 1) AND (LIW <> 5)) THEN LON  :=  ZLON;
        GOTO 8600
      END;
{
C     CASE 8:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 8) THEN BEGIN
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) AND (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) OR (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SNBDY <= SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1
     }
        IF ((SEBDY >= WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 8:  FRACTIONAL SECTION
C     - CHECK FOR NON-EXISTENT SECTION REFERENCE POINT
C     - RESET SW,SC,WC TO MARK BOUNDARY CORNERS
     }
        IF (ILS <= 0) THEN BEGIN
          IJ  :=  IM+(4-IW);
          IF ((LAT <= SCHEK) AND (LON >= WCHEK)
             AND (IJ > 3)) THEN GOTO 9010;
          IF ((IW = 3) AND (IM <> 3)) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF ((IM = 1) AND (IW <> 1)) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - INVALID LSD
     }
        IF ((LNBDY <= SCHEK) AND (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF (((LSBDY > SCHEK) AND (LKR > 1))
          OR ((LWBDY < WCHEK) AND (LKC < 4))) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LNBDY <= SCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LEBDY >= WCHEK) AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 8 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET F,S,W TO MARK BOUNDARY CORNERS
     }
        IJ  :=  LIN+(6-LIW);
        IF ((LAT <= SCHEK) AND (LON >= WCHEK)) THEN BEGIN
          IF (IJ > 4) THEN GOTO 9010;
          IF ((LIN = 2) AND (LIW = 4)) THEN GOTO 9010
        END;
        IF ((LIW = 5) AND (LIN <> 5)) THEN LAT  :=  SCHEK;
        IF ((LIN = 1) AND (LIW <> 1)) THEN LON  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 9:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 9) THEN BEGIN
        TSBDY  :=  ZLAT;
        TWBDY  :=  ZLON;
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) OR (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) AND (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SSBDY > SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1
     }
        IF ((SWBDY < WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 9:  FRACTIONAL SECTION
     }
        SSBDY  :=  ZLAT;
        SWBDY  :=  ZLON;
        SROAD  :=  SROAD2;
        WROAD  :=  WROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH OR WEST ROAD ALLOWANCE
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
          IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
          IF (IM = 1) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF (IW = 3) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LNBDY <= SCHEK) OR (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (LWBDY < WCHEK) AND (LKC < 4)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LWBDY < WCHEK) AND (LKC < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 9 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH OR WEST ROAD ALLOWNACE
     }
        IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
        IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
        IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
        IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
        LSBDY  :=  SCHEK;
        LWBDY  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 10:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 10) THEN BEGIN
        TSBDY  :=  ZLAT;
        TEBDY  :=  ZLON;
        SCHEK  :=  ZLAT+SROAD2;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SNBDY <= SCHEK) OR (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SSBDY > SCHEK) AND (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SSBDY > SCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1
     }
        IF ((SEBDY > WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 1;
          JCASE := 1;
          GOTO 8100
        END;
{
C     - CASE 10:  FRACTIONAL SECTION
     }
        SSBDY  :=  ZLAT;
        SEBDY  :=  ZLON;
        SROAD  :=  SROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD ALL. OR EAST BD.
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT <= SCHEK) AND (IM > 1)) THEN GOTO 9010;
          IF ((LON <= ZLON) AND (IW > 1)) THEN GOTO 9010;
          IF (IM = 1) THEN BEGIN
            LAT  :=  SCHEK;
            IF (ILS < 0) THEN LAT  :=  ZLAT
          END;
          IF (IW = 1) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{    
C     - NON-EXISTENT LSD
     }
        IF ((LNBDY <= SCHEK) OR (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (LEBDY > ZLON) AND (LKC > 1)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LSBDY > SCHEK) AND (LKR > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 1 LSD
     }
        IF ((LEBDY > ZLON) AND (LKC > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 1;
          GOTO 8100
        END;
{
C     - FRACTIONAL CASE 10 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT SOUTH ROAD AL. OR EAST BD.
     }
        IF ((LAT <= SCHEK) AND (LIN > 1)) THEN GOTO 9010;
        IF ((LON <= ZLON) AND (LIW > 1)) THEN GOTO 9010;
        IF ((LAT <= SCHEK) OR (LIN = 1)) THEN LAT  :=  SCHEK;
        IF ((LON <= ZLON) OR (LIW = 1)) THEN LON  :=  ZLON;
        LSBDY  :=  SCHEK;
        LEBDY  :=  ZLON;
        GOTO 8600
      END;
{
C     CASE 11:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 11) THEN BEGIN
//        TNBDY  :=  ZLAT;
        TWBDY  :=  ZLON;
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON-WROAD2;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) OR (SEBDY >= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) AND (SWBDY < WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3
     }
        IF ((SNBDY < CHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 3;
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2
     }
        IF ((SWBDY < WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 11:  FRACTIONAL SECTION
     }
        SNBDY  :=  ZLAT;
        SWBDY  :=  ZLON;
        WROAD  :=  WROAD2;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF AT NORTH BD. OR WEST ROAD ALL.
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT >= ZLAT) AND (IM < 3)) THEN GOTO 9010;
          IF ((LON >= WCHEK) AND (IW < 3)) THEN GOTO 9010;
          IF (IM = 3) THEN LAT  :=  ZLAT;
          IF (IW = 3) THEN BEGIN
            LON  :=  WCHEK;
            IF (ILS < 0) THEN LON  :=  ZLON
          END;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) OR (LEBDY >= WCHEK))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (LWBDY < WCHEK) AND (LKC < 4)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 3 LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 3;
          GOTO 8300
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LWBDY < WCHEK) AND (LKC < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 11 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF AT NORTH BD. OR WEST ROAD ALL.
     }
        IF ((LAT >= ZLAT) AND (LIN < 5)) THEN GOTO 9010;
        IF ((LON >= WCHEK) AND (LIW < 5)) THEN GOTO 9010;
        IF ((LAT >= ZLAT) OR (LIN = 5)) THEN LAT  :=  ZLAT;
        IF ((LON >= WCHEK) OR (LIW = 5)) THEN LON  :=  WCHEK;
        LNBDY  :=  ZLAT;
        LWBDY  :=  WCHEK;
        GOTO 8600
      END;
{
C     CASE 12:  FRACTIONAL TOWNSHIP/SECTION
     }
      IF (ICASE = 12) THEN BEGIN
//        TNBDY  :=  ZLAT;
        TEBDY  :=  ZLON;
        SCHEK  :=  ZLAT-SROAD;
        CHEK  :=  ZLAT-NROAD;
        WCHEK  :=  ZLON+WROAD;
{
C     - NON-EXISTENT SECTION
     }
        IF ((SSBDY >= SCHEK) OR (SWBDY <= WCHEK))
          THEN ICASE  :=  -ICASE;
{
C     - NORMAL SECTION
     }
        IF ((SNBDY < CHEK) AND (SEBDY > WCHEK)) THEN BEGIN
          ICASE := 0;
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4
     }
        IF ((SNBDY < CHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 4;
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2
     }
        IF ((SEBDY > WCHEK) AND (ICASE > 0)) THEN BEGIN
          ICASE := 2;
          JCASE := 2;
          GOTO 8200
        END;
{
C     - CASE 12:  FRACTIONAL SECTION
     }
        SNBDY  :=  ZLAT;
        SEBDY  :=  ZLON;
{
C     - NON-EXISTENT SECTION REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH OR EAST BOUNDARY
     }
        IF (ILS <= 0) THEN BEGIN
          IF ((LAT >= ZLAT) AND (IM < 3)) THEN GOTO 9010;
          IF ((LON <= ZLON) AND (IW > 1)) THEN GOTO 9010;
          IF (IM = 3) THEN LAT  :=  ZLAT;
          IF (IW = 1) THEN LON  :=  ZLON;
          GOTO 8600
        END;
{
C     - NON-EXISTENT LSD
     }
        IF ((LSBDY >= ZLAT) OR (LWBDY <= ZLON))
          THEN JCASE  :=  -JCASE;
        IF (ICASE < 0) THEN GOTO 9010;
{
C     - NORMAL LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (LEBDY > ZLON) AND (LKC > 1)) THEN BEGIN
          JCASE := 0;
          GOTO 8600
        END;
{
C     - TRY CASE 4 LSD
     }
        IF ((LNBDY < ZLAT) AND (LKR < 4)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 4;
          GOTO 8400
        END;
{
C     - TRY CASE 2 LSD
     }
        IF ((LEBDY > ZLON) AND (LKC > 1)
          AND (JCASE > 0)) THEN BEGIN
          JCASE := 2;
          GOTO 8200
        END;
{
C     - FRACTIONAL CASE 12 LSD
C     - CHECK FOR NON-EXISTENT LSD REFERENCE POINT
C     - RESET TO NEW VALUE IF ON NORTH OR EAST BOUNDARY
     }
        IF ((LAT >= ZLAT) AND (LIN < 5)) THEN GOTO 9010;
        IF ((LON <= ZLON) AND (LIW > 1)) THEN GOTO 9010;
        IF ((LAT >= ZLAT) OR (LIN = 5)) THEN LAT  :=  ZLAT;
        IF ((LON <= ZLON) OR (LIW = 1)) THEN LON  :=  ZLON;
        LNBDY  :=  ZLAT;
        LEBDY  :=  ZLON;
        GOTO 8600
      END;
 8600:
{
C     CHOOSE CLOSEST SECTION REFERENCE CORNER
     }
      IF ((ILS <= 0) AND (LOC = '  ')) THEN BEGIN
        DIST  :=  SNBDY-SSBDY;
        IF (ILS = 0) THEN DIST  :=  DIST-SROAD;
        DLAT  :=  VLAT-LAT;
        IF (IM = 1) THEN BEGIN
          TLAT  :=  VLAT-(LAT+DIST);
          IF (Abs(TLAT) < Abs(DLAT)) THEN BEGIN
            RPT  :=  'N'+RPT[2];
            IM   :=  3;
            LAT  :=  LAT+DIST
          END
        END
        ELSE IF (IM = 3) THEN BEGIN
          TLAT  :=  VLAT-(LAT-DIST);
          IF (Abs(TLAT) < Abs(DLAT)) THEN BEGIN
            RPT  :=  'S'+RPT[2];
            IM   :=  1;
            LAT  :=  LAT-DIST
          END
        END;
        DIST  :=  SWBDY-SEBDY;
        IF (ILS = 0) THEN DIST  :=  DIST-WROAD;
        DLON  :=  VLON-LON;
        IF (IW = 1) THEN BEGIN
          TLON  :=  VLON-(LON+DIST);
          IF (Abs(TLON) < Abs(DLON)) THEN BEGIN
            RPT  :=  RPT[1]+'W';
            IW   :=  3;
            LON  :=  LON+DIST
          END
        END
        ELSE IF (IW = 3) THEN BEGIN
          TLON  :=  VLON-(LON-DIST);
          IF (Abs(TLON) < Abs(DLON)) THEN BEGIN
            RPT  :=  RPT[1]+'E';
            IW   :=  1;
            LON  :=  LON-DIST
          END
        END;
        IF ((ICASE = 5) AND (RPT = 'NE')) THEN BEGIN
          LAT  :=  ZLAT;
          LON  :=  ZLON
          END
        ELSE IF ((ICASE = 6) AND (RPT = 'NW')) THEN BEGIN
          LAT  :=  ZLAT;
          LON  :=  ZLON;
          IF (ILS = 0) THEN LON  :=  ZLON-WROAD2
          END
        ELSE IF ((ICASE = 7) AND (RPT = 'SE')) THEN BEGIN
          LAT  :=  ZLAT;
          LON  :=  ZLON;
          IF (ILS = 0) THEN LAT  :=  ZLAT+SROAD2
          END
        ELSE IF ((ICASE = 8) AND (RPT = 'SW')) THEN BEGIN
          LAT  :=  ZLAT;
          LON  :=  ZLON;
          IF (ILS = 0) THEN BEGIN
            LAT  :=  ZLAT+SROAD2;
            LON  :=  ZLON-WROAD2
          END
        END
      END;
{
C     CHOOSE CLOSEST LSD REFERENCE CORNER
     }
      IF ((ILS > 0) AND (LOC = '  ')) THEN BEGIN
        DIST  :=  LNBDY-LSBDY;
        DLAT  :=  VLAT-LAT;
        IF (LIN = 1) THEN BEGIN
          TLAT  :=  VLAT-(LAT+DIST);
          IF (Abs(TLAT) < Abs(DLAT)) THEN BEGIN
            XLOC :=  'N'+XLOC[2];
            LIN  :=  5;
            LAT  :=  LAT+DIST
          END
        END
        ELSE IF (LIN = 5) THEN BEGIN
          TLAT  :=  VLAT-(LAT-DIST);
          IF (Abs(TLAT) < Abs(DLAT)) THEN BEGIN
            XLOC :=  'S'+XLOC[2];
            LIN  :=  1;
            LAT  :=  LAT-DIST
          END
        END;
        DIST  :=  LWBDY-LEBDY;
        DLON  :=  VLON-LON;
        IF (LIW = 1) THEN BEGIN
          TLON  :=  VLON-(LON+DIST);
          IF (Abs(TLON) < Abs(DLON)) THEN BEGIN
            XLOC :=  XLOC[1]+'W';
            LIW  :=  5;
            LON  :=  LON+DIST
          END
        END
        ELSE IF (LIW = 5) THEN BEGIN
          TLON  :=  VLON-(LON-DIST);
          IF (Abs(TLON) < Abs(DLON)) THEN BEGIN
            XLOC :=  XLOC[1]+'E';
            LIW  :=  1;
            LON  :=  LON-DIST
          END
        END;
        IF ((JCASE = 5) AND (XLOC = 'NE')) THEN BEGIN
          LAT  :=  ZLAT;
          LON  :=  ZLON
          END
        ELSE IF ((JCASE = 6) AND (XLOC = 'NW')) THEN BEGIN
          LAT  :=  ZLAT;
          LON  :=  ZLON-WROAD2
          END
        ELSE IF ((JCASE = 7) AND (RPT = 'SE')) THEN BEGIN
          LAT  :=  ZLAT+SROAD2;
          LON  :=  ZLON
          END
        ELSE IF ((JCASE = 8) AND (RPT = 'SW')) THEN BEGIN
          LAT  :=  ZLAT+SROAD2;
          LON  :=  ZLON-WROAD2
        END
      END;
{
C     DETERMINE FEET NORTH OF REFERENCE POINT
C     - FIND NORTHING METRES
     }
      DLAT  :=  VLAT-LAT;
      YNF   :=  DLAT*RLON;
      YN    :=  YNF/VNIT;
{
C     DETERMINE FEET WEST OF REFERENCE POINT
C     - FIND EASTING METRES
     }
      DLON  :=  VLON-LON;
      XWF   :=  DLON*RLAT/FACT;
      XE    :=  -XWF/VNIT;
{
C     FIND DLS PARAMETERS
     }
      IF (SUR = 0) THEN SUR  :=  ISS;
      TWP  :=  ITP;
      RGE  :=  IRG;
      IF (ILS > 0)
        THEN LOC  :=  XLOC
        ELSE LOC  :=  RPT;
      ISC  :=  KC;
      IF ((KR MOD 2) = 0) THEN ISC  :=  7-ISC;
      SEC  :=  ISC+(KR-1)*6;
      ISC  :=  LKC;
      IF ((LKR MOD 2) = 0) THEN ISC  :=  5-ISC;
      LSD  :=  ISC+(LKR-1)*4;
{
C     GENERATE WARNING FLAGS
C     - MARK SECTION/LSD CUT AT NEXT MERIDIAN
C     - MARK TYPE A TOWNSHIP
C     - MARK SECTION/LSD CASE
C     - MARK POINT ON ROAD ALLOWANCE
C     - MARK POINT NOT IN SECTION/LSD
     }
      LERR  :=  IERR;
      LCASE  :=  ICASE;
      IF (ILS > 0) THEN BEGIN
        LERR  :=  JERR;
        LCASE  :=  JCASE
      END;
{
C     CUT OFF AT NEXT MERIDIAN
     }
      IERR  :=  0;
      IF (LERR <> 0) THEN IERR  :=  900;
{
C     TYPE A TOWNSHIP
     }
      IERR  :=  IERR+TYPA;
{
C     COULD BE INVALID SECTION WITHIN VALID TOWNSHIP
     }
      IF ((LERR < 0) OR (LCASE < 0)) THEN BEGIN
        IF (LCASE < 0) THEN LCASE  :=  -LCASE;
        IERR  :=  7000+IERR+LCASE;
        GOTO 9005
      END;
{
C     FRACTIONAL SECTION/LSD
     }
      IERR  :=  IERR+LCASE;
{
C     - POINT OUTSIDE SECTION/LSD AND ROAD ALLOWANCE
     }
      IF (ILS > 0) THEN BEGIN
        TLAT  :=  LSBDY;
        TLON  :=  LWBDY;
        IF ((LKR = 1) OR (LCASE = 1)) THEN TLAT  :=  SSBDY;
        IF ((LKC = 4) OR (LCASE = 3)) THEN TLON  :=  SWBDY;
        IF ((VLAT < TLAT) OR (VLAT > LNBDY)
          OR (VLON < LEBDY) OR (VLON > TLON)) THEN BEGIN
            IERR  := IERR+4000;
            GOTO 9005
        END;
        TLAT  :=  LSBDY;
        TLON  :=  LWBDY
      END
      ELSE BEGIN
        IF ((VLAT < SSBDY) OR (VLAT > SNBDY)
          OR (VLON < SEBDY) OR (VLON > SWBDY)) THEN BEGIN
            IERR  := IERR+4000;
            GOTO 9005
        END;
        TLAT  :=  SSBDY+SROAD;
        TLON  :=  SWBDY-WROAD
      END;
      IF (LCASE = 5) THEN
        IF ((VLAT > ZLAT) AND (VLON < ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
      IF (LCASE = 6) THEN
        IF ((VLAT > ZLAT) AND (VLON > ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
      IF (LCASE = 7) THEN
        IF ((VLAT < ZLAT) AND (VLON < ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
      IF (LCASE = 8) THEN
        IF ((VLAT < ZLAT) AND (VLON > ZLON)) THEN BEGIN
          IERR  := IERR+4000;
          GOTO 9005
        END;
{
C     - POINT ON SOUTH-WEST ROAD ALLOWANCE
     }
      IF ((VLAT < TLAT) AND (VLON > TLON)) THEN BEGIN
        IERR  := IERR+3000;
        GOTO 9005
      END;
      IF (LCASE = 8) THEN BEGIN
        IF ((VLAT < SCHEK) AND (VLON > TLON)) THEN BEGIN
          IERR  := IERR+3000;
          GOTO 9005
        END;
        IF ((VLAT < SCHEK) AND (VLAT >= ZLAT)
           AND (VLON > WCHEK) AND (VLON <= ZLON)) THEN BEGIN
             IERR  := IERR+3000;
             GOTO 9005
           END;
        IF ((VLAT < TLAT) AND (VLON > WCHEK)) THEN BEGIN
           IERR  := IERR+3000;
           GOTO 9005
         END
      END;
{
C     - POINT ON SOUTH ROAD ALLOWANCE
     }
      IF (VLAT < TLAT) THEN BEGIN
        IERR  := IERR+1000;
        GOTO 9005
      END;
      IF (LCASE = 7) THEN
        IF ((VLAT < SCHEK) AND (VLON < ZLON)) THEN BEGIN
          IERR  := IERR+1000;
          GOTO 9005
        END;
      IF (LCASE = 8) THEN
        IF ((VLAT < SCHEK) AND (VLON > ZLON)) THEN BEGIN
          IERR  := IERR+1000;
          GOTO 9005
        END;
{
C     - POINT ON WEST ROAD ALLOWANCE
     }
      IF (VLON > TLON) THEN BEGIN
        IERR  := IERR+2000;
        GOTO 9005
      END;
      IF (LCASE = 6) THEN
        IF ((VLAT > ZLAT) AND (VLON > WCHEK)) THEN BEGIN
          IERR  := IERR+2000;
          GOTO 9005
        END;
      IF (LCASE = 8) THEN
        IF ((VLAT < ZLAT) AND (VLON > WCHEK)) THEN BEGIN
          IERR  := IERR+2000;
          GOTO 9005
        END;
{
C     OK      -- CALCULATION COMPLETE
     }
 9005:
      DlsOut := DlsOut[1]+EWM
                  +Format('%3.3d',[TWP])
                  +Format('%2.2d',[RGE])
                  +Format('%2.2d',[SEC])
                  +Format('%2.2d',[LSD])+LOC
                  +Format('%1.1d',[SUR])+DlsOut[16];
//      YnOut := Format('%12.3f',[YN]);        // 3 dec Metre
//      XeOut := Format('%12.3f',[XE]);
//      YnOut := Format('%12.1f',[YN]);        // 1 dec Metre
//      XeOut := Format('%12.1f',[XE]);
      YnOut := FloatToStr(YN);        // 1 dec Metre
      XeOut := FloatToStr(XE);
      GOTO 9050;
{
C     ERROR   -- INVALID TOWNSHIP RANGE, LSD, OR SECTION/LSD
C                REFERENCE POINT
     }
9010:
      LERR  :=  IERR;
      LCASE  :=  ICASE;
      IF (ILS > 0) THEN BEGIN
        LERR  :=  JERR;
        LCASE  :=  JCASE
      END;
      IF (LERR <> 0) THEN IERR  :=  900;
      IF (LCASE < 0) THEN LCASE  :=  -LCASE;
      IERR  :=  9000+IERR+LCASE;
 9050:
      END;


{
C ***********************************************************
     }
      function GeoLat (Plycon:Tplycon; ARC:double): double;
{
C ***********************************************************
C
C     PURPOSE:    Calculation of Latitude at ARC Terminus.
C
C     SOURCE:     G. D. Newton, U. S. Geological Survey
C                 Bulletin 1642, 1985.
C
C     REVISED BY: D. W. Lepard, 1998, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C
C     INPUT:
C       Plycon    Polyconic projection parameters   Tplycon
C
C       ARC       Arc from Base Latitude in metres. DOUBLE
C
C     OUTPUT:
C       RESULT    Latitude at Arc End in radians.   DOUBLE
C
C
C ***********************************************************
     }
      var PHI,OLD,S,DY,F,D,C1,P1,P2: double;
      var ITER: integer;
      var FINI: boolean;
{    }
      begin                           { of main GeoLat }
      with PlyCon do
      begin
{
      Starting Value for Iteration
     }
      PHI    := BLAT;
      OLD    := ARC;
      FINI   := False;
      ITER   := 0;
      WHILE NOT(FINI) DO
      BEGIN
        ITER := ITER+1;
        S    := GeoArc(Plycon, PHI);
        DY   := ARC-S;
        F    := AMAJ*(1.0-ESQ);
        D    := (1.0-ESQ*Sin(PHI)*Sin(PHI));
        C1   := -3.0*ESQ/(F*F);
        P1   := D*Sqrt(D)/F;
        P2   := C1*D*D*Cos(PHI);
        PHI  := (PHI+DY*(P1+DY*P2));
        IF ((OLD = S) OR (ITER = 10)) THEN FINI := True;
        OLD  := S;
      END;
      RESULT := PHI;
      end;
      end;

{
C ***********************************************************
     }
      procedure GeoLmb (GSPH:string; LmbIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Lambert.
C
C     SOURCE:     R. T. Williams, Computers & Geosciences
C                 Vol. 21, No. 3, pp. 353-364, 1995.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       LmbIn                                       STRING[72]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Northern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [37-48] Southern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [49-60] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [61-72] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var DLAT,DLONG,EAST,ESIN,GAMMA,NORTH,Q,R,RLAT: double;
      var RLON,SINLAT:double;
{    }
      var LmbCon: Tlmbcon;
{    }
      label 9000;
{    }
      begin                           { of main GeoLmb }
      YnOut := '       0.000';
      XeOut := YnOut;
      ERR   := 9000;
      if ((Length(GSPH) < 8) or (Length(LmbIn) < 72)) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniLmb (GSPH, LmbIn, LmbCon, ERR);
      if (ERR <> 0) then goto 9000;

      if (UpperCase(GSPH[3]) = 'S') then begin
        DLAT   := StrToFloat(MSToDeg(YlatIn));
        DLONG  := StrToFloat(MSToDeg(XlonIn));
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        DLAT   := StrToFloat(MinToDeg(YlatIn));
        DLONG  := StrToFloat(MinToDeg(XlonIn));
        end
      else begin
        DLAT   := StrToFloat(YlatIn);
        DLONG  := StrToFloat(XlonIn);
        end;

      ERR := 9000;
      if (Abs(Abs(DLAT)-90.0) < 0.000001) then goto 9000;
      with LmbCon do
      begin
{    }
      RLAT   := DLAT*D2R;
      RLON   := DLONG*D2R;
      if (IGS > 2 ) then RLAT := -RLAT;
      if ((IGS = 2) or (IGS = 4)) then RLON := -RLON;
      SINLAT :=  Sin(RLAT);
      ESIN   :=  E*SINLAT;
      Q      :=  (Ln((1.0+SINLAT)/(1.0-SINLAT))
                   -E*Ln((1.0+ESIN)/(1.0-ESIN)))/2.0;
      R      :=  SK/Exp(Q*SINSTD);
      GAMMA  :=  (RLON-CMR)*SINSTD;
      NORTH  :=  YBASE+Y0-R*Cos(GAMMA);
      EAST   :=  X0+R*Sin(GAMMA);

      end;
//      YnOut := Format('%12.3f',[NORTH]);           // 3 dec Metre
//      XeOut := Format('%12.3f',[EAST]);
//      YnOut := Format('%12.1f',[NORTH]);           //1 dec Metre
//      XeOut := Format('%12.1f',[EAST]);
      YnOut := FloatToStr(NORTH);           //1 dec Metre
      XeOut := FloatToStr(EAST);
      ERR   := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure GeoAlb (GSPH:string; AlbIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Albers.
C
C     SOURCE:     Map Projections Used by the U. S. Geological Survey
C                 Geological Survey Bulletin 1532.
C
C     REVISED BY: D. W. Lepard, 2003, for GSC in-house NAD83
C                 (default) or NAD27 calculations in Pascal.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       AlbIn                                       STRING[72]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Northern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [37-48] Southern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [49-60] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [61-72] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var DLAT,DLONG,EAST,NORTH,Q,R,T: double;
      var RLAT,RLON,SINLAT,ESIN,ESQ:double;
{    }
      var AlbCon: Talbcon;
{    }
      label 9000;
{    }
      begin                           { of main GeoAlb }
      YnOut := '       0.000';
      XeOut := YnOut;
      ERR   := 9000;
      if ((Length(GSPH) < 8) or (Length(AlbIn) < 72)) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniAlb (GSPH, AlbIn, AlbCon, ERR);
      if (ERR <> 0) then goto 9000;

      if (UpperCase(GSPH[3]) = 'S') then begin
        DLAT   := StrToFloat(MSToDeg(YlatIn));
        DLONG  := StrToFloat(MSToDeg(XlonIn));
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        DLAT   := StrToFloat(MinToDeg(YlatIn));
        DLONG  := StrToFloat(MinToDeg(XlonIn));
        end
      else begin
        DLAT   := StrToFloat(YlatIn);
        DLONG  := StrToFloat(XlonIn);
        end;

      with AlbCon do
      begin
{    }
      RLAT   := DLAT*D2R;
      RLON   := DLONG*D2R;
      if (IGS > 2 ) then RLAT := -RLAT;
      if ((IGS = 2) or (IGS = 4)) then RLON := -RLON;
      ESQ    :=  E*E;
      SINLAT :=  Sin(RLAT);
      ESIN   :=  E*SINLAT;
      Q      :=  (1.0-ESQ)*(SINLAT/(1.0-ESIN*ESIN)
                            - (1.0/(E+E))*Ln((1.0-ESIN)/(1.0+ESIN)));
//      M      :=  Cos(RLAT)/Sqrt(1.0-ESIN*ESIN);
      R      :=  A*(Sqrt(C-N*Q))/N;
      T      :=  N*(RLON-CMR);
      EAST   :=  X0+R*Sin(T);
      NORTH  :=  Y0+R0-R*Cos(T);
      end;
//      YnOut := Format('%12.3f',[NORTH]);             // 3 dec Metre
//      XeOut := Format('%12.3f',[EAST]);
//      YnOut := Format('%12.1f',[NORTH]);             // 1 dec Metre
//      XeOut := Format('%12.1f',[EAST]);
      YnOut := FloatToStr(NORTH);             // 1 dec Metre
      XeOut := FloatToStr(EAST);
      ERR   := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure GeoMer (GSPH:string; ZnLonIn:string;
        UtmIn:string; YlatIn,XlonIn:string;
        var ZnLonOut:string;
        var YnOut,XeOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Mercator.
C
C     SOURCE:     R. T. Williams, Computers & Geosciences
C                 Vol. 21, No. 3, pp. 353-364, 1995.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnLonIn                                     STRING[16]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM [input 0 is
C                   replaced by value determined
C                   from CM when CM has a UTM value].
C                   UTM latitude zone 'C'-'X' is
C                   optional last character.
C         [5-16]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.  UTM values
C                   use centre of zone of width 6
C                   degrees.  Specified when NZ = 0.
C
C       UtmIn                                       STRING[60]
C         [1-12]  Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.  UTM values
C                   use 0.0.
C         [13-24] Azimuthal angle for oblique
C                   projection in decimal degrees.
C                   Independent of GSPH sign and
C                   number format.  Set to 0.0 for
C                   UTM/transverse mercator.
C         [25-36] Projection scale factor.  Set
C                   to 0.9996 for UTM.
C         [37-48] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C                   UTM southern hemisphere values
C                   use Y0 = 10 000 000.
C         [49-60] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C                   UTM values use X0 = 500 000.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       ZnLonOut                                    STRING[16]
C         [1-4]   UTM zone.  Input value of 0 is
C                   replaced by value determined
C                   from CM when CM has a UTM value.
C                   UTM latitude zone 'C'-'X' is
C                   optional last character.
C         [5-16]  Central Meridian.  Input value
C                   replaced by value determined
C                   from UTM zone when UTM zone
C                   has a non-zero value.
C
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var A2,A3,A4,A5,A6,A7,COSLAT,COSLAT2,DX,DX2,DLAT :double;
      var DLONG,EAST,ETA2,NORTH,OMEGA,R,RLAT,RLON :double;
      var SINLAT,TANLAT,TANLAT2,XVAL,YY,YVAL,LATMIN :double;
      var i,iZn: integer;
{    }
      var MerCon: Tmercon;
{    }
      label 9000;
{    }
      begin                           { of main GeoMer }
      YnOut := '       0.000';
      XeOut := YnOut;
      ERR   := 9000;
      if ((Length(GSPH) < 8) or (Length(ZnLonIn) < 16)
        or (Length(UtmIn) < 60)) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniMer (GSPH, ZnLonIn, UtmIn, ZnLonOut, MerCon, ERR);
      if (ERR <> 0) then goto 9000;

      ERR   := 9000;
      if (UpperCase(GSPH[3]) = 'S') then begin
        DLAT   := StrToFloat(MSToDeg(YlatIn));
        DLONG  := StrToFloat(MSToDeg(XlonIn));
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        DLAT   := StrToFloat(MinToDeg(YlatIn));
        DLONG  := StrToFloat(MinToDeg(XlonIn));
        end
      else begin
        DLAT   := StrToFloat(YlatIn);
        DLONG  := StrToFloat(XlonIn);
        end;
      if (Abs(Abs(DLAT)-90.0) < 0.000001) then goto 9000;

      with MerCon do
      begin
      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      if (StrToInt(Copy(ZnLonOut,1,2)) > 0) then
        begin
          iZn := 2;
          for i := 2 to 21 do
            begin
              LatMin := (8*i - 96);
              if (DLAT >= LatMin) then iZn := i;
            end;
          if (iZn >= 8) then iZn := iZn + 1;
          if (iZn >= 14) then iZn := iZn + 1;
          ZnLonOut[3] := Chr(Ord('A')+iZn);
        end;

      RLAT := DLAT*D2R;
      RLON := DLONG*D2R;
      SINLAT := Sin (RLAT);
      COSLAT := Cos (RLAT);
      COSLAT2 := COSLAT*COSLAT;
      TANLAT := Tan (RLAT);
      TANLAT2 := TANLAT*TANLAT;
      DX := (RLON-CMR)*COSLAT;
      DX2 := DX*DX;
      OMEGA := RLAT+SINLAT*COSLAT*(U0+COSLAT2*(U2+COSLAT2
              *(U4+COSLAT2*U6)));
      YY := SCF*OMEGA*SR;
      R := SCF*AMAJ/Sqrt(1.0-ESQ*SINLAT*SINLAT);
      A2 := R*TANLAT/2.0;
      ETA2 := ESQ*COSLAT2/(1.0-ESQ);
      A4 := (5.0-TANLAT2+ETA2*(9.0+4.0*ETA2))/12.0;
      A6 := (61.0+TANLAT2*(-58.0+TANLAT2)+ETA2
           *(270.0-330.0*TANLAT2))/360.0;
      YVAL := YY-YBASE+A2*DX2*(1.0+DX2*(A4+DX2*A6));
      A3 := (1.0-TANLAT2+ETA2)/6.0;
      A5 := (5.0+TANLAT2*(-18.0+TANLAT2)+ETA2*
           (14.0-58.0*TANLAT2))/120.0;
      A7 := (61.0+TANLAT2*(-479.0+TANLAT2*(179.0
           -TANLAT2)))/5040.0;
      XVAL := R*DX*(1.0+DX2*(A3+DX2*(A5+DX2*A7)));
      if (IOB <> 0) then
        begin
          EAST  := X0+XVAL*CSAZM+YVAL*SNAZM;
          NORTH := Y0-XVAL*SNAZM+YVAL*CSAZM
        end
      else
        begin
          EAST :=  X0+XVAL;
          NORTH := Y0+YVAL
        end

      end;
//      YnOut := Format('%12.3f',[NORTH]);            // 3 dec Metre
//      XeOut := Format('%12.3f',[EAST]);
//      YnOut := Format('%12.1f',[NORTH]);            // 1 dec Metre
//      XeOut := Format('%12.1f',[EAST]);
      YnOut := FloatToStr(NORTH);            // 1 dec Metre
      XeOut := FloatToStr(EAST);
      ERR   := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure GeoNts (GSPH:string; NtsIn:string;
        YlatIn,XlonIn:string; var NtsOut:string;
        var YnOut,XeOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to NTS coordinates.
C
C     AUTHOR:     D. W. Lepard, 1995.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,
C                   second
C
C       NtsIn                                       STRING[16]
C         [1]     Nts Grid type = '2' only
C         [13-14] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C                 Blank to locate [NE,NW,SE,SW]
C                   corner nearest to given point
C         [16]    Unit/Quarter unit Flag in [U,Q]
C
C       YlatIn    Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDDMM.MMMM or DDDMMSS.SS)
C
C       XlonIn    Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C     OUTPUT:
C       NtsOut    NtsIn using upper case; rest of   STRING[16]
C                   Nts coordinates evaluated
C         [1]     Nts Grid type = '2' only
C         [2-4]   NTS primary quadrangle
C                   in [0..120,340,560,780,910]
C         [5]     NTS lettered quadrangle
C                   in [A..P]; [A..H] above Lat 68
C         [6-7]   NTS sixteenth in [1..16]
C         [8]     BC Grid Block in [A..L]
C         [9-11]  UNIT in [1..100]
C         [12]    Quarter unit in [A..D]
C         [13-14] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C         [16]    Unit/Quarter unit Flag in [U,Q]
C
C       YnOut     Metres north of Ref Point         STRING[12]
C
C       XeOut     Metres east of Ref Point          STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C               9001 = YLAT<40 or YLAT>84
C               9002 = XLON<48 or XLON>144
C               9003 = XLON<56 or XLON>136 when YLAT>80
C               9004 = Illegal character
C               9007 = Illegal unit ref point (see below)
C
C     NOTE:
C       Unit/Quarter unit Reference Point Location
C
C       NW ... NC ... NE
C       .      .      .
C       .      .      .
C       .      .      .
C       WC ... CC ... EC
C       .      .      .
C       .      .      .
C       .      .      .
C       SW ... SC ... SE
C
C
C ***********************************************************
     }
      var IDIFF,IEW,IGS,III,IM,INS,IOP,IPOS,ISPRED: integer;
      var IW,IXBLK,IXLTQ,IXPRQ,IXQTR,IXSIX,IXUNT: integer;
      var IYBLK,IYLTQ,IYPRQ,IYQTR,IYSIX,IYUNT,LATD: integer;
      var LATM,LATS,LOND,LONM,LONS,NG,NUM,PRQ,SIX: integer;
      var VNIT: integer;
{    }
      var AUX,AMAJ,ANG,CS,D2R,DIST,DLAT,DLON,ESN,ESQ: double;
      var FACT,FLAT,RLAT,RLON,S2M,SN,TLAT,TLON: double;
      var XE,XLONP,XVAL,XX,YLATP,YN,YVAL,YY: double;
{    }
      var BCBLOK,BLNK,CHQ,LTQ,QTR,UORQ: string;
      var CLOC,RPT: string;
      var TEXT: string;
{    }
      label 9000;
{    }
      begin
      ERR   := 9004;
      S2M   :=  1.0/60.0;
      TEXT  :=  'ABCDEFGHIJKLMNOP';
      YN    := 0.0;
      XE    := 0.0;
      YnOut := '       0.000';
      XeOut := YnOut;
      NtsOut := '';
      if ((Length(GSPH) < 3) or (NtsIn = '')) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      NtsOut := UpperCase(NtsIn);
      while (Length(NtsOut) < 16) do NtsOut := NtsOut + ' ';
      IGS   := 1;
      CHQ   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CHQ = 'S') THEN IGS := 3
        ELSE IF (CHQ <> 'N') THEN GOTO 9000;
{                              # default to 'E' if not 'W'  }
      CHQ  := UpperCase(GSPH[2]);
      IF (CHQ = 'W') THEN IGS := IGS+1
        ELSE IF (CHQ <> 'E') THEN GOTO 9000;
{                              # dec degree or deg-min-sec  }
      CHQ  := UpperCase(GSPH[3]);
      IF ((CHQ <> 'D') AND (CHQ <> 'M') AND (CHQ <> 'S')) THEN GOTO 9000;
      IF (CHQ = 'S') THEN BEGIN
        YLATP  := StrToFloat(MSToDeg(YlatIn));
        XLONP  := StrToFloat(MSToDeg(XlonIn))
      END
      ELSE IF (CHQ = 'M') THEN BEGIN
        YLATP  := StrToFloat(MinToDeg(YlatIn));
        XLONP  := StrToFloat(MinToDeg(XlonIn))
      END
      ELSE BEGIN
        YLATP  := StrToFloat(YlatIn);
        XLONP  := StrToFloat(XlonIn)
      END;
      IF (IGS > 2) THEN YLATP := -YLATP;
      IF ((IGS = 1) OR (IGS = 3)) THEN XLONP := -XLONP;
{                              # extract NTS parameters     }
      IF (NtsOut[1] <> '2') THEN GOTO 9000;
      CLOC := Copy(NtsOut,13,2);
      UORQ := NtsOut[16];
      IF ((UORQ <> 'U') AND (UORQ <> 'Q')) THEN BEGIN
        UORQ  := 'Q';
        NtsOut := Copy(NtsOut,1,15)+UORQ
      END;
      IOP  :=  0;                                                //Fix - May 16/2006
{                              # default to 'U' if not 'Q'  }    //Fix - May 16/2006
      if (UORQ = 'Q') then IOP  :=  1;                           //Fix - May 16/2006
{    }
      AMAJ  :=  6378137.00;
      FLAT  :=  1.0/298.257222101;
      ESQ   :=  FLAT*(2.0-FLAT);
      D2R   :=  Pi/180.0;
{    }
      BLNK  :=  ' ';
{    }
      PRQ   :=  0;
      LTQ   :=  BLNK;
      SIX   :=  0;
      BCBLOK := BLNK;
      VNIT  :=  0;
      QTR   :=  BLNK;
{    }
      ERR   :=  9001;
      if ((YLATP < 40.0) or (YLATP > 84.0)) then goto 9000;
{    }
      ERR   :=  9002;
      if ((XLONP < 48.0) or (XLONP > 144.0)) then goto 9000;
{    }
      ERR   :=  9003;
      YVAL  :=  84.0-YLATP;
      if (YLATP > 80.0) then begin
        if ((XLONP < 56.0) or (XLONP > 136.0)) then goto 9000;
        XVAL  :=  136.0-XLONP
      end
      else
        XVAL  :=  144.0-XLONP;
{
C                              # Illegal section ref point
C                                (NE,NW,SE,SW,NC,SC,EC,WC,CC)
     }
      ERR   :=  0;
      RPT   :=  UpperCase(CLOC);
      if (RPT = '  ') then RPT := 'SE';
      if ((RPT[1] = 'N') or (RPT[1] = 'S'))
        then CHQ  :=  RPT[2]
        else begin
          if (RPT[2] <> 'C') then ERR :=  9007;
          CHQ  :=  RPT[1]
        end;
      if ((CHQ <> 'E') and (CHQ <> 'W')
         and (CHQ <> 'C')) then ERR  :=  9007;
      if (ERR <> 0) then begin
        CLOC  :=  'CC';
        RPT   :=  CLOC;
        IF (IOP = 0) THEN GOTO 9000;
        NtsOut := Copy(NtsOut,1,12)+RPT+Copy(NtsOut,15,2)
      end;
{    }
      IM  :=  2;
      if (RPT[1] = 'S') then IM  :=  1;
      if (RPT[1] = 'N') then IM  :=  3;
      IW  :=  2;
      if ((RPT[1] = 'E') or (RPT[2] = 'E')) then IW  :=  1;
      if ((RPT[1] = 'W') or (RPT[2] = 'W')) then IW  :=  3;
{
C NTS primary quadrangle position north-south (0-10)
C ***********************************************************
     }
      IDIFF  :=  Trunc(YVAL);
      ISPRED :=  4;
      IYPRQ  :=  IDIFF div ISPRED;
      if (IYPRQ > 10) then IYPRQ  :=  10;
{
C Determine Latitude residue to 1/100 of second
     }
      YY     :=  (IYPRQ*ISPRED);
      YY     :=  (YVAL-YY)*360000.0;
      IDIFF  :=  Trunc(YY);
      ISPRED :=  ISPRED*360000;
{
C NTS lettered quadrangle position north-south (0-3)
C ***********************************************************
     }
      NUM    :=  4;
      ISPRED :=  ISPRED div NUM;
      IYLTQ  :=  IDIFF div ISPRED;
      if (IYLTQ > 3) then IYLTQ  :=  3;
      IDIFF  :=  IDIFF-ISPRED*IYLTQ;
{
C NTS sixteenth position north-south (0-3)
C ***********************************************************
     }
      ISPRED :=  ISPRED div NUM;
      IYSIX  :=  IDIFF div ISPRED;
      if (IYSIX > 3) then IYSIX  :=  3;
      IDIFF  :=  IDIFF-ISPRED*IYSIX;
{
C BC Grid Block position north-south (0-2)
C ***********************************************************
     }
      NUM    :=  3;
      ISPRED :=  ISPRED div NUM;
      IYBLK  :=  IDIFF div ISPRED;
      if (IYBLK > 2) then IYBLK  :=  2;
      IDIFF  :=  IDIFF-ISPRED*IYBLK;
{
C Unit position north-south (0-9)
C ***********************************************************
     }
      NUM    :=  10;
      ISPRED :=  ISPRED div NUM;
      IYUNT  :=  IDIFF div ISPRED;
      if (IYUNT > 9) then IYUNT  :=  9;
      IDIFF  :=  IDIFF-ISPRED*IYUNT;
{
C Quarter unit position north-south (0-1)
C ***********************************************************
     }
      NUM    :=  2;
      ISPRED :=  ISPRED div NUM;
      IYQTR  :=  IDIFF div ISPRED;
      if (IYQTR > 1) then IYQTR  :=  1;
//      IDIFF  :=  IDIFF-ISPRED*IYQTR;
{
C NTS primary quadrangle position west-east (0-4 or 0-11)
C ***********************************************************
     }
      IDIFF  :=  Trunc(XVAL);
      ISPRED :=  8;
      if (IYPRQ = 0) then ISPRED  :=  16;
      IXPRQ  :=  IDIFF div ISPRED;
      if (IXPRQ > 11) then IXPRQ  :=  11;
      if ((IYPRQ = 0) and (IXPRQ > 4)) then IXPRQ  :=  4;
{
C Determine Longitude residue to 1/100 of second
     }
      XX     :=  (IXPRQ*ISPRED);
      XX     :=  (XVAL-XX)*360000.0;
      IDIFF  :=  Trunc(XX);
      ISPRED :=  ISPRED*360000;
{
C NTS lettered quadrangle position west-east (0-1 or 0-3)
C ***********************************************************
     }
      NG     :=  4;
      if (IYPRQ < 4) then NG  :=  2;
      ISPRED :=  ISPRED div NG;
      IXLTQ  :=  IDIFF div ISPRED;
      if (IXLTQ > 3) then IXLTQ  :=  3;
      if ((IYPRQ < 4) and (IXLTQ > 1)) then IXLTQ  :=  1;
      IDIFF  :=  IDIFF-ISPRED*IXLTQ;
{
C NTS sixteenth position west-east (0-3)
C ***********************************************************
     }
      NUM    :=  4;
      ISPRED :=  ISPRED div NUM;
      IXSIX  :=  IDIFF div ISPRED;
      if (IXSIX > 3) then IXSIX  :=  3;
      IDIFF  :=  IDIFF-ISPRED*IXSIX;
{
C BC Grid Block position west-east (0-3)
C ***********************************************************
     }
      ISPRED :=  ISPRED div NUM;
      IXBLK  :=  IDIFF div ISPRED;
      if (IXBLK > 3) then IXBLK  :=  3;
      IDIFF  :=  IDIFF-ISPRED*IXBLK;
{
C Unit position west-east (0-9)
C ***********************************************************
     }
      NUM    :=  10;
      ISPRED :=  ISPRED div NUM;
      IXUNT  :=  IDIFF div ISPRED;
      if (IXUNT > 9) then IXUNT  :=  9;
      IDIFF  :=  IDIFF-ISPRED*IXUNT;
{
C Quarter unit position west-east (0-1)
C ***********************************************************
     }
      NUM    :=  2;
      ISPRED :=  ISPRED div NUM;
      IXQTR  :=  IDIFF div ISPRED;
      if (IXQTR > 1) then IXQTR  :=  1;
//      IDIFF  :=  IDIFF-ISPRED*IXQTR;
{
C Determine final parameters and residue
C ***********************************************************
     }
{
C NTS primary quadrangle
     }
      LATD   :=  80-IYPRQ*4;
      if (IYPRQ = 0) then begin
        PRQ  :=  (1000-IXPRQ*220);
        if (IXPRQ = 0) then PRQ  :=  910;
        LOND :=  120-IXPRQ*16
      end
      else begin
        PRQ  :=  (120-(IXPRQ*10+IYPRQ));
        LOND :=  136-IXPRQ*8
      end;
{
C NTS lettered quadrangle
     }
      if (LATD >= 80)
        then III  :=  4
        else if (LATD >= 68)
               then III  :=  2
               else III  :=  1;
      IXLTQ  :=  (NG-1)-IXLTQ;
      IYLTQ  :=  3-IYLTQ;
      LATD   :=  LATD+IYLTQ;
      LOND   :=  LOND+IXLTQ*(III+III);
      if ((IYLTQ = 1) or (IYLTQ = 3))
        then IXLTQ  :=  (NG-1)-IXLTQ;
      IPOS   :=  (IXLTQ+1)+IYLTQ*NG;
      LTQ    :=  TEXT[IPOS];
{
C NTS sixteenth
     }
      IXSIX  :=  3-IXSIX;
      IYSIX  :=  3-IYSIX;
      LATM   :=  IYSIX*15;
      LONM   :=  IXSIX*(III*30);
      if ((IYSIX = 1) or (IYSIX = 3))
        then IXSIX  :=  3-IXSIX;
      SIX    :=  (IXSIX+1)+IYSIX*4;
{
C BC Grid Block
     }
      IXBLK  :=  3-IXBLK;
      IYBLK  :=  2-IYBLK;
      LATM   :=  LATM+IYBLK*5;
      LONS   :=  IXBLK*(III*45000);
      if (IYBLK = 1) then IXBLK  :=  3-IXBLK;
      IPOS   :=  (IXBLK+1)+IYBLK*4;
      BCBLOK :=  TEXT[IPOS];
{
C Unit
     }
      IXUNT  :=  9-IXUNT;
      IYUNT  :=  9-IYUNT;
      LATS   :=  IYUNT*3000;
      LONS   :=  LONS+IXUNT*(III*4500);
      VNIT   :=  (IXUNT+1)+IYUNT*10;
{
C Quarter unit
     }
      IXQTR  :=  1-IXQTR;
      IYQTR  :=  1-IYQTR;
      if (IOP <> 0) then begin
        LATS   :=  LATS+IYQTR*1500;
        LONS   :=  LONS+IXQTR*(III*2250)
      end;
      if (IYQTR = 1) then IXQTR  :=  1-IXQTR;
      IPOS   :=  (IXQTR+1)+IYQTR*2;
      QTR    :=  TEXT[IPOS];
      NtsOut := NtsOut[1]+Format('%3.3d',[PRQ])+LTQ
                         +Format('%2.2d',[SIX])+BCBLOK
                         +Format('%3.3d',[VNIT])+QTR
                         +Copy(NtsOut,13,4);
{
C Reference point
     }
      if (IOP <> 0) then begin
        INS  :=  750;
        IEW  :=  III*1125
      end
      else begin
        INS  :=  1500;
        IEW  :=  III*2250
      end;
      LATS   :=  LATS+(IM-1)*INS;
      LONS   :=  LONS+(IW-1)*IEW;
{
C Latitude of reference point
C ***********************************************************
     }
      YY     :=  LATS;
      YVAL   :=  YY*S2M*0.01;
      YY     :=  LATM;
      YVAL   :=  (YVAL+YY)*S2M;
      YY     :=  LATD;
      YVAL   :=  YVAL+YY;
{
C Longitude of reference point
C ***********************************************************
     }
      XX     :=  LONS;
      XVAL   :=  XX*S2M*0.01;
      XX     :=  LONM;
      XVAL   :=  (XVAL+XX)*S2M;
      XX     :=  LOND;
      XVAL   :=  XVAL+XX;
{
C Choose closest reference corner
C ***********************************************************
     }
      if (CLOC = '  ') then begin
        FACT  :=  S2M*S2M*0.01;
        DIST  :=  (INS+INS)*FACT;
        DLAT  :=  YLATP-YVAL;
        TLAT  :=  YLATP-(YVAL+DIST);
        if (Abs(TLAT) < Abs(DLAT)) then begin
          RPT[1]  :=  'N';
          IM    :=  3;
          YVAL  :=  YVAL+DIST
        end;
        DIST  :=  (IEW+IEW)*FACT;
        DLON  :=  XLONP-XVAL;
        TLON  :=  XLONP-(XVAL+DIST);
        if (Abs(TLON) < Abs(DLON)) then begin
          RPT[2]  :=  'W';
          IW    :=  3;
          XVAL  :=  XVAL+DIST
        end;
        CLOC  :=  RPT;
        NtsOut := Copy(NtsOut,1,12)+RPT+Copy(NtsOut,15,2)
      end;
{
C Metres (XE, YN) from reference
C ***********************************************************
     }
      ANG    :=  YVAL*D2R;
      SN     :=  Sin(ANG);
      CS     :=  Cos(ANG);
      ESN    :=  1.0-ESQ*SN*SN;
      AUX    :=  Sqrt(ESN);
      RLAT   :=  AMAJ*(CS/AUX)*D2R;
      RLON   :=  AMAJ*((1.0-ESQ)/(ESN*AUX))*D2R;
      YN     :=  (YLATP-YVAL)*RLON ;
      XE     :=  -(XLONP-XVAL)*RLAT;
//      YnOut := Format('%12.3f',[YN]);                  // 3 dec Metre
//      XeOut := Format('%12.3f',[XE]);
//      YnOut := Format('%12.1f',[YN]);                  // 1 dec Metre
//      XeOut := Format('%12.1f',[XE]);
      YnOut := FloatToStr(YN);                  // 1 dec Metre
      XeOut := FloatToStr(XE);
      ERR  :=  0;
{    }
 9000:
      end;

{
C ***********************************************************
     }
      procedure GeoPly (GSPH:string; PlyIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Polyconic.
C
C     SOURCE:     G. D. Newton, U. S. Geological Survey
C                 Bulletin 1642, 1985.
C
C     REVISED BY: D. W. Lepard, 1998, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       PlyIn                                       STRING[48]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [37-48] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var DLAT,DLONG,EAST,NORTH,RLAT,RLON :double;
      var SINLAT,TANLAT,PHI,RHO: double;
{    }
      var PlyCon: Tplycon;
{    }
      label 9000;
{    }
      begin                           { of main GeoPly }
      YnOut := '       0.000';
      XeOut := YnOut;
      ERR   := 9000;
      if ((Length(GSPH) < 8) or (Length(PlyIn) < 48)) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniPly (GSPH, PlyIn, PlyCon, ERR);
      if (ERR <> 0) then goto 9000;

      if (UpperCase(GSPH[3]) = 'S') then begin
        DLAT   := StrToFloat(MSToDeg(YlatIn));
        DLONG  := StrToFloat(MSToDeg(XlonIn));
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        DLAT   := StrToFloat(MinToDeg(YlatIn));
        DLONG  := StrToFloat(MinToDeg(XlonIn));
        end
      else begin
        DLAT   := StrToFloat(YlatIn);
        DLONG  := StrToFloat(XlonIn);
        end;

      with PlyCon do
      begin
      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      RLAT   := DLAT*D2R;
      RLON   := DLONG*D2R;
      SINLAT := Sin(RLAT);
      TANLAT := Tan(RLAT);
      PHI    := (RLON-CMR)*SINLAT;
      RHO    := AMAJ/(TANLAT*Sqrt(1.0-ESQ*SINLAT*SINLAT));
      EAST   := X0+RHO*Sin(PHI);
      NORTH  := Y0+RHO*(1.0-Cos(PHI))+GeoArc(Plycon, RLAT);

      end;
//      YnOut  := Format('%12.3f',[NORTH]);             // 3 dec Metre
//      XeOut  := Format('%12.3f',[EAST]);
//      YnOut  := Format('%12.1f',[NORTH]);             // 1 dec Metre
//      XeOut  := Format('%12.1f',[EAST]);
      YnOut  := FloatToStr(NORTH);             // 1 dec Metre
      XeOut  := FloatToStr(EAST);
      ERR    := 0;
 9000:
      end;
(*
{
C ***********************************************************
     }
      procedure GeoPly (GSPH:string; PlyIn:string;
        YlatIn,XlonIn:string;
        var YnOut,XeOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Polyconic.
C
C     SOURCE:     Unknown.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       PlyIn                                       STRING[48]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [37-48] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var AN,DL,DLAT,DLONG,EAST,EN,NORTH,RLAT,RLON: double;
      var S,SOM: double;
{    }
      var PlyCon: Tplycon;
{    }
      label 9000;
{    }
      begin                           { of main GeoPly }
      YnOut := '       0.000';
      XeOut := YnOut;
      ERR   := 9000;
      if ((Length(GSPH) < 8) or (Length(PlyIn) < 48)) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniPly (GSPH, PlyIn, PlyCon, ERR);
      if (ERR <> 0) then goto 9000;

      if (UpperCase(GSPH[3]) = 'S') then begin
        DLAT   := StrToFloat(MSToDeg(YlatIn));
        DLONG  := StrToFloat(MSToDeg(XlonIn));
        end
      else begin
        DLAT   := StrToFloat(YlatIn);
        DLONG  := StrToFloat(XlonIn);
        end;
      begin

      with PlyCon do
      begin

      RLAT := DLAT*D2R;
      RLON := DLONG*D2R;
      if (IGS > 2 ) then RLAT := -RLAT;
      if ((IGS = 2) or (IGS = 4)) then RLON := -RLON;

      DL   := RLON-CMR;
      S    := Sin(RLAT);
      AN   := DL*S;
      EN   := AMAJ/Sqrt(1.0-ESQ*S*S);
      GeoArc(Plycon,RLAT,YBASE,SOM);
      EAST := EN*Cos(RLAT)/S*Sin(AN)+X0;
      if (AN <> 0.0) then
        NORTH := EN*Cos(RLAT)/S*(1.0-Cos(AN))+SOM+Y0
      else
        NORTH := SOM+Y0
      end;

      end;
      YnOut := Format('%12.3f',[NORTH]);
      XeOut := Format('%12.3f',[EAST]);
      ERR   := 0;
 9000:
      end;                                       *)

{
C ***********************************************************
     }
      procedure GeoPol (GSPH:string; ZnIn:string;
        PolIn:string; YlatIn,XlonIn:string;
        var ZnOut:string;
        var YnOut,XeOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Polar projections.
C
C     SOURCE:     Defence Mapping Agency
C                 Technical Manual 8358.2.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnIn                                        STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.  Blank value will be
C                   replaced with calculated value.
C
C       PolIn                                       STRING[36]
C         [1-12]  Projection scale factor.  Set
C                   to 0.994 for UPS.
C         [13-24] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C                   UPS southern hemisphere values
C                   use Y0 = 2 000 000.
C         [25-36] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C                   UPS values use X0 = 2 000 000.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       ZnOut                                       STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.
C
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var TANZ2,DLAT :double;
      var DLONG,EAST,NORTH,R,RLAT,RLON :double;
{    }
      var PolCon: Tpolcon;
{    }
      label 9000;
{    }
      begin                           { of main GeoPol }
      YnOut := '       0.000';
      XeOut := YnOut;
      ERR   := 9000;
      if ((Length(GSPH) < 8) or (Length(ZnIn) < 2)
        or (Length(PolIn) < 36)) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      IniPol (GSPH, ZnIn, PolIn, ZnOut, PolCon, ERR);
      if (ERR <> 0) then goto 9000;

      if (UpperCase(GSPH[3]) = 'S') then begin
        DLAT   := StrToFloat(MSToDeg(YlatIn));
        DLONG  := StrToFloat(MSToDeg(XlonIn));
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        DLAT   := StrToFloat(MinToDeg(YlatIn));
        DLONG  := StrToFloat(MinToDeg(XlonIn));
        end
      else begin
        DLAT   := StrToFloat(YlatIn);
        DLONG  := StrToFloat(XlonIn);
        end;
      with PolCon do
      begin
      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;
      if (ABS(DLAT) > 90.0) then goto 9000;

      if (DLAT < 0.0) then
        begin
          if (DLONG < 0.0) then ZnOut := 'SA' else ZnOut := 'SB';
          NS := 1;
        end
      else
        begin
          if (DLONG < 0.0) then ZnOut := 'NY' else ZnOut := 'NZ';
          NS := 0;
        end;
      RLAT := DLAT*D2R;
      if (RLAT < 0.0) then RLAT := -RLAT;
      RLON := DLONG*D2R;
      TANZ2 := Power((1.0+E*Sin(RLAT))/(1.0-E*Sin(RLAT)), 0.5*E)*Tan(Pi/4.0-RLAT/2.0);
      R := SCF*C0*TANZ2;
      if (NS = 1) then
        NORTH := Y0+R*Cos(RLON)
      else
        NORTH := Y0-R*Cos(RLON);
      EAST := X0+R*Sin(RLON);
      end;
//      YnOut := Format('%12.3f',[NORTH]);              // 3 dec Metre
//      XeOut := Format('%12.3f',[EAST]);
//      YnOut := Format('%12.1f',[NORTH]);              // 1 dec Metre
//      XeOut := Format('%12.1f',[EAST]);
      YnOut := FloatToStr(NORTH);              // 1 dec Metre
      XeOut := FloatToStr(EAST);
      ERR   := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure GeoPMil (ZnIn:string; YnIn,XeIn:string; Prec: integer;
        var ZnOut:string; var MilOut: string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    UPS to Military Code.
C
C     SOURCE:     Defence Mapping Agency
C                 Technical Manual 8358.2.
C
C     INPUT:
C       ZnIn                                        STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.  Blank value will be
C                   replaced with calculated value.
C
C       YnIn      Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeIn      Xe = Easting  = X+X0 metres.      STRING[12]
C
C       Prec      Precision - number Easting and    integer
C                 Northing digits after leading
C                 digits defining 100,000 m square.
C
C     OUTPUT:
C       ZnOut                                       STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.
C
C       MilOut    Military Code                     STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null Code
C
C ***********************************************************
     }
      var NS,indx,iOk,ix,iy,iordx,iordy: integer;
      var DNor,DEst: double;
{    }
      var CH,cY,cX: string;
{    }
      label 9000;
{    }
      begin

      ZnOut := UpperCase(ZnIn);
      MilOut := '';
      ERR := 9000;
      if ((YnIn = '') or (XeIn = '')) then goto 9000;
      while (Length(ZnOut) < 2) do ZnOut := ZnOut+' ';

      NS := 0;
      CH := 'N';                                  // N pole if not given
      for indx := 1 to 2 do
        if (ZnOut[indx] in ['N','S']) then
          CH := ZnOut[indx];
      iOk := 1;
      for indx := 1 to 2 do
        if (ZnOut[indx] in ['Y','Z']) then
          begin
            ZnOut := 'N'+ZnOut[indx];
            iOk := 0;
          end
        else if (ZnOut[indx] in ['A','B']) then
          begin
            ZnOut := 'S'+ZnOut[indx];
            iOk := 0;
          end;
      if (iOk <> 0) then
        ZnOut := CH+' ';                          // Latitude Zone not given
      if (ZnOut[1] = 'S') then
        NS := 1;

      DNor := StrToFloat(YnIn);
      DEst := StrToFloat(XeIn);
      if (NS = 0) then
        begin
          if (DEst < 2000000.0) then
            ZnOut := ZnOut[1]+'Y'
          else
            ZnOut := ZnOut[1]+'Z';
        end
      else if (NS = 1) then
        begin
          if (DEst < 2000000.0) then
            ZnOut := ZnOut[1]+'A'
          else
            ZnOut := ZnOut[1]+'B';
        end;

      ERR := 9001;
      ix := Trunc(StrToFloat(XeIn));
      iordx := ix div 100000;                    // First Easting digit
      ix := ix-iordx*100000;                     // Remaining Easting digits
      cX := IntToStr(ix);
      while (Length(cX) < 5) do cX := '0'+cX;
      if (NS = 0) then
        begin
          if ((iordx < 12) or (iordx > 27)) then goto 9000;
        end
      else if (NS = 1) then
        begin
          if ((iordx < 8) or (iordx > 31)) then goto 9000;
        end;
      if (iordx > 20) then
        iordx := iordx-18;
      if (iordx < 11) then
        iordx := iordx+1
      else if (iordx < 17) then
        iordx := iordx+4
      else if (iordx < 20) then
        iordx := iordx+6;
      MilOut := Chr(Ord('A')+iordx);
      ERR := 9002;
      iy := Trunc(StrToFloat(YnIn));             // First Northing digin
      iordy := iy div 100000;                    // Remaining Northing digits
      iy := iy-iordy*100000;
      cY := IntToStr(iy);
      while (Length(cY) < 5) do cY := '0'+cY;
      if (NS = 0) then
        begin
          if ((iordy < 12) or (iordy > 27)) then goto 9000;
          if (iordy < 13) then
            iordy := iordy+13
          else if (iordy < 21) then
            iordy := iordy-13
          else if (iordy < 26) then
            iordy := iordy-12
          else
            iordy := iordy-11;
        end
      else if (NS = 1) then
        begin
          if ((iordy < 8) or (iordy > 31)) then goto 9000;
          if (iordy < 16) then
            iordy := iordy-8
          else if (iordy < 21) then
            iordy := iordy-7
          else
            iordy := iordy-6;
        end;
      MilOut := MilOut+Chr(Ord('A')+iordy);

      MilOut := MilOut+Copy(cX,1,Prec)+Copy(cY,1,Prec);

      ERR := 0;
 9000:
      end;                            { of procedure GeoPMil}


{
C ***********************************************************
     }
      procedure GeoTg4 (GSPH:string; Tg4In:string;
        YlatIn,XlonIn:string; var Tg4Out:string;
        var YnOut,XeOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Geodetic survey.
C
C     AUTHOR:     D. W. Lepard, 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       Tg4In                                       STRING[16]
C         [1]     Geodetic Grid type = '4' only
C         [14-15] Reference Point Location = CC
C                   only; grid coordinates.
C
C       YlatIn    Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonIn    Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C     OUTPUT:
C       Tg4Out    Tg4In using upper case; rest of   STRING[16]
C                   Tg4 coordinates evaluated
C         [1]     Geodetic Grid type = '4' only
C         [2-6]   Grid latitude in NW system; in
C                   degrees with 3 implied decimals.
C         [7-12]  Grid longitude in NW system; in
C                   degrees with 3 implied decimals.
C         [13-14] Reference Point Location = CC
C                   only; at grid coordinates.
C
C       YnOut     Metres north of Ref Point         STRING[12]
C
C       XeOut     Metres east of Ref Point          STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C               9001 = YLAT<40 or YLAT>85
C               9002 = XLON<48 or XLON>144
C               9004 = Illegal character
C
C ***********************************************************
     }
      var IGS: integer;
      var LATD,LOND: integer;
{    }
      var AMAJ,ANG,AUX,CS,D2R,DLAT,DLON,ESN,ESQ: double;
      var FLAT,RLAT,RLON,SN: double;
      var XE,XLONP,XVAL,YLATP,YN,YVAL: double;
{    }
      var CHU: string;
{    }
      label 9000;
{    }
      BEGIN
      ERR   := 9004;
//      YN    := 0.0;
//      XE    := 0.0;
      YnOut := '       0.000';
      XeOut := YnOut;
      Tg4Out := '';
      if ((Length(GSPH) < 3) or (Tg4In = '')) then goto 9000;
      if ((YlatIn = '') or (XlonIn = '')) then goto 9000;
      Tg4Out := '400000000000CC  ';
      IGS   := 1;
      CHU   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CHU = 'S') THEN IGS := 3
        ELSE IF (CHU <> 'N') THEN GOTO 9000;
{                              # default to 'E' if not 'W'  }
      CHU  := UpperCase(GSPH[2]);
      IF (CHU = 'W') THEN IGS := IGS+1
        ELSE IF (CHU <> 'E') THEN GOTO 9000;
{                              # dec degree or deg-min-sec  }
      CHU  := UpperCase(GSPH[3]);
      IF ((CHU <> 'D') AND (CHU <> 'M') AND (CHU <> 'S')) THEN GOTO 9000;
      IF (CHU = 'S') THEN BEGIN
        YLATP  := StrToFloat(MSToDeg(YlatIn));
        XLONP  := StrToFloat(MSToDeg(XlonIn))
      END
      ELSE IF (CHU = 'M') THEN BEGIN
        YLATP  := StrToFloat(MinToDeg(YlatIn));
        XLONP  := StrToFloat(MinToDeg(XlonIn))
      END
      ELSE BEGIN
        YLATP  := StrToFloat(YlatIn);
        XLONP  := StrToFloat(XlonIn)
      END;
      IF (IGS > 2) THEN YLATP := -YLATP;
      IF ((IGS = 1) OR (IGS = 3)) THEN XLONP := -XLONP;
{                              # extract COG parameters     }
      IF (Tg4Out[1] <> '4') THEN GOTO 9000;
{    }
      ERR  :=  9001;
      IF ((YLATP < 40.0) OR (YLATP > 85.0)) THEN GOTO 9000;
{    }
      ERR  :=  9002;
      IF ((XLONP < 48.0) OR (XLONP > 144.0)) THEN GOTO 9000;
{
      Grid Latitude LATD & ref pt YVAL
     }
      DLAT := YLATP*1000.0;
      LATD := Trunc(DLAT);
      YVAL := LATD;
      YVAL := YVAL*0.001;
{
      Grid Longitude LOND & ref pt XVAL
     }
      DLON := XLONP*1000.0;
      LOND := Trunc(DLON);
      XVAL := LOND;
      XVAL := XVAL*0.001;
{
      Tg4Out
     }
      Tg4Out := Tg4Out[1]+Format('%5.5d',[LATD])
                         +Format('%6.6d',[LOND])
                         +Copy(Tg4Out,13,4);
{    }
      AMAJ :=  6378137.00;
      FLAT :=  1.0/298.257222101;
      ESQ  :=  FLAT*(2.0-FLAT);
      D2R  :=  Pi/180.0;
{
C
C Metres (XE, YN) from reference
C
     }
      ANG  :=  YVAL*D2R;
      SN   :=  Sin(ANG);
      CS   :=  Cos(ANG);
      ESN  :=  1.0-ESQ*SN*SN;
      AUX  :=  Sqrt(ESN);
      RLAT :=  AMAJ*(CS/AUX)*D2R;
      RLON :=  AMAJ*((1.0-ESQ)/(ESN*AUX))*D2R;
      YN   :=  (YLATP-YVAL)*RLON;
      XE   :=  -(XLONP-XVAL)*RLAT;
//      YnOut := Format('%12.3f',[YN]);                   // 3 dec Metre
//      XeOut := Format('%12.3f',[XE]);
//      YnOut := Format('%12.1f',[YN]);                   // 1 dec Metre
//      XeOut := Format('%12.1f',[XE]);
      YnOut := FloatToStr(YN);                   // 1 dec Metre
      XeOut := FloatToStr(XE);
      ERR  :=  0;
{    }
 9000:
      END;

{
C ***********************************************************
     }
      procedure GeoTgr (GSPH:string; TgrIn:string;
        YlatIn,XlonIn:string; var TgrOut:string;
        var YnOut,XeOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to
C                 Grid survey type coordinates.
C
C     AUTHOR:     D. W. Lepard, 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,
C                   second
C
C       TgrIn     Grid survey string CogIn, DlsIn,  STRING[16]
C                   NtsIn, Tg4In.  See Coggeo,
C                   DlsGeo, Ntsgeo, Tg4Geo.
C
C       YlatIn    Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonIn    Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C     OUTPUT:
C       TgrOut    Grid survey string CogOut,        STRING[16]
C                   DlsOut, NtsOut, Tg4Out.
C
C       YnOut     Metres north of Ref Point         STRING[12]
C
C       XeOut     Metres east of Ref Point          STRING[12]
C
C       ERR       Error flag; OK = < 9000           INTEGER
C                 Error returns null YLAT, XLON        (0.0)
C
C ***********************************************************
     }
      BEGIN
        if (TgrIn <> '') then begin
        CASE TgrIn[1] of
          '1': GeoDls(GSPH,TgrIn,YlatIn,XlonIn,TgrOut,
                 YnOut,XeOut,ERR);
          '2': GeoNts(GSPH,TgrIn,YlatIn,XlonIn,TgrOut,
                 YnOut,XeOut,ERR);
          '3': GeoCog(GSPH,TgrIn,YlatIn,XlonIn,TgrOut,
                 YnOut,XeOut,ERR);
          '4': GeoTg4(GSPH,TgrIn,YlatIn,XlonIn,TgrOut,
                 YnOut,XeOut,ERR);
        ELSE
          ERR := 9000;
        END
        end
        else ERR := 9000;
      END;

{
C ***********************************************************
     }
      function GeoUTMZn (GSPH:string; YlatIn,XlonIn:string;
        var CMer: string; var ERR:integer): string;
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to UTMZone.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       Result                                      STRING[4]
C         [1-4]   UTM zone.  Determined from Lat
C                   and Long if not input.  Last
C                   character is UTM latitude zone
C                   'C'-'X' if Lat input.
C
C       CMer      Central Meridian of UTM Zone.     STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null Result, CMer.  (0.0)
C
C ***********************************************************
     }
      var Ylat,Xlon,CRef: double;
          NZ,LZ: integer;
          CHU,cZn: string;
{    }
      begin
        NZ := 0;
        LZ := -1;
        CRef := 0.0;
        ERR := 9000;
        if ((XlonIn <> '') and (Length(GSPH) > 2))then
          begin
            ERR  := 0;
            CHU := UpperCase(GSPH);
            if ((CHU[1] <> 'N') and (CHU[1] <> 'S')) then ERR := 9002;
            if ((CHU[2] <> 'E') and (CHU[2] <> 'W')) then ERR := 9002;
            if ((CHU[3] <> 'D') and (CHU[3] <> 'M') and (CHU[3] <> 'S')) then ERR := 9003;
            if (CHU[3] = 'S') then
              Xlon := StrToFloat(MSToDeg(XlonIn))
            else if (CHU[3] = 'M') then
              Xlon := StrToFloat(MinToDeg(XlonIn))
            else
              Xlon := StrToFloat(XlonIn);
            if (CHU[2] = 'W') then Xlon := -Xlon;
            NZ := 30 + (Trunc(Xlon) div 6);
            if (Xlon >= 0) then NZ := NZ + 1;
            if (NZ < 1) then NZ := 1;
            if (NZ > 60) then NZ := 60;
            CRef := -(183 - NZ*6);
            if (CHU[2] = 'W') then CRef := -CRef;
            LZ := -1;
            cZn := '  ';
            if (YlatIn <> '') then
              begin
                if (CHU[3] = 'S') then
                  Ylat := StrToFloat(MSToDeg(YlatIn))
                else if (CHU[3] = 'M') then
                  Ylat := StrToFloat(MinToDeg(YlatIn))
                else
                  Ylat := StrToFloat(YlatIn);
                if (CHU[1] = 'S') then Ylat := -Ylat;
                if ((Ylat < -80.0) or (Ylat > 84.0)) then ERR := 9001;
                LZ := 12 + (Trunc(Ylat) div 8);
                if (Ylat < 0) then LZ := LZ - 1;
                if (LZ < 2) then LZ := 2;
                if (LZ > 21) then LZ := 21;
                if (LZ >= 8) then LZ := LZ + 1;
                if (LZ >= 14) then LZ := LZ + 1;
                cZn := Chr(Ord('A')+LZ) + ' ';
                if (cZn[1] = 'V') then
                  begin
                    if ((NZ = 31) and (Xlon > CRef)) then
                      begin
                        NZ := NZ+1;
                        CRef := CRef+6;
                      end;
                  end
                else if (cZn[1] = 'X') then
                  begin
                    if ((NZ = 32) or (NZ = 34) or (NZ = 36)) then
                      begin
                        if (Xlon < CRef) then
                          begin
                            NZ := NZ-1;
                            CRef := CRef-6;
                          end
                        else
                          begin
                            NZ := NZ+1;
                            CRef := cRef+6;
                          end;
                      end
                  end;
              end;
          end;
        if (ERR >= 9000) then
          begin
            NZ := 0;
            LZ := -1;
            CRef := 0.0;
          end;
//        CMer := Format('%12.6f',[CRef]);
        CMer := FloatToStr(CRef);
        if (CHU[3] = 'S') then
          CMer := DegToMS(CMer)
        else if (CHU[3] = 'M') then
          CMer := DegToMin(CMer);
        Result := Format('%2.2d',[NZ]);
//        if (LZ >= 0) then
//          Result := Result + Chr(Ord('A')+LZ) + ' '
//        else
//          Result := Result + '  ';
        Result := Result+cZn;
      end;

{
C ***********************************************************
     }
      procedure GeoUTM (GSPH:string; ZnIn:string;
        YlatIn,XlonIn:string; var ZnOut:string;
        var YnOut,XeOut: string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to UTM.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,
C                   second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnIn                                        STRING[4]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM.  Optional.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C     OUTPUT:
C       ZnOut                                       STRING[4]
C         [1-4]   UTM zone.  Determined from Lat
C                   and Long if not input.  Last
C                   character is UTM latitude zone
C                   'C'-'X'.
C
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var NZ,ipos,indx: integer;
          CHU,cZn,cMer,ZnLonIn,ZnLonOut,UTMIn: string;
{    }
      begin
        ERR := 9000;
        XeOut    := '    0.000000';
        YnOut    := '    0.000000';
        ZnOut    := '00  ';
        if ((XlonIn <> '') and (YlatIn <> '')
          and (Length(GSPH) = 8))then
          begin
            ERR  := 0;
            CHU := UpperCase(GSPH);
            if ((CHU[1] <> 'N') and (CHU[1] <> 'S')) then ERR := 9002;
            if ((CHU[2] <> 'E') and (CHU[2] <> 'W')) then ERR := 9002;
            if ((CHU[3] <> 'D') and (CHU[3] <> 'M') and (CHU[3] <> 'S')) then ERR := 9003;
            if ((Pos('NAD27', CHU) = 0) and (Pos('NAD83', CHU) = 0)) then
              ERR := 9004;
            ZnOut := UpperCase(ZnIn) + '   ';    // set standard format ddA
            ipos := 4;                           //    dd = 1..60; A='C'..'X'
            for indx := 1 to 3 do
              if ((ZnOut[4-indx] in ['A'..'Z']) or (ZnOut[4-indx] = ' ')) then
                ipos := 4-indx;
            NZ := 0;
            if (ipos > 1) then
              NZ := StrToInt(Copy(ZnOut,1,ipos-1));
            ZnOut := Format('%2.2d',[NZ])+Copy(ZnOut,ipos,2);
            cZn := GeoUTMZn(GSPH,YlatIn,XlonIn,cMer,ERR);
            if (NZ = 0) then                     // use calculated Long zone
              ZnOut := Copy(cZn,1,2)+Copy(ZnOut,3,2);
//            if (ZnOut[3] = ' ') then             // use calculated Lat zone
              ZnOut[3] := cZn[3];
          end;
        if (ERR < 9000) then
          begin
            ZnLonIn := ZnOut+XeOut;
            if (ZnOut[3] < 'N') then YnOut := '  10000000.0';
            UtmIn := XeOut+XeOut+'      0.9996'+YnOut+'    500000.0';
            GeoMer(GSPH,ZnLonIn,UtmIn,YlatIn,XlonIn,ZnLonOut,YnOut,XeOut,ERR);
          end;
      end;

{
C ***********************************************************
     }
      procedure LmbGeo (GSPH:string; LmbIn:string;
        YnIn,XeIn: string;
        var YlatOut,XlonOut:string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Lambert to Latitude and Longitude.
C
C     SOURCE:     R. T. Williams, Computers & Geosciences
C                 Vol. 21, No. 3, pp. 353-364, 1995.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       LmbIn                                       STRING[72]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Northern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [37-48] Southern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [49-60] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [61-72] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YnIn     Yn = Northing = Y+Y0 metres.       STRING[12]
C
C       XeIn     Xe = Easting  = X+X0 metres.       STRING[12]
C
C     OUTPUT:
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var CHI,COSCHI,COSCHI2,DLAT,DLONG,EAST,EXPQ: double;
      var GAMMA,NORTH,Q,R,SINCHI,X,Y: double;
{    }
      var LmbCon: Tlmbcon;
{    }
      label 9000;
{    }
      begin                           { of main LmbGeo }
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      ERR     := 9000;
      if ((Length(GSPH) < 8) or (Length(LmbIn) < 72)) then goto 9000;
      if ((YnIn = '') or (XeIn = '')) then goto 9000;
      IniLmb (GSPH, LmbIn, LmbCon, ERR);
      if (ERR <> 0) then goto 9000;

      ERR   := 9000;
      NORTH := StrToFloat(YnIn);
      EAST  := StrToFloat(XeIn);
      with LmbCon do
      begin

      Y       :=  YBASE-NORTH+Y0;
      X       :=  EAST-X0;
      if (Abs(Y) < Abs(X)) then
        if (Abs(Y/X) < 0.000001) then goto 9000;
      GAMMA   :=  ArcTan2(X,Y);
      DLONG   :=  (CMR+GAMMA/SINSTD)/D2R;
      R       :=  Sqrt(Y*Y+X*X);
      Q       :=  Ln(SK/R)/SINSTD;
      EXPQ    :=  Exp(Q);
      CHI     :=  2.0*ArcTan((EXPQ-1.0)/(EXPQ+1.0));
      SINCHI  :=  Sin(CHI);
      COSCHI  :=  Cos(CHI);
      COSCHI2 :=  COSCHI*COSCHI;
      DLAT    :=  (CHI+(SINCHI*COSCHI)*(F0+COSCHI2
                    *(F2+COSCHI2*(F4+F6*COSCHI2))))/D2R;

      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      end;
//      YlatOut := Format('%12.6f',[DLAT]);
//      XlonOut := Format('%12.6f',[DLONG]);
      YlatOut := FloatToStr(DLAT);
      XlonOut := FloatToStr(DLONG);
      if (UpperCase(GSPH[3]) = 'S') then begin
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
        end;
      ERR  := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure AlbGeo (GSPH:string; AlbIn:string;
        YnIn,XeIn: string;
        var YlatOut,XlonOut:string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Albers to Latitude and Longitude.
C
C     SOURCE:     Map Projections Used by the U. S. Geological Survey
C                 Geological Survey Bulletin 1532.
C
C     REVISED BY: D. W. Lepard, 2003, for GSC in-house NAD83
C                 (default) or NAD27 calculations in Pascal.
C
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,
C                   second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       AlbIn                                       STRING[72]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Northern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [37-48] Southern standard latitude.  Obeys
C                   GSPH sign and number format.
C         [49-60] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [61-72] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YnIn     Yn = Northing = Y+Y0 metres.       STRING[12]
C
C       XeIn     Xe = Easting  = X+X0 metres.       STRING[12]
C
C     OUTPUT:
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var DLAT,DLONG,NORTH,EAST,SINLAT,ESIN: double;
      var X,Y,T,RSQ,Q,P,Pnew,Test: double;
      var i: integer;
      var fini: Boolean;
{    }
      var AlbCon: Talbcon;
{    }
      label 9000;
{    }
      begin                           { of main AlbGeo }
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      ERR     := 9000;
      if ((Length(GSPH) < 8) or (Length(AlbIn) < 72)) then goto 9000;
      if ((YnIn = '') or (XeIn = '')) then goto 9000;
      IniAlb (GSPH, AlbIn, AlbCon, ERR);
      if (ERR <> 0) then goto 9000;

      ERR := 9000;
      NORTH := StrToFloat(YnIn);
      EAST  := StrToFloat(XeIn);
      with AlbCon do
      begin

      Y       :=  NORTH-Y0;
      X       :=  EAST-X0;
      if (Abs(R0-Y) < Abs(X)) then
        if (Abs((R0-Y)/X) < 0.000001) then goto 9000;
      T       :=  ArcTan(X/(R0-Y));
      RSQ     :=  (X*X+(R0-Y)*(R0-Y));
      Q       :=  (C-(RSQ*N*N)/(A*A))/N;
      P       :=  ArcSin(Q/2.0);
      i       :=  0;
      fini    :=  False;
      Test := 0.0;
      while not(fini) do
        begin
          i := i+1;
          SINLAT :=  Sin(P);
          ESIN   :=  E*SINLAT;
          Pnew   :=  P+(((1.0-ESIN*ESIN)*(1.0-ESIN*ESIN))/(2.0*Cos(P)))
                       *(Q/(1.0-E*E)-SINLAT/(1.0-ESIN*ESIN)
                            +(1.0/(E+E))*Ln((1.0-ESIN)/(1.0+ESIN)));
          Test   :=  Abs(Pnew-P)/P;
          P      :=  Pnew;
          if ((Test < 0.000001) or (i = 10)) then
            fini := True;
        end;
      if (Test > 0.000001) then goto 9000;
      DLAT    := P/D2R;
      DLONG   := (CMR+T/N)/D2R;

      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      end;
//      YlatOut := Format('%12.6f',[DLAT]);
//      XlonOut := Format('%12.6f',[DLONG]);
      YlatOut := FloatToStr(DLAT);
      XlonOut := FloatToStr(DLONG);
      if (UpperCase(GSPH[3]) = 'S') then begin
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
        end;
      ERR  := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure MerGeo (GSPH:string; ZnLonIn:string;
        UtmIn:string; YnIn,XeIn:string;
        var ZnLonOut:string;
        var YlatOut,XlonOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Mercator to Latitude and Longitude.
C
C     SOURCE:     R. T. Williams, Computers & Geosciences
C                 Vol. 21, No. 3, pp. 353-364, 1995.
C
C     REVISED BY: D. W. Lepard, 1995, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,
C                   second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnLonIn                                     STRING[16]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM [input 0 is
C                   replaced by value determined
C                   from CM when CM has a UTM value].
C                   UTM latitude zone 'C'-'X' is
C                   optional last character.
C         [5-16]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.  UTM values
C                   use centre of zone of width 6
C                   degrees.  Specified when NZ = 0.
C
C       UtmIn                                       STRING[60]
C         [1-12]  Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.  UTM values
C                   use 0.0.
C         [13-24] Azimuthal angle for oblique
C                   projection in decimal degrees.
C                   Independent of GSPH sign and
C                   number format.  Set to 0.0 for
C                   UTM/transverse mercator.
C         [25-36] Projection scale factor.  Set
C                   to 0.9996 for UTM.
C         [37-48] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C                   UTM southern hemisphere values
C                   use Y0 = 10 000 000.
C         [49-60] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C                   UTM values use X0 = 500 000.
C
C       YnIn      Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeIn      Xe = Easting  = X+X0 metres.      STRING[12]
C
C     OUTPUT:
C       ZnLonOut                                    STRING[16]
C         [1-4]   UTM zone.  Input value of 0 is
C                   replaced by value determined
C                   from CM when CM has a UTM value.
C                   UTM latitude zone 'C'-'X' is
C                   optional last character.
C         [5-16]  Central Meridian.  Input value
C                   replaced by value determined
C                   from UTM zone when UTM zone
C                   has a non-zero value.
C
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var B2,B3,B4,B5,B6,B7,COSO,COSO2,COSY,DLAT,DLONG: double;
      var DX,EAST,ETA2,NORTH,OMEGA,Q,Q2,SINO,SINY,TANY: double;
      var TANY2,XX,XVAL,YLAT,YR,YY,YVAL,LATMIN :double;
      var i,iZn: integer;
{    }
      var MerCon: Tmercon;
{    }
      label 9000;
{    }
      begin                           { of main MerGeo}
      ERR     := 9000;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      if ((Length(GSPH) < 8) or (Length(ZnLonIN) < 16)
        or (Length(UtmIn) < 60)) then goto 9000;
      if ((YnIn = '') or (XeIn = '')) then goto 9000;
      IniMer (GSPH, ZnLonIn, UtmIn, ZnLonOut, MerCon, ERR);
      if (ERR <> 0) then goto 9000;

      ERR   := 9000;
      NORTH := StrToFloat(YnIn);
      EAST  := StrToFloat(XeIn);
      with MerCon do
      begin

      XX := EAST-X0;
      YY := NORTH-Y0;

      if (IOB <> 0) then begin
        XVAL := XX*CSAZM-YY*SNAZM;
        YVAL := XX*SNAZM+YY*CSAZM
        end
      else begin
        XVAL := XX;
        YVAL := YY
        end;

      OMEGA := (YVAL+YBASE)/(SCF*SR);
      SINO := Sin (OMEGA);
      COSO := Cos (OMEGA);
      COSO2 := COSO*COSO;
      YLAT := OMEGA+(SINO*COSO)*(V0+COSO2*(V2+COSO2*(V4
             +COSO2*V6)));
      if (Abs((Abs(YLAT)/D2R)-90.0) < 0.000001) then goto 9000;
      SINY := Sin (YLAT);
      COSY := Cos (YLAT);
      TANY := Tan (YLAT);
      TANY2 := TANY*TANY;
      YR := SCF*AMAJ/Sqrt(1.0-ESQ*SINY*SINY);
      Q := (XVAL)/YR;
      Q2 := Q*Q;
      ETA2 := ESQ*COSY*COSY/(1.0-ESQ);
      B2 := -TANY*(1.0+ETA2)/2.0;
      B4 := -(5.0+3.0*TANY2+ETA2*(1.0-9.0*TANY2
           -4.0*ETA2))/12.0;
      B6 := (61.0+TANY2*(90.0+45.0*TANY2)+ETA2
           *(46.0-TANY2*(252.0+90.0*TANY2)))/360.0;
      DLAT := (YLAT+B2*Q2*(1.0+Q2*(B4+B6*Q2)))/D2R;
      B3 := -(1.0+2.0*TANY2+ETA2)/6.0;
      B5 := (5.0+TANY2*(28.0+24.0*TANY2)+ETA2
           *(6.0+8.0*TANY2))/120.0;
      B7 := -(61.0+TANY2*(662.0+TANY2*(1320.0
           +720.0*TANY2)))/5040.0;
      DX := Q*(1.0+Q2*(B3+Q2*(B5+B7*Q2)));
      DLONG := (CMR+DX/COSY)/D2R;
      if ((DLAT < -90.0) or (DLAT > 90.0)
        or (DLONG < -180.0) or (DLONG > 180.0)) then goto 9000;

      if (StrToInt(Copy(ZnLonOut,1,2)) > 0) then
        begin
          iZn := 2;
          for i := 2 to 21 do
            begin
              LatMin := (8*i - 96);
              if (DLAT >= LatMin) then iZn := i;
            end;
          if (iZn >= 8) then iZn := iZn + 1;
          if (iZn >= 14) then iZn := iZn + 1;
          ZnLonOut[3] := Chr(Ord('A')+iZn);
        end;

      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      end;
//      YlatOut := Format('%12.6f',[DLAT]);
//      XlonOut := Format('%12.6f',[DLONG]);
      YlatOut := FloatToStr(DLAT);
      XlonOut := FloatToStr(DLONG);
      if (UpperCase(GSPH[3]) = 'S') then begin
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
        end;
      ERR  := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure MilField (MilCode: string;
        var iZnL,iSQ,iEst,iNor,ierr: integer);
{
C ***********************************************************
C
C     PURPOSE:    Delimit Information Fields in Military Code
C
C     AUTHOR:     D. W. Lepard; revised 1999 for GeoMath Unit.
C
C     INPUT:
C       MilCode   Military Code                    STRING
C
C     OUTPUT:
C                 UTM Zone
C                  - MilCode[1]    to  MilCode[iZnL];       if iZnL > 0
C                 Military Square. A 2-character code of type 'EN';
C                    the 'E' yields first Easting digit; the 'N' yields
C                    the first and second Northing digits but this must
C                    be combined with the Latitude zone to get a
C                    unique value.
C                  - MilCode[iSQ]  to  MilCode[iSQ+1];     if iSQ > 0
C                 Easting from SW corner of Military Square
C                  - MilCode[iEst] to  MilCode[iNor-1];    if iEst > 0
C                 Northing from SW corner of Military Square
C                  - MilCode[iNor] to  MilCode[Length(s)]; if iNor > 0
C
C                 IERR = 0 when no error detected
C
C ***********************************************************
     }
      var iZn,iZn2,iLen,iLen2,i,iVal: integer;
{    }
      begin
        iLen  := Length(MilCode);
        i     := iLen;
        iEst  := 0;
        iNor  := 0;
        ierr  := 0;
        while (i > 0) do     // Get iEst and iNor
          if (MilCode[i] in ['0'..'9']) then
            begin
              iEst := i;
              i := i - 1;
            end
          else
            i := -i;
        if (iEst > 0) then
          begin
            iNor := (iEst + iLen + 1) div 2;
            if ((iLen - iNor) <> (iNor - 1 -iEst)) then ierr := 9001;
          end;
        i     := -i;
        iLen2 := i;
        iSQ   := 0;
        while (i > 0) do     // Get Military Square and UTM grid latitude zone
          if (MilCode[i] in ['A'..'Z']) then
            begin
              iSQ := i;
              i := i - 1;
            end
          else
            i := -i;
        iZnL  := 0;
        if (iSQ > 0) then
          begin
            if (iLen2 = iSQ) then
              begin
                iZnL := iSQ; // only 1 character; must be UTM grid zone latitude
                iSQ  := 0;
              end
            else if ((iLen2 - iSQ) = 2) then
              begin          // 3 characters; UTM grid zone latitude, Military Square
                iZnL := iSQ;
                iSQ  := iSQ + 1;
              end            // 2 characters; must be Military Square
            else if ((iLen2 - iSQ) <> 1) then
              ierr := 9002;  // Other cases must be error
          end;
        if (iSQ > 0) then    // Military  East Code is 'A'-'Z' (Seq. 0-23; no 'I','O')
          begin              // Military North Code is 'A'-'V' (Seq. 0-19; no 'I','O')
            if (MilCode[iSQ] in ['I','O']) then ierr := 9003;
            if (MilCode[iSQ + 1] in ['I','O','W','X','Y','Z']) then ierr := 9004;
          end;
        if (iZnL > 0) then   // UTM grid latitude zone is 'C'-'X' (no 'I','O')
          if (MilCode[iZnL] in ['A','B','I','O','Y','Z']) then ierr := 9006;
        i     := -i;
        iZn2  := i;
        iZn   := 0;
        while (i > 0) do     // Get UTM grid longitude zone (s[1]-s[iZnL])
          if (MilCode[i] in ['0'..'9']) then
            begin
              iZn := i;
              i := i - 1;
            end
          else
            i := -1;
        if ((i < 0) or (iZn > 1)) then
          ierr := 9000       // error; not at start of string
        else if (iZn = 1) then
          begin              // UTM grid longitude zone is 1-60
            iVal := StrToInt(Copy(MilCode,iZn,iZn2));
            if ((iVal < 1) or (iVal > 60)) then ierr := 9005;
          end;               // UTM grid longitude zone only (latitude zone missing)
        if (iZnL = 0) then iZnL := iZn2;
      end;

{
C ***********************************************************
     }
      function MilZn (MilCode:string;
        var ERR:integer): string;
{
C ***********************************************************
C
C     PURPOSE:    Military Code to UTM Zone (if possible).
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       MilCode   Military Code                    STRING
C
C     OUTPUT:
C       Result    UTM Zone                         STRING
C
C       ERR       Error flag; 0 if OK              INTEGER
C                 Error returns null Result.
C
C ***********************************************************
     }
      var iZnL,iSQ,iEst,iNor: integer;
{    }
      begin
        MilField (MilCode, iZnL, iSQ, iEst, iNor, ERR);
        if ((iZnL > 0) and (ERR = 0)) then
          Result := Copy(MilCode, 1, iZnL)
        else
          Result := '';
      end;

{
C ***********************************************************
     }
      function PQZn (MilCode:string; PQ:string;
        var ERR:integer): string;
{
C ***********************************************************
C
C     PURPOSE:    Military Code and NTS Primary Quadrangle
C                 to UTM Zone.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       MilCode   Military Code                    STRING
C
C       PQ        NTS Primary Quadrangle           STRING
C
C     OUTPUT:
C       Result    UTM zone.                        STRING
C
C       ERR       Error flag; 0 if OK              INTEGER
C                 Error returns null Result.
C
C ***********************************************************
     }
      var iZnL,iSQ,iEst,iNor: integer;
      var iPQ, iZn, indx, igrp, igx, iy: integer;
{    }
      var cSQ: string;
{    }
      begin
        MilField (MilCode, iZnL, iSQ, iEst, iNor, ERR);
        if ((iSQ > 0) and (ERR = 0)) then
          cSQ := Copy(MilCode, iSQ, 2)
        else
          cSQ := '';
        Result := '';
        if ((PQ <> '') and (cSQ <> '')) then
          begin
            iPQ  := StrToInt(PQ);
            indx := Ord(cSQ[1]) - Ord ('A');
            if (indx > 14) then indx := indx - 1;
            if (indx >  8) then indx := indx - 1;
            igrp := indx div 8;
            if (iPQ < 120) then
              begin
                iZn  := 21 - (iPQ div 10) - (iPQ div 30);
                igx  := (iZn -1) mod 3;
                if (igx <> igrp) then
                  begin
                    iZn := iZn + 1;
                    igx := ((igx + 1) mod 3);
                  end;
              end
            else
              begin
                iZn := 20 - (iPQ div 100) - (iPQ div 300);
                igx := (iZn - 1) mod 3;
                if (igx <> igrp) then
                  begin
                    iZn := iZn + 1;
                    igx := ((igx + 1) mod 3);
                  end;
                if (igx <> igrp) then
                  begin
                    iZn := iZn + 1;
                    igx := ((igx + 1) mod 3);
                  end;
                if (iPQ = 560) and (igrp = 0) and (indx > 3)
                  then iZn := iZn - 3;
              end;
            if (igx <> igrp) then
              ERR := 9000
            else
              begin
                Result := Trim(Format('%2.2d',[iZn]));
                if (iPQ < 120) then
                  iy := (iPQ mod 10) div 2
                else
                  iy := 4;
                iy := Ord('A') + iy + 19;
                Result := Result + Chr(iy);
              end;
          end;
      end;

{
C ***********************************************************
     }
      function MilUTMZn (GSPH:string; MilCode:string;
        UTMZn:string; PQ:string;
        var CMer: string; var ERR:integer): string;
{
C ***********************************************************
C
C     PURPOSE:    Military Code, any UTM Zone, any NTS Primary
C                 Quadrangle to Full UTM Zone (Lat and Long types).
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                       STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       MilCode   Military Code                    STRING
C
C       UTMZn     UTM Zone                         STRING
C
C       PQ        NTS Primary Quadrangle           STRING
C
C     OUTPUT:
C       Result                                     STRING[4]
C         [1-4]   UTM zone.  Last character is
C                   UTM latitude zone 'C'-'X'.
C
C       CMer      Central Meridian of UTM Zone.    STRING[12]
C
C       ERR       Error flag; 0 if OK              INTEGER
C                 Error returns null Result, CMer.  (0.0)
C
C ***********************************************************
     }
      var iZnL,iZx,iZy,i: integer;
{    }
      var CRef: double;
{    }
      var CHU: string;
      var cZn,cZL,cZn2,cZL2,t :string;
{    }
      begin
        iZx := 0;
        ERR := 9000;
        if (Length(GSPH) > 2) then
          begin
            ERR  := 0;
            CHU := UpperCase(GSPH);
            if ((CHU[1] <> 'N') and (CHU[1] <> 'S')) then ERR := 9002;
            if ((CHU[2] <> 'E') and (CHU[2] <> 'W')) then ERR := 9002;
            if ((CHU[3] <> 'D') and (CHU[3] <> 'M') and (CHU[3] <> 'S')) then ERR := 9003;
          end;
//  Full Zone may be in:  1) Military Code, 2) UTM zone, 3) Primary Quadrangle
//  Check both longitude zone 1-60   (6-degree grid)
//         and latitude zone 'C'-'X' (8-degree grid except 'X' is 12 degrees)
//  Return function value specifying full zone grid square (e.g. 14W)
        if (ERR = 0) then
          begin
            cZn := '';
            cZL := '';
            for i := 1 to 3 do
              begin
                case i of
                  1: t := MilZn (MilCode, ERR);
                  2: t := Trim(UTMZn);
                  3: t := PQZn (MilCode, PQ, ERR);
                end;
                iZnL := Length(t);
                if (iZnL > 0) then                        // Get Latitude zone
                  if (t[iZnL] in ['C'..'X']) then
                    begin
                      cZL2 := Copy(t,iZnL,1);
                      if (cZL = '') then cZL := cZL2;
                      if (cZL <> cZL2) then ERR := 9005;
                      iZnL := iZnL - 1;
                    end;
                if (iZnL > 0) then                        // Get Longitude zone
                  begin
                    cZn2 := Copy(t,1,iZnL);
                    if (cZn = '') then cZn := cZn2;
                    if (cZn <> cZn2) then ERR := 9004;
                  end;
              end;
            if ((cZn = '') or (cZL = '')) then
              if (ERR = 0) then ERR := 9000;
          end;
        if (ERR = 0) then
          begin
            iZx    := 0;
            if (cZn <> '') then                           // Check Longitude zone value
              begin
                iZx := StrToInt(cZn);
                if ((iZx < 1) or (iZx > 60)) then ERR := 9006;
              end;
//            iZy := 0;
            if (cZL <> '') then                           // Check Latitude zone value
              begin
                iZy := Ord(cZL[1]) - Ord('A');
                if (iZy > 14) then iZy := iZy - 1;
                if (iZy >  8) then iZy := iZy - 1;
                if ((iZy < 2) or (iZy > 21)) then ERR := 9007;
              end;
          end;
        if (ERR >= 9000) then                                // Find Central Meridian
          begin
            iZx := 0;
            cZL := ' ';
            CRef := 0.0;
          end
        else
          begin
            CRef := -(183 - iZx*6);
            if (CHU[2] = 'W') then CRef := -CRef;
          end;
//        CMer := Format('%12.6f',[CRef]);
        CMer := FloatToStr(CRef);
        if ((ERR = 0) and (CHU[3] = 'D')) then CMer := DegToMin(CMer);
        if ((ERR = 0) and (CHU[3] = 'S')) then CMer := DegToMS(CMer);
        Result := Format('%2.2d',[iZx]) + cZL + ' ';
      end;

{
C ***********************************************************
     }
      procedure XSqChk (GSPH: string; iZy, ix: integer; iZx: integer; var ERR: integer);
{
C ***********************************************************
C
C     PURPOSE:    Check first Easting digit value ix
C                   in Latitude Zone iZy.
C
C       GSPH                                       STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C ***********************************************************
     }
      var iLo,iHi: integer;
{    }
      begin
        iLo := 1;                                 //       .. check range
        if (iZy > 12) then
          iLo := ((iZy - 13) div 3) + 1
        else if (iZy < 11) then
          iLo := ((10 - iZy) div 3) + 1;
        iHi := 9 - iLo;
        if (Pos('NAD83', GSPH) > 0) then
          begin
            if (iZy = 19) then
              begin
                if (iZx = 31) then iHi := 5;
                if (iZx = 32) then iLo := 1;
              end;
            if (iZy = 21) then
              begin
                if ((iZx = 31) or (iZx = 33) or (iZx = 35)) then iHi := 7;
                if ((iZx = 33) or (iZx = 35) or (iZx = 37)) then iLo := 2;
              end;
          end;
        if ((ix < iLo) or (ix > iHi)) then ERR := 9005;
      end;

{
C ***********************************************************
     }
      procedure YSqChk (iZy, iy: integer; var ERR: integer);
{
C ***********************************************************
C
C     PURPOSE:    Check first 2 Northing digits value iy
C                   in Latitude Zone iZy.
C
C ***********************************************************
     }
      var iLo,iHi: integer;
{    }
      begin
        if (iZy > 11) then                        //       .. check range
          begin
            iLo := (iZy - 12) * 8;
            if (iZy > 19) then
              iLo := iLo + (iZy - 14)
            else if (iZy > 12) then
              iLo := iLo + (iZy - 13);
          end
        else
          begin
            iLo := (iZy - 1) * 8;
            if (iZy < 5) then
              iLo := iLo + (iZy +1)
            else
              iLo := iLo + (iZy);
          end;
        if ((iZy = 12) or (iZy = 19)) then
          iHi := iLo + 8
        else if (iZy = 21) then
          iHi := iLo + 14
        else if ((iZy = 2) or (iZy = 4)) then
          iHi := iLo + 8
        else
          iHi := iLo + 9;
        if ((iy < iLo) or (iy > iHi)) then ERR := 9006;
      end;

{
C ***********************************************************
     }
      procedure MilSqrXY (GSPH:string; cZnL :string; MilCode :string;
        var ix, iy, ERR: integer);
{
C ***********************************************************
C
C     PURPOSE:    Get first Easting digit and First 2 Northing
C                   digits from Military Code and full UTM Zone.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                       STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       MilCode   Military Code                    STRING
C
C       UTMZn     UTM Zone                         STRING[4]
C
C     OUTPUT:
C                 ix (first Easting digit)         INTEGER
C
C                 iy (first 2 Northing digits)     INTEGER
C
C       ERR       Error flag; 0 if OK              INTEGER
C                 Error returns null Result.              (0)
C
C ***********************************************************
     }
      var cZn,cZL,cSQ: string;
{    }
      var iZnL,iZx,iZy,iZmod3,iZmod2,ixmod3: integer;
      var iSQ,iEst,iNor: integer;
{    }
      begin
        cZn  := '';
        cZL  := '';
        ix   := 0;
        iy   := 0;
        iZy  := 0;
        iZmod2 := 0;
        iZmod3 := 0;
        ERR := 9002;
        iZnL := Length(cZnL);
        while ((cZnL[iZnL] = ' ') and (iZnL > 0)) do iZnL := iZnL - 1;
        if (iZnL > 0) then                            // Get Latitude zone
          if (cZnL[iZnL] in ['C'..'X']) then
            begin
              ERR := 0;
              cZL := Copy(cZnL,iZnL,1);
              iZy := Ord(cZL[1]) - Ord('A');
              if (iZy > 14) then iZy := iZy - 1;
              if (iZy >  8) then iZy := iZy - 1;
              if ((iZy < 2) or (iZy > 21)) then ERR := 9002;
              iZnL := iZnL - 1;
            end;
        if ((iZnL > 0) and (ERR = 0)) then            // Get Longitude zone
          begin
            cZn := Copy(cZnL,1,iZnL);
            iZx := StrToInt(cZn);
            if ((iZx < 1) or (iZx > 60)) then ERR := 9001;
            iZmod3 := (iZx - 1) mod 3;
            iZmod2 := iZx mod 2;
            if (Pos('NAD83', GSPH) > 0) then
              begin
                if ((iZy = 21) and ((iZx = 32) or (iZx = 34) or (iZx = 36))) then
                  ERR := 9001;
              end;
          end
        else
          if (ERR = 0) then ERR := 9001;
        cSQ := '';
        iSQ := 0;
        if (ERR = 0) then MilField (MilCode, iZnL, iSQ, iEst, iNor, ERR);
        if ((iSQ > 0) and (ERR = 0)) then
          cSQ := Copy(MilCode, iSQ, 2)
        else
          ERR := 9003;
        if (ERR = 0) then
          begin                                       // Check 100,000 metre square
            ix  := Ord(cSQ[1]) - Ord('A');            // First Easting digit
            if (ix > 14) then ix := ix - 1;
            if (ix >  8) then ix := ix - 1;           //       .. 3-zone sequence 0-23
            ixmod3 := (ix div 8);
            if (iZmod3 <> ixmod3) then ERR := 9004;
            ix  := (ix mod 8) + 1;                    //       .. for each zone 1-8
            if (ERR = 0) then XSqChk (GSPH, iZy, ix, iZx, ERR);
          end;
        if (ERR = 0) then
          begin
            iy := Ord(cSQ[2]) - Ord('A');             // First 2 Northing digits
            if (iy > 14) then iy := iy - 1;
            if (iy >  8) then iy := iy - 1;
            if (Pos('NAD27', GSPH) > 0) then
              begin                                   // NAD27
                iy := (iy + ((iZmod2 + 1) * 5)) mod 20;   //       .. set 0 at equator
                if (iZy = 21) then                        //       .. add multiple of 10
                  iy := ((iy + 5) mod 20) + 75
                else if (iZy > 13) then
                  begin
                    if ((iZy mod 2) = 0) then
                      iy := (iy + 10) mod 20;
                    iy := iy + ((iZy - 13) * 10);
                  end
                else if (iZy = 2) then
                  iy := ((iy + 10) mod 20) + 10
                else if (iZy < 10) then
                  begin
                    if ((iZy mod 2) <> 0) then
                      iy := (iy + 10) mod 20;
                    iy := iy + ((iZy - 2) * 10);
                  end
                else if (iZy < 12) then
                  iy := iy + 80;
              end
            else
              begin                                   // NAD83
                if (iZmod2 = 0) then
                  iy := iy - 5;
                if (iZy < 12) then                    // S Hemisphere
                  begin
                    if (iZy = 2) then
                      begin
                        if (iy = 0) then
                          iy := iy + 20;
                      end
                    else if (iZy > 2) then
                      iy := iy + 20;
                    if (iZy = 5) then
                      begin
                        if (iy < 30) then
                          iy := iy + 20;
                      end
                    else if (iZy > 5) then
                      iy := iy + 20;
                    if (iZy = 7) then
                      begin
                        if (iy < 50) then
                          iy := iy + 20;
                      end
                    else if (iZy > 7) then
                      iy := iy + 20;
                    if (iZy = 9) then
                      begin
                        if (iy < 70) then
                          iy := iy + 20;
                      end
                    else if (iZy > 9) then
                      iy := iy + 20;
                    if (iZy = 11) then
                      begin
                        if (iy < 90) then
                          iy := iy + 20;
                      end;
                  end
                else                                  // N Hemisphere
                  begin
                    if (iZy = 14) then
                      begin
                        if (iy < 10) then
                          iy := iy + 20;
                      end
                    else if (iZy > 14) then
                      iy := iy + 20;
                    if (iZy = 16) then
                      begin
                        if (iy < 30) then
                          iy := iy + 20;
                      end
                    else if (iZy > 16) then
                      iy := iy + 20;
                    if (iZy = 18) then
                      begin
                        if (iy < 50) then
                          iy := iy + 20;
                      end
                    else if (iZy > 18) then
                      iy := iy + 20;
                    if (iZy = 21) then
                      begin
                        if (iy < 79) then
                          iy := iy + 20;
                      end;
                  end;
              end;
            YSqChk (iZy, iy, ERR);
          end;
      end;

{
C ***********************************************************
     }
      procedure XYMilSqr (GSPH:string; cZnL :string; YnIn,XeIn: string;
        var cSQ: string; var ERR: integer);
{
C ***********************************************************
C
C     PURPOSE:    Get Military Square from full UTM Zone,
C                   first Easting digit and First 2 Northing
C                   digits.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                       STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       cZnL      UTM Zone                         STRING[4]
C
C       YnIn      Yn = Northing = Y+Y0 metres.     STRING[12]
C
C       XeIn      Xe = Easting  = X+X0 metres.     STRING[12]
C
C     OUTPUT:
C                 cSQ = Military Square            STRING[2]
C
C       ERR       Error flag; 0 if OK              INTEGER
C                 Error returns null Result SQ.
C
C ***********************************************************
     }
      var cZn,cZL: string;
{    }
      var iZnL,iZx,iZy,iZmod3,iZmod2,ix,iy: integer;
{    }
      begin
        cZn  := '';
        cZL  := '';
        ix   := 0;
        iy   := 0;
        iZy  := 0;
        iZmod2 := 0;
        iZmod3 := 0;
        ERR := 9002;
        iZnL := Length(cZnL);
        while ((cZnL[iZnL] = ' ') and (iZnL > 0)) do iZnL := iZnL - 1;
        if (iZnL > 0) then                            // Get Latitude zone
          if (cZnL[iZnL] in ['C'..'X']) then
            begin
              ERR := 0;
              cZL := Copy(cZnL,iZnL,1);
              iZy := Ord(cZL[1]) - Ord('A');
              if (iZy > 14) then iZy := iZy - 1;
              if (iZy >  8) then iZy := iZy - 1;
              if ((iZy < 2) or (iZy > 21)) then ERR := 9002;
              iZnL := iZnL - 1;
            end;
        if ((iZnL > 0) and (ERR = 0)) then                            // Get Longitude zone
          begin
            cZn := Copy(cZnL,1,iZnL);
            iZx := StrToInt(cZn);
            if ((iZx < 1) or (iZx > 60)) then ERR := 9001;
            iZmod3 := (iZx - 1) mod 3;
            iZmod2 := (iZx - 1) mod 2;
          end
        else
          if (ERR = 0) then ERR := 9001;
        cSQ := '';
        if (ERR = 0) then
          begin
            ix := Trunc(StrToFloat(XeIn)) div 100000; // First Easting digit
            XSqChk (GSPH, iZy, ix, iZx, ERR);         // Check Value
            ix := (ix - 1) + (iZmod3 * 8);            // Ordinal Value
            if (ix >= 8)  then ix := ix + 1;
            if (ix >= 14) then ix := ix + 1;
          end;
        if (ERR = 0) then
          begin
            iy := Trunc(StrToFloat(YnIn)) div 100000; // First 2 Northing digits
            YSqChk (iZy, iy, ERR);                    // Check Value
            if (Pos('NAD27', GSPH) > 0) then
              begin
                iy := (iy + 10) + (iZmod2 * 5);       // Ordinal Value NAD27
              end
            else
              begin
                if (iZmod2 = 1) then                  // Ordinal Value NAD83
                  iy := iy + 5;
              end;
            iy := iy mod 20;
            if (iy >= 8)  then iy := iy + 1;
            if (iy >= 14) then iy := iy + 1;
          end;
        if (ERR = 0) then
          cSQ := Chr(Ord('A') + ix) + Chr(Ord('A') + iy);
      end;

{
C ***********************************************************
     }
      procedure MilGeo (GSPH:string; MilCode:string;
        UTMZn: string;  PQ: string;
        var ZnOut:string;
        var YlatOut,XlonOut: string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Military Code and UTM Zone to Latitude and
C                   Longitude.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       MilCode   Military Code                     STRING
C
C       UTMZn                                       STRING[4]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM. Last
C                   character is UTM latitude
C                   zone 'C'..'X'.  Usually
C                   required since Military Code
C                   not normally written with this
C                   information at start of string.
C
C       PQ        NTS Primary Quadrangle.           STRING
C                   Optional.  May be used to find
C                   UTMZn if this is not given.
C
C     OUTPUT:
C       ZnOut                                       STRING[4]
C         [1-4]   UTM zone.  Last character is
C                 UTM latitude zone 'C'-'X'.
C                 Determined if not input.
C
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null Ylat, Xlon         (0.0)
C
C ***********************************************************
     }
      var iZnl,iSQ,iEst,iNor,ix,iy: integer;
{    }
      var CMer,ZnIn,cEst,cNor: string;
{    }
      begin
        ZnIn := MilUTMZn (GSPH, MilCode, UTMZn, PQ, CMer, ERR);
        if (ERR < 9000) then MilSqrXY (GSPH, ZnIn, MilCode, ix, iy, ERR);
        if (ERR < 9000) then MilField (MilCode, iZnL, iSQ, iEst, iNor, ERR);
        if (ERR < 9000) then
          begin
            cEst := Trim(Format('%1.1d',[ix]));
            if (iEst > 0) then
              cEst := cEst + Copy(MilCode, iEst, iNor - iEst);
            while Length(cEst) < 6 do
              cEst := cEst + '0';
            cNor := Trim(Format('%2.2d',[iy]));
            if (iNor > 0) then
              cNor := cNor + Copy(MilCode, iNor, Length(MilCode) - iNor + 1);
            while Length(cNor) < 7 do
              cNor := cNor + '0';
            UTMGeo (GSPH, ZnIn, cNor, cEst, ZnOut, YlatOut, XlonOut, ERR);
          end;
      end;

{
C ***********************************************************
     }
      procedure GeoMil (GSPH:string; ZnIn:string;
        YlatIn,XlonIn: string; Prec: integer;
        var ZnOut:string; var MilCode: string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to full UTM Zone and
C                   Military Code.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnIn                                        STRING[4]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM.  Optional.
C
C       YlatIn    Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonIn    Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       Prec      Number of Easting or Northing     INTEGER
C                   digits to be used constructing
C                   the Military Code.
C     OUTPUT:
C       ZnOut                                       STRING[4]
C         [1-4]   UTM zone.  Determined from Lat
C                   and Long if not input.  Last
C                   character is UTM latitude zone
C                   'C'-'X'.
C
C       MilCode   MilitaryCode; 2 character square  STRING
C                   followed by 2*Prec digits.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var cNor,cEst: string;
{    }
      var ix,iy: integer;
{    }
      begin
        MilCode := '';
        if ((Prec < 0) or (Prec > 5)) then ERR := 9000;
        if (ERR < 9000) then GeoUTM (GSPH,ZnIn,YlatIn,XlonIn,ZnOut,cNor,cEst,ERR);
        if (ERR < 9000) then XYMilSqr (GSPH, ZnOut, cNor, cEst, MilCode, ERR);
        if ((ERR < 9000) and (Prec > 0)) then
          begin
            ix := Trunc(StrToFloat(cEst)) mod 100000;
            cEst := Format('%5.5d',[ix]);
            MilCode := MilCode + Copy(cEst, 1, Prec);
            iy := Trunc(StrToFloat(cNor)) mod 100000;
            cNor := Format('%5.5d',[iy]);
            MilCode := MilCode + Copy(cNor, 1, Prec);
          end;
      end;

{
C ***********************************************************
     }
      procedure NtsGeo (GSPH:string; NtsIn:string;
        YnIn,XeIn:string; var NtsOut:string;
        var YlatOut,XlonOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    NTS coordinates to Latitude and Longitude.
C
C     AUTHOR:     D. W. Lepard, 1995.
C                 Revised for Pascal - 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       NtsIn                                       STRING[16]
C         [1]     Nts Grid type = '2' only
C         [2-4]   NTS primary quadrangle
C                   in [0..120,340,560,780,910]
C         [5]     NTS lettered quadrangle
C                   in [A..P]; [A..H] above Lat 68
C         [6-7]   NTS sixteenth in [1..16]
C         [8]     BC Grid Block in [A..L]
C         [9-11]  UNIT in [1..100]
C         [12]    Quarter unit in [A..D]
C         [13-14] Reference Point Location in
C                   [NE,NW,SE,SW,NC,SC,EC,WC,CC]
C         [16]    Unit/Quarter unit Flag in [U,Q]
C
C       YnIn      Metres north of Ref Point         STRING[12]
C
C       XeIn      Metres east of Ref Point          STRING[12]
C
C     OUTPUT:
C       NtsOut    NtsIn using upper case; ref       STRING[16]
C                   point defaults to centre of
C                   quarter unit, if not specified.
C
C       YlatOut   Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonOut   Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YLAT, XLON         (0.0)
C               9004 = Illegal character
C               9007 = Illegal unit ref point (see below)
C               9009 = Illegal quarter unit (A-D)
C               9010 = Illegal unit (1-100)
C               9011 = Illegal BC grid block (A-L)
C               9012 = Illegal primary quad
C                                 (0-120,340,560,780,910)
C               9013 = Illegal lettered quad (A-P)
C               9014 = Illegal lettered quad (A-H)
C               9015 = Illegal sixteenth (1-16)
C
C     NOTE:
C       Unit/Quarter unit Reference Point Location
C
C       NW ... NC ... NE
C       .      .      .
C       .      .      .
C       .      .      .
C       WC ... CC ... EC
C       .      .      .
C       .      .      .
C       .      .      .
C       SW ... SC ... SE
C
C ***********************************************************
     }
      var I,IGS,III,IM,IOP,IUNT,IW,IX,IY,LATD,LATM: integer;
      var LATS,LOND,LONM,LONS,MBLK,MLTQ,MQTR,NNN: integer;
      var PRQ,SIX,VNIT: integer;
{    }
      var AMAJ,ANG,AUX,CS,D2R,DLAT,DLON,ESN,ESQ,FLAT: double;
      var RLAT,RLON,S2M,SN,XE,XLON,XX,YLAT,YN,YY: double;
{    }
      var BCBLOK,CHQ,LTQ,QTR,UORQ: string;
      var RPT: string;
      var TEXT: string;
{    }
      label 9000;
{    }
      begin
      MLTQ  := 0;
      MBLK  := 0;
      ERR   := 9004;
      S2M   :=  1.0/60.0;
      TEXT  :=  'ABCDEFGHIJKLMNOP';
//      YLAT  := 0.0;
//      XLON  := 0.0;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      NtsOut  := '';
      if ((Length(GSPH) < 3) or (Length(NtsIn) <> 16)) then goto 9000;
      NtsOut  := UpperCase(NtsIn);
      IGS   := 1;

      CHQ   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CHQ = 'S') THEN IGS := 3
        ELSE IF (CHQ <> 'N') THEN GOTO 9000;
{                              # default to 'E' if not 'W'  }
      CHQ  := UpperCase(GSPH[2]);
      IF (CHQ = 'W') THEN IGS := IGS+1
        ELSE IF (CHQ <> 'E') THEN GOTO 9000;
{                              # dec degree or deg-min-sec  }
      CHQ  := UpperCase(GSPH[3]);
      IF ((CHQ <> 'D') AND (CHQ <> 'M') AND (CHQ <> 'S')) THEN GOTO 9000;

{                              # extract NTS parameters     }
      IF (NtsOut[1] <> '2') THEN GOTO 9000;
      FOR I := 2 TO 4 DO
        IF ((NtsOut[I] < '0') OR (NtsOut[I] > '9'))
          THEN GOTO 9000;
      FOR I := 6 TO 7 DO
        IF ((NtsOut[I] < '0') OR (NtsOut[I] > '9'))
          THEN GOTO 9000;
      FOR I := 9 TO 11 DO
        IF ((NtsOut[I] < '0') OR (NtsOut[I] > '9'))
          THEN GOTO 9000;
      PRQ  := StrToInt(Copy(NtsOut,2,3));
      LTQ  := NtsOut[5];
      SIX  := StrToInt(Copy(NtsOut,6,2));
      BCBLOK := NtsOut[8];
      VNIT := StrToInt(Copy(NtsOut,9,3));
      QTR  := NtsOut[12];
      RPT  := Copy(NtsOut,13,2);
      UORQ := NtsOut[16];
      IF ((UORQ <> 'U') AND (UORQ <> 'Q')) THEN BEGIN
        IF ((QTR < 'A') or (QTR > 'D'))
          THEN UORQ  := 'U'
          ELSE UORQ  := 'Q';
        NtsOut := Copy(NtsOut,1,15)+UORQ
      END;
      IOP  :=  0;
{                              # default to 'U' if not 'Q'  }
      if (UORQ = 'Q') then IOP  :=  1;
{    }
      AMAJ :=  6378137.00;
      FLAT :=  1.0/298.257222101;
      ESQ  :=  FLAT*(2.0-FLAT);
      D2R  :=  Pi/180.0;
      if (YnIn <> '')
        then YN   := StrToFloat(YnIn)
        else YN   := 0.0;
      if (XeIn <> '')
        then XE   := StrToFloat(XeIn)
        else XE   := 0.0;
{
C                              # Illegal section ref point
C                                (NE,NW,SE,SW,NC,SC,EC,WC,CC)
     }
      ERR  :=  0;
      if ((RPT[1] = 'N') or (RPT[1] = 'S'))
        then CHQ  :=  RPT[2]
        else begin
          if (RPT[2] <> 'C') then ERR :=  9007;
          CHQ  :=  RPT[1]
        end;
      if ((CHQ <> 'E') and (CHQ <> 'W')
         and (CHQ <> 'C')) then ERR  :=  9007;
      if (ERR <> 0) then begin
        RPT  :=  'CC';
        if (IOP = 0) then goto 9000;
        NtsOut := Copy(NtsOut,1,12)+RPT+Copy(NtsOut,15,2)
      end;
{    }
      IM   :=  2;
      if (RPT[1] = 'S') then IM  :=  1;
      if (RPT[1] = 'N') then IM  :=  3;
      IW   :=  2;
      if ((RPT[1] = 'E') or (RPT[2] = 'E')) then IW  :=  1;
      if ((RPT[1] = 'W') or (RPT[2] = 'W')) then IW  :=  3;
{
C                              # Illegal quarter unit (A-D)
     }
      ERR  :=  9009;
      MQTR :=  0;
      if (IOP <> 0) then begin
        if ((QTR < 'A') or (QTR > 'D')) then goto 9000;
        for I := 1 to 4 do begin
          if (QTR = TEXT[I]) then MQTR  :=  I
        end
      end;
{
C                              # Illegal unit (1-100)
     }
      ERR  :=  9010;
      if ((VNIT < 1) or (VNIT > 100)) then goto 9000;
{
C                              # Illegal BC grid block (A-L)
     }
      ERR  :=  9011;
      if ((BCBLOK < 'A') or (BCBLOK > 'L')) then goto 9000;
      for I := 1 TO 12 do begin
        if (BCBLOK = TEXT[I]) then MBLK  :=  I
      end;
{
C                              # Illegal primary quad
C                                     (0-120,340,560,780,910)
     }
      ERR  :=  9012;
      if ((PRQ < 0) or (PRQ > 120)) then
        if ((PRQ <> 340) and (PRQ <> 560) and (PRQ <> 780)
           and (PRQ <> 910)) then goto 9000;
{
C                              # Illegal lettered quad (A-P)
     }
      ERR  :=  9013;
      if ((LTQ < 'A') or (LTQ > 'P')) then goto 9000;
      for I := 1 TO 16 do begin
        if (LTQ = TEXT[I]) then MLTQ  :=  I
      end;
{
C                              # Illegal sixteenth (1-16)
     }
      ERR  :=  9015;
      if ((SIX < 1) OR (SIX > 16)) then goto 9000;
{
C NTS primary quadrangle (south-east corner)
C ***********************************************************
     }
      if (PRQ >= 120) then begin
        LATD  :=  80;
        LOND  :=  48+(PRQ div 100)*8
      end
      else begin
        LATD  :=  40+(PRQ-(PRQ div 10)*10)*4;
        LOND  :=  48+(PRQ div 10)*8
      end;
{
C NTS lettered quadrangle (south-east corner)
C ***********************************************************
C
C                              # Illegal lettered quad (A-H)
    }
     ERR   :=  9014;
      if (LATD >= 80) then begin
        NNN  :=  2;
        III  :=  4;
        if (MLTQ > 8) then goto 9000
      end
      else
          if (LATD >= 68) then begin
            NNN  :=  2;
            III  :=  2;
            if (MLTQ > 8) then goto 9000
          end
          else begin
               NNN  :=  4;
               III  :=  1
          end;
      IY   :=  (MLTQ-1) div NNN;
      IX   :=  (MLTQ-1)-IY*NNN;
      if ((IY = 1) or (IY = 3)) then IX  :=  (NNN-1)-IX;
      LATD :=  LATD+IY;
      LOND :=  LOND+IX*(III+III);
{
C NTS sixteenth (south-east corner)
C ***********************************************************
     }
      IY   :=  (SIX-1) div 4;
      IX   :=  (SIX-1)-IY*4;
      if ((IY = 1) or (IY = 3)) then IX  :=  3-IX;
      LATM :=  IY*15;
      LONM :=  IX*(III*30);
{
C BC Grid Block (south-east corner)
C ***********************************************************
     }
      IY   :=  (MBLK-1) div 4;
      IX   :=  (MBLK-1)-IY*4;
      if (IY = 1) then IX  :=  3-IX;
      LATM :=  LATM+IY*5;
      LONS :=  IX*(III*45000);
{
C Unit (south-east corner)
C ***********************************************************
     }
      IY   :=  (VNIT-1) div 10;
      IX   :=  (VNIT-1)-IY*10;
      LATS :=  IY*3000;
      LONS :=  LONS+IX*(III*4500);
{
C Unit or Quarter unit reference point
C ***********************************************************
     }
      if (IOP <> 0) then begin
        IY   :=  (MQTR-1) div 2;
        IX   :=  (MQTR-1)-IY*2;
        if (IY = 1) then IX  :=  1-IX;
        LATS :=  LATS+IY*1500+(IM-1)*750;
        LONS :=  LONS+IX*(III*2250)+(IW-1)*(III*1125)
      end
      else begin
        LATS :=  LATS+(IM-1)*1500;
        LONS :=  LONS+(IW-1)*(III*2250)
      end;
{
C Latitude of reference point
C ***********************************************************
     }
      YY   :=  LATS;
      YLAT :=  YY*S2M*0.01;
      YY   :=  LATM;
      YLAT :=  (YLAT+YY)*S2M;
      YY   :=  LATD;
      YLAT :=  YLAT+YY;
{
C Longitude of reference point
C ***********************************************************
     }
      XX   :=  LONS;
      XLON :=  XX*S2M*0.01;
      XX   :=  LONM;
      XLON :=  (XLON+XX)*S2M;
      XX   :=  LOND;
      XLON :=  XLON+XX;
{
C Latitude and Longitude of point (XE, YN) from reference
C ***********************************************************
     }
      ANG  :=  YLAT*D2R;
      SN   :=  Sin(ANG);
      CS   :=  Cos(ANG);
      ESN  :=  1.0-ESQ*SN*SN;
      AUX  :=  Sqrt(ESN);
      RLAT :=  AMAJ*(CS/AUX)*D2R;
      RLON :=  AMAJ*((1.0-ESQ)/(ESN*AUX))*D2R;
      DLAT :=  YN/RLON;
      DLON :=  -XE/RLAT;
      YLAT :=  YLAT+DLAT;
      XLON :=  XLON+DLON;
      ERR  :=  0;
      IF (IGS > 2) THEN YLAT := -YLAT;
      IF ((IGS = 1) OR (IGS = 3)) THEN XLON := -XLON;
//      YlatOut := Format('%12.6f',[YLAT]);
//      XlonOut := Format('%12.6f',[XLON]);
      YlatOut := FloatToStr(YLAT);
      XlonOut := FloatToStr(XLON);
      IF (UpperCase(GSPH[3]) = 'S') THEN BEGIN
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
      END
      ELSE IF (UpperCase(GSPH[3]) = 'M') THEN BEGIN
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
      END;
 9000:
      END;

{
C ***********************************************************
     }
      procedure PlyGeo (GSPH:string; PlyIn:string;
        YnIn,XeIn:string;
        var YlatOut,XlonOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Polyconic to Latitude and Longitude.
C
C     SOURCE:     G. D. Newton, U. S. Geological Survey
C                 Bulletin 1642, 1985.
C
C     REVISED BY: D. W. Lepard, 1998, for GSC in-house NAD83
C                 (default) or NAD27 calculations.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       PlyIn                                       STRING[48]
C         [1-12]  Central Meridian CM = local long-
C                   itude origin.  Obeys GSPH sign
C                   and number format.
C         [13-24] Base Latitude = local latitude
C                   origin.  Obeys GSPH sign and
C                   number format.
C         [25-36] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C         [37-48] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C
C       YnIn      Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeIn      Xe = Easting  = X+X0 metres.      STRING[12]
C
C     OUTPUT:
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var DLAT,DLONG,EAST,NORTH,SINY,TANY,XLON,YLAT: double;
      var XX,YY,ARC,OLD,PHI,RHO,ARG :double;
      var ITER: integer;
      var FINI: boolean;
{    }
      var PlyCon: Tplycon;
{    }
      label 9000;
{    }
      begin                           { of main PlyGeo}
      ERR     := 9000;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      if ((Length(GSPH) < 8) or (Length(PlyIn) < 48)) then goto 9000;
      if ((YnIn = '') or (XeIn = '')) then goto 9000;
      IniPly (GSPH, PlyIn, PlyCon, ERR);
      if (ERR <> 0) then goto 9000;

      NORTH := StrToFloat(YnIn);
      EAST  := StrToFloat(XeIn);
      with PlyCon do
      begin

      XX := EAST-X0;
      YY := NORTH-Y0;
{
      Starting Values for Iteration
     }
      YLAT := BLAT;
      XLON := CMR;
      PHI  := XLON*Sin(YLAT);
      OLD  := PHI;
      FINI := False;
      ITER := 0;

      WHILE NOT(FINI) DO
      BEGIN
        ITER := ITER+1;
        ARC  := YY-XX*Sin(PHI)/(1.0+Cos(PHI));
        YLAT := GeoLat(Plycon, ARC);
        SINY := Sin(YLAT);
        TANY := Tan(YLAT);
        RHO  := AMAJ/Sqrt(1.0-ESQ*SINY*SINY);
        ARG  := XX*TANY/RHO;
        ARG  := ARG/Sqrt(1.0-ARG*ARG);
        XLON := ArcTan(ARG)/SINY;
        PHI  := XLON*SINY;
        IF ((OLD = PHI) OR (ITER = 100)) THEN FINI := True;
        OLD  := PHI;
      END;
      DLAT := YLAT/D2R;
      DLONG := (XLON+CMR)/D2R;
      if ((DLAT < -90.0) or (DLAT > 90.0)
        or (DLONG < -180.0) or (DLONG > 180.0)) then goto 9000;

      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      end;
//      YlatOut := Format('%12.6f',[DLAT]);
//      XlonOut := Format('%12.6f',[DLONG]);
      YlatOut := FloatToStr(DLAT);
      XlonOut := FloatToStr(DLONG);
      if (UpperCase(GSPH[3]) = 'S') then begin
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
        end;
      ERR  := 0;
 9000:
      end;

{
C ***********************************************************
     }
      procedure PolGeo (GSPH:string; ZnIn:string;
        PolIn:string; YnIn,XeIn:string;
        var ZnOut:string;
        var YlatOut,XlonOut: string;
        var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Latitude and Longitude to Polar projections.
C
C     SOURCE:     Defence Mapping Agency
C                 Technical Manual 8358.2.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnIn                                        STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.  Blank value will be
C                   replaced with calculated value.
C
C       PolIn                                       STRING[36]
C         [1-12]  Projection scale factor.  Set
C                   to 0.994 for UPS.
C         [13-24] Y0 = Yorigin/Northing. Note
C                   Yn = Northing = Y + Y0 metres;
C                   UPS southern hemisphere values
C                   use Y0 = 2 000 000.
C         [25-36] X0 = Xorigin/Easting.  Note
C                   Xe = Easting  = X + X0 metres.
C                   UPS values use X0 = 2 000 000.
C
C       YnIn      Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeIn      Xe = Easting  = X+X0 metres.      STRING[12]
C
C     OUTPUT:
C       ZnOut                                       STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.
C
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var R,Z,TANZ2,DLAT,DLONG: double;
      var EAST,NORTH: double;
      var XX,YY :double;
      var i,iZn: integer;
{    }
      var PolCon: Tpolcon;
{    }
      label 9000;
{    }
      begin                           { of main MerGeo}
      ERR     := 9000;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      if ((Length(GSPH) < 8) or (Length(ZnIn) < 2)
        or (Length(PolIn) < 36)) then goto 9000;
      if ((YnIn = '') or (XeIn = '')) then goto 9000;
      IniPol (GSPH, ZnIn, PolIn, ZnOut, PolCon, ERR);
      if (ERR <> 0) then goto 9000;

      NORTH := StrToFloat(YnIn);
      EAST  := StrToFloat(XeIn);
      with PolCon do
      begin

      XX := EAST-X0;
      YY := NORTH-Y0;

      if (NS = 1) then
        begin
          if (XX < 0.0) then ZnOut := 'SA' else ZnOut := 'SB';
        end
      else
        begin
          if (XX < 0.0) then  ZnOut := 'NY' else ZnOut := 'NZ';
        end;

      if (YY = 0.0) then
        begin
          DLONG := 0.0;
          if (XX < 0.0) then
            DLONG := - Pi/2.0
          else if (XX > 0.0) then
            DLONG := Pi/2.0;
        end
      else
        begin
          if (NS = 1) then
            DLONG := Arctan2(XX,YY)
          else
            DLONG := Arctan2(XX,-YY);
        end;
      if ((YY = 0.0) and (XX = 0.0)) then
        begin
          DLAT := Pi/2.0;
          if (NS = 1) then
            DLAT := -DLAT;
        end
      else
        begin
          if (YY = 0.0) then
            R := XX
          else if (XX = 0.0) then
            R := YY
          else
            R := XX/Sin(DLONG);
          if (R < 0.0) then
            R := -R;
          TANZ2 := R/(SCF*C0);
          Z := (Pi/2.0)-2.0*Arctan(TANZ2);
          DLAT := Z+A1*Sin(2.0*Z)+B1*Sin(4.0*Z)+C1*Sin(6.0*Z)+D1*Sin(8.0*Z);
        end;
        if (NS = 1) then DLAT := -DLAT;

        DLAT := DLAT/D2R;
        DLONG := DLONG/D2R;

      if (IGS > 2 ) then DLAT := -DLAT;
      if ((IGS = 2) or (IGS = 4)) then DLONG := -DLONG;

      end;
//      YlatOut := Format('%12.6f',[DLAT]);
//      XlonOut := Format('%12.6f',[DLONG]);
      YlatOut := FloatToStr(DLAT);
      XlonOut := FloatToStr(DLONG);
      if (UpperCase(GSPH[3]) = 'S') then begin
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
        end
      else if (UpperCase(GSPH[3]) = 'M') then begin
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
        end;
      ERR  := 0;
 9000:
      end;


{
C ***********************************************************
     }
      procedure PMilGeo (ZnIn:string; MilIn:string; Prec: integer;
        var ZnOut:string; var YnOut,XeOut: string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Military Code to UPS.
C
C     SOURCE:     Defence Mapping Agency
C                 Technical Manual 8358.2.
C
C     INPUT:
C       ZnIn                                        STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.  Blank value will be
C                   replaced with calculated value.
C
C       MilIn     Military Code                     STRING[12]
C
C     OUTPUT:
C       Prec      Precision - number Easting and    integer
C                 Northing digits after leading
C                 digits defining 100,000 m square.
C
C       ZnOut                                       STRING[2]
C         [1]     'N' or 'S' for North or South Pole
C         [2]     UPS Latitude Zone: 'Y' (West) or
C                   'Z' (East) for North Pole;
C                   'A' (West) or 'B' (East) for
C                   South Pole.
C
C       YnOut     Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeOut     Xe = Easting  = X+X0 metres.      STRING[12]
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YN, XE             (0.0)
C
C ***********************************************************
     }
      var NS,indx,iOk,iP,ix,iy,iordx,iordy: integer;
      var DNor,DEst: double;
{    }
      var CH,cY,cX: string;
{    }
      label 9000;
{    }
      begin

      ZnOut := UpperCase(ZnIn);
      YnOut := '         0.0';
      XeOut := YnOut;
      Prec := 0;
      ERR := 9000;
      iP := Length(MilIn)-2;
      if ((iP < 0) or ((iP mod 2) <> 0)) then goto 9000;

      ERR := 9001;
      while (Length(ZnOut) < 2) do ZnOut := ZnOut+' ';
      NS := 0;
      CH := 'N';                                  // N pole if not given
      for indx := 1 to 2 do
        if (ZnOut[indx] in ['N','S']) then
          CH := ZnOut[indx];
      iOk := 1;
      for indx := 1 to 2 do
        if (ZnOut[indx] in ['Y','Z']) then
          begin
            ZnOut := 'N'+ZnOut[indx];
            iOk := 0;
          end
        else if (ZnOut[indx] in ['A','B']) then
          begin
            ZnOut := 'S'+ZnOut[indx];
            iOk := 0;
          end;
      if (ZnOut[1] = 'S') then
        NS := 1;
      if (iOk <> 0) then goto 9000;               // Latitude Zone not given

      cX := MilIn[1];
      iordx := Ord(cX[1])-Ord('A');
      if ((ZnOut[2] = 'Y') or (ZnOut[2] = 'A')) then
        begin
          if (iordx < 12) then
            iordx := iordx-1
          else if (iordx < 15) then
            ERR := 9002
          else if (iordx < 21) then
            iordx := iordx-4
          else if (iordx < 23) then
            ERR := 9002
          else if (iordx < 20) then
            iordx := iordx-6;
        end
      else if ((ZnOut[2] = 'Z') or (ZnOut[2] = 'B')) then
        begin
          if (iordx < 3) then
            iordx := iordx+20
          else if (iordx < 5) then
            ERR := 9002
          else if (iordx < 8) then
            iordx := iordx+18
          else if (iordx < 9) then
            ERR := 9002
          else if (iordx < 12) then
            iordx := iordx+17
          else if (iordx < 15) then
            ERR := 9002
          else if (iordx < 21) then
            iordx := iordx+14;
        end;
      if (NS = 0) then
        begin
          if ((iordx < 12) or (iordx > 27)) then ERR := 9002;
        end
      else if (NS = 1) then
        begin
          if ((iordx < 8) or (iordx > 31)) then ERR := 9002;
        end;
      if (ERR = 9002) then goto 9000;

      cY := MilIn[2];
      iordy := Ord(cY[1])-Ord('A');
      if (NS = 0) then
        begin
          if (iordy > 20) then
            iordy := iordy-13
          else if (iordy < 8) then
            iordy := iordy+13
          else if (iordy < 9) then
            ERR := 9003
          else if (iordy < 14) then
            iordy := iordy+12
          else if (iordy < 15) then
            ERR := 9003
          else if (iordy < 21) then
            iordy := iordy+11;
          if ((iordy < 12) or (iordy > 27)) then
            ERR := 9003;
        end
      else if (NS = 1) then
        begin
          if (iordy < 8) then
            iordy := iordy+8
          else if (iordy < 9) then
            ERR := 9003
          else if (iordy < 14) then
            iordy := iordy+7
          else if (iordy < 15) then
            ERR := 9003
          else if (iordy < 32) then
            iordy := iordy+6;
          if ((iordy < 8) or (iordy > 31)) then
            ERR := 9003;
        end;
      if (ERR = 9003) then goto 9000;

      Prec := iP div 2;
      cX := '';
      if (Prec > 0) then
        cX := Copy(MilIn, 3, Prec);
      while (Length(cX) < 5) do cX := cX+'0';
      cX := IntToStr(iordx)+cX;
      while (Length(cX) < 12) do cX := ' '+cX;
      XeOut := cX;

      cY := '';
      if (Prec > 0) then
        cY := Copy(MilIn, 3+Prec, Prec);
      while (Length(cY) < 5) do cY := cY+'0';
      cY := IntToStr(iordy)+cY;
      while (Length(cY) < 12) do cY := ' '+cY;
      YnOut := cY;

      ERR := 0;
 9000:
      end;                            { of procedure PMilGeo}




{
C ***********************************************************
     }
      procedure Tg4Geo (GSPH:string; Tg4In:string;
        YnIn,XeIn:string; var Tg4Out:string;
        var YlatOut,XlonOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Geodetic survey coordinates to
C                 Latitude and Longitude.
C
C     AUTHOR:     D. W. Lepard, 1997
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       Tg4In                                       STRING[16]
C         [1]     Geodetic Grid type = '4' only
C         [2-6]   Grid latitude in NW system; in
C                   degrees with 3 implied decimals.
C         [7-12]  Grid longitude in NW system; in
C                   degrees with 3 implied decimals.
C         [13-14] Reference Point Location = CC
C                   only; at grid coordinates.
C
C       YnIn      Metres north of Ref Point         STRING[12]
C
C       XeIn      Metres east of Ref Point          STRING[12]
C
C     OUTPUT:
C       Tg4Out    Tg4In using upper case; ref       STRING[16]
C                   point defaults to CC.
C
C       YlatOut   Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMMSS.SS)
C
C       XlonOut   Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMMSS.SS)
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null YLAT, XLON        (0.0)
C               9004 = Illegal character
C
C ***********************************************************
     }
      var I,IGS: integer;
      var LATP,LONP: integer;
{    }
      var AMAJ,ANG,AUX,CS,D2R,DLAT,DLON,ESN,ESQ,FLAT: double;
      var RLAT,RLON,SN,XE,XLON,YLAT,YN: double;
{    }
      var CHU: string;
{    }
      label 9000;
{    }
      BEGIN
      ERR   := 9004;
//      YLAT  := 0.0;
//      XLON  := 0.0;
      YlatOut := '    0.000000';
      XlonOut := YlatOut;
      Tg4Out  := '';
      if ((Length(GSPH) < 3) or (Length(Tg4In) <> 16)) then goto 9000;
      Tg4Out := UpperCase(Copy(Tg4In,1,12))+'CC  ';
      IGS   := 1;
      CHU   := UpperCase(GSPH[1]);
{                              # default to 'N' if not 'S'  }
      IF (CHU = 'S') THEN IGS := 3
        ELSE IF (CHU <> 'N') THEN GOTO 9000;
{                              # default to 'E' if not 'W'  }
      CHU  := UpperCase(GSPH[2]);
      IF (CHU = 'W') THEN IGS := IGS+1
        ELSE IF (CHU <> 'E') THEN GOTO 9000;
{                              # dec degree or deg-min-sec  }
      CHU  := UpperCase(GSPH[3]);
      IF ((CHU <> 'D') AND (CHU <> 'M') AND (CHU <> 'S')) THEN GOTO 9000;
{                              # extract Tg4 parameters     }
      IF (Tg4Out[1] <> '4') THEN GOTO 9000;
      FOR I := 2 TO 12 DO
        IF ((Tg4Out[I] < '0') OR (Tg4Out[I] > '9'))
          THEN GOTO 9000;
      LATP := StrToInt(Copy(Tg4Out,2,5));
      LONP := StrToInt(Copy(Tg4Out,7,6));
{    }
      AMAJ :=  6378137.00;
      FLAT :=  1.0/298.257222101;
      ESQ  :=  FLAT*(2.0-FLAT);
      D2R  :=  Pi/180.0;
      if (YnIn <> '')
        then YN   := StrToFloat(YnIn)
        else YN   := 0.0;
      if (XeIn <> '')
        then XE   := StrToFloat(XeIn)
        else XE   := 0.0;
{
C
C Latitude and longitude of reference point
C
     }
      YLAT  :=  LATP;
      YLAT  :=  YLAT*0.001;
      XLON  :=  LONP;
      XLON  :=  XLON*0.001;
{
C
C Latitude and Longitude of point (XE, YN) from reference
C
     }
      ANG  :=  YLAT*D2R;
      SN   :=  Sin(ANG);
      CS   :=  Cos(ANG);
      ESN  :=  1.0-ESQ*SN*SN;
      AUX  :=  Sqrt(ESN);
      RLAT :=  AMAJ*(CS/AUX)*D2R;
      RLON :=  AMAJ*((1.0-ESQ)/(ESN*AUX))*D2R;
      DLAT :=  YN/RLON;
      DLON :=  -XE/RLAT;
      YLAT :=  YLAT+DLAT;
      XLON :=  XLON+DLON;
      ERR  :=  0;
      IF (IGS > 2) THEN YLAT := -YLAT;
      IF ((IGS = 1) OR (IGS = 3)) THEN XLON := -XLON;
//      YlatOut := Format('%12.6f',[YLAT]);
//      XlonOut := Format('%12.6f',[XLON]);
      YlatOut := FloatToStr(YLAT);
      XlonOut := FloatToStr(XLON);
      IF (UpperCase(GSPH[3]) = 'S') THEN BEGIN
        YlatOut := DegToMS(YlatOut);
        XlonOut := DegToMS(XlonOut)
      END
      ELSE IF (UpperCase(GSPH[3]) = 'M') THEN BEGIN
        YlatOut := DegToMin(YlatOut);
        XlonOut := DegToMin(XlonOut)
      END;
 9000:
      END;

{
C ***********************************************************
     }
      procedure TgrGeo (GSPH:string; TgrIn:string;
        YnIn,XeIn:string; var TgrOut:string;
        var YlatOut,XlonOut:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Grid survey type coordinates to
C                 Latitude and Longitude.
C
C     AUTHOR:     D. W. Lepard, 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       TgrIn     Grid survey string CogIn, DlsIn,  STRING[16]
C                   NtsIn, Tg4In.  See Coggeo,
C                   DlsGeo, Ntsgeo, Tg4Geo.
C
C       YnIn      Metres north of Ref Point         STRING[12]
C
C       XeIn      Metres east of Ref Point          STRING[12]
C
C     OUTPUT:
C       TgrOut    Grid survey string CogOut,        STRING[16]
C                   DlsOut, NtsOut, Tg4Out.
C
C       YlatOut   Latitude in selected format       STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonOut   Longitude in selected format      STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       ERR       Error flag; OK = < 9000           INTEGER
C                 Error returns null YLAT, XLON        (0.0)
C
C ***********************************************************
     }
      var iM1,iM2,iM3,iSc,iLsd,IERR: integer;
      var sSc,sLsd,CodIn,CodOut: string;
      var YYOut,XXOut: string;
{    }
      BEGIN
        if (TgrIn <> '') then
          begin
            CASE TgrIn[1] of
              '1': DlsGeo(GSPH,TgrIn,YnIn,XeIn,TgrOut,
                     YlatOut,XlonOut,ERR);
              '2': NtsGeo(GSPH,TgrIn,YnIn,XeIn,TgrOut,
                     YlatOut,XlonOut,ERR);
              '3': CogGeo(GSPH,TgrIn,YnIn,XeIn,TgrOut,
                     YlatOut,XlonOut,ERR);
              '4': Tg4Geo(GSPH,TgrIn,YnIn,XeIn,TgrOut,
                     YlatOut,XlonOut,ERR);
            ELSE
              ERR := 9000;
            END;

{ Check when Alberta Sec/LSD is cut off at Meridian; true when Longitude is     //dwl 31Jan2015
  Meridian value so replace Latitude value by that at Meridian }

            if ((TgrIn[1] = '1') and (ERR < 9000)) then
              begin
                iM1 := ((ERR-1000*(ERR div 1000)) div 100);
                CodIn := TgrOut;
                if ((iM1 = 9) and (CodIn[2] = 'W') and (CodIn[3] in ['4','5'])) then
                  begin
                    if (CodIn[3] = '4') then CodIn[3] := '5' else CodIn[3] := '6';
                    CodIn[7] := '0';
                    CodIn[8] := '1';
                    iM2 := ((StrToInt(Copy(CodIn,9,2))-1) div 6);
                    if (iM2 in [0,2,4]) then
                      iSc := iM2*6+1
                    else if (iM2 in [1,3,5]) then
                      iSc := (iM2+1)*6;
                    if (iSc = 1) then sSc := '01' else sSc := IntToStr(iSc);
                    CodIn[9] := sSc[1];
                    CodIn[10] := sSc[2];
                    iLsd := StrToInt(Copy(CodIn,11,2));
                    if (iLsd > 0) then
                      begin
                        iM3 := ((iLsd-1) div 4);
                        if (iM3 in [0,2]) then
                          iLsd := iM3*4+1
                        else if (iM3 in [1,3]) then
                          iLsd := (iM3+1)*4;
                        sLsd := IntToStr(iLsd);
                        CodIn[11] := '0';
                        if (iLsd = 16) then
                          begin
                            CodIn[11] := '1';
                            CodIn[12] := '6';
                          end
                        else
                          CodIn[12] := sLsd[1];
                      end;
                   if ((CodIn[13] = 'N') and (CodIn[14] in ['W','C'])) then
                      CodIn[14] := 'E'
                    else if ((CodIn[14] = 'C') and (CodIn[13] in ['W','C'])) then
                      CodIn[13] := 'E'
                    else if ((CodIn[13] = 'S') and (CodIn[14] in ['W','C'])) then
                      CodIn[14] := 'E';
                    if (CodIn[13] = '@') then
                      begin
                        if (CodIn[14] in ['G','N']) then
                          CodIn[14] := 'H'
                        else if (CodIn[14] in ['W',' ']) then
                          CodIn[14] := 'M'
                        else if (CodIn[14] in ['F','S']) then
                          CodIn[14] := 'E';
                      end;
                    DlsGeo(GSPH,CodIn,YnIn,XeIn,CodOut,YYOut,XXOut,IERR);
                    if (XlonOut = XXOut) then YlatOut := YYOut;
                  end;
              end;

          end
        else
          ERR := 9000;
      END;

{
C ***********************************************************
     }
      procedure UTMGeo (GSPH:string; ZnIn:string;
        YnIn,XeIn:string; var ZnOut:string;
        var YlatOut,XlonOut: string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    UTM to Latitude and Longitude.
C
C     SOURCE:     D. W. Lepard, 1999.
C
C     INPUT:
C       GSPH                                        STRING[8]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C         [4-8]   Geoid NAD datum in [NAD27, NAD83]
C                   for [Clarke 1866, GRS80] geoid.
C
C       ZnIn                                        STRING[4]
C         [1-4]   UTM zone 1-60 used to determine
C                   Central Meridian CM. Last
C                   character is UTM latitude
C                   zone 'C'..'X' (optional).
C
C       YnIn      Yn = Northing = Y+Y0 metres.      STRING[12]
C
C       XeIn      Xe = Easting  = X+X0 metres.      STRING[12]
C
C     OUTPUT:
C       ZnOut                                       STRING[4]
C         [1-4]   UTM zone.  Last character is
C                 UTM latitude zone 'C'-'X'.
C                 Determined if not input.
C
C       YlatOut   Latitude.  Obeys GSPH sign and    STRING[12]
C                   number format.
C
C       XlonOut   Longitude.  Obeys GSPH sign and   STRING[12]
C                   number format.
C
C       ERR       Error flag; 0 if OK               INTEGER
C                 Error returns null Ylat, Xlon         (0.0)
C
C ***********************************************************
     }
      var NZ,ipos,indx: integer;
          CHU,cZn,CMer,ZnLonIn,ZnLonOut,UTMIn: string;
{    }
      begin
        ERR := 9000;
        XlonOut    := '    0.000000';
        YlatOut    := '    0.000000';
        ZnOut    := ZnIn;
        if ((XeIn <> '') and (YnIn <> '') and (ZnIn <> '')
          and (Length(GSPH) = 8))then
          begin
            ERR  := 0;
            CHU := UpperCase(GSPH);
            if ((CHU[1] <> 'N') and (CHU[1] <> 'S')) then ERR := 9002;
            if ((CHU[2] <> 'E') and (CHU[2] <> 'W')) then ERR := 9002;
            if ((CHU[3] <> 'D') and (CHU[3] <> 'M') and (CHU[3] <> 'S')) then ERR := 9003;
            if ((Pos('NAD27', CHU) = 0) and (Pos('NAD83', CHU) = 0)) then
              ERR := 9004;
            ZnOut := Trim(UpperCase(ZnIn)) + '   '; // set standard format ddA
            ipos := 4;                              //    dd = 1..60; A='C'..'X'
            for indx := 1 to 3 do
              if ((ZnOut[4-indx] in ['A'..'Z']) or (ZnOut[4-indx] = ' ')) then
                ipos := 4-indx;
            NZ := 0;
            if (ipos > 1) then
              NZ := StrToInt(Copy(ZnOut,1,ipos-1));
            ZnOut := Format('%2.2d',[NZ])+Copy(ZnOut,ipos,2);
            if ((NZ < 1) or (NZ > 60)) then ERR := 9005;
          end;
        if (ERR < 9000) then
          begin
            ZnLonIn := ZnOut+XlonOut;
            if ((ZnOut[3] >= 'C') and (ZnOut[3] < 'N')) then
               YlatOut := '  10000000.0';
            UtmIn := XlonOut+XlonOut+'      0.9996'+YlatOut+'    500000.0';
            MerGeo(GSPH,ZnLonIn,UtmIn,YnIn,XeIn,ZnLonOut,YlatOut,XlonOut,ERR);
//            if ((ERR < 9000) and (ZnOut[3] = ' ')) then
            if (ERR < 9000) then
              begin                              // Find Lat zone
                cZn := GeoUTMZn(GSPH,YlatOut,XlonOut,CMer,ERR);
                ZnOut[3] := cZn[3];
              end;
          end;
      end;

{
C ***********************************************************
     }
      procedure AreaPt (GSPH:string; AreaIn:string;
        var YlatMin,XlonMin:string;
        var YlatMax,XlonMax:string; var ERR:integer);
{
C ***********************************************************
C
C     PURPOSE:    Grid survey type area to
C              (1)Latitude and Longitude at Minimum, and
C              (2)Latitude and Longitude at Maximum.
C
C     AUTHOR:     D. W. Lepard, 1997.
C
C     INPUT:
C       GSPH                                        STRING[4]
C         [1-2]   Geoid Sign Conv in [NE,NW,SE,SW]
C                   for positive latitude (N/S) and
C                   longitude (E/W)
C         [3]     Geoid Number Format in [D,M,S] for
C                   [DDD.DDDDDD,DDDMM.MMMM,DDDMMSS.SS] where
C                   D,M,S represent degree,minute,second
C
C       AreaIn    Grid survey string CogIn, DlsIn,  STRING[16]
C                   NtsIn, Tg4In.  See Coggeo,
C                   DlsGeo, Ntsgeo, Tg4Geo.
C
C     OUTPUT:
C       YlatMin   Latitude_Min in selected format   STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonMin   Longitude_Min in selected format  STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       YlatMax   Latitude_Max in selected format   STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       XlonMax   Longitude_Max in selected format  STRING[12]
C                   (DDD.DDDDDD or DDDMM.MMMM or DDDMMSS.SS)
C
C       ERR       Error flag; OK = < 9000           INTEGER
C                 Error returns null YLAT, XLON        (0.0)
C
C ***********************************************************
     }
      var LAT,LON,XLO,XHI,YLO,YHI: double;
      var GVAR: string;
      var XeIn,YnIn: string;
      var XlonLo,XlonHi,YlatLo,YlatHi: string;
      var TgrIn,TgrOut: string;
      var AreaOut: string;
{    }
      label 9000;
{    }
      function DlsLo(TgrIn:string):string;
      var SUR:CHAR;
      BEGIN
        SUR  := TgrIn[15];
        IF (SUR = ' ') THEN SUR  := '0';
        IF (Copy(TgrIn,9,2) < '01') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,8)+'0604'+'SW'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,8)+'0101'+'SE'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'NE') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'10'+'CC'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'09'+'EC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'NW') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'12'+'WC'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'11'+'CC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'SE') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'02'+'SC'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'01'+'SE'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'SW') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'04'+'SW'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'03'+'SC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'N ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'12'+'WC'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'09'+'EC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'S ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'04'+'SW'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'01'+'SE'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'E ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'02'+'SC'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'01'+'SE'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'W ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'04'+'SW'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'03'+'SC'+SUR+'R'
          END
        ELSE IF (Copy(TgrIn,11,2) < '01') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,10)+'04'+'SW'+SUR+'R'
          ELSE
            DlsLo := Copy(TgrIn,1,10)+'01'+'SE'+SUR+'R'
          END
        ELSE BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsLo := Copy(TgrIn,1,12)+'SW'+SUR+'L'
          ELSE
            DlsLo := Copy(TgrIn,1,12)+'SE'+SUR+'L'
          END
      END;

      function DlsHi(TgrIn:string):string;
      var SUR:CHAR;
      BEGIN
        SUR  := TgrIn[15];
        IF (SUR = ' ') THEN SUR  := '0';
        IF (Copy(TgrIn,9,2) < '01') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,8)+'3616'+'NE'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,8)+'3113'+'NW'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'NE') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'16'+'NE'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'15'+'NC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'NW') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'14'+'NC'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'13'+'NW'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'SE') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'08'+'EC'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'07'+'CC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'SW') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'06'+'CC'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'05'+'WC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'N ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'16'+'NE'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'13'+'NW'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'S ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'08'+'EC'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'05'+'WC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'E ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'16'+'NE'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'15'+'NC'+SUR+'R'
          END
        ELSE IF (UpperCase(Copy(TgrIn,11,2)) = 'W ') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'14'+'NC'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'13'+'NW'+SUR+'R'
          END
        ELSE IF (Copy(TgrIn,11,2) < '01') THEN BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,10)+'16'+'NE'+SUR+'R'
          ELSE
            DlsHi := Copy(TgrIn,1,10)+'13'+'NW'+SUR+'R'
          END
        ELSE BEGIN
          IF (UpperCase(TgrIn[2]) = 'E') THEN
            DlsHi := Copy(TgrIn,1,12)+'NE'+SUR+'L'
          ELSE
            DlsHi := Copy(TgrIn,1,12)+'NW'+SUR+'L'
          END
      END;

      function NtsLo(TgrIn:string):string;
      BEGIN
        IF (UpperCase(TgrIn[5]) < 'A') THEN
          NtsLo := Copy(TgrIn,1,4)+'A01A001A'+'SE'+' '+'U'
        ELSE IF (Copy(TgrIn,6,2) < '01') THEN
          NtsLo := Copy(TgrIn,1,5)+'01A001A'+'SE'+' '+'U'
        ELSE IF (UpperCase(TgrIn[8]) < 'A') THEN
          NtsLo := Copy(TgrIn,1,7)+'A001A'+'SE'+' '+'U'
        ELSE IF (Copy(TgrIn,9,3) < '001') THEN
          NtsLo := Copy(TgrIn,1,8)+'001A'+'SE'+' '+'U'
        ELSE IF (UpperCase(TgrIn[12]) < 'A') THEN
          NtsLo := Copy(TgrIn,1,11)+'A'+'SE'+' '+'U'
        ELSE
          NtsLo := Copy(TgrIn,1,12)+'SE'+' '+'Q'
      END;

      function NtsHi(TgrIn:string):string;
      var LTR:CHAR;
      BEGIN
        IF ((Copy(TgrIn,2,3) > '119') OR (TgrIn[4] > '6'))
          THEN LTR := 'G'
          ELSE LTR := 'M';
        IF (UpperCase(TgrIn[5]) < 'A') THEN
          NtsHi := Copy(TgrIn,1,4)+LTR+'13L100C'+'NW'+' '+'U'
        ELSE IF (Copy(TgrIn,6,2) < '01') THEN
          NtsHi := Copy(TgrIn,1,5)+'13L100C'+'NW'+' '+'U'
        ELSE IF (UpperCase(TgrIn[8]) < 'A') THEN
          NtsHi := Copy(TgrIn,1,7)+'L100C'+'NW'+' '+'U'
        ELSE IF (Copy(TgrIn,9,3) < '001') THEN
          NtsHi := Copy(TgrIn,1,8)+'100C'+'NW'+' '+'U'
        ELSE IF (UpperCase(TgrIn[12]) < 'A') THEN
          NtsHi := Copy(TgrIn,1,11)+'C'+'NW'+' '+'U'
        ELSE
          NtsHi := Copy(TgrIn,1,12)+'NW'+' '+'Q'
      END;

      function CogLo(TgrIn:string):string;
      BEGIN
        IF (Copy(TgrIn,11,2) < '01') THEN
          CogLo := Copy(TgrIn,1,10)+'01A'+'SE'+'S'
        ELSE IF (UpperCase(TgrIn[13]) < 'A') THEN
          CogLo := Copy(TgrIn,1,12)+'A'+'SE'+'S'
        ELSE
          CogLo := Copy(TgrIn,1,13)+'SE'+'U'
      END;

      function CogHi(TgrIn:string):string;
      var SEC:string;
      BEGIN
        IF (Copy(TgrIn,2,4) > '7800') THEN
          SEC := '60'
        ELSE IF (Copy(TgrIn,2,4) > '7500') THEN
          SEC := '80'
        ELSE IF (Copy(TgrIn,2,4) > '7000') THEN
          SEC := '00'
        ELSE IF (Copy(TgrIn,2,4) > '6800') THEN
          SEC := '60'
        ELSE IF (Copy(TgrIn,2,4) > '6000') THEN
          SEC := '80'
        ELSE
          SEC := '00';
        IF (Copy(TgrIn,11,2) < '01') THEN
          CogHi := Copy(TgrIn,1,10)+SEC+'M'+'NW'+'S'
        ELSE IF (UpperCase(TgrIn[13]) < 'A') THEN
          CogHi := Copy(TgrIn,1,12)+'M'+'NW'+'S'
        ELSE
          CogHi := Copy(TgrIn,1,13)+'NW'+'U'
      END;

      BEGIN
        GVAR  := 'NWD ';
        YnIn  := '       0.000';
        XeIn  := YnIn;
        YlatMin := '    0.000000';
        XlonMin := YlatMin;
        YlatMax := YlatMin;
        XlonMax := YlatMin;
        AreaOut := UpperCase(AreaIn);
        while (Length(AreaOut)) < 16 do
          AreaOut := AreaOut + ' ';
        CASE AreaOut[1] OF
          '1': TgrIn := DlsLo(AreaOut);
          '2': TgrIn := NtsLo(AreaOut);
          '3': TgrIn := CogLo(AreaOut);
        ELSE
           TgrIn := AreaOut;
        END;
        TgrGeo(GVAR,TgrIn,YnIn,XeIn,TgrOut,
          YlatLo,XlonLo,ERR);
        IF (ERR >= 9000) THEN GOTO 9000;
        YLO := StrToFloat(YlatLo);
        IF (UpperCase(GSPH[1]) = 'S') THEN YLO := -YLO;
        XLO := StrToFloat(XlonLo);
        IF (UpperCase(GSPH[2]) = 'E') THEN XLO := -XLO;
        CASE AreaOut[1] OF
          '1': TgrIn := DlsHi(AreaOut);
          '2': TgrIn := NtsHi(AreaOut);
          '3': TgrIn := CogHi(AreaOut);
        ELSE
           TgrIn := AreaOut;
        END;
        TgrGeo(GVAR,TgrIn,YnIn,XeIn,TgrOut,
          YlatHi,XlonHi,ERR);
        IF (ERR >= 9000) THEN GOTO 9000;
        YHI := StrToFloat(YlatHi);
        IF (UpperCase(GSPH[1]) = 'S') THEN YHI := -YHI;
        XHI := StrToFloat(XlonHi);
        IF (UpperCase(GSPH[2]) = 'E') THEN XHI := -XHI;
        IF (YHI < YLO) THEN
          BEGIN
            LAT := YLO;
            YLO := YHI;
            YHI := LAT;
          END;
        IF (XHI < XLO) THEN
          BEGIN
            LON := XLO;
            XLO := XHI;
            XHI := LON;
          END;
//        YlatMin := Format('%12.6f',[YLO]);
//        XlonMin := Format('%12.6f',[XLO]);
//        YlatMax := Format('%12.6f',[YHI]);
//        XlonMax := Format('%12.6f',[XHI]);
        YlatMin := FloatToStr(YLO);
        XlonMin := FloatToStr(XLO);
        YlatMax := FloatToStr(YHI);
        XlonMax := FloatToStr(XHI);
        IF (UpperCase(GSPH[3]) = 'S') THEN BEGIN
          YlatMin := DegToMS(YlatMin);
          XlonMin := DegToMS(XlonMin);
          YlatMax := DegToMS(YlatMax);
          XlonMax := DegToMS(XlonMax);
        END
        ELSE IF (UpperCase(GSPH[3]) = 'M') THEN BEGIN
          YlatMin := DegToMin(YlatMin);
          XlonMin := DegToMin(XlonMin);
          YlatMax := DegToMin(YlatMax);
          XlonMax := DegToMin(XlonMax);
        END;
        ERR := 0;
 9000:
      END;


      END.


